Welcome to Adobe LiveCycle Designer ES

Previous Next

Welcome to Adobe LiveCycle Designer ES
Welcome to Adobe LiveCycle Designer ES
Welcome to Adobe® LiveCycle® Designer ES
About Designer ES


Introducing Designer ES

Introducing Designer ES
Introducing Designer ES
About Designer ES
Using Designer ES in different spaces
New features in Designer ES
Where to find documentation, samples, and tutorials


About Designer ES

Introducing Designer ES > About Designer ES
About Designer ES
Adobe® LiveCycle® Designer ES is a point-and-click graphical form design tool that simplifies the creation of forms. Form recipients can fill a form online, submit the data, and print it, or print and fill the form by hand. You can design a form, define its logic, and modify it to match paper counterparts or to meet strict legislative requirements. Form developers can use Designer ES to create applications that generate dynamic, data-driven documents and produce customized business documents for print, web, or archival. Using Guide Builder, form developers can create interactive data capture applications by leading users through a series of visually appealing and streamlined panels, thereby improving usability and reducing data entry errors.
You can also build and maintain data capture solutions that read from, validate against, and add to corporate data sources. With Designer ES, you can integrate PDF documents into existing workflows by binding forms to XML schemas, XML sample files, databases, and web services.
Forms and documents that are created in Designer ES can be merged with business data and rendered as a number of file types, including Adobe PDF, HTML, SWF, and printing for PCL, Adobe PostScript® and Zebra (ZPL) printers.
See also
Using Designer ES in different spaces
New features in Designer ES


Using Designer ES in different spaces

Introducing Designer ES > Using Designer ES in different spaces
Using Designer ES in different spaces
Designer ES is available as a stand-alone product, bundled with Acrobat Professional and Acrobat Standard, and also bundled with Adobe LiveCycle Workbench ES as part of LiveCycle ES (Enterprise Suite).
In Workbench ES, Designer ES becomes part of the integrated development environment (IDE) where you can model, create, manage, and automate business processes and forms. In Workbench ES, you manage forms and resources using the repository. If you choose to use Designer ES outside of Workbench ES, you can have your administrator set up a web folder so that you can access resources in the repository.
The stand-alone product also lets you create, manage, and automate business processes and forms. With Acrobat Professional, users can consolidate the data they receive from the people who are filling the form using Adobe Reader.
For more information about LiveCycle ES, see LiveCycle ES Overview.


New features in Designer ES

Introducing Designer ES > New features in Designer ES
New features in Designer ES
Here is a list of what’s new in Designer ES:
Hyperlinks
Hyphenation
Page break controls
Typography enhancements
Tab order
Web service authentication
Importing
Workflow enhancements
Hyperlinks
Add hyperlinks (URL or email) to the text in static text objects and object captions, which link to external PDF or HTML documents.
See About hyperlinks
Hyphenation
Using Hyphenation options, users (form authors and developers) can give text a more appealing visual flow by automatically adding hyphens to words in a form to force line breaks. Hyphenation is optimized based on line metrics such as spacing and font size, as well as linguistic information to determine where various words can be legally and optimally hyphenated.
See About hyphenating text
Page break controls
Set page break controls for text and text field objects, including Widow and Orphan, Keep with Next, and Page Break functionality.
See About page break controls
Typography enhancements
Add leaders to text, as well as fine-tune text formatting by using new options in the Font palette for letter spacing, horizontal and vertical scale, and auto kerning.
See About formatting text
Tab order
Enhanced to make it easier for you to view and change tabbing order in a form design. The new Tab Order palette displays a numbered list of all the objects on the form, where each number represents the position of the object within the tabbing order. The palette also displays visual markers in the list; for example, it displays a range of numbers to indicate objects within a fragment reference.
By default, tabbing order is automatic, but you can set custom tabbing order on your form.
See About tabbing order
Web service authentication
Apply HTTP/HTTPS or message-level (SOAP) or both types of authentication to the WSDL data connection you are creating, as well as select the types of credentials to accept for verification.
See Authentication (New Data Connection dialog box)
Importing
You can now import Microsoft® Word 2007 Document files. Script conversion for imported Acrobat forms also enhanced.
Workflow enhancements
Improved workflow between Designer ES and Acrobat. If you start the form design process in Acrobat, you no longer need to add an email submit button to a form design to distribute the form. When you close the form design, Designer ES automatically prompts you about distributing the form.


Where to find documentation, samples, and tutorials

Introducing Designer ES > Where to find documentation, samples, and tutorials
Where to find documentation, samples, and tutorials
The following resources will help you start building forms and applications.
Learn about LiveCycle ES
Learn about LiveCycle ES and get important information about Designer ES that was not available when the product documentation was written.
Documentation
Description and location
LiveCycle ES Overview
Provides an overview of LiveCycle ES.
See LiveCycle ES Overview.
Designer ES Readme
Provides important information that was not available when the product documentation was written.
See Designer ES Readme.
Workbench ES Help
Available from the Help menu when you install Workbench ES.
Creating Dynamic Forms with Adobe LiveCycle Designer
by J.P. Terry
Shows you how to use LiveCycle Designer ES to create interactive and dynamic forms.
Available at Adobe Press.
Get started with samples and tutorials
These tutorials take you through the process of creating forms or LiveCycle ES applications. Form samples help you learn about form design techniques and provide a starting point to creating a form design. Scripting samples demonstrate quick and simple form solutions.
Documentation
Description and location
Quick Start tutorials
Designed to get you started on creating forms using Designer ES. See Designer ES Help > Quick Start Tutorials.
Tutorial for creating a LiveCycle ES application
See Creating Your First LiveCycle Application.
LiveCycle Designer ES form fragment tutorial
Walks you through the steps of working with form fragments.
See LiveCycle Designer ES form fragment tutorial.
Form samples
Designer ES includes a selection of complete samples, each one accompanied by a form design, sample data, and/or schema, and the final version of the form. The samples are installed with Designer ES in the default location installation directory under \...\EN\Samples.
Create form guides
Learn about form guides and how to create them.
Documentation
Description and location
Getting Started with Form Guides
See Getting Started with Form Guides.
Scripting Support for HTML and Form Guides
See Scripting Support for HTML and Form Guides.
Add calculations to forms
Use Form Calc to build calculations into Designer ES forms.
Documentation
Description and location
FormCalc Reference
See FormCalc Reference.
Enhance forms using scripts
Use scripts to build intelligence into forms.
Documentation
Description and location
Scripting Basics
Provides an overview of how you can use scripting to develop and enhance forms that are created in Designer ES.
See Adobe Designer ES Scripting Basics.
Scripting samples
You can experiment with the sample forms and apply the techniques to your own work. Go to the Adobe LiveCycle ES Developer Center to get the latest sample forms.
Scripting reference material
Describes the objects, properties, and methods that are available for scripting in the Designer ES environment.
See Adobe Designer ES Scripting Reference.


Getting Started

Getting Started
Getting Started
Introducing forms and form designs
Looking at the workspace
Steps to creating a form design


Introducing forms and form designs

Getting Started > Introducing forms and form designs
Introducing forms and form designs
About forms
About form designs
Form design layouts
Parts of a form design


About forms

Getting Started > Introducing forms and form designs > About forms
About forms
A form is the document that a user views or interacts with. It is derived from a form design that you create using LiveCycle Designer ES.
Forms typically collect or present structured data and are the front end to a business process. LiveCycle Designer ES creates forms and documents that can be merged with business data and rendered in a number of file types, including PDF documents, HTML, Flash (SWF file), and printing for PostScript and Zebra (ZPL) printers.
Forms can capture or present information in three different ways.
Interactive forms
Forms can be designed to capture data directly from end users. Users fill the form and select options online, and return the form data according to some prescribed process. These forms are known as interactive forms. You can author interactive forms that the user fills using Acrobat Professional, Acrobat Standard, or Adobe Reader, or you can author forms for LiveCycle Forms ES that the user fills in a web browser.
Interactive forms have many benefits over paper-based forms:
•
Although interactive forms may look like traditional paper-based forms, they eliminate cumbersome and time-consuming effort required to process paper forms. Using interactive forms to provide business solutions makes sense in the worlds of the Internet and enterprise-wide computing.
•
You can deliver interactive forms through Internet, intranet, or email. You can automate the document exchange process, store forms in reliable formats, and protect document content and integrity.
•
Interactive forms allow you to streamline your data collection process. An interactive form can collect and integrate data into your existing core data collection systems, thereby extending their value. The form might integrate data directly to your data collection system or use a program on the server, such as a CGI script,an ASP page, Java Server Pages (JSP), or servlet.
•
Using interactive forms, you can also establish online forms-based workflow processes using built-in logic to route the form electronically from one user to the next. Interactive forms can also support assistive technologies, such as screen readers, so that you can extend the form to users with disabilities.
In the simplest scenario, end users only require Adobe Reader to electronically fill the form and send the form data to the originator of the form or print the form and send the paper copy of form and data to the originator. If you have purchased LiveCycle Forms ES, the interactive form can be in PDF or HTML. In this case, users open and fill the form using a web browser.
Interactive forms typically include data entry features such as selection lists, drop-down lists, check boxes, automatically generated calculations, validation messages, digital signatures, and Submit and Execute buttons. Form authors can use built-in FormCalc functions and custom scripting by using JavaScript to extend the functionality of interactive fields. Interactive forms can include command buttons so that users can save the data to a file or database or to send the data by email to a specified address. In addition, validations can be added to ensure the accuracy of user-entered data. The form can provide feedback such as messages to prompt for specific types of data.
Non-interactive forms
Forms can be designed to present information to end users. The data can come from a variety of data sources, such as databases, web services, or enterprise content management systems. The end user views the form already prepopulated with data. The end user cannot modify the data in the form or add new data to the form. These types of forms are known as non-interactive forms. A typical scenario for these types of forms involves LiveCycle Forms ES as part of the solution. LiveCycle Forms ES merges the form design with data and renders the form, prepopulated with data, to the end user. A classic example of a non-interactive form is a credit card statement or telephone bill. (See About data sources.)
In yet another scenario, a form might be designed to initially present information to the end user, and then provide the capability for the end user to supply additional information and send it to the initiator or server for further processing.
Print and fill forms
Another type of form is the print-and-fill form. The form author creates a form design in LiveCycle Designer ES and typically saves it as a PDF. The end user opens the form in Acrobat or Adobe Reader, prints the form, and fills the form manually. The form is then returned to its originator by fax or land mail.


About form designs

Getting Started > Introducing forms and form designs > About form designs
About form designs
Form design is the term that describes the form during its creation or design process. The form design specifies the layout, data capture, and final presentation rules for the form. The presentation rules are applied when the form is filled with data. How the form is filled with data depends on the purpose of the form, which in turn influences the type of form you create.
In LiveCycle Designer ES, you add functionality to your form by adding objects, such as a place to enter text, or a button for sending the form by email. Static objects are available that present fixed text or graphic information. These objects include circles, lines, rectangles, images, and text


Form design layouts

Getting Started > Introducing forms and form designs > Form design layouts
Form design layouts
The most common type of forms have a fixed layout; that is, they have a predetermined layout, always with a fixed number of pages regardless of the amount of data available to fill it. For example, a course registration form that an end user can either print and fill by hand, or fill in Acrobat or Adobe Reader. When filled, the form retains its original layout and number of pages. Fields that are not filled remain empty. Conversely, if the amount of data is more that the form can hold, the form cannot expand to accommodate excess data. For example, if a course registration form has 5 rows where end users list their course selections, and enough data is available to fill 10 rows, only 5 rows can be filled. Similarly, if an end user lists only 2 course selections, you will still see 5 rows, 2 that are filled and 3 that are empty.
This form can be interactive, where an end user fills the form typically in Acrobat or Adobe Reader, or it can be non-interactive, where a server process merges the form with data from a data source. Similarly, LiveCycle Forms ES typically renders non-interactive forms that have a fixed layout to present information from a data source.
Forms that can flow content
In addition to forms that have a fixed layout, you can define sections of the form that will expand and shrink in response to the amount of data that is merged when the form is rendered. You do this by wrapping various sections (groups of subforms) in subforms that are set to flow content. Then, at run time, only the subforms that are necessary for displaying the exact amount of data are instantiated.
This type of form has a flowable layout with a varying number of pages. The subforms adjust depending on the amount of data merged with the form when it is rendered, or the subforms expand when end users need to add more data. For example, you may decide to let end users add to the form the number of rows they need to list their selections, remove rows from the form, and then return the form data electronically. Depending on how many rows they add, the form may extend over two or more pages.
Interactive forms that have a flowable layout are sometimes referred to as client-side forms. Acrobat and Adobe Reader 7.0 and later support this type of interactive forms.
In LiveCycle Designer ES, you can also create forms that have a flowable layout for use with LiveCycle Forms ES. In this scenario, the form design is merged with data on LiveCycle Forms ES. For example, such forms as a telephone bill or credit card statement are typically non-interactive forms and designed to present users with information from a data source. Users then print these forms or store them electronically. These forms are sometimes referred to as server-side forms because the merging of the form design and data occurs at the server.
See also
About forms
About interactive forms that have a flowable layout
Parts of a form design


Parts of a form design

Getting Started > Introducing forms and form designs > Parts of a form design
Parts of a form design
You create a form design by dragging objects from the Library palette onto one or more pages in the Layout Editor and working in the Object palette to modify the properties specific to the object you select. The object that you select determines which tabs are available in the Object palette. Many other palettes are available that contain specific properties that you may want to change. For example, you can use the Font palette to change the font family, size, and style of text in a selected object.
You place the objects you want in the form design on pages. If you want an object to appear on each page of the form design, you place it on a master page. For example, you can include a logo, watermark, or introductory information that always appears in the same location on each page of the form design.
The following key components make up a form design:
•
Master pages
•
Pages
•
Content areas
•
Subforms
•
Fields
•
Boilerplate objects
Form design elements are displayed in the LiveCycle Designer ES Hierarchy palette.
LiveCycle Designer ES automatically generates XML source code for each object as you build the form design. Because LiveCycle Designer ES automatically generates the XML source code for you, you can create form designs without having any knowledge about XML.
Master pages
Every form design contains at least one master page that LiveCycle Designer ES creates automatically. Master pages are designated to format pages, and they help to facilitate design consistency because they can provide a background and layout format for more than one page in a form design.
You can use the supplied master page to format pages, edit the master page’s settings, or add additional master pages if needed. If you are creating a simple interactive form, you would probably use the supplied master page without changing its settings.
At the very least, master pages define the orientation and dimensions of pages. You can use master pages to define these aspects of a form design:
•
Page size and orientation
•
Headers and footers
•
Watermarks and company logos
Each master page is created with a default content area that covers the whole page. You can add text, images, and other boilerplate objects to a master page. These objects are displayed on all of the pages that the master page formats. (See About master pages.)
Note:
Text fields, numeric fields, and date/time fields on master pages will not be interactive on Acrobat 6-compatible forms. Users cannot modify the associated data in these fields.
You manipulate master pages in the Master Pages tab.
Pages
Pages represent the pages of a form. Each page derives its size and orientation from a master page and, by default, each page is associated with the default master page that LiveCycle Designer ES creates. Each page is created with a default subform that covers the whole page. (See About pages.)
If your form design contains more than one master page, you can choose which master page to assign to a page. (See About master pages.)
You work with pages in the Design View tab.
Content areas
Content areas define where objects can be placed on pages. When you design a form, you cannot place an object on a page unless it is inside the area bounded by a content area.You can add content areas to master pages only.
Whenever you create a new master page, LiveCycle Designer ES creates a default content area on the master page.
A form design that has a fixed layout will typically contain one content area. A form design that contains sections that adjust to accommodate data can have one or more content areas. You can specify whether the objects in each content area should be positioned from top to bottom, or from left to right and top to bottom. (See Overview of content areas.)
Subforms
Subforms are container objects that you can use to group form design objects, including fields, boilerplate objects, and other subforms. When they are grouped, you can control whether the subform and the grouped objects appear on your form based on data bindings that you configure for your form. You can also configure subform objects to be repeatable, which lets you have multiple instances of a single subform and its grouped objects appear on your form. This allows you to create more flexible and adaptable form designs.
Subforms are essential when creating forms that contain sections that expand to accommodate data because they provide the dynamic capabilities to be visible, to remain hidden, and to grow, all in response to data and user interaction at run time. (See Subforms.)
Tables
Tables are essentially structured container objects that you can use to organize your form design content in meaningful, logical ways. Each cell of a table is a separate container capable of storing form design objects. (See About tables.)
Tables are very similar to subforms in terms of functionality and behavior. Like subforms, tables can be dynamic, which means they can repeat and grow in response to data and user interaction at run time. (See Subforms.)
Field objects
LiveCycle Designer ES provides a number of field objects that are capable of capturing, merging, and displaying data. A field object provides a data-entry region, and users can interact with field objects by entering or selecting an associated data value. (See What is an object?.)
The following objects are field objects:
•
Button
•
Check box
•
Date/time field
•
Decimal field
•
Signature Field
•
Drop-down list
•
Email Submit button
•
HTTP Submit button
•
Image field
•
List box
•
Numeric field
•
Paper Forms Barcode
•
Password field
•
Print button
•
Radio button
•
Text field
Boilerplate or static objects
Boilerplate or static objects are read-only objects that improve the aesthetic appeal of a form and may provide context or assistance for users. They can be added to pages or master pages. (See What is an object?.)
The following objects are boilerplate objects:
•
Circle
•
Image
•
Line
•
Rectangle
•
Text


Looking at the workspace

Getting Started > Looking at the workspace
Looking at the workspace
About editors and palettes
Layout Editor
Script Editor
Palettes
Customizing the workspace
Managing library palettes


About editors and palettes

Getting Started > Looking at the workspace > About editors and palettes
About editors and palettes
By default, the LiveCycle Designer ES workspace consists of an area called the Layout Editor where you create and lay out your form design, a Script Editor where you can write scripts to extend the capabilities of the form design, palettes to help you modify your form design, and menus and commands for performing tasks.
As you become comfortable working with form designs, you can customize the workspace to suit your requirements. Here is how LiveCycle Designer ES appears in LiveCycle Workbench ES.
The default view of the LiveCycle Designer ES in LiveCycle Workbench ES.
See also
Layout Editor
Script Editor
Palettes


Layout Editor

Getting Started > Looking at the workspace > Layout Editor
Layout Editor
The Layout Editor is the main area where you create and maintain the form design. It contains four tabs:
Design View tab
Displays the pages that make up the form design.
Master Pages tab
Displays the master pages that can be applied to pages in Design View.
XML Source tab
Displays the XML source code that describes the structure of the form design and its objects. It is recommended that you do not edit the XML source code directly.
Preview PDF tab
Displays a PDF form based on the current form design.
By default, not all the tabs are displayed. The Design View tab is displayed; however, the Master Pages tab and the XML Source tab are not displayed. The Preview PDF tab is displayed only when Acrobat or Adobe Reader is installed.
Tabbed palettes are arranged around the Layout Editor to provide easy access to the tools without cluttering your workspace.
Design View tab
The pages in Design View contain a form design’s content. The first time you start LiveCycle Designer ES or create a new form design, the Design View tab displays a page ready for objects to be added.
Objects in the master page appear in the page but cannot be selected.
Master Pages tab
Master pages specify the layout and the background for the form design. You add objects that will occur in the same position throughout the form design on a master page. The Master Pages tab is hidden by default.
Objects in the Design View page do not appear in the master page.
Preview PDF tab
As you work, if you have Acrobat or Adobe Reader installed, you can preview the form in the Preview PDF tab. Use the Preview PDF tab to view and test the operation of a form or template as if it were a PDF file. You can set options for previewing interactive forms or printable forms in PDF by using the Form Properties dialog box (Preview tab).
Note:
To preview a form in the Preview PDF tab, in Acrobat, ensure that the Edit > Preferences > Internet > Display PDF In Browser option is selected.
See also
To customize the Layout Editor


Script Editor

Getting Started > Looking at the workspace > Script Editor
Script Editor
Use the Script Editor to write scripts to extend the capabilities of the form design. By default, the Script Editor appears at the top of the LiveCycle Designer ES workspace, but you can dock it anywhere.
The Script Editor has both a single-line view and a multiline view that you can switch between, depending on your needs. Single-line view is designed to maximize the amount of space dedicated to the Layout Editor and other palettes. Multiline view is designed to maximize the amount of space for writing script.
The single-line view of the Script Editor.
For example, you can use the Script Editor to write a simple calculation to sum the values of two numeric fields or more complex scripts that alter the appearance of the form based on end-user actions. LiveCycle Designer ES supports scripting either in its own scripting language called FormCalc or in JavaScript.
See also
About scripting in LiveCycle Designer ES
About the Script Editor


Palettes

Getting Started > Looking at the workspace > Palettes
Palettes
About palettes
Hierarchy palette
Data View palette
Tab Order palette
PDF Structure palette
Object Library palette
Layout palette
Border palette
Object palette
Accessibility palette
Font palette
Paragraph palette
Drawing Aids palette
Info palette
Report palette
How To palette


About palettes

Getting Started > Looking at the workspace > Palettes > About palettes
About palettes
The palettes provide easy access to the tools without cluttering your workspace. Palettes can include one or more tabs, each containing common properties. For example, the Object palette can include one or more tabs.
A palette has tabs, a palette menu, and a close button.
You can arrange the palettes in the workspace to suit your work style. For example, you can hide the rarely used palettes and move the frequently used ones into one palette window.
As you work in the Layout Editor, the information that appears in certain palettes changes to reflect the selected object. For example, if you select an object, the information in the Layout palette changes to display information about the object’s size and position.


Hierarchy palette

Getting Started > Looking at the workspace > Palettes > Hierarchy palette
Hierarchy palette
The Hierarchy palette is a graphical representation of the contents in the Design View and Master Pages tabs.
Whatever you select in the Hierarchy palette is also selected in the body or master page that it is associated with.
See also
Hierarchy palette menu


Data View palette

Getting Started > Looking at the workspace > Palettes > Data View palette
Data View palette
If a data connection exists, the Data View palette displays the hierarchy derived from the data connection. The top nodes in the hierarchy represent each data connection and display the name of the data connection. A data connection provides a link between the form and the data source.
When you design a form based on a data connection, LiveCycle Designer ES builds a data structure for your form based on that data source. You can quickly create a form using some or all of the data source. You then use binding to link a node from a data source to an object on the form.
See also
Data View palette menu


Tab Order palette

Getting Started > Looking at the workspace > Palettes > Tab Order palette
Tab Order palette
The Tab Order palette displays a numbered list of all the objects on the form, where each number represents the position of the object within the tabbing order.
Tab Order palette
The Tab Order palette may show the following visual markers in the list:
•
A gray bar marks each page of the form. The tabbing order on each page starts with the number 1.
•
The letter M inside a green circle indicates master page objects (visible only when viewing the form on the Design View tab).
•
A range of numbers indicates objects within a fragment reference.
•
A yellow background indicates the currently selected object.
•
A lock icon beside the first object on the page indicates that the object cannot be moved within the order (visible only when viewing the form on the Master Pages tab).
Lock icon visible on Master Pages tab
See also
Tab Order palette menu
Using the Tab Order palette


PDF Structure palette

Getting Started > Looking at the workspace > Palettes > PDF Structure palette
PDF Structure palette
The PDF Structure palette displays a view of the hierarchical structure of tagged PDF documents, which provide accessibility and a defined tabbing and reading order for assistive technologies, such as keyboard access and screen readers.
See also
PDF Structure palette menu


Object Library palette

Getting Started > Looking at the workspace > Palettes > Object Library palette
Object Library palette
The Object Library palette contains all the objects that you can add to a form design. Objects are organized into categories:
My Favorites
Contains the objects that you frequently use.
Standard
Contains the most commonly used form objects, such as check boxes and text fields.
Barcodes
Contains a list of barcode objects.
Custom
Contains preformatted objects, such as address blocks and phone number fields.
See also
What is an object?
Managing library palettes
Object Library palette menu


Layout palette

Getting Started > Looking at the workspace > Palettes > Layout palette
Layout palette
Use the Layout palette to set the following properties for the selected object:
•
Size and position of the object.
•
Whether the object should ignore the defined height and width, and expand to reveal all of its content.
•
Position of the anchor (insertion) point. You can rotate an object around its anchor point in a 90°, 180°, or 270° increment.
•
Margins around the object.
•
Caption position and width. You can also hide the caption.
When you select an object, the Layout palette automatically displays the selected object’s settings. You can edit most of an object’s layout settings directly in the Layout Editor. For example, to change an object’s position, you can drag it to the new location on the page.
See also
Formatting objects
Layout properties in the Layout palette
Layout palette menu


Border palette

Getting Started > Looking at the workspace > Palettes > Border palette
Border palette
Use the Border palette to edit the border properties for objects in the form design. You can edit the borders individually (left, right, top, and bottom) or together. You can also specify the type of border corner and background color.
See also
Border palette menu
Border properties in the Border palette
To add a border around an object
To add a border around the fillable area


Object palette

Getting Started > Looking at the workspace > Palettes > Object palette
Object palette
Use the Object palette to modify properties that are specific to the selected object. The object that is selected in the Layout Editor determines which tabs are available in this palette.
See also
Object palette menu


Accessibility palette

Getting Started > Looking at the workspace > Palettes > Accessibility palette
Accessibility palette
Use the Accessibility palette to specify custom text for an object that a Microsoft Active Accessibility (MSAA)- compliant screen reader reads as it passes through the form. If custom screen reader text is available for the object, the screen reader will read the custom text and not the tool tip.
You can also change the default order in which the screen reader searches for text to read on an object-by-object basis, and you can turn off screen reader text for any object.
See also
Accessibility palette menu
Accessibility properties in the Accessibility palette
Making objects accessible


Font palette

Getting Started > Looking at the workspace > Palettes > Font palette
Font palette
Use the Font palette to change the font family, size, style, and scale, as well as the baseline shift, letter spacing, and kerning of the text in one or more selected objects. You can change the font properties of text in text objects, in the caption area of objects such as text fields, decimal fields, and numeric fields, and in the value area of text field objects.
See also
About formatting text
Font palette menu
Font properties in the Font palette


Paragraph palette

Getting Started > Looking at the workspace > Palettes > Paragraph palette
Paragraph palette
Use the Paragraph palette to change the alignment, indentation, line spacing, and hyphenation of the selected text. You can also set the radix alignment for a Numeric Field object. The options that appear in the Paragraph palette depend on what is selected.
See also
About formatting paragraphs
Paragraph palette menu
Hyphenating text


Drawing Aids palette

Getting Started > Looking at the workspace > Palettes > Drawing Aids palette
Drawing Aids palette
Use the Drawing Aids palette to specify the grid and ruler settings and drawing units. You can also show or hide object boundaries and specify boundary border styles.
The horizontal and vertical rulers, the grid, and the long cross hairs help you position objects precisely across the width or length of a page. When visible, rulers appear along the top and left side of the active body or master page. Markers in the ruler display the pointer’s position when you move it. Changing the ruler origin (the (0, 0) mark on the top and left rulers) lets you measure from a specific point on the form design.
You can also show or hide object boundaries on the form design. Showing boundaries is useful for displaying objects that do not have borders on the form. You can also specify border style for fields, subforms, content areas, groups, and other objects.
See also
To use the drawing aids
Aligning and sizing objects
Drawing Aids palette menu


Info palette

Getting Started > Looking at the workspace > Palettes > Info palette
Info palette
The Info palette displays the metadata associated with the selected objects. This metadata is stored in the XML source as named children of a <desc> element. You can edit some metadata for the form design by using the Form Properties dialog box (Info tab).
See also
Info palette menu
Info tab (Form Properties dialog box)


Report palette

Getting Started > Looking at the workspace > Palettes > Report palette
Report palette
The Report palette provides information about the form design. The Warnings tab lists errors that are reported as you work in the form design, the Binding tab lists fields based on how you defined their binding data, and the Log tab shows a log of actions reported by LiveCycle Designer ES.
To clear the Warnings tab, you must address the errors listed. To clear the Log tab, click the palette menu and select Clear Warnings.
See also
About warning messages
Report palette menu
Report Warnings Options dialog box
To view a list of bound fields


How To palette

Getting Started > Looking at the workspace > Palettes > How To palette
How To palette
The How To palette contains a list of help topics about common procedures in LiveCycle Designer ES. You can scroll the list to locate a topic of interest and click More Info to see the steps.


Customizing the workspace

Getting Started > Looking at the workspace > Customizing the workspace
Customizing the workspace
To customize the Layout Editor
To customize the Script Editor
To customize the palettes
To use the drawing aids
To customize the toolbars
To customize the tool tips


To customize the Layout Editor

Getting Started > Looking at the workspace > Customizing the workspace > To customize the Layout Editor
To customize the Layout Editor
You can customize the Layout Editor to show or hide tabs, resize pages, and zoom in and out.
To show or hide tabs
•
To show or hide the Design View tab, select View > Design View.
•
To show or hide the Master Pages tab, select View > Master Pages.
•
To show or hide the XML Source tab, select View > XML Source.
•
To show or hide the Preview PDF tab, select View > Preview PDF.
To zoom in and out
•
To size the page to 100%, select View > Actual Size.
•
To size the page to fit in the Layout Editor, select View > Fit Page.
•
To size the page to fit the width of the Layout Editor, select View > Fit Width.
•
To zoom in or out of the Layout Editor, select View > Zoom, enter a value from 25% to 500% in the Zoom To box, and then click OK. You can also use the Zoom To box [image] in the toolbar.
•
To magnify an area, select View > Zoom Area. The pointer changes to a magnifying glass. Using the magnifying glass, click and drag the area that you want to magnify.
•
To display a specific page, zoom out so that you can see the entire page and scroll down to the page that you want to display.
See also
Layout Editor


To customize the Script Editor

Getting Started > Looking at the workspace > Customizing the workspace > To customize the Script Editor
To customize the Script Editor
You can show or hide the Script Editor and change the view from single-line to multiline.
•
To show or hide the Script Editor, select Palette > Script Editor.
•
To change from single-line to multiline view, drag the Expand button on the Script Editor palette border until the palette is the required size.
See also
Script Editor
About scripting in LiveCycle Designer ES


To customize the palettes

Getting Started > Looking at the workspace > Customizing the workspace > To customize the palettes
To customize the palettes
You can customize the palettes to show or hide palettes, dock or move palettes, or size or reset palettes.
To show or hide palettes
•
To show a palette, select Palette > [name of palette].
•
To hide a palette, select palette menu > Hide Palette.
•
To show or hide all palettes on one side of the Layout Editor, click Expand [image] on the palette border. Click it again to collapse the palettes.
•
To show or hide all the palettes that are in the selected location, select Palette > Workspace, and then select one of the commands.
To dock or move palettes
•
To dock a palette on the side of the window, drag the palette bar to the side of the LiveCycle Designer ES window.
•
To dock palettes together, drag the palette bar to the bottom of another palette. This procedure applies only to palettes that are docked to the LiveCycle Designer ES window; it does not apply to floating palettes.
•
To move and dock a palette, drag the palette bar.
•
To move a palette without docking it, Ctrl+drag the palette bar.
•
To move a palette into another palette window, drag the palette tab to the target palette. You cannot move a sub-tab.
To size or reset palettes
•
To change the size of a palette, drag any side of the palette.
•
To reset the palette locations, select Palette > Reset Palette Locations.
See also
Palettes


To use the drawing aids

Getting Started > Looking at the workspace > Customizing the workspace > To use the drawing aids
To use the drawing aids
You can use the Drawing Aids palette to show or hide rulers and object boundaries, set the grid, and set other preferences.
To show or hide the drawing aids
•
To quickly show the Drawing Aids palette, double-click the rulers.
•
To show or hide the object boundaries, select Show Object Boundaries.
•
To show or hide guidelines, or the grid, select Show Guidelines and Show Grid.
•
To show or hide rulers, select Horizontal Ruler and Vertical Ruler.
•
To show or hide cross hairs, select Long Crosshairs.
To use the grid
•
To enable snap to grid, select Snap To Grid.
•
To set the grid’s origin, type new coordinates for the origin in the X and Y Origin boxes.
•
To set the grid’s interval, type new values in the X and Y Interval boxes. For example, if the grid is in 1-inch units and you specify an interval of 10, 10 grid points are displayed per inch.
To set other drawing aids
•
To add a guideline, starting from the upper-left corner of the Layout Editor, drag the pointer onto the page. To remove a guideline, select its triangle in the ruler and drag it off the page.
•
To set the rulers’ unit of measurement, select a unit from the Units list.
•
To set the color of object boundary borders, click Styles, click the Color box, select More Colors, and either choose a predefined color from a palette or create a custom color by clicking Define Custom Color.
•
To set the object boundary border style, click Styles and select the border style for the required object.
•
To set the color of grids or guidelines, click the Color box, select More Colors, and either choose a predefined color from a palette or create a custom color by clicking Define Custom Color.
See also
Drawing Aids palette
Drawing Aids palette menu
Aligning and sizing objects


To customize the toolbars

Getting Started > Looking at the workspace > Customizing the workspace > To customize the toolbars
To customize the toolbars
You can customize the toolbars to show, hide, dock, or move toolbars, create new toolbars, remove toolbars that are no longer needed, add frequently-used buttons or remove unused buttons from a toolbar, or reset to the default toolbars.
To show, hide, dock, or move a toolbar
•
To show or hide a toolbar, right-click a toolbar and select or deselect the toolbar that you want to show or hide.
•
To dock a toolbar, drag the toolbar to the top of the LiveCycle Designer ES window.
•
To move a toolbar, drag the toolbar to the new location.
To create a toolbar
1.
Select Tools > Customize.
2.
In the Toolbars tab, click New.
3.
Type a name for the toolbar and click OK.
4.
Add buttons and menus to the toolbar, and click OK.
To remove a toolbar
1.
Select Tools > Customize.
2.
In the Toolbars tab, select the toolbar that you want to delete and click Delete.
Note:
You can only delete toolbars that you have created.
To add or remove a button on a toolbar
1.
Ensure that the toolbar you want to change is visible.
2.
Select Tools > Customize.
3.
Add or remove a button:
•
To add a button to a toolbar, in the Commands tab, select the category and then select the button that you want to add. Drag the button to the toolbar.
•
To remove a button from a toolbar, drag the button off the toolbar.
4.
Click OK.
To reset a toolbar to its default appearance
1.
Ensure that the toolbar you want to reset is visible.
2.
Select Tools > Customize.
3.
Select the toolbar, click Reset, and then click OK.


To customize the tool tips

Getting Started > Looking at the workspace > Customizing the workspace > To customize the tool tips
To customize the tool tips
You can display tool tips that show the position, the size, and the name of the object as you work on a form design.
•
To show or hide the position of tool tips, select Tools > Options > Workspace, select or deselect Display Position And Size Tool Tips While Editing, and then click OK.
•
To show or hide the object tool tips, select Tools > Options > Workspace, select or deselect Display Object Name Tool Tips While Pointing, and then click OK.


Managing library palettes

Getting Started > Looking at the workspace > Managing library palettes
Managing library palettes
Object Library palette


Object Library palette

Getting Started > Looking at the workspace > Managing library palettes > Object Library palette
Object Library palette
You can add categories to this palette, rename existing categories, move objects between categories, and remove categories from this palette. You can also create and add your own objects to the categories. Each category corresponds to a folder in the file system.
To add a category to the Object Library palette
1.
In the Object Library palette menu, select Add Group.
2.
Type a name for the category and click OK. Adding a category to the Object Library palette creates a folder in the file system.
Tip:
To view the location of the new folder, click the category in the Object Library palette and, in the Object Library palette menu, select Group Properties. Notice the folder location in the Location box.
To delete a category from the Object Library palette
1.
In the category menu, select Remove Group.
2.
Do one of the following tasks:
•
To delete a category, select Remove Group and All Its Objects.
•
To delete a category and move the objects to another category, select Remove Group and Move Objects to [category name].
3.
Click OK.
To move an object to a different category in the Object Library palette
*
In the Object Library palette, right-click the object that you want to move and select Move Object To > [category name].
Only categories that allow objects to be added to it or removed from it are listed.
To customize the view in the Object Library palette
*
Do one or both of these tasks:
•
To change the size of the icons, in the category menu, select View > [icon size].
•
To sort the icons, in the category menu, select View > Sorted List.
To set permissions for an Object Library palette category
1.
In the category menu, select Group Properties.
2.
Do one of the following tasks:
•
To allow objects to be added to a category, ensure that Allow Objects To Be Added is selected.
•
To allow objects to be removed from a category, ensure that Allow Objects To Be Removed is selected.
•
To allow objects to be modified in a category, ensure that Allow Objects To Be Modified is selected.
To add an object to the Object Library palette
1.
In the Object Library palette, select the category where you want to store the object.
2.
Drag the object into the Object Library palette.
3.
In the Add Library Object dialog box, type the name of the object.
4.
(Optional) Type a description for the object.
5.
Click OK.
If another object of the same name exists in that category, LiveCycle Designer ES prompts you to confirm whether you want to replace the existing object.
From the Group Properties dialog box, some categories may have been set up to prevent objects from being added, removed, or modified. If a category prevents new objects from being added, the objects are added to the first category that accepts them.
To delete an object from the Object Library palette
1.
In the Object Library palette, select the category where the object is stored.
2.
Right-click the object and select Remove Object From Library.
Using the Group Properties dialog box, some categories may have been set up to prevent objects from being added, removed, or modified. You cannot delete an object if the category prevents it.
3.
When you are prompted to delete the object, click Yes. The object is removed from the file system.
To rename an object in the Object Library palette
1.
In the Object Library palette, select the category where the object is stored.
2.
Right-click the object and select Object Info.
Using the Group Properties dialog box, some categories may have been set up to prevent objects from being added, removed, or modified. You cannot delete an object if the category prevents it.
3.
In the Name box, type a new name.
4.
(Optional) In the Description box, type a description.
5.
Click OK.
If another object of the same name exists in that category, LiveCycle Designer ES prompts you to confirm whether you want to replace the existing object.
To restore default objects in the Object Library palette
You can restore the default objects in the My Favorites, Standard, Barcodes, and Custom categories in LiveCycle Designer ES.
Caution:
When you restore objects, all the objects provided with LiveCycle Designer ES are restored. LiveCycle Designer ES replaces any missing objects and overwrites all objects that have the same names as the originals.
*
Do one or both of these tasks:
•
To restore default objects in all categories at once, in the Object Library palette menu, select Restore Default Objects For All Groups.
•
To restore default objects in a single category, select one of the categories: My Favorites, Standard, Custom. or Barcodes. Then in the category menu, select Restore Default [category name] Objects.
To share an Object Library palette category with other form authors or form developers
You can place the Object Library palette objects in a shared folder or web folder where other form authors or form developers can access them.
1.
Create a shared folder or web folder that other form authors or form developers can access.
2.
Create subfolders for each of the categories in the Object Library palette you want to share.
3.
Copy the objects from their existing location to the new location.
4.
In LiveCycle Designer ES, select the category that you want to share in the Object Library palette.
5.
In the Object Library palette menu, select Group Properties.
6.
In the Location box, type or browse to the location of the new category subfolder that you created in step 2.
7.
Click OK.
8.
Repeat steps 4 to 7 for each of the categories.
To share an Object Library with other form authors or form developers
You can place your Object Library of categories and objects into a shared folder or web folder where other form authors or developers can access them.
To create a shared library by using an existing library
1.
Add and remove categories and objects from your existing library until you create the structure you want to achieve for the shared library.
2.
For each category, in the Object Library palette menu, select Group Properties and set the appropriate user permissions.
3.
Locate the Objects folder in the directory where LiveCycle Designer ES is installed, and copy the Objects folder and all of its subfolders to a shared folder or web folder that form authors or developers can access.
4.
Rename the LocalLibrary.xml file located in the Object folder to avoid confusion. For example, rename the file as SharedLibrary.xml.
5.
Add the shared library to LiveCycle Designer ES by following the procedure To add a shared library.
To create a shared library without using an existing library
1.
Create a shared folder or web folder that form authors or developers can access.
2.
Create subfolders within the shared folder for each of the categories in the Library that you want to share.
3.
Copy the Library objects from their existing location to the new shared location.
Tip:
To view the current location of objects or categories in the Library, click the category in the Object Library palette and select Group Properties from the category menu. Notice the folder location in the Location box.
4.
Using the form, create a new object library file, where Category_name is the name to appear as a category title in the Object Library palette, and folder is the location or relative path to the folder that contains the objects for the category.
<?xml version="1.0" encoding="UTF-8"?>
<objectLibraryTabSet>
<tab name="Category_name" directory="folder" permission="adm"/>
<tab name="Category_name" directory="folder" permission="adm"/>
.
.
.
</objectLibraryTabSet>
5.
Save the new object library file to the root of your shared folder with an .xml file name extension.
6.
Add the shared library to LiveCycle Designer ES by following the procedure To add a shared library.
To add a shared library
1.
In the Object Library palette menu, select Shared Library Location.
2.
In the Location box, type the name of or browse to the shared folder that contains the object library file for the shared library you want to add.
3.
Click OK.


Steps to creating a form design

Getting Started > Steps to creating a form design
Steps to creating a form design
What are the steps to creating a form design?
Plan the form design
Create the form design
Save the form design
Preview and test the form design
Publish the form


What are the steps to creating a form design?

Getting Started > Steps to creating a form design > What are the steps to creating a form design?
What are the steps to creating a form design?
Here are the basic steps to creating a form design using LiveCycle Workbench ES:
•
Plan the form design
•
Create the form design
•
Save the form design
•
Preview and test the form design
•
Publish the form design


Plan the form design

Getting Started > Steps to creating a form design > Plan the form design
Plan the form design
Keep these considerations in mind when planning a form design:
Data capture requirements
Consider the data you hope to gather or distribute and how you will capture and process it. Will users manually enter all data, or can any data be prepopulated in the form?
Calculations or scripts to associate with the data and where they will be run (client, server, or client and server)
Script will only run on a server if you are deploying forms through LiveCycle Forms ES and/or LiveCycle Output ES.
Security requirements.
Will users require a password for such things as opening, printing, copying text or applying signatures? See About secure forms, Overview of password fields, and Overview of signature fields.
Determining user needs
Your primary design objective should be to satisfy the needs of the people who use your forms. The clearer your goals, the better the form design.
Create a library of fragments
Consider creating fragments for logos, headers, address blocks, and footers that can be shared among form designs.
•
Decide whether you will use the FormCalc or JavaScript language.
•
Examine which security options you will apply to the form.
•
Set accessibility standards, if needed.
Considering form usability
When planning a form, remember to build usability into the design. Here are a few points to consider:
•
A form should be easy to use. A simple layout with clear, meaningful captions will make the form easier to understand. Forms can validate user input and supply prompts to assist users who enter data. If LiveCycle Forms ES is available, some of the information can be filled in ahead of time through merged data. In addition, scripts attached to objects can calculate numeric values automatically at run time. If you are adept at scripting, you can also develop scripts to process or route data and forms automatically from the click of a button.
•
A form should be accessible to users with disabilities.
See About accessible forms and About tabbing order.


Create the form design

Getting Started > Steps to creating a form design > Create the form design
Create the form design
There are several ways you can create a form design. You can start with a blank form, template, or PDF document. If you are creating your first form design using LiveCycle Designer ES, try one of the tutorials or look at one of the sample forms installed with LiveCycle Designer ES.
Start with a tutorial
You can get started by following one of the step-by-step quick start tutorials. The tutorial for the office picnic survey form teaches you how to create a form that you can send out to have filled and the information emailed back to you. For more information, see Creating an office function survey form. If you have Acrobat Professional, you can consolidate the information from the returned files into a spreadsheet, such as Microsoft® Excel.
Start with a sample form
If you prefer not to try one of the tutorials, you can start by looking at one of the sample forms installed with LiveCycle Designer ES. The sample forms illustrate form design techniques, from simple to complex. LiveCycle Designer ES includes a selection of complete samples, each one accompanied by a form design, sample data and/or schema, as well as the final version of the form. If one of the sample forms suits your requirements, use it as a starting point. For more information about sample forms, see About the Sample Forms.
Considerations when creating form designs
You will need to consider form-specific details when creating form designs. The following table lists items that you may want to keep a record of as you work on a form design.
Item
Specifications
Page size and orientation
(for master page)
Page size (for example, Letter)
Orientation (for example, Portrait)
Logos and graphics
Required file format (for example, TIF)
Form properties
Store title of form with form properties (Yes or No)
Locale setting (for example, Viewer’s system locale)
Default scripting language (for example, JavaScript)
Accessibility
Tool tips required for objects (specify the objects requiring tool tips)
Screen reader precedence (for example, Tool Tip)
Tabbing order
Setting (for example, Western)
Common font and drawing properties
Line thickness (for example, same thickness for all lines)
All captions (same typeface and size)
All data values (same typeface and size)
Object properties
Field borders and background color (Yes or No)
Background color of fillable areas (for example, an RGB value)
Field names (for example, see supplied “Field Name” list)
Form intelligence
Fields that must be filled (identify the fields)
Prompts to specify for required fields (specify the required prompts)
See also
Form design layouts
To create a form design in LiveCycle Workbench ES


Save the form design

Getting Started > Steps to creating a form design > Save the form design
Save the form design
Save your form design as you work.The form designs you create in LiveCycle Workbench ES are saved in the LiveCycle ES repository to ensure that they are available to others who are logged in to the same server.
See also
To save forms for Acrobat and Adobe Reader.
Working with data sources


Preview and test the form design

Getting Started > Steps to creating a form design > Preview and test the form design
Preview and test the form design
Previewing and testing your form designs ensures that they look and behave the way you intended.
Preview your form design as you work by using the Preview PDF tab. When you preview a form design, LiveCycle Designer ES renders your form as a PDF file. See To preview and test forms in the Preview PDF tab.
You can test a form using sample data. Testing the form with sample data ensures that data and fields map and that repeating subforms appear as expected. You can automatically generate sample data to preview and test your form instead of creating a sample data file. If your form contains repeating subforms or subform sets, you can specify the number of times the data will be repeated when you preview the form. See To automatically generate sample data to preview your form.
You can also preview how your form will print by generating sample data to print with the form. If the form contains repeating subforms or subform sets, you can specify the number of times the data will be repeated when you print the form. See To print a form with sample data.
See also
To set preview options for an interactive form
To set preview options for a non-interactive form


Publish the form

Getting Started > Steps to creating a form design > Publish the form
Publish the form
If you are working outside of LiveCycle Workbench ES and want to publish to the repository, you can set up a web folder on your file system and map it to the location in the LiveCycle ES repository.
See also
Publishing to the LiveCycle ES repository
To publish a form to a repository


Quick Start Tutorials

Quick Start Tutorials
Quick Start Tutorials
About the Quick Start Tutorials
Creating an office function survey form
Creating a purchase order form
Creating a purchase order form that has a flowable layout
Creating and using fragments in form designs


About the Quick Start Tutorials

Quick Start Tutorials > About the Quick Start Tutorials
About the Quick Start Tutorials
This section contains tutorials designed to get you started with LiveCycle Designer ES.
Creating an office function survey form
This tutorial takes you through the process of creating an office picnic survey form that includes a Submit By Email button. When the person filling the form clicks this button, an email containing the information is sent back to you. This tutorial makes use of the New Form Assistant. In order to access the New Form Assistant and complete this tutorial, you need to use LiveCycle Designer ES in standalone mode.
Creating a purchase order form
This tutorial takes you through the process of creating an interactive purchase order form that includes a Print Form button. When the person filling the form clicks this button, the form is printed. The person then returns the printed form to you. In addition to adding objects, you will learn how to add simple calculations.
Creating a purchase order form that has a flowable layout
This tutorial takes you through the process of changing a form’s fixed layout to a flowable layout by using subforms so that the form displays all the orders that one of your clients requested. This tutorial also shows you how to merge a form with data.
Creating and using fragments in form designs
This tutorial takes you through the process of creating and using fragments to simplify the process of creating collections of forms.
Click to continue:
Creating an office function survey form
Creating a purchase order form
Creating a purchase order form that has a flowable layout
Creating and using fragments in form designs


Creating an office function survey form

Quick Start Tutorials > Creating an office function survey form
Creating an office function survey form
Creating an office function survey form
Starting the form
Positioning the Submit By Email button
Adding the title Corporate Picnic Survey
Adding a text field object for the name
Adding a drop-down list object for number of attendees
Adding a text object for instructions
Adding a radio button object for date choices
Adding a check box object for preferred activities
Saving your form design
Previewing your work
Finishing the form design
What’s next?


Creating an office function survey form

Quick Start Tutorials > Creating an office function survey form > Creating an office function survey form
Creating an office function survey form
It’s that time again. In addition to everything else filling your work day, you have been asked to pull out last year’s questionnaire and survey co-workers about the company picnic. Once again, you are faced with the task of updating and distributing the survey, collecting the completed and printed surveys, issuing countless reminders for feedback, and finally, compiling and manually entering the responses into a spreadsheet.
Wouldn’t it be nice if you could create an electronic copy of the survey that you could then send out to your co-workers? Each co-worker could directly fill the survey and then email the information back to you just by clicking a button right in the form. In this tutorial, you will do just that.
This tutorial takes you through the process of creating an office picnic survey form that includes a Submit By Email button which, when clicked by the person filling the form, emails the information back to you.
Note:
This tutorial makes use of the New Form Assistant. In order to access the New Form Assistant and complete this tutorial, you need to use LiveCycle Designer ES in standalone mode. The New Form Assistant is not available in LiveCycle Workbench ES.
When you have finished working through this tutorial, the form you create will look like this:
A form with text fields, radio buttons, and check boxes.
Using LiveCycle Designer ES, you create a form design. In the form design, you specify the layout and data capture rules for the finished form. When you are finished, you save the form design in PDF. This is the form that you distribute to the people who will fill the form.


Starting the form

Quick Start Tutorials > Creating an office function survey form > Starting the form
Starting the form
1.
Select File > New > Adobe XML Form File (XDP). Adobe XML Form File (XDP).
2.
In the Enter or Select the Parent Folder box, select the parent folder under which to save the form design.
3.
In the File Name box, type an new name for the form design, and then click Next.
4.
In the Select Template list, select the template you want to use.
5.
Click Finish.


Positioning the Submit By Email button

Quick Start Tutorials > Creating an office function survey form > Positioning the Submit By Email button
Positioning the Submit By Email button
The New Form Assistant automatically adds the Submit By Email button to the blank form design when you select the Fill Then Submit option. After people finish filling the picnic survey, the Submit By Email button allows them to quickly send the information back to you in XML format. You can do many things with the XML files that you receive, including using Acrobat Professional to consolidate the information into a spreadsheet application, such as Microsoft Excel.
For this tutorial, you will position the Submit By Email button at the bottom center of the form.
1.
Drag the button to the bottom center of the form.
To select the button and not just the button text when you want to drag the button, select the button border.
2.
To horizontally center the button on the form, select the button and then select Layout > Center In Page > Horizontally.


Adding the title Corporate Picnic Survey

Quick Start Tutorials > Creating an office function survey form > Adding the title Corporate Picnic Survey
Adding the title Corporate Picnic Survey
In this section, you’ll add a title to the survey.
1.
In the Object Library palette, click the Standard category and then click the Text object [image].
Note:
If the palette that you want is not open, click Window > [palette name].
2.
Click at the top of the form where you’d like the title to appear.
The object appears and you can adjust it to suit your requirements. For example, to horizontally center the object on the form, select Layout > Center in Page > Horizontally.
Note:
Notice the boundary lines around the object. This is the object boundary and only appears in the form design to give perspective about the object size and shape; the person filling the form does not see it.
3.
To size the object, drag the object boundary lines.
4.
Do the following steps:
•
Select the text in the Text object and type Corporate Picnic Survey.
•
Press Enter.
•
Type Help us make it a success!
Note:
If a white plus sign in a red square appears in the bottom-right corner of the object, you need to adjust the height of the object to accommodate the size of the font.
5.
Select the Corporate Picnic Survey text.
6.
In the Text Formatting toolbar, select 22 from the Size list and then click Bold [image] and select Align Center [image].
Note:
You can control how you select objects and captions in a form design. Select Edit > Lock Text when you want to use a single-click to select an object and a double-click to edit captions. In this guide, Lock Text is deselected so that you can single-click to select an object and select the caption directly. This tutorial uses single-click to select an object.
7.
Select the Help us make it a success! text.
8.
In the Text Formatting toolbar, select 16 from the Size list and select Align Center [image].


Adding a text field object for the name

Quick Start Tutorials > Creating an office function survey form > Adding a text field object for the name
Adding a text field object for the name
You have just seen how easy it is to add a title to the form design. Now, you will create the body of the picnic survey.
To do this, you will add several objects from the Standard category in the Object Library palette. For example, to add a box where people filling the form will type their name, you will add a Text Field object.
Use the Text Field object to add boxes to a form when you want to provide the people filling the form with a way to enter text. In this tutorial, you will add the boxes where people filling the form will type their name and their comments or suggestions.
There is no single method for how you add objects to a form design. It all depends on how you prefer to work. You can add objects starting from the top of the form and work down, or you can add them at random.
Now, you will add the Name box and the Comments/Suggestions box using the text field object.
To add the Name box using the Text Field object
1.
In the Object Library palette, click the Standard tab category then click the Text Field object [image].
2.
Click the form where you’d like the Name box to appear.
The object appears and you can adjust it to suit your requirements.
This object has two parts: the caption (or label) and the place where people will type information, which is also referred to as the value.
3.
Select the text Text Field and type Name:
This text is called the caption.
4.
Select Window > Object.
The Object palette appears on the right side of the Layout Editor.
5.
In the Object palette, click the Binding tab and type Name in the Name box.
Note:
It’s a good idea to assign a name to each object in a form design. Later, you will see how the object names are useful when the information is returned to you in XML format.
6.
To decrease the space between the caption and the box where people will type their name, drag the boundary line between the caption and value to the left.
To add the Comments/Suggestions box using the Text Field object
1.
In the Object Library palette, click the Standard category and then click the Text Field object.
2.
Click the bottom of the form where you’d like the Comments/Suggestions box to appear. The object appears and you can adjust it to suit your requirements.
3.
Select Window > Layout.
The Layout palette appears on the right side of the Layout Editor.
Note:
Not all of the palettes are open in the workspace. If you do not see the palette that you want, select it from the Window menu to open it.
4.
In the Layout palette Caption area, select Top from the Position list. The caption moves to the top of the box.
5.
Drag the boundary lines to size the box.
6.
Select the caption Text Field and type Comments/Suggestions:
7.
Select the Comments/Suggestions field.
8.
In the Object palette, click the Field tab and select the Allow Multiple Lines option to allow the person filling the form to enter more than one line of text.
9.
In the Object palette, click the Binding tab and type Comments in the Name box.


Adding a drop-down list object for number of attendees

Quick Start Tutorials > Creating an office function survey form > Adding a drop-down list object for number of attendees
Adding a drop-down list object for number of attendees
Drop-down lists provide the person filling the form with a way to select a single choice from a list, such as the number of people who will attend the picnic.
1.
In the Object Library palette, click the Standard category and then click the Drop-Down List object [image].
2.
Click the form to the right of the Name field where you want the drop-down list to appear.
3.
To align the drop-down list with the Name field, select both the Drop-Down List object and the Name field and then select Layout > Align > Top.
4.
Widen the Drop-Down List object so that you have room to type the caption.
5.
Select the caption Drop-down List and type How many will attend?
6.
Select the Drop-Down List object.
7.
In the Object palette, click the Field tab. In the List Items box, enter the numbers by doing the following steps:
•
Click Add New Item [image].
•
Type 1 and press Enter.
•
Type 2 and press Enter.
•
Repeat this process until you reach 9.
8.
In the Object palette, click the Binding tab and type Attendees in the Name box.


Adding a text object for instructions

Quick Start Tutorials > Creating an office function survey form > Adding a text object for instructions
Adding a text object for instructions
Earlier, you used the Text object to create a title for the form design. Now, you will use it to add instructions for the person filling the form.
1.
In the Object Library palette, click the Standard category and then click the Text object [image].
2.
Click below the Name field where you’d like the instructions to appear.
3.
Size the object so that you have room to type the instructions.
4.
Select the text Text and type The park has given us the following dates. Please select the one that works best for you:
5.
Repeat steps 1 to 3 to add another text object, placing this object about midway between the text that you just added and the Comments/Suggestions box.
6.
Select the text Text and type Select the activities that you would like to have at the picnic:


Adding a radio button object for date choices

Quick Start Tutorials > Creating an office function survey form > Adding a radio button object for date choices
Adding a radio button object for date choices
Radio buttons are a useful way to provide a number of mutually exclusive choices. For example, in this case you want to find out which date people prefer for the picnic. You list each of the dates on the form beside a radio button. The person filling the form can pick only one of the dates.
1.
In the Object Library palette, click the Standard category and then click the Radio Button object [image].
2.
Click below the first set of instructions. The object appears.
3.
Select the text Radio Button and type June 26.
4.
Repeat steps 1 to 3 for the two other dates and do the following steps.
•
Place the objects below the first.
•
Select the caption in the second object and type July 10.
•
Select the caption in the third object and type July 17.
5.
In the Object palette, click the Binding tab and type PreferredDate in the Name box.


Adding a check box object for preferred activities

Quick Start Tutorials > Creating an office function survey form > Adding a check box object for preferred activities
Adding a check box object for preferred activities
Check boxes are useful when you want the person filling the form to select one or more options. For example, in this case you want to find out which activities people want to sign up for. You list each of the activities on the form beside a check box. The person filling the form can pick one or more activities.
1.
In the Object Library palette, click the Standard category and then click the Check Box object [image].
2.
Click below the second set of instructions.
The object appears and you can adjust it to suit your requirements.
3.
Select the text Check Box and type Football.
4.
In the Object palette, click the Binding tab and type Football in the Name box.
5.
Repeat steps 1 to 4 for the following activities:
•
Volleyball (Type Volleyball in the Name box of the Binding tab.)
•
Face painting (Type FacePainting in the Name box of the Binding tab.)
•
Sack races (Type SackRaces in the Name box of the Binding tab.)


Saving your form design

Quick Start Tutorials > Creating an office function survey form > Saving your form design
Saving your form design
It is a good idea to save your work regularly. Frequent saving reduces the risk of losing a large amount of work.
1.
Select File > Save.
2.
In File Name box, type the name for the file.
3.
Click Save.


Previewing your work

Quick Start Tutorials > Creating an office function survey form > Previewing your work
Previewing your work
As you work, you can preview and test your form design to see how it will look from the perspective of the person filling the form.
1.
Click the Preview PDF tab in the Layout Editor.
From this view, you can review the layout and test the boxes that require input.
2.
Enter data in the boxes and then click the Submit By Email button to email the data.
In this tutorial, the data will be sent to you because you entered your address as the return address when you created the form using the New Form Assistant.
If you open the XML file in your browser, this is what you will see:
<?xml version="1.0" encoding="UTF-16"?>
<form1>
<Name>Susan White</Name>
<PreferredDate>1</PreferredDate>
<Number>3</Number>
<Football>1</Football>
<Volleyball>0</Volleyball>
<FacePainting>0</FacePainting>
<SackRaces>1</SackRaces>
<Comments>Is there a rain date? </Comments>
</form1>
Notice how the names that you assigned to the objects in the form design are elements in the XML code. The XML file gives you many options for managing the information.


Finishing the form design

Quick Start Tutorials > Creating an office function survey form > Finishing the form design
Finishing the form design
Keep the form design file in a safe place. You will make any updates or modifications to the form in the form design.
1.
Click File > Save.
2.
Select a location for the form design, and type a name in the File Name box.


What’s next?

Quick Start Tutorials > Creating an office function survey form > What’s next?
What’s next?
You have just created your first form. This type of form is just one of many types that you can create using LiveCycle Designer ES. The Help describes additional concepts and techniques for creating forms.
See also
Creating a purchase order form


Creating a purchase order form

Quick Start Tutorials > Creating a purchase order form
Creating a purchase order form
Creating a purchase order form
Starting the form design
Adding a logo
Adding the purchase order title
Adding a text field for the P.O. Number
Adding a date field for P.O. Date
Previewing your work
Saving the form design
Adding an address block
Adding the purchase order details
Moving the purchase order table
Sizing the purchase order table
Entering labels in the header row
Specifying the Part No. and Description cells as text fields
Changing the cells to numeric fields
Naming the fields
Performing a calculation in the Amount column
Adding rows to the purchase order table
Renaming the contents of your form
Inserting the subtotal at the bottom of the table
Inserting the Tax fields
Inserting the Shipping Charge field
Inserting the Grand Total field
Adding the Terms and Conditions section
Adding the Authorized By Signature field object
What’s next?


Creating a purchase order form

Quick Start Tutorials > Creating a purchase order form > Creating a purchase order form
Creating a purchase order form
During the course of a workday, you may deal with many different types of forms, such as order forms, invoices, paychecks, and time sheets. There are different types of forms:
•
Some forms you fill directly, either by hand or electronically.
•
Some forms you fill in conjunction with a server-based process that merges the form with data.
•
Some forms are a combination of both.
This tutorial explains how to create a purchase order form that users will fill electronically and print. It describes basic concepts and procedures that apply to all types of forms. No matter what type of form you create later, you will find this tutorial a useful introduction.
When you have completed this tutorial, the form you create will look like this purchase order.
The form includes text fields, tables, and a button.


Starting the form design

Quick Start Tutorials > Creating a purchase order form > Starting the form design
Starting the form design
The requirement for the purchase order form is that it be a single page in PDF. Users will fill the form electronically using Adobe Reader, print it using the Print button included on the form, and then manually return the form.
1.
In the LiveCycle Form Design perspective, select File > New > Adobe XML Form File (PDF).
2.
In the Enter or Select the Parent Folder box, select the parent folder under which to save the form design.
3.
In the File Name box, type an new name for the form design, and then click Next.
4.
Click Finish.
The new form design appears in the Layout Editor.
5.
In the Object Library palette, click the Standard category and drag the Print Button object [image] onto the form in the upper right corner.
When a user finishes filling the form, they click the Print Form button to print the form.


Adding a logo

Quick Start Tutorials > Creating a purchase order form > Adding a logo
Adding a logo
In this section, you will add a logo to the purchase order.
Logo for Finance Corporation
1.
In the Object Library palette, click the Standard category and then drag the Image object [image] onto the form design in the upper left corner.
2.
Double-click the placeholder and click Import. Browse to locate an image file:
For example, if you installed the samples that come with LiveCycle Workbench ES, locate the following image file:
Adobe\LiveCycle ES\Workbench ES\Designer ES\8.2\EN\Samples\Purchase Order\Images\Purchase Order.tif
3.
Select the image and click Open.
4.
In the Browse For Image File dialog box, select the image and then click OK.
5.
In the Object palette, select Use Original Size from the Sizing list.


Adding the purchase order title

Quick Start Tutorials > Creating a purchase order form > Adding the purchase order title
Adding the purchase order title
In this section, you will add a title to the purchase order.
The title Purchase Order appears under the logo
1.
In the Object Library palette, click the Standard category and then drag the Text object [image] below the logo.
2.
Select the text in the Text object and type Purchase Order.
3.
Select the text in the Text object and, in the Font palette, select 20 from the Size list, and Bold from the Style list.
Tip:
You can set the default font for objects. For example, if you want to set the default font for all Text objects to Arial, insert a text object in your form, change the font to Arial, and then drag the Text object into the Standard category of the Object Library palette. In the Add Library Object dialog box, type Text and click OK. LiveCycle Designer ES asks you to confirm that you want to replace the existing Text object. Click Yes.


Adding a text field for the P.O. Number

Quick Start Tutorials > Creating a purchase order form > Adding a text field for the P.O. Number
Adding a text field for the P.O. Number
Next, you need to use a text field for the P.O. Number. In this form, it consists of 10 numbers.
1.
In the Object Library palette, click the Standard category and then drag the Text Field object [image] onto the form in the upper right corner.
2.
Select the text in the Text Field object and type P.O. Number.
Tip:
After the Text Field is selected, you can change the font, font size, and style of both the caption and the value. The caption (the field’s label) is beside the value (where the person filling the form enters the data). In the Font palette, use the palette menu to change the fonts for the caption and value.
Next, you must set the field length to 10 numbers.
3.
In the Object palette, click the Field tab and select the Limit Length option. Type 10 in the Max Chars box.


Adding a date field for P.O. Date

Quick Start Tutorials > Creating a purchase order form > Adding a date field for P.O. Date
Adding a date field for P.O. Date
You can use the Date/Time Field object to make it easy for your users to pick a date. This calendar is what users see in the form when they click the drop-down list for P.O. Date when viewing the form in Acrobat.
1.
In the Object Library palette, click the Standard category and then drag the Date/Time Field object [image] onto the form under the P.O. Number.
2.
Select the text in the Date/Time Field object and type P.O. Date.


Previewing your work

Quick Start Tutorials > Creating a purchase order form > Previewing your work
Previewing your work
As you work, you can preview your form design to see how it will look to the form filler. For example, here is how your form should look now.
There is a logo, title, print button and two fields
1.
Click the Preview PDF tab.
2.
Click the Design View tab to continue editing the form design.


Saving the form design

Quick Start Tutorials > Creating a purchase order form > Saving the form design
Saving the form design
It is a good idea to save your form now. The form design is saved in the LiveCycle ES repository.
*
To save the form design:
•
Click File > Save.


Adding an address block

Quick Start Tutorials > Creating a purchase order form > Adding an address block
Adding an address block
LiveCycle Designer ES includes some predefined custom objects that you can use to quickly create forms. For example, in this tutorial, we will use the Address Block custom library object to insert several fields at once.
It includes name, address, city, country, state and zip
1.
In the Object Library palette, click the Custom category and then drag the Address Block field object [image] onto the form under the Purchase Order title.
2.
Rename the Name text field to Ordered By.
3.
In the Object Library palette, click the Standard category and then drag the Text Field object [image] onto the form under the Country field.
4.
Name the Text Field object Phone Number.
5.
Add another Text Field object for Fax Number.
6.
Add another Text Field object onto the form under the fax number.
7.
Name the Text Field object Contact Name.
8.
To be able to insert a second address block beside this one, drag to select all the fields created in steps 1 to 7 and reduce the width of them by about half an inch using the sizing handle on the right side.
9.
Copy and paste the selected fields next to the Ordered By address block.
10.
Rename the second Ordered By field to Deliver To.
Your form should look like this now.
It now includes the address blocks and text fields
You can preview your form with the Preview PDF tab again.
Tip:
To improve the appearance of the form, you can change the look of the sunken box fields. To do this, select the object, and then in the Object palette, click the Field tab and select Underline from the Appearance list.


Adding the purchase order details

Quick Start Tutorials > Creating a purchase order form > Adding the purchase order details
Adding the purchase order details
Now, you need to add a table that will contain the part numbers, item descriptions, quantities, unit prices, and amounts of each item. Using tables helps you build this section quickly. The table will have five columns.
The Table Assistant is an easy way to create a new table if you are new to creating tables in LiveCycle Designer ES.
1.
Select Table > Insert Table.
2.
Select the Create Table Using Assistant option and click OK.
3.
Under Body Has Fixed Dimensions, type 5 for the number of columns and 1 for the number of body rows, and then click Next.
4.
Select the Has Header Row option and click Next.
5.
Ensure the No Footer Row option is selected and click Next.
6.
Select the Has Body Rows And No Sections option and click Next.
7.
Clear the Alternating Row Colors option and click Finish.


Moving the purchase order table

Quick Start Tutorials > Creating a purchase order form > Moving the purchase order table
Moving the purchase order table
Here is the table that you just inserted.
The table has a header row and body row
Now you need to position the table under the address blocks.
1.
If the table is not selected, move the cursor to the upper left corner until you see the following cursor:
The cursor points to the upper left corner.
2.
Click to select the whole table.
Tip:
Another way to select the whole table is to select a cell, then select Table > Select, and then select Table, or you can click and drag to select.
3.
Move the mouse to the upper left corner of the table until the move cursor [image] appears.
4.
Drag the table to the new location.


Sizing the purchase order table

Quick Start Tutorials > Creating a purchase order form > Sizing the purchase order table
Sizing the purchase order table
You can size the table so that it spans the width of the page. By default, it is centered on the page.
1.
Select the table.
The cursor for sizing the table appears.
2.
Move the cursor to the middle handle on the right so that the move cursor appears (shown in the previous step).
3.
Drag to make the table fill the width of the page.
Tip:
To make the width of all the columns the same, select Table > Distribute Columns Evenly.


Entering labels in the header row

Quick Start Tutorials > Creating a purchase order form > Entering labels in the header row
Entering labels in the header row
1.
Double-click the first cell in the table and type Part No.
2.
Repeat step 1 for the remaining cells in the header row so that it looks like this.
Description, Quantity, Unit Price, Amount
Tip:
You can apply a color fill to this row to make it distinctive. To do this, select the row by moving the cursor to the left of the row until this cursor appears Cursor is an arrow that points to the row..
Then, in the Border palette, select Solid from the Background Fill Style list. Finally, choose a color from the Color picker [image].
Your form should look like this now.
The table appears below the fields you added.


Specifying the Part No. and Description cells as text fields

Quick Start Tutorials > Creating a purchase order form > Specifying the Part No. and Description cells as text fields
Specifying the Part No. and Description cells as text fields
By default, the cells in tables are set as text objects. Now you must set the Description column cell as a text field. Text fields enable users to type, select, edit, cut, copy, paste, and delete any of the text inside the field. (Text objects present read-only text that end users cannot edit.)
1.
Select the cell under Part No.
2.
In the Object palette, click the Cell tab and in the Type list select Text Field.
3.
From the Appearance list, select None.
4.
Select the Allow Multiple Lines option.
5.
Repeat steps 1 to 4 for the Description cells.


Changing the cells to numeric fields

Quick Start Tutorials > Creating a purchase order form > Changing the cells to numeric fields
Changing the cells to numeric fields
Now you must set Quantity, Unit Price, and Amount as numeric fields.
1.
Select the first cell under Quantity.
2.
In the Object palette, click the Cell tab and select Numeric Field in the Type list.
3.
In the Cell tab, select None from the Appearance list.
4.
Repeat steps 1 to 3 for Unit Price and Amount:
Tip:
The Unit Price and Amount fields show currency. To format the data to show numbers as currency, drag to select the cells in the Unit Price and Amount columns. Then in the Object palette, click the Cell tab, click the Patterns button, and in the Pattern box, type $z,zz9.99.


Naming the fields

Quick Start Tutorials > Creating a purchase order form > Naming the fields
Naming the fields
To make your form more readable and usable, and to be able to perform calculations, it is a good idea to rename the fields. If you want to perform calculations, you will need to know the exact name of the field.
Note:
LiveCycle Designer ES is case-sensitive.
1.
Select the cell under Part No.
2.
In the Object palette, click the Binding tab and type partNo in the Name box.
3.
Repeat steps 1 and 2 for the remaining columns and name them as follows:
•
description
•
quantity
•
unitPrice
•
amount


Performing a calculation in the Amount column

Quick Start Tutorials > Creating a purchase order form > Performing a calculation in the Amount column
Performing a calculation in the Amount column
The Amount column must show the number of items ordered multiplied by the unit price. You perform calculations in LiveCycle Designer ES using FormCalc or JavaScript. We will use FormCalc for this calculation. FormCalc is a simple yet powerful calculation language modeled on common spreadsheet software. Its purpose is to facilitate fast and efficient form design without requiring a knowledge of traditional scripting techniques or languages. You use the Script Editor to enter calculations for the different objects on the form.
1.
If the Script Editor is not already showing, select Palette > Script Editor.
2.
If you want, drag the Script Editor palette bar until the palette is larger.
3.
Select the cell under Amount.
4.
Select Calculate from the Show list.
5.
Select FormCalc from the Language list and Client from the Run At list.
6.
In the Script Source field, type the following calculation:
quantity * unitPrice
7.
Deselect the cell to add the script to your form.
8.
To set this column as read-only, select the cell again, then in the Object palette, click the Value tab and select Calculated - Read Only from the Type list.


Adding rows to the purchase order table

Quick Start Tutorials > Creating a purchase order form > Adding rows to the purchase order table
Adding rows to the purchase order table
For this form, you need seven rows in which users can enter the items they want to purchase. A quick way to add several rows at once is to use the Copy Multiple command.
1.
Drag to select the body row.
2.
Select Edit > Copy Multiple.
3.
In the Number of Copies box, type 6.
4.
Select the Place Below option.
5.
Ensure the Touching option is selected in the Vertical Spacing box.
Your form should look like this now:
The table now has 6 body rows.)


Renaming the contents of your form

Quick Start Tutorials > Creating a purchase order form > Renaming the contents of your form
Renaming the contents of your form
It is a good idea to rename the objects in your form to organize it and identify the different areas of the form. To do this, the easiest way is to use the Hierarchy palette. The Hierarchy is a graphical representation of the contents of your form.
1.
Select Palette > Hierarchy.
2.
Select the first object in the hierarchy, form1.
3.
Press F2 or right-click and select Rename Object.
4.
Type the new name, PurchaseOrderForm.
5.
Rename (untitled Subform) (page 1) to PurchaseOrder.
You can rename the rest of the contents of your form, if you want, but it is not necessary to complete this tutorial.
Tip:
You can also move objects around in the Hierarchy by selecting them and dragging them up or down.


Inserting the subtotal at the bottom of the table

Quick Start Tutorials > Creating a purchase order form > Inserting the subtotal at the bottom of the table
Inserting the subtotal at the bottom of the table
To perform calculations, FormCalc needs to know what object to use in the calculation. In this step, we want to find out the total of all the data in the Amount column. If you select a cell in the Amount column, you can see the internal name in the Script Editor (if you resize the Script Editor to be larger).
What you see in the internal name relates to what you see in the hierarchy. “PurchaseOrderForm” is at the top, followed by “PurchaseOrder”, and so on.
All the rows in the table are named “Row1” followed by a default instance number. To be able to add the data in one column, all the rows have to be named the same.
Now, you will add the calculation for the subtotal at the bottom of the table.
1.
In the Object Library palette, click the Standard category and then drag the Numeric Field object [image] onto the form below the table under the Amount column.
2.
Select the caption text in the Numeric Field object and type Total.
3.
In the Object palette, click the Field tab and select Solid Box form the Appearance list.
4.
In the Script Editor, select Calculate from the Show list.
5.
Select FormCalc from the Language list and Client from the Run At list.
6.
In the Script Source field, type the following calculation:
sum(Table1.Row1[*].amount[*])
The wildcard character (*) tells LiveCycle Designer ES to collect all the data in the rows labeled Row1 and all the data in the Amount column.
7.
Deselect the Numeric Field object to add the script to your form, then select it again.
8.
In the Object palette, click the Binding tab and type total in the Name box.
9.
Click the Field tab, click the Patterns button, and in the Pattern box, type $z,zz9.99.
10.
Click the Value tab and in the Type list, select Calculated - Read Only.


Inserting the Tax fields

Quick Start Tutorials > Creating a purchase order form > Inserting the Tax fields
Inserting the Tax fields
The purchase order needs to calculate the appropriate state and federal taxes. To do this, you create a field that shows the tax rate and a calculated field that shows the tax amount.
To insert the State Tax % field
1.
In the Object Library palette, click the Standard category and then drag the Numeric Field object [image] onto the form below the Total field.
2.
Select the caption text in the Numeric Field object and type State Tax %.
You may want to resize the field to make it smaller.
3.
In the Object palette, click the Field tab and select Solid Box in the Appearance list.
4.
Click the Patterns button and in the Pattern box, type z9.99%.
5.
Click the Binding tab and type stateTaxPercent in the Name box,.
6.
Click the Value tab and in the Default box, type 6 .
To insert the State Tax field
1.
Copy the State Tax % field and position the new field beside the State Tax % field.
2.
Select the text and type State Tax.
3.
In the Script Editor, select Calculate from the Show list.
4.
In the Script Source field, type the following calculation:
(total * stateTaxPercent / 100)
5.
Deselect the Numeric Field object to add the script to your form.
6.
In the Object palette, click the Binding tab and type stateTax in the Name box.
7.
Click the Field tab, click the Patterns button and in the Pattern box, type $z,zz9.99.
8.
Click the Value tab and in the Type list, select Calculated - Read Only.
To insert the Federal Tax % and Federal Tax fields
1.
Repeat the procedure for inserting the State Tax % field.
2.
Repeat the procedure for inserting the State Tax field.
3.
Ensure the following changes to make the fields applicable for Federal Tax:
•
Change all instances of the word state to federal.
•
Set the default value for the federal tax percent to 8.
•
Set the calculation for federalTax to:
(total * federalTaxPercent / 100)


Inserting the Shipping Charge field

Quick Start Tutorials > Creating a purchase order form > Inserting the Shipping Charge field
Inserting the Shipping Charge field
By default, a shipping charge of $50.00 applies. However, this form lets users enter a different shipping charge if required.
1.
In the Object Library palette, click the Standard category and then drag the Numeric Field object [image] onto the form below the federal tax field.
2.
Select the caption text in the Numeric Field object and type Shipping Charge.
3.
In the Object palette, click the Binding tab and type shippingCharge in the Name box.
4.
Click the Field tab and in the Appearance list, select Solid Box.
5.
Click the Field tab, click the Patterns button and in the Pattern box, type $z,zz9.99.
6.
Click the Value tab and in the Default box, type 50.


Inserting the Grand Total field

Quick Start Tutorials > Creating a purchase order form > Inserting the Grand Total field
Inserting the Grand Total field
You now need to add a Grand Total field that shows the total for the items, taxes, and shipping charges.
1.
In the Object Library palette, click the Standard category and then drag the Numeric Field object [image] onto the form below the table.
2.
Select the caption text in the Numeric Field object and type Grand Total.
3.
In the Object palette, click the Binding tab and type grandTotal in the Name box.
4.
Click the Field tab and in the Appearance list, select Solid Box.
5.
Click the Patterns button and in the Pattern box, type $z,zz9.99.
6.
Click the Value tab and in the Type list, select Calculated - Read Only.
7.
In the Script Editor, select Calculate from the Show list.
8.
In the Script Source field, type the following calculation:
sum (total, stateTax, federalTax, shippingCharge)
9.
Deselect the Numeric Field object to add the script to your form.


Adding the Terms and Conditions section

Quick Start Tutorials > Creating a purchase order form > Adding the Terms and Conditions section
Adding the Terms and Conditions section
Now you can add the terms and conditions explaining how the items will be paid for.
1.
In the Object Library palette, click the Standard category and then drag the Text Field object [image] onto the form under the table beside the calculations.
2.
Name it Terms and Conditions.
You may have to resize the field so that you can fit the caption. To do this, move the cursor over the left border of the field. Click and drag to resize.
3.
In the Object palette, click the Field tab and select the Allow Multiple Lines option.
4.
Select Solid Box from the Appearance list.
5.
In the Layout palette, select Top from the Caption Position list.
6.
Drag to resize the box and make it bigger.


Adding the Authorized By Signature field object

Quick Start Tutorials > Creating a purchase order form > Adding the Authorized By Signature field object
Adding the Authorized By Signature field object
If you want the person filling the form to use the Adobe Acrobat Signature feature to sign the document, you add a Signature Field object to the form design. For more information about signatures, see Overview of signature fields.
1.
In the Object Library palette, click the Standard category and then drag the Signature Field object [image] onto the form below the Terms and Conditions section.
2.
Select the Signature Field object text and type Authorized By.
3.
In the Object palette, select Underlined from the Appearance list.
4.
Drag to resize the field and make it bigger.
Your form should look like this now.
The new fields appear at the bottom of the form.


What’s next?

Quick Start Tutorials > Creating a purchase order form > What’s next?
What’s next?
This type of form is just one of many types that you can create using LiveCycle Designer ES. The Help describes additional concepts and techniques for creating forms.
See also
Creating a purchase order form that has a flowable layout


Creating a purchase order form that has a flowable layout

Quick Start Tutorials > Creating a purchase order form that has a flowable layout
Creating a purchase order form that has a flowable layout
Creating a purchase order form that has a flowable layout
Opening the purchase order form
Enhancing the format of the form
Organizing the form
Formatting the footer
Setting the table to dynamically grow
Fixing the calculation for the Total field
Setting the fields to read-only
Connecting to a data source
Binding the data to fields and table cells
Specifying a data file
What’s next?


Creating a purchase order form that has a flowable layout

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Creating a purchase order form that has a flowable layout
Creating a purchase order form that has a flowable layout
In the previous tutorial, you created a purchase order form that has a fixed layout for users to fill electronically and then print. Now you will rework the form to have a flowable layout. A flowable layout means that the form will adjust to accommodate data so that it displays all the orders that one of your clients requested.
In this tutorial, the form design presents information from a data source. The resulting form is a non-interactive form that you can print or store electronically.
When you finish working through this tutorial, the form you create will look like this purchase order form merged with data.
The form includes text fields, a table, and data.
To complete this tutorial, you need a schema and a data file. You can use those that come with LiveCycle Workbench ES if you have installed the samples. The schema and data file are in the following location, by default:
•
\EN\Samples\Forms\Purchase Order\Schema\Schema\Purchase Order.xsd
•
\EN\Samples\Forms\Purchase Order\Schema\Data\Purchase Order.xml


Opening the purchase order form

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Opening the purchase order form
Opening the purchase order form
To start, you will open the Purchase Order form that you saved in the previous tutorial.
Tip:
If you plan to create more forms that have a flowable layout instead of forms that have a fixed layout, you can set the default file type for new forms to Dynamic PDF Form file in the Tools > Options dialog box (Document Handling tab).
1.
In the Resources view, double-click the form that you saved in the previous tutorial.
2.
Select Edit > Form Properties.
3.
On the Save Options tab, ensure that Save PDF As is set to Dynamic XML Form.
4.
Select File > Save As and change the name of the file.
5.
Click OK.


Enhancing the format of the form

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Enhancing the format of the form
Enhancing the format of the form
To enhance the format of the form for printing, you can make the field objects above the table an underline instead of a sunken box.
1.
Select the P.O. Number field.
2.
In the Object palette, click the Field tab and, in the Appearance list, select Underlined.
3.
Repeat for the remaining field objects above the table.
Tip:
You can change selected objects of the same type all at once.
4.
Select all the field objects above the table, except for the Print Button, Logo, and Purchase Order title.
5.
In the Paragraph palette, click Align Bottom.
6.
View the form in the Preview PDF tab.
7.
Click the Design View tab to continue editing the form design.


Organizing the form

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Organizing the form
Organizing the form
To create a form that has a flowable layout, you must organize the sections into subforms to merge with data. Subforms are objects that act as containers for other objects, including fields, boilerplate objects, and other subforms. They help to position objects relative to each other and provide structure in form designs that have a flexible layout.
1.
In the Hierarchy palette, select all the items that appear above the table.
2.
Select Insert > Wrap in Subform.
3.
Select the (untitled Subform), right-click, and select Rename Object.
4.
Type Header and press Enter.
5.
To ensure that the Header subform has space above it, make sure that the Layout palette is displayed and, in the Height box under Size & Position, type 4.5 in.
6.
Collapse all the items in the hierarchy.
7.
Repeat steps 1 and 2 for all the items below the table (total to SignatureField1) and rename this new (untitled Subform) Footer.
8.
To ensure that there is space before the Footer subform, make sure that the Layout palette is displayed and, in the Top box under Margins, type 0.25in.
This is what you should see in the Hierarchy palette if you collapse everything under PurchaseOrder.
Under PurchaseOrder are Header, Table, and Footer.


Formatting the footer

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Formatting the footer
Formatting the footer
To enhance the format of the footer, you can make the fields below the table show an underline instead of a sunken box. You can also set the captions and values to be bottom-aligned and set just the values in the fields to be center-aligned.
1.
Drag to select the fields in the footer, except for the Terms and Conditions and the Authorized By fields.
Tip:
If you try to drag to select the fields and you have the Move pointer [image], click anywhere along the edge of the form design to change the pointer to an arrowhead shape.
2.
In the Object palette, click the Field tab and, in the Appearance list, select Underlined.
3.
In the Paragraph palette, click Align Bottom.
4.
In the Currently Editing palette, select Edit Value to change the paragraph alignment of just the value.
5.
Click Align Center.


Setting the table to dynamically grow

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Setting the table to dynamically grow
Setting the table to dynamically grow
In a form that has a flowable layout, you may not know how much data the data source contains; therefore, you cannot specify how many rows the table should have. You have to set the table to be dynamic. To do this, you include only one body row that is set to repeat, depending on how much data there is in the data source.
1.
Drag to select the rows that are below the first row.
2.
Select Table > Delete > Row.
3.
In the Hierarchy palette, select Table1.
4.
Select Insert > Wrap in Subform.
This action creates a section in the form that contains the table. You need to separate this section from the remainder of the form to make it dynamically grow to fit the data.
5.
With the (untitled Subform) selected in the Hierarchy palette, in the Object palette, click the Subform tab and, in the Content list, select Flowed.
6.
Rename the (untitled Subform) to Table.
7.
In the Hierarchy palette, select Row1.
8.
In the Object palette, click the Binding tab and select Repeat Row For Each Data Item.
Now you need to set the entire form to flow.
9.
In the Hierarchy palette, select the PurchaseOrder subform.
10.
In the Object palette, click the Subform tab and, in the Content list, select Flowed.
Setting the entire form to flow, formats each subform in the form, one after another, leaving no space between them.


Fixing the calculation for the Total field

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Fixing the calculation for the Total field
Fixing the calculation for the Total field
Now that you have reorganized the contents of your form, the calculation for the total needs to reference the new Table subform.
1.
Select the Total field.
2.
Drag the Script Editor palette bar until the palette is the required size to show multiple lines.
3.
In the Script Source field, revise the script to show the following calculation:
sum(Table.Table1.Row1[*].amount[*])
4.
Deselect the Total field to add the script to your form design.


Setting the fields to read-only

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Setting the fields to read-only
Setting the fields to read-only
For a printable form, you do not want users to edit the fields; therefore, you must set the fields to read-only.
1.
In the Hierarchy palette, open the Header subform and select all the text fields (such as PONumber, OrderedBy, OrderedByAddress).
2.
In the Object palette, click the Value tab and, in the Type list, select Read Only.
3.
In the Hierarchy palette, open the Table subform and select the text fields (partNo and description).
4.
In the Object palette, click the Value tab and, in the Type list, select Read Only.
5.
Repeat for quantity, unitPrice, and amount.
6.
Repeat for the items in the Footer subform (except for the SignatureField).


Connecting to a data source

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Connecting to a data source
Connecting to a data source
To merge data with your form, you need to connect to a data source. After you connect, you need to bind the data to a field in your form design.
When you bind the fields in a form design to a data source, you create an association between the form design and the data source that allows you to capture, present, move, process, output, and print information associated with the form design.
1.
Select Edit > New Data Connection.
2.
Select XML Schema and click Next.
3.
If you or your administrator installed the samples that come with LiveCycle Designer ES, locate the schema named Purchase Order.xsd and click Open.
This file is located in \EN\Samples\Forms\Purchase Order\Schema\Schema.
4.
Click Finish.
The data appears in the Data View palette.
The Data View palette displays a hierarchy view of each data source. The top node in the hierarchy represents the data connection and displays the name that you assigned when you created the connection.


Binding the data to fields and table cells

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Binding the data to fields and table cells
Binding the data to fields and table cells
After you connect to a data source, you need to indicate where you want to see the data in the form design:
•
To bind single fields, such as the P.O. Number and P.O. Date, you can use the drag and drop method.
•
To bind repeating objects, such as the row in the purchase order table, to repeating items in the schema, use the Default Binding box in the Binding tab of the Object palette. After the row is bound, you can bind cells in the row to nodes in the schema, which makes these bindings relative to the row binding.
To bind the data to fields in the form design
1.
In the Data View palette, select poNum and drag it to the P.O. Number field.
2.
In the Binding Properties dialog box, select Don’t Update Any Related Properties, and then click OK.
Binding associates an existing form field with an item from the data source. Because you chose not to update any related properties, LiveCycle Designer ES keeps the formatting you have already applied to the field object intact.
An icon appears next to the bound node.
3.
Repeat for the remaining items in the Data View palette (except for partNum, description, quantity, and unitPrice).
For example, companyName should be bound to the Ordered By field.
To bind the data to table cells in the form
1.
In the Hierarchy palette, select Row1.
2.
In the Object palette, click the Binding tab.
3.
Click the triangle beside the Default Binding (Open, Save, Submit) box and select a binding. For example, select DataConnection > item > item.
The following string appears in the Default Binding (Open, Save, Submit) box: $record.item.item[*].
Tip:
You can type this string into the Default Binding (Open, Save, Submit) box instead of selecting it.
4.
Open the Data View palette.
5.
To ensure that the binding is set the way you prefer, bind each node to a cell by using the drag and drop method. For example, in the Data View palette, select partNum, and drag it to the cell under the heading Part No.
6.
In the Binding Properties dialog box that appears, select Don’t Update Any Related Properties and click OK.
7.
Repeat for the remaining items in the Data View palette under item (description, quantity, and unitPrice).


Specifying a data file

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > Specifying a data file
Specifying a data file
The last task is to point to a data file to merge with the form.
1.
Select Edit > Form Properties and click the Preview tab.
2.
In the Preview area, browse for the location of the data file you want to use.
For example, if you or your administrator installed the samples that come with LiveCycle Designer ES, locate the data file named Purchase Order.xml, which is located in \EN\Samples\Forms\Purchase Order\Schema\Data.
3.
Click Open and then click OK.
4.
View the form in the Preview PDF tab.
Your form should now look like this illustration.
The form is filled with data.
Tip:
The Purchase Order.xml data file that comes with LiveCycle Designer ES contains four records. You can modify this XML file so that you can test the layout of the form to verify that it adjusts to accommodate data by using a data file that contains more data.
(Optional) To test the Purchase Order form to ensure it that is flows the merged data properly:
1.
Open the XML file and find the following lines:
<item>
<partNum>00300-896</partNum>
<description>Address book</description>
<quantity>2</quantity>
<unitPrice>15.00</unitPrice>
</item>
2.
Below the previous lines, you can add more items. For example, you can add these lines:
<item>
<partNum>00300-300</partNum>
<description>Clipboard</description>
<quantity>3</quantity>
<unitPrice>5.00</unitPrice>
</item>
<item>
<partNum>00300-325</partNum>
<description>Paper Punch</description>
<quantity>1</quantity>
<unitPrice>8.00</unitPrice>
</item>
<item>
<partNum>00300-350</partNum>
<description>Ruler</description>
<quantity>5</quantity>
<unitPrice>1.00</unitPrice>
</item>
<item>
<partNum>00300-400</partNum>
<description>Scissors</description>
<quantity>2</quantity>
<unitPrice>2.00</unitPrice>
</item>
<item>
<partNum>00300-425</partNum>
<description>Tape</description>
<quantity>2</quantity>
<unitPrice>2.50</unitPrice>
</item>
<item>
<partNum>00300-450</partNum>
<description>Glue Stick</description>
<quantity>2</quantity>
<unitPrice>1.00</unitPrice>
</item>
<item>
<partNum>00300-475</partNum>
<description>Stapler</description>
<quantity>2</quantity>
<unitPrice>4.00</unitPrice>
</item>
<item>
<partNum>00300-500</partNum>
<description>Highlighters</description>
<quantity>1</quantity>
<unitPrice>5.00</unitPrice>
</item>
<item>
<partNum>00300-550</partNum>
<description>Selfstick Notes</description>
<quantity>4</quantity>
<unitPrice>5.00</unitPrice>
</item>
<item>
<partNum>00300-575</partNum>
<description>Composition Notebook</description>
<quantity>5</quantity>
<unitPrice>8.00</unitPrice>
</item>
3.
Save the revised data file with a new name.
4.
In the Form Properties dialog box, click the Preview tab and find the revised data file.
5.
Click OK and view the form in the Preview PDF tab again.


What’s next?

Quick Start Tutorials > Creating a purchase order form that has a flowable layout > What’s next?
What’s next?
If you have worked through the tutorials, you know the basics of how to set up a form. You may now want to include the header row in the table on subsequent pages. You also may want to add page numbering. You can review the Help to learn how to customize your forms.


Creating and using fragments in form designs

Quick Start Tutorials > Creating and using fragments in form designs
Creating and using fragments in form designs
Creating and using fragments
About the sample forms
Creating a fragment
Editing a fragment
Using fragments that contain script
Using fragments when controlling the display of subforms
What’s next?


Creating and using fragments

Quick Start Tutorials > Creating and using fragments in form designs > Creating and using fragments
Creating and using fragments
You are tasked with creating a collection of forms. From experience, you know that the first form that you create normally involves some trial and error before you get it just right. However, after you create that first form, you begin to find areas where you can create shortcuts to speed up and improve the process so that the remaining forms you create go together much faster.
For example, you discover that the majority of the forms you are creating include a delivery address part. Instead of creating the delivery address subform in each new form, you copy the first delivery address subform you created and paste it into a separate XDP file. That way, you can easily copy the delivery address subform and paste it into the other forms that you create. When you have to change the delivery address part, either you make the change in every form, or you make the change in the separate XDP file and then replace the delivery address part in every form.
In LiveCycle Designer ES, these resusable parts are called fragments, and instead copying the part from a separate file each time you need to use the part, you can insert a reference to the required fragment and the fragment appears in the form. Then, when you update a fragment, all forms that reference the fragment reflect the changes.
All fragments are included in the form when it is saved as a PDF file.
In this tutorial, you will learn about creating and using fragments to simplify the process of creating collections of forms. Before you start, you may want to view a video tutorial that walks you through the steps of working with form fragments. See Form Fragments Video Tutorial.


About the sample forms

Quick Start Tutorials > Creating and using fragments in form designs > About the sample forms
About the sample forms
LiveCycle Designer ES includes a selection of complete sample forms. Each one includes a form design, sample data, and/or schema, and the final version of the form.
The sample forms that are installed in EN\Samples\Forms\Purchase Order\Form Fragments\Forms, under the LiveCycle Designer ES installation folder, illustrate simple and complex ways in which fragments may be used.
The ...\Form Fragments\Forms folder includes three form designs:
•
Purchase Order Interactive.pdf
•
Purchase Order Dynamic Interactive.pdf
•
Purchase Order Dynamic.xdp
The fragments that are referenced in these sample form designs are installed in EN\Samples\Forms\Purchase Order\Form Fragments\Fragments.
You will use the form designs, fragments, and sample data in the Form Fragments folder for this tutorial. Therefore, it is recommended that you make a backup copy of this folder before you begin.


Creating a fragment

Quick Start Tutorials > Creating and using fragments in form designs > Creating a fragment
Creating a fragment
In this section, you will learn how to create a fragment.
You can create a fragment in a separate file or in the current form design.
1.
Open the Purchase Order Interactive.pdf sample form located in \EN\Samples\Forms\Purchase Order\Form Fragments\Forms.
2.
At the top of the form, select the P.O. Number and P.O. Date Text Field objects.
3.
Select Edit > Fragments > Create Fragment.
4.
In the Name box, type PO Info as the name for the fragment.
5.
Type Purchase Order Number and Date as the description of the fragment.
6.
To define the fragment in a separate XDP file that is stored in the repository, select Create New Fragment In Repository.
7.
To define the fragment in the current document, select Create New Fragment In Current Document.
8.
In the Fragment list, select Open Fragment Repository, and then navigate to and select the Fragments folder in EN\Samples\Forms\Purchase Order\Form Fragments.
9.
Leave the Replace Selection With Reference To New Form Fragment option selected so that the P.O. Number and P.O. Date Text Field objects in the form design will be replaced with the new form fragment.
10.
Click OK.
11.
Save the form design as My PO Interactive.PDF.
Notice that the look of the P.O. Number and P.O. Date objects has changed. The change is because a reference to the newly created PO Info fragment has replaced the objects.
A fragment icon appears in the upper-left corner of a fragment reference and uses the color of the object boundary borders. The objects within a fragment reference have gray borders to indicate that you cannot edit them from the fragment reference.
Clicking anywhere within a fragment reference selects it, and dragging anywhere on a fragment reference moves it. You cannot select any of the objects in a fragment reference.
Similarly, the objects in a fragment reference are not available in the Hierarchy palette because you cannot select or edit them in a fragment reference.
You can move a fragment reference and its contents in the Hierarchy palette in the same way that you move other form objects. However, you cannot drag objects into a fragment reference.


Editing a fragment

Quick Start Tutorials > Creating and using fragments in form designs > Editing a fragment
Editing a fragment
One of the main advantages of fragments is that you can add them to many forms, but when you need to make a change, you only need to make it in one place. In this section, we will edit the PO Info fragment.
First, you will add the fragment to the Purchase Order Dynamic Interactive.pdf form so that you can see the effect on more than one form design when you edit the PO Info fragment.
1.
Open Purchase Order Dynamic Interactive.pdf.
2.
Select and delete the P.O. Number and P.O. Date objects.
3.
In the LiveCycle Workbench ES Resources view, select the PO Info file that contains the fragment you created earlier.
4.
Drag the fragment onto the form design.
5.
Save the form design as My PO Dynamic Interactive.PDF.
6.
Right-click the PO Info fragment reference and select Fragments > Edit Fragment. The PO Info fragment source file opens in LiveCycle Workbench ES and you can now edit the fragment.
7.
Replace P.O. Number with P.O. No.
8.
Open the My PO Interactive.pdf and My PO Dynamic Interactive.PDF sample forms. The fragment reference in both forms is updated.
You have just learned how to create and modify a fragment. In addition, you can convert a fragment reference to an embedded object or create an override on a fragment reference that only affects the fragment reference in the current form. For more information, see To convert a fragment reference to an embedded object and Fragment reference overrides.
Next, we will take a closer look at the sample forms and review some interesting things that you can do with fragments.


Using fragments that contain script

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments that contain script
Using fragments that contain script
About using fragments that contain script
To test a sample script fragment
To view the script in the countryScript fragment


About using fragments that contain script

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments that contain script > About using fragments that contain script
About using fragments that contain script
Fragments can contain reusable JavaScript functions or values that are stored separately from any particular script object. You use these fragments to create custom functions and properties that you want to use in many locations on a form or that you want to use in many forms.
For example, the countryScript sample fragment controls the interaction between the Country and State/Province drop-down lists in the sample forms. The options that appear in the State/Province drop-down list depend on the country selected in the Country drop-down list.


To test a sample script fragment

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments that contain script > To test a sample script fragment
To test a sample script fragment
1.
Open the My PO Interactive.pdf sample form and click the Preview PDF tab in the Layout Editor.
2.
Under the Ordered By section in the form, select Canada from the Country drop-down list and then click the State/Province drop-down list. The list displays provinces to select from.
3.
Next, select United States from the Country drop-down list and then click the State/Provinces drop-down list. The list displays states to select from.
Next, we will take a closer look at the countryScript fragment in the sample forms.


To view the script in the countryScript fragment

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments that contain script > To view the script in the countryScript fragment
To view the script in the countryScript fragment
1.
In the LiveCycle Workbench ES Resources view, open the countryScript.xdp file.
Notice that the fragment is a child of Variables in the Hierarchy palette. Fragments cannot contain scripts that are associated with other form objects, such as event scripts like validate, calculate, or initialize.
2.
Select the countryScript script object in the Hierarchy palette.
3.
Expand the Script Editor to view the script.
The countryScript fragment is referenced by the drpDeliverToCountry and drpDeliverToStatePrv Drop-down list objects in the OrderedByAddress and DeliverToAddress fragments in the sample forms.
4.
In the LiveCycle Workbench ES Resources view, open the DeliverToAddress.xdp file.
5.
Select the drpDeliverToCountry Drop-down list object in the Hierarchy palette and view the script in the Script Editor. Notice how the countryScript fragment is referenced in the Script Editor.


Using fragments when controlling the display of subforms

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments when controlling the display of subforms
Using fragments when controlling the display of subforms
About using fragments when controlling the display of subforms
To view the FooterCanada and FooterUS fragments
To view the choice section in the Purchase Order footer


About using fragments when controlling the display of subforms

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments when controlling the display of subforms > About using fragments when controlling the display of subforms
About using fragments when controlling the display of subforms
The Purchase Order Dynamic.xdp sample form uses fragments to configure the footer to display the correct address, depending on the data being merged with the form. When the sample form is merged with the Purchase Order Canada.xml file, the FooterCanada fragment is instantiated; however, when the form is merged with the Purchase Order US.xml file, the FooterUS is instantiated.
1.
Open Purchase Order Dynamic.xdp and click Edit > Form Properties > Preview.
2.
In the Data File field, click the Browse button and select the Purchase Order US.xml data file located in EN\Samples\Forms\Purchase Order\Form Fragments\Data.
3.
Click Open and then click OK.
4.
Click the Preview PDF tab in the Layout Editor. Notice that the corporate address in the footer shows an American address.
5.
Click Edit > Form Properties > Preview.
6.
In the Data File field, click the Browse button and select the Purchase Order Canada.xml data file located in EN\Samples\Forms\Purchase Order\Form Fragments\Data.
7.
Click Open and then click OK.
8.
Click the Preview PDF tab in the Layout Editor. Notice that the corporate address in the footer now shows a Canadian address.
Next, we will view how this choice section was created.


To view the FooterCanada and FooterUS fragments

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments when controlling the display of subforms > To view the FooterCanada and FooterUS fragments
To view the FooterCanada and FooterUS fragments
1.
Right-click the FooterCanada fragment in the Hierarchy palette.
2.
Select the Fragments > Edit Fragment option. You can see that the fragment consists of two Static Text objects, one displaying the Canadian address.
3.
Repeat the same procedure to view the FooterUS fragment.


To view the choice section in the Purchase Order footer

Quick Start Tutorials > Creating and using fragments in form designs > Using fragments when controlling the display of subforms > To view the choice section in the Purchase Order footer
To view the choice section in the Purchase Order footer
1.
In the Purchase Order Dynamic.xdp sample form, click the Master Pages tab in the Layout Editor.
2.
Scroll to the bottom of the page where the footer is located. Notice that both the FooterCanada and Footer US fragment references are placed one on top of the other in the subform set. However, depending on the data, only one footer appears when the form is rendered. Also, because the size was adjusted to fit the bottom of the page, a small icon [image] appears to notify you that there are property overrides on the fragment references.
3.
In the Hierarchy palette, select the subform set and, in the Subform Set tab of the Object palette, click Edit Alternatives. The Edit Data Nominated Subforms shows the binding, language, and expression for the alternative footer fragments.
4.
Open the Purchase Order US.xml and Purchase Order Canada.xml files using a text editor. Notice that the value for <americas> </americas> is US in Purchase Order US.xml and Canada in Purchase Order Canada.xml. It is this value that determines which fragment is instantiated when the data is merged in the form.


What’s next?

Quick Start Tutorials > Creating and using fragments in form designs > What’s next?
What’s next?
You have just seen the various ways in which fragments can simplify and speed up the creation and maintenance of a collection of forms. The Help provides additional information about fragments.


Using LiveCycle Designer ES

Using LiveCycle Designer ES
Using LiveCycle Designer ES
Working with Form Designs
Working with Objects
Object Properties
Working with Data Sources
Creating Accessible Forms
Setting Security
Creating Forms for Optimal Performance
Creating Forms for LiveCycle Forms ES
Creating Forms for LiveCycle Process Management ES
Working with the Keyboard


Working with Form Designs

Using LiveCycle Designer ES > Working with Form Designs
Working with Form Designs
Creating, opening, and saving
Setting up pages, master pages, and page sets
Setting up forms for printing
Setting the tabbing order
Spell checking in forms
Setting page break controls
Hyphenating text
Using hyperlinks
Previewing and testing forms
Addressing warning messages in the Report palette
Working with forms that have a flowable layout
Importing documents
Using tables
Using subforms
Using fragments
Creating and managing templates


Creating, opening, and saving

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving
Creating, opening, and saving
Creating forms
Opening and saving forms
Publishing form designs


Creating forms

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms
Creating forms
About creating forms
Considerations for creating forms for use with Acrobat and Adobe Reader
To create a form design in LiveCycle Workbench ES
To create a form design by importing a PDF
To start with a blank form
To add details about the form


About creating forms

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms > About creating forms
About creating forms
With LiveCycle Workbench ES, you can create XDP and PDF form designs. If you have forms that were created in Adobe Acrobat or another application, you can import them as background artwork and add objects such as drop-down-lists to make them interactive.
If you are creating a PDF form design, you can select the Acrobat or Adobe Reader target version. With the target version chosen, you can see when an object is not appropriate for that version.
See also
About distributing forms


Considerations for creating forms for use with Acrobat and Adobe Reader

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms > Considerations for creating forms for use with Acrobat and Adobe Reader
Considerations for creating forms for use with Acrobat and Adobe Reader
Keep these considerations in mind when creating forms to be opened and filled in Acrobat or Adobe Reader:
•
Consider which version of Acrobat and Adobe Reader people are using when filling the form. Setting the target version of Adobe Reader and Acrobat in LiveCycle Designer ES can help you create a form design that is compatible. See To select the Acrobat and Adobe Reader target version.
•
Acrobat supports full interactive functionality, including form filling, local saving, digital signatures, review and markup, database and web service calls, and printing.
•
Adobe Reader supports a smaller set of functionalities and provides users with the ability to fill and print forms, and in some situations, submit them. To extend the functionality of Adobe Reader to match that of Acrobat, you must set usage rights for the form using LiveCycle Reader Extensions ES.
•
Acrobat and Adobe Reader support client-side data exchange processing for interactive PDF forms.
•
Server-side data processing, such as dynamic rendering and redisplay of forms at run time, is available through LiveCycle Forms ES. For more information see About designing forms for LiveCycle Forms ES.


To create a form design in LiveCycle Workbench ES

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms > To create a form design in LiveCycle Workbench ES
To create a form design in LiveCycle Workbench ES
You create a form design by dragging objects from the Object Library onto the Layout Editor. Alternatively, you can drag objects defined in an XML schema onto the Layout Editor.
To create an XDP form design:
1.
In the LiveCycle Form Design perspective, select File > New > Adobe XML Form File (XDP).
2.
In the Enter or Select the Parent Folder box, select the parent folder under which to save the form design.
3.
In the File Name box, type an new name for the form design, and then click Next.
4.
(Optional) In the Select Template list, select the template you want to use.
5.
(Optional) In the Select Schema area, click Browse, select the XML schema file to associate with the form design, and then click OK. If the XML schema is on your local computer, click Import, select the XML schema file, and then click Open.
6.
Click Finish.
To create a PDF form design:
1.
In theLiveCycle Form Design perspective, select File > New > Adobe XML Form File (PDF).
2.
In the Enter or Select the Parent Folder box, select the parent folder under which to save the form design.
3.
In the File Name box, type an new name for the form design, and then click Next.
4.
Click Finish.
See also
About the Quick Start Tutorials
About forms
Looking at the workspace
Working with data connections


To create a form design by importing a PDF

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms > To create a form design by importing a PDF
To create a form design by importing a PDF
You can import a PDF document to use as the basis for creating a new form design. For more information, see To import PDF files.
See also
About importing
About importing PDF documents as artwork
To import a PDF document as artwork in LiveCycle Workbench ES
Import Options dialog box


To start with a blank form

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms > To start with a blank form
To start with a blank form
*
Click the New button on the toolbar.


To add details about the form

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Creating forms > To add details about the form
To add details about the form
You can save descriptive information about a form design or template (for example, file description, author’s name, and file creation details) with the form design or template.
1.
Select Edit > Form Properties.
2.
In the Info tab, enter the information. For a complete list and description of the items in this tab, see Info tab (Form Properties dialog box).


Opening and saving forms

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Opening and saving forms
Opening and saving forms
About file types
To open form designs and other files
To save a form design
To select the Acrobat and Adobe Reader target version
To save forms for Acrobat and Adobe Reader


About file types

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Opening and saving forms > About file types
About file types
When you save a form, the file format must be compatible with the way the form will be used in the user community. You can save a form as a PDF file or an XDP file. Each file type has different uses:
•
Adobe Static PDF Form (*.pdf)
Saves forms as static PDF, based on the Acrobat and Adobe Reader target version specified. Static PDF forms render once and are displayed on the client in the Acrobat or Adobe Reader target version. They are not rerendered in response to user interaction. The PDF form may have been designed with a flowable layout; however, when the static PDF form is created, its layout is fixed and the resulting PDF form will not rerender on the client. Static PDF forms can be interactive or non-interactive.
•
Adobe Dynamic XML Form (*.pdf)
Saves forms as dynamic PDF, based on the Acrobat and Adobe Reader target version. The form design can contain dynamic elements. Dynamic PDF forms render on the client in Adobe Reader and, depending on the end-user interactions, can rerender on the client several times. Changes to the appearance of an object are possible in Adobe Reader because Adobe Reader has enough information to rerender the final output. For example, objects can change color, pagination can change, and objects can appear or disappear. If the end user clicks a button that adds a new row to a table, the form is rerendered in Adobe Reader.
•
Adobe XML Form File (*.xdp)
Sets the default file type for new forms to the native XML-based file format created by Designer ES. Use this option if you will be using Forms ES.
See also
To select the Acrobat and Adobe Reader target version


To open form designs and other files

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Opening and saving forms > To open form designs and other files
To open form designs and other files
You can open PDF forms created and modified using Designer ES or other applications such as Acrobat. Forms created in other application must be imported.
When you open a file, Designer ES attempts to match fonts in the file with fonts that are available on your computer. If the file contains an unavailable font, Designer ES displays a dialog box showing the missing font and a suggested replacement. You can accept the replacement font or change it. Later, when you save the file, you can indicate whether you want the replacement fonts saved with the file.
If you open a form that was created in a previous version of Designer ES, you can use the Compatibility tab (Form Properties dialog box) to update it to version 7.
1.
Select File > Open.
2.
Browse to the location where the form design is stored, select the file, and click Open. If the file contains fonts that are not available on your computer, the Missing Fonts dialog box appears.
3.
If necessary, select a font substitution method:
•
To accept the suggested replacement fonts, click OK.
•
To change the replacement font, click Change Substitute Font. Select a font and font style and then click OK. In the Missing Fonts dialog box, click OK.
Note:
This font substitution is not permanent. Designer ES must map the unavailable fonts every time the form opens. You can make the font substitution permanent by selecting Form Properties > Save Options and then selecting Permanently Replace Unavailable Fonts before saving the file.
See also
To save a form design
About file types


To save a form design

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Opening and saving forms > To save a form design
To save a form design
You can save form designs using their current name and location, or save a copy using a different name or location. You can save a document in several formats.
The form designs you create are saved in the LiveCycle ES repository to ensure that they are available to others who are logged on to the same server.
PDF forms saved in Designer ES should only be edited in Designer ES.
*
To save a form design, do one of the following actions:
•
Select File > Save.
•
On the toolbar, click Save [image].
See also
To add details about the form


To select the Acrobat and Adobe Reader target version

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Opening and saving forms > To select the Acrobat and Adobe Reader target version
To select the Acrobat and Adobe Reader target version
You can design a form to run on a specific target version of Acrobat and Adobe Reader. Designer ES displays warning messages when you try to use a feature that the selected target version does not support.
When you specify a target version of Acrobat and Adobe Reader, you must ensure that you have the correct version of Acrobat installed that matches the target version saved; otherwise, you may get an error or warning message when you click the Preview PDF tab. For example, if you select Acrobat and Adobe Reader 6.0.2 or later as the target version for the form, ensure that you have either Acrobat or Adobe Reader 6.0.2 installed. Similarly, if you select Acrobat and Adobe Reader 7.0.5 or later, ensure that you have Acrobat and Adobe Reader 7.0.5 installed.
The preview will use the same format as the saved form. You can right-click the Preview PDF tab to see which format is currently selected. To indicate the format of an unsaved form, you must change the Tools > Options > Document Handling > Default File Type For New setting.
1.
Select Edit > Form Properties.
2.
Click the Defaults tab and, in the Choose Version To Run Form In list, select the target version of Acrobat and Adobe Reader.
3.
Click OK.
See also
About warning messages
Addressing target warning messages


To save forms for Acrobat and Adobe Reader

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Opening and saving forms > To save forms for Acrobat and Adobe Reader
To save forms for Acrobat and Adobe Reader
When you create forms for Acrobat and Adobe Reader, you must save them as PDF files. PDF files saved from Designer ES should only be edited using Designer ES.
You can select the target version of Adobe Reader or Acrobat that you plan to run the form on. Selecting the target version allows you to see features that are not supported. See To select the Acrobat and Adobe Reader target version.
1.
If saving a PDF file in Workbench ES, do the following tasks:
•
Select Edit > Form Properties.
•
Click the Save Options tab.
•
Select the Save PDF As file type.
•
Click OK.
2.
If saving a PDF in stand-alone Designer ES, do the following tasks:
•
Select File > Save.
•
In the File Name box, type the name for the file.
•
In the Save As Type, select the required type.
•
Click OK.
Note:
Ensure that you have the version of Acrobat installed that matches the target version saved; otherwise, you may get an error or warning message when you click the Preview PDF tab. For example, if you select Acrobat and Adobe Reader 7.0.5 or later as the target version for the form, ensure that you have Acrobat 7.0.5 installed.
See also
About file types


Publishing form designs

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Publishing form designs
Publishing form designs
About publishing form designs


About publishing form designs

Using LiveCycle Designer ES > Working with Form Designs > Creating, opening, and saving > Publishing form designs > About publishing form designs
About publishing form designs
You can publish your form designs to a shared or web folder where many users or other applications can access them. If a form design contains links to external files, the links are modified to reflect the new location of the file. You need write access to the folders to which you publish. Your network administrator can set up the permissions you require.
Publishing to the LiveCycle ES repository
If you are using Designer ES outside of Workbench ES and want to use resources, such as images and fragments, that reside in the repository, you can set up a web folder on your file system and map it to the location in the repository. When you publish the form, links to the resources are maintained. You use the Publish to Repository command to copy the files into the repository. See To publish a form to a repository.
Alternatively, you can create the form design on your file system. When you complete the form design, you can drag and drop the folder and any sub-folders into the appropriate folder in the Workbench ES Resources view.
You need access to LiveCycle ES to read and write files in the repository. Your network administrator can set up the permissions your require.
Before you publish a form to a repository, you can optionally specify additional save options.
To set save options prior to publishing a form:


Setting up pages, master pages, and page sets

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets
Setting up pages, master pages, and page sets
Setting up pages
Setting up master pages
Setting up page sets


Setting up pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages
Setting up pages
About pages
To show or hide a page
To add a page
To delete a page
To move between multiple pages
To reorder pages
To rename a page


About pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > About pages
About pages
The pages represent the canvas on which you build your form design. To lay out a form design, you drag objects, such as Text Fields, from the Object Library palette onto the page. Use the Design View tab to view, add, delete, and edit pages.
See also
About master pages


To show or hide a page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > To show or hide a page
To show or hide a page
You can show or hide pages in a form design by using different methods:
•
To show the Design View tab if another tab is active, in the Layout Editor, click the Design View tab.
•
To show or hide the Design View tab, select View > Design View.


To add a page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > To add a page
To add a page
You can add a page by using the Insert menu or Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
To add a page, click the Design View tab and select Insert > New Page.
•
To add a page in the Hierarchy palette, right-click the required page-level subform and select New Page.


To delete a page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > To delete a page
To delete a page
You can delete a page by using the Insert menu or Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
To delete a page, click anywhere on the page and select Edit > Delete Page.
•
To delete a page in the Hierarchy palette, right-click the page-level subform that corresponds to the page and select Delete.


To move between multiple pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > To move between multiple pages
To move between multiple pages
If your form design has multiple pages, you can easily move from one to another by using the Layout Editor or Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
In the Design View tab, scroll up or down to the required page.
•
In the Hierarchy palette, click the required page.


To reorder pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > To reorder pages
To reorder pages
If you need to change the order of the pages, you can use the Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
1.
In the Hierarchy palette, select the subform that corresponds to the page you want to move.
2.
Drag the subform to a new position below the “form1” node.
3.
Repeat steps 1 and 2 until all the pages are in the order you prefer.


To rename a page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up pages > To rename a page
To rename a page
You can change the name of a page by using the Hierarchy palette or the Page tab of the Object palette. The default name of a page node in the Hierarchy palette is “(untitled Subform) (page 1)”, “(untitled Subform) (page 2)”, and so on.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
In the Hierarchy palette, right-click the page node and select Rename Object. Type a new name for the page.
•
With the Design View tab selected, click anywhere on the page, click the Object palette and, in the Binding tab, type a new name for the page.


Setting up master pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages
Setting up master pages
About master pages
When to add a master page
To show or hide a master page
To add a master page
To delete a master page
To move between multiple master pages
To reorder master pages
To rename a master page
To specify the size of a master page
To specify the orientation of a master page
Specifying white space around the edges of a form
Headers, footers, and other background items
Assigning additional master pages to complex form designs
To assign a master page to a specific page
Example of assigning a second master page to a form design
Applying master pages to forms whose number of pages vary
Using master pages with repeating subforms
To use the first master page one time only


About master pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > About master pages
About master pages
Master pages specify the layout and background for the form design. You add objects that will occupy the same position throughout the form design on a master page. The Master Pages tab is hidden by default.
A typical form design that has two pages with different dimensions contains at least two master pages, one for each page. If a form design has multiple pages that have the same dimensions and orientation, the form design needs only a single master page.
You can start designing pages immediately with the default master page. If your design is more complex (for example, you need to create design components such as page headers and footers), it is best to work with those components directly on the master page.
You can place objects anywhere on a master page. Each master page can have a unique design, which you can apply to one or more pages. Master pages save you the effort of creating the same layout directly on individual pages, one page at a time. If several pages that have the same layout also need the same set of objects (for example, a standard footer), placing and maintaining one set of those objects on a master page is more efficient than duplicating the objects on every page. When the objects are placed on a master page, all associated pages display those objects in the background. Changing the master page after automatically updates all associated pages.
Use the Pagination tab to indicate whether the master page is used in odd (front), even (back), or blank pages and its placement in the page set. You can also choose whether pages that are rendered according to the selected master page should contribute to the total page count.
If you choose to place objects on the master pages, you might also want to adjust the sizes and positions of content areas, and create single- or double-sided features (such as headers and footers) to display across all pages.
Use the Master Pages tab to view, add, and delete master pages. You can also rename master pages, select the size and orientation of master pages, and reorder their sequence.
See also
Master page properties in the Master Page tab
Master page properties in the Pagination tab


When to add a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > When to add a master page
When to add a master page
Normally, you add additional master pages when your require two or more different page sizes, a different page orientation, or different print mode settings.
If a form has a fixed layout, the number of pages in the form is also fixed. If the form contains subforms that adjust to accommodate the amount of data being merged, LiveCycle Forms ES adds additional pages automatically if the amount of data to be merged cannot completely fit on a single page.
Note:
When you create a form design for a form that has a fixed layout that accepts merged data, you must ensure that filled objects do not expand to the point that they overrun the content area. Otherwise, unwanted pages may get added to the form automatically when the form is rendered.
A form design may contain more than one content area. For example, a master page may have two content areas to provide a two-column layout, and two master pages of this type (one odd and one even) may be needed to support double-sided pages.
See also
Default subforms
Master page properties in the Master Page tab
Master page properties in the Pagination tab


To show or hide a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To show or hide a master page
To show or hide a master page
You can show or hide a master page by using different methods.
•
To show the Master Pages tab if another tab is active, in the Layout Editor, click the Master Pages tab.
•
To show or hide the Master Pages tab, select View > Master Pages.


To add a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To add a master page
To add a master page
You can add a master page by using the Insert menu or Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
To add a master page, click the Master Pages tab and select Insert > New Master Page.
•
To add a master page in the Hierarchy palette, right-click the Master Pages node and select New Master Page.


To delete a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To delete a master page
To delete a master page
You can delete a master page by using the Edit menu or Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
To delete a master page, click the Master Pages tab, select the content area that corresponds to that master page and select Edit > Delete Master Page.
•
To delete a master page in the Hierarchy palette, right-click the master page and select Delete.


To move between multiple master pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To move between multiple master pages
To move between multiple master pages
If your form design has multiple master pages, you can easily move from one to another by using the Layout Editor or Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
In the Master Pages tab, scroll up or down to the required page.
•
In the Hierarchy palette, click the required master page.


To reorder master pages

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To reorder master pages
To reorder master pages
If you need to change the order of the master pages in a form design, you can use the Hierarchy palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
1.
In the Hierarchy palette, drag the master page to a new position below the Master Pages node.
2.
Repeat step 1 until all of the master pages are in the order you prefer.


To rename a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To rename a master page
To rename a master page
You can change the name of a master page by using the Hierarchy palette or the Page tab of the Object palette.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.
•
In the Hierarchy palette, right-click the master page, select Rename Object, and type a new name for the master page.
•
With the Master Pages tab selected, click anywhere on the master page, select the Object palette and, in the Master Page tab, type a new name for the master page.


To specify the size of a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To specify the size of a master page
To specify the size of a master page
In the Master Pages tab, you can view changes to a form’s basic page layout, including the page size. When you select a master page in the Hierarchy palette, you can change its basic page layout properties in the Master Page tab of the Object palette.
Tip:
Content areas define the region in which objects can be placed on the pages of a form. If you are creating a form that contains subforms set to flow content, it is best to define the size and position of all content areas before you add other objects to the master page.
1.
In the Hierarchy palette, under the Master Pages node, select the master page you want to resize.
2.
In the Object palette, select a page size from the Paper Type list.
3.
If you selected the Custom type, type the page dimensions in the Height and Width boxes.


To specify the orientation of a master page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To specify the orientation of a master page
To specify the orientation of a master page
In the Master Pages tab, you can view changes to a form’s basic page layout, including the orientation. When you select a master page in the Hierarchy palette, you can change its basic page layout properties in the Master Page tab of the Object palette.
1.
In the Hierarchy palette, under the Master Pages node, select the master page you want to orient.
2.
In the Object palette, select Portrait or Landscape.
See also
To copy, move, and resize content areas


Specifying white space around the edges of a form

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > Specifying white space around the edges of a form
Specifying white space around the edges of a form
In a traditional printed document, margin refers to an area around the outside edges of the page where no printing occurs. In interactive forms, the term margin refers only to the buffer of white space around the inside edges of an object’s border.
To increase the amount of white space around the outside edges of a form, you must reduce the size of the content area on the master page. By default, the border of the content area is 0.25 inches from the edges of the form. To create extra white space in which to place a header or footer or to make adjustments to support printer limitations, you must make the default content area smaller.
The area bounded by the content area determines where objects can be placed on the pages of a form. The default subform on a page is the same size as the default content area on a master page, and the margin settings of the default subform are set to 0 inches. Changing the margin settings of the default subform on a page also influences where objects are positioned. Increasing the subform’s margin settings decreases the area where the subform’s objects may be rendered.
All of the objects that you place on a master page are displayed on each associated page, regardless of whether you place those objects inside or outside the content area. If you are setting up a watermark, you place the objects that make up the watermark inside the content area.
If you are designing a form that contains subforms that flow content, and you do not want the objects on the master page to interfere with objects that are placed on pages, you must position the master page objects outside the content area; that is, somewhere on the white space that you create on the master page. If you place objects inside the content area, other objects may be placed on top of the master page objects when the form is rendered.
See also
Overview of content areas
To copy, move, and resize content areas
Default subforms


Headers, footers, and other background items

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > Headers, footers, and other background items
Headers, footers, and other background items
If most of the pages in your form design require a certain amount of standardized, fixed content, you can place that content on master pages to provide a consistent background and make editing easier. For example, you can arrange text, images, and geometric shapes on a master page to have them appear in the same location on multiple pages.
If you create headers and footers and arrange other background items on the master page, follow these general guidelines:
•
If you are creating a form that contains subforms set to flow content, it is best to define the size and position of all content areas before you add additional objects to the master page.
•
Objects can be placed anywhere on a master page, inside or outside the content area. As a general rule, do not place objects inside the content area unless you intend to have other objects placed on top of the master page objects when the form is rendered. If you are setting up a watermark, place it inside the content area.
•
You will need text objects to hold read-only text, image or image field objects to position images (such as a logo), and you may consider adding geometric objects such as circles, lines, or rectangles to improve the appearance of the form design.
•
All of the objects on a master page are displayed as background objects on pages when the form is rendered.
See also
To copy, move, and resize content areas


Assigning additional master pages to complex form designs

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > Assigning additional master pages to complex form designs
Assigning additional master pages to complex form designs
Master pages provide the underlying format and background for pages. All new form designs are created with a default master page, which is applied to the first page. Additional pages are formatted according to the layout of the default master page unless you create a different master page to use.
A form design can contain any number of master pages, each having a unique layout. If some of the pages need different layouts or boilerplate objects, you can create a master page for each unique layout.


To assign a master page to a specific page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To assign a master page to a specific page
To assign a master page to a specific page
1.
Select the subform by using one of these methods:
•
In the Design View tab, select the default subform on the page.
•
In the Hierarchy palette, select the subform that corresponds to the page.
2.
In the Object palette, click the Pagination tab and, in the Place list, select On Page > [page], where [page] is the name of the master page you want use.


Example of assigning a second master page to a form design

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > Example of assigning a second master page to a form design
Example of assigning a second master page to a form design
The following example provides steps for assigning a second master page to a page in an interactive form design or a form design that has a fixed layout.
This form design contains two pages and two master pages. The first master page has a portrait orientation and the second master page has a landscape orientation.
1.
Click the Design View tab.
2.
Select the subform on page 2.
3.
In the Object palette, click the Subform tab and, in the Place list, select On Page > [page], where [page] is the name of master page 2.
Page 2 inherits the layout of master page 2 and now has a landscape layout.


Applying master pages to forms whose number of pages vary

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > Applying master pages to forms whose number of pages vary
Applying master pages to forms whose number of pages vary
Forms containing subforms that are set to flow content have a varying number of pages. When the form is rendered, objects are placed inside content areas and, if the data fills the content area, a page break is automatically inserted. By default, all of the pages inherit the format of the default master page.
When more than one master page is available, each one can influence how pages are formatted. In this case, the layout of a master page is applied when the subform that it is associated with is rendered. That is, if the subform is rendered on page 2 of the form, the format of the assigned master page is applied to page 2.
Two options are available for applying master pages to forms whose number of pages vary. The nature of the type of form should dictate which of these options are used.
First, you can limit the number of times a master page is used in a form by setting minimum and maximum page-occurrence settings. For example, the first master page needs a minimum and maximum page-occurrence setting of one to indicate that it always occurs only once. For master pages, the default minimum count is 0 and the maximum count is -1. For the second master page, the layout can be rendered on a page an infinite number of times.
Alternatively, you can define the placement of the master pages in the page set, such as in the first printed page, the last printed page, or the printed pages that occur in between. For example, a pay statement has company and employee-specific information on the first page. Subsequent pages show very little company or employee information and a significant amount of time card information. You can define two master pages. The first master page will have the company logo and contact information first, outside the content area. A small content area will follow to receive employee-specific information. The second master page will have a larger content area, possibly covering the whole page, to receive time card information.
By default, all form designs are created with the option of applying master pages by setting minimum and maximum occurrence values. Although different, the result of the rendered page using either option is the same. However, if the form is intended for double-sided printing, use the placement options.
Keep in mind that if you define the placement of the master pages in a form design and then you switch to setting page-occurrence values, you may need to make some changes to the form before it will behave as expected. Also, defining the placement of master pages is recommended only for form designs saved as Acrobat 8 (Static) PDF forms or for form designs intended for printing, including PCL and Postscript.
See also
About pages


Using master pages with repeating subforms

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > Using master pages with repeating subforms
Using master pages with repeating subforms
You can assign a different master page for any pages that occur after the first page in a form if you have a repeating subform that does not fit on one page but requires subsequent pages. For example, the subform may begin in the middle of the first page in the form. To have the subform begin at the top of the pages that occur after the first page, you create a different master page.


To use the first master page one time only

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up master pages > To use the first master page one time only
To use the first master page one time only
You can set minimum and maximum page-occurrence values to use the first master page one time only, or you can specify the master page’s placement as the first page in the page set.
By default, all form designs are created with the option of applying master pages by setting minimum and maximum occurrence values. Although different, the result of the rendered page using either option is the same. However, if the form is intended for double-sided printing, use the placement options.
Keep in mind that if you define the placement of the master pages in a form design and then you switch to setting page-occurrence values, you may have to make some changes to the form before it will behave as expected. Also, defining the placement of master pages is recommended only for form designs saved as Acrobat 8 (Static) PDF forms or for form designs intended for printing, including PCL and Postscript.
To use the first master page one time only by specifying minimum and maximum page-occurrence values
1.
In the Hierarchy tab, click the first master page, Page1.
2.
Click the Object palette and do the following tasks:
•
Select Restrict Page Occurrence.
•
Select Max and then type 1 in the corresponding box.
3.
Save the form design.
To use the first master page one time only by specifying the master page’s placement in the page set
1.
In the Hierarchy tab, click the first master page, Page1.
2.
In the Object palette, click the Pagination tab
3.
Select First Page (in Page Set) in the Placement list.
4.
Save the form design.
See also
When to add a master page
About pages


Setting up page sets

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets
Setting up page sets
About page sets
To move between multiple page sets
To add or delete a page set
To reorder page sets
To rename a page set
To manage page sets by controlling the number of occurrences of each page


About page sets

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets > About page sets
About page sets
Page sets control the order and visibility of pages in the form design. Form designs contain at least one page set.
Specify page set attributes in Object palette
See also
About pages
About previewing and testing forms
Page set properties in the Page Set tab
About making objects visible, invisible, or hidden
Using page sets to control single-sided and double-sided printing in a form
Specifying page placement and printing options in existing form designs
To specify the master page placement in a page set


To move between multiple page sets

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets > To move between multiple page sets
To move between multiple page sets
*
In the Hierarchy palette, click the page set.
Tip:
If the Hierarchy palette is not visible, select Palettes > Hierarchy.


To add or delete a page set

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets > To add or delete a page set
To add or delete a page set
•
To add a page set, in the Hierarchy palette, right-click the Master Pages node and select Insert Page Set.
•
To delete a page set, in the Hierarchy palette, right-click the page set and select Delete.


To reorder page sets

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets > To reorder page sets
To reorder page sets
1.
In the Hierarchy palette, drag the page set to a new position below the Master Pages node.
2.
Repeat step 1 until all of the page sets are in the order you want.


To rename a page set

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets > To rename a page set
To rename a page set
1.
In the Hierarchy palette, right-click the page set and select Rename Object.
2.
Type a new name for the page set.
Note:
You can also rename the selected page set in the Page Set tab of the Object palette.


To manage page sets by controlling the number of occurrences of each page

Using LiveCycle Designer ES > Working with Form Designs > Setting up pages, master pages, and page sets > Setting up page sets > To manage page sets by controlling the number of occurrences of each page
To manage page sets by controlling the number of occurrences of each page
1.
In the Hierarchy palette, select the page set.
2.
In the Object palette, select Page Occurrence from the Printing list. LiveCycle Designer ES notifies you that if you previously selected Print on Front Side Only or Print on Both Sides and are now switching back to the Page Occurrence option, you may need to make changes to the form before it will behave as expected. Click Yes to continue.
See also
Specifying page placement and printing options in existing form designs
About setting up forms for printing


Setting up forms for printing

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing
Setting up forms for printing
About setting up forms for printing
Specifying page placement and printing options in existing form designs
To use master pages in a form intended for double-sided printing
To specify the master page placement in a page set
Inserting a blank page after the first page in a form intended for double-sided printing
Using page sets to control single-sided and double-sided printing in a form
To print the contents of the Design View or Master Pages tab
To print a form with sample data
To create sample data to print with your form
To automatically generate sample data to print with your form
To specify settings for printing a PDF form
To automatically print a PDF form when it is opened


About setting up forms for printing

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > About setting up forms for printing
About setting up forms for printing
For forms intended for printing, you can select single-sided or double-sided printing for each page set in the form design. For forms intended for double-sided printing, you can specify which side of the paper the master page is used: odd (front), even (back), no odd/even restrictions, or blank.
Keep in mind that specifying single-sided or double-sided printing is recommended only for form designs saved as Acrobat 8 (Static) PDF forms or for form designs intended for printing, including PCL and Postscript.
When setting up forms for printing, it is recommended that you review the input data and consider preparing sample data files or have LiveCycle Designer ES automatically generate a sample data file to determine whether the layout, formatting, content, and behavior of a form responds as expected when it is printed. For example, when setting up forms for double-sided printing, you need to have sample data files for testing how a rendered form looks when the printed page ends on an odd page or an even page, and when the rendered form fits on one printed page.
You can also specify print settings for PDF forms. For example, for Acrobat 8 (Static) PDF forms and Acrobat 8 (Dynamic) XML forms, you can select the number of copies to print and whether to print single-sided or double-sided. When a user chooses to print the form, these options are automatically applied. For all PDF forms, you can specify that the form be printed immediately when it is opened. In this case, the Print dialog box appears when the user opens the form, and you can choose to print the form on the user’s default printer or on a printer that you specify.
See also
Specifying page placement and printing options in existing form designs
To use master pages in a form intended for double-sided printing
To specify the master page placement in a page set
Inserting a blank page after the first page in a form intended for double-sided printing
Using page sets to control single-sided and double-sided printing in a form
To specify settings for printing a PDF form
To automatically print a PDF form when it is opened


Specifying page placement and printing options in existing form designs

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > Specifying page placement and printing options in existing form designs
Specifying page placement and printing options in existing form designs
In form designs created using a version earlier than LiveCycle Designer ES 8.0, you control repetitive rendering of pages by specifying the Restrict Page Occurrence, Min, Count, and Max options in the Object palette for the selected page set or master page.
You can update an older form design to use page placement and printing options, which also take occurrence into account. Using the page placement and printing options, you can specify the pages on which a master page is used as well as the settings for single-sided and double-sided printing.
The result of specifying single-sided printing in a form design closely matches the result of setting minimum and maximum page set and master page-occurrence values. Therefore, it is recommended that you begin by updating the form design for single-sided printing. Then, when you are satisfied that the form renders properly, you can update the form design for double-sided printing, if necessary. When you select double-sided printing, you can control whether the master page and other objects, including subforms, subform sets, and tables, occur on the odd (front) or even (back) pages.
Notice that when you select the page placement and printing options in the form design, LiveCycle Designer ES disables the occurrence settings because management of the page set occurrences is now controlled by the placement and printing options that you select. Therefore, it is recommended that you back up the form design before you begin.
To specify page placement and printing options in existing form designs
1.
In the Hierarchy palette, select the page set.
2.
In the Object palette, select Print on Front Side Only from the Printing list. LiveCycle Designer ES notifies you that the Restrict Page Occurrence option will be disabled. Click Yes to continue.
3.
Select the first master page in the page set and click the Master Page tab in the Object palette. Notice that the Restrict Page Occurrence option is now disabled. Before this option was disabled, this master page had a minimum and maximum page-occurrence setting of one, indicating that it always occurs only once.
4.
Click the Pagination tab and notice that the Odd/Even and Placement lists are now enabled and that there are no placement restrictions for this master page.
5.
To specify that the master page occurs once, select First Page (in Page Set) from the Placement list.
6.
Preview the form in the Preview PDF tab to confirm that the master page is used once.
7.
Select the next master page in the page set.
8.
For master pages in the page set where the minimum page-occurrence setting was 0 and the maximum setting was 1, select one of these options from the Placement list in the Pagination tab in the Object palette:
•
To specify that the master page is used for pages between but not including the first and last pages, select Rest of Pages.
•
To specify that the master page is used for all pages but not including the first page, select No Placement Restrictions.
9.
For master pages in the page set where the minimum and maximum page-occurrence settings were one, select Last Page (in Page Set) from the Placement list to specify that the master page is used for the last page.
10.
Preview the form in the Preview PDF tab.
To specify double-sided printing for an existing form design
1.
Follow the previous procedure for specifying page placement and single-sided printing options in existing form designs.
2.
Select Edit > Form Properties.
3.
Click the Defaults tab and, in the Choose Version To Run Form In list, select Acrobat and Adobe Reader 8.0 or Later.
4.
Click the Preview tab and, in the Preview Type list, select Print Form (Two-sided).
5.
(Optional) To test the form that you are previewing by using a data source that you created, use the Browse button to navigate to the file. You can also enter the full path to your test data file in the Data File box. You should plan to have several data source files available for testing forms that are intended for double-sided printing. For example, you should have a data source file that fills only one page, a data source file where the rendered form ends on an even page, and a data source file where the rendered form ends on an odd page.
6.
(Optional) To test the form you are previewing by using an automatically generated data source, click Generate Preview Data. If the form contains repeating subforms or subform sets, indicate the number of times each subform or subform set will repeat in the data file. You can use the Browse button to navigate to the location where you want the file saved. Type a name for the file and then click Generate.
7.
In the Preview Adobe XML Form As list, select Static PDF Form, and then click OK.
8.
In the Hierarchy palette, select the page set.
9.
In the Object palette, select Print on Both Sides from the Printing list.
10.
Preview the form in the Preview PDF tab. It is recommended that you preview the form as you work. If you encounter unexpected behavior in the previewed form, review the settings for the Place and After option in the Pagination tab for the subforms, subform sets, and tables in the form design. For example, a subform that is set to be placed at the top of the next even page may cause an unexpected empty odd page in the middle of the form.
11.
Here is a list of ways that you can set up the form for double-sided printing:
•
To use master pages in a form intended for double-sided printing
•
To specify the master page placement in a page set
•
Inserting a blank page after the first page in a form intended for double-sided printing
•
Using page sets to control single-sided and double-sided printing in a form


To use master pages in a form intended for double-sided printing

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To use master pages in a form intended for double-sided printing
To use master pages in a form intended for double-sided printing
For forms intended for double-sided printing, you can specify which side of the paper the master page is applied to: odd (front), even (back), no odd/even restrictions, or blank.
You can use master pages for the odd (front) and even (back) sides of a form intended for double-sided printing. For example, you may want the page numbers of a double-sided printed form to appear at the lower-right corner of the odd (front) printed pages and the lower-left corner of an even (back) printed pages.
Select the Blank Pages option when you need a blank page inserted between two odd (front) double-sided printed pages.
Note:
The options in the Odd/Even list are not relevant for form designs that are based on setting minimum and maximum page-occurrence values.
1.
In the Hierarchy palette, under the Master Pages node, select the master page.
2.
In the Object palette, click the Pagination tab.
3.
In the Odd/Even list, select the printed page where the master page is applied.
See also
Specifying page placement and printing options in existing form designs
To specify the master page placement in a page set
Inserting a blank page after the first page in a form intended for double-sided printing
Using page sets to control single-sided and double-sided printing in a form


To specify the master page placement in a page set

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To specify the master page placement in a page set
To specify the master page placement in a page set
Form designs contain at least one page set. For forms intended for printing, you need to specify where in the page set the master page is used; for example, in the first printed page, the last printed page, or the printed pages in between.
Note:
The first page in the root page set cannot be blank; it must contain a content area.
In addition, for form designs that contain more than one page set, you must specify a break in a subform for printing to transition from one page set to the next.
Note:
Specifying master page placement is not relevant for form designs that are based on setting minimum and maximum page-occurrence values.
The Only Page (in Page Set) option is useful when the rendered form can be printed on one side of a printed page. For example, although the data fits on one printed page in the form below, two pages are printed because there is a master page for the first printed page and a master page for the last printed page in the page set. In the example, the header information appears on the first_page master page and the footer information on the last_page master page.
To prevent two pages from being printed when everything can fit on one page, create a master page and select the Only Page (in Page Set) option. Whenever the data of the rendered form fits on one side of a printed page, this master page is used.
1.
In the Hierarchy palette, under the Master Pages node, select the master page you want to place.
2.
In the Object palette, click the Pagination tab.
3.
In the Placement list, select the placement of the master page.
See also
Specifying page placement and printing options in existing form designs
To use master pages in a form intended for double-sided printing
Inserting a blank page after the first page in a form intended for double-sided printing
Using page sets to control single-sided and double-sided printing in a form


Inserting a blank page after the first page in a form intended for double-sided printing

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > Inserting a blank page after the first page in a form intended for double-sided printing
Inserting a blank page after the first page in a form intended for double-sided printing
To insert a blank page after the first page in a form that is intended for double-sided printing, the page set must include master pages for the first, odd, and even printed pages. For example, you may want a blank page to print on the back side of the cover letter. By specifying that the area that follows the cover letter subform begin on an odd page, a blank page will be inserted as the first even page when the form is printed.
To insert a blank page after the first page in a form intended for double-sided printing
1.
Add a new master page to the page set.
2.
Click anywhere in the master page.
3.
Click the Pagination tab and select Blank Pages from the Odd/Even list.
4.
Select the subform or subform set that occurs before the blank page.
5.
Click the Pagination tab and select Go To Next Odd Page from the After list.
6.
Preview the form in the Preview PDF tab.
See also
About setting up forms for printing
Specifying page placement and printing options in existing form designs
To use master pages in a form intended for double-sided printing


Using page sets to control single-sided and double-sided printing in a form

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > Using page sets to control single-sided and double-sided printing in a form
Using page sets to control single-sided and double-sided printing in a form
For forms intended for printing, you can specify single-sided or double-sided printing for each page set in the form design.
Note:
Specifying single-sided or double-sided printing is recommended for form designs intended for printing, including PCL and Postscript.
For example, you may want to create a form design to be used to generate a preprint and plain copy form. A preprint form is a form that is printed on paper that already has items printed on it. A plain copy form is a form that is printed on blank paper.
For this example, you create five master pages that are combined into page sets. You can specify which page sets print single-sided and which ones print double-sided.
MasterPage1
Contains the title page information and is used in the first page in the page set and prints single sided. MasterPage1 includes a page break in a subform that allows printing to transition to the PrePrint page set.
MasterPage2
The paper that the preprint form is printed on contains the company logo and contact information. This master page leaves room for that information outside the content area. A small content area follows next to receive employee-specific information. It occurs once for the preprint form and therefore is assigned as the first page in the second page set. The second page set requires double-sided printing.
MasterPage3
Has a larger content area, possibly covering the whole page, to receive more information. It is used for the second and subsequent pages of the preprint form. It is assigned the Rest of Pages placement option in the second page set. MasterPage3 includes a page break in a subform that allows printing to transition to the PlainCopy page set.
MasterPage4
Has the company logo and contact information first, outside the content area. A small content area follows next to receive employee-specific information. It occurs once for the plain copy form and therefore is assigned as the first page in the third page set. The third page set also requires double-sided printing.
MasterPage5
Has a larger content area, possibly covering the whole page, to receive more information. It is used for the second and subsequent pages of the plain copy form. It occurs 0 to infinite times. It is assigned the Rest of Pages placement option in the second page set.
The master pages are grouped into page sets:
•
The Main page set is set to print single-sided.
•
The PrePrint page set is set to print double-sided.
•
The PlainCopy page set is set to print double sided.
The form is rendered according to the order of the page set in the hierarchy:
•
The first subform is always placed on MasterPage1.
•
The next subform is placed on MasterPage2 and then MasterPage3 if the form is a preprint form, or on MasterPage4 and then MasterPage5 if the form is a plain copy form.
See also
About page sets
Specifying page placement and printing options in existing form designs
To use master pages in a form intended for double-sided printing
To specify the master page placement in a page set
Inserting a blank page after the first page in a form intended for double-sided printing


To print the contents of the Design View or Master Pages tab

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To print the contents of the Design View or Master Pages tab
To print the contents of the Design View or Master Pages tab
1.
In the Layout Editor, click the Design View tab or Master Pages tab.
2.
Click the Print button in the LiveCycle Designer ES toolbar.
Note:
If the Print toolbar button is not visible, you can add it to your toolbar by selecting Tools > Customize > Commands and then dragging the Print icon from the File category to one of the LiveCycle Designer ES toolbars.
3.
Set the required options and then click OK.
Note:
The options that display in the Printer and Print range sections of the dialog box depend on the printer that your computer is connected to. For more information about your printer’s options, see the printer documentation.
See also
To print a form with sample data


To print a form with sample data

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To print a form with sample data
To print a form with sample data
LiveCycle Designer ES lets you print a final version of the current form design with sample data. When you print the form, the data values from the sample XML file will appear in the respective objects.
By testing your form with sample data, you can see the final product and verify your design.
1.
Click the Print button in the LiveCycle Designer ES toolbar.
Note:
If the Print toolbar button is not visible, you can add it to your toolbar by selecting Tools > Customize > Commands and then dragging the Print icon from the File category to one of the LiveCycle Designer ES toolbars.
2.
Select Print Form With Data.
3.
(Optional) To print the form with a data source, use the Browse button to navigate to the file. You can also enter the full path to your test data file in the Data File box.
4.
(Optional) To print the form with an automatically generated data source, click Generate Data File. If the form contains repeating subforms or subform sets, indicate the number of times each subform or subform set will repeat in the data file. You can use the Browse button to navigate to the location where you want the file saved. Type a name for the file and then click Generate.
5.
Click OK.
See also
To create a data connection to an XML schema and XML data file


To create sample data to print with your form

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To create sample data to print with your form
To create sample data to print with your form
You can print a final version of the current form design using sample data to ensure that the form prints correctly. If you do not have sample data, you can create it using Acrobat.
After you create the sample data file, you can specify which data file to use when printing the form. The next time you print the form in LiveCycle Designer ES, the sample data will appear in the respective objects.
1.
In LiveCycle Designer ES, save the form design as a PDF file.
2.
Open the PDF file in Acrobat and enter values in the fields you want to test.
3.
In Acrobat, do these tasks:
•
Select Advanced > Forms > Export Form Data.
•
In the Export Form Data As dialog box, name the file and save it as XML Data Package (*.xdp).
4.
In LiveCycle Designer ES, do these tasks:
•
Click the Print button in the LiveCycle Designer ES toolbar.
Note:
If the Print toolbar button is not visible, you can add it to your toolbar by selecting Tools > Customize > Commands and then dragging the Print icon from the File category to one of the LiveCycle Designer ES toolbars.
•
Select Print Form With Data.
•
To print the form with a data source, use the Browse button to navigate to the test data XML file. You can also enter the full path to your test data XML file in the Data File box.
•
Click OK.
See also
To print a form with sample data


To automatically generate sample data to print with your form

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To automatically generate sample data to print with your form
To automatically generate sample data to print with your form
You can generate sample data to print with your form instead of creating a sample data file using Acrobat. Also, if your form contains repeating subforms or subform sets, you can specify the number of times the data will be repeated when you print the form.
LiveCycle Designer ES generates sample data that is valid for the corresponding objects in the form, with a few exceptions:
•
Sample data is not generated according to any validation scripts that may be specified for an object.
•
The minimum and maximum count for a subform will restrict the number of repeating subforms that you specify for the generated sample data file.
•
The default value you select for a 2D barcode is retained in the generated sample data file.
After you generate the sample data file, you can edit the file, if required.
Specify which data file to use when printing the form. The next time you print the form in LiveCycle Designer ES, the sample data will appear in the respective objects.
1.
Click the Print button in the LiveCycle Designer ES toolbar.
Note:
If the Print toolbar button is not visible, you can add it to your toolbar by selecting Tools > Customize > Commands and then dragging the Print icon from the File category to one of the LiveCycle Designer ES toolbars.
2.
Select Print Form With Data.
3.
Click Generate Data File.
4.
In the Data File box, use the Browse button to navigate to the location of the test data file. You can also type the full path, including a file name, for the test data file.
5.
In the Repeating Elements list, select the number to the right of a subform and type the number of times it will repeat in the data file.
6.
Click Generate.
See also
To print a form with sample data


To specify settings for printing a PDF form

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To specify settings for printing a PDF form
To specify settings for printing a PDF form
To print a PDF form, you can specify the settings in the form design, instead of placing the effort on the user to properly configure the print job. For example, you can select the number of copies to print and single-sided or double-sided printing. These settings are automatically applied when the user prints the form.
Note:
Specifying settings for printing is recommended only for form designs saved as Acrobat 8 (Static) PDF forms or Acrobat 8 (Dynamic) XML forms.
1.
Select Edit > Form Properties.
2.
Click the PDF Print Options tab and select Use These Print Settings for Printing This PDF Form.
3.
Select the number of copies to print.
4.
Select one of the following options for duplex printing. To print double-sided, the selected printer must support duplex printing.
•
To print on one side of the paper, select Simplex.
•
To print on both sides of the paper where the paper flips along the long edge, select Duplex Flip Long Edge.
•
To print on both sides of the paper where the paper flips along the short edge, select Duplex Flip Short Edge.
5.
Click OK.
See also
To automatically print a PDF form when it is opened


To automatically print a PDF form when it is opened

Using LiveCycle Designer ES > Working with Form Designs > Setting up forms for printing > To automatically print a PDF form when it is opened
To automatically print a PDF form when it is opened
You can specify that the Print dialog box appears when the PDF form opens, allowing the user to print the form immediately.
1.
Select Edit > Form Properties.
2.
Click the PDF Print Options tab and select Automatically Print the Form When it is Opened.
3.
(Optional) To print the PDF form by using the default printer on the user’s computer, select Print to the User’s Default Printer.
4.
(Optional) To print the PDF form using a specified printer, select Print To and select the printer from the list. You can also type the printer name. This is useful when you want to specify a printer that is not available to you. The printer name must match exactly the name of the printer as installed on the user's computer.
5.
Click OK.
See also
To specify settings for printing a PDF form


Setting the tabbing order

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order
Setting the tabbing order
About tabbing order
How the default tabbing order works
Viewing the default tabbing order
Using the Tab Order palette
Changing the tabbing order
To change the tabbing order for a single object using the mouse
To change the tabbing order for a single object using keyboard shortcuts
Changing the tabbing order for a group of objects
Changing the tabbing order on master pages
To change the tabbing order in fragments
To return to the default tabbing order
Excluding text and image objects from the tabbing order
To view the tabbing order using visual aids


About tabbing order

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > About tabbing order
About tabbing order
Many users use the Tab key to move between fields and buttons in a form instead of using the mouse. LiveCycle Designer ES lets you set the tabbing order between objects in a form.
Tabbing order is important for interactive forms and forms that have a fixed layout. For interactive forms, the tabbing order affects the end user’s experience when filling the form.
For both interactive and non-interactive forms, tabbing order is critical if your forms need to be accessible to users with vision or mobility impairments. These users typically do not use a mouse to navigate through the form, so they depend on the keyboard keys and a good tabbing order sequence to ensure that they have full access to all the fields on the form.
Accessible forms require a tabbing order, whether the form is interactive or designed for print. Additionally, a screen reader will read the form in geographic order, which in LiveCycle Designer ES is set when you use the default tabbing order.
LiveCycle Designer ES automatically sets a default tabbing order for each form. This tabbing order can be easily changed to better reflect the logical flow of the form and to accommodate particular user requirements.
See also
How the default tabbing order works
Tabbing order for accessible forms


How the default tabbing order works

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > How the default tabbing order works
How the default tabbing order works
The default tabbing order for objects in a form is from left to right, top to bottom, starting from the upper-left corner. Tabbing order respects the existence of subforms, radio buttons, and content areas. For example, if two subforms exist side-by-side, and each subform contains a number of field objects, the tabbing sequence will go through the fields in the first subform before moving on to the next.
Note:
LiveCycle Designer ES does not include circle, line, or rectangle objects in the tabbing order.
Tabbing order is also determined by the vertical position of objects on a page and its master page.
The tabbing order starts from the object with the smallest vertical coordinate and ends with the object with the largest vertical coordinate, regardless of whether the object is on the body or master page.
For objects that contain objects, such as content areas, all child objects are tabbed through before tabbing to the next higher-level object.
The following list provides an example of the tabbing order for objects on body and master pages:
•
Image object on the master page with a vertical coordinate of 1.
•
Content area object on the page with a vertical coordinate of 4. All objects in the content area are tabbed through before tabbing to the subform object on the master page.
•
Subform object on the master page with a vertical coordinate of 10. All objects in the content area are tabbed through before tabbing to the text object on the master page.
•
Text object on the master page with a vertical coordinate of 12.
Because the tabbing order is important, ensure that you position objects precisely on the form, relative to each other. For example, you can position and size an object using its coordinates and you can snap objects to points on a grid.
You can change the default tabbing order if you require a different sequence in your form. For example, you may want to change the tabbing order to move through objects in a column, from top to bottom, and then left to right.
Note:
In Acrobat 6.0.2, tabbing to a group of radio buttons makes the upper-left radio button active. Use the Tab key to move through the radio buttons. In Acrobat 7.0.5 and later, the selected radio button becomes active. Use the arrow keys to move between the radio buttons in a group and the Tab key to move out of the group.
See also
To position objects
Viewing the default tabbing order
Changing the tabbing order


Viewing the default tabbing order

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > Viewing the default tabbing order
Viewing the default tabbing order
One of the final tasks to do when creating a form is to set the tabbing order. Before you do this task, make sure you have finished laying out the form design so that all the objects are in their correct position on the form. First, you should examine the default tabbing order, which is created automatically by LiveCycle Designer ES.
When you design or open a form in LiveCycle Designer ES, the tabbing order is not visible. To see the tabbing order for the form, select View > Show Tab Order or click Show Order on the Tab Order palette.
Note:
If the Tab Order palette is not visible, select Palettes > Tab Order.
The tabbing order is displayed on the form as a series of consecutive numbers inside colored shapes:
•
Number inside a gray circle Numbers inside a gray circle indicates the default tabbing order for the objects in the content area.
•
Number inside a green circle Numbers inside a green circle indicate the tabbing order for master page objects.
•
Number inside a lavender square Numbers inside a lavender square indicate the tabbing order for the objects inside a fragment.
tabbing order markers
Examine the default tabbing order carefully to determine whether it suits your particular requirements or whether you need to change it. Even if you modify the tabbing order, you can quickly return to the default tabbing order by selecting the Automatic option in the Tab Order palette.
Note:
While viewing the tabbing order, you cannot edit any parts of the form.
To hide the tabbing order and return to normal form-editing mode, do one of the following actions:
•
Select View > Hide Tab Order
•
Click Hide Order in the Tab Order palette
•
Open a different palette, such as the Hierarchy palette.
See also
How the default tabbing order works
Changing the tabbing order


Using the Tab Order palette

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > Using the Tab Order palette
Using the Tab Order palette
The Tab Order palette provides an alternative view of the tabbing order on the form. It shows all the objects on the form as a numbered list, where each number represents the position of the object in the tabbing flow. The palette is also where you modify the tab order, if required.
To open the Tab Order palette, select Palettes > Tab Order.
The Tab Order palette may show the following visual markers in the list:
•
A gray bar marks each page of the form. The tabbing order on each page starts with the number 1.
•
The letter M inside a green circle indicates master page objects (visible only when viewing the form on the Design View tab).
•
A range of numbers indicates objects within a fragment.
•
A yellow background indicates the currently selected item.
•
A lock icon beside the first object on the page indicates that the object cannot be moved within the tabbing order (visible only when viewing the form on the Master Pages tab).
The list shows exactly the same tabbing order numbers as the numbers displayed on the form itself.
tabbing order in the list and on the form
The difference is that the numbers displayed on the form are for information purpose only, whereas the numbers on the list can be changed to modify the tabbing order.
In the Tab Order palette, you can also show or hide the tabbing order on the form and switch between the default and custom tabbing order.
See also
Changing the tabbing order
Viewing the default tabbing order


Changing the tabbing order

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > Changing the tabbing order
Changing the tabbing order
After examining the default tabbing order, you may decide that you need a different sequence for some of the objects on the form. For example, if you have two groups of address fields situated side-by-side, you may want to tab through the fields in the first group before moving to the second group.
Default tabbing in two address fields
You change the position of an object in the tabbing order by moving the object up or down in the Tab Order palette list. You can move a single object or a group of objects. When you move the object to a new place in the order, LiveCycle Designer ES reassigns the numbers to accommodate the object in its new place.
For example, you have four objects on the page, which are arranged in the following layout.
Therefore, their default tabbing order will be as shown in this illustration.
default tabbing order
You may want to change this tabbing order to a more logical one, such as First Name, Last Name, Telephone, Email. All you have to do is move the LastName object one position up in the list. The tabbing order numbers are reassigned to reflect this move.
Tabbing order reorganized
Although the tabbing order for the objects on the master page and the objects inside a fragment are displayed on the form, you cannot change the order for these objects on the Design View tab. For the master page objects, click the Master Pages tab and customize the tabbing order. (See Changing the tabbing order on master pages). For the fragments, open the required fragment and change the order inside the fragment. (See To change the tabbing order in fragments).
If your form has more than one page, the tabbing order for each page starts at the number 1, and you can change the order only inside each page.
Before you change the tabbing order, you should prepare your working area in the following way:
1.
Select Palettes > Tab Order. The Tab Order palette appears on the left side of the working area.
2.
Click Show Order and then select Custom.
The tabbing order numbers displayed on the form are now inside blue squares Number inside a blue square. This square visually indicates that you are now in custom tabbing mode and can change the position of one or more objects in the tabbing sequence.
See also
Using the Tab Order palette
To change the tabbing order for a single object using the mouse
Changing the tabbing order for a group of objects
To view the tabbing order using visual aids


To change the tabbing order for a single object using the mouse

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > To change the tabbing order for a single object using the mouse
To change the tabbing order for a single object using the mouse
You change the tabbing order by selecting the objects and changing their positions in the Tab Order palette list.
To change the order using drag-and-drop
*
Drag the selected object up or down the list and place it at the required location. A black handle marks your current position within the list before you place the object.
To change the order using the arrow buttons
*
In the Tab Order palette, click the up or down arrow buttons until the selected object is placed in the correct position.
To change the order using the menu
*
In the Tab Order palette menu, select Move Up or Move Down.
To change the order by editing the number
*
In the Tab Order palette list, click the selected object to make the number listed beside the object name editable. Then, type the new number indicating the new position of the object in the tabbing order and press Enter.
To change the order using copy and paste
*
Select Copy from the Tab Order palette menu and, in the list, select the object above which to place the object you are moving, and then select Paste from the menu.
See also
Changing the tabbing order
To change the tabbing order for a single object using keyboard shortcuts
Changing the tabbing order for a group of objects
To view the tabbing order using visual aids


To change the tabbing order for a single object using keyboard shortcuts

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > To change the tabbing order for a single object using keyboard shortcuts
To change the tabbing order for a single object using keyboard shortcuts
Note:
You must use the mouse pointer in conjunction with the keyboard to change the tabbing order by using keyboard shortcuts.
You change the tabbing order by selecting the objects and changing their positions in the Tab Order palette list.
To change the order using the menu
*
Press Ctrl+Up Arrow or Ctrl+Down Arrow to move the object one position up or down in the list.
To change the order by editing the number
*
Press F2 to make the number listed beside the object name editable. Then type the new number that indicates the new position of the object in the tabbing order and press Enter.
To change the order using copy and paste
*
Press Ctrl+C to copy the selected object to the clipboard. Then press the Up Arrow or Down Arrow repeatedly until you highlight the object above which you want to place the object, and press Ctrl+V to paste the object from the clipboard.
See also
Changing the tabbing order
To change the tabbing order for a single object using the mouse
Changing the tabbing order for a group of objects
To view the tabbing order using visual aids


Changing the tabbing order for a group of objects

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > Changing the tabbing order for a group of objects
Changing the tabbing order for a group of objects
Instead of moving individual objects to their new location within the tabbing order, you can move a group of objects all at once. This method works only for the objects that are positioned in sequence in the list of objects.
If you have a selection of objects that are scattered throughout the list, you must make them sequential first and then move the group.
After you select a group of sequentially ordered objects, you move the group to a new location in the tabbing order by using the same methods you used for moving a single object.
To select a sequential group of objects using the mouse
1.
In the Tab Order palette list, click the first object in the sequence.
2.
Press Shift and click the last object in the sequence.
To select a sequential group of objects using the keyboard
1.
In the Tab Order palette list, click the first object in the sequence.
2.
Press Shift+Down Arrow or Shift+Up Arrow until all objects in the sequence are selected.
To change a group of individually selected objects to a sequential group
1.
In the Tab Order palette list, click the first object and then press Ctrl and click each object that you want to select.
2.
In the palette menu, select Make Sequential. The selected objects are moved together into a sequentially ordered group.
See also
Changing the tabbing order
To change the tabbing order for a single object using the mouse
To change the tabbing order for a single object using keyboard shortcuts
To view the tabbing order using visual aids


Changing the tabbing order on master pages

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > Changing the tabbing order on master pages
Changing the tabbing order on master pages
Although the tabbing order for the objects that are located on a master page is displayed on the Design View tab, you can change the order for these objects only on the Master Pages tab.
The objects on the master page are placed in two areas, one above the content area and one below the content area. The tabbing order is set for objects within each of these two areas. Consequently, you can only change the tabbing order within each area.
Note:
The upper-left object on each master page is locked in the first tabbing position and cannot be moved.
When you change the tabbing order on a master page, any pages in your form that are using this master page are affected by the change.
See also
Changing the tabbing order
To change the tabbing order for a single object using the mouse
To change the tabbing order for a single object using keyboard shortcuts
Changing the tabbing order for a group of objects


To change the tabbing order in fragments

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > To change the tabbing order in fragments
To change the tabbing order in fragments
If you use fragment references in your form, the tabbing order inside a fragment is visible when viewing the order for the form. To change the tabbing order inside a fragment, you must open the fragment source file for editing, make the change, and save the file. Any forms that use this fragment are affected by this change.
1.
Select View > Hide Tab Order.
2.
Select the fragment reference.
3.
Select Edit > Fragments > Edit Fragment.
4.
Select View > Show Tab Order.
5.
Change the tabbing order as required.
6.
Save and close the fragment source file.
See also
Changing the tabbing order


To return to the default tabbing order

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > To return to the default tabbing order
To return to the default tabbing order
If you decide that you do not want the customized tabbing order on your form, you can quickly return to the automatic (default) tabbing order. You will lose any changes made to the tabbing order.
1.
On the Tab Order palette, select Automatic.
2.
In the message box, click Yes to acknowledge that the custom tab order will be removed.


Excluding text and image objects from the tabbing order

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > Excluding text and image objects from the tabbing order
Excluding text and image objects from the tabbing order
You can exclude text and image objects from the tabbing order to improve usability and flow of the tabbing on the form.
For example, on the form below, the user will need to tab through the title of the form (Purchase Order) before reaching the P.O. Date field.
Tabbing using all fields
If the text and image objects are excluded from the tabbing order, the tabbing flow on this form will change to include only the fields that require user input or action.
Text and image object excluded
Excluding text and image objects from the tabbing order is not recommended if one or more of the following is true for your form:
•
Your form will be used with a screen reader.
•
Your form contains hyperlinks inside the text objects.
You can exclude the text and image objects for both the default and the custom tabbing order.
To exclude text and image objects
*
Do one of the following actions:
•
Select Tools > Options > Tab Order and, in the Tab Order panel, select Only Show Tab Order For Fields.
•
In the Tab Order palette menu, select Show Fields Only.
See also
Viewing the default tabbing order
Changing the tabbing order


To view the tabbing order using visual aids

Using LiveCycle Designer ES > Working with Form Designs > Setting the tabbing order > To view the tabbing order using visual aids
To view the tabbing order using visual aids
On a complex and busy form, it may be difficult to see how the tabbing flows from one object to the next. You can use visual aids to help you see the tabbing flow on the form.
With the visual aids turned on, when you hover the pointer over the object, blue arrows show the tabbing flow for the two preceding and two following objects in the tabbing order.
Tabbing order - visual aids
*
Do one of the following actions:
•
Select Tools > Options > Tab Order and, in the Tab Order panel, select Display Additional Visual Aids For Tab Order.
•
In the Tab Order palette menu, select Show Visual Aids.
See also
Viewing the default tabbing order
Changing the tabbing order


Spell checking in forms

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms
Spell checking in forms
To select the default locale
To check spelling while you type
To check the spelling in a form
To add a word to all languages in the custom dictionary
To add a word to selected languages in the custom dictionary
To edit the custom dictionary
Adding a word to the list of ignored words
To add a dictionary
To remove a dictionary


To select the default locale

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To select the default locale
To select the default locale
Before you check the spelling in a form, you should verify that the correct default form locale is selected. The locale option that is selected in the Default Form Locale list in the Form Properties dialog box specifies the default language that LiveCycle Designer ES uses to check spelling. For quick reference, the current spell-check language is indicated in the upper-right corner of the Check Spelling dialog box, just below the title bar.
If you apply different locale options to individual objects in the form by using the Locale list in the Object palette, those locale settings override the default form locale setting. That is, when the locale setting for an object is different from the locale setting for the form, LiveCycle Designer ES identifies the words (text) associated with these objects as being misspelled.
When applying different locale options to individual objects, keep in mind that the objects that are within tables and subforms automatically receive the same locale setting as the table and subform object.
Note:
If you select a locale option (language) that the spell-check feature does not support, a message appears indicating that objects with that particular locale setting will not be spell checked.
1.
Select Edit > Form Properties.
2.
Click the Defaults tab and, in the Form Locale list, select the language you want the spell-check feature to use.
3.
Click OK.
See also
To check spelling while you type
To check the spelling in a form
Form Properties dialog box


To check spelling while you type

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To check spelling while you type
To check spelling while you type
You can set up LiveCycle Designer ES to identify spelling errors as you type by selecting the Check Spelling While Typing option in the Spelling panel of the Options dialog box.
When the Check Spelling While Typing option is selected, a wavy red line appears under misspelled words in text objects, caption fields, or the various fields in the Object and Accessibility palettes, regardless of the options selected. You can use the options in the Spell Check list to specify the type of text to spell check when you use the Check Spelling dialog box.
When checking the spelling in a form, LiveCycle Designer ES always refers to the internal dictionary and your custom dictionary (My Custom Dictionary). You can also add other custom dictionary files (*.clam) to expand the list of correctly spelled words to which LiveCycle Designer ES refers. For more information, see Adding a word to the list of ignored words.
Tip:
To see a list of the dictionaries you currently have available, select Tools > Options, and click Spelling. The Spelling panel displays a list of the installed dictionaries. Notice that My Custom Dictionary is selected at all times and cannot be removed.
Keep in the mind these other points when you check spelling as you type:
•
When the Check Spelling While Typing option is selected, a wavy red line appears under misspelled words in text objects and caption fields only when the insertion point (vertical, flashing bar used for entering text) is placed in or directly next to text.
•
You can change the color of the wavy underline by selecting Tools > Options > Spelling > Wavy Underline Color.
•
You can quickly correct spelling errors by right-clicking a misspelled word and selecting one of the suggested words from the context menu. LiveCycle Designer ES displays a maximum of four alternate spelling suggestions on the context menu for each misspelled word. To see more than four suggestions, use the Check Spelling dialog box.
1.
To set up LiveCycle Designer ES to identify spelling errors as you type, select Tools > Options and, in the Spelling panel, select Check Spelling While Typing.
2.
To correct a spelling error while typing, place the insertion point in or directly next to the underlined word, and right-click and perform one of these actions:
•
To correct the misspelled word, select one of suggested words in the context menu. If no spelling suggestions are available for the misspelled word, the text no spelling suggestions appears instead.
•
To add the word to My Custom Dictionary, select Add to Dictionary. This selection adds the underlined word to all languages in the dictionary. LiveCycle Designer ES no longer identifies the word as being misspelled.
•
To disregard all occurrences of the misspelled word, select Ignore All. This selection adds the word to the list of ignored words, and LiveCycle Designer ES temporarily does not identify the word as being misspelled. All spell checks disregard the word until you restart LiveCycle Designer ES. The list of ignored words is cleared each time LiveCycle Designer ES is started.
See also
To select the default locale
To check the spelling in a form
To edit the custom dictionary
Options dialog box


To check the spelling in a form

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To check the spelling in a form
To check the spelling in a form
You can check the text for spelling errors in selected objects or in an entire form by using the Check Spelling dialog box.
By default, LiveCycle Designer ES checks the spelling in all of the text associated with the various objects in a form, such as text, captions, tool tips, custom screen reader text, and list box entries. However, you can control the type of text that LiveCycle Designer ES checks by selecting options in the Spell Check list available in the Spelling panel of the Options dialog box. When you select the Static Text and Captions options, you can also select specific text or captions in the form to spell check. If the Static Text and Captions options are not selected, LiveCycle Designer ES will not check the spelling in any selected text objects or caption fields.
When checking the spelling in a form, LiveCycle Designer ES always refers to the internal dictionary and your custom dictionary (My Custom Dictionary). You can also add other custom dictionary files (*.clam) to expand the list of correctly spelled words to which LiveCycle Designer ES refers. For more information, see Adding a word to the list of ignored words.
Tip:
To see a list of the dictionaries you currently have available, select Tools > Options, and click Spelling. The Spelling panel displays a list of the installed dictionaries. Notice that My Custom Dictionary is selected at all times and cannot be removed.
1.
(Optional) If you want to check the spelling in specific text objects or caption fields, press Ctrl and select the necessary objects.
2.
Select Tools > Check Spelling. The Check Spelling dialog box appears with the first misspelled word highlighted in red under Not in Dictionary.
3.
To remove spelling errors, perform one of these actions:
•
To correct the misspelled word, select one of the words in the Suggestions list, and then either click Change to replace this occurrence of the misspelled word or click Change All to replace all occurrences of the misspelled word. If the word you want is not in the list of suggested words, you can type the correct spelling directly in the Check Spelling dialog box, and then click Change or Change All as needed. If you clicked Change or Change All and want to revert the changes, click Undo.
•
To disregard this one occurrence of the misspelled word, click Ignore Once.
•
To disregard all occurrences of the misspelled word, click Ignore All. This selection adds the word to the list of ignored words, and LiveCycle Designer ES temporarily does not identify the word as being misspelled. All spell checks disregard the word until you restart LiveCycle Designer ES. The list of ignored words is cleared each time LiveCycle Designer ES is started.
•
To add the word to My Custom Dictionary, click Add to Dictionary. This selection adds the highlighted word to all languages in the My Custom Dictionary and LiveCycle Designer ES no longer identifies the word as being misspelled.
After you correct a spelling error, the Check Spelling dialog box automatically advances to the next misspelled word. A message is displayed when LiveCycle Designer ES completes the spell check.
See also
To edit the custom dictionary
Check Spelling dialog box
Options dialog box


To add a word to all languages in the custom dictionary

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To add a word to all languages in the custom dictionary
To add a word to all languages in the custom dictionary
When you spell check a form, LiveCycle Designer ES may identify a word as being misspelled when the word is actually spelled correctly. For example, LiveCycle Designer ES generally will not recognize company or industry-specific product terminology and acronyms. As a result, LiveCycle Designer ES provides each user with a custom dictionary (My Custom Dictionary) where you can create a customized list of properly spelled words. My Custom Dictionary is listed under Installed Dictionaries in the Spelling panel in the Options dialog box and is always selected by default. LiveCycle Designer ES refers to My Custom Dictionary whenever you spell check a form; therefore, you cannot delete My Custom Dictionary.
The words that you add to the custom dictionary are automatically added to all languages (locales). LiveCycle Designer ES considers the word to be spelled correctly regardless of the locale that is currently applied to the form or to a selected object. However, if the word you want to add to the Custom Dictionary does not belong to all languages, you can use the Edit Dictionary dialog box to add the word to selected languages. After you add a word to the Custom Dictionary, LiveCycle Designer ES recognizes the spelling of the word as correct and removes the wavy red line from under the word.
*
Right-click the misspelled word and select Add to Dictionary.


To add a word to selected languages in the custom dictionary

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To add a word to selected languages in the custom dictionary
To add a word to selected languages in the custom dictionary
If the word you want to add to your custom dictionary (My Custom Dictionary) does not belong to all languages, you can use the Edit Dictionary dialog box to add the word to selected languages. After you add a word to My Custom Dictionary, LiveCycle Designer ES recognizes the spelling of the word as correct for the selected language and removes the wavy red line under the word.
1.
Select Tools > Edit Dictionary.
2.
In the Language list, select the language you want.
3.
In the Word box, type the correct spelling of the word you want to add.
4.
Click Add.
5.
Repeat steps to add the word to another language.
See also
To add a word to all languages in the custom dictionary
To edit the custom dictionary
Edit Dictionary dialog box


To edit the custom dictionary

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To edit the custom dictionary
To edit the custom dictionary
From time to time, you may want to edit your custom dictionary (My Custom Dictionary) or review the contents. In the Edit Dictionary dialog box, you can select options from the Language list to view the words that are associated with all languages or individual languages. You can also change the spelling of any listed word, add words to all or selected languages, and delete words from all or selected languages.
*
To open the Edit Dictionary dialog box, select Tools > Edit Dictionary.
See also
To add a word to all languages in the custom dictionary
To add a word to selected languages in the custom dictionary
Options dialog box
Edit Dictionary dialog box


Adding a word to the list of ignored words

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > Adding a word to the list of ignored words
Adding a word to the list of ignored words
Sometimes LiveCycle Designer ES may identify a word as being misspelled when it is actually spelled correctly. However, in such cases you may not always want to add the word to your custom dictionary. As an alternative, you can create a list of words that LiveCycle Designer ES ignores temporarily when spell checking a document. LiveCycle Designer ES recognizes the spelling of ignored words as being neither correct nor incorrect, and disregards them when performing a spell check.
You cannot view or edit the list of ignored words. Therefore, it is a good idea to remember the words you add. The list of ignored words remains in place until you close LiveCycle Designer ES; each time LiveCycle Designer ES is started, the list is cleared.
You can quickly add a word to the list of ignored words while typing in one of the fields in a form or in the Object or Hierarchy palettes by using the commands on the context menu (right-click). Using the buttons in the Check Spelling dialog box, you can also add a word to the list of ignored words while spell checking in a form.
To add a word to the list of ignored words while typing
•
Right-click a misspelled word in any field in a form or in the Object or Hierarchy palette and select Ignore All. LiveCycle Designer ES temporarily disregards all instances of the word as being misspelled until LiveCycle Designer ES is restarted.
To add a word to the list of ignored words while spell checking a form
1.
Select Tools > Check Spelling. The Check Spelling dialog box appears with the first misspelled word highlighted in red under Not in Dictionary.
2.
Perform one of the these actions:
•
To disregard only this occurrence of the misspelled word, click Ignore Once. LiveCycle Designer ES ignores the word and advances to the next misspelled word.
•
To disregard all occurrences of the misspelled word, click Ignore All. LiveCycle Designer ES ignores all instances of the misspelled word and advances to the next misspelled word. All spell checks disregard all occurrences of the misspelled word until you restart LiveCycle Designer ES. The list of ignored words is cleared each time LiveCycle Designer ES is started.
See also
To add a word to selected languages in the custom dictionary
To edit the custom dictionary
Check Spelling dialog box
Edit Dictionary dialog box


To add a dictionary

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To add a dictionary
To add a dictionary
You can add additional dictionary files to LiveCycle Designer ES to suit your needs. That is, if you want to expand the list of correctly spelled words that LiveCycle Designer ES refers to when spell checking a form, you can add one or more custom dictionary files (*.clam) for a specific language or for all supported languages. For example, you can add a custom dictionary of unique terms for specialized industries such as medicine, law, engineering, insurance, or finance. Keep in mind that if you want to add the words in a custom dictionary file to a particular language instead of all languages, you must include the correct language extension in the custom dictionary file name. Let’s say you want to add a custom dictionary file to French Canadian only, you must add fr_CA to the file name like this, [file name]-fr_CA.clam. If you do not include a language extension in the file name, the words in the file will be considered correct for all languages.
Note:
You can also add more standard dictionary files (*.lex) for languages that LiveCycle Designer ES does not already support, by manually adding the files to the folder located at \Program Files\Common Files\Adobe\Linguistics\Providers\Proximity.
You can use the options in the Spelling panel of the Options dialog box to add dictionaries and select which dictionaries are used when performing spell-check operations.
1.
Select Tools > Options.
2.
Select Spelling from the list on the left and then click Add a Dictionary. The Custom Dictionary File dialog box appears.
3.
Browse to the dictionary file you want to add to LiveCycle Designer ES and click Open. The dictionary is added to the list of installed dictionaries.
See also
To remove a dictionary
To edit the custom dictionary
Options dialog box
Edit Dictionary dialog box


To remove a dictionary

Using LiveCycle Designer ES > Working with Form Designs > Spell checking in forms > To remove a dictionary
To remove a dictionary
The Installed Dictionary list in the Spelling panel of the Options dialog box shows the dictionaries currently available for spell checking a form. You can delete one or more of the custom dictionaries you no longer need. When you delete a custom dictionary, it is removed from the list of installed dictionaries. The actual dictionary file (*.clam) is not removed from your computer’s file system.
Note:
You cannot remove My Custom Dictionary because LiveCycle Designer ES always refers to this dictionary whenever you spell check a form.
1.
Select Tools > Options.
2.
In the Spelling panel, select the dictionary you want to delete from the Installed Dictionaries list.
3.
Click Remove a Dictionary.
See also
Adding a word to the list of ignored words
To edit the custom dictionary
Options dialog box


Setting page break controls

Using LiveCycle Designer ES > Working with Form Designs > Setting page break controls
Setting page break controls
About page break controls
To control widow and orphan lines for new forms
To control widow and orphan lines for a form
To remove widow and orphan control from a form


About page break controls

Using LiveCycle Designer ES > Working with Form Designs > Setting page break controls > About page break controls
About page break controls
Designer ES provides ways to control the page breaks that are inserted when a form that has a flowable layout expands beyond the bottom edge of a rendered page:
•
Widow and Orphan Control
Lets you prevent a single line of text from being separated from the rest of a paragraph when a page break is introduced. A widow is the last line of a paragraph that appears by itself at the top of the next page. An orphan is the first line of a paragraph that appears by itself at the bottom of a page.
•
Keep With Next
Lets you keep a text object or text field object with the next object in the document when a page break is introduced.
•
Allow Page Breaks Within Content
Allows page breaks within the content of a text object or text field object.
When both the Keep with Next and Allow Page Breaks Within Content options are selected, the Allow Page Breaks Within Content option has precedence over the Keep with Next option.
The Widow and Orphan, Keep With Next, and Allow Page Breaks Within Content options are not available for objects on a master page or in artwork.
You can set the default page break options for new forms, page break options for an individual form, and page break options for selected objects by using the various options in the Form Properties dialog box, Options dialog box, and Object palette.
See also
To allow page breaks within a text object
To keep a text object with the next object in the form
To allow page breaks within a text field
To keep a text field with the next object in the form
To control widow and orphan lines for new forms
To control widow and orphan lines for a form
To remove widow and orphan control from a form
Formatting (Options dialog box)
Formatting tab (Form Properties dialog box)


To control widow and orphan lines for new forms

Using LiveCycle Designer ES > Working with Form Designs > Setting page break controls > To control widow and orphan lines for new forms
To control widow and orphan lines for new forms
Use the Formatting page in the Options dialog box to control widow and orphan lines for new forms. The widow and orphan functionality can prevent a single line of text in all text and text field objects in the form from being separated from the rest of a paragraph when page breaks are introduced. The widow and orphan control ensures that a minimum of two lines from the paragraph are kept together.
To control widow and orphan lines for new forms:
1.
Select Tools > Options.
2.
Click Formatting and select Widow and Orphan Control.
3.
Click OK.
See also
Formatting (Options dialog box)


To control widow and orphan lines for a form

Using LiveCycle Designer ES > Working with Form Designs > Setting page break controls > To control widow and orphan lines for a form
To control widow and orphan lines for a form
Use the Formatting tab in the Form Properties dialog box to control window and orphan lines in all text and text field objects for individual forms.
The default setting that initially appears in the Form Properties dialog box is inherited from the Options dialog box on the Formatting page. The default setting automatically applies to all new forms. If you change the default setting in the Form Properties dialog box, the new setting overrides the setting in the Options dialog box for the current form. The Widow and Orphan Control option in the Options dialog box does not change.
Note:
To modify widow and orphan lines for new forms, use the Options dialog box. (See To control widow and orphan lines for new forms.)
To control widow and orphan lines for an individual form:
1.
Select Edit > Form Properties.
2.
Click the Formatting tab and select Widow and Orphan Control.
3.
Click OK.
See also
Formatting tab (Form Properties dialog box)


To remove widow and orphan control from a form

Using LiveCycle Designer ES > Working with Form Designs > Setting page break controls > To remove widow and orphan control from a form
To remove widow and orphan control from a form
You can remove widow and orphan control from the text and text field objects.
To remove widow and orphan control from a form:
1.
Select Edit > Form Properties.
2.
Click the Formatting tab and deselect Widow and Orphan Control.
3.
Click OK.
See also
Formatting tab (Form Properties dialog box)


Hyphenating text

Using LiveCycle Designer ES > Working with Form Designs > Hyphenating text
Hyphenating text
About hyphenating text
Considerations for setting hyphenation
Setting and removing hyphenation in forms


About hyphenating text

Using LiveCycle Designer ES > Working with Form Designs > Hyphenating text > About hyphenating text
About hyphenating text
Use hyphenation to improve text alignment in a given area by reducing the amount of white (empty) space between the last word on a line and the right margin. If a word is too long to fit entirely on a single line, the word is hyphenated at the proper hyphenation point, which forces a line break as close to the right margin as possible. Hyphenation makes each line of text approximately the same length to give the text a more uniform layout. LiveCycle Designer ES uses a hyphenation dictionary, metrics such as line spacing and font size, as well as other linguistic information to determine where various words can be legally and optimally hyphenated.
You can hyphenate the text in text objects, in the caption area of objects such as text fields, decimal fields, and numeric fields, and in the value area of text field objects (default text and text the form filler enters). For example, you can indicate the number of letters to allow in a word before it can be hyphenated; hyphenate capitalized words, such as the first word of a sentence; hyphenate words that are all capital letters, such as acronyms; and add or remove all hyphenation from the form.
You can set default hyphenation options for all new forms or customize hyphenation settings for individuals forms.
Set hyphenation options in these areas:
•
Options dialog box (Formatting panel)
Use the options in this dialog box to specify default hyphenation settings for all new forms. Changing theses options does not affect the currently opened form.
•
Forms Properties dialog box (Formatting tab)
Use the options in this dialog box to specify hyphenation settings for the currently opened form only.
•
Paragraph palette (Hyphenation option)
Use this option to enable or disable hyphenation in individual objects.
Note:
When you create a form, the Form Properties dialog box automatically inherits the default hyphenation settings for new forms from the Tools Options dialog box. To create a form that has different hyphenation settings or to change the default settings in an existing form, use the Form Properties dialog box. The settings in the Form Properties dialog box override the settings in the Options dialog box for the current form. When you change the hyphenation settings in the Forms Properties dialog box for the current form, the settings in the Options dialog box (for new forms) do not change.
See also
About hyphenation in selected paragraphs
Paragraph properties in the Paragraph palette
Formatting (Options dialog box)
Formatting tab (Form Properties dialog box)


Considerations for setting hyphenation

Using LiveCycle Designer ES > Working with Form Designs > Hyphenating text > Considerations for setting hyphenation
Considerations for setting hyphenation
Keep the following points in mind regarding the various options you must select for objects that contain hyphenated text:
Hyphenate option in the Paragraph palette
Although the hyphenation you select in the Form Properties and Options dialog boxes apply to the entire form, you can use the Hyphenate option in the Paragraph palette to add or remove hyphenation in individual objects. Using the Hyphenate option, you can manually adjust text layout on an object-by-object basis.
The Hyphenate option is available in the Paragraph palette only when you select the Using the Allow Hyphenation in Text and Field Captions option or the Allow Hyphenation in Text Field Values option, or both on the Form Properties (Formatting tab) or the Options (Formatting panel) dialog boxes. The Hyphenate option displays a colored square when these two options are in a mixed state, where either Allow Hyphenation in Text and Field Captions or Allow Hyphenation in Text Field Values is deselected. That is, when you select the Hyphenate option for an object when these two options are in a mixed state, the check box displays a colored arrow, which changes to a colored square to remind you that one of the options is deselected.
Tip:
When Hyphenate New Items is selected in the Options dialog box on the Formatting panel, the Hyphenate option is automatically selected with new objects added to a form.
Currently Editing palette menu
The commands in the Currently Editing palette menu (Edit Caption or Value, Edit Caption, or Edit Value) determine when the Hyphenate option is available in the Paragraph palette (does not apply to text objects). That is, the Allow Hyphenation in Text and Field Captions option and the Allow Hyphenation in Text Field Values option are applied according to the command you select. For example, if you select the Allow Hyphenation in Text and Field Captions option, you must also select either the Edit Caption or Value command or the Edit Caption command to make the Hyphenate option available.
Use these commands to select the area (caption, value, or both) to hyphenate in each object that contains hyphenated text. For example, to hyphenate the text in text objects and the captions in text field objects, select the Allow Hyphenation in Text and Field Captions option and either the Edit Caption and Value menu command or the Edit Caption command. Alternatively, to hyphenate the default or user input text in the value area of text objects, select the Allow Hyphenation in Text Field Values option and the Edit Value menu command. The default command for text fields, decimal fields, numeric fields, and signature fields is Edit Caption or Value.
Expand to Fit options
It is recommended that you select the Expand to Fit (Height) option for each object that contains hyphenated text. When a word is too long to fit entirely on a line, hyphenation forces a line break and divides the word over two lines. As a result, the object that contains the text needs to expand in height to accommodate additional lines when needed. However, you can also manually enlarge objects to the correct size where hyphenation can occur. Text objects expand in width (as needed) when you enter text, even if you do not select the Expand To Fit (Width) option.
Allow Multiple Lines option
(Applies to the value area of text objects only) Select this option on the Field tab of the Object palette for each text object to hyphenate the text in, in the value area of text field objects. This option enables the text to break onto more than one line where the height of the field permits.
See also
About hyphenation in selected paragraphs
Paragraph properties in the Paragraph palette
Formatting (Options dialog box)
Formatting tab (Form Properties dialog box)


Setting and removing hyphenation in forms

Using LiveCycle Designer ES > Working with Form Designs > Hyphenating text > Setting and removing hyphenation in forms
Setting and removing hyphenation in forms
You can hyphenate the text in, and remove hyphenation from, text objects, the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, and the value area of text field objects (default text and text the form filler enters).
To set hyphenation for new forms
Use the Formatting panel in the Options dialog box. The numbers you enter and the options you select on the Formatting panel are used as default settings in the Form Properties dialog box on the Formatting tab.
To set hyphenation for individual forms
Use the Formatting tab in the Form Properties dialog box. The numbers you enter and the hyphenation options you select on the Formatting tab apply to the current form only. You can change the hyphenation settings for the current form to suit your needs. The default settings that initially appear in the Form Properties dialog box are inherited from the Formatting panel in the Options dialog box, which automatically apply to all new forms. If you change the default settings in the Form Properties dialog box, the new settings override the settings in the Options dialog box for the current form. The hyphenation options in the Options dialog box do not change.
Note:
Before you set hyphenation for forms, it is recommended that you become familiar with the different options you need to select for objects that containhyphenated text. (See About hyphenating text.)
To remove hyphenation from forms
Use the You can remove hyphenation from the text in text objects, in the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, and in the value area of text field objects.
To set hyphenation for a new form
1.
Select Tools > Options.
2.
Click Formatting, enter the values, and select the options to apply to new forms:
•
In the Words With At Least <x> Letters box, enter the minimum number of letters that a word must contain to be hyphenated.
•
In the After First <x> Letters box, enter the minimum number of letters in a word that must appear on a line before the hyphen.
•
In the Before Last <x> Letters box, enter the minimum number of letters in a word that must appear on the next line, after the hyphen.
•
To hyphenate words that begin with a capital (uppercase) letter, such as the first word of a sentence, select Hyphenate Capitalized Words.
•
To hyphenate words that are all capital letters, such as acronyms, select Hyphenate Words in ALL CAPS.
•
To hyphenate the text in text objects, and in the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, select Allow Hyphenation in Text and Field Captions.
•
To hyphenate the text in the value area of text field objects (default text and text entered by the person filling the form), select Allow Hyphenation in Text Field Values.
•
Select Hyphenate New Items to hyphenate the text in new objects added to the form.
For descriptions and example usage of the above options, see Formatting (Options dialog box).
3.
Click OK.
To set hyphenation for an individual form
1.
Select Edit > Form Properties.
2.
Click the Formatting tab, and enter the values and select the options to apply to the current form:
•
In the Words With At Least <x> Letters box, enter the minimum number of letters that a word must contain to be hyphenated.
•
In the After First <x> Letters box, enter the minimum number of letters in a word that must appear on a line before the hyphenation point.
•
In the Before Last <x> Letters box, enter the minimum number of letters in a word that must appear on the next line after the hyphenation point.
•
To hyphenate words that begin with a capital (uppercase) letter, such as the first word of a sentence, select Hyphenate Capitalized Words.
•
To hyphenate words that are all capital letters, such as acronyms, select Hyphenate Words in ALL CAPS.
•
To hyphenate the text in text objects, and in the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, select Allow Hyphenation in Text and Field Captions.
•
To hyphenate the text in the value area of text field objects (default text and text entered by the person filling the form), select Allow Hyphenation in Text Field Values.
For descriptions and example usage of the above options, see Formatting tab (Form Properties dialog box).
3.
Click Hyphenate All Text.
Tip:
Click Edit > Undo Hyphenate All text to immediately undo hyphenation.
To remove hyphenation from a form
1.
Select Edit > Form Properties.
2.
Click the Formatting tab and do one of the following actions:
•
To remove hyphenation from the text in text objects and in the caption area of objects, deselect Allow Hyphenation in Text and Field Captions.
•
To remove hyphenation from the text in the value area of text field objects, deselect Allow Hyphenation in Text Field Values.
•
To remove all hyphenation, click Remove All Hyphenation.
3.
Click OK.
Tip:
To immediately restore all hyphenation, click Edit > Undo Remove All Hyphenation.”


Using hyperlinks

Using LiveCycle Designer ES > Working with Form Designs > Using hyperlinks
Using hyperlinks
About hyperlinks
To insert a hyperlink
To remove hyperlink
To edit a hyperlink
To test a hyperlink


About hyperlinks

Using LiveCycle Designer ES > Working with Form Designs > Using hyperlinks > About hyperlinks
About hyperlinks
Use hyperlinks to provide links to external websites, email addresses, and PDF and HTML files. You can insert URL and email hyperlinks within static text objects (including floating fields) or within the caption area of objects such as text field, image field, and drop-down list objects.
If you intend to render an XDP form design that contains hyperlinks that point to resources in the repository to HTML, use the http://[server_name]:[port]/repository notation for the hyperlinks.
The hyperlink menu commands appear in the Edit, Insert, and context menus.
Note:
All hyperlink menu commands are unavailable with button objects such as Print and Reset, and with read-only text.
See also
To insert a hyperlink
To remove hyperlink
To edit a hyperlink
To test a hyperlink


To insert a hyperlink

Using LiveCycle Designer ES > Working with Form Designs > Using hyperlinks > To insert a hyperlink
To insert a hyperlink
1.
Select the text where you want to insert a hyperlink.
2.
Click Insert > Hyperlink.
3.
Do one of the following tasks:
•
Select URL, and either type or select a valid website address, or click the browse button to select a file located on your computer. When you select a file, the relative path for the document appears in the URL box.
•
Select Email and type one or more valid email addresses and, optionally, a subject line.
4.
Click OK.You can also use the Undo Hyperlink and Redo Hyperlink commands in the Edit menu to quickly revert text or a hyperlink to its former state.
See also
About hyperlinks
To remove hyperlink
To edit a hyperlink
To test a hyperlink


To remove hyperlink

Using LiveCycle Designer ES > Working with Form Designs > Using hyperlinks > To remove hyperlink
To remove hyperlink
*
Place the insertion point within the hyperlink, and right-click and select Remove Hyperlink.
Tip:
You can also use the Undo Hyperlink and Redo Hyperlink commands in the Edit menu to quickly revert text or a hyperlink to its former state.
See also
About hyperlinks
To insert a hyperlink
To edit a hyperlink
To test a hyperlink


To edit a hyperlink

Using LiveCycle Designer ES > Working with Form Designs > Using hyperlinks > To edit a hyperlink
To edit a hyperlink
1.
Place the insertion point within the hyperlink, and right-click and select Edit Hyperlink.
2.
Make the necessary changes, and click OK.
See also
About hyperlinks
To insert a hyperlink
To remove hyperlink
To test a hyperlink


To test a hyperlink

Using LiveCycle Designer ES > Working with Form Designs > Using hyperlinks > To test a hyperlink
To test a hyperlink
After you insert a hyperlink, it is recommended that you test it to make sure it opens correctly.
You can test links on either the Design View tab or the PDF Preview tab. On the Design View tab, when you move the pointer over a hyperlink, the name of the associated object and the link are displayed in a tool tip. On the PDF Preview tab, when you move the pointer over a hyperlink, only the associated link is displayed in a tool tip. Each link opens the appropriate program, such as a web browser or an email program.
*
Place the insertion point within the hyperlink, right-click, and select Open Hyperlink.
Tip:
As a shortcut, you can use Ctrl+click to quickly open links.
See also
About hyperlinks
To insert a hyperlink
To remove hyperlink
To edit a hyperlink


Previewing and testing forms

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms
Previewing and testing forms
About previewing and testing forms
To preview and test forms in the Preview PDF tab
To set preview options for an interactive form
To set preview options for a non-interactive form
To preview a form using sample data
To automatically generate sample data to preview your form
To create sample data to preview your form
Considerations for testing form designs with data
To test for accessibility


About previewing and testing forms

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > About previewing and testing forms
About previewing and testing forms
In the Preview PDF tab, you can view and test a form design or template as a PDF form by using Acrobat or Adobe Reader.
The Preview PDF tab appears only when Acrobat or Adobe Reader is installed. By default, if you have both Acrobat and Adobe Reader installed, LiveCycle Designer ES starts Acrobat automatically to preview the form. To use Adobe Reader to preview the form, you must start it before you click the Preview PDF tab.
For example, if you select Acrobat and Adobe Reader 6.0.2 or later as the target version for the form, ensure that you have Acrobat and Adobe Reader 6.0.2 installed.
The preview will use the same format as the saved form. You can right-click the PDF Preview tab to see which default file type option is currently selected. To indicate the format of an unsaved form, you must change the Tools > Options > Document Handling setting.
If you are designing an interactive or printable form, you can change the Edit > Form Properties > Preview > Preview Type setting to set up your Preview PDF correctly.
If you are designing forms for use with LiveCycle Forms ES, the same form design can be used to render PDF or HTML forms. Although you can preview the form design on the Preview PDF tab, the HTML form may not appear the same as it does when the form is rendered by using LiveCycle Forms ES. If you are creating an HTML form, render the form by using LiveCycle Forms ES and preview it in a web browser.
See also
General considerations for designing accessible forms
About warning messages


To preview and test forms in the Preview PDF tab

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To preview and test forms in the Preview PDF tab
To preview and test forms in the Preview PDF tab
Use the Preview PDF tab to preview a form design as it would appear in Adobe Reader. Before previewing a form design, ensure that you have set the appropriate options in the Form Properties dialog box for previewing the specific type of form.
You can right-click the Preview PDF tab to see which default preview type option is currently selected.
Note:
To preview a form in the Preview PDF tab, ensure that the Display In Browser option in Acrobat is selected. Ensure that you have the version of Acrobat installed that matches the target version saved; otherwise, you may get an error or warning message when you click the Preview PDF tab. For example, if you select Acrobat and Adobe Reader 6.0.2 as the target version for the form, ensure that you have Acrobat and Adobe Reader 6.0.2 installed.
1.
Choose one of the following ways to display the Preview PDF tab:
•
Select View > Preview PDF.
•
In the Layout Editor, click the Preview PDF tab.
2.
If the form is interactive, test the objects on the form to ensure they are functioning as expected.
3.
(Optional) If the form is non-interactive and being merged with data, you may also want to test the form with a sample data file to ensure that fields are appropriately mapped to the data source.
Note:
You must use Acrobat to test the Web Services and Database Connectivity features. These features require a rights-enabled PDF form, but you cannot set usage rights for a PDF form for previewing in LiveCycle Designer ES.
See also
About warning messages
To create sample data to preview your form
To automatically generate sample data to preview your form


To set preview options for an interactive form

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To set preview options for an interactive form
To set preview options for an interactive form
To preview an interactive form, you need to set the appropriate options in the Form Properties dialog box.
1.
Select Edit > Form Properties.
2.
Click the Preview tab and, in the Preview Type list, select Interactive Form.
3.
(Optional) To test the form you are previewing by using a data source that you created, enter the full path to your test data file in the Data File box. You can also use the browse button to navigate to the file.
4.
(Optional) To test the form you are previewing by using an automatically generated data source, click Generate Preview Data. You can use the browse button to navigate to the location where you want the file saved. If the form contains repeating subforms or subform sets, indicate the number of times each subform or subform set will repeat in the data file.
5.
In the Preview Adobe XML Form As list, select either Static PDF Form or Dynamic XML Form.
See also
To create sample data to preview your form
To automatically generate sample data to preview your form


To set preview options for a non-interactive form

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To set preview options for a non-interactive form
To set preview options for a non-interactive form
To preview a non-interactive form, you need to set the appropriate options in the Form Properties dialog box.
1.
Select Edit > Form Properties.
2.
(Optional) To test the form that you are previewing as if it were printed on one side of the paper, click the Preview tab and, in the Preview Type list, select Print Form (One-sided).
3.
(Optional) To test the form that you are previewing as if it were printed on both sides of the paper, click the Preview tab and, in the Preview Type list, select Print Form (Two-sided).
Note:
When you select Print Form, all objects are non-interactive.
4.
(Optional) To test the form that you are previewing by using a data source, enter the full path to your test data file in the Data File box. You can also use the browse button to navigate to the file.
5.
(Optional) To test the form that you are previewing by using an automatically generated data source, click Generate Preview Data. You can use the browse button to navigate to the location where you want the file saved. If the form contains repeating subforms or subform sets, indicate the number of times each subform or subform set will repeat in the data file.
6.
In the Preview Adobe XML Form As list, select either Static PDF Form or Dynamic XML Form.
See also
To create sample data to preview your form
To automatically generate sample data to preview your form


To preview a form using sample data

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To preview a form using sample data
To preview a form using sample data
LiveCycle Designer ES lets you preview and test your form by using sample XML data. It is recommended that you frequently test your form with sample data to ensure that the form renders correctly. If you do not have sample data, LiveCycle Designer ES can create it, or you can create it yourself. (See To automatically generate sample data to preview your form and To create sample data to preview your form.)
Testing your form by using a sample data source ensures that the data and fields are mapped and that repeating subforms repeat as you expected. You can create a balanced form layout that provides the appropriate space for each object to display the merged data.
1.
Select Edit > Form Properties.
2.
Click the Preview tab and, in the Data File box, type the full path to your test data file. You can also use the browse button to navigate to the file.
3.
Click OK. The next time you preview the form in the Preview PDF tab, the data values from the sample XML file will appear in the respective objects.
For detailed information about each option in the Preview tab, see Preview tab (Form Properties dialog box).
See also
To automatically generate sample data to preview your form
To create sample data to preview your form
Considerations for testing form designs with data
To create a data connection to an XML schema and XML data file


To automatically generate sample data to preview your form

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To automatically generate sample data to preview your form
To automatically generate sample data to preview your form
You can generate sample data to preview and test your form instead of creating a sample data file. Also, if your form contains repeating subforms or subform sets, you can specify the number of times the data will be repeated when you preview the form.
LiveCycle Designer ES generates sample data that is valid for the corresponding objects in the form, with a few exceptions:
•
Sample data is not generated according to any validation scripts that might be specified for an object.
•
The minimum and maximum count for a subform will restrict the number of repeating subforms that you specify for the generated sample data file.
•
The default value you select for a 2D barcode is retained in the generated sample data file.
After you generate the sample data file, you can edit the file, if required.
Specify which data file to use when you preview the form. The next time you preview the form in LiveCycle Designer ES, the sample data will appear in the respective objects.
1.
In LiveCycle Designer ES, select Edit > Form Properties > Preview tab.
2.
(Optional) To test the form that you are previewing as an interactive form, in the Preview Type list, select Interactive Form
3.
(Optional) To test the form that you are previewing for single-sided printing, in the Preview Type list, select Print Form (One-sided).
4.
(Optional) To test the form that you are previewing for double-sided printing, in the Preview Type list, select Print Form (Two-sided).
5.
Click Generate Preview Data.
6.
In the Generate Preview Data dialog box, type the full path, including a file name, for the test data file. You can also use the browse button to navigate to the location in the Data File box.
7.
In the Repeating Elements list, select the number to the left of a subform and type the number of times it will repeat in the data file.
8.
Click Generate.
See also
To create sample data to preview your form
Considerations for testing form designs with data


To create sample data to preview your form

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To create sample data to preview your form
To create sample data to preview your form
If you do not want to use a sample data file that LiveCycle Designer ES automatically creates, you can create a sample data file manually.
1.
Save the form design as a PDF file.
2.
Open the PDF file and enter values in the fields you want to test.
3.
In Acrobat, select Advanced > Forms > Export Form Data.
4.
In the Export Form Data As dialog box, name and save the file as type XML Data Package (*.xdp).
5.
In LiveCycle Designer ES, select File > Form Properties > Preview tab.
6.
(Optional) To test the form that you are previewing as an interactive form, in the Preview Type list, select Interactive Form
7.
(Optional) To test the form that you are previewing for single-sided printing, in the Preview Type list, select Print Form (One-sided).
8.
(Optional) To test the form that you are previewing for double-sided printing, in the Preview Type list, select Print Form (Two-sided).
9.
Click the folder button next to the Data File box and browse to the XML file.
10.
Select the XML file and click OK.
See also
To automatically generate sample data to preview your form
Considerations for testing form designs with data


Considerations for testing form designs with data

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > Considerations for testing form designs with data
Considerations for testing form designs with data
When setting up forms to support merged data, you need to analyze the data-merging requirements of the form against the input data. The form design should be created based on the structure of the input data.
It is recommended that you review the input data and consider preparing a sample data file, or have LiveCycle Designer ES automatically generate a sample data file for testing purposes.
Sample data may be used to determine the behavior of a form and should not be considered a replacement for thorough testing. To obtain the best results, the form design should be tested with system-generated data. You can generate the sample data as suggested in the following list to determine whether the layout, formatting, content, and behavior of a form responds as expected:
•
To verify whether data formatting (for example, font type, font size, and paragraph alignment) is correct, generate data for every field in the form. The data will also let you verify any calculated field values.
•
To verify whether field objects are large enough to accommodate all data values, generate data to reach the maximum number of characters permitted per field.
•
To verify the operation of multiple-line and expand-to-fit settings, generate multiple lines of data.
•
If your form design contains repeating subforms, you can generate repeating data groups to test the rendering of those subforms in the sample data file that you create. If you are using an automatically generated sample data file, you can specify the number of times you want a data group to repeat.
•
If your form design contains overflow leaders or trailers, generate the data necessary to test every overflow leader or trailer and their occurrence settings. You should generate enough repeating data groups to flow over three pages, which will also let you verify page numbering. Use the sample data (add one repeating data group at a time) to verify how a repeating subform looks when it flows onto a new page.
•
To test the data pattern setting for bound data, ensure that all data values are in the same format generated by the system, especially if the syntax of the source data does not match LiveCycle Designer ES defaults.
•
Generate enough data to employ the layout of every master page in the rendered form.
Caution:
Ensure that the form data does not contain hexadecimal values between 0x00 and 0x20, except for carriage return, line feed, and horizontal tab. These values are invalid XML characters that LiveCycle Forms ES does not recognize.
Creating a sample data file
The following guidelines will help you to create a simple test file that contains representative input data:
•
The input data file must be a valid XML file. For example, a flat file would have elements of this format:
<root_node>
<first_node>value</first_node>
<second_node>value</second_node>
...
<last_node>value</last_node>
</root_node>
•
Compare the flow of the input data to the physical layout of the form. If you are using implicit binding, the names of the data nodes must match the corresponding containers and fields in the form and be presented in the same order as the fill order in the form.
•
If the input data file has more levels of nesting compared to the items in the Hierarchy palette, data bindings for all of the nested objects must be set explicitly through the Binding tab in the Object palette.
•
In the input data file, look for data that is repeated but not part of every record. This information could possibly be handled on master pages as boilerplate objects or in subforms that repeat the data for unique records only.
See also
Working with data sources
About form designs
Form design layouts
To preview and test forms in the Preview PDF tab
Previewing an HTML form


To test for accessibility

Using LiveCycle Designer ES > Working with Form Designs > Previewing and testing forms > To test for accessibility
To test for accessibility
You should test your forms by using a variety of assistive technologies to ensure that the forms are accessible to users.
Download demonstration versions of the screen reader software. As the form author, your familiarity with the form may make it difficult to determine whether the information read by the screen reader is sufficient and understandable. If possible, have someone else test your form in this way. To test screen reader results, turn your monitor off and use only the screen reader to navigate and fill the form.
Check the Internet for demonstration versions of screen magnification software.
Ensure that you can fill the form by using only the keyboard, and keep in mind the following questions:
•
Are there any operations that cannot be performed?
•
Are any operations awkward or difficult to perform?
•
Are keyboard mechanisms well-documented?
•
Do all controls and menu items have underlined access keys?
When filling the form, take note of these issues:
•
Any parts of the form that become invisible, unrecognizable, or difficult to use
•
Areas that continue to appear black on a white background
•
Form objects that are improperly sized or truncated
See also
General considerations for designing accessible forms


Addressing warning messages in the Report palette

Using LiveCycle Designer ES > Working with Form Designs > Addressing warning messages in the Report palette
Addressing warning messages in the Report palette
About warning messages
Addressing target warning messages
Addressing warning marker messages
Addressing scripting error messages


About warning messages

Using LiveCycle Designer ES > Working with Form Designs > Addressing warning messages in the Report palette > About warning messages
About warning messages
The Report palette displays different warning and error messages relating to aspects of the form design. When a warning message is generated, these details appear in the Warnings tab in the Report palette:
•
The affected object
•
A description of the warning
•
The type of warning
•
The target version that supports the object (if applicable)
•
The warning code number
The messages in the Warnings tab are automatically updated as you work in the form design. The messages disappear as you fix the errors.
LiveCycle Designer ES generates these types of warning messages:
Target
Target warning messages appear when you try to use a feature that is not supported in the Acrobat and Adobe Reader target version. For information on addressing target warning messages, see Addressing target warning messages.
Marker
Marker warning messages appear when a problem occurs with an object. These messages are associated with warning symbols, such as a yellow triangle or white “X” within a red circle. For information on addressing marker warning messages, see Addressing warning marker messages.
Scripting
Scripting error messages occur when there are issues with scripts in the form design. When you save or preview the form design using the Preview PDF tab, scripting error messages appear in the Warning tab in the Report palette. For information on scripting error messages, see Addressing scripting error messages.


Addressing target warning messages

Using LiveCycle Designer ES > Working with Form Designs > Addressing warning messages in the Report palette > Addressing target warning messages
Addressing target warning messages
When you use a feature that the selected target does not support, warning messages appear in the Warnings tab in the Report palette.
If you require a feature, you must update to a target that supports the feature. Otherwise, you can fix the warning message. The following table indicates the code for each target warning message, the affected file types, the target warning message that appears in the Description column on the Warning tab of the Report palette, and ways to remove the warning message.
Code
File type
Description
To remove the warning message
1000
Static PDF Form
Dynamic XML Form
Target version does not support the Commit On option.
Select the object, click the Object palette, click the Field tab and, in the Commit On list, choose Select.
1001
Static PDF Form
Dynamic XML Form
Target version does not support the Subform Role option.
Deselect the role.
Select the subform and then select Role > None in the Accessibility palette.
1002
Static PDF Form
Dynamic XML Form
Target version does not support the initialize, enter, exit, mouseEnter, mouseExit, change, mouseUp, mouseDown, click, and full events.
If you are using one of the unsupported events, consider either moving the script to a supported event or deleting the script.
1200
Static PDF Form
Dynamic XML Form
Target version does not support Dynamic properties.
Do not use the dynamic properties in the Object palette.
1202
Static PDF Form
Dynamic XML Form
Target version does not support the Locale option of this static object.
Select the static object, click the Object palette, click the Field tab and, in the Locale list select Default locale.
1203
Static PDF Form
Dynamic XML Form
Target version does not support the URL-encoded Data (HTTP Post) data submission format.
Replace HTTP Submit Button objects with Button objects, or (if the object is a Button) click the Object palette, click the Submit tab and, in the Submit list, select any option other than URL-encoded Data (HTTP Post).
1204
Static PDF Form
Calculated fields cannot be overridden in Acrobat 7.0.5 for Static PDF.
Increase target version to Acrobat and Adobe Reader 8.0 or later, or save the form as a Dynamic XML Form or (if the object is a Text Field) click the Object palette, click the Value tab and, in the Type list, select any option other than Calculated - User Can Override Change.
1205
Static PDF Form
Dynamic XML Form
Target version does not support vertical paragraph alignment for field values.
Increase target version to Acrobat and Adobe Reader 7.0.5 or later, or click the Paragraph palette and reset the paragraph vertical alignment to these default values:
•
Text Field (single line) - Align Middle
•
Text Field (multiple line) - Align Top
•
Date/Time Field - Align Middle
•
Numeric Field - Align Middle
•
Decimal Field - Align Middle
•
Drop-down List - Align Middle
•
Password Field - Align Middle
•
List Box - Align Top
1206
Static PDF Form
Dynamic XML Form
Legacy (Version 6) Text Formatting does not support vertical paragraph alignment for field values.
Select Edit > Form Properties, click the Compatibility tab and update the text formatting to Version 7, or click the Paragraph palette and reset the paragraph vertical alignment to these default values:
•
Text Field (single line) - Align Middle
•
Text Field (multiple line) - Align Top
•
Date/Time Field - Align Middle
•
Numeric Field - Align Middle
•
Decimal Field - Align Middle
•
Drop-down List - Align Middle
•
Password Field - Align Middle
•
List Box - Align Top
1300
Static PDF Form
Dynamic XML Form
Target version does not support the check mark shapes for the current file type.
Increase target version to Acrobat and Adobe Reader 8.0 or later, or click the Object palette, click the Field tab and, in the Check Style list, select Default.
1301
Static PDF Form
Dynamic XML Form
Target version does not support button highlighting for the current file type.
Increase target version to Acrobat and Adobe Reader 8.0 or later, or click the Object palette, click the Field tab and, in the Highlighting list, select Inverted.
1302
Static PDF Form
Dynamic XML Form
Target version does not support comb fields for the current file type.
Increase target version to Acrobat and Adobe Reader 8.0 or later, or click the Object palette, click the Field tab, and deselect Comb Of.
1303
Static PDF Form
Dynamic XML Form
Target version does not support the Limit Length to Visible Area option for the current file type.
Increase target version to Acrobat and Adobe Reader 8.0 or later, or click the Object palette, click the Field tab, and deselect the Limit Length to Visible Area option.
1305
Static PDF Form
Dynamic XML Form
Target version does not support the Preserve Scripting Changes To Form When Saved option.
Select Edit > Form Properties, click the Defaults tab and, under Preserve Scripting Changes to Form When Saved, select Manually.
1306
Static PDF Form
Dynamic XML Form
Target version does not support locking fields after signing.
Select the Signature Field object and click the Object palette, click the Signature tab, and deselect Lock Fields After Signing.
1307
Static PDF Form
Dynamic XML Form
Target version does not support the indexChange event.
Consider either moving the script to a supported event or deleting the script.
1308
Static PDF Form
Dynamic XML Form
Target version does not support the signature settings.
Select the Signature Field object, click the Object palette, click the Signature tab, and deselect options that you previously selected.
1309
Static PDF Form
Dynamic XML Form
Target version does not support the Visible (Screen Only) option for the current file type and/or object type.
For Static PDF Form (buttons), increase the target version to Acrobat and Adobe Reader 7.0.5 or later.
For Dynamic XML Form (all objects except buttons that have right-hand borders), increase the target version to Acrobat and Adobe Reader 8.0 or later.
1310
Dynamic XML Form
Target version does not support the Visible (Print Only) option for the current file type.
Increase the target version to Acrobat and Adobe Reader 8.0 or later.
1314
Static PDF Form
Dynamic XML Form
Target version does not support the Enforce Strict Scoping Rules in JavaScript option.
Select Edit > Form Properties, click the Defaults tab and deselect Enforce Strict Scoping Rules in JavaScript.
1315
Static PDF Form
Dynamic XML Form
Target version does not support XML data signatures.
Increase the target version to Acrobat and Adobe Reader 8.0 or later, or select the object, click the Object palette, click the Field tab or the Submit tab, and deselect Sign Submission.
1316
Static PDF Form
Dynamic XML Form
The PDF Print Options selected in Form Properties require the form saved as Acrobat and Adobe Reader 8.0 or later.
Select Edit > Form Properties, click the PDF Print Options tab, and deselect Use these print settings for printing this PDF form, or select File > Form Properties, click the PDF Print Options tab, and select Simplex.
1317
Static PDF Form
Dynamic XML Form
Target version does not support row shading in tables. If you change the target version after adding row shading, reapply it to correspond to the new target version.
Increase the target version to Acrobat and Adobe Reader 8.0 or later.
1400
Dynamic XML Form
Target version does not support the One-sided Printing Only and Two-sided Printing Only options.
Increase the target version to Acrobat and Adobe Reader 8.1 or later, or select the Page Set in the Hierarchy palette, click the Object palette, click the Page Set tab and, in the Printing list, select Page Occurrence.
1401
Static PDF Form
Dynamic XML Form
Target version does not support the One-sided Printing Only and Two-sided Printing Only options.
Increase target version to Acrobat and Adobe Reader 8.1 or later.
1600
Static PDF Form
Dynamic XML Form
Target version does not support font scaling for field values.
Target version does not support font scaling for the current file type.
For Static PDF Form (field values) and Dynamic XML Form, increase target version to Acrobat and Adobe Reader 9.0, or click the Font palette and, in the Vertical Scale and Horizontal Scale boxes, type 100%.
1601
Static PDF Form
Dynamic XML Form
Target version does not support letter spacing for field values.
Target version does not support letter spacing for the current file type.
For Static PDF Form (field values) and Dynamic XML Form, increase target version to Acrobat and Adobe Reader 9.0 or later, or click the Font palette and, in the Letter Spacing box, type 0.
1602
Static PDF Form
Dynamic XML Form
Target version does not support kerning for field values.
Target version does not support kerning for the current file type.
For Static PDF Form (field values) and Dynamic XML Form, increase target version to Acrobat and Adobe Reader 9.0 or later, or click the Font palette and deselect Kerning.
1603
Static PDF Form
Dynamic XML Form
Target version does not support text hyphenation for field values.
Target version does not support text hyphenation for the current file type.
For Static PDF Form (field values) and Dynamic XML Form, increase target version to Acrobat and Adobe Reader 9.0 or later, or select Edit > Form Properties, click the Formatting tab, and click Remove All Hyphenation.
1604
Static PDF Form
Dynamic XML Form
Target version does not support GB18030 submit data encoding for the current file type.
For Static PDF Form (button objects) and Dynamic XML Form, increase target version to Acrobat and Adobe Reader 9.0 or later, click the Object palette, click the Submit tab and, in the Data Encoding list, select another Encoding option.
1605
Dynamic XML Form
Target version does not support the Widow and Orphan Control option for the current file type.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or save the form as a Static PDF Form, or select Edit > Form Properties, click the Formatting tab, and deselect Widow and Orphan Control.
1606
Dynamic XML Form
Target version does not support the Allow Page Breaks Within Content option for the current file type.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or click the Object palette, click the Subform tab, and deselect Allow Page Breaks Within Content.
1607
Dynamic XML Form
Target version does not support the Keep With Next option for the current file type.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or deselect the Keep With Next option.
1608
Static PDF Form
Dynamic XML Form
Target version does not support hyperlinks for field values.
Target version does not support hyperlinks for the current file type.
For Static PDF Form (text objects and field values) and Dynamic XML Form, increase target version to Acrobat and Adobe Reader 9.0 or later, or remove hyperlinks.
1609
Static PDF Form
Dynamic XML Form
Target version does not support the preSign event.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or remove the script event.
1610
Static PDF Form
Dynamic XML Form
Target version does not support the postSign event.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or remove the script event.
1611
Static PDF Form
Dynamic XML Form
Target version does not support the postOpen event.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or remove the script event.
1612
Static PDF Form
Dynamic XML Form
Target version does not support the postSubmit event.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or remove the script event.
1613
Static PDF Form
Dynamic XML Form
Target version does not support web service authentication.
Increase target version to Acrobat and Adobe Reader 9.0 or later.
1614
Dynamic XML Form
Target version does not support this use of leaders for the current file type.
Increase target version to Acrobat and Adobe Reader 9.0 or later.
1615
Dynamic XML Form
Target version requires the Allow Page Breaks Within Content option for the current file type.
Text Fields.
Increase target version to Acrobat and Adobe Reader 9.0 or later, or click the Object palette, click the Subform tab, and select Allow Page Breaks Within Content.
1999
Static PDF Form
Dynamic XML Form
Target version does not support the %1 attribute or element.
A general message for problems that are not covered by the other target messages. It also appears when you edit the XML source and introduce unsupported functionality.
See also
About warning messages
Warnings tab (Report palette)


Addressing warning marker messages

Using LiveCycle Designer ES > Working with Form Designs > Addressing warning messages in the Report palette > Addressing warning marker messages
Addressing warning marker messages
The Warnings tab in the Report palette lists messages associated with warning markers that appear when a problem occurs with an object.
The following table lists and describes the warning marker messages.
.
Code
Type
Description
2000
Miscellaneous
At least two Radio Buttons have the same value. The group is meant to be mutually exclusive, all values must be unique.
2001
Miscellaneous
You may need to provide a return URL. See the Help documentation for more information about using the submit button.
2002
Miscellaneous
No email address specified. Use the Object palette to specify an email address.
2003
Miscellaneous
Invalid email address. Enter an email address of the form: name@address.com.
2004
Miscellaneous
While this object allows rich text to be entered, its Data Format only accepts plain text. Use the Object palette to make these properties compatible.
2005
Miscellaneous
While this object only allows only plain text to be entered, its Data Format accepts rich text. Use the Object palette to make these properties compatible.
2006
Miscellaneous
The list box is set to support multiple selection and its Commit On property is set to 'select' rather than the recommended value of 'exit'.
2007
Miscellaneous
The field's value area is too small to fit the maximum length value permitted. Increase the field's value area or decrease its value length to ensure that all possible values will fit.
2008
Miscellaneous
A border around a barcode field can affect its scanning.
2009
Miscellaneous
Background fill behind a barcode field can affect its scanning.
2010
Miscellaneous
Limit to visible area is ignored on fields that are set to expand to fit.
2011
Miscellaneous
For a screen reader to read a list properly, list items must be contained within a parent List element.
2012
Miscellaneous
No subform is present in the content area or the first subform is too large for the content area.
2013
Miscellaneous
There should be a content area in the print-only view and in the screen-only view.
2014
Miscellaneous
There should be a page area in the print-only view and in the screen-only view.
2015
Picture Clause
The specified Data pattern "%s" is invalid. Define a valid Data pattern.
2016
Picture Clause
The Data pattern "%s" is incompatible with the object's data format. Define a compatible Data pattern.
2017
Picture Clause
The specified Display pattern "%s" is invalid. Define a valid Display pattern.
2018
Picture Clause
The Display pattern "%s" is incompatible with the object's data format. Define a compatible Display pattern.
2019
Picture Clause
The specified Validation pattern "%s" is invalid. Define a valid Validation pattern.
2020
Picture Clause
The Validation pattern "%s" is incompatible with the object's data format. Define a compatible Validation pattern.
2021
Picture Clause
The specified Edit pattern "%s" is invalid. Define a valid Edit pattern.
2022
Picture Clause
The Edit pattern "%s" is incompatible with the object's data format. Define a compatible Edit pattern.
2023
Miscellaneous
The Image Field will appear as an Image object. This form is currently saved as an Acrobat 6 compatible file. This feature is supported by Acrobat and Adobe Reader 7.0.5 or later.
2026
Miscellaneous
Paper Forms Barcodes may not update user-supplied data in Acrobat or Adobe Reader 6. This form is currently saved as an Acrobat 6 compatible file. This feature is supported by Acrobat and Adobe Reader 7.0.5 or later.
2027
Miscellaneous
The Expand to Fit option is not supported. This form is currently saved as an Acrobat 6 compatible file. This feature is supported by Acrobat and Adobe Reader 7.0.5 or later.
2028
Miscellaneous
This barcode will appear as a text field in Acrobat or Adobe Reader 6. For the barcode to work, assign an automatic script (from the Value tab) or provide a custom script, and then save the form targeting Acrobat and Adobe Reader 7.0.5 or later.
2029
Data Binding
This field has the same name as another global field with an incompatible type.
2030
Data Binding
Using Normal data binding when a default data connection is defined may produce undesirable results.
2031
Data Binding
Default binding value '%1' does not correspond to a data connection.
2032
Data Binding
Direct binding references to multiple levels of repeating data may not produce preferred results. Form may require relative binding references for repeating subform containers.
2033
Locale
The value may not be presented as expected when using Viewer's System Locale for this field representing currency.
2034
Locale
The spelling in this object, or in any child objects that inherit this locale, will not be checked.
2035
Miscellaneous
This fragment reference has local overrides to one or more properties of the source fragment.
2036
Miscellaneous
Cannot externally reference fragments in forms that are saved as PDF files. Save the form as an XDP file.
2037
Miscellaneous
The signature field cannot be repeatable.
2038
Miscellaneous
The number of symbols in the specified Data pattern "%s" is less than the maximum number of characters of the field. Define a new Data pattern or change the maximum number of characters that are allowed in the field.
The number of maximum allowable characters does not match one or more of the pictures in the specified Data pattern "%s". Define a new Data pattern or change the maximum number of characters of the field.
2039
Miscellaneous
The number of symbols in the specified Display pattern "%s" is less than the maximum number of characters in the field. Define a new Display pattern or change the maximum number of characters of the field.
The number of maximum allowable characters does not match one or more of the pictures in the specified Display pattern "%s". Define a new Display pattern or change the maximum number of characters of the field.
2040
Miscellaneous
The number of symbols in the specified Validation pattern "%s" is less than the maximum number of characters in the field. Define a new Validation pattern or change the maximum number of characters of the field.
The number of maximum allowable characters does not match one or more of the pictures in the specified Validation pattern "%s". Define a new Validation pattern or change the maximum number of characters of the field.
2041
Miscellaneous
The number of symbols in the specified Edit pattern "%s" is less than the maximum number of characters in the field. Define a new Edit pattern or change the maximum number of characters of the field.
The number of maximum allowable characters does not match one or more of the pictures in the specified Edit pattern "%s". Define a new Edit pattern or change the maximum number of characters of the field.
2042
Miscellaneous
The minimum number of letters after a hyphen must be less than the minimum number of letters of a hyphenated word.
2043
Miscellaneous
The minimum number of letters before a hyphen must be less than the minimum number of letters of a hyphenated word.
2044
Miscellaneous
The content and caption cannot fit in the space provided. Press the indicator to automatically expand the object.
The caption cannot fit in the space provided. Press the indicator to automatically expand the object.
The content cannot fit in the space provided. Press the indicator to automatically expand the object.
2045
Miscellaneous
Data connection ‘%s1' does not match the cached data description. Regenerate the data description using Connection Properties.
2046
Miscellaneous
Although the object is allowed to break, deselecting the Allow Page Break Within Content option of the parent object restricts this object from breaking between pages.
2047
Miscellaneous
Subform encoding has been deprecated. Please use the Collection encoding option or provide a custom script.
2048
Miscellaneous
Form contains two or more signature field objects. At least one signature field object has the Lock Fields After Signing option selected on the Signature tab. See the Help documentation for more information about using multiple signature field objects in a form.
See also
About warning messages
Warnings tab (Report palette)


Addressing scripting error messages

Using LiveCycle Designer ES > Working with Form Designs > Addressing warning messages in the Report palette > Addressing scripting error messages
Addressing scripting error messages
The Warning tab in the Report palette lists the scripting error messages in the form design.
For information about the scripting error messages, see the LiveCycle Designer ES Scripting Errors document on the Adobe LiveCycle ES documentation website at www.adobe.com/go/learn_lc_designerSyntaxChecking_82.
See also
About warning messages
Warnings tab (Report palette)


Working with forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout
Working with forms that have a flowable layout
About forms that have a flowable layout
Controlling the placement of objects in forms that have a flowable layout
Creating form designs that have a flowable layout
Creating interactive forms that have a flowable layout
Creating non-interactive forms that have a flowable layout


About forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > About forms that have a flowable layout
About forms that have a flowable layout
A form that has a flowable layout contains subforms and other elements that adjust to accommodate the amount of data available to fill the form. The form can be interactive, which means that users can fill the form, or non-interactive, where a server-based process merges data into the form. For information see Form design layouts.
To add dynamic functionality to interactive forms, you work with master pages, content areas, and subforms to control how LiveCycle Designer ES places objects in the form as the form adjusts to display varying amounts of data.
Differences at design time and run time
When you create a form that have a flowable layout, keep in mind that what you see at design time is not what users see when the form is rendered.
For example, when you open a form design in LiveCycle Designer ES, the form design might contain only one item row in which to enter data. However, when the form is rendered on the client, the form might contain several item rows and users might be able to add additional item rows. This scenario would occur if at design time, you wrapped the objects in the item row in a subform that uses the Min Count or Max options. Setting up the subform in this way controls the number of rows that are initially available in the form for users to fill and the number of additional rows that users can subsequently add.
Because a form that has a flowable layout adjusts automatically to accommodate data from user input or from data merging, you reduce the need to determine the exact size that objects such as text field objects need to be and the precise number of item lines the form will require.
For example, by selecting options such as Allow Multiple Lines, Allow Page Breaks Within Content, and Expand To Fit, you can design interactive forms that have a flowable layout that will properly display an undetermined amount of data.
For an example of the differences between the design and run-time views of non-interactive forms that have a flowable layout, see How non-interactive forms that have a flowable layout work.
See also
Ways to control the placement of objects in a form that has a flowable layout
Approaches for creating form designs that have a flowable layout
General design considerations for forms having a flowable layout
About non-interactive forms that have a flowable layout


Controlling the placement of objects in forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Controlling the placement of objects in forms that have a flowable layout
Controlling the placement of objects in forms that have a flowable layout
Ways to control the placement of objects in a form that has a flowable layout
Using content areas in forms that have a flowable layout
Using subforms in a form that has a flowable layout


Ways to control the placement of objects in a form that has a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Controlling the placement of objects in forms that have a flowable layout > Ways to control the placement of objects in a form that has a flowable layout
Ways to control the placement of objects in a form that has a flowable layout
You can use either of two ways to control how LiveCycle Designer ES places objects in a form:
•
Content areas
On the master pages, content areas control the areas and flow direction in which LiveCycle Designer ES places objects on the pages. Every master page has a default content area, which is a container that controls where LiveCycle Designer ES places objects such as subforms on the pages.
•
Subforms
Subforms control how LiveCycle Designer ES places objects in the form. By wrapping objects into subforms, you can use the various options in the Subform and Binding tabs in the Object palette to regulate how many times objects are rendered and where they are placed on the page.

In a form that contains flowable sections, subforms contain the objects within each section of the form and maintain the form layout as it adjusts in length according to the amount of data merged into it. Subforms ensure that the objects move as a unit and are placed consistently relative to each other. When you wrap objects in subforms, you can be sure that regardless of the amount of data merged with the form, the format of each section will remain consistent, and the layout of the entire form will be predictable from one rendering to the next. As a result, planning how you will use subforms is a big part of designing this type of form.


Using content areas in forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Controlling the placement of objects in forms that have a flowable layout > Using content areas in forms that have a flowable layout
Using content areas in forms that have a flowable layout
You work with content areas on the master pages to control the areas and flow direction in which LiveCycle Designer ES places objects on the pages. Remember that you cannot work with content areas on the pages.
Every master page has a default content area, which is displayed on the associated pages and outlines the area in which you can place objects on the pages, much like the margins in a text document. You cannot place objects on the pages outside the area represented by the content area.
Note:
Every form must have at least one content area.
However, the content area does not delineate or limit the area in which you can position objects on the master pages. In fact, you can place boilerplate objects anywhere on the master pages, inside or outside the content area. If you do place objects outside the content area to contain header and footer text, the date and time, or page numbering, you need to test the form to ensure that the objects appear as intended. You want to be sure that objects on the pages do not overlap and hide the objects on the master pages when the form is rendered.
With forms that have sections that adjust to accommodate data, remember that the layout of the form is ultimately data-driven. If the form is being rendered through LiveCycle Forms ES or LiveCycle Output ES, the pages are added until all the available data is merged. As new pages are added, data flows from page to page within the area defined by the content area on the master pages.
If you want the same basic layout for each page in your form, you may find that the default content area is all you need. However, if the layout is more involved, you can add additional content areas to the default master page. Keep in mind that if you want different flow direction, page orientations, or two-sided pages, you can insert additional master pages and configure the other master pages and content areas to suit your design.
See also
Overview of content areas


Using subforms in a form that has a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Controlling the placement of objects in forms that have a flowable layout > Using subforms in a form that has a flowable layout
Using subforms in a form that has a flowable layout
Sections that expand and shrink to accommodate the data being merged are added by making subforms and nesting them into a hierarchy similar to the structure of the data. You can nest subforms to any depth. By nesting them, you can make the form design match the XML data file that will be merged with it. For example, if the XML data file includes two levels, you can create the subform hierarchy by matching the subforms names with the tag names in the XML data file so that LiveCycle Designer ES can map the data without transforming the data file.
A form that has a flowable layout, such as the Purchase Order sample, typically includes various subforms nested together, with one or more objects in each subform. For example, you can see how the different objects in the Purchase Order sample are wrapped in the subforms named header, detailHeader, detail, and total. Notice how you can align text and text field objects into rows and columns and wrap them in a subform. Using subforms to wrap groups of objects such as the various text field objects in the detail subform not only lets you maintain the layout of the objects, but also lets you control how often the subform is repeated.
You can configure each subform so that when the form is rendered, only the subforms that contain the objects that are necessary for representing the data content are placed. For example, you may want to produce different purchase orders for each customer where, in one purchase order form, the detail subform is placed twelve times to indicate the items purchased and, in another purchase order form, the same subform is placed fifty times, spanning multiple pages.
The sample Purchase Order form whose layout adjusts to accommodate data illustrates how you can use subforms to achieve this configuration. Open the form in LiveCycle Designer ES and look at the Hierarchy palette to examine the structure of the subform, and look at the Object palette to see how the subforms are configured. Pay particular attention to the purchaseOrder, detailHeader, and detail subforms and how they are configured. Keep in mind that the parent subform, which is purchaseOrder, controls the flow of content in the form and expands to fit the available data. The detailHeader subform is configured with a minimum count of 1, which means that when the form is rendered, this subform will appear only once. However, the detail subform is configured to repeat with each data item and therefore, when the form is rendered, will appear as many times as there are occurrences of the data.
You can also use a subform to draw a border around a group of subforms. For example, you can create one or more dynamic subforms, nest those subforms within a wrapper subform, and then specify a border for the wrapper subform. When the form is rendered, a border will be drawn around all of the internal subforms.
See also
Overview of subforms
About subforms


Creating form designs that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating form designs that have a flowable layout
Creating form designs that have a flowable layout
Approaches for creating form designs that have a flowable layout
To create form designs using a positioned context
To create a form design using a flowed context
General design considerations for forms having a flowable layout


Approaches for creating form designs that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating form designs that have a flowable layout > Approaches for creating form designs that have a flowable layout
Approaches for creating form designs that have a flowable layout
There are two basic approaches to creating a form design containing subforms that adjust to accommodate data:
•
Create a form design in a positioned context
•
Create a form design in a flowed context
Both methods produce the same results. However, you may find that one suits your design style more than the other. As you become more familiar with creating form designs that have a flexible layout, you will adopt a style that works best for you.
Whichever approach you choose, it is best that you first create a form design that has a fixed layout. You can plan the layout of the form, including all the necessary objects and information that you want users to see. After you create a form design that suits your needs, you can then plan how you will wrap the various groups of objects in subforms and configure each subform to make the form layout flexible. For example, you need to consider which subforms will position or flow content, which flow direction is best for each subform, which subforms will need an overflow leader or trailer subform, and which subforms will repeat, expand to fit content, and break within content.


To create form designs using a positioned context

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating form designs that have a flowable layout > To create form designs using a positioned context
To create form designs using a positioned context
Using a positioned context, you build the form design by using as many master and pages as are required. When the object layout and formatting is completed, you set the appropriate properties to those areas of the form design that will flow content.
If you are familiar with creating forms that have a fixed layout, you may find that creating a form design in a positioned context is most comfortable and familiar. In addition, this approach provides the easiest and most straightforward way of converting an existing form that has a fixed layout into a form design that has a flexible layout.
The following steps provide a general idea of the design process for creating a form design in a positioned context, assuming that the planning stage is completed.
1.
Create the required master pages.
2.
On the page, create the form content. If you are converting a form that has a fixed layout, simply begin by wrapping the objects on the form into subforms. If you are starting with a blank form, do the following tasks:
•
Add objects to the form and enclose them in the appropriate subforms.
•
Apply the necessary formatting to the objects.
•
Finalize the layout of the objects within their subforms, and subforms on the page.
•
Add scripting if required.
3.
Implement the dynamic concepts:
•
Unwrap the default subforms on each of the pages. The subforms will become children of the root subform, form1, which has flowed content. From this point on, you will be designing in a flowed context. You will notice that the subforms are positioned one below the other because the flow direction is top to bottom.
•
Apply the necessary formatting to the subforms, such as subform binding type and borders.
•
Define the flow. This task includes setting the occurrence values, allowing page breaks, defining leader and trailer subforms, defining which subforms to keep together, associating subforms to master pages, and setting margins.
4.
Test the form by using sample data.
Note:
The sample forms included with LiveCycle Designer ES follow this procedure. For usability reasons, the subforms that contain the actual content are wrapped inside a subform that has its binding type set to none. By configuring the subforms in this way, you can quickly understand the overall structure of a form when you see it in Hierarchy View for the first time.
Considerations for creating a form design using a positioned context
When you are creating forms that have a flowed layout using the positioned context, you should be aware of the following:
•
Set the form’s content to flowed only when you are satisfied with the layout. When the form’s content is set to flowed, you can revert to a positioned layout, but you may experience problems with the form layout. For example, if you choose to wrap the subforms inside a single positioned container, the subforms will be positioned exactly where they were in their respective pages and may overlap each other. To avoid this situation, wrap the subforms as described earlier, by using page grouping.
•
The subform’s default minimum and maximum count are set to 1, and must be adjusted to behave dynamically.
•
Wrapping objects inside a subform does discard any extra space defined beyond the objects. You may choose to add left and right margins to realign the subform horizontally. You might also resize the subform, but doing so will reposition the objects because they are positioned relatively to the parent.


To create a form design using a flowed context

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating form designs that have a flowable layout > To create a form design using a flowed context
To create a form design using a flowed context
Using a flowed context, you build the form design using as many master pages and subforms as required. The concept of pages is ignored. The creation of pages occurs during processing, when the form design is merged with data and the amount of data overflows the current page. The dynamic properties are applied after the layout and formatting is complete.
Creating a form in a flowed context is often the best approach to building a form when you are starting with an XML schema. In addition, advanced users may choose this method because it provides a better feel for the dynamic behavior of the form at design time. However, it takes some time to become comfortable with creating a form in a flowed context. This is primarily due to the unexpected behavior that results from designing inside a flowed container.
The following steps provide a general idea of the design process for creating a form in a flowed context, assuming that the planning stage is completed.
1.
Create the required master pages.
2.
Create the form’s content in the following manner.
•
Create the subforms and their content. The page default subform becomes the first subform in the form. You should resize it to accommodate its content.
•
Additional pages are not required. Continue to add as many subforms as necessary to complete the form design. As you design the form, additional pages will be placed when the created subform does not fit onto the current page. This is not always obvious because it is automatic and the Hierarchy palette does not show these extra pages.
•
Apply the necessary formatting to the objects.
•
Finalize the layout of the objects within their subforms and the arrangement of the subforms.
•
Add scripting if required.
3.
Implement the dynamic concepts.
•
Apply the necessary formatting to the subforms, such as subform binding type and borders.
•
Define the flow. This task includes setting the occurrence values, allowing page breaks, defining leader and trailer subforms, defining which subforms to keep together, associating subforms to master pages and setting margins.
4.
Test the form by using sample data.


General design considerations for forms having a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating form designs that have a flowable layout > General design considerations for forms having a flowable layout
General design considerations for forms having a flowable layout
Regardless of whether you build a form design in a flowed context or in a positioned context, you should be aware of these general design considerations:
•
Setting the margins of a subform might generate unexpected results. As the majority of individual subforms will have a positioned content and thus a fixed height, adding margins will offset the subform’s content accordingly, possibly causing the objects below it to overlap.
•
To wrap the content of a subform exactly, without using the Expand To Fit option, resize the subform by using the properties in the Layout palette. The sample forms that are included with LiveCycle Designer ES use both methods.


Creating interactive forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout
Creating interactive forms that have a flowable layout
About interactive forms that have a flowable layout
Where to start
Positioning the header and footer on the master page
Wrapping form objects in subforms and setting occurrence values
Modifying margins to accommodate subforms
Using overflow leader and overflow trailer subforms
Creating subforms with flowable elements
Creating a button to add and remove a section
Creating add and delete buttons
To add and remove subform instances using scripting
To add and remove tables and table rows by using scripting


About interactive forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > About interactive forms that have a flowable layout
About interactive forms that have a flowable layout
Using LiveCycle Designer ES,you can create interactive forms for data capture that have a flowable layout. This type of form combines both flowable elements and interactive form functionality so that users can enter data directly into expandable fields, add or remove sections, and return the form data electronically. For example, you might create an interactive form where users can add or remove item rows and can choose to add their comments to the form. For more information, see Form design layouts.
To fill interactive PDF forms that have a flowable layout, end users need Acrobat 7.0.5 or Adobe Reader 7.0.5 or later.
Note:
Users cannot use Acrobat commenting features when filling interactive forms that have a flowable layout.
See also
Where to start
About forms that have a flowable layout
About forms


Where to start

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Where to start
Where to start
When creating interactive forms that have a flowable layout, many form authors prefer to start with an interactive form design that has a fixed layout. By starting in this manner, you can see the form in its final state. The form design provides the final layout including all the elements that users will need.
After completing the form design that has a fixed layout, you can then begin to divide the form design into its essential parts, identify what should become subforms, and specify how the subforms will flow the data being entered into the form.
Adding dynamic capabilities to an interactive form typically involves the following techniques:
•
Positioning the header and footer on the master page
•
Wrapping form objects in subforms and setting occurrence values
•
Modifying margins to accommodate subforms
•
Using overflow leader and overflow trailer subforms
•
Creating subforms with flowable elements
•
Creating a button to add and remove a section
•
Creating add and delete buttons
In addition, you need to understand how to add and remove subforms so that the form can respond to the amount of data a user will enter. For more information, see To add and remove subform instances using scripting and To add and remove tables and table rows by using scripting.


Positioning the header and footer on the master page

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Positioning the header and footer on the master page
Positioning the header and footer on the master page
In an interactive form that has a fixed layout, header and footer text is usually positioned on the page. When you add subforms that are set to flow content in the form, you typically want header and footer text on the master page.
Because the length of an interactive form containing subforms that are set to flow content can expand depending on the amount of data the form contains, additional pages may be added to the form as the end user enters more data. By placing the header and footer on the master pages, you ensure that the header and footer will appear on each page instead of only on the first page.
See also
Setting up master pages


Wrapping form objects in subforms and setting occurrence values

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Wrapping form objects in subforms and setting occurrence values
Wrapping form objects in subforms and setting occurrence values
When designing an interactive form that has a fixed layout, you need to provide a sufficient number of item lines for users to fill. However, if you wrap the item lines in subforms that are set to flow content, users can add item lines as they need them.
Because of the dynamic capabilities of subforms, you can include one or two item lines in the form along with Add and Delete buttons. By wrapping the objects in a subform, you can determine when, where, and how many times particular subforms are repeated by using the options on the Subform and Binding tabs of the Object palette.
Wrapping groups of form objects in subforms is an important part of creating a form with dynamic functionality.
Subforms contain and control the objects arranged within sections of the form to maintain the form’s layout as it adjusts in length according to the amount of incoming data. Subforms preserve the x and y coordinates of each object to ensure that the objects move as a unit and are placed together.
When you wrap groups of objects in subforms, you ensure that, regardless of the amount of data contained in the form, the format of each section and the layout of the entire form will remain consistent and predictable.
Remember that end users need to see at least one item row to enter data when they open the form. That means that you must set the Min Count option for the subform to at least 1. Depending on the form, initially displaying two or more rows in the PDF form can give the form a more balanced and pleasing appearance, as well as result in a more intuitive and functional end-user experience.
Subforms also provide the dynamic capabilities that let users add or remove rows and sections in the form. For example, you might include various buttons that users can use to add and remove item rows or to submit comments.
Plan how you will wrap objects in subforms to create sections in your form design, and then test the form design to ensure that the subforms move and repeat as you intended and do not break across pages in ways not intended.
See also
Overview of subforms
Creating and configuring subforms
Creating a button to add and remove a section


Modifying margins to accommodate subforms

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Modifying margins to accommodate subforms
Modifying margins to accommodate subforms
When applying dynamic functionality to an interactive form that has a fixed layout, a certain amount of reformatting is typically needed. Using the options in the Layout palette, you can set the size and position, margins, and captions of objects. For example, you may need to set margins around subform objects to regulate the alignment of and the spacing (white space) between the sections in the form.
See also
Layout properties in the Layout palette


Using overflow leader and overflow trailer subforms

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Using overflow leader and overflow trailer subforms
Using overflow leader and overflow trailer subforms
Because the length of an interactive form containing subforms that are set to flow content can vary depending on the amount of data displayed in the form, the form often has more than one page. As a result, you may want certain subforms (sections) in the form to continue on subsequent pages.
Using overflow leader and overflow trailer subforms, you can designate different subforms to precede and follow repeating or expanding subforms that are likely to carry over to additional pages. Overflow leaders and trailers are special types of subforms that you can use in form designs that have a flowable layout. After you specify a subform as an overflow leader subform in the Binding tab of the Object palette, the subform appears at the top of each new page.
For example, you can use the heading row at the top of a table as an overflow leader subform. This way, the heading row is repeated at the top of each new page, making the information in the table rows easier to read and follow from page to page.
In a similar manner, you may also want to assign an overflow trailer subform to follow the last occurrence on a page of a repeating or expanding subform that could possibly span multiple pages.
See also
Overview of subforms
Creating and configuring subforms


Creating subforms with flowable elements

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Creating subforms with flowable elements
Creating subforms with flowable elements
Depending on the purpose of your form design, you may want to add an adjustable section to the form where users can type information such as special requests or comments. With LiveCycle Designer ES, you can apply different options to text fields and subforms that enable the size of sections in the form to adjust to the amount of data that the user enters.
For example, your interactive form might contain a Comments section that users can display or hide by clicking a button. You would create this section by using a text field placed inside a subform with these options selected to enable dynamic data entry:
Text field Allow Multiple Lines and Plain Text Only (Field tab), User Entered - Optional (Value tab), Height - Expand to fit (Layout palette)
Enables users to enter as much text as they want in the Comments section and ensures that the text field will automatically expand in height to display the data available.
Subform Allow Page Breaks Within Content (Subform tab), Max (count) with a value of 1 (Binding tab), Auto-fit (Layout palette)
Allows the comments subform to carry over to succeeding pages when necessary and to appear only once in the form and ensures that the subform will automatically enlarge to display the data available.
See also
Overview of subforms
Creating and configuring subforms
Creating a button to add and remove a section


Creating a button to add and remove a section

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Creating a button to add and remove a section
Creating a button to add and remove a section
In interactive form designs, it is common practice to have one or more sections in the form that are not displayed until the user selects the option to include it. With LiveCycle Designer ES, you can add a button along with a script that dynamically adds or removes a particular section (subform) from the form when the user clicks a button.
For example, in the sample interactive Purchase Order, the user can click the Add Comments button to display the Comments section (comments subform). The button has one of two alternating captions, Add Comments or Clear Comments, depending on the current state of the subform. Each time the user clicks the button, the script checks whether the comments subform is displayed and then updates the button caption accordingly.
The button triggers a script that uses instanceManager, the XML Form Object Model object that manages the instance creation, removal, and movement of form objects. When the end user deletes the Comment subform, the instanceManager object removes the subform from both the Form data document object model (DOM) and the Data DOM.
Note that instanceManager uses four methods: addInstance, removeInstance, moveInstance, and setInstances. The naming convention of an instanceManager is the subform name prefixed with an underscore (_subformname). The syntax for instanceManager is _subformname.methodname().
In the sample interactive Purchase Order form, the form author typed the following JavaScript script in the Script Editor using the setInstances method to add and remove the comments subform and change the button’s caption. Notice that the _comments.count == 0 property returns the number of subform instances instantiated.
// Invoke the Instance Manager to add and remove the comments subform.
if (_comments.count == 0) {// The count property specifies the current number
// of instances instantiated.
_comments.setInstances(1); // Add the comments subform.
this.resolveNode("caption.value.#text").value = "Clear Comments"; // Change the button's caption.
}
else {
_comments.setInstances(0); // Remove the comments subform.
this.resolveNode("caption.value.#text").value = "Add Comments"; // Change the button's caption.
}


Creating add and delete buttons

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > Creating add and delete buttons
Creating add and delete buttons
Adding buttons to an interactive form provides end users with a way to initiate an action, such as adding and deleting instances of subforms that define sections such as item lines in an order form.
You can also add a tool tip to the delete button to display the words “Delete Item” when the user positions the pointer over the button. Using separate delete buttons is a good way to allow users to remove specific rows from the form.
For example, the sample interactive Purchase Order has an Add Item button and a delete button labeled “X” for each detail subform. When the user clicks the Add Item button, a script adds an item line. Alternatively, when the user clicks one of the delete buttons, a script deletes the associated item line.
Add Item button
The following JavaScript script in the click event of the Add Item button lets users add an item line to the sample interactive Purchase Order form. The script also recalculates the form so that the Total field includes the new line in the calculation.
Because users only add item lines by using the Add Item button, the script does not need to verify the minimum count (occurrence) value.
// Invoke the Instance Manager to add one instance of the detail subform.
_detail.addInstance(1);
//Invoke the recalculate method to include the field values from the added subform in calculations.
xfa.form.recalculate(1);
Delete button
The following JavaScript script in the click event of the Delete button lets users use the Delete button to delete an instance of the detail subform from the sample interactive Purchase Order form. The script also recalculates the form so that the Total field no longer includes the deleted line in the calculation.
// Invoke the Instance Manager to remove the current instance of the detail subform.
_detail.removeInstance(this.parent.index);
// Invoke the recalculate method to update the form calculations.
xfa.form.recalculate(1);
Because the initial minimum occurrence value for the detail subform is 2, the script needs to reduce the minimum occurrence value to allow the person filling the form to delete the two item lines that appear automatically when the form is rendered. This script has been added to the initialize event of the detail subform.
// Reset the minimum occurrence value of the detail subform.
this.occur.min = "0";
Because the form allows users to delete all instances of the detail subform, the script for the calculate event of the Total field (numTotal) needs to verify that at least one instance of the numAmount field in the detail subform exists. Otherwise, an error will appear because the calculation cannot find any occurrences of the numAmount field. This script has been added to the Calculate event of the numTotal field.
// Verify at least one instance of the numAmount field exists.
if (exists(detail[0].numAmount) == 1) then
Sum(detail[*].numAmount)
endif


To add and remove subform instances using scripting

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > To add and remove subform instances using scripting
To add and remove subform instances using scripting
You can add or remove subform instances by adding calculations or scripts to objects on your form using the Script Editor.
Before you begin, make sure you perform the following tasks:
•
If it is not already visible, display the Script Editor by selecting Palettes > Script Editor. Expand the Script Editor so that it is displayed in multiline view.
•
Ensure that the subform that you want to add instances to is contained within a flowed subform.
To add a subform instance to a form by using scripting
1.
Select the object on your form design that you want to add the script to and select an event from the Show list in the Script Editor. For example, choose the click event of a button or other interactive form object.
2.
Type one of the following scripts in the Script Editor, where Subform1 is the name of the subform to add instances to, and the value true indicates that the new subform instance should be merged with the form data:
FormCalc
Subform1.instanceManager.addInstance(true) // Default instance manager syntax
xfa.form.recalculate(true) // Invoke the recalculate method to include the field values from the added subform in the form calculations.
or
_Subform1.addInstance(true) // Short form of the instance manager syntax
xfa.form.recalculate(true) // Invoke the recalculate method to include the field values from the added subform in the form calculations.
JavaScript
Subform1.instanceManager.addInstance(true); // Default instance manager syntax
xfa.form.recalculate(true) // Invoke the recalculate method to include the field values from the added subform in the form calculations.
or
_Subform1.addInstance(true); // Short form of the instance manager syntax
xfa.form.recalculate(true) // Invoke the recalculate method to include the field values from the added subform in the form calculations.
To remove a subform instance from a form
1.
Select the object on your form design that you want to add the script to and select an event from the Show list in the Script Editor.
2.
Type one of the following scripts in the Script Editor, where Subform1 is the name of the subform to remove an instance from and integer is the zero-based index number of the instance to remove:
FormCalc
Subform1.instanceManager.removeInstance(integer) // Default instance manager syntax
or
_Subform1.removeInstance(integer) // Short form of the instance manager syntax
JavaScript
Subform1.instanceManager.removeInstance(integer); // Default instance manager syntax
or
_Subform1.removeInstance(integer); // Short form of the instance manager syntax
See also
To add and remove tables and table rows by using scripting
Subform properties in the Binding tab
Using the methods of the instance manager to control subforms
addInstance
removeInstance


To add and remove tables and table rows by using scripting

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating interactive forms that have a flowable layout > To add and remove tables and table rows by using scripting
To add and remove tables and table rows by using scripting
You can add or remove tables, body rows, header rows, and footer rows by adding instance manager scripting expressions to objects on your form using the Script Editor.
Before you begin, make sure you perform the following tasks:
•
If it is not already visible, display the Script Editor by selecting Palettes > Script Editor. Expand the Script Editor so that it is displayed in multiline view.
•
Ensure that the table that you want to add instances to is contained within a flowed subform so that you can add new instances of either the table or the rows within the table.
To add a table or table row instance to a form
1.
Select the object on your form design that you want to add the script to and select an event from the Show list in the Script Editor.
2.
Type one of the following scripts in the Script Editor, where Table1 and Row1 are the names of the table and table row to add instances to:
FormCalc
Table1.instanceManager.addInstance(true) // Default instance manager syntax
Table1.Row1.instanceManager.addInstance(true) // Default instance manager syntax
xfa.form.recalculate(true) // Invoke the recalculate method to include the field values from the added table or row in the form calculations.
or
Table1.addInstance(true) // Short form of the instance manager syntax
Table1._Row1.addInstance(true) // Short form of the instance manager syntax
xfa.form.recalculate(true) // Invoke the recalculate method to include the field values from the added table or row in the form calculations.
JavaScript
Table1.instanceManager.addInstance(true); // Default instance manager syntax
Table1.Row1.instanceManager.addInstance(true); // Default instance manager syntax
xfa.form.recalculate(true); // Invoke the recalculate method to include the field values from the added table or row in the form calculations.
or
Table1.addInstance(true); // Short form of the instance manager syntax
Table1._Row1.addInstance(true); // Short form of the instance manager syntax
xfa.form.recalculate(true); // Invoke the recalculate method to include the field values from the added table or row in the form calculations.
To remove a table or table row instance from your form
1.
Select the object on your form design that you want to add the script to and select an event from the Show list in the Script Editor.
2.
Type one of the following scripts in the Script Editor, where Table1 and Row1 are the names of the table and table row to remove instances from and integer is the zero-based index number of the instance to remove:
FormCalc
Table1.instanceManager.removeInstance(true) // Default instance manager syntax
Table1.Row1.instanceManager.removeInstance(true) // Default instance manager syntax
or
Table1.removeInstance(true) // Short form of the instance manager syntax
Table1._Row1.removeInstance(true) // Short form of the instance manager syntax
JavaScript
Table1.instanceManager.removeInstance(true); // Default instance manager syntax
Table1.Row1.instanceManager.removeInstance(true); // Default instance manager syntax
or
Table1.removeInstance(true); // Short form of the instance manager syntax
Table1._Row1.removeInstance(true); // Short form of the instance manager syntax
See also
About the Script Editor
Table properties in the Binding tab
Body row properties in the Binding tab
Header row properties in the Binding tab
addInstance
removeInstance
To add and remove subform instances using scripting


Creating non-interactive forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating non-interactive forms that have a flowable layout
Creating non-interactive forms that have a flowable layout
About non-interactive forms that have a flowable layout
How non-interactive forms that have a flowable layout work


About non-interactive forms that have a flowable layout

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating non-interactive forms that have a flowable layout > About non-interactive forms that have a flowable layout
About non-interactive forms that have a flowable layout
When you need a form to present varying amounts of data, typically from a data source, non-interactive forms that are designed to flow content are particularly useful. Just as with interactive forms that are designed to capture varying amounts of user-supplied data, the layout of this type of form adjusts automatically to the amount of data being merged with the form design by a server-based process. You do not need to predetermine the number of sections or pages for the form as you need to do with a form that has a fixed layout.
Typically, non-interactive forms are printed and/or stored electronically. For example, you can create a non-interactive form design that has a flowable layout for use with LiveCycle Output ES. LiveCycle Output ES can then merge the form design with XML form data and output the form to a network printer, a disk file, and an email recipient as a file attachment. You can output these forms as PDF (including PDF/A documents), PostScript, Printer Control Language (PCL), and Zebra Programming Language (ZPL) formats.
See also
How non-interactive forms that have a flowable layout work
About subforms


How non-interactive forms that have a flowable layout work

Using LiveCycle Designer ES > Working with Form Designs > Working with forms that have a flowable layout > Creating non-interactive forms that have a flowable layout > How non-interactive forms that have a flowable layout work
How non-interactive forms that have a flowable layout work
In a form design that has a fixed layout, you typically use only one subform (the default subform on the page), which LiveCycle Designer ES sets to position content by default. When LiveCycle Designer ES positions the content in a subform, none of the objects within the subform move from their anchored positions, regardless of the characteristics and quantity of data.
However, if you want sections of the form to expand to accommodate data, you generally use multiple subforms: the default subform on the page, which you set to flow content, along with additional subforms that you can set to repeat for each data item, expand to fit, or both. When you reset a subform to flow content, the objects within the subform, including other subforms, move to accommodate the data merged into the repeating and expanding subforms.
With LiveCycle Designer ES, you can bind the objects in the form to the data elements in a data file, and you can configure the text field and subform objects in the form to appear, repeat, or expand, depending on the characteristics and quantity of data merged with the object. Because the objects in the form are bound to the source data, the layout of the form is data-driven.
When authoring a form design that contains sections that expand and shrink to accommodate data, it is important to understand which subforms will only appear once in the form, such as an address block, and the subforms that will repeat according to the amount of data, such as a detail line. For those subforms that will repeat, you include only one instance of the subform and its components in the form design. Consequently, what you see at design time is not what users see when the form is rendered.
For example, the following illustrations of the non-interactive Purchase Order sample show the form design before it is merged with data and the resulting form that is presented to a user after the form design is merged with data. Notice how the detail line (detail subform) repeats four times to accommodate the list of parts (available data).
Form that has a flowable layout without merged data
Form that has a flowable layout with merged data
See also
About subforms
General design considerations for forms having a flowable layout


Importing documents

Using LiveCycle Designer ES > Working with Form Designs > Importing documents
Importing documents
About importing
Importing PDF files
Importing PDF documents as artwork
Importing Word files
Importing Spreadsheet Data from Microsoft Excel
Importing InfoPath files
Importing Adobe Output Designer Form files
Importing XForms Model files


About importing

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > About importing
About importing
Form formats that LiveCycle Designer ES imports


Form formats that LiveCycle Designer ES imports

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > About importing > Form formats that LiveCycle Designer ES imports
Form formats that LiveCycle Designer ES imports
You can import forms into LiveCycle Designer ES that were created in another form authoring application or an XForm XML application, or import spreadsheet data from Microsoft Excel 2002 or later by copying and pasting the content of the spreadsheet cells into a form. You can also import legacy forms as a starting point for creating new LiveCycle Designer ES forms. You can import files from these applications into LiveCycle Designer ES.
Application
File types
Adobe Acrobat
PDF
Adobe Form Designer 5.0 or later
XFT
Adobe Output Designer
IFD
To import Output Designer files (IFD) into LiveCycle Designer ES, you must install Output Designer 5.4, 5.5, or 5.6 on the same computer as LiveCycle Designer ES.
Microsoft Word
DOC, DOT, RTF
Microsoft Excel
XLS, XML, HTML, XLT, TXT
Microsoft InfoPath
XSN
XForms Model
XHTML, XML, HTML, HTM, XFDL
LiveCycle Designer ES includes a number of options to handle imported files and render the best possible output. LiveCycle Designer ES preserves the layout of the imported form as much as possible and converts the elements into LiveCycle Designer ES objects.
See also
To import PDF files
To import a PDF document as artwork in LiveCycle Workbench ES
To import a Microsoft Word file
To copy cells from a Microsoft Excel spreadsheet
To import a Microsoft InfoPath file
To import an Adobe Output Designer Form file
To import an XForms Model file


Importing PDF files

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files
Importing PDF files
To import PDF files
Reviewing the results of a PDF file import
How LiveCycle Designer ES converts PDF objects
About reducing PDF conversion problems
About accessible PDF files and importing
About fonts and importing PDFs
To make the font substitution permanent
Adding a new mapping to the font-mapping table in LiveCycle Designer ES
Font-mapping table in ConvertPDF_FontMap.txt
Character-mapping table in ConvertPDF_CharMap.txt


To import PDF files

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > To import PDF files
To import PDF files
PDF files can come from many sources, and each authoring application can define the contents of the PDF file in a unique manner.
You can use the Create an Interactive Form with a Flowable Layout option to import a PDF document and edit the contents in Workbench. To do so, you must first create a blank PDF and then import the PDF you want to use as artwork into the blank PDF. You can then add objects or edit the form design, as needed.
Before importing a PDF file into LiveCycle Designer ES, you should understand the different options available for fine-tuning the results of the import process.
Note:
PDF files created by using LiveCycle Designer ES do not go through the import process. They open directly in LiveCycle Designer ES and should appear as designed without modifications.
You use the Import Options dialog box to import a PDF file. The options in the Import Options dialog box enable you to customize how LiveCycle Designer ES processes the text, paragraphs, and images in the document.
If you are not satisfied with the initial conversion, you can experiment with different combinations of options to achieve the best results.
Note:
When importing a PDF file that has security permissions set, LiveCycle Designer ES prompts you to enter the correct password to prevent unauthorized access.
To import a PDF document in LiveCycle Workbench ES
1.
Select File > New > Adobe XML Form File (PDF).
2.
In the Enter or Select the Parent Folder box, select the folder where you want to save the form design.
3.
In the File Name box, type an new name for the form design, and then click Next.
4.
Click Finish.
5.
Select Tools > Import.
6.
Navigate to the PDF file that you want to import, select the file, and click Open.
7.
In the Import Options dialog box, select Create an Interactive Form with a Flowable Layout.
8.
[Optional] Select custom options for importing the PDF, as required.
9.
Click OK.
See also
Opening and saving forms
Import Options dialog box


Reviewing the results of a PDF file import

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > Reviewing the results of a PDF file import
Reviewing the results of a PDF file import
The form design that results from an imported PDF file depends on the different combinations of options that you selected during the import process. If you are not satisfied with the initial conversion, you might want to experiment with different combinations of options to achieve the best results, or you can edit the objects in the form design by using the Object Editor.
The Object Editor appears when you select an object, and it provides quick access to commands that are commonly used when editing objects.
Initially, object boundaries appear in the form design so that you can see how the PDF file elements, especially text, have been grouped into objects. This can make the form design look busy and difficult to read. Using the Object Boundaries command in the View menu, you can hide the object boundaries while you examine the form design. You will find the object boundaries useful if you need to make changes to objects in the form design. For example, you use the object boundaries as a guide when you resize or move objects without borders. Also, if a body of text is divided over two or more objects in the form design, the object boundaries will show it. You can easily merge these objects into one text object by using the Merge Selected Text Objects command in the Layout menu.
Title and instruction text may be divided into multiple text objects and field objects. You can create a caption for a field object that does not have a caption by merging it with a text object using the Merge as Caption command in the Layout menu.
You might also find the locking commands in the Edit menu useful. Locking objects prevents you from selecting and editing them in the Layout Editor. For example, you can lock text so that you must double-click the required text or caption to edit it. This makes it somewhat difficult to modify the text. You can also lock static objects such as text, lines, images, and shapes, and you can lock field objects.
See also
How LiveCycle Designer ES converts PDF objects
About reducing PDF conversion problems
To use the drawing aids
To merge text objects
To create a caption by merging a text object and a field object


How LiveCycle Designer ES converts PDF objects

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > How LiveCycle Designer ES converts PDF objects
How LiveCycle Designer ES converts PDF objects
The conversion of PDF contents into XDP format is highly dependent on the source of the PDF file itself. The PDF specification allows for a wide variety of styling and structural layout, some of which lends itself to good migration. Often, PDF is used as a final form layout; that is, the display of the contents is the only thing that matters, not the contents themselves.
In many situations, Distiller® or PDFMaker actually generates the PDF file, but they both can only render what is provided to them in the order that it is provided.
This table identifies key elements in a PDF file and indicates how LiveCycle Designer ES treats them when they are imported.
Item
Converted
Not converted
Actions (from an Acrobat form)
LiveCycle Designer ES only converts the following actions that may be associated with a form created in Acrobat:
•
Import form data
•
Launch a URL
•
Reset a form (full and partial field list)
•
Show/hide a field
•
Submit a form for complete field list
All remaining actions
Calculations
Average
Maximum
Minimum
Sum
Range
Comments/ Annotations
Not converted
Document
Document-level JavaScript script is converted to event scripts that are commented out. You must verify and update the scripts to match the LiveCycle Designer ES model.
Pages and names
Events other than JavaScript scripts
Security options
Document metadata, including PDF version, title, author, subject, keywords, creator, producer, creation date, modification date
Accessibility information of Tagged PDFs is preserved.
Tab order
Fields
Date, Text, Numeric, Check Box, Radio Buttons and groups, Button, Combo box, Signature (only identified), Drop-down List, and List Box field types
Default text
Dimensions
Events
Font name, size, bold, italic
JavaScript script is converted to event scripts that are commented out. You must verify and update the scripts to match the LiveCycle Designer ES model.
Name
Picture formatting
Position, orientation, alignment, and visibility
Printable
Read Only, Required, Maximum Characters, and Multiline attributes
RGB and grey color definitions for background color, border color, and color. Other color specifications are mapped to RGB values.
Tool tip is preserved
All fonts used in a PDF file must exist on your system or font substitution rules must be defined in the font-mapping table.
LiveCycle Designer ES uses a cross (x) to indicate when a check box is selected. If a check box in the PDF file uses a different character, the character is converted to a cross that may not be perfectly aligned inside the fillable area.
Images
All 1-bit, 4-bit, 8-bit, and 24-bit
Dimensions
Position
Vector based
6-bit
32-bit
Some TIFF formats
Lines
Color (both edge and fill)
Dimensions
Position
Width
Some dotted and dashed styles
Style
Rectangles
Color (both edge and fill)
Dimensions
Position
Width
Some dotted and dashed line styles
Rounded-corner rectangles are converted when they are detected. The conversion depends on how the PDF file was generated.
Style
Scripts
Document, page, and field-level JavaScripts scripts are converted to event scripts that are commented out. You must verify and update the scripts to match the LiveCycle Designer ES model.
Text
Content
Dimensions
Font name, size, bold, italic
Mixed formatting (rich text)
Position
RGB and grey color definitions for background color, border color, and color. Other color specifications are mapped to RGB values.
All fonts used in a PDF file must exist on your system or font substitution rules must be defined in the font-mapping table.
Symbol-based characters are not always displayed correctly. You can define character-mapping rules in the character-mapping table.
LiveCycle Designer ES does not support font kerning. When PDF-based kerning is detected, the font size is decreased so that the text occupies the same horizontal space.
See also
To import PDF files
About reducing PDF conversion problems
Adding a new mapping to the font-mapping table in LiveCycle Designer ES
Character-mapping table in ConvertPDF_CharMap.txt


About reducing PDF conversion problems

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > About reducing PDF conversion problems
About reducing PDF conversion problems
Some PDF files may be difficult to import into LiveCycle Designer ES. Conversion problems can depend both on the application used to produce the PDF file and on choices made when the source document was authored. For example, these original sources of PDF files have proven difficult to import into LiveCycle Designer ES:
•
Digipath files, which are converted to one large image that cannot be edited
•
Microsoft Word, when the document has not been specifically designed as a form
You can reduce possible conversion problems by being aware of these issues:
•
Fonts are substituted if a font used on the form is not installed when you import the form. If a font is substituted, text will not appear exactly as in the original form.
•
If you are using Acrobat to create PDF files, do not build the form by using drawing annotations only.
•
When an image in a PDF form contains a large number of lines, such as a vector-based image, LiveCycle Designer ES needs a significant amount of time to process the lines during an import operation. For faster processing, remove the image from the source file that is used to create the PDF. If required, you can reinsert the image after you save the form design in LiveCycle Designer ES. If the source file is not available, deleting the image from the form in LiveCycle Designer ES will improve performance of the form.
•
If you are having conversion problems and you have access to the source files for the original form, try re-creating the PDF by using Distiller. If the original PDF was not created correctly, re-creating it may resolve the issue.
See also
To import PDF files
How LiveCycle Designer ES converts PDF objects


About accessible PDF files and importing

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > About accessible PDF files and importing
About accessible PDF files and importing
When importing a tagged PDF (an accessible PDF), the accessibility information of the page contents is preserved. In addition, organizing the form by adding or changing subforms may cause the accessibility information to change.
To ensure that the form still performs in a manner acceptable to your users, test the form thoroughly. Pay close attention to the following areas and adjust them if they are not behaving as expected:
•
Tool tips
•
Custom screen reader text
•
Screen reader reading order
See also
To import PDF files
About accessible forms


About fonts and importing PDFs

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > About fonts and importing PDFs
About fonts and importing PDFs
During import, LiveCycle Designer ES attempts to match fonts in the PDF file with fonts that are available on your computer. If the file contains an unavailable font, LiveCycle Designer ES displays the Missing Fonts dialog box showing the missing font and a suggested replacement. You can accept the replacement font or change it. This font substitution is not permanent. LiveCycle Designer ES must map the unavailable fonts every time the form opens.
After importing the PDF, the Warnings tab of the Report palette lists all unavailable fonts and explains how they were converted. If the font-mapping table includes the unavailable font, the Warnings tab states that the font was mapped to the new font. If the unavailable font is not in the font-mapping table, LiveCycle Designer ES attempts to select an appropriate substitution. The Warnings tab then states that the unavailable font was changed to the new font. In this case, you may want to permanently substitute the font or add a new mapping to the font table.


To make the font substitution permanent

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > To make the font substitution permanent
To make the font substitution permanent
1.
Import the PDF. See To import PDF files.
2.
If the Missing Fonts dialog box appears, specify the desired substitute fonts.
3.
To apply permanent font substitution immediately, select Permanently Replace Unavailable Fonts and click OK.
4.
To apply permanent font substitution at later time in the session before closing the form design, select Tools > Missing Fonts and select Permanently Replace Unavailable Fonts.
5.
Save the form design.


Adding a new mapping to the font-mapping table in LiveCycle Designer ES

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > Adding a new mapping to the font-mapping table in LiveCycle Designer ES
Adding a new mapping to the font-mapping table in LiveCycle Designer ES
LiveCycle Designer ES uses the font-mapping table stored in the Designer.xci file to speed up the substitution of an unavailable font with one of the fonts on your computer. It contains several default entries for font mapping.
The Designer.xci file is located in the installation directory. However, as soon as LiveCycle Designer ES starts, the XCI file is copied to the user directory.
You can modify the default entries font-mapping table in the Designer.xci file.
Syntax
<equate from='input_font_*_*' to='LiveCycle Designer ES_font_*_*' force="0"/>
Parameters
input_font
The name of the font used in the input PDF file.
LiveCycle Designer ES_font
The name of the font that is installed on your computer.
Asterisk (*)
Wildcard character. For example, the string *Cour* refers to all font names that contain the Cour string.
Question mark (?)
A single-character wildcard.
_*_*
Bold and italic attributes. Valid values after the first underscore are: *, normal, and bold. Valid values after the second underscore are *, normal, and italic.
force="0"
Instructs LiveCycle Designer ES to search for the font on the system and use font mapping only if the font is unavailable.
force="1"
Instructs LiveCycle Designer ES to map the font whether it is installed or not.
Example
The following line instructs LiveCycle Designer ES to map Courier font to Courier New when Courier is not available:
<equate from='Courier_*_*' to='Courier New_*_*' force="0"/>
See also
To import PDF files
How LiveCycle Designer ES converts PDF objects
Font-mapping table in ConvertPDF_FontMap.txt
Character-mapping table in ConvertPDF_CharMap.txt


Font-mapping table in ConvertPDF_FontMap.txt

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > Font-mapping table in ConvertPDF_FontMap.txt
Font-mapping table in ConvertPDF_FontMap.txt
You can set up a font mapping table in the ConvertPDF_FontMap.txt file.
If you add a font-mapping rule to this file, all occurrences of the substituted font are changed to the new font when you import a PDF, regardless of the font-mapping table in the Designer.xci file and regardless of whether the substituted font is available on your computer.
The ConvertPDF_FontMap.txt file is located in the installation directory and is empty by default.
Syntax
input_font=LiveCycle Designer ES_font
input_font
The name of the font used in the input PDF file.
LiveCycle Designer ES_font
The name of the font that is installed on your computer.
Asterisk (*)
Wildcard character. For example, the string *Cour* refers to all font names that contain the string Cour. Adding wildcard characters before and after the input_font name accounts for any slight variations in the name of the font in the form.
Question mark (?)
Single-character wildcard.
Example
*Arial*=Arial
*Helv*=Arial
*Cour*=Courier New
*=Times New Roman
Processing occurs in the same order as in the file. The last line in the example converts all remaining fonts to Times New Roman.
See also
To import PDF files
How LiveCycle Designer ES converts PDF objects
Adding a new mapping to the font-mapping table in LiveCycle Designer ES
Character-mapping table in ConvertPDF_CharMap.txt


Character-mapping table in ConvertPDF_CharMap.txt

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF files > Character-mapping table in ConvertPDF_CharMap.txt
Character-mapping table in ConvertPDF_CharMap.txt
PDF files may contain characters that are mapped differently in LiveCycle Designer ES. To deal with this issue, you can use character-mapping rules in the character-mapping table in the ConvertPDF_CharMap.txt file.
LiveCycle Designer ES relies on the character-mapping table to display input PDF symbols correctly in its native character set. The table contains several default entries.
If any of the lines in the ConvertPDF_CharMap.txt file do not reflect your setup, you can remove them. You can add additional lines if required.
The ConvertPDF_CharMap.txt file is located in the installation directory.
Syntax
input_char,input_font=LiveCycle Designer ES_char,LiveCycle Designer ES_font
input_char
The input PDF symbol decimal value.
input_font
The specific font name in the PDF that the character must belong to. An asterisk (*) indicates any font.
LiveCycle Designer ES_char
The UTF-8 decimal value of the same character.
LiveCycle Designer ES_font
The appropriate font that contains the character. An asterisk (*) indicates to leave the original font name as is.
Example
The following line converts a PDF double quotation mark (“) in any font to the UTF-8 equivalent in the same font:
0144,*=0039,*
See also
To import PDF files
How LiveCycle Designer ES converts PDF objects
Adding a new mapping to the font-mapping table in LiveCycle Designer ES
Font-mapping table in ConvertPDF_FontMap.txt


Importing PDF documents as artwork

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork
Importing PDF documents as artwork
About importing PDF documents as artwork
To import a PDF document as artwork in LiveCycle Workbench ES
About importing structured PDF documents as artwork
To add a field tag to the document structure
To remove a field tag from the document structure
To move a field tag up or down in the document structure
To find untagged fields in the document structure
To show the context tags in the document structure


About importing PDF documents as artwork

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > About importing PDF documents as artwork
About importing PDF documents as artwork
If you have a PDF document that was created in Adobe Acrobat or some other application, which you would like to use as the basis for creating a new PDF form in LiveCycle Designer ES, you can use the Create an Interactive Form with Fixed Pages option in the New Form Assistant to import the content of a PDF document like this as the background artwork for a new form.
If the PDF document was created in Acrobat and contains form fields, LiveCycle Designer ES converts those fields to the corresponding library objects. After you import a PDF as artwork, you can place additional library objects on top of the artwork to augment the new form design.
If you want to change the background artwork at any point, you can use the Replace Artwork command in the Edit menu to import a substitute PDF document.
Keep in mind the following factors when importing a PDF document as artwork:
•
You can only import PDF documents as artwork if the document was created in Acrobat or some other other application capable of generating PDF documents. If the PDF document was created using LiveCycle Designer ES, you cannot import the contents as artwork; you can only import the contents as editable form objects.
•
After you import a PDF document as artwork, you must save the resulting form as an Adobe Static PDF Form. You cannot save the form as an Adobe Dynamic XML Form or Adobe XML Form. The default file type for new forms that contain PDF artwork is Adobe Static PDF Form (*.pdf).
•
You can import unstructured or structured PDF documents that contain tags and have a defined tabbing and reading order for keyboard access and screen readers. For more information, see About importing structured PDF documents as artwork.
•
The following library objects are unavailable in the Standard and Custom groups when importing a PDF document as artwork: circle, content area, image, line, rectangle, subform, table, text, masked field, masked field - partial, page n of m, sheet n of m, signature - print and sign, and survey question.
•
Buttons that are labeled with icon images in the imported PDF document are not supported.
•
If you open a PDF document that contains background art in an earlier version of LiveCycle Designer ES than the version used to create the document, the image data in the document may not be displayed correctly.
•
Document, page, and field-level JavaScript script (in the PDF document imported as artwork) is converted into event scripts that are commented out. You must verify and update the scripts to match the LiveCycle Designer ES model. You can no longer edit this script in Acrobat.
After importing a PDF document as artwork, you can work with the resulting document the same as with any static PDF form.
See also
To import a PDF document as artwork in LiveCycle Workbench ES
Form formats that LiveCycle Designer ES imports


To import a PDF document as artwork in LiveCycle Workbench ES

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > To import a PDF document as artwork in LiveCycle Workbench ES
To import a PDF document as artwork in LiveCycle Workbench ES
You can import the content of a PDF document that was created in Adobe Acrobat or some other application as the background artwork for a new PDF form. However, you must first create a blank PDF and then import the PDF you want to use as artwork into the blank PDF. You can then add objects on top of the artwork.
For information about the factors that you must keep in mind when importing a PDF document as artwork, see Importing PDF documents as artwork.
1.
Select File > New > Adobe XML Form File (PDF).
2.
In the Enter or Select the Parent Folder box, select the folder in which to save the form design.
3.
In the File Name box, type an new name for the form design, and then click Next.
4.
Click Finish.
5.
Select Tools > Import.
6.
Navigate to the PDF document to import, select the file, and click Open.
7.
In the Import Options dialog box, select Create an Interactive Form with Fixed Pages.
8.
[Optional] Select custom options for importing the PDF, as required.
9.
Click OK.


About importing structured PDF documents as artwork

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > About importing structured PDF documents as artwork
About importing structured PDF documents as artwork
You can import structured PDF documents as artwork, which contains tags and structural information to provide a defined tabbing and reading order for assistive technologies such as keyboard access and screen readers.
The PDF Structure palette in LiveCycle Designer ES provides a view of the hierarchical structure of a tagged PDF and displays three types of structural tags:
•
<content>
Content tags apply to the content within the document. Content tags are similar to HTML tags and are displayed as <P>, <H1>, <Sect>, <Figure>, and so on. The content of the document is displayed below these tags. Content tags are provided for reference only and cannot be modified in LiveCycle Designer ES.
•
<form>
Form tags act as containers for field tags. All structure for library objects is contained under the form tags.
•
<field>
Field tags correspond to the actual objects in the document. Field tags can only exist under form tags. Each field tag can be linked to a single object. When a field tag is linked to an object, the tag displays the name of the object along with an icon indicating the object type in the document. When a field tag is unlinked from any object, the tag displays the words unlinked field.
When you import a structured PDF document as artwork, LiveCycle Designer ES maintains the structure and automatically associates any tagged Adobe Acrobat form fields that are converted to library objects with the correct form tags in the document structure. However, you may need to manually add field tags under the correct form tags for any untagged fields that remain in the form. You can also place additional library objects on top of PDF artwork and add field tags to the document structure for each object.
Using the PDF Structure palette, you can see which objects are associated with the structure tags in the form. When you click a content tag in the PDF Structure palette, the corresponding object in the form is highlighted in the Design View tab. For example, if you click a paragraph content tag <P> displayed in the PDF Structure palette, the corresponding content, usually text, is highlighted in the form.
After you import a structured PDF document as artwork, you can use the commands on the PDF Structure palette menu (and context menu) to add field tags to and remove them from the document structure, navigate the structure, move fields up and down in the structure, and show the content tags within the structure.
Note:
Keep in mind that you can only edit the structure for fields in LiveCycle Designer ES. If you want to edit the structure tags and content structure in a form, you must do so in Acrobat.
See also
To import a PDF document as artwork in LiveCycle Workbench ES
PDF Structure palette
To save forms for Acrobat and Adobe Reader
Form formats that LiveCycle Designer ES imports


To add a field tag to the document structure

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > To add a field tag to the document structure
To add a field tag to the document structure
You can select a field object in a form and then add a field tag under a selected form tag in the document structure. You can add one field tag under each form tag.
You can also create a field tag by dragging a field in the form onto a structure tag in the PDF Structure palette.
1.
In the Design View tab, select the field in the form to add to the document structure.
2.
In the PDF Structure palette, right-click the form tag under which to add the field tag and select Add Field to Structure.
See also
PDF Structure palette menu
About importing structured PDF documents as artwork


To remove a field tag from the document structure

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > To remove a field tag from the document structure
To remove a field tag from the document structure
*
In the PDF Structure palette, right-click the field tag to delete and select Remove Field from Structure.
See also
PDF Structure palette menu
About importing structured PDF documents as artwork


To move a field tag up or down in the document structure

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > To move a field tag up or down in the document structure
To move a field tag up or down in the document structure
*
In the PDF Structure palette, right-click field tag to move and select Move Field Up or Move Field Down as needed.
See also
PDF Structure palette menu
About importing structured PDF documents as artwork


To find untagged fields in the document structure

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > To find untagged fields in the document structure
To find untagged fields in the document structure
*
Right-click in the PDF Structure palette and select Find Untagged Fields.
See also
PDF Structure palette menu
About importing structured PDF documents as artwork


To show the context tags in the document structure

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing PDF documents as artwork > To show the context tags in the document structure
To show the context tags in the document structure
*
Right-click in the PDF Structure palette and select Show Content tags.
See also
PDF Structure palette menu
About importing structured PDF documents as artwork


Importing Word files

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Word files
Importing Word files
To import a Microsoft Word file
How LiveCycle Designer ES converts Word objects and settings
About reducing Word conversion problems


To import a Microsoft Word file

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Word files > To import a Microsoft Word file
To import a Microsoft Word file
You can import a Microsoft Word XP or Microsoft Word 2003 file into LiveCycle Designer ES. The Word file can be a document (DOC), a template (DOT), or a rich text format (RTF) file.
Word objects, including paragraphs, tables, images, line art, form fields, headers, and footers, are converted into LiveCycle Designer ES XML objects, and all rich text formatting is preserved.
Note:
If the Word file contains contiguous underlined tab characters (where underscore is used as the tab character), LiveCycle Designer ES attempts to convert the information into a text field.
LiveCycle Designer ES displays the file import options each time you import a Word file.
1.
Select Tools > Import.
2.
From the Files Of Type list, select Microsoft Word Document (DOC, DOT, RTF).
3.
Navigate to the file that you want to open, select the file, and click Open.
4.
In the File Import Options dialog box, type a password if it is needed to open or unprotect the file.
5.
To substitute any missing fonts and suppress all font substitution error messages, select Ignore Missing Fonts.
6.
To convert and embed any images into the form design, select Convert Images.
7.
Select a logging option from the Generate Log File list.
8.
Click OK.
Note:
Because LiveCycle Designer ES accesses the Windows clipboard to convert data, the clipboard cannot be accessed by other applications while LiveCycle Designer ES is importing a Word file.
See also
File Import Options dialog box (Microsoft InfoPath)
How LiveCycle Designer ES converts Word objects and settings
About reducing Word conversion problems


How LiveCycle Designer ES converts Word objects and settings

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Word files > How LiveCycle Designer ES converts Word objects and settings
How LiveCycle Designer ES converts Word objects and settings
When LiveCycle Designer ES converts a Word file, it preserves the layout. However, you may need to do some manual repositioning of objects afterward to make the form look as good as possible.
This table identifies the key objects in a Word file and indicates how LiveCycle Designer ES treats them when they are imported.
Item
Converted
Not Converted
File properties
Built-in and custom properties are converted to form properties.
Paragraphs
Content (for example, text), including rich text formatting
Font effects such as underline, strikethrough, superscript, and subscript
Borders and shading applied to paragraphs
Hyperlinks
Color underline is converted to black underline.
All Caps font effect
Font color of list numbers if it is different from the text color
Shading for Empty paragraphs
Borders applied to text
Tables
Tables are converted to subforms that position content, and table cells are converted to child subforms.
Some border styles are not supported.
Shapes
Text boxes
Images
Lines, rectangles, and circles are rasterized.
Auto shapes
OLE objects
Frames
ActiveX® controls are converted to images.
Arrowheads are converted to straight lines.
Drawn objects are converted to images.
Line slope
Drawing Shape Rotation other than multiples of 90 are not supported.
Blank lines in frames
ActiveX control functionality
Inline shapes
Images and OLE objects are treated like characters and are positioned as if they were a character in a line of text.
ActiveX controls are converted to images.
ActiveX control functionality
Form Fields
Checkbox fields are converted to check boxes. The default state is carried over.
Drop-down fields are converted to drop-down lists. All list items are carried over.
Text input fields are converted to text fields and the default value is retained.
HelpText and StatusText contents are converted to tooltips.
Formatting of Textinput values
Web Tools objects
Headers and Footers
If all headers and footers are the same, they are created on the master page and are positioned according to the Word document’s header and footer layout settings.
If any headers and footers are different, they are created on individual pages.
Embedded field codes such as date and time
Page Setup settings
The Margins settings are used to specify the layout of the default subform for the page.
Multiple pages are converted to single individual pages.
The Paper Size and Orientation settings determine the basic page layout properties.
Gutter settings
Scripts
Any scripting associated with a form field is converted into comments in the LiveCycle Designer ES XML source code.
Page borders
If specified, this attribute is converted to a border on the master page.
Line numbers
Not converted
Comments
Not converted
Web page attributes
Not converted
See also
To import a Microsoft Word file
About reducing Word conversion problems


About reducing Word conversion problems

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Word files > About reducing Word conversion problems
About reducing Word conversion problems
Microsoft Word XP or Microsoft Word 2003 must be installed on the same computer as LiveCycle Designer ES.
If you are importing a Word XP file that is configured to be sent as an email message, ensure you have installed Word XP Service Pack 1. Otherwise, Word XP will crash after the import process has completed.
To obtain the best results, the input file should contain no more than ten pages.
See also
To import a Microsoft Word file
How LiveCycle Designer ES converts Word objects and settings


Importing Spreadsheet Data from Microsoft Excel

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Spreadsheet Data from Microsoft Excel
Importing Spreadsheet Data from Microsoft Excel
To copy cells from a Microsoft Excel spreadsheet


To copy cells from a Microsoft Excel spreadsheet

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Spreadsheet Data from Microsoft Excel > To copy cells from a Microsoft Excel spreadsheet
To copy cells from a Microsoft Excel spreadsheet
You can copy spreadsheet data from Microsoft Excel 2002 or later and paste the cells into a form in LiveCycle Designer ES. Copying and pasting data from an earlier version of Excel may produce unexpected results.
LiveCycle Designer ES creates a table object in the form with the same dimensions, number of cells, and data content as the selection in the spreadsheet. LiveCycle Designer ES also preserves some of the original formatting of the spreadsheet cells, including the text, fonts, colors, background colors, alignment, and borders. If the selected cells in the spreadsheet contain column headers, LiveCycle Designer ES maintains the column header formatting in a header row at the top of the table.
Keep in mind that LiveCycle Designer ES does not maintain any calculations, scripts, images, and embedded objects, such as graphs that are in the Excel spreadsheet.
1.
In Excel, copy the spreadsheet cells you want, and keep Excel open.
2.
In LiveCycle Designer ES, select Edit > Paste.
3.
Select Paste Cells As a Table and click OK.
See also
Spreadsheet Paste Options dialog box


Importing InfoPath files

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing InfoPath files
Importing InfoPath files
To import a Microsoft InfoPath file
How LiveCycle Designer ES converts Microsoft InfoPath objects
Differences between LiveCycle Designer ES and InfoPath objects


To import a Microsoft InfoPath file

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing InfoPath files > To import a Microsoft InfoPath file
To import a Microsoft InfoPath file
You can import Microsoft InfoPath files (XSN) into LiveCycle Designer ES. During the conversion process, LiveCycle Designer ES extracts these components from the input file and uses them to create LiveCycle Designer ES XML elements:
•
An XML file describing the contents of the package
•
An XML file describing the InfoPath form
•
XSL files describing each view
•
A schema file for the InfoPath form
•
A script file, which is saved as comments in the LiveCycle Designer ES XML source code
LiveCycle Designer ES displays the file import options each time you import an InfoPath file.
1.
Select Tools > Import.
2.
From the Files Of Type list, select InfoPath (XSN).
3.
Navigate to the file that you want to open, select the file, and click Open.
4.
Do one of the following actions:
•
If you want to be prompted for a view, select the Prompt To Select View During Conversion option. If the InfoPath file has only one view, a prompt will not display even if you select this option.
•
If you know the name of the view that you want to import, type the name of the view in the View box. To convert the default view, leave the box blank.
5.
Do one of the following actions:
•
Select the Import Print Settings option to import headers and footers, page orientation, and page margins of the InfoPath form.
•
If you know the page size of the InfoPath form, select one from the list or select Default.
•
If you know the page orientation of the InfoPath form, select one from the list.
Note:
If you select the Import Print Settings option, the page size and orientation are taken from the InfoPath form and you do not have to select the page size and orientation.
6.
(Optional) Select an option from the Generate A Log File list.
7.
(Optional) To convert and embed any images into the form design, select Embed Images In XDP.
8.
Click OK.
Note:
LiveCycle Designer ES uses Microsoft Internet Explorer 5.0 or later to transfer data while importing an InfoPath file. If you do not have Internet Explorer installed, you cannot import an InfoPath file into LiveCycle Designer ES.
See also
How LiveCycle Designer ES converts Microsoft InfoPath objects
Differences between LiveCycle Designer ES and InfoPath objects


How LiveCycle Designer ES converts Microsoft InfoPath objects

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing InfoPath files > How LiveCycle Designer ES converts Microsoft InfoPath objects
How LiveCycle Designer ES converts Microsoft InfoPath objects
LiveCycle Designer ES preserves the layout when converting a Microsoft InfoPath file. However, you may need to do some manual repositioning of objects afterward to make the form look as good as possible.
The table identifies the key objects in an InfoPath form and indicates how LiveCycle Designer ES treats them when they are imported.
Item
Converted
Not Converted
Controls
Text boxes, including rich text boxes, are converted to text fields.
Drop-down list boxes are converted to drop-down list boxes. Values are included only if the control is filled manually.
List boxes are converted to list boxes.
Date picker controls are converted to Date/Time fields unless the data type for the date picker in InfoPath is set to “Text (String)”. In this case, it is converted to a Text field.
Check boxes are converted to check boxes.
Option buttons are converted to radio buttons.
Buttons are converted to buttons.
Validation rules
Scrolling
Images embedded in rich text boxes
A group of option buttons may not be converted to a single radio button group.
Submit actions for buttons are not handled
Padding properties of check boxes and radio buttons
Attachments
Custom controls
Expression boxes
Not converted
Lists
Numbered lists are converted to text.
For bulleted lists, the text only is converted to text.
Bullet symbols
Pictures
Pictures are converted to images.
Ink pictures
Schema
If the InfoPath form has been designed based on a schema, the schema is imported and binding is done automatically in LiveCycle Designer ES.
Scripts
Not converted
Scrolling regions
Scrolling regions are converted to subforms.
Sections
Sections are converted to subforms.
Repeating sections are converted to repeating subforms in a form. Add and delete buttons are provided to add or delete the instance of the section when filling the form.
Include/exclude properties
Instructional text
Only one instance of any optional or repeating sections is converted
Tables
Tables are converted to tables.
Repeating tables are converted to repeating tables in a form. Add and delete buttons are provided to add or delete the instance of the section when filling the form.
Some border styles are not supported.
Only the visible rows in a repeating table are converted.
Rows that have been merged vertically are converted to subforms in a positioned layout.
Text
Text is converted to text. Any highlight color is converted to background color.
Hyperlinks


Differences between LiveCycle Designer ES and InfoPath objects

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing InfoPath files > Differences between LiveCycle Designer ES and InfoPath objects
Differences between LiveCycle Designer ES and InfoPath objects
LiveCycle Designer ES and InfoPath do not support the same features and object properties. The most obvious differences include these:
•
Images cannot be placed in LiveCycle Designer ES text fields.
•
LiveCycle Designer ES does not support editable sequential numbered or bulleted lists.
See also
To import a Microsoft InfoPath file


Importing Adobe Output Designer Form files

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Adobe Output Designer Form files
Importing Adobe Output Designer Form files
To import an Adobe Output Designer Form file


To import an Adobe Output Designer Form file

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing Adobe Output Designer Form files > To import an Adobe Output Designer Form file
To import an Adobe Output Designer Form file
Before you can import Adobe Output Designer files (IFD) into LiveCycle Designer ES, you must install Output Designer 5.4, 5.5, or 5.6 on the same computer as LiveCycle Designer ES.
LiveCycle Designer ES displays the File Import Options dialog box each time you import an Adobe Output Designer Form file.
1.
Select Tools>Import.
2.
In the Files Of Type list, select Adobe Output Designer Form (IFD).
3.
Navigate to the file you want to open, select the file, and click Open.
4.
In the File Import Options dialog box, select options as needed:
•
To create a temporary log file (convertifd.log) that records information about the conversion process, select Generate a Trace Log of the Conversion Process.
•
To use the Output Designer configuration file to generate PDF form file, select Output Designer PDF configuration.
•
To use the Output Designer font conversion file to map font substitutions that occur during the conversion process, select Map Fonts using the supplied conversion.
5.
Click OK.
See also
File Import Options dialog box (Adobe Output Designer form)
Form formats that LiveCycle Designer ES imports


Importing XForms Model files

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing XForms Model files
Importing XForms Model files
To import an XForms Model file


To import an XForms Model file

Using LiveCycle Designer ES > Working with Form Designs > Importing documents > Importing XForms Model files > To import an XForms Model file
To import an XForms Model file
You can import XForms Model files into LiveCycle Designer ES. Each time you import an XForms Model file, the File Import Options dialog box appears.
1.
Select Tools > Import.
2.
In the Files Of Type list, select XForms Model.
3.
Navigate to the file to open, select the file, and click Open.
4.
(Optional) To embed a schema within the output XDP file if a schema is set for the XForms document, select Embed Schemas Inline.
5.
(Optional) In the Set Working Directory box, type the path to the folder where you want LiveCycle Designer ES to check for relative file path locations, such as instance data XML files or XML schema files, which might be included in the XForms document. If you do not specify this folder, the default working directory will be the same location as the XForm that is being imported. This directory is not where the log files or temporary instance data files are created.
6.
In the Generate log file list, select one of the following options:
•
If you do not want to generate a log file to capture conversion output messages, select Do Not Log.
•
To generate a log file in the Temp folder located in Documents and Settings\[username]\Local Settings\Temp (Windows XP) or Users\[username]\AppData\Local\Temp (Windows Vista), select \TEMP\ConvertXF.log. Each log file created is prefixed with ConvertXF and appended with a unique number (for example, ConvertXF38512.log).
7.
Click OK.
Note:
LiveCycle Designer ES forms do not support an equivalent of the xforms-valid event. Any scripting associated with the xforms-valid event is not imported.
See also
File Import Options dialog box (XForms Model)
Form formats that LiveCycle Designer ES imports


Using tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables
Using tables
About tables
Creating tables
Selecting, copying, moving, and navigating
Inserting and deleting
Formatting a table
Aligning, resizing, and arranging tables
Working with data in tables
Creating tables that grow
Working with pagination, header rows, and footer rows in tables
Working with cells and cell contents
Working with table sections
Working with choice sections in tables


About tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > About tables
About tables
Parts of a table
Types of tables


Parts of a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > About tables > Parts of a table
Parts of a table
A table is made up of rows and columns of cells that you can fill with form fields or merge with data. This example shows what the various parts of a table are called.
A table includes columns, rows, header and footer row, cells and sections.
See also
Types of tables
About creating tables


Types of tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > About tables > Types of tables
Types of tables
You can create two types of tables in LiveCycle Designer ES form designs:
•
Tables that have a fixed number of rows and columns. For example, this table is a simple four-column, four-row table with a header and footer row.
•
Tables in which the number of columns are fixed, but the number of rows will change depending on how much information is in the data source.
Or, interactive tables can grow or shrink when a user clicks a button to add or delete a row.
See also
Parts of a table
About creating tables


Creating tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables
Creating tables
About creating tables
To create a table using the Table Assistant
To create a simple table
To create a table from existing objects
To create a table within a table
To import a table from Microsoft Word
To create a table using subforms
To create a nested table using subforms


About creating tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > About creating tables
About creating tables
This topic summarizes the different ways to create a table.
Task
Method
At a specific location in the form design, create an empty table that has a fixed number of rows and columns.
Drag the Table object from the Object Library palette onto your form design to the position you choose. In the Insert Table dialog box, specify the columns and body rows. See To create a simple table.
At the end of the current form design, create an empty table that has a fixed number of rows and columns.
Select Table > Insert Table, select Create A Simple Table, and specify the number of columns and body rows. See To create a simple table.
At a specific location in the form design, create a table whose number of rows changes to accommodate the amount of data that displays.
If you are connected to a data source, drag an item that is identified as a repeating data group (shown with a table icon) from the Data View palette. Format the table. See To create a table from a data source.
At the end of the current form design, create an empty table in which the number of rows changes to accommodate the amount of data.
Select Table > Insert Table and select Create Table Using Assistant. Select Body Rows Vary Depending On Data and follow the prompts through the rest of the assistant. See To create a table using the Table Assistant.
Create a table from existing objects.
Select the objects and select Table > Convert to Table. See To create a table from existing objects.
Create a table within a table.
Create the main table and then create the table that you want to nest inside the main table. Select the second table and drag it to the cell that you want to nest it in. You can also select the cell in the main table and select Table > Insert Table to nest a table. See To create a table within a table.
Import a table from another application.
Select Tools > Import and locate the file, such as the Microsoft Word document, that contains the table. See To import a table from Microsoft Word.
See also
About tables


To create a table using the Table Assistant

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To create a table using the Table Assistant
To create a table using the Table Assistant
The Table Assistant simplifies and streamlines the process of creating a table by letting you easily define some of the basic elements in a table before you place the table on a form. For example, the Table Assistant dialog box provides options for adding body rows and columns, adding header and footer rows, adding sections, and applying shading to rows.
You can use the Table Assistant to create tables that have a fixed number of rows and columns, or tables that have a fixed number of columns but the number of rows changes depending on how much information is in the data source.
As you select options, you can see how the table will look in the Preview area of the Table Assistant. After you create a table using the Table Assistant, you can modify it using the commands on the Table menu and the various options in the Layout, Border, Object, and Accessibility palettes.
Tip:
By default, the Insert Table dialog box appears when you select Insert > Standard > Table or when you drag the Table object onto the Layout Editor. However, if you previously selected the Don’t Show This Again option in the Insert Table dialog box, you can restore the default behavior by selecting Tools > Options > Wizards and Tips and selecting the Show When Creating Tables option.
1.
Select Table > Insert Table, and select Create Table Using Assistant.
2.
In the Table Assistant, specify the body layout, and then click Next:
•
To add a specific number of rows and columns, select Body Has Fixed Dimensions, and then select values in the Number of Columns and Number of Rows lists.
•
For a table in which the number of body rows in the table matches the number of rows in the data, select Body Rows Vary Depending on Data, and then select a value from the Number of Columns list.
3.
Specify whether you want to include a header row, and then click Next:
•
To have no header row, select No Header Row.
•
To add a header row, select Has Header Row, and then select Repeat Header Row on Each Page, if needed. The Repeat Header Row on Each Page option is available only when you select the Body Rows Vary Depending on Data option in the Body Layout page.
4.
Specify whether you want to include a footer row, and then click Next:
•
To have no footer row, select No Footer Row.
•
To add a footer row, select Has Footer Row, and then select Repeat Footer Row on Each Page, if needed. The Repeat Footer Row on Each Page option is available only when you select the Body Rows Vary Depending on Data option in the Body Layout page.
5.
Specify the sections to include, and then click Next:
•
To include body rows with no sections, select Has Body Rows and No Sections.
•
To include body rows grouped into sections, select Has Sections of Body Rows and do the following tasks:
•
Use the Add, Delete, Up, and Down buttons above the Sections list to add, remove, and order sections as needed.
•
To rename a section shown in the Sections list, double-click the section and rename it in the Table Section dialog box.
•
To apply options to a section listed in the Sections list, select the section and, under Section Options, select options as needed. Note that when you select Section Is Optional, the minimum occurrence for the section is set to 0. This means that if no data exists for the section, the section will not be shown.
6.
Specify the row shading and then click Finish:
•
Select Alternating Row Colors.
•
In the First list, select the number of initial rows to shade, and then select a color.
•
In the Next list, select the number of subsequent rows to shade, and then select a color.
See also
To repeat a header or footer row on subsequent pages


To create a simple table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To create a simple table
To create a simple table
You can create a simple table with a range of columns and rows with or without header or footer rows. For example, here is a four-column, four-row table with a header and footer row.
1.
In the Object Library palette, click the Standard category and select the Table object [image].
2.
Click where you want the table to appear.
Note:
If you selected Don’t Show This Again in the Insert Table dialog box, when you select the Table object in the Object Library palette, LiveCycle Designer ES automatically inserts a table with the same number of columns and rows that you inserted the last time you used the Insert Table dialog box.
3.
In the Insert Table dialog box, enter the number of columns and rows.
You can enter a maximum of 20 columns and 50 rows. You can add more columns and rows after the table is created by using the Insert commands in the Table menu.
4.
(Optional) To add a header row, select Include Header Row In Table.
5.
(Optional) To add a footer row, select Include Footer Row In Table.
6.
Click OK.
See also
To repeat a header or footer row on subsequent pages


To create a table from existing objects

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To create a table from existing objects
To create a table from existing objects
If you have an existing form that includes field objects formatted as a table, you can easily convert them to a table. For example, the Bill of Lading template that comes with LiveCycle Designer ES includes fields formatted like a table.
1.
Open a form that contains fields formatted like a table.
For example, start a new form based on the Bill of Lading template.
2.
Drag the objects that you want to convert to a table.
For example, select the header row and body rows but stop above the Terms of Delivery and Insurance section.
3.
Select Table > Convert to Table.
Note:
You can convert any group of fields to a table. For example, in this same template, you can convert the fields under Shipped To and Shipper to a table.


To create a table within a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To create a table within a table
To create a table within a table
You can create a table within a table that is independent from the main table. For example, the nested table can have a different number of columns and rows than the main table. There is no limit to the number of levels that you can nest tables.
If you want a table to automatically flow to the next page, you must ensure the following conditions:
•
The table must be in a subform that is set to Flowed in the Subform tab of the Object palette.
•
The Allow Page Breaks Within Content option is selected in the Table tab.
•
The table is not in a group.
A nested table with three columns inside a table with five columns
1.
Create a table. See To create a simple table.
2.
In the Object Library palette, click the Standard category and drag the Table object into a cell in the main table.
Note:
If you selected Don’t Show This Again in the Insert Table dialog box, when you select the Table object from the Object Library palette, LiveCycle Designer ES automatically inserts a table with the same number of columns and rows that you inserted the last time you used the Insert Table dialog box.
3.
In the Insert Table dialog box, enter the number of columns and rows.
You can enter a maximum of 20 columns and 50 rows. You can add more columns and rows after the table is created by using the Insert commands on the Table menu.
4.
(Optional) To add a header row, select Include Header Row In Table.
5.
(Optional) To add a footer row, select the Include Footer Row In Table.
6.
Click OK.
Note:
If you have an existing table, you can select the table and drag it to the cell where you want it to appear.


To import a table from Microsoft Word

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To import a table from Microsoft Word
To import a table from Microsoft Word
You can import a table from Microsoft Word into LiveCycle Designer ES.
1.
In LiveCycle Designer ES, select Tools > Import.
2.
In the Files of Type list, select Microsoft Word Document.
3.
Select the Microsoft Word document that contains the table and click Open.
4.
In the File Import Options dialog box, provide the required information and click OK.
LiveCycle Designer ES imports the contents of the document, including the table.
See also
To change a cell to another object type


To create a table using subforms

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To create a table using subforms
To create a table using subforms
You can create a table using subforms. Subforms can contain a variety of objects including buttons, text fields, and other subforms. The flow direction of the subform indicates how the contained objects will be arranged. Typically, you will create tables by using the Table object in the Object Library palette. If you need to create a complicated table where the columns do not line up, you can use subforms.
1.
Start the table:
•
In the Object Library palette, click the Standard category and drag a Subform object onto the form.
•
Resize the subform to match the required width of the table.
•
Expand the height of the subform so that you can add one or more child subforms.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type TableParent.
•
In the Accessibility palette, select Table from the Subform Role list.
2.
Create a table header:
•
Drag another Subform object into the TableParent subform.
•
Set the width of the header subform to match the width of its parent subform and set the height of the subform to match the required height of the header row.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type TableHeader.
•
In the Accessibility palette, select Header from the Subform Role list.
3.
Add text for the column headers:
•
Drag a Text object into the TableHeader subform.
•
Double-click the text in the Text object and type a name for the column.
•
Repeat as many times as required to add additional headers to the table.
4.
Create a body row that will act as the repeating row in the table:
•
Drag another Subform object into the TableParent subform.
•
Set the width of the body row subform to match the width of its parent subform and set the height of the body row subform to match the required height of the body row.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type TableBodyRow.
•
Add the same number of fields to go under the headers that you added in step 3 to display the data values in the table. Set the size of the fields.
•
In the Layout palette, select None from the Caption list.
•
In the Accessibility palette, select Body Row from the Subform Role list.
•
In the Object palette, click the Binding tab and select Repeat Subform For Each Data Item.
5.
Select the TableParent subform, click the Subform tab of the Object palette, and select Flowed from the Type list.
6.
(Optional) Consider enhancing the table as follows:
•
Add borders and shading for table elements by using the Border palette.
•
Specify overflow leaders and trailers for the rows of the table.
To create a table containing variable-width cells
1.
Create two or more tables. Each table should have one body row. The first table should have a header row, and the other tables should have only body rows.
2.
Arrange the tables one below the other.
3.
Wrap all these tables in a parent subform.
4.
Adjust the width of each cell as required.
5.
Set the parent subform to Flowed.
See also
Overview of subforms
About overflow leaders and trailers
Border properties in the Border palette
Accessibility properties in the Accessibility palette


To create a nested table using subforms

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables > To create a nested table using subforms
To create a nested table using subforms
After you create a table using subforms, you can insert a table into a table cell. For example, you can show two independent tables side by side (in separate cells) or nest tabular material.
Before you insert a table in to a cell, you must wrap the cell in a subform.
1.
Start the nested table:
•
Select the cell (in the table that was created using subforms) where the nested subform will go.
•
Select Insert > Wrap In Subform.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type Wrapper.
2.
Create the nested table.
•
Right-click the cell again and select Wrap In Subform, or drag the Subform object from the Object Library palette to the cell.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type NestedTable.
•
In the Accessibility palette, select Table from the Subform Role list.
Hierarchy palette showing the original cell where the nested subform was created.
3.
Right-click the cell (TextField1 in the example) and select Delete.
4.
Create a header row for the nested table:
•
Drag another Subform object into the NestedTable subform.
•
Set the width and height of the header row.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type NestedRow1.
•
In the Accessibility palette, select Table Header from the Subform Role list.
Note:
A subform that is inserted into a parent subform that is set to Flowed may not appear in the correct position in the Hierarchy palette.
5.
Add text for the column headers:
•
In the Object Library palette, click the Standard category and drag two Text objects into NestedRow1.
•
Select one of the text objects and type a name for the text object. For example, type Description.
•
Select the second text object and type a name for the text object. For example, type Cost.
•
Select the two Text objects in NestedRow1 and select Layout > Group.
6.
Create a body row for the nested table:
•
Drag another Subform object into the NestedTable subform.
•
Set the width and height of the body row.
•
Type a name for the subform in the Name box in the Binding tab of the Object palette. For example, type NestedRow2.
•
In the Accessibility palette, select Body Row from the Subform Role list.
•
In the Object Library palette, click the Standard category and drag three field objects into NestedRow2 (such as Text Fields).
7.
Set the parts of the table to Flowed:
•
Select the NestedTable subform and, click the Subform tab of the Object palette, and select Flowed from the Type list.
•
Select the subform that contains the NestedTable subform called (untitled Subform) (page 1), click the Subform tab of the Object palette, and select Flowed from the Type list.
The Hierarchy palette could look like this illustration.
Hierarchy palette showing nested table and nested rows and fields.
The form could look like this in the Preview PDF tab.
PDF Preview showing form with nested table.
See also
Overview of subforms
About overflow leaders and trailers
Border properties in the Border palette
Accessibility properties in the Accessibility palette


Selecting, copying, moving, and navigating

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Selecting, copying, moving, and navigating
Selecting, copying, moving, and navigating
To select a table, row, column, cell, or section
To copy a table, row, column, cell, or section
To move a table
To go to a specific row
About navigating tables in accessible forms


To select a table, row, column, cell, or section

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Selecting, copying, moving, and navigating > To select a table, row, column, cell, or section
To select a table, row, column, cell, or section
You can select rows, columns, cells, sections, or the entire table in different ways:
•
Click in the table and use the Select commands in the Table menu.
•
Drag the mouse pointer to select different parts of the table.
•
Select objects in the Hierarchy palette.
You can also use one of the following methods.
To select the entire table
*
Click in the area on the upper left of the table, or click and drag to select the entire table.
To select the cells in a row
*
Click in the area to the left of the row until you see the following arrow.
Arrow at left of row pointing to cell.
To select a row
*
Click in the area to the left of the row until you see the following arrow.
Arrow with an underscore at the left of the cell pointing to the cell.
To select the cells in a column
*
Click above the column.
To select a cell
*
Click the lower-right edge of the cell.
Note:
After a cell is selected, you can select more cells in the table by using the arrow keys to move within the table. Press Shift and then press the arrow key to select adjacent cells.
To select multiple rows, columns, cells, or sections
*
Drag the mouse pointer across the rows, columns, cells, or sections.
To select multiple items that are not adjacent, click the first row, column, cell, or section you want, press Ctrl, and then click the next rows, columns, cells, or sections you want.
To select adjacent cells, click the first cell you want, press Shift, and then use the arrow keys to select more cells in the table.
Note:
The rows, columns, cells, or sections must be in the same table. A nested table is considered a separate table.
To select a section
*
Click the right bracket that indicates a section.


To copy a table, row, column, cell, or section

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Selecting, copying, moving, and navigating > To copy a table, row, column, cell, or section
To copy a table, row, column, cell, or section
1.
Select the table, row, column, cell, or section you want to copy. See To select a table, row, column, cell, or section.
2.
Do one of the following actions:
•
Press Ctrl and drag the copy to a new location.
•
Select Edit > Copy, click the where to place the object, and then select Edit > Paste.
•
Select Edit > Duplicate. This command does not work for single cells or cells in rows.
Tip:
To make multiple copies that are positioned and aligned, use the Copy Multiple command in the Edit menu. This command does not work for single cells or cells in rows.


To move a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Selecting, copying, moving, and navigating > To move a table
To move a table
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Click in the upper part or left side of the table to find the move cursor [image] and drag it to the new location.


To go to a specific row

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Selecting, copying, moving, and navigating > To go to a specific row
To go to a specific row
If the table is long, you can go to a specific row in a table, including a header, body, or footer row.
1.
Select part of the table and select Table > Go to Row.
2.
Select Header Row, Body Row, or Footer Row.
You can also go to a specific header or footer row within sections.
3.
Type the row number to go to and click OK.


About navigating tables in accessible forms

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Selecting, copying, moving, and navigating > About navigating tables in accessible forms
About navigating tables in accessible forms
In accessible forms, screen readers speak information about where the cursor is located in the table. As a user moves between the table cells in a form, the screen reader speaks the contents of the cell. When a user moves to a cell containing a nested table, the screen reader speaks the contents of the cell and the nested table.
The editable fields in a nested table are part of the tabbing order in the form. Therefore, users move between editable fields in a nested table by using the arrow keys. As the user moves in and out of a nested table, the beginning and end of the table is spoken.
Note:
When using JAWS, the beginning and end of the nested table is not spoken in virtual cursor mode.
Result
Action
The screen reader speaks the current table cell.
Ctrl+Alt+5 (number pad)
Move horizontally between cells.
Ctrl+Alt+Left or Right Arrow
Move vertically between cells.
Ctrl+Alt+Up or Down Arrow
See also
Customizing keyboard shortcuts
About accessible forms
General considerations for designing accessible forms
Support for screen readers
Design tips for authoring forms for screen readers


Inserting and deleting

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Inserting and deleting
Inserting and deleting
To insert a row, column, or section
To delete a table, row, column, or section


To insert a row, column, or section

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Inserting and deleting > To insert a row, column, or section
To insert a row, column, or section
1.
Select part of the table.
2.
Select Table > Insert and select an option.
Note:
When you insert a section, LiveCycle Designer ES adds a header row for the section by default.


To delete a table, row, column, or section

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Inserting and deleting > To delete a table, row, column, or section
To delete a table, row, column, or section
To delete a table
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Select Table > Delete and click Table.
Tip:
If the table is not a nested table, you can select Table > Delete to delete the table.
To delete a row, column, or section
1.
Select the rows, columns, or sections. See To select a table, row, column, cell, or section.
2.
Select Table > Delete and click Row, Column, or Section.


Formatting a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table
Formatting a table
To add a table title
To add space around a table
To add space around cells
To add space around rows
To apply borders and shading to a table
To distribute rows and columns evenly
To format the corners of a table or cells
To create a table style for the custom library
To show captions in rows
To create a calendar using a table


To add a table title

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To add a table title
To add a table title
1.
In the Object Library palette, click the Standard category and drag the Text object [image] above the table.
2.
Double-click the default text and type the title.
3.
Set the font properties.
Tip:
You can also merge the cells in the first row of the table and type the title in the combined cell.


To add space around a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To add space around a table
To add space around a table
You can add blank space around the edges of a table by using margins.
1.
Select the table. See To select a table, row, column, cell, or section.
2.
In the Layout palette, set the margins for Left, Right, Top, and Bottom.


To add space around cells

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To add space around cells
To add space around cells
You can add space around cells by using margins.
1.
Select the cell. See To select a table, row, column, cell, or section.
2.
In the Layout palette, set the margins for Left, Right, Top, and Bottom.


To add space around rows

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To add space around rows
To add space around rows
You can add space around rows by using margins. For example, in the following table, margins are set to 0.25 inch around the row.
1.
Select the row. See To select a table, row, column, cell, or section.
2.
In the Layout palette, set the margins for Left, Right, Top, and Bottom.


To apply borders and shading to a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To apply borders and shading to a table
To apply borders and shading to a table
Borders and shading can add interest and emphasis to a table. You can add borders to a table or an individual row, column, or cell. You can use shading to fill in the background of a table.
You can add a striped or alternating shading pattern to the rows. You can select the number of rows or columns to include in a stripe pattern and apply your color choices to the pattern.
To apply a border and shading to a table
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Do one of the following actions:
•
To place borders only on particular sides, in the Border palette, select Edit Individually from the Edges list. Now you can set the border for each side.
•
To place the same border on all sides, select Edit Together from the Edges list.
3.
Select an option from the list of line types and select a color from the color picker.
4.
To apply shading, select a style from the Style list and select a color from the color picker.
To remove a border or shading from a table
1.
Select the table. See To select a table, row, column, cell, or section.
2.
In the Border palette, select Edit Together from the Edges list.
3.
Select None from the list of line types.
To apply a striped or alternating shading to rows
1.
Select the table. See To select a table, row, column, cell, or section.
2.
In the Object palette, click the Row Shading tab and select Apply Alternating Row Shading.
3.
Select the shading color for the first row or first set of rows.
4.
Select the shading color for the next row or next set of rows.
Note:
If you use the Border palette to set shading for a cell, it overrides the row shading set for the table.
To remove the striped or alternating shading from rows
*
In the Object palette, click the Row Shading tab and deselect Apply Alternating Row Shading.


To distribute rows and columns evenly

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To distribute rows and columns evenly
To distribute rows and columns evenly
You can make multiple rows or columns the same size. All rows adjust to the height of the tallest selected row. All columns adjust to equal distances based on the width of the table. The table does not grow.
1.
Select the rows or columns you want to make the same size. See To select a table, row, column, cell, or section.
2.
Select Table > Distribute Rows Evenly or Distribute Columns Evenly.
Note:
If you used the Merge Cells command, the original columns still exist but are hidden (so that you can split the cells again if you want). To make the columns the same size after you have merged cells, delete the hidden columns first by using the Table > Delete > Column command.


To format the corners of a table or cells

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To format the corners of a table or cells
To format the corners of a table or cells
You can format a table or specific cells in a table to have rounded or notched corners.
To format the corners for a table or the cells
1.
Select the table or the cells. See To select a table, row, column, cell, or section.
2.
In the Border palette, select one of the options for Corners.
3.
In the Radius box, type a number. For example, the previous example uses .1 inch.
To remove the border from around the entire table
*
Select the table and, in the Border palette, select None from the list of line types.


To create a table style for the custom library

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To create a table style for the custom library
To create a table style for the custom library
You can create your own table style to provide a consistent look to borders, shading, alignment, and fonts in tables. For example, you can format a table that looks like this one and save it in the custom library so that you can reuse it in another form.
1.
Create a table.
2.
Set the borders, shading, cell types, cell alignments, and fonts.
3.
Ensure that the Custom category of the Object Library palette is open.
4.
Select the table and drag it into the Custom category of the Object Library palette.
5.
In the Add Library Object dialog box, type the name of the table style and click OK.
You can type a description and select which tab group in the library that you want the object to appear in.


To show captions in rows

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To show captions in rows
To show captions in rows
By default, captions for fields are not shown when a field is in a cell. For example, the following objects have captions, but they are hidden when the field is in a cell.
•
Check Box
•
Date/Time Field
•
Decimal Field
•
Signature Field
•
Drop-down List
•
Image Field
•
List Box
•
Numeric Field
•
Password Field
•
Text Field
You may want to show the caption in some tables. For example, in the following form, a table is used to present the information. Each row below the header row is one cell.
1.
Select the cell. See To select a table, row, column, cell, or section.
2.
In the Layout palette, select a position for the caption from the Position list.


To create a calendar using a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Formatting a table > To create a calendar using a table
To create a calendar using a table
You can create a calendar by using a table.
1.
Select View > Master Pages.
2.
In the Object palette, click the Master Page tab and select Landscape.
3.
Click the Design View tab.
4.
In the Object Library palette, select Table > Insert Table.
5.
In the Insert Table dialog box, type 7 for columns and 6 for rows.
6.
Select Include Header Row In Table and click OK.
7.
Move the table to the top of the page.
8.
Resize the columns so that the table fits the width of the page.
9.
Select Table > Distribute Columns Evenly.
10.
Select the last row of the table. See To select a table, row, column, cell, or section.
11.
In the Layout palette, type 1.1in in the Height box.
12.
Select the table. See To select a table, row, column, cell, or section.
13.
Select Table > Distribute Rows Evenly.
14.
Select the first row of the table. See To select a table, row, column, cell, or section.
15.
Select Table > Merge Cells.
16.
Type the month and set the font properties.
17.
In the second row, type the days of the week and set the font properties.
18.
In the remaining cells, type the numbers for the days of the week and set the font properties.


Aligning, resizing, and arranging tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables
Aligning, resizing, and arranging tables
To align a table with other objects
To align the contents of a cell
To make another object the same size as a table
To resize an entire table
To resize rows and columns
To center a table
To arrange a table with other objects


To align a table with other objects

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To align a table with other objects
To align a table with other objects
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Ctrl+click to select the other object that you want to align.
3.
Select one of the following options.
Task
Selection
Align the left edges of the objects
Layout > Align > Left
Align the right edges of the objects
Layout > Align > Right
Align the top edges of the objects
Layout > Align > Top
Align the bottom edges of the objects
Layout > Align > Bottom
Align the vertical centers of the objects
Layout > Align > Vertical Center
Align the horizontal centers of the objects
Layout > Align > Horizontal Center


To align the contents of a cell

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To align the contents of a cell
To align the contents of a cell
You can change the horizontal and vertical alignment of the contents of a cell.
1.
Select the cell. See To select a table, row, column, cell, or section.
2.
In the Paragraph palette, select one of the following alignment options.
Task
Selection
Left-align the contents of the cell
Align Left
Center-align the contents of the cell
Align Center
Right-align the contents of the cell
Align Right
Justify the contents of the cell
Note:
Full justification is applied to all of the lines except the last line in a multiple-line cell (single line paragraphs cannot be justified).
Justify
Align to the top of the cell
Align Top
Align to the middle of the cell
Align Middle
Align to the bottom of the cell
Align Bottom


To make another object the same size as a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To make another object the same size as a table
To make another object the same size as a table
You can make the size of an object the same size as a table in your form. For example, you can make a rectangle the same width as a table so that you can insert a dividing element or a border around a section of the form. Other objects can become the same size as the table, but a table cannot become the same size as other objects.
1.
Select the object you want to make the same size as the table.
2.
Ctrl+click or Shift+click to select the table. You must select the table last.
3.
Select Layout > Make Same Size and select Width, Height, or Both.
The object that you selected last is used to set the size of both objects.


To resize an entire table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To resize an entire table
To resize an entire table
You can resize an entire table. You can only resize on the bottom or right edge of the table. To resize the table outside of the content area, select the last column or last row and change its width or height in the Layout palette.
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Place the pointer on the edge of the table until a double-headed arrow appears.
3.
Drag the table boundary until the table is the size you want.


To resize rows and columns

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To resize rows and columns
To resize rows and columns
You can resize rows and columns. You can only resize on the bottom, left, or right edge of the rows and columns. To resize the last column outside of content area, change the width in the Layout palette.
1.
Place the pointer on the row or column borders until a double-headed arrow appears.
2.
Drag the boundary until the row or column is the size you want.


To center a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To center a table
To center a table
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Select Layout > Center in Page and select either Horizontally or Vertically.


To arrange a table with other objects

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Aligning, resizing, and arranging tables > To arrange a table with other objects
To arrange a table with other objects
You can control how objects overlap by putting them in front of or in back of other objects. For example, you can put a watermark image behind a table.
1.
Select the table. See To select a table, row, column, cell, or section.
2.
Choose one of these options:
•
To bring the table forward, select Layout > Bring Forward.
•
To bring the table to the front, select Layout > Bring To Front.
•
To send the table backward, select Layout > Send Backward.
•
To send the table to the back, select Layout > Send To Back.


Working with data in tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with data in tables
Working with data in tables
To create a table from a data source
To set the rows in a table to adjust to accommodate data
To create a table that groups data
To make a table optional
To perform calculations in a table


To create a table from a data source

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with data in tables > To create a table from a data source
To create a table from a data source
Some data from a data source could be shown in a table. When you connect to a data source, the Data View palette identifies any items that could be tables. LiveCycle Designer ES also shows which items will become rows in the table if it finds a repeating data group.
After you connect to a data source, you can drag items from the Data View palette onto the form design to quickly create fields that are bound to the data source. If you drag a table item from the Data View palette onto the form design, LiveCycle Designer ES creates a table and, when you select a data file, you see a table like this one at run time. The repeating data group in the data file has four records.
1.
Ensure you are connected to a data source. See About connecting to a data source.
For example, if you or your administrator installed the samples that come with LiveCycle Designer ES, locate and open the following schema: Purchase Order.xsd in the Data Connections dialog box.
2.
In the Data View palette, locate a node that could be a table. For example, locate the following item node.
3.
Select the node and drag it onto your form design. For example, this is what you should see after dragging the item node onto your form.
Table row with column headings Part Num, Description, Quantity, Unit Price
The Data View palette shows that the node is bound to an object.
4.
To select a data file, select Edit > Form Properties and click the Preview tab. Browse to the location of the data file you want to use.
For example, if you or your administrator installed the samples that come with LiveCycle Designer ES, locate and open the Purchase Order.xml data file.
5.
View the form in the Preview PDF tab.
LiveCycle Designer ES automatically creates a table that dynamically grows, depending on the amount of data in the data source.


To set the rows in a table to adjust to accommodate data

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with data in tables > To set the rows in a table to adjust to accommodate data
To set the rows in a table to adjust to accommodate data
If you have already created a table that has a fixed number of columns and rows, you can convert it to one that dynamically grows based on the amount of data from a data source. Converting the table involves setting the subform that contains the table to Flowed and setting the body row or rows to repeat.
1.
Create a table. See To create a simple table.
2.
Select the rows below the first row.
In a table whose number of columns are fixed, but its number of rows will change depending on how much information is in the data source, only one row is needed. Therefore, you must delete all the rows except the first row in the table. You can keep the footer row.
Table showing the rows to delete.
3.
Select Table > Delete > Row.
4.
Select Edit > Form Properties > Preview tab and, from the Preview Adobe XML Form As list, select Dynamic XML Form. Click OK.
5.
In the Hierarchy palette, select the subform that contains the table.
6.
In the Object palette, click the Subform tab and select Flowed from the Content list.
7.
In the Hierarchy palette, select the body row (for example, Row1).
8.
In the Object palette, click the Binding tab and select the Repeat Row For Each Data Item option.
9.
Connect to a data source. See About connecting to a data source.
You must connect to a data source, such as an XML schema, to show data in the table.
10.
Select a data file. See To preview a form using sample data.
You must select a data file to view and test the form with the data.
11.
View the form in the Preview PDF tab.


To create a table that groups data

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with data in tables > To create a table that groups data
To create a table that groups data
You can display data in a grouped fashion inside a table. Grouping organizes and arranges data into relationships, such as Country or Region. You can nest groups to easily identify relationships and see trends. It also helps present summaries, such as totals and counts.
For example, if you supply products, such as monitors, desk lamps, and telephones, you may want to see which country and region is selling the most product. You can create this table, which contains a nested table inside a nested table inside the main table:
•
Country is the table header for the main table.
•
Region is the table header for the first nested table.
•
Product and Profit makes up the table header for the nested table inside the first nested table.
For example, the sample XML file you connect to could have the following syntax:
<form1>
<Sales>
<SalesData>
<country>United States</country>
<CountryData>
<RegionRow>
<region>Western</region>
<RegionData>
<Item>
<product>Monitor</product>
<profit>10</profit>
</Item>
<Item>
<product>Desk Lamp</product>
<profit>20</profit>
</Item>
</RegionData>
</RegionRow>
<RegionRow>
<region>Central</region>
<RegionData>
<Item>
<product>Monitor</product>
<profit>30</profit>
</Item>
<Item>
<product>Desk Lamp</product>
<profit>25</profit>
</Item>
<Item>
<product>Telephone</product>
<profit>28</profit>
</Item>
</RegionData>
</RegionRow>
<RegionRow>
<region>Atlantic</region>
<RegionData>
<Item>
<product>Monitor</product>
<profit>31</profit>
</Item>
<Item>
<product>Desk Lamp</product>
<profit>17</profit>
</Item>
<Item>
<product>Telephone</product>
<profit>22</profit>
</Item>
</RegionData>
</RegionRow>
</CountryData>
</SalesData>
</Sales>
</form1>
Before you perform this task, you must ensure that the following settings are in effect:
•
Ensure that you are connected to a data source. See About connecting to a data source.
•
To test the form with sample data, ensure that you are pointing to a data file. See To preview a form using sample data.
To create the main table
1.
Select Edit > Form Properties > Preview tab and, from the Preview Adobe XML Form As list, select Dynamic XML Form. Click OK.
2.
Select Table > Insert Table.
3.
In the Insert Table dialog box, enter the number of columns and rows. For example, enter 2 for the number of columns, 1 for the number of rows.
You can enter a maximum of 20 columns and 50 rows. You can add more columns and rows after the table is created by using the Insert commands in the Table menu.
4.
(Optional) To include a header row, select Include Header Row In Table.
5.
(Optional) To include a footer row, select Include Footer Row In Table.
6.
Click OK.
7.
Rename the header row. For example, name the first header Country and delete the header text for the second column.
8.
Resize the table.
To create the first nested table
1.
Drag the Table object from the Object Library palette to a cell in the table.
2.
Rename the header row text. For example, name the first header Region and delete the header text for the second column.
To create the last nested table inside the first nested table
1.
Drag the Table object from the Object Library palette to a cell in the table to create another nested table. For example, drag it to the second cell of the body row in the first nested table.
2.
In the Insert Table dialog box, enter the number of columns and rows.
3.
(Optional) To include a header row, select Include Header Row In Table.
4.
(Optional) To include a footer row, select Include Footer Row In Table.
5.
Click OK.
6.
Rename the header row. For example, change the first header to Product and the second header to Profit.
The form should now look like one.
To show data in the cells
1.
In the Data View palette, drag a node to the cell under the first heading. For example, drag the country node to the cell under the Country heading.
2.
Repeat for the remaining cells.
For example, drag the region node to the cell under the Region heading. Drag the product node to the cell under the Product heading. Drag the profit node to the cell under the Profit heading.
3.
In the Hierarchy palette, select each Row1 and, in the Binding tab of the Object palette, select Repeat Row For Each Data Item.
4.
Match the table, row, and field names to those in the sample XML file.
For example, select Table1 in the Hierarchy palette. Then, in the Object palette, click the Binding tab and type $record.Sales in the Default Binding (Open, Save, Submit) box.
For example, set the default binding as indicated in this table.
Select in the Hierarchy palette
Set Default Binding to the corresponding string
Row1
SalesData
country
country
Table2
CountryData
Row1
RegionRow[*]
region
region
Table3
RegionData
Row1
Item[*]
product
product
profit
profit
5.
Select the subform that the main table is in and, in the Subform tab of the Object palette, select Flowed from the Content list.
6.
Format the table. For example, add borders and shading.
7.
View the form in the Preview PDF tab.


To make a table optional

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with data in tables > To make a table optional
To make a table optional
Making a table optional is useful when you do not want to display information contained in a table or when no data is available to display in the table.
1.
Connect to a data source. See About connecting to a data source.
You must connect to a data source, such as an XML schema, to be able to show data in the table.
2.
Select a data file. See To preview a form using sample data.
You must select a data file to view and test the form with the data.
3.
Ensure that the table is in a subform that is set to Flowed.
4.
Select the table in which the number of rows change depending on how much information is in the data source. See To select a table, row, column, cell, or section.
If you select a table that has a fixed number of rows and columns and make it optional, the header row is repeated for each data item. To change this table to one in which the number of rows will change according to the data, deselect Repeat Row For Each Data Item for the header row but select Repeat Row For Each Data Item for the body row.
5.
In the Object palette, click the Binding tab and select Repeat Table For Each Data Item.
6.
Deselect Min Count.
7.
View the form in the Preview PDF tab.
If you have not connected to a data source, the table should not appear. If you have bound the cells in a table to a data source and there is data for the bound cells, the table should appear.


To perform calculations in a table

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with data in tables > To perform calculations in a table
To perform calculations in a table
You can use the sum function in FormCalc to total the values in a column. You must add the calculation to the footer row of the table.
1.
Select the cell in the footer row where you want the calculation. For example, select the cell that corresponds to the total for Q1.
2.
In the Script Editor, select Calculate from the Show list.
3.
In the Language list, select FormCalc.
4.
In the Run At list, select Client.
5.
In the Script Source field, insert your FormCalc calculation.
For example, to calculate the total for the Q1 data, type the following expression.
6.
Repeat for the totals for Q2 and Q3.
7.
To calculate the totals for the country, type the following expression:
sum(Q1 + Q2 + Q3)
8.
Repeat for the remaining row totals.
9.
For the grand total, type the following expression:
sum(TotalQ1 + TotalQ2 + TotalQ3)
Tip:
To show the data as 10K, in the Object palette, click the Cell tab, click Patterns, and type z9'K' in the Pattern box. In the Value tab, select Calculated - Read Only from the Type list.


Creating tables that grow

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables that grow
Creating tables that grow
To create a table that grows using the Button object


To create a table that grows using the Button object

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Creating tables that grow > To create a table that grows using the Button object
To create a table that grows using the Button object
You can create a table that adds a row when a user clicks an Add Row button. You can also include a Delete Row button. You must create the table, add the buttons, and then set the properties that will make the table grow.
To create a table that grows using the Button object
1.
In the Object Library palette, select Table > Insert Table.
2.
In the Insert Table dialog box, select Create Table Using Assistant and click OK.
3.
In the Body Layout panel of the Table Assistant, select Body Rows Vary Depending On Data.
This creates a table that adds or removes rows, depending on the data sent to it.
4.
Enter the number of columns and click Next.
5.
(Optional) Select Has Header Row and click Next.
6.
(Optional) Select Has Footer Row and click Next.
7.
(Optional) Select Has Body Rows And No Sections and click Next.
8.
(Optional) Select Alternate Row Colors and click Finish.
9.
Select Edit > Form Properties and click the Preview tab.
10.
In the Preview Adobe XML Form As list, select Dynamic XML Form and then click OK.
Now, you must add the buttons that will be used to add and delete rows.
To add the buttons
1.
Select the first cell of the body row and, in the Object palette, click the Cell tab and select Subform from the Type list.
This cell needs to be a subform so that it can contain two buttons.
Tip:
You can also drag the Subform object from the Object Library palette into a cell in the table.
2.
In the Object Library palette, click the Standard category and drag the Button object into a cell in the body row. For example, place it in the first cell of the body row.
3.
In the Object palette, click the Field tab and type Add Row in the Caption box.
4.
Repeat steps 2 and 3 to create a Delete Row button.
5.
Select the Add Row button and, in the Script Editor, select Click from the Show list.
6.
In the Script Editor, select JavaScript from the Language list.
7.
Type the following script:
Table.Row1.instanceManager.addInstance(1);
To modify the script for your own form, you must understand how the script relates to the hierarchy. For example, in the hierarchy for the current form, both buttons are inside the same subform; therefore, you do not need to specify any objects beyond the Table level.
8.
Select the Delete Row button and, in the Script Editor, select Click from the Show list.
9.
In the Script Editor, select JavaScript from the Language list.
10.
Type the following script:
Table.Row1.instanceManager.removeInstance(1);
Tip:
To reuse these buttons in another form, you can add them to the Custom category (or your own category) of the Object Library palette. Note that you may have to edit the script for the button if you use it in a different form.
11.
View the form in the Preview PDF tab.
For example, this is what you would see if you modified the Part table from the Purchase Order template.


Working with pagination, header rows, and footer rows in tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with pagination, header rows, and footer rows in tables
Working with pagination, header rows, and footer rows in tables
To set up a table to span multiple pages
To repeat a header or footer row on subsequent pages
To change a row to a header, body, or footer row
To control table, header row, body row, footer row, and section breaks using conditional statements


To set up a table to span multiple pages

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with pagination, header rows, and footer rows in tables > To set up a table to span multiple pages
To set up a table to span multiple pages
To enable tables to automatically flow to the next page, you must ensure the following conditions:
•
The table must be in a subform that is set to Flowed in the Subform tab of the Object palette.
•
The Allow Page Breaks Within Content option is selected in the Table tab.
•
The table is not in a group.
Now you can make adjustments to the table to ensure that the information is displayed the way you want when the table spans multiple pages. You can include a Table continued tag at the top of the next page if the table spans more than one page.
If you want the header row to repeat on the next page, see To repeat a header or footer row on subsequent pages.
To set up a master page that includes the Table continued tag
1.
Create a table that grows based on the amount of data from a data source. See To set the rows in a table to adjust to accommodate data.
2.
Select the header row.
3.
In the Object palette, click the Pagination tab and select Include Header Row In Subsequent Pages.
4.
Select View > Master Pages to display the Master Pages tab if it is not already displayed.
5.
Click the Master Pages tab and select Insert > New Master Page.
6.
Resize the content area so that it is smaller on the new master page.
7.
In the Object Library palette, click the Standard category and drag the Text object [image] above the content area.
8.
Double-click the default text and type Table continued ...
9.
Select the text and, in the Font palette, set the text to Bold and Italic.
10.
In the Hierarchy palette, rename the (untitled Content Area) on Page 2 to Page2ContentArea.
To set the pagination for the table
1.
In the Design View tab of the Layout Editor, select the table. See To select a table, row, column, cell, or section.
2.
In the Object palette, click the Table tab, and ensure that Allow Page Breaks Within Content is selected.
Note:
Although the Allow Page Breaks Within Content option is selected by default for tables, it is deselected for table rows. You must select this option for the table rows to allow page breaks within the table.
3.
In the Object palette, click the Pagination tab and, next to the Overflow list, click the arrow and select Go To Content Area > Page2ContentArea.
To connect to a data source
1.
Ensure that you are connected to a data source. See About connecting to a data source.
For example, if you or your administrator installed the samples that come with LiveCycle Designer ES, locate and open the following schema: Purchase Order.xsd in the Data Connections dialog box.
2.
In the Data View palette, locate the partNum node.
3.
Drag the node into the first cell under the Part No header.
4.
Repeat steps 2 and 3 for description, quantity, and unitPrice.
To select a data file
1.
Select Edit > Form Properties and click the Preview tab. Browse to the location of the data file you want to use.
Note:
You will need to select a data file that contains enough data to fill a table that spans more than one page.
2.
View the form in the Preview PDF tab.


To repeat a header or footer row on subsequent pages

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with pagination, header rows, and footer rows in tables > To repeat a header or footer row on subsequent pages
To repeat a header or footer row on subsequent pages
1.
Click and drag to select the table header or footer.
2.
In the Object palette, click the Pagination tab, and do one of the following actions:
•
Select Include Header Row In Subsequent Pages.
•
Select Include Footer Row In Subsequent Pages.
Note:
The table must be inserted into a subform that is already set to Flowed.


To change a row to a header, body, or footer row

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with pagination, header rows, and footer rows in tables > To change a row to a header, body, or footer row
To change a row to a header, body, or footer row
After you insert a table, you can change a row to another type. For example, you can change a body row to a header row to set up a table inside a table. Also, you can change a body row to a footer row to show summaries in the last row that you want to appear on each page in the form.
1.
Select a row. See To select a table, row, column, cell, or section.
2.
In the Object palette, click the Row tab and select an item from the Type list.


To control table, header row, body row, footer row, and section breaks using conditional statements

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with pagination, header rows, and footer rows in tables > To control table, header row, body row, footer row, and section breaks using conditional statements
To control table, header row, body row, footer row, and section breaks using conditional statements
LiveCycle Designer ES provides the capability to create customized conditional breaks for table objects as well as for header rows, body rows, footer rows, and sections. Instead of paginating these objects in response to data overflow, conditional breaks allow you to manually control how these objects break on a form based on a series of checks called conditional statements.
Through conditional statements, you can verify data for a field within a table, header row, body row, footer row, or section against previous instances of that field. The table, header row, body row, footer row, or section can then be broken in response to a change in the data supplied to the field.
For example, on a telephone bill, you could break a table object in response to changes in the field that stores the date of each billing entry. The telephone bill could then be visually broken down by date, making it easier for a user to read.
In addition to specifying a breaking condition, you can also specify leader and trailer subforms, and indicate where to place the next instance of the repeating subform on the form.
Before you perform this task, you must ensure that the table is in a subform that is set to Flowed.
1.
Select a table, header row, body row, footer row, or section. See To select a table, row, column, cell, or section.
2.
In the Object palette, click the Pagination tab.
3.
Click the Edit button and then click the Add button [image] to insert a new conditional break list item.
4.
Select a scripting language from the Language list. The conditional break condition statement is created by using the scripting language you select.
5.
In the Run At list, select where you want the conditional break to execute.
6.
Click Insert Sample Expression [image] and select the form design object within the table, header row, body row, footer row, or section to use as the comparison field for the conditional break. Alternatively, you can enter your own conditional statement in the field. To correctly evaluate as a conditional break, however, any user-defined conditional statements must evaluate to either true or false.
7.
Select when you would like the table, header row, body row, footer row, or section to break by selecting either Before or After. Selecting Before inserts a break immediately before the current instance of the table, header row, body row, footer row, or section is inserted into the form, and selecting After inserts the break immediately after.
8.
In the To field, select where you want to place the remaining occurrences of the table, header row, body row, footer row, or section.
9.
In the Trailer and Leader lists, select trailer and leader subforms to use for the current conditional break, if any.
10.
Repeat steps 2 to 9 for each conditional break you want to include for the selected object, and click OK when you have finished adding entries to the list.
After you create all of your conditional break entries, you should review the order in which they appear in the Edit Conditional Breaks dialog box. LiveCycle Designer ES processes the conditional breaks specified in this dialog box in sequential order from top to bottom. Each conditional break for which the conditional statement evaluates to true is executed.
Use the Up [image] and Down [image] buttons to move individual conditional break list entries into the order you want.
See also
Edit Conditional Breaks dialog box
Table properties in the Pagination tab
Header and footer row properties in the Pagination tab
Body row properties in the Binding tab
Section properties in the Pagination tab


Working with cells and cell contents

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with cells and cell contents
Working with cells and cell contents
To clear a cell
To merge and split cells
To orient text vertically in cells
To change a cell to another object type


To clear a cell

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with cells and cell contents > To clear a cell
To clear a cell
You cannot delete a cell. However, you can clear the contents of the cell. This action changes the cell type to a Text object that is empty.
1.
Select the cell. See To select a table, row, column, cell, or section.
2.
Select Edit > Clear Contents.


To merge and split cells

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with cells and cell contents > To merge and split cells
To merge and split cells
You can combine two or more adjacent cells in the same row into a single cell. For example, you can merge several cells horizontally to create a table heading that spans several columns. You can only merge cells that are in the same row.
Here is an example of a table before and after the information in the second row was merged.
You cannot merge the data from two cells into one cell. You can only merge text. For example, if the header row is merged, the text is merged because these two cells are Text objects. However, if the body row is merged, and the cells are bound to items in the data source, only the left most cell is retained.
Tip:
It is a good idea to merge cells at the end of the process of designing a table because adding new columns or removing columns does not work the same if there is a merged cell in the table.
To merge cells into one cell
1.
Select the cells you want to merge. See To select a table, row, column, cell, or section.
2.
Select Table > Merge Cells.
If the cells contain Text objects, LiveCycle Designer ES combines the text. If the cells contain other objects, the objects are deleted.
Tip:
To make the columns the same size by using the Distribute Columns Evenly command after you have merged cells, delete the hidden columns first by using the Table > Delete > Column command.
To split a merged cell
1.
Select a merged cell. See To select a table, row, column, cell, or section.
2.
Select Table > Split Cell Horizontally.
The split cells will be converted to an empty Text object or, if the original cells were subforms, they will be converted to empty subforms. For example, if the merged cell was a numeric field, all the split cells will be numeric fields.
Note that you can use these two buttons in the Cell tab of the Object palette.
Icon
Command
Merge Cells icon
Merge Cells
Split Cells Horizontally icon
Split Cells Horizontally


To orient text vertically in cells

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with cells and cell contents > To orient text vertically in cells
To orient text vertically in cells
You can change the orientation in table cells so that the information is displayed vertically instead of horizontally.
Only cells can be rotate (not rows, columns, sections, or entire tables).
1.
Select the cell. See To select a table, row, column, cell, or section.
2.
In the Layout palette, select one of the rotation buttons.
Rotation buttons are Remove, Rotate 180, Rotate 90 or Rotate 270
3.
Click the orientation you want. For example, the vertical text in the previous example is rotated 90°.
4.
In the Paragraph palette, select the align option that works best for the cell. For example, the vertical text in the previous example is aligned right and aligned to the top.
Note:
If you rotate a field that users fill in, users will have to enter their data at the angle of rotation.


To change a cell to another object type

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with cells and cell contents > To change a cell to another object type
To change a cell to another object type
By default, all cells are set to text objects. Text objects present read-only text that users cannot edit. You can use text objects to do these tasks:
•
Label an area in the form, such as headers in the table
•
Provide instructions for filling the form
•
Enhance the form
You can change the cell to any other type of object, such as a numeric field or text field. In this way, you could use a table to lay out an entire form.
A cell can also be a button that submits data, executes a web service operation or database query, or emails data to someone.
A cell can even be a subform. A subform acts as a container for other objects, including fields, boilerplate objects, and other subforms. Subforms also help to position objects relative to each other and provide structure. If a cell is a subform, the cell can hold more than one object. For example, it can have two buttons.
When a cell becomes an object other than a Text object, it behaves differently in a cell than if it were in the form design on its own. For example, a Text Field object in a cell has the caption set to None.
Here are ways to change a cell to another object type; however, the results are different, depending on what is already in the cell and what you change it to:
•
Use the Type list in the Cell tab of the Object palette.
•
Drag an object from the Object Library palette into a cell.
Depending on what you select from the Type list or Object Library palette and what is in the cell, the new object replaces the existing object. If you change a cell to a subform, objects that existed in the cell already are wrapped in the subform. For example, if a text field already existed in the cell and you choose Subform from the Type list, the Text Field is wrapped in the subform. If a text field already existed in the cell and you choose Numeric Field from the Type list, the Numeric Field replaces the Text Field.
•
Drag an existing object in the form design that is outside of the table into a cell. This method preserves the look of the object. For example, if you drag a formatted phone number field into a cell, the caption is retained along with the size of the field.
If you click and drag a Subform object that is outside of the table into a cell, it replaces the contents of the cell.
Note:
If you change a cell to a text field, you can select the Allow Multiple Lines option in the Cell tab of the Object palette to show more than one line of text.
To change a cell to another object type by using the Type list in the Cell tab of the Object palette
1.
Select the cell. See To select a table, row, column, cell, or section.
2.
In the Object palette, click the Cell tab and select another object type from the Type list.
To change a cell to another object type by dragging an object from the Object Library palette
*
Drag the object from the Object Library palette into the cell where you want it to appear.
To change a cell to another object type by dragging an object from the form design
*
In the form design, drag the existing object that is outside of the table into the cell where you want it to appear.


Working with table sections

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with table sections
Working with table sections
To insert a table section
To group rows into a section
To make a table section optional


To insert a table section

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with table sections > To insert a table section
To insert a table section
A table section is a grouping of rows that remains a unit. Using sections lets you organize your table. A section can have its own header and footer so that you can show detailed information grouped by common values. Each section appears in a predictable order in the form. By default, LiveCycle Designer ES inserts a header row for each section.
1.
Select a cell or a row. See To select a table, row, column, cell, or section.
2.
Select Table > Insert and then select Section Above or Section Below.
LiveCycle Designer ES inserts one header row and one body row for the section.


To group rows into a section

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with table sections > To group rows into a section
To group rows into a section
After you create a table, you can group the rows into sections. You can also apply row shading to each section so that each section has different colors. For example, here is a table that is grouped into four sections.
To group rows into a section
1.
Select the rows that you want to group. See To select a table, row, column, cell, or section.
2.
Select Table > Group as Section.
LiveCycle Designer ES shows a bracket on the right side of the table to indicate a section.
To ungroup a section into rows
*
Select the section and select Table > Ungroup Section.
See also
To insert a table section
To make a table section optional


To make a table section optional

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with table sections > To make a table section optional
To make a table section optional
Making a table section optional is useful when you do not want to display information contained in a section. For example, here is a table where section 1 and 3 are hidden.
1.
Select the section. See To select a table, row, column, cell, or section.
2.
In the Object palette, click the Binding tab and deselect Repeat Section For Each Data Item.
Tip:
To show a table section that has been hidden, select the section, select Repeat Section For Each Data Item, select Min Count, and type 1 in the box.


Working with choice sections in tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with choice sections in tables
Working with choice sections in tables
About choice sections in tables
To create choice sections in tables
To add and remove rows in choice sections
To create data bindings and conditional statements for choice table sections


About choice sections in tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with choice sections in tables > About choice sections in tables
About choice sections in tables
A choice section is a section within a table that can be configured to customize the display of specific rows from within the section.
This customization is applied to individual rows within the section by using conditional statements. For example, you can configure a choice section to display instances of a specific row using different text colors, depending on the value of a specific field within that row.
See also
Edit Data Nominated Subforms dialog box


To create choice sections in tables

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with choice sections in tables > To create choice sections in tables
To create choice sections in tables
You can create a choice section from an existing section or row within the table.
To create a choice section from an existing section
1.
Select a table section.
2.
In the Object palette, click the Section tab and select One Subform from Alternatives from the Type list.
To create a choice section from a row
*
Select a row within the table and select Table > Group as Choice Section.
See also
Edit Data Nominated Subforms dialog box


To add and remove rows in choice sections

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with choice sections in tables > To add and remove rows in choice sections
To add and remove rows in choice sections
You can add and remove header, body, and footer rows to a choice section using the Edit Data Nominated Subforms dialog box.
You can add header, body, and footer rows to a choice section, and remove header, body, and footer rows from a choice subform set by choosing one of these options:
•
Using the Edit Data Nominated Subforms dialog box
•
Manually editing the contents by dragging subform objects into or out of the choice section by using the Hierarchy palette
To add a header, body, or footer row to a choice section
1.
Select a choice section.
2.
In the Object palette, click the Section tab and ensure that Select One Subform from Alternatives is selected from the Type list.
3.
Click the Edit Alternatives button.
4.
Click the Add button [image] to insert a new Alternative Subforms list item. You can also drag rows into the choice subform set by using the Hierarchy palette.
Adding a new row adds a duplicate of the currently selected row. If no row is selected, a new unnamed row is added to the choice section.
5.
Use the Up [image] and Down [image] buttons to move the new row entry to the location you want. Ordering entries in the Alternative Subforms list is important because entries are processed sequentially at run time, and the first entry with an expression that evaluates to true appears on the form.
Caution:
This procedure outlines the process for adding new rows to an existing choice section. When you add rows in this way, LiveCycle Designer ES first creates a new row object and then adds the row to the table and the choice section. If you want to add existing table rows to a choice section, drag row objects into the choice section from the Hierarchy palette.
To remove a header, body, or footer row from a choice section
1.
Select a choice section.
2.
In the Object palette, click the Section tab and click Edit Alternatives.
3.
Select an entry from the Alternative Subforms list and click Delete [image].
Caution:
Removing a row by using the Edit Data Nominated Subforms dialog box completely removes the row object from your form design. If you want to preserve the row but remove it from the choice section, you must manually drag the row out of the choice section by using the Hierarchy palette.
See also
Edit Data Nominated Subforms dialog box


To create data bindings and conditional statements for choice table sections

Using LiveCycle Designer ES > Working with Form Designs > Using tables > Working with choice sections in tables > To create data bindings and conditional statements for choice table sections
To create data bindings and conditional statements for choice table sections
After you create a choice section, you can create data bindings with or without conditional statements for the various rows within the section. Using conditional statements provides greater control over when rows within the choice section are displayed on your form than specifying only a data binding.
For each row listed in the Alternative Subforms list in the Edit Data Nominate Subforms dialog box, you can specify a data node from the data connection. If you specify a conditional statement, you can enter an expression that will evaluate to either true or false at run time. Only the first entry in the Alternative Subforms list with a conditional statement that evaluates to true will appear on your form.
1.
Select a subform set object.
2.
In the Object palette, click the Section tab and ensure that Select One Subform from Alternatives is selected from the Type list.
3.
Click Edit Alternatives.
4.
Choose how you want to specify a row data binding from within the choice section by performing one of the following actions:
•
Click Choose Subform Whose Name Matches Data Element or Attribute to bind data nodes to rows by name. In this case, the names of the associated data nodes must match the names of the rows on your form design.
•
Click Choose Subform Using Expression to bind rows from your form design to data nodes from the data connection by manually specifying a binding.
5.
In the Data Connection list, select the data source you want to bind data from.
6.
Click Add [image] to insert a new row into your table, or select an existing list item. Adding a new row adds a duplicate of the currently selected row. If no row is selected, a new unnamed row is added to the choice section.
7.
Insert a new subform into the choice subform set, or select an existing list item. Adding a new subform adds a duplicate of the currently selected subform. If no subform is selected, a new unnamed subform is added to the choice subform set.
8.
In the Name field, enter a name for a new row object, if necessary. If you are binding the row by data element or attribute name, ensure that the name in the field matches exactly with the name of the associated data node.
If you selected the Choose Subform Whose Name Matches Data Element or Attribute in step 4, you can go directly to step 12. Otherwise, continue with step 9.
9.
Click the arrow to the right of the Binding field and select a data node from the pop-up menu. LiveCycle Designer ES automatically populates the Binding field with a scripting reference to the data node you select. Alternatively, you can manually type a reference into the field.
10.
Select a scripting language from the Language list.
11.
In the Expression field, enter your scripting to perform the actions or processing you want for the specified row and data node.
12.
Repeat steps 6 to 10 for any additional rows within the choice section, and then click OK.
See also
Edit Data Nominated Subforms dialog box


Using subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms
Using subforms
About subforms
Creating and configuring subforms
Using subform sets
Creating repeating and multipage subforms
Using choice subform sets


About subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms
About subforms
Overview of subforms
Default subforms
Subforms that position content
Subforms that flow content
Subforms that span pages
Overflow leader and trailer subforms


Overview of subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms > Overview of subforms
Overview of subforms
A subform is a section in the form design that provides anchoring, layout, and geometry management for objects. The objects in a subform can be arranged in rows, columns, or some other kind of balanced arrangement.
More than one subform can be used in a form design. Subforms can be placed inside other subforms. This relationship is displayed in the Hierarchy palette.
Subforms are used to organize a form into different sections. They can also be used to create a form that contains sections that automatically expand and shrink to accommodate the data. If you set a subform to grow, the layout of the form changes in response to the amount of data that is merged when the form is rendered. When the data is merged, subforms ensure that objects and their data are positioned consistently relative to each other. Subforms can be used to match the data hierarchy in XML data.
If you are designing a form that has a fixed layout, it is unlikely that you will need to work with more than one subform because the default subform positions the objects automatically.
You can manipulate the properties of a subform in the Subform and Binding tabs of the Object palette. You can define these properties:
•
Give a meaningful name to the subform (recommended)
•
Enable the subform to span page breaks or force it to be rendered on the next page when the data is merged
•
Specify whether to place the subform after the previous subform, in the specified content area, or on a page that is formatted according to the specified master page
•
Specify whether to place the subform in the same content area as the previous or next subform
•
Specify the flow order of merged data after the subform is placed.
•
Define the subform as visible, invisible, or hidden
•
Specify a locale for the subform
•
Specify whether the subform will repeat its objects each time a unique data item is provided for one of its objects
•
If required, create an overflow leader or trailer for a subform that is capable of repeating the rendering of its objects
•
Specify a binding method for controlling how the subform’s objects are mapped to data
See also
Default subforms
To add a subform
To wrap and unwrap objects in a subform
Subform properties in the Subform tab
Subform properties in the Pagination tab
Subform properties in the Binding tab


Default subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms > Default subforms
Default subforms
All forms contain a root (parent) subform. In the Hierarchy palette, the root subform (form1) is displayed as the top-level node with the default page subform (untitled Subform) appearing as a child node below the root subform.
LiveCycle Designer ES automatically adds to every page a default subform that covers the whole page, and corresponds in size and position to the default content area on the master page. Any subforms that you subsequently add to the pages are nested in and appear below the default page subform in the Hierarchy palette.
In the Hierarchy palette, each subform is represented by a node, and the objects wrapped in a subform are displayed under the subform node. The children of the subform do not inherit changes made on the subform level; the properties of each object must be defined individually.
If you look at the Purchase Order sample, the root subform, form1, is shown as the top-level node with the default page subform, purchaseOrder, appearing below as a child of the root subform. The other subforms used to wrap objects on the page (header, detailHeader, detail, and total) are nested under the page subform. In the Hierarchy palette, each subform is represented by a node, and the objects wrapped in a subform are displayed under each node.
See also
Overview of subforms
Subform properties in the Subform tab
Subform properties in the Pagination tab
Subform properties in the Binding tab


Subforms that position content

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms > Subforms that position content
Subforms that position content
Objects in the subform are positioned according to their individual X and Y coordinates. When the form is rendered, the subforms are placed in an order determined by their positions in the Hierarchy palette.
All subforms except the root subform (form1) are set to position content by default. When a subform is set to position content, the subform can still expand to fit any amount of merged data, but none of the objects within the subform can move from their anchor points. As a result, if a subform is configured to position content, you must frequently test your form design to make sure that any objects within the subform that you expect to expand in response to data merging do not interfere with other objects in the form design. Remember that any objects you configure to expand, such as text field objects, can possibly overlap other objects when the form is rendered. To avoid this design concern, you can set the subform to flow and expand to fit the content. (See Subforms that flow content.)
LiveCycle Designer ES automatically sets the default page subform to position content to make it easier to create forms that have a fixed layout and are interactive forms. For more information, see Default subforms.
However, when designing a form whose layout will adjust to accommodate data, you will need to reset the default page subform to flow content after you complete the form design. It is a good idea to do this last so that the subform remains visible and the objects you place within the subform remain in the intended position on the page.
You use the Position Content option in the Type list in the Subform tab to position content in a subform. When you select the Position Content option, the X and Y coordinates of each object within the subform are maintained. The objects are placed at their X and Y coordinates relative to the position of the subform.
When designing nested subforms to emulate tables, the header subform has to be "positioned" content. Otherwise, the field elements are not positioned properly on subsequent pages.


Subforms that flow content

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms > Subforms that flow content
Subforms that flow content
Objects in the subform are positioned during the data-merging process so that no objects are rendered on top of each other. Subforms that flow content are placed in ascending order. You can use subforms that flow content when you need the form to automatically expand to fit the contents.
The root subform (form1) is set to flow content by default. The root subform always flows content according to the flow direction option that you apply to the associated default content area. Because the root subform is set to flow content, all subforms nested under the root subform automatically flow, as needed, from one form page (content area) to the next when data is merged. When the form is rendered, the subforms under the root subform are placed in descending order according to their position in the object hierarchy.
You can set any other subform to flow content as well. Each subform that is set to flow content can hold varying amounts of data, whereas the objects within the subform move together during the data-merging process so that none of the objects interfere with each other.
You use the Flow Content option in the Type list in the Subform tab to flow content in a subform. When you select the Flow Content option, the objects are positioned based on the Flow Direction option you select. Notice that the Flow Direction list and the Allow Page Break option are enabled after you select Flow Content in the Type list.
Note:
When you resize a subform that flows content, the subform is automatically converted to a subform that has a fixed layout, which prevents page breaks.
See also
Overview of subforms


Subforms that span pages

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms > Subforms that span pages
Subforms that span pages
You can place a subform anywhere on a page; however, when a large amount of data is merged with the form, the subform may expand beyond the bottom edge of the rendered page. To deal with this issue, you can either select the Allow Page Breaks Within Content option to cause the server to break the subform in the middle or deselect this option to force the entire subform to the top of the next rendered page. Forcing a subform to the next page ensures that any nested subforms are displayed together on the same page. If you do not select the Allow Page Breaks Within Content option, you will probably want to create an overflow leader and overflow trailer subform. (See Overflow leader and trailer subforms.)
When data is merged, the server positions the content of a subform within the confines of content areas only. In cases where a large amount of data needs to be merged with any of the objects in a subform, a subform may span multiple form pages. When a form page is filled, the server automatically renders another identical page and continues to place the subform on the new page unless you explicitly direct the flow to a different content area or master page. When more than one content area or master page exists in the same form, you can specify whether a subform will be placed in a particular content area or positioned according to the specified master page.


Overflow leader and trailer subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > About subforms > Overflow leader and trailer subforms
Overflow leader and trailer subforms
Because the length of a form that has a flexible layout varies depending on the amount of data merged with the form, forms that have a flexible layout are often longer than one page. Using overflow leader and overflow trailer subforms is an effective way to start and finish subforms that repeat over multiple pages. You can use any subform that is configured to position content as an overflow leader or trailer. For example, in the Purchase Order sample form, the detail subform is configured to position content and repeat for every data item. When the form is merged with data, if the first page has sufficient space to display all occurrences of the detail subform, a new page is added and the data continues to flow into the next content area.
When data flows this way across multiple pages, you may want to carry forward onto each new page certain text such as “Continued from previous page” or specific formatting elements such as a column header row that includes the descriptive labels for each column of data. Using column header rows on each subsequent page makes the resulting form much easier for users to follow. To do this, you can create an overflow leader subform that will act as the column header row for each additional page. In the Purchase Order sample form, for example, the detailHeader subform is selected as the overflow leader. As a result, a copy of the detailHeader subform is rendered at the top of every new page before the first occurrence of the detail subform.
Similarly, you may want to include information following the last occurrence of the repeating subform, at the bottom of all pages except the last page. For example, you may want to include text such as “Continued on next page” at the bottom of these intervening pages. To do this, you can create an overflow trailer subform for the repeating subform in the same way that you created an overflow leader subform.
When a subform overflows to the new page, the server performs these operations:
•
Places the overflow trailer on the current page
•
Places the overflow leader on the next page
•
Flows the expanding subform and the remainder of its repeating objects onto the new page


Creating and configuring subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms
Creating and configuring subforms
To add a subform
To name a subform
To make a subform visible, invisible, or hidden
To specify a locale (language and country or region) for a subform
To wrap and unwrap objects in a subform
To specify how a subform manages content
To position subforms
To specify how to merge data between subforms
To define custom data-binding properties for a subform


To add a subform

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To add a subform
To add a subform
You can add a subform from the menu or the Library palette.
To add a subform from the menu
*
With the page of the form displayed, select Insert > Standard > Subform.
To add a subform from the Library palette
*
Do one of the following actions:
In the Library palette, click the Standard tab, and then select the Subform object and draw the object on the page of the form.
•
In the Standard tab of the Library palette, drag a Subform object onto the page of the form.
•
In the Library palette, click the Standard tab, and then double-click the Subform object.
See also
Overview of subforms
To name a subform
Default subforms
To wrap and unwrap objects in a subform
To specify a subform to span multiple pages


To name a subform

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To name a subform
To name a subform
To name or rename a subform, you must first select the subform.
To name or rename a subform using the Hierarchy palette
1.
In the Hierarchy palette, right-click the subform and select Rename Object.
2.
Type the new name and press Enter.
To name or rename a subform using the Binding tab of the Object palette
1.
Select the subform.
2.
In the Binding tab, type a new name for the subform in the Name box and press Enter. LiveCycle Designer ES maintains the occurrence number automatically.
See also
Overview of subforms
Subform properties in the Binding tab
To define custom data-binding properties for a subform


To make a subform visible, invisible, or hidden

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To make a subform visible, invisible, or hidden
To make a subform visible, invisible, or hidden
1.
Select the subform.
2.
In the Object palette, click the Subform tab.
3.
In the Presence list, select the option that suits your needs:
•
To make the object visible on-screen, visible in the printed form, and occupy space in the form layout, select Visible.
•
To make the object visible on-screen, not visible in the printed form, and occupy space in the form layout, select Visible (Screen Only).
•
To make the object not visible on-screen, visible in the printed form, and occupy space in the form layout, select Visible (Print Only).
•
To make the object not visible on-screen, not visible in the printed form, and occupy space in the form layout, select Invisible.
•
To make the object not visible on-screen, not visible in the printed form, and not occupy any space in the form layout, select Hidden (Exclude From Layout).
See also
About making objects visible, invisible, or hidden
To make an object visible, invisible, or hidden


To specify a locale (language and country or region) for a subform

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To specify a locale (language and country or region) for a subform
To specify a locale (language and country or region) for a subform
1.
Select the subform.
2.
In the Object palette, click the Field tab.
3.
In the Locale list, select one of these options or one of the provided alternatives for the subform’s localization setting:
•
To use the default locale specified in the Defaults tab of the Form Properties dialog box, select Default Locale.
•
To use the system locale of the user’s computer, select Viewer’s System Locale.
Note:
At design time and run time, formatted values in the field are displayed in the locale-sensitive format.
See also
Layout properties in the Layout palette
Border properties in the Border palette
Overview of subforms
Subform properties in the Subform tab


To wrap and unwrap objects in a subform

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To wrap and unwrap objects in a subform
To wrap and unwrap objects in a subform
Objects are wrapped in a subform when they are contained by the subform.
To add objects to an existing subform
*
Select the objects to include in the subform, and then select Insert > Wrap in Subform.
To unwrap the objects in a subform
*
Select the subform that contains the objects to unwrap, and then select Insert > Unwrap Subform.
See also
Subform properties in the Subform tab
To add a subform


To specify how a subform manages content

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To specify how a subform manages content
To specify how a subform manages content
By default, all subforms except the root subform are defined to position content. The root subform always flows content according to the Flow Direction setting of its associated content area. Because the root subform flows content, all subforms nested under the root subform can flow from one form page or content area into the next automatically if required when data is merged.
In contrast, when a subform positions content, the area bounded by the subform may expand to accommodate any amount of merged data, but none of the objects in the subform can move from their anchor points. Therefore, if a subform contains objects that merge with variable sizes of data, you must verify that those objects do not expand to the extent that they overrun the area occupied by another object. Any objects that expand in response to data merging, such as a text field, have the potential to be rendered on top of other objects.
To avoid this design problem, you can make the subform flow content. A subform that flows content places objects correctly during the data-merging process so that none of its objects are rendered on top of each other.
The default subform for the page positions content to support the creation of interactive forms and forms that have a fixed layout. If you are authoring a form that contains subforms that adjust to accommodate data, you need to work with subforms that position content as well as those that flow content. Different techniques are available for working with subforms in this type of form design. The approach you take depends on your experience with creating form designs whose layout adjusts to accommodate data. For more information, see About forms that have a flowable layout.
To specify how a subform positions content
*
In the Object palette, click the Subform tab and, in the Content list, select one of these options:
•
Positioned
•
Flowed
To specify a flow direction for the objects in a subform that flows content
*
In the Object palette, click the Subform tab and, in the Flow Direction list, select one of these options (objects are always placed starting at the top of the subform):
•
Top to Bottom
•
Western Text
Note:
The Flow Direction option is only available when Flowed is selected in the Content list.
To change a subform that positions content into a subform that flows content
1.
Select the subform in which you want content to flow.
2.
In the Object palette, click the Subform tab and, in the Content list, select Flowed.
3.
In the Flow Direction list, select one of these options (objects are always placed starting at the top of the subform):
•
Top to Bottom
•
Western Text
See also
Subform properties in the Subform tab
To position subforms
To specify how to merge data between subforms


To position subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To position subforms
To position subforms
To specify where to position a subform
*
In the Object palette, click the Pagination tab, and then click the arrow to the right of the Place box and select one of these presentation options:
•
Following Previous
•
In Content Area > [name_of _content_area]
•
Top of Next Content Area
•
Top of Content Area > [name_of _content_area]
•
On Page > [name_of _page]
•
Top of Next Page
•
Top of Page > [name_of _page]
•
On Odd Page
•
Top of Next Odd Page
•
On Even Page
•
Top of Next Even Page
To keep the subform within the same content area or page as the previous or next subform
*
In the Object palette, click the Pagination tab, and then select Keep W/ Previous or Keep W/ Next.
See also
Subform properties in the Subform tab
To specify how a subform manages content
To specify how to merge data between subforms


To specify how to merge data between subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To specify how to merge data between subforms
To specify how to merge data between subforms
*
In the Object palette, click the Pagination tab, and then click the arrow to the right of the After box and select one of these options:
•
Continue Filling Parent
•
Go to Next Content Area
•
Go To Content Area > [name _of_content_area]
•
Go To Next Page
•
Go To Page > [name_of_page]
•
Go to Next Odd Page
•
Go to Next Even Page
See also
Subform properties in the Pagination tab
To specify how a subform manages content
To position subforms


To define custom data-binding properties for a subform

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating and configuring subforms > To define custom data-binding properties for a subform
To define custom data-binding properties for a subform
Using the Binding options, you can build a form that captures data for enterprise infrastructures or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
Subforms themselves do not capture or display data, but the objects in a subform can. The binding settings of a subform have a direct influence on how nested objects are mapped to data.
A subform can be bound to a data group, and the subform’s objects can be bound to data values within that data group. By default, the bindings of the objects in a subform are relative to the subform’s binding.
1.
Select the subform.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the subform and its objects to their corresponding data nodes. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Overview of subforms
Subform properties in the Binding tab
To name a subform
To create a repeating subform


Using subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using subform sets
Using subform sets
Overview of subform sets
To insert a subform set


Overview of subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using subform sets > Overview of subform sets
Overview of subform sets
A subform set is a grouping of two or more repeating or multipage subforms.
Use a subform set to control the order in which the subforms are rendered within the set, based on the order that the subforms appear within the set.
For example, in the sample Purchase Order form, you can see how the detailHeader and detail subforms are grouped into a subform set. The subform set keeps the two subforms together so that both subforms for each data item are rendered, or neither subform is rendered if no data exists for the detail subform.
By grouping subforms into a subform set, you ensure that subforms will not rendered within the set unless data exists to render the subform.
You can control the order in which subforms are rendered within a set by selecting one of these options from the Type list of the Subform Set tab in the Object palette:
•
Use All Subforms in Order
All of the subforms in the subform set will appear in the final document and in the order they appear in the Hierarchy palette.
•
Select One Subform From Alternatives
One subform from the set appears in the final document. For more information, see About choice subform sets.
When choosing how to render subforms, consider the following facts:
•
If you set a subform to a minimum count of zero, the subform is not rendered if no data exists for that subform.
•
If you set a subform to a minimum count value less than the number of actual occurrences in the data, the remaining data values will not be displayed. Conversely, if you set a subform to a maximum count value greater than the number of actual occurrences in the data, the specified number of subforms are rendered, which means that some objects in the subform will render without data and appear blank.
•
You can, if you want, nest subform sets within other subform sets to any number of levels. However, you cannot place individual objects such as lines, circles, or text field objects inside a subform set.
See also
To insert a subform set
About choice subform sets
Subform set properties in the Subform Set tab
Subform set properties in the Pagination tab
Subform set properties in the Binding tab


To insert a subform set

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using subform sets > To insert a subform set
To insert a subform set
A subform set is a grouping of two or more subforms that you want to keep together. You can use subform sets to combine subforms and control the order in which they are rendered.
Before you create a subform set, it is a good practice to consider the order in which you want the form to be rendered so that you can select the correct option from the Type list in the Subform tab.
1.
Right-click in the Hierarchy palette and select Insert Subform Set. An untitled subform set is added to the Hierarchy palette.
2.
In the Hierarchy palette, drag the subforms you want into the subform set.
3.
With the subform set selected in the Hierarchy palette, in the Object palette, click the Subform Set tab and, in the Type list select the option you want.
4.
Click the Binding tab. Optionally, you can type a name for the subform set in the Name box.
5.
If you want the subform set to repeat according to the data provided, select Repeat Subform For Each Data Item, and then specify a minimum and maximum count, if necessary.
6.
Preview the form design to test the subform set.
See also
Overview of subform sets
About choice subform sets


Creating repeating and multipage subforms

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating repeating and multipage subforms
Creating repeating and multipage subforms
To create a repeating subform
To specify a subform to span multiple pages
About overflow leaders and trailers
To create and assign overflow leaders and trailers
To control subform and subform set breaks by using conditional statements


To create a repeating subform

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating repeating and multipage subforms > To create a repeating subform
To create a repeating subform
1.
Select the subform.
2.
In the Object palette, click the Subform tab and, in the Content list, select Flowed.
3.
Click the Binding tab and select Repeat Subform For Each Data Item.
Note:
The Repeat Subform For Each Data Item option is available only when the subform’s parent (as displayed in the Hierarchy palette) flows content.
4.
To specify a minimum number of repetitions, in the Min Count box, type the number. If this option is set to 0 and no data is provided for the objects in the subform at data-merge time, the subform is not placed when the form is rendered.
5.
To limit the number of repetitions, select the Max option and type the maximum number of repetitions into the associated box. If you do not specify a value in the Max box, the number of repetitions will be unlimited.
6.
To specify a set number of subform repetitions, regardless of the quantity of data, select Initial Count and type the number of repetitions you require in the associated box. If this option is set and either no data is available or fewer data entries exist than the Initial Count value, empty instances of the subform are still placed on the form.
Note:
The value in the Initial Count box must be between the Min Count and Max values. If the Min Count value is not specified or is 0, the Initial Count value defaults to 0.
See also
Overview of subforms
Subform properties in the Subform tab
Subform properties in the Pagination tab
Subform properties in the Binding tab
About overflow leaders and trailers
To create and assign overflow leaders and trailers


To specify a subform to span multiple pages

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating repeating and multipage subforms > To specify a subform to span multiple pages
To specify a subform to span multiple pages
Subforms can be placed anywhere in a form design. However, when a large amount of data is merged, the subform may expand beyond the bottom edge of the rendered page.
To deal with this issue, you can either enable a page break in the middle of the subform or force the entire subform to be rendered starting at the top of the next rendered page. Forcing a subform to the next page ensures that any nested subforms are displayed together on the same page.
When data is merged, the content of a subform is placed within the confines of content areas only. In cases where a relatively large amount of data needs to be merged with any of the objects in a subform, a subform may span multiple form pages.
When a form page is filled, an additional identical page is rendered automatically. The subform continues to be placed on the new page unless you explicitly direct the flow to a different content area or master page. When more than one content area or master page exists in the same form, you can specify whether a subform will be placed in a particular content area or positioned according to the specified master page.
*
In the Object palette, click the Subform tab and select Allow Page Breaks Within Content.
When this option is deselected, the objects in the subform are kept together on the same page.
See also
Overview of subforms
Subform properties in the Subform tab
Subform properties in the Pagination tab
Subform properties in the Binding tab
About forms that have a flowable layout


About overflow leaders and trailers

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating repeating and multipage subforms > About overflow leaders and trailers
About overflow leaders and trailers
An overflow leader is a special type of positioned subform that appears at the top of the next page whenever a page overflow occurs.
Overflow leaders are similar to the heading row in a standard table. The heading row appears at the top of the table and contains a descriptive label for each of the columns in the table. You can format the table so that when it expands beyond one page, the heading row is repeated at the top of the new page. This makes the information in the table easier to understand as the reader moves from page to page.
An overflow leader subform behaves in a similar way. When you specify that a specific subform will be the overflow leader for a subform that repeats, the overflow leader subform will appear once before the repeating subform at the top of the current page and each subsequent page thereafter.
The repeating subform is added as many times as necessary when merged with data. When there is no more room on the first page, a new page is added and the data continues to flow into the next page until all the data is consumed. The overflow leader subform will appear once at the top of each page.
You can see an example of how an overflow leader subform is used in the sample form design whose layout adjusts to accommodate data that is included with LiveCycle Designer ES. The sample, Purchase Order.xdp, is in the Samples folder where LiveCycle Designer ES is installed on your system. In that example, the subform named detailHeader acts as the overflow leader for the repeating subform named detail.
Bookend leaders are subforms that appear before a repeating subform. If you define a subform sibling just above a repeating subform and then specify it as an overflow leader, you have defined it as a bookend leader and as an overflow leader.
An overflow trailer appears at the bottom of the next page whenever a page overflow occurs. Use an overflow trailer to include information that appears only once, after all the data is positioned.
Bookend trailers are subforms that appear just below a repeating subform. If you define a subform just below a repeating subform and then specify it as an overflow trailer, you have defined it as a bookend trailer and as an overflow trailer.
See also
Overview of subforms
To create and assign overflow leaders and trailers
About forms that have a flowable layout
Using overflow leader and overflow trailer subforms


To create and assign overflow leaders and trailers

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating repeating and multipage subforms > To create and assign overflow leaders and trailers
To create and assign overflow leaders and trailers
An overflow leader or overflow trailer is a positioned subform that can be assigned to any repeating subform. Typically, you create the subform that will become overflow leader or trailer first. Then you assign them to a repeating subform and give them overflow properties.
If the overflow leader is also treated as a bookend leader, it is placed in the Hierarchy palette just above the subform. Also, if the overflow trailer is also treated as a bookend trailer, it is placed in the Hierarchy palette just below the subform.
To create an overflow leader or overflow trailer subform
1.
Create a form design with all the necessary subforms.
2.
On your form design, locate the subform that you want to use as an overflow leader or an overflow trailer, select the subform, and do these tasks:
•
Look at the Subform tab in the Object palette. Ensure that the Content list displays Positioned. In the Object palette, click the Subform tab and make sure that Positioned is selected in the Content list.
•
Look at the Binding Tab in the Object palette. In the Object palette, click Binding tab and select Repeat Subform For Each Data Item to have the leaders and trailers appear for more than one overflow. Bookend leader and trailers are not counted against this number.
To apply an overflow leader or overflow trailer to a subform
1.
Select the subform or subforms that you want to repeat.
2.
In the Object palette, click the Binding tab and select Repeat Subform For Each Data Item to set the subform to repeat.
3.
In the Object palette, click the Pagination tab and, in the Overflow box, specify either a content area or page where the form should place the overflow subforms.”]
4.
If you want to specify an overflow leader, in the Overflow Leader list, select the subform that you want to use as the overflow leader subform for the current repeating subform. Alternatively, select New from the Overflow Leader list to create and assign a new overflow leader subform.
5.
If you want to specify an overflow trailer, in the Overflow Trailer list, select the subform that you want to use as the overflow trailer subform for the current repeating subform. Alternatively, select New from the Overflow Trailer list to create and assign a new overflow trailer subform.
Note:
You do not need to have both an overflow leader and an overflow trailer. Whether you have one, both, or none is determined entirely by the requirements of your form.
See also
Overview of subforms
To create a repeating subform
About overflow leaders and trailers


To control subform and subform set breaks by using conditional statements

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Creating repeating and multipage subforms > To control subform and subform set breaks by using conditional statements
To control subform and subform set breaks by using conditional statements
LiveCycle Designer ES provides the capability to create customized conditional breaks for repeating subform objects. As opposed to paginating in response to data overflow, conditional breaks allow you to manually control how a subform breaks in a form based on a series of checks called conditional statements.
Through the conditional statements, you can verify data for a field within a repeating subform against previous instances of that field. The repeating subform can then be broken in response to a change in the data supplied to the field.
For example, on a telephone bill, you could break a repeating subform in response to changes in the field that stores the date of each billing entry. The telephone bill could then be visually broken down by date, making it easier for a user to read.
In addition to specifying a breaking condition, you can also specify a leading or trailing subform and indicate where to place the next instance of the repeating subform in the form.
1.
Select a subform or subform set.
2.
In the Object palette, click the Pagination tab.
3.
Click Edit and then click Add [image] to insert a new conditional break list item.
4.
Select a scripting language from the Language list. The conditional break condition statement is created using the scripting language you select.
5.
In the Run At list, select where you want the conditional break to execute.
6.
Click Insert Sample Expression [image] and select the form design object within the subform to use as the comparison field for the conditional break. Alternatively, you can enter your own conditional statement in the field. To correctly evaluate as a conditional break, however, any user-defined conditional statements must evaluate to either true or false. Conditional statements that evaluate to true are executed.
7.
Use one of these options to specify when you want the subform object to break:
•
Select Before to insert a break immediately before the current instance of the subform is inserted into the form.
•
Select After to insert a break immediately after the current instance of the subform is inserted into the form.
8.
In the To field, select where you want to place the remaining occurrences of the broken subform.
9.
In the Trailer and Leader lists, select trailer and leader subforms to use for the current conditional break, if any.
10.
Repeat steps 2 to 8 for each conditional break that you want to include for the selected subform.
11.
Click OK when you have finished adding entries to the list.
After you create all of your conditional break entries, you should review the order in which they appear in the Edit Conditional Breaks dialog box. LiveCycle Designer ES processes the conditional breaks specified in the Edit Conditional Breaks dialog box in sequential order from top to bottom. Each conditional break for which the conditional statement evaluates to true is executed.
Use the Up [image] and Down [image] buttons to move individual conditional break list entries into the preferred order.
See also
Edit Conditional Breaks dialog box
Subform properties in the Pagination tab
About calculations and scripts


Using choice subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using choice subform sets
Using choice subform sets
About choice subform sets
To create choice subform sets
To add and remove subforms in choice subform sets
To create data bindings and conditional statements for choice subform sets


About choice subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using choice subform sets > About choice subform sets
About choice subform sets
A choice subform set is a variation of the subform set object that allows you to customize the display of specific subforms from within the set through the use of conditional statements. As with subforms sets, choice subform sets are bound to data from a data connection. However, using choice subform sets provides a greater level of control over which subforms within the set are displayed at run time. For example, you can configure a choice subform set to display instances of a repeating subform by using different text colors, depending on the value of a specific field within that repeating subform.
See also
To create choice subform sets
To add and remove subforms in choice subform sets
To create data bindings and conditional statements for choice subform sets
Overview of subform sets


To create choice subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using choice subform sets > To create choice subform sets
To create choice subform sets
You can create a choice subform set from either an existing subform set or from an existing subform object.
To create a choice subform set from an existing subform set
1.
Select a subform set object.
2.
In the Object palette, click the Subform Set tab and select the Select One Subform from Alternatives option from the Type list.
To create a choice subform set from a subform object
*
Select a subform object and select Insert > Wrap in Choice Subform Set.
See also
About choice subform sets
To add and remove subforms in choice subform sets
To create data bindings and conditional statements for choice subform sets
Edit Data Nominated Subforms dialog box
Overview of subform sets


To add and remove subforms in choice subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using choice subform sets > To add and remove subforms in choice subform sets
To add and remove subforms in choice subform sets
You can add subform objects to a choice subform set or remove subform objects from a choice subform set in using either of these methods:
•
Using the Edit Data Nominated Subforms dialog box
•
Manually editing the contents by dragging subform objects into or out of the choice subform set by using the Hierarchy palette.
Caution:
Removing a subform from the Alternative Subforms list by using the Edit Data Nominated Subforms dialog box completely removes the subform object from your form design. If you want to preserve the subform object but remove it from the choice subform set, you must manually drag the subform object out of the choice subform set by using the Hierarchy palette.
To add a subform to a choice subform set
1.
Select a subform set object.
2.
In the Object palette, click the Subform Set tab and click Edit Alternatives.
3.
Click the Add button [image] to insert a new Alternative Subforms list item. You can also drag and drop subform objects into the choice subform set by using the Hierarchy palette.
Adding a new subform adds a duplicate of the currently selected subform. If no subform is selected, a new unnamed subform is added to the choice subform set.
4.
Use the Up [image] and Down [image] buttons to move the new subform entry to the preferred location. Ordering entries in the Alternative Subforms list is important because entries are processed sequentially at run time, and the first entry with an expression that evaluates to true appears in the form.
To remove a subform from a choice subform set
1.
Select a subform set object.
2.
In the Object palette, click the Subform Set tab and click Edit Alternatives.
3.
Select an entry from the Alternative Subforms list and click the Delete button [image].
See also
About choice subform sets
To create data bindings and conditional statements for choice subform sets
Edit Data Nominated Subforms dialog box
Overview of subform sets


To create data bindings and conditional statements for choice subform sets

Using LiveCycle Designer ES > Working with Form Designs > Using subforms > Using choice subform sets > To create data bindings and conditional statements for choice subform sets
To create data bindings and conditional statements for choice subform sets
After you create a choice subform set, you can create data bindings with or without conditional statements for the various subform objects within the set. Using conditional statements provides better control over when subforms within the choice subform set are displayed on the form than if you specify only a data binding.
For each subform object listed in the Alternative Subforms list in the Edit Data Nominate Subforms dialog box, you can specify a data node from the data connection. If you specify a conditional statement, you can enter an expression that will evaluate to either true or false at run time. Only the first entry in the Alternative Subforms list with a conditional statement that evaluates to true will appear on your form.
Note:
If you do not specify a conditional statement for an entry in the Alternative Subforms list, that entry is considered to have a value of true.
1.
Select a subform set object.
2.
In the Object palette, click the Subform Set tab and ensure that Select One Subform from Alternatives is selected in the Type list.
3.
Select Edit Alternatives.
4.
Select Edit Alternatives and choose how you want to specify a subform data binding from within the subform set by performing one of the following actions:
•
Select Choose Subform Whose Name Matches Data Element or Attribute to bind data nodes to subform objects by name. In this case, the names of the associated data nodes must match the names of the subform objects on your form design.
•
Select Choose Subform Using Expression to bind subform objects from your form design to data nodes from the data connection by manually specifying a binding.
5.
In the Data Connection list, specify the data source you want to bind data from.
6.
Click the Add button [image] to insert a new subform into the choice subform set, or select an existing list item. Adding a new subform adds a duplicate of the currently selected subform. If no subform is selected, a new unnamed subform is added to the choice subform set.
7.
In the Name field, type the name for a new subform object, if necessary. If you are binding the subform by data element or attribute name, ensure that the name in the field matches exactly with the name of the associated data node.
If you selected either Choose Subform Whose Name Matches Data Element or Attribute in step 4, you can go directly to step 11. Otherwise, continue with step 8.
8.
Click the triangle to the right of the Binding field and select a data node from the menu. LiveCycle Designer ES automatically populates the Binding field with a scripting reference to the data node you select. Alternatively, you can manually type a reference into the field.
9.
Select a scripting language from the Language list.
10.
In the Expression field, enter your script to perform the required actions or processing for the specified subform object and data node.
11.
Repeat steps 6 to 10 for any additional alternative subforms.
12.
Click OK when you finish adding entries to the list.
See also
About choice subform sets
Referencing object properties and values
To create choice subform sets
Edit Data Nominated Subforms dialog box


Using fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments
Using fragments
About fragments
Creating and inserting fragments
Editing and embedding fragments
Fixing overrides and broken fragment references


About fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > About fragments
About fragments
Overview of fragments
Advantages of using fragments
Fragment references
How fragment references are resolved
Binding fragments to a data source


Overview of fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > About fragments > Overview of fragments
Overview of fragments
A fragment is a reusable part of a form. A fragment is stored in the LiveCycle ES repository as a separate XDP file that can be inserted into multiple form designs. For example, a fragment could include an address block or legal text.
Using fragments simplifies and speeds up the creation and maintenance of large numbers of forms. When creating a new form, you insert a reference to the required fragment and the fragment appears in the form. The fragment reference contains a subform that points to the physical XDP file.
All fragments share common characteristics:
•
You create all fragments the same way.
•
You can create a fragment in the current file or in a separate file, and you can create multiple fragments in the same file. When you create a fragment in a separate file, a file is generated to store the fragment in the repository.
•
Other form authors can use the fragments in their form designs.
•
You edit the fragment source files in LiveCycle Designer ES.
Fragments and subforms
To create a fragment, you can either select an existing subform or select one or more objects. Subforms also include tables, table rows, header rows, and footer rows. If you select objects that are not in a subform, the objects are wrapped in a subform when the fragment is created.
You can also use a choice subform set that contains multiple fragment references. Choice subform sets control the display of subforms based on the flow of data from a data connection. You use conditional statements to determine which subform from within the set appears in the delivered form.
For example, each subform in a set could include information for a particular state, and the subform that is displayed could be determined based on the state where the form is filed.
Script fragments
A script fragment contains reusable JavaScript functions or values that are stored separately from any particular object, such as a date parser or a web service invocation. These fragments include a single script object that appears as a child of variables in the Hierarchy palette. Fragments cannot be created from scripts that are properties of other objects, such as event scripts like validate, calculate, or initialize.
For more information about script fragments, see Using Script Fragments.
See also
Creating and using fragments in form designs
Binding fragments to a data source
Using choice subform sets
About script fragments


Advantages of using fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > About fragments > Advantages of using fragments
Advantages of using fragments
You can use fragments to quickly create or change common elements that are used in multiple forms. You can also use fragments to share the form creation task among various specialists.
Content reuse
You can use fragments to reuse content in multiple form designs. When you need to use some of the same content in multiple forms, it is faster and simpler to use a fragment than to copy or re-create the content. Using fragments also ensures that the frequently used parts of a form design have consistent content and appearance in all the referencing forms.
Global updates
You can use fragments to make global changes to multiple forms only once, in one file. You can change the content, script objects, data bindings, layout, or styles in a fragment, and all XDP forms that reference the fragment will reflect the changes. To update a fragment in a PDF form, you must resave the form in LiveCycle Designer ES.
For example, a common element across many forms might be an address block that includes a drop-down list object for the country. If you need to update the values for the drop-down list object, you must open many forms to make the changes. If you include the address block in a fragment, you only need to open one fragment file to make the changes.
Shared form creation
You can use fragments to share the creation of forms among several resources. Form developers with expertise in scripting or other advanced features of LiveCycle Designer ES can develop and share fragments that take advantage of scripting and dynamic properties. Form designers can use those fragments to lay out form designs and to ensure that all parts of a form have a consistent appearance and functionality across multiple forms designed by multiple people.
Security
You can use the LiveCycle ES repository to limit access to a fragment and to store and share fragments.
See also
To insert a fragment reference
To edit a fragment


Fragment references

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > About fragments > Fragment references
Fragment references
LiveCycle Designer ES provides visual cues that identify fragment references in the Layout Editor and the Hierarchy palette. These visual cues provide information about how fragments behave.
Fragment references in the Layout Editor
Object boundaries appear around fragments and fragment references. You can set the color of the object boundary borders on the Drawing Aids palette.
A fragment icon appears in the upper-left corner of a fragment reference and uses the color of the object boundary borders. The objects within a fragment reference have gray borders to indicate that you cannot edit them from the fragment reference.
Clicking anywhere within a fragment reference selects it, and dragging anywhere on a fragment reference moves it.
You cannot select any of the objects in a fragment reference. For example, if the fragment reference contains a table, you cannot select a row or column. To select objects in a fragment reference, open the fragment source file for editing.
Fragment references in the Hierarchy palette
The objects in a fragment reference are dimmed in the Hierarchy palette because you cannot select or edit them from the fragment reference.
You can move a fragment reference and its contents as a single entity within the Hierarchy palette in the same way that you move other form objects. However, you cannot drag objects into a fragment reference.
See also
Drawing Aids palette
To use the drawing aids
Layout Editor
Hierarchy palette
To edit a fragment


How fragment references are resolved

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > About fragments > How fragment references are resolved
How fragment references are resolved
Fragment references are resolved when you preview a form design or save it as a PDF file in LiveCycle Designer ES, LiveCycle Forms ES, or LiveCycle Output ES.
When you update a fragment, all form designs that reference the fragment reflect the changes when you open the form design in LiveCycle Designer ES. All form designs that are open in LiveCycle Designer ES are also updated.
Fragment references in PDF forms are resolved when you open or save the form design in LiveCycle Designer ES. If you update a referenced fragment after you save the PDF form, the old fragment is still visible when you view the PDF form in Acrobat. To update the fragment that is visible in the PDF form, you must resave the PDF form in LiveCycle Designer ES.
See also
To create a fragment
To insert a fragment reference


Binding fragments to a data source

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > About fragments > Binding fragments to a data source
Binding fragments to a data source
When you create a form design that includes fragment references, you cannot bind individual objects in the fragment. You must either bind the fragment reference to the data or create bindings in the fragment source file.
You can bind field objects in the fragment based on relative binding to the subform.
If you bind the objects before you include them in a fragment, the binding properties are saved when you create the fragment.
See also
About fragments
About binding fields to a data source


Creating and inserting fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Creating and inserting fragments
Creating and inserting fragments
About creating fragments
To create a fragment
To insert a fragment reference


About creating fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Creating and inserting fragments > About creating fragments
About creating fragments
You can create a fragment in a separate XDP file or in the current form design. When you create the fragment in a separate file, you can replace the selected objects with a reference to the fragment file. If you do not replace the selection with a fragment reference, the fragment is created, but the selection remains unchanged and is not connected to the new fragment. Leaving the selection unchanged saves steps when you need to create multiple, similar fragments.
Creating the fragment in the current file is useful when you want to define multiple fragments in one file. Creating multiple fragments in one file can make it easier to update multiple fragments, particularly when the fragments are very similar.
Note:
You cannot create a fragment in a form created by importing a PDF file as artwork. For more information, see About importing PDF documents as artwork.
Fragments are identified by the fragment name. When you create the fragment in a separate file, you can also specify the location and the file name. The fragment name does not have to match the file name.
See also
About fragments
To create a script fragment


To create a fragment

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Creating and inserting fragments > To create a fragment
To create a fragment
When you create a fragment, you can either select an existing subform or select one or more objects. If you select objects that are not in a subform, the objects are wrapped in a subform when the fragment is created.
Note:
After you create a fragment by selecting existing objects, update any script references in the fragment to reflect that the objects are wrapped in a new subform.
You must save fragment source files as XDP files. If you save a fragment source file as a PDF file, the fragments cannot be referenced in other forms.
You create script fragments from script objects instead of subforms, and you must create them from the Hierarchy palette. For more information, see To create a script fragment.
1.
Select the objects to include in the fragment. You can select a fragment or multiple objects.
2.
Select Edit > Fragments > Create Fragment.
3.
If you want to use a different fragment name, in the Name box, type a name for the fragment.
4.
(Optional) In the Description box, type a description of the fragment.
5.
Select a method for creating the fragment:
•
To define the fragment in a separate XDP file that is stored in the repository, select Create Fragment In Repository and go to step 6.
•
To define the fragment in the current file, select Create New Fragment in Current Document and go to step 9.
6.
In the Location list, select the repository location where you want to save the fragment file.
7.
(Optional) To use a different file name, in the File Name box, type the file name for the fragment.
8.
If you do not want to replace the selection with the new fragment, deselect Replace Selection With Reference To New Form Fragment.
9.
Click OK.
See also
To select objects
To create a script fragment
Create Fragment dialog box
Edit menu


To insert a fragment reference

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Creating and inserting fragments > To insert a fragment reference
To insert a fragment reference
You can use fragments to reuse content in multiple forms. When creating a form design, you insert a reference to an existing fragment and the fragment appears in the form design.
After you insert a fragment reference, you can reposition it in the form design.
When you update a fragment, all forms that reference the fragment reflect the changes when you open or save the form in LiveCycle Designer ES. If you update a referenced fragment after you save a PDF form, the old fragment is still visible when you view the PDF form in Acrobat. To update the fragment that is visible in the PDF form, you must resave the PDF form in LiveCycle Designer ES
Note:
You cannot insert a fragment in a form created by importing a PDF file as artwork. For more information, see About importing PDF documents as artwork.
To insert a fragment from the LiveCycle Workbench ES repository:
1.
In the LiveCycle Workbench ES Resources view, select the file that contains the fragment to insert.
2.
Drag the fragment onto the form design.
To insert a fragment from the Insert menu:
1.
Select Insert > Fragment.
2.
Navigate to the file that contains the fragment.
3.
Select the file.
4.
If the file contains more than one fragment, select the fragment.
5.
Click OK. The fragment appears in the center of the visible page.
See also
To move objects
Fragment references
Insert Fragment dialog box
Insert menu
To insert a script fragment


Editing and embedding fragments

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Editing and embedding fragments
Editing and embedding fragments
To edit a fragment
To view fragment information
To convert a fragment reference to an embedded object


To edit a fragment

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Editing and embedding fragments > To edit a fragment
To edit a fragment
You can edit a fragment by selecting the fragment reference in any form. When you select the edit option, the fragment source file opens in LiveCycle Designer ES and the fragment is selected.
Note:
You can also open and edit a fragment source file the same way you edit any other XDP file.
You can rename the fragment or modify the form objects in the fragment. When you save the fragment source file, your changes are immediately reflected in all open forms that reference the fragment. You do not need to reload the forms to see the changes.
Note:
Renaming the fragment subform in the Hierarchy palette in the referenced XDP file breaks all references to that fragment. You can change the fragment metadata name in the Fragment Information dialog box or in the Object palette.
When you edit a fragment, all forms that reference the fragment reflect the changes when you save the form in LiveCycle Designer ES. If you update a referenced fragment after you save a PDF form, the old fragment is still visible when you view the PDF form in Acrobat. To update the fragment that is visible in the PDF form, you must resave the PDF form in LiveCycle Designer ES
1.
Select the fragment reference.
2.
Select Edit > Fragments > Edit Fragment. The fragment source file opens.
3.
Edit the file as required.
4.
Save the fragment source file.
See also
Properties in the Object palette
Opening and saving forms
Edit menu


To view fragment information

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Editing and embedding fragments > To view fragment information
To view fragment information
You can view the fragment information that was added when the fragment was created. The fragment information includes the fragment name, a description, and the location of the fragment source file.
The same information is displayed for fragments and fragment references. When you select a fragment, you can view or edit the information, but when you select a fragment reference, you can only view the information.
1.
View the fragment information:
•
To view the fragment information for a fragment reference, select the fragment reference.
•
To view the fragment information for a fragment, open the fragment for editing.
2.
Select Edit > Fragments > Fragment Info.
See also
Edit menu
To edit a fragment


To convert a fragment reference to an embedded object

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Editing and embedding fragments > To convert a fragment reference to an embedded object
To convert a fragment reference to an embedded object
When you convert a fragment reference, it becomes an embedded copy of the fragment, and the fragment metadata is removed. The embedded object does not retain any relationship to the fragment source file. The fragment source file is unchanged and you can still reference it in your forms.
Converting a fragment reference is useful when you no longer need to reference the fragment, but you do not want to remove the objects from a form design. For example, you can convert a fragment reference if you want to create a new fragment based on an existing fragment.
If the referenced fragment contains one or more fragment references, you can either embed only the selected fragment reference or embed the selected fragment and the nested fragment references.
1.
Select the fragment reference to embed.
2.
Select Edit > Fragments > Convert To Embedded Object.
See also
Edit menu
Fragment references


Fixing overrides and broken fragment references

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Fixing overrides and broken fragment references
Fixing overrides and broken fragment references
Fragment reference overrides
To remove fragment reference overrides
To resolve broken fragment references


Fragment reference overrides

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Fixing overrides and broken fragment references > Fragment reference overrides
Fragment reference overrides
You create overrides on a fragment reference when you edit its properties in the referencing form design. These changes affect only the fragment reference in the current form and do not affect the fragment source file or any other references.
You can create fragment reference overrides on properties in the Object, Layout, Border, and Accessibility palettes of the fragment subform. In the Script Editor, you can create overrides for scripts that are defined in the fragment reference subform. The properties you can edit include the tab order, binding, scripts, X and Y positions, and subform properties such as presence and locale.
You cannot create overrides on the properties of any objects in the fragment reference, including nested objects such as subform sets or tables. For example, if a fragment reference includes a table, you cannot edit the row shading because row shading is a property of the cells in a table.
See also
Overview of fragments
Fragment references
Palettes
Properties in the Object palette


To remove fragment reference overrides

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Fixing overrides and broken fragment references > To remove fragment reference overrides
To remove fragment reference overrides
You can remove the overrides from fragment reference properties by using the Clear Fragment Property Overrides option in the Object, Border, Layout, and Accessibility palette menus. This option removes all overrides, on all the palettes, from the selected fragment reference, except overrides on the X and Y properties when the fragment is in a subform that positions content.
When overrides exist, an information marker appears on the fragment reference and an entry appears in the Warnings tab in the Report palette.
1.
Select the fragment reference that has overrides.
2.
In the palette menu of the Object, Border, Layout, or Accessibility palette, select Clear Fragment Property Overrides.
See also
Overview of fragments
Fragment references
Palettes
About warning messages


To resolve broken fragment references

Using LiveCycle Designer ES > Working with Form Designs > Using fragments > Fixing overrides and broken fragment references > To resolve broken fragment references
To resolve broken fragment references
A fragment reference can be broken when LiveCycle Designer ES cannot find either the fragment or the fragment source file because it was renamed, deleted, or moved.
When you open a form that has a broken fragment reference, the fragment reference is replaced with this broken fragment icon.
The broken fragment icon also appears on broken fragment references in the Hierarchy palette.
1.
In the Object palette, click Open Fragment Source File.
2.
Select the file that contains the fragment and click Open.
3.
In the Fragment Name box, select the name of the fragment.
See also
Properties in the Object palette


Creating and managing templates

Using LiveCycle Designer ES > Working with Form Designs > Creating and managing templates
Creating and managing templates
About templates and the Template Manager


About templates and the Template Manager

Using LiveCycle Designer ES > Working with Form Designs > Creating and managing templates > About templates and the Template Manager
About templates and the Template Manager
Note:
The Template Manager is not available if you are using LiveCycle Designer ES within LiveCycle Workbench ES.
A template provides the basic structure for the form design and contains predefined file-creation information that LiveCycle Designer ES applies to the form design. Templates contain definitions of objects used in a form design as well as the form design’s page layout. A template can store any properties that you would use in more than one form design, including these:
•
Master page layouts, which influence the format of pages
•
Boilerplate objects, including formatted headers and footers
•
Embedded images or objects that link to frequently used graphics, such as logos or watermarks
•
Any text variables or floating fields that you use as placeholders for data
•
Predefined formula equations and script fragments
•
File properties and file creation information
•
Other properties that facilitate or automate your work
Creating a template is very much like creating a form design. However, in a template, you design the layout and select the file settings and preferences that you would typically need in more than one form design. You can optionally include and define any objects that could be applied to more than one form design. Including layouts and properties that are common to many form designs saves you time because less work is needed to prepare form designs that are based on the template.
The Template Manager contains a variety of sample templates that are provided with LiveCycle Designer ES. It can also contain any templates you create and use with LiveCycle Designer ES.
Use the Template Manager to do these tasks:
•
Preview templates
•
Select a default template for creating form designs
•
Add, delete, and rename templates, as well as add and remove groups
In the Template Manager, you can also add or delete tabs, move templates between tabs, and determine where in the file system LiveCycle Designer ES stores templates. Each tab corresponds to a folder in the file system. By default, template files are stored in the LiveCycle Designer ES Templates folder.
See also
About forms


Working with Objects

Using LiveCycle Designer ES > Working with Objects
Working with Objects
About Objects
Using objects
Adding, copying, and deleting objects
Selecting, grouping, and moving objects
Aligning and sizing objects
Formatting text and paragraphs
Formatting objects
Using leaders in text
Using form object collections
Making objects visible, invisible, or hidden
Formatting captions
Formatting field values
Setting up an object for other languages
Using special objects


About Objects

Using LiveCycle Designer ES > Working with Objects > About Objects
About Objects
What is an object?
Categories of objects
To change an object type
To name and rename objects
To set the border style
To specify a locale (language and country or region) for an object
Objects that support scripting and calculations
Using objects in interactive forms


What is an object?

Using LiveCycle Designer ES > Working with Objects > About Objects > What is an object?
What is an object?
Objects are the building blocks of every form. Each object provides some piece of functionality to your form, such as a place to enter text or a button to use to email the form. As you create your form, you select objects and add them to the body or master page of the form design. You will find all the available objects in the Object Library palette.
The objects in the Object Library palette are grouped into category. The My Favorites category contains the objects that you use most often. The Standard and Barcode categories contain the core objects. In addition, a number of predefined custom objects are available in the Custom category.


Categories of objects

Using LiveCycle Designer ES > Working with Objects > About Objects > Categories of objects
Categories of objects
The majority of the objects fall into two categories:
Boilerplate or static objects
Static objects do not capture or display data. Instead, they present fixed text or graphic information. These objects include circles, lines, rectangles, images, and text. Static objects can be used in all types of forms.
Field objects
Field objects both capture and display data. These objects include barcodes, buttons, check boxes, date/time fields, drop-down lists, image fields, list boxes, password and signature fields, radio buttons, and text fields. Some field objects, such as text fields, can be used in all types of forms, whether the form is interactive, to be filled by a user, or to be filled by merging with a data source. Others, such as drop-down lists, are intended specifically for interactive forms.
The following objects are available in the Standard and Barcodes categories of the Object Library palette.
Object
Description
Category
Use
For more information
Barcode
A barcode identification symbol.
Static
Designed for any type of form.
Overview of barcodes
Button
A button for issuing commands or client requests.
Field
Designed for interactive forms.
Overview of buttons
Check Box
An object that has an enabled (on) or disabled (off) state.
Field
Designed for any type of form.
Overview of check boxes
Circle
A circle, ellipse, or arc.
Static
Designed for any type of form.
Overview of circles, lines, and rectangles
Content Area
A container that serves as the top-level object in an object hierarchy and defines the area in a form in which objects may be placed.
Static
Every master page defines at least one content area.
Overview of content areas
Date/Time Field
A field that accepts and displays date/time data and supports pattern recognition.
Field
Designed for any type of form.
Overview of date/time fields
Decimal Field
A field that accepts and displays decimal data and supports pattern recognition.
Field
Designed for any type of form.
Overview of decimal fields
Signature Field
A control that users can use to attach an electronic signature to the form.
Field
Designed for any type of form.
Overview of signature fields
Drop-down List
A list of multiple options from which one option can be selected. Only one option appears at a time.
Field
Designed for interactive forms.
Overview of drop-down lists and list boxes
Email Submit Button
A button that form users can use to return form data to a specified email address.
Field
Designed for interactive forms.
Overview of email submit buttons
HTTP Submit Button
A button that form users can use to return form data by HTTP post to a specified URL.
Field
Designed for interactive forms.
Overview of HTTP submit buttons
Image
An object that displays an image such as a logo or icon.
Static
Designed for any type of form.
Overview of images
Image Field
A placeholder for loading an image dynamically when the form is rendered.
Field
Designed for any type of form.
Overview of image fields
Lines
A solid, dashed, or dotted line.
Static
Designed for any type of form.
Overview of circles, lines, and rectangles
List Box
A list of multiple options from which one option can be selected. More than one option appears at a time.
Field
Designed for interactive forms.
Overview of drop-down lists and list boxes
Numeric Field
A field that accepts and displays numeric data and supports pattern recognition.
Field
Designed for any type of form.
Overview of numeric fields
Paper Forms Barcode
A 2D barcode that encodes user-entered data in an interactive form. To use the paper forms barcode, your organization must have the LiveCycle Barcoded Forms solution implemented.
Field
Designed for interactive forms.
Overview of paper forms barcodes
Password Field
A field that accepts and masks the display of alphanumeric passwords.
Field
Designed for any type of form.
Overview of password fields
Print Button
A button that is configured for form users to print the form.
Field
Designed for interactive forms.
Overview of print buttons
Radio Button
An object that represents a single choice in a group of mutually exclusive choices.
Field
Designed for any type of form.
Overview of radio buttons
Rectangle
A rectangle with regular, notched, or rounded corners.
Static
Designed for any type of form.
Overview of circles, lines, and rectangles
Reset Button
A button that form users can click to reset the contents of the form’s fields to their default values.
Field
Designed for interactive forms.
Overview of reset buttons
Subform
A container that controls the positioning of objects. Each page is a subform and may contain additional subforms.
Static
Designed for any type of form.
Overview of subforms
Table
A container made up of rows and columns of cells that you can fill with form fields or merge with data.
Can be a static object or field object
Designed for any type of form.
About tables
Text
Read-only text.
Static
Designed for any type of form.
Overview of text
Text Field
A field that accepts and displays textual data and supports pattern recognition.
Field
Designed for any type of form.
Overview of text fields
See also
About custom objects
To create a custom object


To change an object type

Using LiveCycle Designer ES > Working with Objects > About Objects > To change an object type
To change an object type
There are several ways you can change the object type:
•
Delete the object on your form design and then drag the required object from the Object Library palette
•
Use the Type list in the Field tab of the Object palette (for field objects such as text fields, numeric fields, and buttons)
•
Use the list in the Object Editor (for field objects such as text fields, numeric fields, and buttons)
•
Use the Type list in the Draw tab of the Object palette (for static objects such as circles, lines, and text)
To change an object type using the Type list in the Object palette tabs
1.
Select the object you want to change.
2.
In the Object palette, click either the Field tab or the Draw tab and then select another object type from the Type list.
To change an object type using the Type list in the Object Editor
1.
Select the object you want to change. If the Object Editor does not appear around the object, select View > Object Editor.
2.
Select another object type from the Type list.


To name and rename objects

Using LiveCycle Designer ES > Working with Objects > About Objects > To name and rename objects
To name and rename objects
When you drag an object from the Object Library palette onto your form design, its default name is the name of the object followed by a number that represents the number of copies of the same object in the form design. For example, if you have two list box objects on your form design, the default names are ListBox1 and ListBox2. This naming is called the occurrence number.
While creating the form design, you can see the name of the object in the following places:
•
Hierarchy palette
•
Binding tab of the Object palette
•
Object Editor
•
A pop-up tool tip on the form design when you position the pointer over the object
You can name or rename an object by using the Hierarchy palette, the Binding tab of the Object palette, or the Object Editor.
Note:
If you plan to create calculations or scripts to enhance your form, avoid using the names of scripting properties, methods, and objects when naming your form objects. Using similar names can result in calculations and scripts not executing properly.
To name or rename an object by using the Hierarchy palette
1.
In the Hierarchy palette, right-click the object and select Rename Object.
2.
Type the new name and press Enter.
To name or rename an object by using the Binding tab of the Object palette
1.
Select the object.
2.
In the Object palette, click the Binding tab.
3.
In the Name box, type a new name for the object and press Enter.
To name or rename an object by using the Object Editor
1.
Select the object. If the Object Editor does not appear, select View > Object Editor.
2.
In the Name box, type a new name for the object and press Enter.


To set the border style

Using LiveCycle Designer ES > Working with Objects > About Objects > To set the border style
To set the border style
•
To set the border style for an object, in the Object palette, click the Field tab and select a border style for the box from the Appearance list.
•
To define a custom look for an object, select Custom from the Appearance list.
•
To define a border for the whole object, use the Border palette.
See also
Border properties in the Border palette


To specify a locale (language and country or region) for an object

Using LiveCycle Designer ES > Working with Objects > About Objects > To specify a locale (language and country or region) for an object
To specify a locale (language and country or region) for an object
1.
In the Object palette, click the Field tab.
2.
In the Locale list, select one of these options or one of the provided alternatives for the object’s localization setting:
•
To use the default locale specified in the Defaults tab of the Form Properties dialog box, select Default Locale.
•
To use the system locale of the user’s computer, select Viewer’s System Locale.
Note:
At design time and run time, formatted values in the field are displayed in the locale-sensitive format.


Objects that support scripting and calculations

Using LiveCycle Designer ES > Working with Objects > About Objects > Objects that support scripting and calculations
Objects that support scripting and calculations
Objects that accept data can be associated with FormCalc or JavaScript expressions. For example, you can use scripts to calculate a value or validate user-entered data. In most cases, the validity of data is controlled through the attributes of the object. In the case of objects that require complex input (edit) patterns, the validity is controlled through pattern settings in the Value tab of the Object palette.
Some objects can be used to initiate client requests. For example, you can set up a button to query a data source at run time. In this case, you must also write a script to return the requested data value to a specific field in the form.
You can write scripts to execute commands, functions, or calculations when any of an object's events occur at run time. An event will initiate at run time when the user performs the action that the event specifies. You can call any of an object's supported methods and examine or set properties by defining a script.
Some objects, such as circles and content areas, do not support events. The objects that support scripting and calculations or that initiate events include barcodes, buttons, check boxes, date/time fields, drop-down lists, image fields, list boxes, numeric fields, password fields, radio buttons, signature fields, subforms, and text fields. The supported events are object-specific and vary from one object to the next.
See also
About creating calculations and scripts


Using objects in interactive forms

Using LiveCycle Designer ES > Working with Objects > About Objects > Using objects in interactive forms
Using objects in interactive forms
LiveCycle Designer ES includes several standard and custom objects that provide data entry and access capabilities, and support calculations and scripts to initiate actions and handle data capture and manipulation. You can use any of these objects on a form, as well as objects such as text fields and drawing objects.
In addition, you can create custom objects whose properties and characteristics you plan to use often in your forms. You create custom objects by defining properties and adding required functionality such as scripts or calculations to standard LiveCycle Designer ES objects. You save custom objects in the Object Library palette, either in the Custom category or in a category you create yourself.
When choosing objects, you should understand what functions and capabilities the objects provide. There are several things to consider when selecting objects:
•
Determine the type of information you need to include in your forms and familiarize yourself with the characteristics of the objects.
•
Be aware that fields have varying length and appearance requirements and options, as well as data entry restrictions and requirements.
•
Analyze the types of data that you want to display and capture, and determine which objects support those types of data.
•
Certain objects allow you to add calculations and write scripts to initiate actions on the field. Determine what types of scripts you can use with particular objects.
See also
What is an object?
To create a custom object


Using objects

Using LiveCycle Designer ES > Working with Objects > Using objects
Using objects
Using barcodes
Using buttons
Using check boxes
Using circles, lines, and rectangles
Using content areas
Using date/time fields
Using decimal and numeric fields
Using drop-down lists and list boxes
Using image fields
Using images
Using paper forms barcodes
Using password fields
Using radio buttons
Using signature fields
Using text
Using text fields
Using custom objects


Using barcodes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes
Using barcodes
Overview of barcodes
To define barcode field properties
To set the default value for the barcode
To control how a barcode obtains data
To define custom data-binding properties for a barcode
Encoding non-printing characters in barcode data


Overview of barcodes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes > Overview of barcodes
Overview of barcodes
Businesses use barcodes extensively, particularly for inventory control. Barcodes can be used to identify forms, but they are often printed on adhesive paper to create labels for inventory purposes.
LiveCycle Designer ES supports two types of barcodes:
•
Hardware barcodes
Only use when the form is being printed directly to the printer from the server. Because a printer is required to print them, LiveCycle Designer ES uses a placeholder to represent hardware barcodes in the form.
•
Software barcodes
Can be drawn by LiveCycle Designer ES and are visible in Acrobat and Adobe Reader. They can be printed on any general-purpose printer.
LiveCycle Designer ES provides a variety of barcode formats that you can work with. The supported barcode formats are listed in the Barcodes category of the Object Library palette. If you use a barcode that requires a specific type of printer, LiveCycle Designer ES represents the barcode as a shaded rectangle in the form.
LiveCycle Designer ES also supports the two-dimensional paper forms barcode. For more information, see Overview of paper forms barcodes.
After you add a barcode to the form design, you can manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Text position
•
Length of the data
•
Any additional properties supported by the barcode (for example, optional checksum capabilities, and text positioning and embedding)
•
Presence of the barcode as visible, invisible, or hidden
•
Binding method for storing and retrieving bound data
Note:
Interactive barcodes that can accept user input are only supported for PDF forms that are filled in Acrobat 7.0.5 or Adobe Reader 7.0.5.
See also
Supported barcode formats
Barcode properties in the Field tab
Barcode properties in the Value tab
Barcode properties in the Binding tab


To define barcode field properties

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes > To define barcode field properties
To define barcode field properties
To define the properties of a barcode, you must first select the barcode and set basic characteristics in the Field tab of the Object palette. The number and type of barcode properties vary from one barcode to another.
1.
Select the barcode.
2.
In the Object palette, click the Value tab and then type the barcode text in the Default box.
3.
Click the Field tab and, in the Location box, select the placement of the text.
The PDF 417 format does not support text positioning, and the EAN8, EAN13, and UPC-A formats support the Below Embedded option only.
4.
In the Value column, do one or more of the following actions:
•
In the Data Length box, type the length of the data. If you are defining an MSI barcode, the data length must be a value between 1 and 14. The MSI, UPC-E, UPC EAN2, UPC EAN5, US Postal Zip-5, US Postal DPBC, and US Postal Standard barcode formats have fixed data lengths that cannot be changed.
•
If a Checksum box is displayed, enable or disable the checksum. If you are defining an MSI barcode, select one of the available checksum methods.
•
If an End Char or Start Char box is displayed, type the end character, start character, or both. If you are defining a Codabar barcode, the valid end and start characters are A, B, C, D, a, b, c, d, *, N, T, E, n, t, and e. If you are defining a Code 49 barcode, the valid start characters are A, 1, 2, 3, 4, and 5.
•
If a Wide/Narrow Ratio box is displayed, type a wide-narrow-ratio value. For Codabar, Code 2 of 5 (Industrial, Interleaved, and Matrix), and Code 3 of 9, the wide-narrow-ratio value must be a value from 2.2 to 3.0. For Code 11, Logmars, MSI, and Plessey barcodes, the value must be a value from 2.0 to 3.0.
See also
Barcode properties in the Field tab
Valid barcode text characters


To set the default value for the barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes > To set the default value for the barcode
To set the default value for the barcode
*
In the Object palette, click the Value tab and then type a default value in the Default box.
See also
Barcode properties in the Field tab
Valid barcode text characters


To control how a barcode obtains data

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes > To control how a barcode obtains data
To control how a barcode obtains data
To define the properties of a barcode, you must first select the barcode. Set properties that control how the barcode obtains data in the Value tab of the Object palette.
Tip:
You can dynamically populate a validation pattern or script message with a value from a data source. This allows you to ensure users enter the correct value in the field.
1.
In the Object palette, click the Value tab and then select one of these options from the Type list:
•
To allow users to choose to enter data or not, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users cannot edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users cannot edit the value.
2.
If the value is recommended or required, type a prompt in the Empty Message box.
3.
If the value will be calculated, attach the calculation script to the object by using the Script Editor.
4.
(Optional) If a calculated value can be overridden, type a message into the Override Message box.
See also
To dynamically populate a validation pattern message
To dynamically populate a validation script message
Barcode properties in the Value tab


To define custom data-binding properties for a barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes > To define custom data-binding properties for a barcode
To define custom data-binding properties for a barcode
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the barcode.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the barcode to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Barcode properties in the Binding tab


Encoding non-printing characters in barcode data

Using LiveCycle Designer ES > Working with Objects > Using objects > Using barcodes > Encoding non-printing characters in barcode data
Encoding non-printing characters in barcode data
You can encode hidden, non-printing characters between the data in Code 128 barcodes. For example, you can encode the characters that represent the prefix and the delimiter as part of the Code 128 barcode standard. The application that reads the barcode then decodes the meaning of these characters.
Some characters are reserved for use as non-printing characters in Code 128 barcodes. To encode these characters in a barcode, use the following mechanism in LiveCycle Designer ES.
Code 128 non-printing characters
Use these values in LiveCycle Designer ES
FNC1
[F1]
FNC2
[F2]
FNC3
[F3]
SHIFT
[SH]
Change to Subset A
[CA]
Change to Subset B
[CB]
Change to Subset C
[CC]
Start in Subset A
[SA]
Start in Subset B
[SB]
Start in Subset C
[SC]
For example, to encode FNC1 in a Code 128 barcode, insert [F1] as follows: 00[F1]12345[F1]67890.
See also
Supported barcode formats
Valid barcode text characters


Using buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons
Using buttons
Overview of buttons
Overview of email submit buttons
Overview of HTTP submit buttons
Overview of print buttons
Overview of reset buttons
About submitting data using a button
About processing options for a button
To insert a standard button that runs a calculation or script
To insert a submit button that sends information to a server
To insert a submit button that embeds a PDF
To insert a submit button that sends an XML data stream
To insert a submit button that sends a text stream using the POST method
To insert a button that sends an email that includes XML data
To execute a web service operation or database query using a button
To attach a database script to a button
Using a button to populate fields from a database
To customize the email submit button
To customize the HTTP submit button


Overview of buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > Overview of buttons
Overview of buttons
If you want users to initiate actions such as submitting data, executing a web service operation, or executing a database query, you can add a button to the form. With the help of LiveCycle Designer ES’s built-in support for client-server communications and scripting, forms can support these kinds of actions through buttons:
•
Execute a calculation
•
Process and manipulate data through a script
•
Submit data (including optional attachments) to a server
•
Sign submitted data
•
Open a connection to a host
•
Submit client requests to a server
•
Invoke a web service operation
•
Query a data source
The actions associated with the button are initiated when the user clicks the button.
After you add a button object to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Submit, and Execute tabs of the Object palette. You can define these properties:
•
Change the caption for the button
•
Set a border style for the button
•
Specify the highlight style for the button
•
Define the button as visible, invisible, or hidden
•
Specify a locale for the button
•
Specify run-time behavior
LiveCycle Designer ES also includes four additional buttons that are preconfigured to provide specific functions. They include an email submit button, an HTTP submit button, a print button, and a reset button.
See also
About processing options for a button
Formatting captions
About digital signatures
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Button properties in the Field tab
Button properties in the Submit tab
Button properties in the Execute tab


Overview of email submit buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > Overview of email submit buttons
Overview of email submit buttons
The email submit button is a standard button that has certain properties already set and a specialized Object palette. This object makes it easier for you to create buttons that users can click to return their form data by email. Because Adobe Reader does not save changes to PDF files, including form data, it is a good idea to include an email submit button on forms that users may fill in Adobe Reader.
The email submit button operates like a standard button object with these settings:
•
Control Type set to Submit
•
Submit Format set to XML Data
•
Submit To URL set to use the mailto: protocol, such as mailto:name@adobe.com
•
Encoding set to UTF-8
If you use the New Form Assistant to create a form and select one of the Submit return methods, an email submit button will be included on the form automatically.
After you add a button to the form design, you can edit the caption text, and you can manipulate the object’s properties in the Field tab of the Object palette. You can define these properties:
•
Change the caption for the button
•
Set a border style for the button
•
Specify the highlight style for the button
•
Set the To address and the Subject of the email message
•
Add a data signature
•
Define the button as visible, invisible, or hidden
•
Specify a locale for the button
You can also change the button name in the Hierarchy palette and set a style for the caption in the Font and Paragraph palettes.
See also
About digital signatures
To add a data signature to a submit button
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Email submit button properties in the Field tab


Overview of HTTP submit buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > Overview of HTTP submit buttons
Overview of HTTP submit buttons
The HTTP submit button is a standard button that has certain properties already set and a specialized Object palette. This object makes it easier for you to create buttons that users can click to return their form data by HTTP post.
The HTTP submit button operates like a standard button object with these settings:
•
Control Type set to Submit
•
Submit Format set to URL-Encoded Data
•
Submit To URL set to use the http: protocol
If your data needs to be returned through the secure https: protocol, you can use the standard button object instead.
After you add a button to the form design, you can edit the caption text, and you can manipulate the object’s properties in the Field tab of the Object palette. You can define these properties:
•
Change the caption for the button
•
Set a border style for the button
•
Specify the highlight style for the button
•
Set the URL that the data will be sent to
•
Add a data signature
•
Define the button as visible, invisible, or hidden
•
Specify a locale for the button
You can also change the button name in the Hierarchy palette and set a style for the caption in the Font and Paragraph palettes.
See also
About digital signatures
To add a data signature to a submit button
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
HTTP submit button properties in the Field tab


Overview of print buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > Overview of print buttons
Overview of print buttons
The print button opens a Print dialog box so that the user can print the form. A Print button is a standard button object that has the Control Type set to Regular and a script included in the button’s click event that prints the form when the button is clicked.
See also
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Button properties in the Field tab


Overview of reset buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > Overview of reset buttons
Overview of reset buttons
A reset button resets all fields on the form to their default values. The Reset button object is a standard button object that has the Control Type set to Regular and a script included in the button’s click event that resets the field values when the button is clicked.
See also
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Button properties in the Field tab


About submitting data using a button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > About submitting data using a button
About submitting data using a button
To define the properties of a button, you must first select the button. Set data-submit properties in the Submit tab of the Object palette. To view the Submit tab, you must select the Submit option in the Control Type area in the Field tab.
You can specify the format and type of data to submit, and the type of data-encoding. If the button submits the data in URL-encoded format, you can specify a URL to post the data to. If the button submits an XDP file, you can include attachments, such as annotations, PDF documents, or signatures. You can also apply a digital signature to the submitted data.
See also
Button properties in the Submit tab
About digital signatures
To add a data signature to a submit button


About processing options for a button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > About processing options for a button
About processing options for a button
In the Execute tab in the Object palette, you can select a data connection for the button and specify whether the associated processing will be carried out on the client computer, the server, or both. The data connection must provide access to a web-service interface or OLEDB database server that will either return data to the form at run time or perform an action elsewhere.
After you specify the data source (see About data sources), you can specify the operation or query to run. When the button is clicked at run time, processing is completed as defined through the operation or query.
Returned data can be merged with the form so that only data associated with existing objects is overwritten without refreshing the structure of the form. Alternatively, you can choose to update the structure of the form based on the returned XML data. In this case, the structure of the form is updated, and the returned data is merged after processing is completed.
To define processing options for a button, you must first select the button. The processing options are set in the Execute tab of the Object palette. To view the Execute tab, the Execute option must be selected in the Control Type area in the Field tab.
See also
Button properties in the Execute tab


To insert a standard button that runs a calculation or script

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To insert a standard button that runs a calculation or script
To insert a standard button that runs a calculation or script
1.
Add the button to a form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
Select an event from the Show box. For example, if you want the button to perform a calculation, select Click.
4.
In the Script Editor, select a language from the Language list.
5.
Type the calculation or script in the Script Editor.
See also
Button properties in the Field tab


To insert a submit button that sends information to a server

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To insert a submit button that sends information to a server
To insert a submit button that sends information to a server
1.
Add a button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
In the Control Type area, select Submit. Data will be submitted according to the settings in the Submit tab.
4.
Click the Submit tab and type the URL protocol in the Submit to URL box.
To
Use this URL protocol
Example
Submit the package to an ftp site
ftp
ftp://ftp.gnu.org/gnu/GPL
Submit the package to a web server
http
http://myserver/cgi-bin/
Submit the package to a secure web server
https
https://myserver/cgi-bin/
Note:
When submitting data to a URL, it is recommended that you specify an absolute target. Relative targets are interpreted relative to the user environment, which can vary from one user to the next at run time.
5.
Select a file format from the Submit list.
These formats initiate server-side processing. The XML Data Package (XDP) option submits the form data and optionally includes other information, such as the form design, annotations, and signatures, that is needed for LiveCycle Forms ES to subsequently render the form at run time. Attachments may be included with XDP files only.
6.
(Optional) To apply a signature to the submitted data, select Sign Submission and then click Settings to configure optional signature settings.
7.
In the Include area, select the types of attachments to include:
•
To include review comments, tool tips, and any other special tags needed to capture screen reader text, select Annotations.
•
To include a PDF version of the form (including signatures) when it is submitted as an attachment, select PDF (Includes Signatures). Otherwise, a reference to an embedded PDF file is included.
•
To include a copy of the form design, select Template.
•
To include one or more <xdp> elements in the XDP source file, select Other. The specified elements must be separated by commas and white space is optional; for example: xci, xslt, sourceset.
8.
In the Data Encoding list, select one of the data encoding schemes:
•
UTF-8
•
UTF-16
•
Shift_JIS
•
Big5
•
GBK
•
KSC_5601
See also
Button properties in the Field tab
Button properties in the Submit tab


To insert a submit button that embeds a PDF

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To insert a submit button that embeds a PDF
To insert a submit button that embeds a PDF
1.
Add a button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
In the Control Type area, select Submit. Data will be submitted according to the settings in the Submit tab.
4.
Click the Submit tab and type the URL protocol in the Submit to URL box.
To
Use this URL protocol
Example
Submit the package to an ftp site
ftp
ftp://ftp.gnu.org/gnu/GPL
Submit the package to a web server
http
http://myserver/cgi-bin/
Submit the package to a secure web server
https
https://myserver/cgi-bin/
Submit the package to an email address
mailto
mailto:username@domain.com
Note:
When submitting data to a URL, it is recommended that you specify an absolute target. Relative targets are interpreted relative to the user environment, which can vary from one user to the next at run time.
5.
Select PDF from the Submit As list.
This format submits a package containing an embedded PDF file. Choose this format if the form contains a signature field, or if a copy of the form together with its data needs to be saved by LiveCycle Forms ES or submitted to another type of target server. Do not choose this option if the form initiates server-side processing, if LiveCycle Forms ES will be used to render HTML or dynamic forms at run time, or if the form is a PDF form that will be filled in Adobe Reader without the use of LiveCycle Reader Extensions ES.
6.
(Optional) To apply a signature to the submitted data, select Sign Submission in the Field tab and then click Settings to configure optional signature settings.
See also
Button properties in the Field tab
Button properties in the Submit tab


To insert a submit button that sends an XML data stream

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To insert a submit button that sends an XML data stream
To insert a submit button that sends an XML data stream
1.
Add a button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
In the Control Type area, select Submit. Data will be submitted according to the settings in the Submit tab.
4.
Click the Submit tab and type the URL protocol in the Submit to URL box.
To
Use this URL protocol
Example
Submit the package to an ftp site
ftp
ftp://ftp.gnu.org/gnu/GPL
Submit the package to a web server
http
http://myserver/cgi-bin/
Submit the package to a secure web server
https
https://myserver/cgi-bin/
Submit the package to an email address
mailto
mailto:username@domain.com
Note:
When submitting data to a URL, we recommend that you specify an absolute target. Relative targets are interpreted relative to the user environment, which can vary from one user to the next at run time.
5.
Select XML Data (XML) from the Submit As list.
This format submits an XML data stream, which allows for the hierarchical representation of data and can be parsed by any generic XML parser. Choose this format if the server that communicates with the run-time user application program must receive an XML data steam.
6.
(Optional) To apply a data signature to the submitted data, select Sign Submission in the Field tab and then click Settings to configure optional signature settings.
7.
In the Encoding list, select one of the data encoding schemes:
•
UTF-8
•
UTF-16
•
Shift_JIS
•
Big5
•
GBK
•
KSC_5601
See also
Button properties in the Field tab
Button properties in the Submit tab


To insert a submit button that sends a text stream using the POST method

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To insert a submit button that sends a text stream using the POST method
To insert a submit button that sends a text stream using the POST method
1.
Add a button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
In the Control Type area, select Submit. Data will be submitted according to the settings in the Submit tab.
4.
Click the Submit tab and type the URL protocol in the Submit to URL box.
To
Use this URL protocol
Example
Submit the package to an ftp site
ftp
ftp://ftp.gnu.org/gnu/GPL
Submit the package to a web server
http
http://myserver/cgi-bin/
Submit the package to a secure web server
https
https://myserver/cgi-bin/
Submit the package to an email address
mailto
mailto:username@domain.com
Note:
When submitting data to a URL, it is recommended that you specify an absolute target. Relative targets are interpreted relative to the user environment, which can vary from one user to the next at run time.
5.
Select URL-Encoded Data (HTTP Post) from the Submit As list.
This format submits a text stream to the specified Uniform Resource Locator (URL) by using the POST method. The text stream can be parsed by an FTP server, a mail server, a web server, or a CGI script that processes HTML forms. To use this method, users must open the form in Adobe Reader 6.0 or later or a web browser unless the URL specifies the mailto protocol.
6.
(Optional) To apply a data signature to the submitted data, select Sign Submission in the Field tab and then click Settings to configure optional signature settings.
7.
In the Encoding list, select one of the data encoding schemes:
•
UTF-8
•
UTF-16
•
Shift_JIS
•
Big5
•
GBK
•
KSC_5601
See also
Button properties in the Field tab
Button properties in the Submit tab


To insert a button that sends an email that includes XML data

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To insert a button that sends an email that includes XML data
To insert a button that sends an email that includes XML data
You can create your own email submit button or use the email submit button from the Object Library palette.
1.
Add a button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
In the Control Type area, select Submit. Data will be submitted according to the settings in the Submit tab.
4.
Click the Submit tab and, in the Submit to URL box, type the mailto protocol as shown in the following example:
mailto:username@domain.com
5.
Select XML Data (XML) from the Submit As list.
This format sends an XML data stream, which allows for the hierarchical representation of data and can be parsed by any generic XML parser. Choose this format if the server that communicates with the run-time user application program must receive an XML data steam.
6.
(Optional) To apply a data signature to the submitted data, select Sign Submission in the Field tab and then click Settings to configure optional signature settings.
7.
In the Encoding list, select one of the data encoding schemes:
•
UTF-8
•
UTF-16
•
Shift_JIS
•
Big5
•
GBK
•
KSC_5601
See also
Button properties in the Submit tab


To execute a web service operation or database query using a button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To execute a web service operation or database query using a button
To execute a web service operation or database query using a button
Using an Execute button type, you can execute a process request to a web service. A web service processes operations that you send to it to define input and output information in your form.
You add a connection to the web service and then create or bind fields to the request and response messages. The bound fields can generate input data to send to the service or receive data from the service. Multiple fields can be used to create the request message, and the response message can populate multiple fields. To process the operation, you can use an Execute button or write a script. For example, you can use a web service to look up an interest rate, a currency exchange rate, or a stock quote.
1.
Add a button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
In the Control Type area, select Execute. A web-service operation or database query will be executed according to the settings in the Execute tab.
4.
Click the Execute tab and select New Data Connection from the Connection list.
5.
Select WSDL File and click Next.
6.
In the WSDL File box, type the URL to the WSDL document, or click Browse [image] to locate and select the document on your computer’s hard disk. If the WSDL document is stored on a secure server, either the Authentication Required dialog box or the Select a Digital ID dialog box is displayed.
7.
Perform one of the following actions:
•
In the Authentication dialog box, type the correct user name and password, and click OK.
•
In the Select A Digital ID dialog box, select the correct digital ID to use as a client certificate, and click OK.
8.
Select the operation to call, and click Next.
The window on the right displays details for the selected operation. If the selected operation is not SOAP-encoded or is not doc-literal, a warning appears in this window and you cannot continue.
9.
(Optional) To set up client authentication, perform one of the following actions:
•
To define HTTP or HTTPS authentication, select Requires HTTP/HTTPS Authentication, and then optionally select the credentials to accept for verification.
•
To define SOAP message authentication, select Requires Message Level Authentication, and then optionally select Accepts User Name and Password.
10.
Click Finish.
11.
In the Run At list, specify where the processing will take place:
•
To process the request on the client computer, select Client.
•
To process the request on the server, select Server.
•
To process the request on the client computer and server, select Client And Server.
12.
To update the structure of the form and merge returned data after processing is completed, select Re-merge Form Data. You must use the Re-merge Form Data option if the response data is going to populate dynamic data (such as a repeating subform) that is bound to WSDL data, which may occur a variable number of times in the response. Dynamic data requires a full remerge to generate the correct number of repeating subforms. If the WDSL response data is bound to a fixed number of fields, the response data will populate the existing fields, such that you do not need to re-merge the form data.
See also
About processing options for a button
Button properties in the Execute tab


To attach a database script to a button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To attach a database script to a button
To attach a database script to a button
You can use scripting to perform more complex data manipulation on an enterprise system. In this example, you can see how to add some simple script to button fields to do basic database operations, including moving to the first, previous, next, and last records, adding new records, updating existing records, and deleting records.
Note:
This example is based on a particular database and configuration that is not included in the LiveCycle Designer ES samples. The example is intended as a reference for creating your own database lookup scripts.
Form design with button fields to move to the first, previous, next, and last records, add new records, update existing records, and delete records.
1.
In the Object Library palette, click the Standard category and drag eight button objects onto the form design. When you add a button object, the default control type is Regular. Accept the default setting.
2.
Name the buttons as follows: First, Previous, Next, Last, AddNew, Update, Delete, and Cancel.
3.
Select the first button, in this case the one named First.
4.
In the Script Editor, select click from the Show list, select JavaScript from the Language list, and select Client from the Run At list.
5.
In the Script Editor, add the following JavaScript script:
xfa.sourceSet.DataConnection.first();
6.
Repeat step 5 for each of the remaining buttons, using the following scripts:
•
Previous: xfa.sourceSet.DataConnection.previous();
•
Next: xfa.sourceSet.DataConnection.next();
•
Last: xfa.sourceSet.DataConnection.last();
•
AddNew: xfa.sourceSet.DataConnection.addNew();
•
Update: xfa.sourceSet.DataConnection.update();
•
Delete: xfa.sourceSet.DataConnection.delete();
•
Cancel: xfa.sourceSet.DataConnection.cancel();
7.
Save the form design.
8.
Test the form using the Preview PDF tab. If such a form were being filled in Adobe Reader, you would have to set usage rights for the form by using LiveCycle Reader Extensions ES in order for Adobe Reader to access the database.
9.
Click the different buttons to display the data associated with each record. The example shows that the Last button causes the ID, part number, description, and unit price for the last record to appear in the applicable fields.
See also
About previewing and testing forms
About data sources


Using a button to populate fields from a database

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > Using a button to populate fields from a database
Using a button to populate fields from a database
You can use a database to provide the data for fields in your form, including text and numeric fields.
In this example, the Retrieve Record button and the list box are bound to the database (named DataConnection) shown in the Data View palette at the left. The button also has a FormCalc script attached to it to retrieve information based on the part number selected in the List Box field. The retrieved records appear in the ID, PART_NO, UNITPRICE, and DESCRIPTION fields.
1.
Connect to the database.
2.
In the Data View palette, drag the UNIT_PRICE, DESCRIPTION, PART_NO, and ID elements under DataConnection onto the form design. Each node dragged onto the form design creates a bound field.
3.
In the Object palette, click the Standard tab and drag a button object onto the form design.
4.
Enter a new name for the button. The example uses RETRIEVE RECORD.
5.
Select the button and, in the Script Editor, select click from the Show list, select FormCalc from the Language list, and select Client from the Run At list.
6.
Enter a FormCalc script similar to the following example. The script retrieves the data in the specified records and prints it in the corresponding fields when the user clicks the button.
//Change the commandType from TABLE to TEXT. TEXT
//is the equivalent of SQL Property
$sourceSet.DataConnection.#command.query.commandType = “text”
//Set the Select Node. Select in this case will be
//whatever SQL Property you want
$sourceSet.DataConnection.#command.query.select.nodes.item(0).value = Concat(“Select*from OfficeSupplies Where ID = “, DataListBox1.rawValue,””)
//Reopen the Data connection
$sourceSet.DataConnection.open()
7.
Save the form design as a PDF file.
8.
Test the form using the Preview PDF tab to verify that the script works as expected.
See also
About previewing and testing forms
About data sources
To create a bound field or subform
Overview of buttons


To customize the email submit button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To customize the email submit button
To customize the email submit button
You can specify the email address that the form data will be sent to and the subject line of the email that will be sent.
1.
Add an email submit button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab.
3.
Type the address in the Email Address box.
4.
Type the subject in the Email Subject box.
5.
(Optional) To apply a data signature to the submitted data, select Sign Submission and then click Settings to configure optional signature settings.
See also
Email submit button properties in the Field tab
About digital signatures
To add a data signature to a submit button


To customize the HTTP submit button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using buttons > To customize the HTTP submit button
To customize the HTTP submit button
1.
Add an HTTP submit button to the form design. See To add objects to a form design.
2.
In the Object palette, click the Field tab and type the URL protocol in the URL box.
To
Use this URL protocol
Example
Submit the package to an ftp site
ftp
ftp://ftp.gnu.org/gnu/GPL
Submit the package to a web server
http
http://myserver/cgi-bin/
Submit the package to a secure web server
https
https://myserver/cgi-bin/
Submit the package to an email address
mailto
mailto:username@domain.com
Note:
When submitting data to a URL, it is recommended that you specify an absolute target. Relative targets are interpreted relative to the user environment, which can vary from one user to the next at run time.
3.
(Optional) To apply a data signature to the submitted data, select Sign Submission and then click Settings to configure optional signature settings.
See also
HTTP submit button properties in the Field tab
About digital signatures
To add a data signature to a submit button


Using check boxes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes
Using check boxes
Overview of check boxes
To specify the size for the check box
To specify the check style
To specify the states for the check box
To define the behavior of the check box
To specify the default state of the check box
To change the values assigned to check box states
To define custom data-binding properties for a check box


Overview of check boxes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > Overview of check boxes
Overview of check boxes
If you want to provide users with individual choices that are either turned on or off, add check boxes to the form. The user can toggle the state of a check box. When the check box is selected, its state is on. When the check box is deselected, its state is off. Check boxes can be turned on and off in any combination and may be used to set the properties of a selection.
After you add a check box to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the check box. See To rename a caption.
•
Set a border style for the box. See To set the border style.
•
Define the object as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
•
Specify a locale for the check box. See To specify a locale (language and country or region) for an object.
•
Specify the size for the check box.
•
Specify the check style.
•
Specify the states for the check box.
•
Select the default state of the check box.
•
Specify values for the on, off, and neutral states of the check box.
•
Specify a binding method for storing and retrieving bound data.
Check boxes support scripting and calculations. If a user is to supply data, you can define whether the input is recommended or required, and you can set up messages to prompt users appropriately. All user input may be validated through scripting.
You can bind check box objects to data elements in a source data file to derive the On and Off values from the source file when the form is rendered
See also
To add objects to a form design
To name and rename objects
Check box properties in the Field tab
Check box properties in the Value tab
Check box properties in the Binding tab
Layout properties in the Layout palette
Border properties in the Border palette


To specify the size for the check box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To specify the size for the check box
To specify the size for the check box
1.
To set the size for a check box, in the Object palette, click the Field tab.
2.
In the Size box, type a different value (in points) and press Enter.
Depending on the size you enter, you may have to resize the check box.
See also
Check box properties in the Field tab


To specify the check style

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To specify the check style
To specify the check style
1.
In the Object palette, click the Field tab.
2.
Select an option in the Check Style list:
•
To set the check style to the default, which is an X, select Default.
•
To set the check style to a check mark, select Check.
•
To set the check style to a circle, select Circle.
•
To set the check style to a cross, select Cross.
•
To set the check style to a diamond, select Diamond.
•
To set the check style to a square, select Square.
•
To set the check style to a star, select Star.
See also
Check box properties in the Field tab


To specify the states for the check box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To specify the states for the check box
To specify the states for the check box
1.
In the Object palette, click the Field tab.
2.
Under States, select an option:
•
To specify that the check box will have On (selected) and Off (clear) states, select On/Off.
•
To specify that the check box will have On (selected), Off (clear), and Neutral (not selected or clear) states, select On/Off/Neutral.
Values for each state must be defined in the Binding tab of the Object palette. See To change the values assigned to check box states.
See also
Check box properties in the Field tab
Check box properties in the Binding tab


To define the behavior of the check box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To define the behavior of the check box
To define the behavior of the check box
1.
In the Object palette, click the Value tab and select one of these options:
•
To allow users to choose whether to enter data, select User Entered - Optional.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users will not be able to edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users will not be able to edit the value.
2.
If the value will be calculated, attach the calculation script to the object by using the Script Editor.
3.
(Optional) If a calculated value can be overridden, type a message in the Override Message box.
Tip:
You can dynamically populate a validation pattern or script message with a value from a data source. This allows you to ensure that users enter the correct value in the field.
See also
To dynamically populate a validation pattern message
To dynamically populate a validation script message
Check box properties in the Value tab


To specify the default state of the check box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To specify the default state of the check box
To specify the default state of the check box
1.
In the Object palette, click the Value tab.
2.
Select a state from the Default list:
•
To set the default state to On, select On. The check box is selected initially.
•
To set the default state to Off, select Off. The check box is deselected initially.
•
To set the default state to Neutral, select Neutral. The box is filled with grey initially.
Note:
The Default list is available only when the Type option is set to User Entered or Read Only. The Neutral option is available from the Default list only when the States area in the Field tab is set to On/Off/Neutral.
See also
Check box properties in the Value tab


To change the values assigned to check box states

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To change the values assigned to check box states
To change the values assigned to check box states
By default, check boxes use numbers to represent values in the form data. The default values are “1” for On, “0” for Off, and “2” for Neutral. You can change these values to match existing values in a data source or to provide more meaningful terms related to the purpose of the check box in the data file.
1.
In the Object palette, click the Binding tab.
2.
In the On Value box, specify the value of the check box’s On state in the data source
3.
In the Off Value box, specify the value of the check box’s Off state in the data source.
4.
If On/Off/Neutral was selected in the Field tab, in the Neutral Value box, specify the value of the check box’s Neutral state in the data source.
See also
About data sources
Check box properties in the Binding tab


To define custom data-binding properties for a check box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using check boxes > To define custom data-binding properties for a check box
To define custom data-binding properties for a check box
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the check box.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the check box to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
To change the values assigned to check box states
About data sources
Check box properties in the Binding tab


Using circles, lines, and rectangles

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles
Using circles, lines, and rectangles
Overview of circles, lines, and rectangles
To change the line style
To change the thickness of the line
To select a line color
To specify the shape of the circle
To specify the start and end points of an arc
To fill the circle or rectangle with color or a pattern
To change the slope of the line
To change the corners of the rectangle


Overview of circles, lines, and rectangles

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > Overview of circles, lines, and rectangles
Overview of circles, lines, and rectangles
The drawing objects in the Object Library palette provide you with a way to enhance forms graphically.
•
Using the Circle object, you can draw circular, elliptical, or arc shapes anywhere on the page.
•
Using the Line object, you can draw solid, dashed, or dotted lines anywhere on the page.
•
Using the Rectangle object, you can draw rectangles that have 90° or rounded corners. Use rectangles to graphically frame an area of the form or provide a rectangular area as a background for other objects.
After you add a drawing object to the form design, you can manipulate the object’s properties in the Draw tab of the Object palette. You can define these properties:
•
Change the line style.
•
Change the thickness of the line.
•
Select a line color.
•
Specify the shape of the circle.
•
Specify the start and end points of an arc.
•
Fill the circle or rectangle with color or a pattern.
•
Change the slope of the line.
•
Change the corners of the rectangle.
•
Make the object visible, invisible, or hidden.
•
Define the object as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
See also
Circle properties in the Draw tab
Line properties in the Draw tab
Rectangle properties in the Draw tab
Layout properties in the Layout palette


To change the line style

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To change the line style
To change the line style
1.
Select the circle, line, or rectangle.
2.
In the Object palette, select a style from the Line Style list.
You may have to zoom in or increase the thickness of the line to see the style.
See also
Circle properties in the Draw tab
Line properties in the Draw tab
Rectangle properties in the Draw tab


To change the thickness of the line

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To change the thickness of the line
To change the thickness of the line
1.
Select the circle, line, or rectangle.
2.
In the Object palette, in the box to the right of the Line Style, type a new thickness.
If you type a number that makes the line very thick (for example, 1 in), then the line will be difficult to select. Use the Hierarchy palette to select the line.
See also
Circle properties in the Draw tab
Line properties in the Draw tab
Rectangle properties in the Draw tab


To select a line color

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To select a line color
To select a line color
1.
Select the circle, line, or rectangle.
2.
In the Object palette, click the color selector button and select a color.
See also
Circle properties in the Draw tab
Line properties in the Draw tab
Rectangle properties in the Draw tab


To specify the shape of the circle

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To specify the shape of the circle
To specify the shape of the circle
1.
Select the circle.
2.
In the Object palette, select the shape of the object from the Appearance list.
•
To draw an elliptical shape, select Ellipse.
•
To draw a circular shape, select Circle.
•
To draw an arc, select Arc.
See also
Circle properties in the Draw tab


To specify the start and end points of an arc

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To specify the start and end points of an arc
To specify the start and end points of an arc
1.
Select the arc.
2.
In the Object palette, type the start and end points of the arc (in degrees) into the Start and Sweep boxes respectively.
See also
Circle properties in the Draw tab


To fill the circle or rectangle with color or a pattern

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To fill the circle or rectangle with color or a pattern
To fill the circle or rectangle with color or a pattern
1.
Select the circle or rectangle.
2.
In the Object palette, select an option from the Fill list.
3.
Using the adjacent color selector buttons, select appropriate fill colors.
See also
Circle properties in the Draw tab
Rectangle properties in the Draw tab


To change the slope of the line

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To change the slope of the line
To change the slope of the line
You can change the slope of the line. This is useful if you have drawn a line that is crooked. You can use this option to straighten the line.
1.
Select the line.
2.
In the Object palette, click one of the Appearance buttons [image].
See also
Line properties in the Draw tab


To change the corners of the rectangle

Using LiveCycle Designer ES > Working with Objects > Using objects > Using circles, lines, and rectangles > To change the corners of the rectangle
To change the corners of the rectangle
1.
Select the rectangle.
2.
In the Object palette, click one of the Corners buttons.
3.
In the Radius box, define the corner radius.
See also
Rectangle properties in the Draw tab


Using content areas

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas
Using content areas
Overview of content areas
Data flow between content areas
To select a content area
To rename a content area
To define the tabbing and data-fill order for the subforms within the content area
To copy, move, and resize content areas
To add content areas


Overview of content areas

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > Overview of content areas
Overview of content areas
Content areas provide anchoring and layout management for all the objects in a form, including subforms.
It is usually unnecessary to modify the properties of a content area. However, if you are designing a form that contains subforms that are set to flow content, becoming familiar with the properties of content areas will help you to understand the behavior of subforms.
Content areas cannot be selected or manipulated through the Design View tab of the Layout Editor. If required, you can select, cut, copy, paste, move, delete, or resize content areas through the Master Pages tab of the Layout Editor. A rectangle on the master page delimits the area bounded by a content area.
New forms have a default content area. If required (for example, when designing a form that contains subforms set to flow content), you can add additional content areas to the form. All content areas are displayed in the Hierarchy palette.
The default content area, named untitled Content Area, appears under the Master Pages node in the Hierarchy palette.
See also
To name and rename objects
Layout properties in the Layout palette
Content area properties in the Content Area tab


Data flow between content areas

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > Data flow between content areas
Data flow between content areas
When more than one content area has been defined, objects flow from one content area to the next when the form is rendered. You can select a flow direction for the objects and their data. The flow direction controls when an object receives the focus relative to the other objects in the form during a tabbing sequence. It also determines when an object receives merged data relative to the other objects in the form. Specifying the flow direction of one content area automatically sets the flow direction of all other content areas in the form.
When the form is rendered, if an object that merges data expands so much that it will no longer fit in one content area, the object spills into the next and subsequent content areas. Similarly, when you are designing a form, you cannot add more objects to a content area than will fit within the area bounded by the content area. As soon as the content area has been filled, the remaining objects overflow into the next available content area. If another content area is not available to catch the overflow, the data will not be rendered properly.
See also
To add content areas


To select a content area

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > To select a content area
To select a content area
You can select a content area using the Hierarchy palette or the Master Pages tab of the Layout Editor.
*
Select a content area by doing one of the following actions:
•
In the Layout Editor, click the Master Pages tab. Click the blue rectangle that delimits the content area.
•
In the Hierarchy palette, click the content area.
See also
Content area properties in the Content Area tab


To rename a content area

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > To rename a content area
To rename a content area
•
To rename a content area using the Hierarchy palette, right-click the object and select Rename Object. Type the new name and press Enter.
•
To rename a content area using the Object palette, select the content area. In the Object palette, type a new name for the content area in the Name box and press Enter. LiveCycle Designer ES maintains the occurrence number automatically.
See also
Content area properties in the Content Area tab


To define the tabbing and data-fill order for the subforms within the content area

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > To define the tabbing and data-fill order for the subforms within the content area
To define the tabbing and data-fill order for the subforms within the content area
*
In the Object palette, select one of these options from the Flow Direction list:
•
To set the default tabbing order and data-fill order starting from the top of the page and moving to the bottom of the page, select Top To Bottom.
•
To set the default tabbing order and data-fill order starting from the top of the page and moving to the right until the last object on the right edge of the page has been reached, select Western Text. When the right edge of the page has been reached, continue the tabbing order and flow direction at the next object down on the left side of the page.
See also
Content area properties in the Content Area tab


To copy, move, and resize content areas

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > To copy, move, and resize content areas
To copy, move, and resize content areas
You can cut, copy, paste, delete, resize, or reposition content areas through the Master Pages tab of the Layout Editor. You can only cut or delete content areas that you have added to a master page. A form must have at least one content area. The default content area cannot be deleted.
To cut, copy, paste, or delete a content area
*
In the Layout Editor, click the Master Pages tab. Right-click the content area and select the appropriate menu command.
To resize a content area
*
Resize the content area in the Master Pages tab of the Layout editor using one of these methods:
•
Click the border of the content area and drag any of the resizing handles to resize the object.
•
Select the content area, and then in the Layout palette, adjust the size settings.
To move a content area
1.
In the Master Pages tab of the Layout editor, select the content area.
2.
Move the content area using one of these methods:
•
Drag the content area to a new location.
•
Edit the x and y coordinates in the Layout palette.
•
Use an arrow key to move the content area slightly in one direction.
See also
Master page properties in the Master Page tab


To add content areas

Using LiveCycle Designer ES > Working with Objects > Using objects > Using content areas > To add content areas
To add content areas
You can add a content area using the Insert menu or the Object Library palette. Content areas can be added to master pages only.
To add a content area using the menu
*
With the master page of the form displayed, select Insert > Standard > Content Area.
To add a content area using the Object Library palette
*
Do one of the following actions:
•
In the Object Library palette, click the Standard category. Click the Content Area object and draw the object on the master page of the form.
•
From the Standard category of the Object Library palette, drag a Content Area object onto the master page of the form.
•
In the Object Library palette, click the Standard category. Double-click the Content Area object.
See also
Data flow between content areas


Using date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields
Using date/time fields
Overview of date/time fields
To add current date fields
To define the behavior of date/time fields
To define custom data-binding properties for date/time fields
To specify the data to display in date/time fields
To define the pattern for displaying date/time fields
To specify the comb format for date/time fields
To limit the numbers in date/time fields


Overview of date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > Overview of date/time fields
Overview of date/time fields
If you want to provide the ability to record the date, the time, or both in a form, add a date/time field to the form. The value in a date/time field can be formatted and displayed according to predefined patterns and according to the locale specified for the field.
For example, you can add a date/time field to your form design so that the user can enter the date or select it from a calendar window.
After you add a date/time field to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the field. See To rename a caption.
•
Set a border style for the field. See To set the border style.
•
Define the field as visible, invisible, or hidden. See To specify a locale (language and country or region) for an object.
•
Specify a locale for the field. See To specify a locale (language and country or region) for an object.
•
Specify the comb format for the field. See To specify the comb format for date/time fields.
•
Specify that LiveCycle Designer ES use the horizontal length of the text field to determine the maximum number of characters and numbers to allow.
•
Define the display pattern.
•
Define the edit pattern (which is the format in which the date is entered).
•
Specify an initial default value to display.
•
Define a run-time property (for example, insert the date and time on which the form is rendered).
•
Define the validation pattern.
•
Choose whether to display the date, the time, or both.
•
Specify a data-binding pattern.
•
Specify a binding method for storing and retrieving bound data.
Date/time fields support scripting and calculations. If a user is to supply data, you can define whether the input is recommended or required, and you can set up messages to prompt users appropriately. All user input may be validated through scripting.
See also
About field patterns and value formatting
Layout properties in the Layout palette
Border properties in the Border palette
Date/time fields
Date/time field properties in the Field tab
Date/time field properties in the Value tab
Date/time field properties in the Binding tab


To add current date fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To add current date fields
To add current date fields
You can use a date/time field to automatically show the current date by using the Runtime Property option in the Value tab of the Object palette.
Note:
When using a current date field, the date updates to reflect the system’s current date each time a user opens the form.
1.
In the Object Library palette, click the Standard category and drag a Date/Time Field object onto the form design.
2.
In the Object palette, click the Value tab and select Calculated - Read Only from the Type list.
3.
Select the Runtime Property option.
4.
View the form in the Preview PDF tab.
See also
Overview of date/time fields
Date/time field properties in the Value tab


To define the behavior of date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To define the behavior of date/time fields
To define the behavior of date/time fields
1.
In the Object palette, click the Value tab. Select one of these options:
•
To allow users to choose whether to enter data, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users cannot edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users cannot edit the value.
2.
If the value is recommended or required, type a prompt in the Empty Message box.
3.
If the value will be calculated, attach the calculation script to the object by using the Script Editor.
4.
(Optional) If a calculated value can be overridden, type a message into the Override Message box.
Tip:
You can dynamically populate a validation pattern or script message with a value from a data source. This allows you to ensure that users enter the correct value in the field.
See also
Overview of date/time fields
To specify a default value
To dynamically populate a validation pattern message
To dynamically populate a validation script message
Date/time field properties in the Value tab


To define custom data-binding properties for date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To define custom data-binding properties for date/time fields
To define custom data-binding properties for date/time fields
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the date/time field.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the field to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Overview of date/time fields
Date/time field properties in the Binding tab


To specify the data to display in date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To specify the data to display in date/time fields
To specify the data to display in date/time fields
You can choose to display the date, the time, or both.
1.
In the Object palette, click the Binding tab.
2.
From the Data Format list, specify what to display in the field:
•
Date
Specifies the object as a date.
•
Time
Specifies the object as a time.
•
Date and Time
Specifies the object as a date and time.
See also
Overview of date/time fields
To define the pattern for displaying date/time fields
Date/time field properties in the Binding tab


To define the pattern for displaying date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To define the pattern for displaying date/time fields
To define the pattern for displaying date/time fields
1.
In the Object palette, click the Field tab.
2.
Click Patterns > Display.
3.
In the Select Type list, select the pattern used to display data in the date/time field.
Note:
To display all date, time, and date/time formats in the Select Type list, you must first select Date and Time in the Data Format list of the Binding tab in the Object palette.
See also
Overview of date/time fields
To specify the data to display in date/time fields
Date/time field properties in the Binding tab


To specify the comb format for date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To specify the comb format for date/time fields
To specify the comb format for date/time fields
Use the comb format when you want to separate numbers added to date/time fields by border lines.
1.
In the Object palette, click the Field tab.
2.
Select Comb of Characters to includes border lines that separate each number within the date/time field.
3.
Enter how many numbers will be separated by border lines within date/time text field.
See also
Overview of date/time fields
Date/time field properties in the Field tab


To limit the numbers in date/time fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using date/time fields > To limit the numbers in date/time fields
To limit the numbers in date/time fields
You can limit how many numbers can be entered in date/time field by specifying that LiveCycle Designer ES use the horizontal length of the date/time field to determine how many numbers to allow.
*
In the Object palette, click the Field tab and select Limit Length to Visible Area.
See also
Overview of date/time fields
Date/time field properties in the Field tab


Using decimal and numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields
Using decimal and numeric fields
Overview of decimal fields
Overview of numeric fields
To define a radix (decimal point) alignment for numeric values
To define the behavior of decimal or numeric fields
To define custom data-binding properties for decimal or numeric fields
To specify the data format for numeric fields
To limit the numbers entered in decimal and numeric fields
To perform a calculation with decimal fields by using JavaScript
To specify the comb format for decimal and numeric fields


Overview of decimal fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > Overview of decimal fields
Overview of decimal fields
Decimal fields are very similar to numeric fields. The following table describes the differences between decimal and numeric fields.
Field
Description
Decimal field
Displays numbers in decimal format.
You can set the maximum number of leading and trailing digits.
You can set a display pattern to restrict the formatted value with the leading and trailing digits.
You cannot specify a data format for a decimal field; it is always stored as decimal.
By default, the formatted value includes two digits following the radix character.
Numeric fields
Displays numbers in float or integer format.
You cannot set the maximum number of leading and trailing digits.
You can set a data pattern and data format (either float or integer).
The formatted value includes only two digits following the radix character.
Use the decimal field in the following cases:
•
If you want to set the number of leading or trailing digits
•
If you want the precision of decimal or integer data to be shown exactly as it is entered (by ensuring the Limit Trailing Digits option is deselected) without any rounding
For example, a field called Qty is located within a repeating subform. In the first instance of the subform, the Qty field may have the value 3, and in the second instance of the subform, the Qty field may have the value 3.123:
•
If the Limit Trailing Digits option is set to a maximum of 2, the first number is stored as 3 (because trailing 0s are removed) and the second number is stored as 3.12 (because the number is rounded).
•
If the Limit Trailing Digits option is deselected, both numbers are stored exactly as they are entered (the first number is stored as 3 and the second number is stored as 3.123).
To learn more about the options for decimal fields, see the section on numeric fields because many of the options are identical.
Note:
To use the decimal field object in an interactive form, you must have Adobe Reader 6.0.3 or later.
See also
Overview of numeric fields
To perform a calculation with decimal fields by using JavaScript
Numeric patterns


Overview of numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > Overview of numeric fields
Overview of numeric fields
If you want to support the collection or display of float or integer data, including currency, add a numeric field to the form. The value in a numeric field can be formatted and displayed according to predefined patterns and according to the locale specified for the field.
After you add a numeric field to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the field. See To rename a caption.
•
Set a border style for the field. See To set the border style.
•
Define the field as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
•
Specify a locale for the field. See To specify a locale (language and country or region) for an object.
•
Specify the comb format for the field. See To specify the comb format for decimal and numeric fields.
•
Specify that LiveCycle Designer ES use the horizontal length of the text field to determine how many numbers to allow.
•
Define the display pattern.
•
Define the edit pattern.
•
Specify an initial value to display.
•
Define a run-time property (for example, insert the number of a rendered page).
•
Define the validation pattern.
•
Choose whether the field will support floating point or integer values.
•
Specify a data-binding pattern.
•
Specify a binding method for storing and retrieving bound data.
Numeric fields support scripting and calculations. If a user is to supply data, you can define whether the input is recommended or required, and you can set up messages to prompt users appropriately. All user input may be validated through scripting.
Note:
Numeric fields have a maximum user-entered or calculated value of 2,147,483,647. This number is the largest number that can fit into a 32-bit signed integer on a computer.
See also
Formatting captions
About field patterns and value formatting
Numeric patterns
Layout properties in the Layout palette
Border properties in the Border palette
Numeric field properties in the Field tab
Numeric field properties in the Value tab
Numeric field properties in the Binding tab


To define a radix (decimal point) alignment for numeric values

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To define a radix (decimal point) alignment for numeric values
To define a radix (decimal point) alignment for numeric values
1.
In the Paragraph palette menu, select Edit Value.
2.
Click Radix Alignment [image].
3.
In the adjacent box, type the amount of space to create between the radix point and the right edge of the fillable area.
4.
Press Enter.
Caution:
Acrobat 6.0.2 and Adobe Reader 6.0.2 do not support the radix alignment setting. If you intend to save the design as an Acrobat 6.0.2-compatible PDF form, do not use radix alignment. If you do, users cannot edit the values.
See also
Paragraph properties in the Paragraph palette


To define the behavior of decimal or numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To define the behavior of decimal or numeric fields
To define the behavior of decimal or numeric fields
1.
In the Object palette, click the Value tab and select one of these options from the Type list:
•
To allow users to choose whether to enter data, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users cannot edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users cannot edit the value.
2.
If the value is recommended or required, type a prompt in the Empty Message box.
3.
If the value will be calculated, attach the calculation script to the object by using the Script Editor.
4.
(Optional) If a calculated value can be overridden, type a message in the Override Message box.
See also
To specify a default value
To dynamically populate a validation pattern message
To dynamically populate a validation script message
Numeric field properties in the Value tab


To define custom data-binding properties for decimal or numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To define custom data-binding properties for decimal or numeric fields
To define custom data-binding properties for decimal or numeric fields
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the field.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the field to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Numeric field properties in the Binding tab


To specify the data format for numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To specify the data format for numeric fields
To specify the data format for numeric fields
Numeric fields can save data in Float or Integer format. The default is Float.
By default, numeric data in a Decimal Field will only save a maximum of two digits after the decimal. Data beyond the second decimal place will be rounded.
1.
In the Object palette, click the Binding tab.
2.
Select the appropriate format from the Data Format list:
•
To specify the number format as a three-part representation of a number that contains a radix character, select Float.
•
To specify the number as any sequence of the digits 0 through 9, possibly preceded by a minus sign, select Integer.
See also
To define custom data-binding properties for decimal or numeric fields
To specify a data pattern
Numeric field properties in the Binding tab
Numeric patterns


To limit the numbers entered in decimal and numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To limit the numbers entered in decimal and numeric fields
To limit the numbers entered in decimal and numeric fields
You can limit how many numbers may be entered in decimal and numeric fields by specifying that LiveCycle Designer ES use the horizontal length of the decimal or numeric field to determine how many numbers to allow.
*
In the Object palette, click the Field tab and select Limit Length to Visible Area.
See also
Overview of decimal fields
Overview of numeric fields
Numeric field properties in the Field tab
Decimal Field properties in the Field tab


To perform a calculation with decimal fields by using JavaScript

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To perform a calculation with decimal fields by using JavaScript
To perform a calculation with decimal fields by using JavaScript
You can perform calculations with decimal fields by using FormCalc. However, if the Limit Trailing Digits option is deselected, and you want to use JavaScript to perform a calculation with decimal fields, you must use a script. To maintain a high degree of precision, LiveCycle Designer ES stores the value of decimal fields as a string. The script indicates to the decimal field that it is a number.
For example, you have three decimal fields in your form design. The first is named a, the second b, and the third Total. You want to perform a calculation that adds a and b.
1.
If the Script Editor is not already displayed, select Window > Script Editor.
2.
(Optional) Drag the Script Editor palette bar until the palette is larger.
3.
Select the decimal field that you want to use in a calculation.
4.
Select Calculate from the Show list, JavaScript from the Language list, and Client from the Run At list.
5.
In the Script Source field, type the following script:
Total.rawValue = Number(a.rawValue) + Number (b.rawValue)
•
Total is the name of the decimal field that you want to use in a calculation.
•
a is the first decimal field.
•
b is the second decimal field.
6.
View the form in the Preview PDF tab.


To specify the comb format for decimal and numeric fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using decimal and numeric fields > To specify the comb format for decimal and numeric fields
To specify the comb format for decimal and numeric fields
Use the comb format when you want to separate characters and numbers added to decimal and numeric fields by border lines.
1.
In the Object palette, click the Field tab.
2.
Select Comb of Characters to includes border lines that separate each number within the decimal or numeric field.
3.
Enter how many numbers will be separated by border lines within the decimal or numeric field.
See also
Overview of decimal fields
Overview of numeric fields
Numeric field properties in the Field tab
Decimal Field properties in the Field tab


Using drop-down lists and list boxes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes
Using drop-down lists and list boxes
Overview of drop-down lists and list boxes
To specify the list of options for a drop-down list or list box
To define the behavior of a drop-down list or list box
To display a default selection in the drop-down list or list box
To define custom data-binding properties for a drop-down list or list box
To specify list item values for a drop-down list or list box


Overview of drop-down lists and list boxes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes > Overview of drop-down lists and list boxes
Overview of drop-down lists and list boxes
Drop-down lists and list boxes provide users with a way to select a single choice from a list. The choices are represented by text. You define the list of default options.
Drop-down list
List box
Only one choice is visible until the user opens the list.
Any number of options can be visible at once. When the display area of the list box is too small to display all of the items in the list, a vertical scroll bar is displayed.
Accepts custom user entries.
Does not accept custom user entries.
Unlike check boxes and radio buttons, drop-down lists and list boxes support variable sizes of data and variable sets of choices. Clicking the drop-down arrow button displays the full set of choices, and clicking a choice in the list selects a single item. When the layout of the form prohibits the use of check boxes or radio buttons, consider using a list box to present options.
After you add a drop-down list or list box to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the list. See To rename a caption.
•
Set a border style for the list. See To set the border style.
•
Define the list as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
•
Specify a locale for the list. See To specify a locale (language and country or region) for an object.
•
Add initial choices to the list and provide a default selection.
•
Sort the choices in ascending or descending order.
•
Enable or disable user input (drop-down lists only).
•
Define the list as visible, invisible, or hidden.
•
Specify a locale for the list.
•
Specify custom data values for each list item.
•
Specify a binding method for storing and retrieving bound data.
Tip:
You can dynamically populate a drop-down list or list box with values from a data source.
See also
About Objects
To dynamically populate a drop-down list or list box
Layout properties in the Layout palette
Border properties in the Border palette
Drop-down list properties in the Field tab
Drop-down list properties in the Value tab
Drop-down list properties in the Binding tab
List box properties in the Field tab
List box properties in the Value tab
List box properties in the Binding tab


To specify the list of options for a drop-down list or list box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes > To specify the list of options for a drop-down list or list box
To specify the list of options for a drop-down list or list box
You can add list items using the Field tab in the Object palette for the drop-down list or list box.
Tip:
You can dynamically populate a drop-down list with values from a data source.
1.
In the Object palette, click the Field tab, and do one of the following actions:
•
Double-click below the Text column heading in the List Items box.
•
Click Add Item [image].
2.
Type the text corresponding to the first option and press Enter.
3.
Type the text corresponding to the next option and press Enter.
4.
Repeat step 3 for each option that you want to add to the list.
5.
To reorder an item in the list, select the item and click Move Up [image] or Move Down [image].
6.
To delete an item in the list, select the item and click Delete Item [image].
7.
To sort the list in ascending order, select Sort Ascending [image].
8.
To sort the list in descending order, select Sort Descending [image].
9.
For a drop-down list only, to enable users to specify an item that does not appear in the list, select the Allow Custom Text Entry option.
See also
To dynamically populate a drop-down list or list box
Drop-down list properties in the Field tab
List box properties in the Field tab


To define the behavior of a drop-down list or list box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes > To define the behavior of a drop-down list or list box
To define the behavior of a drop-down list or list box
1.
In the Object palette, in the Value tab. From the Type list, select one of these options:
•
To allow users to choose to enter data or not, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users will not be able to edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users will not be able to edit the value.
2.
If the value is recommended or required, type a prompt into the Empty Message box.
3.
If the value will be calculated, attach the calculation script to the object using the Script Editor.
4.
(Optional) If a calculated value can be overridden, type a message into the Override Message box.
See also
To dynamically populate a validation pattern message
To dynamically populate a validation script message
Drop-down list properties in the Value tab
List box properties in the Value tab


To display a default selection in the drop-down list or list box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes > To display a default selection in the drop-down list or list box
To display a default selection in the drop-down list or list box
You can set a default selection for the drop-down list or list box. You must first specify the list of options for a list.
1.
In the Object palette, click the Value tab.
2.
Select the default option from the Default list.
Note:
The Default list is not available when the Type option is set to Calculated - Read Only or Calculated - User Can Override.
The options in the Default list correspond to the list items in the Field tab of the Object palette.
See also
To specify the list of options for a drop-down list or list box
Drop-down list properties in the Value tab
List box properties in the Value tab


To define custom data-binding properties for a drop-down list or list box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes > To define custom data-binding properties for a drop-down list or list box
To define custom data-binding properties for a drop-down list or list box
Binding options enable you to build a form that captures data for enterprise infrastructures or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the drop-down list or list box.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the list to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
To specify list item values for a drop-down list or list box
Drop-down list properties in the Binding tab
List box properties in the Binding tab


To specify list item values for a drop-down list or list box

Using LiveCycle Designer ES > Working with Objects > Using objects > Using drop-down lists and list boxes > To specify list item values for a drop-down list or list box
To specify list item values for a drop-down list or list box
Each item in a list is associated with a data value that represents the list item. By default, the values match the text for the list item. You can change these values, for example, to match existing values in a data source.
When you choose to specify item values for the first time, the values will change to integer values starting with “1” for the first item. If you deselect the Specify Item Values option, the values will revert to match the list item text.
Tip:
You can dynamically populate a list box with values from a data source.
1.
Select the drop-down list or list box object.
2.
In the Object palette, click the Binding tab.
3.
Select Specify Item Values.
4.
Double-click the first value that you want to change.
5.
Type the new value.
6.
Press Enter to change the next value or double-click any other value to change it.
See also
About data sources
To define custom data-binding properties for a drop-down list or list box
To dynamically populate a drop-down list or list box


Using image fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using image fields
Using image fields
Overview of image fields
To specify an initial (default) image to link
To embed image data in the form when the form is created
To size an image
To define custom data-binding properties for an image field


Overview of image fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using image fields > Overview of image fields
Overview of image fields
LiveCycle Designer ES has two types of image objects.
•
Image objects let you add a read-only image that users cannot edit on the form. This object is useful for enhancing the look of the form. For more information about this type of image object, see Using images.
•
Image field objects let you add an image that can be changed in an interactive form.
Image fields can be bound to an external data source or they can be scripted. Image fields support the merging of external image data through binding. When the data source contains a value for an image field, the image is rendered in the form. With this capability, images can be selected and loaded dynamically. For example, a form can enable users to choose catalog items and, through scripting, a picture of each item could be displayed as a result. If the form contains an empty image field, the path to the image identifies which image to display in the form.
Note:
Interactive images in image field objects can be updated when the form is opened in Acrobat and Adobe Reader 7.0.5 and later. Interactive images become read-only and cannot be updated when the form is opened in Acrobat 6.0.2 and Adobe Reader 6.0.2. However, through scripting in an interactive PDF or HTML form created by LiveCycle Forms ES, a user could request the same form again merged with a different image.
Image field objects support these file formats:
•
Windows Bitmap (BMP)
•
Joint Photographic Experts Group variations (JPG)
LiveCycle Designer ES supports JPG images that include digital camera Exchangeable Image File (EXIF) data.
•
Graphics Interchange Format (GIF)
Although LiveCycle Designer ES supports GIF images, animated GIF files are not supported. LiveCycle Designer ES also supports transparency within GIF files to allow for overlaying images on forms.
•
Portable Network Graphics (PNG)
LiveCycle Designer ES supports transparency within PNG files to allow for overlaying images on forms.
•
Tagged Image File (TIF)
LiveCycle Designer ES supports Monochrome (1 color component 1-bit depth), Greyscale (1 color component 8-bit depth), RGB (3 color components 8-bit depth), and Palette (1 color component 1,2,4,8-bit depths) TIF images.
An initial (default) image to insert at run time can be specified by either a file name or a Uniform Resource Locator (URL). Initially, the image is linked, which means that it is stored separately from the form and displayed when the form is opened. Alternatively, the image data can be embedded in the form when the form is created.
Caution:
Linking to an image is not a secure way to protect sensitive business data. If the image data is considered sensitive, you should embed it in the form. Also, you can use a secure HTTPS connection in conjunction with a URL. However, HTTPS protects the transmission of the image data only while the data is being transmitted; it does not protect access to the image (that is, no authentication is performed).
After you add an image field to the form design, you can manipulate the object’s properties in the Object palette. You can choose to define these properties:
•
Change the caption for the field. See To rename a caption.
•
Set a border style for the field. See To set the border style.
•
Define the list as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
•
Specify a locale for the field. See To specify a locale (language and country or region) for an object.
•
Embed the image in the form.
•
Scale the image to size.
•
Instead of or in addition to specifying a path to an initial (default) image file, specify a binding method for storing and retrieving bound image data.
Keep in mind that if the image file or a link to the image file is in the data file, the image only appears when the form is rendered and is not visible when you are designing the form. Also, if you plan on using the form offline, select the Embed Image Data option in the Field tab in the Object palette so that all components of the form are available.
See also
Image field properties in the Field tab
Image field properties in the Binding tab


To specify an initial (default) image to link

Using LiveCycle Designer ES > Working with Objects > Using objects > Using image fields > To specify an initial (default) image to link
To specify an initial (default) image to link
1.
In the Object palette, click the Field tab
2.
Do one of the following actions:
•
If you know the location of the image file, in the URL box, type the URL to the image file and press Enter.
•
To browse for the location of the image file, click the Browse button [image] to the right of the URL box, navigate to the image file that you want to insert and click Open.
Note:
To use relative path names for retrieving linked images when the form is opened, the image files must be stored in a folder that is accessible to users. If LiveCycle Forms ES is available, the path must be relative to LiveCycle Forms ES.
See also
Image field properties in the Field tab


To embed image data in the form when the form is created

Using LiveCycle Designer ES > Working with Objects > Using objects > Using image fields > To embed image data in the form when the form is created
To embed image data in the form when the form is created
*
In the Object palette, click the Field tab and select Embed Image Data.
When you embed the image in the form, a copy of the image information is stored in the form. If the image field will be used to load images dynamically when the form is rendered, do not select the Embed Image Data option.
Note:
If you are using the paper forms barcode object, you should not select the Embed Image Data option unless you have assigned a collection, that does not include image fields, to the barcode. The embedded image data is larger than the paper forms barcode object can hold.
See also
Image field properties in the Field tab
To create a form object collection


To size an image

Using LiveCycle Designer ES > Working with Objects > Using objects > Using image fields > To size an image
To size an image
1.
In the Object palette, click the Field tab.
2.
In the Sizing list, select one of these options to determine what happens when the image is loaded:
•
To resize the image in the object, ensure that the aspect ratio of the image is preserved, and select Scale Image Proportionally.
•
To resize the image to match the dimensions of the object, select Scale Image to Fit Rectangle. The aspect ratio of the image is not preserved.
•
To preserve the actual size of the image, select Use Original Size. The image is not resized.
See also
Image field properties in the Field tab


To define custom data-binding properties for an image field

Using LiveCycle Designer ES > Working with Objects > Using objects > Using image fields > To define custom data-binding properties for an image field
To define custom data-binding properties for an image field
You can use binding options to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time.
1.
Select the image field.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the field to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Overview of image fields
Image field properties in the Binding tab


Using images

Using LiveCycle Designer ES > Working with Objects > Using objects > Using images
Using images
Overview of images
To specify the image to link
To embed an image into a form
To size the image


Overview of images

Using LiveCycle Designer ES > Working with Objects > Using objects > Using images > Overview of images
Overview of images
If you want to enhance the way that a form looks, consider adding images to the form. You use image objects to contain images such as logos, icons, graphics, and photographs. An image object provides a graphic element that users cannot edit. Image objects support these file formats:
•
Windows Bitmap (BMP)
•
Encapsulated PostScript (EPS)
•
Joint Photographic Experts Group variations (JPG)
LiveCycle Designer ES supports JPG images that include digital camera Exchangeable Image File (EXIF) data.
•
Graphics Interchange Format (GIF)
Although LiveCycle Designer ES supports GIF images, animated GIF files are not supported. LiveCycle Designer ES also supports transparency within GIF files to allow for overlaying images on forms.
•
Portable Network Graphics (PNG)
LiveCycle Designer ES supports transparency within PNG files to allow for overlaying images on forms.
•
Tagged Image File (TIF)
LiveCycle Designer ES supports Monochrome (1 color component 1-bit depth), Greyscale (1 color component 8-bit depth), RGB (3 color components 8-bit depth), and Palette (1 color component 1,2,4,8-bit depths) TIF images.
The image to insert can be specified by either a file name or a Uniform Resource Locator (URL). By default, the image is linked, which means that it is stored separately from the form and displayed whenever the form is opened. You can also embed the image in the form.
Caution:
Linking to an image is not a secure way to protect sensitive business data. If the image is considered sensitive, you should embed it in the form. Also, you can use a secure HTTPS connection in conjunction with a URL. However, HTTPS protects the transmission of the image data only while the data is being transmitted; it does not protect access to the image (that is, no authentication is performed).
After you add an image object to the form design, you can manipulate the object’s properties in the Object palette. You can choose whether to define these properties:
•
Embed the image in the form.
•
Scale the image to size.
•
Define the list as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
See also
Image properties in the Draw tab


To specify the image to link

Using LiveCycle Designer ES > Working with Objects > Using objects > Using images > To specify the image to link
To specify the image to link
*
In the Object palette, use one of these methods:
•
If you know the location of the image file, in the URL box, type the URL to the image file and press Enter.
•
To browse for the location of the image file, click the Browse button [image] to the right of the URL box, navigate to the image file that you want to insert and click Open.
Note:
To use relative path names for retrieving linked images when the form is opened, the image files must be stored in a folder that is accessible to users. If LiveCycle Forms ES is available, the path must be relative to LiveCycle Forms ES.
See also
Image properties in the Draw tab


To embed an image into a form

Using LiveCycle Designer ES > Working with Objects > Using objects > Using images > To embed an image into a form
To embed an image into a form
*
In the Object palette, select Embed Image Data.
Note:
When you embed an image in the form, a copy of the image information is stored in the form.
See also
Image properties in the Draw tab


To size the image

Using LiveCycle Designer ES > Working with Objects > Using objects > Using images > To size the image
To size the image
1.
In the Object palette, click the Field tab.
2.
In the Sizing list, select one of these options to determine what happens when the image is loaded:
•
To resize the image in the object, ensure that the aspect ratio of the image is preserved and select Scale Image Proportionally.
•
To resize the image to match the dimensions of the object, select Scale Image to Fit Rectangle. The aspect ratio of the image is not preserved.
•
To preserve the actual size of the image, select Use Original Size. The image is not resized.
See also
Image properties in the Draw tab


Using paper forms barcodes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes
Using paper forms barcodes
Overview of paper forms barcodes
How the paper forms barcode works
To specify a unique caption for the paper forms barcode
To generate a caption for the paper forms barcode
To specify the symbology for the paper forms barcode
To specify the paper forms barcode scanning method
To specify custom decoding settings for a paper forms barcode
To control how a paper forms barcode encodes data
To create a custom script for encoding data for a paper forms barcode
To use legacy encoding format
To specify a delimiter
To specify character encoding
Design tips for using a paper forms barcode


Overview of paper forms barcodes

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > Overview of paper forms barcodes
Overview of paper forms barcodes
A paper forms barcode electronically captures user-supplied data in an interactive PDF form. When an end user fills the form using Adobe Reader or Acrobat, the barcode is updated automatically to encode the user-supplied data. The user can then return the filled form by printing it and returning it by fax, mail, or hand. Upon receipt, the user-supplied data can be decoded using a scanning device.
To use the paper forms barcode object, your organization must have implemented Adobe LiveCycle Barcoded Forms. For more information about LiveCycle Barcoded Forms and how to distribute or process forms containing a paper forms barcode, see the Authoring and Processing 2D Barcoded Forms guide.
Here is a workflow example that includes the LiveCycle Barcoded Forms solution. As the user completes the form using Adobe Reader, the data is automatically encoded into the barcode. After the form is printed and the paper copy returned to you, you can extract the form data by using a common barcode scanner. The result is 100% data accuracy, eliminating the need for rekeying data.
PDF form is created in LiveCycle Designer. While being filled in Adobe Reader, barcode is encoded. Data is extracted using scanner and LiveCycle Barcoded Forms Decoder.
Using the paper forms barcode in a form eliminates the need for manual data entry or OCR-based forms processing. Data captured from fill-and-print paper forms can be reinserted into the electronic workflow quickly and accurately, with no loss of data caused by scanning or manual rekeying mistakes. Furthermore, you can retain a digital copy of the transaction, complete with ink signatures.
For example, a company has a PDF form that can be filled electronically. However, the form requires the user’s signature; therefore, the completed form must be printed, signed, and returned by fax or mail. By including a paper forms barcode on the form, the data entered electronically is encoded into the barcode. When the printed form is returned, a barcode reader can read all of the captured data into a structured data file. Only the signature needs to be verified.
Note:
The paper forms barcode object cannot be used on a form saved as an Acrobat 6.0-compatible PDF form. Users filling a form that contains a paper forms barcode require Acrobat 7.0 or later, or Adobe Reader 7.0 or later for PDF 417 barcodes, and Acrobat 7.0.5 or later, or Adobe Reader 7.0.5 or later for QR Code and DataMatrix barcodes in order for the barcode to encode the captured data.
See also
Paper forms barcode properties in the Field tab
Paper forms barcode properties in the Value tab
Layout properties in the Layout palette
Border properties in the Border palette
Accessibility properties in the Accessibility palette


How the paper forms barcode works

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > How the paper forms barcode works
How the paper forms barcode works
The paper forms barcode object is a two-dimensional (2D) barcode that is encoded with an industry standard PDF417, QR Code (Version 2), or DataMatrix (the ECC200 model) symbology. It includes an intelligent calculation script that encodes the data captured in a form’s fields.
You select the form fields to be encoded by the paper forms barcode. However, because the barcodes have limited storage capacity, it is important that you select only required fields.
After you add a paper forms barcode to the form design, you specify its properties so that it behaves in the manner appropriate for your requirements. Using the Object palette, you can define these properties and others for the paper forms barcode:
•
Barcode label
•
Symbology encoded in the barcode
•
Scanning method used to decode the paper forms barcode
•
Error correction level, and the module width and height of the barcode (when you choose a custom scanning method)
•
Object’s visibility on the form
•
Data compression options
•
Form data to include in the barcode
•
Data format that the paper forms barcode uses to encode data and the fields to be included
When you distribute your finished form, users fill the form, print it, and return it. After received, the user-supplied data is decoded by using a scanning device.
Consider the following points when designing forms that include the Paper Forms barcode object:
•
The Paper Forms Barcode object encodes data that users type in a fillable PDF form. The use of paper forms barcodes for paper forms processing requires Adobe LiveCycle Barcoded Forms ES (separate license required).
•
Users must use Acrobat or Adobe Reader 7.0.5 or later to fill a form using QR Code or Data Matrix Paper Forms Barcode. Therefore, form authors must not save the form as either Acrobat 7.0.5 Compatible or Acrobat 6.0.2 Compatible.
•
Users must use Acrobat or Adobe Reader 7.0.5 or later to fill a form that includes the PDF417 Paper Forms Barcode. Therefore, form authors must not save the form as Acrobat 6.0.2 Compatible.
Note:
To make use of the paper forms barcode, your organization must have implemented LiveCycle Barcoded Forms.
See also
To add objects to a form design
To control how a paper forms barcode encodes data
Paper forms barcode properties in the Field tab
Paper forms barcode properties in the Value tab
Layout properties in the Layout palette
Border properties in the Border palette
Accessibility properties in the Accessibility palette


To specify a unique caption for the paper forms barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To specify a unique caption for the paper forms barcode
To specify a unique caption for the paper forms barcode
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Field tab, deselect Generate Label Automatically, and type a caption in the Label box.
See also
Paper forms barcode properties in the Field tab


To generate a caption for the paper forms barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To generate a caption for the paper forms barcode
To generate a caption for the paper forms barcode
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Field tab and select Generate Label Automatically.
See also
Paper forms barcode properties in the Field tab
Overview of paper forms barcodes
Design tips for using a paper forms barcode


To specify the symbology for the paper forms barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To specify the symbology for the paper forms barcode
To specify the symbology for the paper forms barcode
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Field tab and select one of the following options from the Symbology list:
•
PDF417
•
QR Code
•
Data Matrix
Note:
End users filling a form that contains a QR Code or DataMatrix barcode require Acrobat 7.0.5 or later, or Adobe Reader 7.0.5 or later. Decoding of QR Code and DataMatrix barcodes is supported by Adobe LiveCycle Barcoded Forms 7.0 but is not supported by Adobe LiveCycle Barcoded Forms 7.0 Standalone (ST).
See also
Paper forms barcode properties in the Field tab
Overview of paper forms barcodes
Design tips for using a paper forms barcode


To specify the paper forms barcode scanning method

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To specify the paper forms barcode scanning method
To specify the paper forms barcode scanning method
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Field tab and select one of the following options from the Scanning Method list:
•
Hand-held Scanner
•
Fax Server
•
Document Scanner
•
Custom
3.
If you select Custom, you can also specify custom decoding settings.
See also
Paper forms barcode properties in the Field tab
Overview of paper forms barcodes
Design tips for using a paper forms barcode


To specify custom decoding settings for a paper forms barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To specify custom decoding settings for a paper forms barcode
To specify custom decoding settings for a paper forms barcode
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Field tab and select Custom from the Scanning Method list.
3.
To change the decoding properties, select the value from the Value list beside the property.
Note:
If you are planning to decode the barcode by using a handheld barcode scanner, avoid creating barcodes wider than four inches. Taller and narrower barcodes generally work better with handheld scanners.
See also
Paper forms barcode properties in the Field tab
Overview of paper forms barcodes
Design tips for using a paper forms barcode


To control how a paper forms barcode encodes data

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To control how a paper forms barcode encodes data
To control how a paper forms barcode encodes data
When using a paper forms barcode object in a form design, you must specify the format that the barcode will use when encoding the data, as well as which data will be encoded. You can specify the following types of data formats:
•
XML
•
Delimited
Both options provide a script for the paper forms barcode object that instructs it to use a particular data type when encoding the data.
You can provide your own script for encoding the data. For more information, see To create a custom script for encoding data for a paper forms barcode.
To define how the paper forms barcode object obtains data, use the options in the Value tab of the Object palette. You can also specify whether the data is compressed before encoding.
To automatically generate a script to encode barcode data
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Value tab and select Automatic Scripting.
3.
In the Format list, select one of these options:
•
XML
•
Delimited.
4.
(Optional) Select Include Field Names and Include Label.
5.
In the Apply To list, select one of these options:
•
Entire Form Data
•
Collection Data. Select the collection from the Collection menu.
To compress the data before encoding
1.
On the form design, select the paper forms barcode.
2.
In the Object palette, click the Value tab and select Compress Data Before Encoding.
See also
To create a custom script for encoding data for a paper forms barcode
Design tips for using a paper forms barcode
About form object collections
Paper forms barcode properties in the Value tab
Overview of subforms
About scripting in LiveCycle Designer ES


To create a custom script for encoding data for a paper forms barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To create a custom script for encoding data for a paper forms barcode
To create a custom script for encoding data for a paper forms barcode
In situations when you need to follow government or other specifications for encoding data, you may find that the preset data encoding options do not meet your requirements. Using the Custom option, you can provide your own script for encoding the data. The script could be quite simple, as in this example:
this.rawValue=NumericField1.rawValue
Alternatively, you could create a more complex script that determines which fields to encode based on certain conditions.
1.
On the form design, select the paper forms barcode object.
2.
In the Object palette, click the Value tab and deselect Automatic Scripting.
3.
In the Script Editor, you can modify the sample custom script or write your own script.
For example, the following sample code illustrates the JavaScript script required to retrieve a form’s field values, format a string representing a Comma Separated Value (CSV) instance containing the form fields, and update a paper forms barcode for an interactive PDF form. The form contains fields named accountNum, formerFirstName, formerMiddleInitial, formerLastName, newFirstName, newMiddleInitial, and newLastName.
// This function ensures that the barcode will update
// when a change is made to any field on the form.
function depends(node)
{
for (var i = 0; i < node.nodes.length; ++i)
{
var child = node.nodes.item(i);
if (child.isContainer)
depends(child);
}
}
// Return a field surrounded by quotes and followed with a separator
function fmtField(fieldName, separator)
{
var str = "\"" + fieldName.rawValue + "\"" + separator;
return str;
}
// Force all fields in the form to be updated in the dataset
depends(xfa.form);
// Generate the CSV string that will be encoded in the barcode
var comma = ",";
var newLine = "\n";
var s = fmtField(accountNum, comma);
s += fmtField(formerFirstName, comma)
s += fmtField(formerMiddleInitial, comma);
s += fmtField(formerLastName, comma);
s += fmtField(newFirstName, comma)
s += fmtField(newMiddleInitial, comma);
s += fmtField(newLastName, newLine);
// Assign the string to the barcode for encoding
this.rawValue = s;
See also
To control how a paper forms barcode encodes data
Paper forms barcode properties in the Value tab
About scripting in LiveCycle Designer ES.


To use legacy encoding format

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To use legacy encoding format
To use legacy encoding format
By default, LiveCycle Designer ES uses a new encoding format that uses the XFA JavaScript function xfa.record.saveXML() to produce XML encoded data. However, you can still use the legacy encoding format that uses the old function xfa.datasets.saveXML(). For example, you may be processing forms with barcode data by using an application that can only parse the old XML format.
The legacy encoding format is used in paper forms barcode XML scripts in LiveCycle Designer 7.0 to 8.0. When you open a form that contains the legacy encoding format, the Use Legacy Format option is selected automatically.
1.
On the form design, select the paper forms barcode object.
2.
In the Object palette, click the Value tab.
3.
In the Format list, select XML and then select Use Legacy Format.
See also
To control how a paper forms barcode encodes data
Paper forms barcode properties in the Value tab


To specify a delimiter

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To specify a delimiter
To specify a delimiter
You can choose the delimiter character that is used to separate field data, such as field names, field values, and barcode labels.
With all delimiters other than Carriage Return and Line Feed, the first line starts with the optional barcode label heading, followed by the form object names, and ends with a delimiter and a new line character. The second line starts with the barcode label, which is a globally unique identifier (GUID) by default, followed by the form object data, and ends with a delimiter and a new line character.
With Carriage Return and Line Feed delimiters, field names, barcode labels, and field values are listed over multiple lines, with field names and barcode labels listed first, each on a separate line, followed by either a carriage return or a line feed, a new line character, and then with the field values, each of which are on a separate line.
If a field name or value in the form is empty, the barcode encoding script will insert a delimiter and encode the next field name or value. The barcode data will not contain a space, or any special marking, as the placeholder for the empty text.
Note:
With all types of delimiters, you can control whether field names and barcode labels are included in the barcode content by selecting the Include Field Names and Include Label options in the Value tab of the Object palette.
When you choose the delimited format for a paper forms barcode, make sure that the delimiter is not a part of your form's textual contents. For instance, if you choose Tab as the delimiter, the contents of the form fields you are encoding cannot contain tabs because it will confuse the decoder. To avoid this confusion and to ensure that the encoder will work correctly, if the character originally chosen to be the delimiter becomes a part of the contents, you can choose a different character (such as a pipe or a comma) as the delimiter instead.
1.
On the form design, select the paper forms barcode object.
2.
In the Object palette, click the Value tab.
3.
In the Format list, select Delimted and, in the Delimiter list, select the type of delimiter you want.
See also
To control how a paper forms barcode encodes data
Paper forms barcode properties in the Value tab


To specify character encoding

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > To specify character encoding
To specify character encoding
You can select the character encoding of the value that is encoded into a barcode.
1.
On the form design, select the paper forms barcode object.
2.
In the Object palette, click the Value tab.
3.
In the Character Encoding list, select the option that suits your needs.
See also
To control how a paper forms barcode encodes data
Paper forms barcode properties in the Value tab
charEncoding


Design tips for using a paper forms barcode

Using LiveCycle Designer ES > Working with Objects > Using objects > Using paper forms barcodes > Design tips for using a paper forms barcode
Design tips for using a paper forms barcode
Creating an effective paper forms barcode means designing a barcode so that information is encoded into it in a useful way that can be easily decoded into understandable information. Here are some things to keep in mind when designing a usable, decodable barcode.
Barcode design tip
Details
Design a barcode that is appropriate for its intended use.
Think about how the users will submit the form to you or your processing organization. Make sure the barcode is designed to survive the printing, mailing in, faxing, and scanning processes.
Use collections
Use Collections in paper forms barcodes instead of applying the barcode to the entire form. Collections ensure that you include the relevant fields in the barcode.
The Paper forms barcode collection name must be different from the object collection name
Make sure that the paper forms barcode name is different from the object name. Otherwise, the paper forms barcode will not update at the run time.
Paper forms barcodes in subforms with default names may cause unexpected results
When you include a paper forms barcodes in multiple unnamed subforms, you may get unexpected results. Rename the subforms instead of using the default name.
Consider the placement of the barcode on the form design.
You can place a paper forms barcode anywhere on the form design. Always place the barcode where it can be seen and scanned easily. Keep barcodes at least a half-inch from the edge of the paper to ensure that they are included when the form is printed.
Size a barcode for the amount of data to be captured.
There is a limit to the amount of data that can be encoded into a paper forms barcode. The size of the barcode also affects the amount of data that it can encode. If the barcode is too small to hold the user-supplied data, a red marker appears on the upper-right corner of the barcode, with a message informing you that the data set to be encoded is too large for the barcode to contain. You should perform one of these steps:
•
Resize the barcode, making it bigger to accommodate more data.
•
Reduce the data set by changing the default data size for some form objects, such as text fields. For example, the default limit length of each text field is 255. However, if a text field will only contain a first name, last name, or even a full name, the limit could be reduced to 20 or 50 characters, potentially solving the barcode size issue.
•
Using extended characters and both uppercase and lowercase letters increases the size of the data. Write a script to restrict data to alphanumeric characters and uppercase letters.
•
If field names are included in the data, use shorter object names.
•
Use form object collections.
Delimiter must not be part of textual content
When you choose the delimited format for a paper forms barcode, make sure that the delimiter is not a part of your form's textual contents. For instance, if you choose Tab as the delimiter, the contents of the form fields you are encoding cannot contain tabs because it will confuse the decoder. To avoid this confusion and to ensure that the encoder will work correctly, if the character originally chosen to be the delimiter becomes a part of the contents, you can choose a different character (such as a pipe or a comma) as the delimiter instead.
Do not embed data for image fields.
Paper forms barcodes cannot hold enough data to embed data for images. If you have an image field object on the form, either do not select the Embed Image Data option for the image field object or exclude the object from the barcode data. If the image field is included in the barcode data, the barcode displays a warning that the data length cannot be calculated.
Do not rotate Paper Forms barcodes.
Rotating a paper forms barcode will cause it to become clipped when the form is filled in Acrobat and Adobe Reader versions less than 8.0.
Test the form before distributing its
It is critical that you test your completed form in Adobe Reader as well as in Acrobat. Most users of these types of forms will only have Adobe Reader installed.
Ensure that users fill the form electronically
Make it clear to your users that they must fill the form electronically. If they print the form and then fill it, the paper forms barcode cannot encode any of the user-supplied data.
Test the maximum capacity of the paper forms barcode
You must test your forms in both Adobe Reader and in Acrobat to ensure that the capacity of each barcode is large enough to capture all of the required data. This can be done by filling each field with realistic entries of maximum length and ensuring that the barcode does not turn gray. You need to use Adobe Reader to test documents that have LiveCycle Reader Extensions ES barcode usage rights applied to them.
See also
Overview of paper forms barcodes
How the paper forms barcode works
About form object collections


Using password fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using password fields
Using password fields
Overview of password fields
To specify the password display character
To define the behavior of the field
To define custom data-binding properties for a password field
To limit the characters entered in password fields


Overview of password fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using password fields > Overview of password fields
Overview of password fields
If you want to control access to a form through a password, add a password field to the form. When a user types in the password field, the characters are masked by a character that you select. If required, you can define a specific input pattern that the user must match to gain access to the form.
After you add a password field to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the field. See To rename a caption.
•
Set a border style for the field. See To set the border style.
•
Define the field as visible, invisible, or hidden. See To make an object visible, invisible, or hidden.
•
Specify a locale for the list. See To specify a locale (language and country or region) for an object.
•
Specify that LiveCycle Designer ES use the horizontal length of the text field to determine how many characters to allow in the password field.
•
Select the password display character.
•
Define the edit pattern.
•
Define the validation pattern.
•
Specify a data-binding pattern.
•
Specify a binding method for storing and retrieving bound data.
A password field can be present without forcing users to supply a password. You can define whether the password is optional, recommended, or required, and you can set up messages to prompt users appropriately. All user input can be validated through scripting.
See also
Formatting captions
Formatting field values
Layout properties in the Layout palette
Border properties in the Border palette
Password patterns
Password field properties in the Field tab
Password field properties in the Value tab
Password field properties in the Binding tab


To specify the password display character

Using LiveCycle Designer ES > Working with Objects > Using objects > Using password fields > To specify the password display character
To specify the password display character
1.
In the Object palette, click the Field tab.
2.
In the Password Display Character box, type the character that will be used to hide the password value when it is displayed at run time.


To define the behavior of the field

Using LiveCycle Designer ES > Working with Objects > Using objects > Using password fields > To define the behavior of the field
To define the behavior of the field
1.
In the Object palette, click the Value tab and select one of these options from the Type list:
•
To allow users to choose whether to enter data, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
2.
If the value is recommended or required, type a prompt in the Empty Message box.
See also
Password field properties in the Value tab
To dynamically populate a validation pattern message
To dynamically populate a validation script message


To define custom data-binding properties for a password field

Using LiveCycle Designer ES > Working with Objects > Using objects > Using password fields > To define custom data-binding properties for a password field
To define custom data-binding properties for a password field
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the password field.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the field to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Password field properties in the Binding tab


To limit the characters entered in password fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using password fields > To limit the characters entered in password fields
To limit the characters entered in password fields
You can limit the number of characters entered in password fields by specifying that LiveCycle Designer ES use the horizontal length of the decimal or numeric field to determine how many characters to allow.
*
In the Object palette, click the Field tab and select Limit Length to Visible Area.
See also
Overview of password fields
Password field properties in the Field tab


Using radio buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons
Using radio buttons
Overview of radio buttons
To set the size for a radio button
To specify the radio button style
To assign On values to radio buttons
To define custom data-binding properties for radio buttons
To create a new exclusion group
To move a radio button to a different exclusion group
To move an exclusion group
To merge exclusion groups
To define the behavior of the exclusion group
To specify the default selection for the exclusion group


Overview of radio buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > Overview of radio buttons
Overview of radio buttons
Radio buttons provide a way to present users with a number of mutually exclusive choices. Users can toggle the state of any radio button in a group between on and off. When the radio button is selected, its state is On and its value is registered. When the radio button is cleared, its state is Off and its value is not registered. Only one radio button object in a group can be in the On state.
Tip:
You can make a radio button look like a check box by setting its appearance characteristics in the Field tab of the Object palette. Before doing so, however, consider the expectations of users with respect to the behavior of check boxes. Do they expect check boxes to provide multiple choices? If so, you should maintain the standard and not apply radio button functionality to check box images.
After you add a radio button to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the radio button. See To rename a caption.
•
Set a border style for the radio button. See To set the border style.
•
Define the radio button as visible, invisible, or hidden. See To specify a locale (language and country or region) for an object.
•
Specify a locale for the radio button. See To specify a locale (language and country or region) for an object.
•
Assign a value to each radio button’s On state in the exclusion group.
•
Specify the style for the radio button.
•
Specify the default selection for the group.
•
Specify a binding method for storing and retrieving bound data.
Radio buttons support scripting and calculations. If a user is to supply data, you can define whether the input is recommended or required, and you can set up messages to prompt users appropriately. User input may be validated through scripting.
An exclusion group is a group of radio buttons. Only one radio button in the exclusion group can be selected at a time.
You can work with an exclusion group as one object. Some options on the Object palette apply to all of the radio buttons in the same exclusion group. You can move radio buttons between exclusion groups and create new exclusion groups. If you have several radio buttons that are part of the same exclusion group, you can easily break some of the objects out into another exclusion group.
When you add a new radio button to the form, if the last object you added to the same subform was also a radio button, the new button will be part of the same exclusion group. If the last object you added was not a radio button, the radio button will create a new exclusion group.
Exclusion groups automatically resize to fit all of the radio buttons within the group. If you drag a radio button to an empty area of the page, the exclusion group will expand to contain the radio button. If you manually resize the exclusion group, all of the contained radio buttons will be resized accordingly.
See also
Formatting captions
To make radio buttons accessible
Layout properties in the Layout palette
Border properties in the Border palette
Radio button properties in the Field tab
Radio button properties in the Value tab
Radio button properties in the Binding tab


To set the size for a radio button

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To set the size for a radio button
To set the size for a radio button
1.
In the Object palette, click the Field tab.
2.
In the Size box, type a different value (in points) and press Enter.
Depending on the size you enter, you may have to resize the radio button.
See also
Radio button properties in the Field tab


To specify the radio button style

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To specify the radio button style
To specify the radio button style
1.
In the Object palette, click the Field tab.
2.
Select an option in the Button Style list:
•
To set the check style to the default, which is a filled circle, select Default.
•
To set the button style to a check mark, select Check.
•
To set the button style to a circle, select Circle.
•
To set the button style to a cross, select Cross.
•
To set the button style to a diamond, select Diamond.
•
To set the button style to a square, select Square.
•
To set the button style to a start, select Star.
See also
Radio button properties in the Field tab


To assign On values to radio buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To assign On values to radio buttons
To assign On values to radio buttons
Each radio button in an exclusion group is associated with an On value that represents the selected radio button in the form data. You can change these values, for example, to match existing values in a data source.
When you specify On values, the default values are integer values starting with “1” for the first radio button in the exclusion group that was added to the form. If you deselect the Specify Item Values option, the On values will match the radio button caption text.
1.
Select the exclusion group or one of the radio buttons within the group.
2.
In the Object palette, click the Binding tab and select Specify Item Values.
3.
Double-click the first On value that you want to change.
4.
Type the new On value.
5.
Press Enter to change the next On value or double-click any other On value to change it.
See also
About data sources
To define custom data-binding properties for radio buttons
Radio button properties in the Binding tab


To define custom data-binding properties for radio buttons

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To define custom data-binding properties for radio buttons
To define custom data-binding properties for radio buttons
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties for radio buttons in the Binding tab of the Object palette.
1.
Select the group.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the exclusion group to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Radio button properties in the Binding tab
To assign On values to radio buttons


To create a new exclusion group

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To create a new exclusion group
To create a new exclusion group
1.
Select the radio buttons that you want to make part of a separate exclusion group in the Layout Editor or the Hierarchy palette.
2.
Do one of the following actions:
•
Right-click one of the selected objects in the Layout Editor and select Wrap In New Radio Button Group.
•
Right-click one of the selected objects in the Hierarchy palette and select Wrap In New Radio Button Group.
Note:
After you add a group of radio buttons, add a different object to the page. (For example, add a text object.) Now, any new radio buttons you add to the form design start a new exclusion group.


To move a radio button to a different exclusion group

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To move a radio button to a different exclusion group
To move a radio button to a different exclusion group
1.
Select the radio button that you want to move to a different exclusion group in the Layout Editor or the Hierarchy palette.
2.
Do one of the following actions:
•
To move the radio button on the form, drag the object in the Layout Editor to a position within the borders of another exclusion group.
•
To change exclusion groups without moving the button on the page, drag the radio button to another exclusion group in the Hierarchy palette.


To move an exclusion group

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To move an exclusion group
To move an exclusion group
1.
Click the border of the exclusion group to select it.
2.
Drag the group to a new position on the page. All of the radio buttons in the group will move together.


To merge exclusion groups

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To merge exclusion groups
To merge exclusion groups
1.
Click the border of the exclusion groups to select them.
2.
Select Layout > Merge Radio Button Groups.
See also
Overview of radio buttons


To define the behavior of the exclusion group

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To define the behavior of the exclusion group
To define the behavior of the exclusion group
1.
In the Object palette, click the Value tab and, in the Type list, select one of these options:
•
To allow users to choose whether to enter data, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users cannot edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users cannot edit the value.
2.
If the value is recommended or required, type a prompt in the Empty Message box.
3.
If the value will be calculated, attach the calculation script to the object by using the Script Editor.
4.
(Optional) If a calculated value can be overridden, type a message in the Override Message box.
See also
Radio button properties in the Value tab


To specify the default selection for the exclusion group

Using LiveCycle Designer ES > Working with Objects > Using objects > Using radio buttons > To specify the default selection for the exclusion group
To specify the default selection for the exclusion group
1.
In the Object palette, click the Value tab.
2.
In the Default list, select the value that identifies the radio button that you want to set to the On state.
Note:
The Default list is available only when the Type option is set to User Entered or Read Only. The value of a radio button’s On state can be changed in the Binding tab.
See also
Radio button properties in the Value tab


Using signature fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using signature fields
Using signature fields
Overview of signature fields


Overview of signature fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using signature fields > Overview of signature fields
Overview of signature fields
If you want to authenticate the identity of a user and the document's content, add a signature field to the form. A digital signature stores information about the signing party and the state of the document when it is signed. Adobe signatures support the Public Key Cryptography Standard (PKCS) #7, using the RSA MD5, RSA SHA-1, or DSA SHA-1 hash algorithm.
You can specify whether a signature covers an entire form or a collection of objects in a form. If you want the signature to apply to a collection of objects, the signing party must use Acrobat or Adobe Reader version 8.0 or later.
If the signature covers a collection of objects, the fields are locked and cannot be modified after the document is signed. The lock is inherited. For example, when a subform is locked, all the objects in the subform inherit the lock.
To sign the form, the user clicks the signature field. For more information about signing PDF forms in Acrobat, see Acrobat Help.
The signature field does not generate a digital signature directly. It invokes a third-party signature handler through scripting, and the signature handler provides the required digital signature functionality. Users cannot sign forms without an appropriate signature handler.
If required, you can change the signature field name in the Hierarchy palette after you add the object to the form design.
After you add a signature field to the form design, you can define the signature properties in the Signature tab of the Object palette. You can define whether the signature covers the entire form or a collection of field objects and specify default signature properties.
You can edit the caption text and manipulate the object’s properties in the Field tab of the Object palette. You can define these properties:
•
Change the caption for the field. See To rename a caption.
•
Set a border style for the field. See To set the border style.
•
Define the field as visible, invisible, or hidden. See To specify a locale (language and country or region) for an object.
•
Specify a locale for the field. See To specify a locale (language and country or region) for an object.
See also
Formatting captions
Layout properties in the Layout palette
Border properties in the Border palette
Drop-down lists
About digital signatures


Using text

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text
Using text
Overview of text
To type characters into a text object
To insert a floating text field into a text object
To insert the value of a run-time property into a text object
To merge text objects
To create a caption by merging a text object and a field object
To insert language-specific numbers in text or captions
To allow page breaks within a text object
To keep a text object with the next object in the form


Overview of text

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > Overview of text
Overview of text
Text objects present read-only text that users cannot edit. You can use text objects to do these tasks:
•
Label an area in the form
•
Provide instructions for filling out the form
•
Include a header and footer
After you add a text object to the form design, you can define these properties:
•
Define the text as visible, invisible, or hidden. See To specify a locale (language and country or region) for an object.
•
Specify a locale for the text. See To specify a locale (language and country or region) for an object.
•
Type and style the text.
•
Allow page breaks within the content of the field.
•
Keep a text object with the next object in the document when a page break is introduced.
•
Apply font properties to all of the text or selected portions of the text.
In addition, you can insert placeholders, such as floating text fields, and the values of run-time properties, such as page count, current page, and current date/time, into text objects.
The text object has the Make Fixed-Sized Text Objects Auto-fit While Editing option (Tools > Options > Workspace) selected by default. Therefore, the object automatically resizes at design time to accommodate the text you enter and the property settings you change, such as margins, borders, and font type and size.
See also
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Text properties in the Draw tab


To type characters into a text object

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To type characters into a text object
To type characters into a text object
You can type characters into the object after you add the object to the form.
By default, the Make Fixed-Size Text Objects Auto-Fit While Editing option on the Workspace panel of the Tools > Options dialog is selected. This option allows the width and height of text objects to expand as you type characters. To expand only either the width or height of a text object, deselect Make Fixed-Size Text Objects Auto-Fit While Editing and then select the appropriate Expand To Fit option on the Layout palette.
1.
Select Edit and ensure that the Lock Text and Lock Static Objects commands are not selected.
2.
Double-click the text object and type the characters you want to add.
See also
To make objects expand to fit
Layout properties in the Layout palette


To insert a floating text field into a text object

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To insert a floating text field into a text object
To insert a floating text field into a text object
You can embed a floating text field in a text object. Floating text fields support the merging of different text values within text objects. For example, you could embed a floating text field to generate a customer name in the salutation of a form letter.
A floating text field does not have a caption and can be edited as if it were a single character of text. The properties of the floating text field must be defined separately in addition to the properties of the text object.
Note:
When merging floating fields with data, keep in mind that floating fields cannot span pages.
1.
In the text object, place the cursor where you want the floating text field to be merged.
2.
Select Insert > Floating Field.
3.
Select the floating text field and edit its properties.
See also
Overview of text fields


To insert the value of a run-time property into a text object

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To insert the value of a run-time property into a text object
To insert the value of a run-time property into a text object
You can insert the values of run-time properties into a text object. When the form is viewed, the actual value is inserted automatically.
The inserted value can have a different font, font size, and font style than the text object.
1.
In the text object, place the cursor where you want the value of the run-time property to be merged.
2.
Select Insert > [run-time property value].
•
To insert the current page number of the finished form, select Current Page Number.
•
To insert the total number of pages making up the finished, select Number of Pages.
•
To insert the current date/time, select Current Date/Time.
•
To insert the value of the locale setting for the application processing the form, select Viewer Locale.
•
To insert the name of the application processing the form, select Viewer Name.
•
To insert the version number of the application processing the form, select Viewer Version.
3.
Select the run-time property value and edit its properties.
See also
Overview of date/time fields
Overview of numeric fields
Overview of text fields
Font properties in the Font palette
Paragraph properties in the Paragraph palette


To merge text objects

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To merge text objects
To merge text objects
When you import a PDF file into Designer ES, depending on the import options you choose, title and instruction text may be broken up into multiple text objects. This import behavior makes the text difficult to edit because individual words or individual letters may be broken into separate text objects. If you need to edit the text, you can merge text objects together to make the text easier to update.
1.
Select the text objects that you want to merge.
If you also select an object of a different type, it will not be included in the merged object.
2.
Select Layout > Merge Selected Text Objects.
All selected text objects combine into a single object.
See also
To create a caption by merging a text object and a field object


To create a caption by merging a text object and a field object

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To create a caption by merging a text object and a field object
To create a caption by merging a text object and a field object
You can create a caption for a field object that does not have a caption by merging it with a text object.
For example, if you have a text object above a text field whose caption is set to none, you can merge the two objects to create one field. The text from the text object becomes the caption for the text field.
Text field and text object before merging. After merging, text field with the content from the text object.
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure you have one text object.
•
Ensure you have one field object whose caption is set to none in the Layout palette or the caption is empty.
The field object can be one of the following objects:
•
Check Box
•
Date/Time Field
•
Decimal Field
•
Signature Field
•
Drop-down List
•
Image Field
•
List Box
•
Numeric Field
•
Password Field
•
Radio Button
•
Text Field
You can merge only one text object to one field object.
1.
Select the text object that you want to become the caption for the field object.
2.
Ctrl+click or Shift+click to select the field object that you want to merge with the text object.
The field object must have its caption set to none in the Layout palette or the caption must be empty.
3.
Select Layout > Merge as Caption.
The new object’s caption becomes the text from the text object. The new object's size and position matches the total boundaries of the merged objects.
You may have to edit the font of the caption and the value after you merge the objects.
See also
To merge text objects
Formatting captions
To position a caption


To insert language-specific numbers in text or captions

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To insert language-specific numbers in text or captions
To insert language-specific numbers in text or captions
Most regions of the world use a numbering system that is often called Roman or European (1, 2, 3, ...). However, the numbering system in Arabic is different; it is derived from Hindi or Indic numbers.
Although Arabic letters are written from right-to-left, numbers in Arabic are written from left-to-right. This numbering system is often called Arabic-Indic.
You can insert language-specific numbers in text or captions if your locale, such as Arabic (Egypt), supports it. The following locales support this feature:
•
Arabic (all except Algeria, Morocco, and Tunisia)
•
Thai (Thailand Traditional)
The options described in this Help topic are available only if support for the appropriate language is enabled through Microsoft Office Language Settings.
1.
Select the text.
2.
Right-click and ensure the language-specific Use Digits command is selected.
If this menu item is not there, ensure the locale set for this object supports this feature.
3.
Type the numbers.
This example is of a caption that shows three types of language-specific numbers.


To allow page breaks within a text object

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To allow page breaks within a text object
To allow page breaks within a text object
The Allow Page Break Within Content option is enabled for a text object if the parent subform allows page breaks. This option is deselected by default.
Here are a few things to consider when allowing page breaks within a text object:
•
The Allow Page Break Within Content option is enabled for a text object only when the parent object allows page breaks.
•
Page breaks are not supported in rotated text objects.
•
The Allow Page Breaks Within Content option is disabled for floating fields. Instead, select the Allow Page Break Within Content option for the text object referencing the floating field.
•
A page break is not allowed when an object that can accept a page break is positioned beside an object that cannot.
•
When the Make Fixed-Size Text Objects Auto-Fit While Editing option (in Tools > Options > Workspace) or the Expand to Fit options (in the Layout palette) are deselected, the boilerplate text does not expand at design time, which means that page breaks are prevented.
To allow page breaks within a text object
*
In the Object palette, click the Draw tab and select Allow Page Breaks Within Content.
See also
Text properties in the Draw tab


To keep a text object with the next object in the form

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text > To keep a text object with the next object in the form
To keep a text object with the next object in the form
The Keep with Next option is enabled for a text field if the parent object allows page breaks and is a flowed container.
The Keep With Next option is disabled for floating fields. Instead, select the Keep With Next option for the text object referencing the floating field.
To keep a text object with the next object in the form
*
In the Object palette, click the Draw tab and select Keep With Next.
See also
Text properties in the Draw tab


Using text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields
Using text fields
Overview of text fields
To allow multiple lines of text in text fields
To limit the number of characters in text fields
To allow page breaks within a text field
To keep a text field with the next object in the form
To enable the field to be filled with rich-formatted text
To define the behavior of the field
To define custom data-binding properties for text fields
To specify the data format for text fields
To specify the comb format for text fields


Overview of text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > Overview of text fields
Overview of text fields
If you want to provide users with a way to enter textual data, add text fields to the form. Text fields enable users to type, select, edit, cut, copy, paste, and delete any of the text inside the field.
Text fields can accept one or more lines of wrapping text and support enhanced formatting capabilities. For example, text fields can display blocks of text in different typefaces and colors. Text can be stored and retrieved as plain text or XHTML. If required, the data in a text field can be formatted and displayed according to predefined patterns.
After you add a text field to the form design, you can edit the caption text and manipulate the object’s properties in the Field, Value, and Binding tabs of the Object palette. You can define these properties:
•
Change the caption for the field. (See To rename a caption.)
•
Set a border style for the field. (See To set the border style.)
•
Define the field as visible, invisible, or hidden. (See To make an object visible, invisible, or hidden.)
•
Specify a locale for the field. (See To specify a locale (language and country or region) for an object.)
•
Specify the comb format for the field. (See To specify the comb format for text fields.)
•
Enable or disable multiple lines of text.
•
Enable or disable the field to be filled with rich-formatted text.
•
Limit the number of characters in the field.
•
Allow page breaks within the content of the field.
•
Keep a text field object with the next object in the document when a page break is introduced.
•
Define the display pattern.
•
Define the edit pattern.
•
Specify an initial value to display.
•
Define a run-time property (for example, insert the page number).
•
Define the validation pattern.
•
Choose whether the field will support plain text or XHTML.
•
Specify a data-binding pattern.
•
Specify a binding method for storing and retrieving bound data.
Text fields support scripting and calculations. If a user is to supply data, you can define whether the input is recommended or required, and you can set up messages to prompt users appropriately. All user input may be validated through scripting.
See also
Formatting captions
To lock objects
About field patterns and value formatting
Layout properties in the Layout palette
Border properties in the Border palette
Text field patterns
Text field properties in the Field tab
Text field properties in the Value tab
Text field properties in the Binding tab


To allow multiple lines of text in text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To allow multiple lines of text in text fields
To allow multiple lines of text in text fields
*
In the Object palette, click the Field tab and select Allow Multiple Lines.
See also
Text field properties in the Field tab


To limit the number of characters in text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To limit the number of characters in text fields
To limit the number of characters in text fields
You can limit the number of characters in text fields in one of two ways:
•
You can specify the maximum number of characters allowed.
•
You can specify that Designer ES use the horizontal length of the text field to determine how many characters to allow.
To specify the number of characters in text fields
1.
In the Object palette, click the Field tab.
2.
Select the Limit Length and, in the Max Chars box, type the maximum number of characters that users will be permitted to enter into the text field.
To limit the number of characters to the width of text fields
*
In the Object palette, click the Field tab and select Limit Length to Visible Area.
See also
Text field properties in the Field tab


To allow page breaks within a text field

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To allow page breaks within a text field
To allow page breaks within a text field
The Allow Page Break Within Content option is enabled by default for a text field if the parent subform allows page breaks.
Here are a few things to consider when allowing page breaks within a text field:
•
The Allow Page Break Within Content option is available only if the parent object allows page breaks.
•
The caption text of a text field object will not break between pages when Top or Bottom is selected for the position for the caption in the Field tab of the Object palette.
•
Page breaks are not supported in rotated text field objects.
•
A page break is not allowed when an object that can accept a page break is positioned beside an object that cannot.
To allow page breaks within a text field
*
In the Object palette, click the Field tab and select Allow Page Breaks Within Content.
See also
Text field properties in the Field tab


To keep a text field with the next object in the form

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To keep a text field with the next object in the form
To keep a text field with the next object in the form
The Keep with Next option is enabled for a text field if the parent object allows page breaks and is a flowed container.
The Keep With Next option is disabled for floating fields. Instead, select the Keep With Next option of the text field object referencing the floating field.
To keep a text field with the next object in the form
*
In the Object palette, click the Field tab and select Keep With Next.
See also
Text field properties in the Field tab


To enable the field to be filled with rich-formatted text

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To enable the field to be filled with rich-formatted text
To enable the field to be filled with rich-formatted text
By default, a text field is set to display and capture plain text. In this case, if the data value associated with the text field includes text formatting information, the formatting is ignored and the data value is displayed as plain text. You can set it so that any rich-text formatting of the data is preserved.
1.
In the Object palette, click the Field tab and select Rich Text from the Field Format list.
2.
In the Binding tab, select XHTML from the Data Format list.
See also
Text field properties in the Field tab


To define the behavior of the field

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To define the behavior of the field
To define the behavior of the field
1.
In the Object palette, click the Value tab and, in the Type list, select one of these options:
•
To allow users to choose whether to enter data, select User Entered - Optional.
•
To prompt users to enter data and make the field recommended, select User Entered - Recommended and type a custom message in the Empty Message box.
•
To prompt users to enter data and make the field required, select User Entered - Required and type a custom message in the Empty Message box.
•
To make the field read only and display a data value that is calculated and displayed through an attached script, select Calculated - Read Only. Users cannot edit the calculated value.
•
To make the field editable and display a data value that is calculated and displayed through an attached script, select Calculated - User Can Override. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
To make the field read only and display a data value that is merged or calculated and displayed at run time, select Read Only. Users cannot edit the value.
2.
If the value is recommended or required, type a prompt in the Empty Message box.
3.
If the value will be calculated, attach the calculation script to the object by using the Script Editor.
4.
(Optional) If a calculated value can be overridden, type a message in the Override Message box.
See also
To specify a default value
To dynamically populate a validation pattern message
To dynamically populate a validation script message
Text field properties in the Value tab


To define custom data-binding properties for text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To define custom data-binding properties for text fields
To define custom data-binding properties for text fields
Binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. Set data-binding properties in the Binding tab of the Object palette.
1.
Select the text field.
2.
Enable the form to connect to the data source when the form is opened.
3.
Bind the field to its corresponding data node. For information about how to bind objects to a data source, see About binding fields to a data source.
See also
Text field properties in the Binding tab


To specify the data format for text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To specify the data format for text fields
To specify the data format for text fields
Text fields can save data in plain text only or with XHTML text formatting information included as part of the value. The default is plain text. If you change the data format to XHTML, the Rich Text option in the Field Format list in the Field tab of the Object palette is automatically selected.
1.
Select the text field object.
2.
In the Object palette, click the Binding tab.
3.
Select the appropriate format from the data format list.
See also
To define custom data-binding properties for text fields
Text field properties in the Binding tab


To specify the comb format for text fields

Using LiveCycle Designer ES > Working with Objects > Using objects > Using text fields > To specify the comb format for text fields
To specify the comb format for text fields
Use the comb format when you want to separate characters and numbers added to text fields by border lines.
1.
In the Object palette, click the Field tab.
2.
Select Comb of Characters to includes border lines that separate each character within the text field.
3.
Enter the number of characters that will be separated by border lines within the text field.
See also
Overview of text fields
Text field properties in the Field tab


Using custom objects

Using LiveCycle Designer ES > Working with Objects > Using objects > Using custom objects
Using custom objects
About custom objects
To create a custom object


About custom objects

Using LiveCycle Designer ES > Working with Objects > Using objects > Using custom objects > About custom objects
About custom objects
In addition to the objects in the Standard category of the Object Library palette, LiveCycle Designer ES includes some predefined custom objects, which are configured to provide functionality that form authors frequently need in a form solution. These custom objects have properties and scripts that you can adjust to suit your requirements.
The following predefined custom objects are located in the Custom category of the Object Library palette.
Object
Description
Address Block
Accepts and displays addresses in United States Postal Service format. The Address Block is a group of text fields that lets users enter their name, address, city, state, zip code, and country.
Designed for any type of form.
Proces Fields
A block of objects designed for LiveCycle Process Management ES forms. It includes a submit button, an action drop-down list, and other hidden fields used to transport data needed by LiveCycle Process Management ES to route the form data correctly.
Countries
Displays a drop-down list populated with country names. You can add, move, and delete any country from the list.
Designed for interactive forms.
Current Date
A date/time field with a script that displays the current date according to the viewer’s system locale.
Designed for any type of form.
Data Drop-down List
A drop-down list with a script that populates the list from an OLEDB data source.
Designed for interactive forms.
Data List Box
A list box with a script that populates the list from an OLEDB data source.
Designed for interactive forms.
Email Address
A text field that captures and validates an email address.
Designed for interactive forms.
Form Bridge
A hidden object that enables communication to the PDF outside of Acrobat.
Name
A group of text objects that accepts and displays name information. End users can enter their last name, first name, and initial.
For any type of form.
Page n of m
A text field with a script that displays the current page and total page count of the form at run time.
Example: Page 1 of 30
For any type of form.
Page Navigation
A group of buttons with scripts to navigate to first, last, previous, and next pages.
Designed for interactive forms.
Phone Number - UK
A text field that formats input as a United Kingdom (UK) telephone number.
Designed for interactive forms.
Phone Number - North America
A text field that formats input as a North American telephone number.
Designed for interactive forms.
Sheet n of m
Displays a text object that indicates the value of the current piece of paper (sheet) within the range of sheets required for a form.
Example: Sheet 1 of 5
For any type of form.
Signature - Print and Sign
Displays a space on a printed form where a user can provide a signature.
Designed for print forms.
Survey Question
A text object for a survey question and a group of radio buttons for selecting the answer.
Designed for interactive forms.
U.S. Social Security Number
A text field that lets a user enter a United States social security number.
Designed for interactive forms.
U.S. States
Displays a drop-down list populated with U.S. state names. You can add, move, and delete any state from the list.
Designed for interactive forms.
Most of the custom objects are ready-to-use, requiring only minor changes such as changing the captions, formatting numbers, or changing the font type to meet your requirements. Simply drag the custom objects onto the form design and make the changes. When you place a custom object on the form design, notice that it also appears in the Hierarchy palette. For custom objects that consist of several standard objects formatted in a particular manner and grouped together, such as the address block custom object, you will see the individual text field objects (Name, Address, City, State, Zip Code, Country) in the Hierarchy palette.
Two of the custom objects, the data drop-down list and the data list box, consist of a single object that has a custom script associated with it. That script enables you to populate two columns with data from an OLEDB data connection. When you place the object on the form design, you can see the script in the Script Editor. The script includes comments that explain which modifications are needed to make the script compatible with your particular run-time environment. For more information, see To dynamically populate a drop-down list or list box from an OLEDB data connection.
The Process Fields object is a special object that is designed strictly for use with LiveCycle Process Management ES.
See also
To create a custom object
To add objects to a form design


To create a custom object

Using LiveCycle Designer ES > Working with Objects > Using objects > Using custom objects > To create a custom object
To create a custom object
LiveCycle Designer ES enables you to create your own custom objects that you can save and reuse. Creating a custom object involves adding one or more objects from the Standard tab to the form design and then defining the properties of the objects to suit your requirements.
You can save the object in the Custom category of the Object Library palette, or you can create your own category in the Object Library palette and save the object there. Creating your own Object Library categories is a good way to organize the custom objects that you create and keep them separate from the predefined custom objects provided with LiveCycle Designer ES. For information about creating your own categories, see To add a category to the Object Library palette.
1.
In the Object Library palette, drag the object that you want to customize onto the form design.
2.
Define the properties of the object.
3.
In the Object Library palette, click the Custom category.
4.
Drag your object to the Custom category in the Object Library palette.
5.
In the Add Library Object dialog box, type a name and description for the custom object, and click OK.
Note:
Multiple objects can be saved as a single custom object. When you drag multiple objects to the Custom tab together, a single object is created in the Custom tab.
See also
Object Library palette
Managing library palettes
Objects that support scripting and calculations
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette


Adding, copying, and deleting objects

Using LiveCycle Designer ES > Working with Objects > Adding, copying, and deleting objects
Adding, copying, and deleting objects
To add objects to a form design
To cut, copy, and paste objects
To duplicate objects
To delete objects


To add objects to a form design

Using LiveCycle Designer ES > Working with Objects > Adding, copying, and deleting objects > To add objects to a form design
To add objects to a form design
You can add objects to a form design in several ways. After you add an object, you can define the object’s properties.
To add an object using the Insert menu
*
Do one of the following actions:
•
Select Insert > My Favorites > [object].
•
Select Insert > Standard > [object].
•
Select Insert > Barcodes > [object].
•
Select Insert > Custom > [object].
To add an object from the Object Library palette
*
Do one of the following actions:
•
Drag the object onto the form design.
•
Double-click the object.
•
Click the object and drag in the form design to draw the object.
To add several objects of the same type
*
Do one of the following actions:
•
In the Object Library palette, click the object and then select View > Keep Drawing. You can use the Keep Drawing command for any object. To disable this feature, select View > Keep Drawing again or press Escape.
•
Click the Draw Fields button in the Tools toolbar and then select the object from the drop-down list. The Draw Fields button is only available for those objects in the drop-down list. To disable this feature, click the Select Tool or the Hand Tool button in the Tools toolbar.
When these commands are selected, you can insert as many copies of an object as you require without selecting the object from the Object Library palette each time.


To cut, copy, and paste objects

Using LiveCycle Designer ES > Working with Objects > Adding, copying, and deleting objects > To cut, copy, and paste objects
To cut, copy, and paste objects
You can cut, copy, and paste objects by using the menu or keyboard shortcuts.
To cut or copy and paste an object
1.
Select one or more objects.
2.
Do one of the following actions:
•
To cut an object, select Edit > Cut.
•
To copy an object, select Edit > Copy.
3.
Select Edit > Paste.
If the pointer is on a page, the object is pasted beneath the pointer. Otherwise, the object is pasted in the upper left corner of the active content area.
To copy a group of objects
1.
In the Hierarchy palette, select the group node.
2.
Select Edit > Copy.
To make multiple copies of one or more objects
1.
In the form design or in the Hierarchy palette, select one or more objects.
2.
Select Edit > Copy Multiple.
3.
Type a number in the Number Of Copies box. You can make as many copies as will fit in the active content area.
4.
Select options for Vertical Placement and Horizontal Placement.
5.
To increase the amount of vertical space between the copied and original objects, in the Vertical Spacing area, select Offset By and type the distance in the adjacent box.
6.
To increase the amount of horizontal space between the copied and original objects, in the Horizontal Spacing area, select Offset By and type the distance in the adjacent box.
7.
Click OK. The copies are added to the page and all of the objects, both original and copied, are selected.
See also
To duplicate objects
To delete objects


To duplicate objects

Using LiveCycle Designer ES > Working with Objects > Adding, copying, and deleting objects > To duplicate objects
To duplicate objects
Duplicating an object is the equivalent of copying and pasting an object. By default, the duplicate is placed just below and to the right of the original. If you drag the duplicate to a new position and then duplicate it, the next duplicate and any subsequent duplicates are placed the same distance and direction away from the last duplicate. You can make as many duplicates as will fit in the active content area.
To duplicate objects
1.
Select one or more objects.
2.
Select Edit > Duplicate.
To duplicate an object by dragging it
1.
Drag the object to the spot where you want to place the duplicate.
2.
Press Ctrl and release the mouse button.
See also
To cut, copy, and paste objects
To delete objects


To delete objects

Using LiveCycle Designer ES > Working with Objects > Adding, copying, and deleting objects > To delete objects
To delete objects
You can delete any selected object.
1.
Select one or more objects.
2.
Do one of the following actions:
•
Select Edit > Delete.
•
Press Delete.
See also
To cut, copy, and paste objects


Selecting, grouping, and moving objects

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects
Selecting, grouping, and moving objects
To select objects
To select objects using the Hierarchy palette
To group and ungroup objects
To move objects
To stack objects
To lock objects
To manipulate objects in a form design by selecting them in the Hierarchy palette


To select objects

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To select objects
To select objects
You can select an object by using familiar mouse and keyboard methods:
•
To select a single object, click the Select Tool [image] button in the toolbar and click the object.
•
To select multiple objects, Ctrl+click each of the objects you want to select or lasso (drag the pointer over) the objects you want to select.
•
To select all objects, select Edit > Select All.
•
To select all static objects, select Edit > Select All Static Objects.
•
To select all fields, select Edit > Select All Fields.
See also
Keys for selecting text


To select objects using the Hierarchy palette

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To select objects using the Hierarchy palette
To select objects using the Hierarchy palette
The Hierarchy palette assists with the selection and manipulation of objects.
When you select an object in the Hierarchy palette, the object is selected in the form simultaneously. However, when you make a selection in the Hierarchy palette, all keystrokes (for example, F2 or Shift+click) are directed to the Hierarchy palette until you work in the form again.
•
To display the Hierarchy palette, select Palettes > Hierarchy.
•
To select a single object in the Hierarchy palette, click the object.
•
To select multiple adjacent objects in the Hierarchy palette, click the first object and then Shift+click the last object.
•
To select multiple non-adjacent objects in the Hierarchy palette, Ctrl+click each of the objects.
•
To select a group of objects in the Hierarchy palette, click the group node.
Note:
If you select an item in the Hierarchy palette and click the Design View tab, the object is selected on the form design, and you can also use the keyboard to manipulate the selected object.
See also
To manipulate objects in a form design by selecting them in the Hierarchy palette


To group and ungroup objects

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To group and ungroup objects
To group and ungroup objects
You can group and ungroup objects by using the Layout menu, the Hierarchy palette, or the Layout toolbar:
•
To group objects, in the form design or Hierarchy palette, select the objects you want to group and then either select Layout > Group or click Group [image].
•
To ungroup objects, in the form design or Hierarchy palette, select the group of objects you want to ungroup and then either select Layout > Ungroup or click Ungroup [image].
•
To add a new object to a group by using the mouse, in the form design, drag the object to the group.
•
To add a new object to a group by using the Hierarchy palette, drag the object to an existing group node.
See also
Keys for manipulating objects


To move objects

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To move objects
To move objects
You can move objects by dragging them with the mouse, using the arrow keys on the keyboard, or entering precise values in the Layout palette.
To move or duplicate objects by pasting
1.
Select one or more objects.
2.
Select Edit > Cut to move the selection or Edit > Copy to duplicate the selection.
3.
(Optional) To paste an object into another file, open the file.
4.
Select Edit > Paste to paste the object into the active window.
To move an object by dragging it
1.
Select one or more objects.
2.
Drag the object to a new location.
To move an object by using the arrow keys
1.
Select one or more objects.
2.
Press the arrow key for the direction in which you want to move the object. The default distance is 1 point (1/72 of an inch, or .3528 millimeter).
3.
To move the object 10 points at once, press Shift+arrow.
To move objects by using x and y coordinates in the Layout palette
1.
Select one or more objects.
2.
In the Layout palette, enter new values in either the X or the Y box, or both.


To stack objects

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To stack objects
To stack objects
LiveCycle Designer ES stacks successively drawn objects, beginning with the first object drawn. How objects are stacked determines how they appear when they overlap. You can change the stacking order of objects in your form design at any time by using the arrange commands in the Layout menu.
1.
Select the object.
2.
Use one of these methods:
•
To bring the object forward, select Layout > Bring Forward, or click Bring Forward [image].
•
To bring the object to the front, select Layout > Bring To Front, or click Bring To Front [image].
•
To send an object backward, select Layout > Send Backward, or click Send Backward [image].
•
To send an object to the back, select Layout > Send To Back, or click Send To Back [image].
See also
Layout properties in the Layout palette


To lock objects

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To lock objects
To lock objects
Locking the objects in a form design prevents you from selecting, moving, and editing the objects in the Layout Editor.
You can lock the following parts of your form design:
•
Text
Includes text in a text object or text in the captions of objects. When you select Lock Text, you must double-click the appropriate text or caption to edit it. This makes it not as easy to modify the text. If Lock Text is not enabled, you click in the caption or text object to start editing the text. Using Lock Text is particularly useful if you want to select and move objects but not make any changes to the text. You can single-click the object to select it, but you must double-click the caption or text to make changes.
•
Static objects
Includes text, circles, lines, and rectangles.
•
Field objects
Includes buttons, check boxes, date/time fields, decimal fields, signature fields, drop-down lists, image fields, list boxes, numeric fields, paper forms barcodes, password fields, radio buttons, and text fields.
After locking static objects and field objects, you must unlock them to add new static objects and field objects.
The lock commands are useful in situations when you have finished formatting specific objects in the form design and want to continue working with other types of objects. For example, your form includes a large number of text field objects, as well as text objects that provide instructions about filling the form. You have positioned and formatted all the text objects and need to apply a different font to the text field objects. You can easily do this by locking the text objects and then using Edit > Select All Fields to select all the text field objects at once and then change the font.
•
To lock text, select Edit > Lock Text. To unlock text, select Edit > Lock Text.
•
To lock static objects, select Edit > Lock Static Objects. To unlock static objects, select Edit > Lock Static Objects.
•
To lock fields, select Edit > Lock Fields. To unlock fields, select Edit > Lock Fields.


To manipulate objects in a form design by selecting them in the Hierarchy palette

Using LiveCycle Designer ES > Working with Objects > Selecting, grouping, and moving objects > To manipulate objects in a form design by selecting them in the Hierarchy palette
To manipulate objects in a form design by selecting them in the Hierarchy palette
If you have multiple overlaid objects in a form design, you can use the Hierarchy palette to select and manipulate an object. This may be easier than selecting the object directly on the form design.
1.
In the Hierarchy palette, click the object you want to manipulate. The object will be selected in the Hierarchy palette and on the form design.
2.
Click the Design View tab.
3.
Use the keyboard to manipulate the object on the form design. For example, to nudge an object 2 points, press the arrow key twice for the direction you want to move the object. The object on the form design will move in the required direction.


Aligning and sizing objects

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects
Aligning and sizing objects
To align objects to each other
To align objects to a grid
To center objects on the page
To rotate objects
To distribute objects
To resize objects
To make objects the same size
To make objects expand to fit
To position objects
Using Snap to Grid


To align objects to each other

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To align objects to each other
To align objects to each other
When you align objects to each other, the last object you select determines the point of alignment. For example, if you Shift+click several objects to left align them, the objects are aligned to the left edge of the object that you selected last. In a group of selected objects, the last object selected has solid resizing handles.
To align the edges of objects
1.
Select the objects that you want to align.
2.
Do one of the following actions:
•
To align the left edges of the objects, select Layout > Align > Left or click Align Left [image].
•
To align the right edges of the objects, select Layout > Align > Right or click Align Right [image].
•
To align the tops of objects, select Layout > Align > Top or click Align Top [image].
•
To align the bottoms of objects, select Layout > Align > Bottom or click Align Bottom [image].
To align the vertical centers of objects
1.
Select the objects that you want to align.
2.
Select Layout > Align > Vertical Center or click Align Vertical Center [image].
To align the horizontal centers of objects
1.
Select the objects that you want to align.
2.
Select Layout > Align > Horizontal Center or click Align Horizontal Center [image].
See also
To align objects to a grid
To center objects on the page
To distribute objects
Keys for manipulating objects


To align objects to a grid

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To align objects to a grid
To align objects to a grid
You can align objects to the closest grid increment. The grid settings can be adjusted in the Drawing Aids palette.
1.
Select the objects that you want to align.
2.
Select Layout > Align > To Grid.
See also
To align objects to each other
Using Snap to Grid
Keys for manipulating objects
Drawing Aids palette


To center objects on the page

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To center objects on the page
To center objects on the page
You can position an object in the horizontal or vertical center of the page. The center is based on the defined page size.
1.
Select the objects that you want to center.
2.
Select Layout > Center In Page > Horizontally, or Layout > Center In Page > Vertically.
See also
To align objects to each other
To align objects to a grid
To distribute objects


To rotate objects

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To rotate objects
To rotate objects
You can rotate an object around its anchor point in a 90°, 180°, or 270° increment. The anchor point is defined by the X and Y coordinates of an object and provides a starting place for rotating the object.
1.
Select the object.
2.
In the Layout palette, select the position of the anchor point relative to the perimeter of the object from the Anchor list.
3.
Click one of the rotation buttons [image].
See also
Layout properties in the Layout palette


To distribute objects

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To distribute objects
To distribute objects
Distributing objects spaces them evenly within the area bounded by the current selection. The selected objects can be spaced evenly across or down, or arranged in rows and columns. When you distribute objects in the current selection area, the objects are spaced evenly between the leftmost and rightmost edges of the objects in the selection area.
Three objects in a line with different spacing between them.
Same three objects after distribution spaced evenly.
When you distribute a number of objects in rows and columns, the objects closest to the outer edges of the selection area determine the positions of the leftmost and rightmost columns and the top and bottom rows.
Several objects aligned neither horizontally or vertically.
Same objects after distribution, aligned in columns and rows.
Tip:
For complex layouts, distributing a single row or column at a time provides more control than distributing all of the objects in rows and columns at once. For the best results, you could try distributing the leftmost column first, followed by the topmost row. Afterward, select and left align each row with the leftmost column.
1.
Select the objects that you want to distribute.
2.
Do one of the following actions:
•
To distribute the objects evenly across the current selection area, select Layout > Distribute > Across or click Distribute Evenly Across [image].
•
To distribute the objects evenly down the current selection area, select Layout > Distribute > Down or click Distribute Evenly Down [image].
•
To distribute the objects in rows and columns, select Layout > Distribute > In Rows & Columns or click Distribute Evenly In Rows And Columns [image].
See also
To align objects to each other
To align objects to a grid
To center objects on the page
Keys for manipulating objects


To resize objects

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To resize objects
To resize objects
You can change the size of an object or a group of objects by using the mouse. When you resize more than one object at a time, the objects are resized proportionally. To change the size of several objects by different amounts, you select and change the size of each object individually.
You can also change the size of an object by editing the settings in the Layout palette.
Note:
You can only resize an image field if its Sizing option (located in the Field tab of the Object palette) is set to an option other than Use Image Size.
1.
Select each object that you want to resize.
2.
Position the pointer over one of the selection handles, and when the pointer becomes a double-headed arrow, do one of the following steps:
•
To make the object larger, drag the handle away from the selection.
•
To make the object smaller, drag the handle toward the middle of the selection.
As you drag the handle, the status bar displays the size of the object.
See also
To make objects the same size
Layout properties in the Layout palette


To make objects the same size

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To make objects the same size
To make objects the same size
You can make two or more objects the same width, height, or both. The dimensions of the last object you select determine which width or height are used. For example, if you Shift+click several objects to make the same width, the objects are resized to match the width of the object that you selected last. In a group of selected objects, the last object has solid resizing handles.
Note:
You can only resize an image field if its Sizing option (located in the Field tab of the Object palette) is set to an option other than Use Image Size.
1.
Select the objects that you want to make the same size.
2.
Select Layout > Make Same Size > [dimension].
See also
To align objects to each other
To resize objects


To make objects expand to fit

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To make objects expand to fit
To make objects expand to fit
When data is merged, objects can grow in both width and height from the anchor point. Because any expansion of the object occurs in the opposite direction from the anchor point, the anchor point may restrict the direction in which an object may grow. For example, if you choose an anchor point of Top Middle, the object may grow to the left, right, and down.
Caution:
The Expand To Fit option should not be selected for Acrobat 6-compatible forms. Users cannot edit the data in expandable fields in Acrobat 6 compatible forms. Instead, you should position and size fields to accommodate the longest possible user-entered data value.
To manually expand objects, you can also select the Show Text Overflow Indicators option on the Wizards and Tips panel in the Options dialog box. See Wizards and Tips (Options dialog box).
1.
Select the object.
2.
In the Layout palette, select the Expand To Fit option for the width, height, or both.
See also
Layout properties in the Layout palette


To position objects

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > To position objects
To position objects
You can specify the precise position of an object using the X and Y coordinates in the Layout palette. The X coordinate defines the horizontal position of the object relative to the left edge of the subform. The Y coordinate defines the vertical position of the object relative to the top edge of the subform. The overall size of an object includes the caption (if any) and the associated fillable area.
1.
Select the object.
2.
From the Layout palette menu, select either of these options:
•
Absolute Coordinates
•
Relative Coordinates
3.
In the Layout palette, specify the X and Y coordinates of the object.
See also
Using Snap to Grid
Layout properties in the Layout palette


Using Snap to Grid

Using LiveCycle Designer ES > Working with Objects > Aligning and sizing objects > Using Snap to Grid
Using Snap to Grid
You can use the Snap to Grid option to automatically snap objects that you place on the form design to the nearest point on the grid. The Snap to Grid option is available in the Drawing Aids palette and from the View menu.
When you move an object, Snap to Grid ensures that the X and Y coordinates of the object's anchor point are evenly divisible by the grid unit. If an object's width or height is not evenly divisible by the current grid unit, you cannot position the object beyond that last grid point where it will not exceed the extent of the page content area.
If you want to position an object tightly against the right or bottom edge of a page, keep the following points in mind:
•
If Snap to Grid is selected, the only way to position an object tightly against the right or bottom edge of the page is to ensure that its width and height are evenly divisible by the grid unit. The simplest way to achieve this is to resize the object by dragging the bottom-left corner while Snap to Grid is selected. Snap to Grid will restrict the size of the object to even multiples of the grid unit.
•
If Snap to Grid is not selected, you can manually position the object as close as possible to the right and bottom edge of the page.
See also
To align objects to a grid
Drawing Aids palette


Formatting text and paragraphs

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs
Formatting text and paragraphs
About formatting text
To apply a different font
To change the font size
To apply bold, italic, underline, or strikethrough formatting
To change the color of text
To change the baseline shift of text
To change the letter spacing of text
To change the vertical or horizontal scale of text
To auto kern text
About formatting paragraphs
To align paragraphs
To change the indentation of paragraphs
To change the spacing of paragraphs
About hyphenation in selected paragraphs
To hyphenate the text in a selected paragraph
To remove hyphenation from a selected paragraph


About formatting text

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > About formatting text
About formatting text
You can define font properties for text objects, object captions, and data values.
The Font palette contains all of the font properties available. You can define these font properties in the Font palette:
•
Type of font
•
Font size and style
•
Baseline shift
•
Vertical and horizontal scale of font
•
Letter spacing
•
Auto kern
You can use the Font toolbar to quickly define common text formatting properties, including font type, size, and style.
Note:
If you are creating objects that may display text in languages that use non-Latin-1 characters, make sure that you choose a font for the object that supports the full character set of the language and the appropriate locale by using the Field tab of the Object palette.
See also
Font properties in the Font palette
About formatting paragraphs
Paragraph properties in the Paragraph palette


To apply a different font

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To apply a different font
To apply a different font
1.
Select the text you want to change or select the object.
If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Font palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Font palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Font palette, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, from the Font list, select a font name.
See also
Font properties in the Font palette


To change the font size

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the font size
To change the font size
1.
Select the text you want to change or select the object.
If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Font palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Font palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Font palette, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, from the Font Size box, type or select a point size.
See also
Font properties in the Font palette


To apply bold, italic, underline, or strikethrough formatting

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To apply bold, italic, underline, or strikethrough formatting
To apply bold, italic, underline, or strikethrough formatting
1.
Select the text you want to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Font palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Font palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Font palette, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, do one of the following actions:
•
To apply bold formatting, click Bold.
•
To apply italic formatting, click Italic.
•
To apply underline formatting, click Underline.
•
To apply strikethrough formatting, click Strikethrough.
See also
Font properties in the Font palette


To change the color of text

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the color of text
To change the color of text
1.
Select the text you want to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Font palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Font palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Font palette, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, click the color selector and select the color you want.
See also
Font properties in the Font palette


To change the baseline shift of text

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the baseline shift of text
To change the baseline shift of text
Use the baseline shift option to specify the amount of space to move a character (or group of characters) up or down relative to the baseline. Positive numbers shift characters up, and negative numbers shift characters down.
You can use baseline shift to make small adjustments to text such as positioning copyright and trademark symbols (© and ™), or to create superscript or subscript such as a number or figure used in a formula or mathematical expression, which is smaller than the adjacent text, and is set slightly above or below the line of type.
Adjusting the baseline shift does not change the line spacing or font size of the characters. When you change the spacing between lines or the font size, the baseline-shift position is maintained proportionally. You can change font sizes in the Font palette, and adjust line spacing in the Paragraph palette.
1.
Select the text to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Font palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Font palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Font palette, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, in the Baseline Shift box, type the amount of shift to apply.
See also
Font properties in the Font palette
Font palette


To change the letter spacing of text

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the letter spacing of text
To change the letter spacing of text
Use the letter spacing options to adjust the amount of space between the letters in a word or group of words. LiveCycle Designer ES uses EM units of measure (proportional width of a letter m) to space letters. The minimum value you can enter is -1 000 (-1em). The maximum value you can enter is 10 000 (10em). The default value is 0 (no spacing). You must enter whole numbers; fractions are rounded off to the nearest whole number.
Note:
The Letter Spacing box displays Mixed when you apply different letter-spacing values within one or more selected objects.
1.
Select the text to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
In the Font palette, do one of the following actions:
•
To edit the caption and data value, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, in the Letter Spacing box, type the amount of letter spacing to apply.
See also
Font properties in the Font palette
Font palette


To change the vertical or horizontal scale of text

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the vertical or horizontal scale of text
To change the vertical or horizontal scale of text
Use the vertical and horizontal scale options to increase or decrease the size of text. LiveCycle Designer ES calculates font scaling in percentage units. The default value for the vertical and horizontal scale is either 100% or no scaling. The minimum value you can enter is 1%. The maximum value you can enter is 1000%. Negative values are not applicable. You can enter values that have up to two decimal places (for example, 50.75%).
The percentage symbol (%) is automatically generated when the value in the box is validated. If you type an invalid value, the last correct value is displayed instead.
Note:
The Vertical Scale and Horizontal Scale boxes display Mixed when you apply different vertical or horizontal scale values within one or more selected objects.
1.
Select the text to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
In the Font palette, do one of the following actions:
•
To edit the caption and data value, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, in the Vertical Scale box, or in the Horizontal Scale box, or in both, type the percentage of scaling to apply.
See also
Font properties in the Font palette
Font palette


To auto kern text

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To auto kern text
To auto kern text
Use the auto kern option to reduce the amount of space between certain letters. Auto kerning minimizes uneven spacing and maintains a uniform distance between the letters within a word or group of words. For example, letter combinations, such as WA, MW, and TA, are typically kerned for a better appearance.
1.
Select the text to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
In the Font palette, do one of the following actions:
•
To edit the caption and data value, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, click the Currently Editing palette menu and select Edit Value.
3.
In the Font palette, select Auto Kern.
See also
Font properties in the Font palette
Font palette


About formatting paragraphs

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > About formatting paragraphs
About formatting paragraphs
You can define paragraph properties for text objects, object captions, and data values. To define these properties, you must first select the object.
The Paragraph palette contains all of the paragraph properties available in LiveCycle Designer ES. You can define these paragraph properties in the Paragraph palette:
•
Alignment and spread
•
Indentation
•
Line spacing
•
Hyphenation
You can use the Text Formatting toolbar to quickly access the most common paragraph formatting commands.
See also
Paragraph properties in the Paragraph palette
About hyphenating text


To align paragraphs

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To align paragraphs
To align paragraphs
1.
Select the text you want to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Paragraph palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Paragraph palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Paragraph palette, click the Currently Editing palette menu and select Edit Value.
3.
Do one of the following actions:
•
To align text left of right, in the Paragraph palette, click Align Left or Align Right.
•
To center text, in the Paragraph palette, click Align Center.
•
To justify text, in the Paragraph palette, click Justify.
•
To align text to the top of the area reserved for the caption and value, in the Paragraph palette, click Align Top.
•
To align text to the middle of the area reserved for the caption and value, in the Paragraph palette, click Align Middle.
•
To align text to the bottom of the area reserved for the caption and value, in the Paragraph palette, click Align Bottom.
See also
Paragraph properties in the Paragraph palette


To change the indentation of paragraphs

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the indentation of paragraphs
To change the indentation of paragraphs
1.
Select the text you want to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Paragraph palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Paragraph palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Paragraph palette, click the Currently Editing palette menu and select Edit Value.
3.
Do one of the following actions:
•
To increase or decrease the left indent of text, in the Paragraph palette, under Indents, enter the indent you want in the Left box.
•
To change the right indent of text, in the Paragraph palette, under Indents, enter the indent you want in the Right box.
•
To create a first-line indent, in the Paragraph palette, in the First list, select First Line. In the By box, type the measurement to indent.
•
To create a hanging indent, in the Paragraph palette, in the First list, select Hanging. In the By box, type the measurement to indent.
See also
Paragraph properties in the Paragraph palette


To change the spacing of paragraphs

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To change the spacing of paragraphs
To change the spacing of paragraphs
1.
Select the text you want to change or select the object. If Edit > Lock Text is enabled, double-click the text.
2.
Do one of the following actions:
•
To edit the caption and data value, in the Paragraph palette, click the Currently Editing palette menu and select Edit Caption and Value.
•
To edit only the caption, in the Paragraph palette, click the Currently Editing palette menu and select Edit Caption.
•
To edit only the data value, in the Paragraph palette, click the Currently Editing palette menu and select Edit Value.
3.
Do one of the following actions:
•
To change the spacing before or after text, in the Paragraph palette, under Spacing, enter the spacing you want in the Above or Below box.
•
To space lines, in the Paragraph palette, from the Line Spacing list, select an option.
See also
Paragraph properties in the Paragraph palette


About hyphenation in selected paragraphs

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > About hyphenation in selected paragraphs
About hyphenation in selected paragraphs
Although the hyphenation values you select in the Form Properties and Options dialog boxes apply to the text in the entire form, you can use the Hyphenate option in the Paragraph palette to add or remove hyphenation in individual paragraphs. Use the Hyphenate option to manually adjust text layout on an object-by-object basis.
You can hyphenate the text in the caption area of objects such as text fields, decimal fields, and numeric fields, and the value area of text field objects (default text and text the form filler enters).
It is recommended that you become familiar with the various options you need to select for objects that contain hyphenated text. (See About hyphenating text.)
Tip:
When the Hyphenate New Items is selected in the Options dialog box on the Formatting page, the Hyphenation option is automatically selected with new objects added to a form.
See also
About hyphenating text
Considerations for setting hyphenation
Setting and removing hyphenation in forms
Paragraph properties in the Paragraph palette
Formatting (Options dialog box)
Formatting tab (Form Properties dialog box)


To hyphenate the text in a selected paragraph

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To hyphenate the text in a selected paragraph
To hyphenate the text in a selected paragraph
1.
To enable) the Hyphenate option in the Paragraph palette, do one of the following actions:
•
(New forms) Select Tools > Options > Formatting, and then choose Allow Hyphenation in Text and Field Captions, or Allow Hyphenation in Text Field Values, or both.
•
(Current form) Select Edit > Form Properties > Formatting > and choose Allow Hyphenation in Text and Field Captions, or Allow Hyphenation in Text Field Values, or both.
2.
Select the text to hyphenate.
3.
(Does not apply to text objects) In the Paragraph palette, click the Currently Editing palette menu and do one of the following actions:
•
To hyphenate caption and data value text, select Edit Caption and Value.
•
To hyphenate only caption text, select Edit Caption.
•
To hyphenate only data value text, select Edit Value.
4.
To hyphenate the text in the value area of text field objects, in the Object palette, on the Field tab, select Allow Multiple Lines.
5.
In the Layout palette, select Expand to Fit (Width), or Expand to Fit (Height), or both.
6.
In the Paragraph palette, select Hyphenate. The change is applied.
See also
About hyphenating text
Considerations for setting hyphenation
Setting and removing hyphenation in forms
Paragraph properties in the Paragraph palette
Formatting (Options dialog box)
Formatting tab (Form Properties dialog box)


To remove hyphenation from a selected paragraph

Using LiveCycle Designer ES > Working with Objects > Formatting text and paragraphs > To remove hyphenation from a selected paragraph
To remove hyphenation from a selected paragraph
•
Click the text to remove hyphenation from and, in the Paragraph palette, deselect Hyphenate. The change is applied.
See also
About hyphenating text
Considerations for setting hyphenation
Setting and removing hyphenation in forms
Paragraph properties in the Paragraph palette
Formatting (Options dialog box)
Formatting tab (Form Properties dialog box)


Formatting objects

Using LiveCycle Designer ES > Working with Objects > Formatting objects
Formatting objects
To add space around an object
To add a border around an object
To add a border around the fillable area
To change the default formatting for new objects


To add space around an object

Using LiveCycle Designer ES > Working with Objects > Formatting objects > To add space around an object
To add space around an object
All objects have a certain amount of white space or margin around them.
1.
Select the object.
2.
In the Layout palette, set the margins for Left, Right, Top, and Bottom.
See also
Layout properties in the Layout palette


To add a border around an object

Using LiveCycle Designer ES > Working with Objects > Formatting objects > To add a border around an object
To add a border around an object
To define border properties for an object that supports borders, you must first select the object. The properties that you define in the Border palette apply to the whole object.
1.
Select the object.
2.
In the Border palette, from the Edges list, select an editing option.
•
To apply a border to each edge separately, select Edit Individually. This option does not apply to three-dimensional borders.
•
To apply the same border to all edges, select Edit Together.
3.
Beneath the Edges list, select a style, width, and color for the borders.
4.
To have notched corners, click one of the Corners buttons and, in the Radius box, define the corner radius (in inches, centimeters, or points).
5.
To fill the object with color or a pattern, select an option from the Style list and, using the adjacent color selector buttons, select appropriate fill colors.
See also
Border properties in the Border palette
To add a border around the fillable area


To add a border around the fillable area

Using LiveCycle Designer ES > Working with Objects > Formatting objects > To add a border around the fillable area
To add a border around the fillable area
You can also specify the border properties of the fillable areas of an object. For example, for a text field, you can apply one type of border and fill to the overall object and another type of border and fill to the value area that displays data. These objects have fillable areas:
•
Command buttons
•
Check boxes
•
Signature Fields
•
Drop-down lists
•
List boxes
•
Numeric fields
•
Password fields
•
Radio buttons
•
Text fields
1.
Select the object.
2.
In the Object palette, click the Field tab. From the Appearance list, select Custom.
3.
Select a style for the border of the fillable area. The options are the same as those in the Border palette.
4.
If applicable for the object, type a border width and select a color for the border.
5.
To have notched corners, click one of the Corners buttons and in the Radius box, define the corner radius (in inches, centimeters, or points).
6.
To fill the fillable area with color or a pattern, select an option from the Style list and using the adjacent color selector buttons, select appropriate fill colors.
See also
To add a border around an object
Border properties in the Border palette


To change the default formatting for new objects

Using LiveCycle Designer ES > Working with Objects > Formatting objects > To change the default formatting for new objects
To change the default formatting for new objects
You can set the default formatting for new objects and save it in the Object Library. For example, you can change the default font for all new Text objects to Times New Roman.
1.
Insert an object.
2.
Make the changes to the object. For example, add a border, apply a different font, change the size of the text.
3.
Drag the object into a category in the Object Library palette.
4.
In the Add Library Object dialog box, type the name of the object and click OK.
If another object of the same name already exists in that tab, LiveCycle Designer ES asks you to confirm that you want to replace the existing object.
See also
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Border properties in the Border palette


Using leaders in text

Using LiveCycle Designer ES > Working with Objects > Using leaders in text
Using leaders in text
About leaders
To add a leader
To edit a leader
To delete a leader
To delete tab stops


About leaders

Using LiveCycle Designer ES > Working with Objects > Using leaders in text > About leaders
About leaders
Use leaders to guide the reader from one piece of information to another across a page, such as in a table of contents, price list, or invoice. You can add leaders to a line or block of text in text objects and in the caption area of objects such as text fields, decimal fields, and numeric fields. When the text object or caption area is in edit mode, the Leader command is available in the Insert menu and the Context menu.
You can define and edit leader properties such as the end position, pattern, line thickness or dot spacing, and alignment. You can also adjust the positioning, size, and appearance of leaders by using the options in the Font and Paragraph palettes.
When you add a leader, LiveCycle Designer ES draws a leader from the insertion point to the end position that you specify. The leader end position is based on ruler increments. The default end position extends the leader to the right edge of the caption or static text object. You can only define or edit one leader at a time. All changes are applied immediately.
You can define different leaders for each paragraph of text. However, it is important to understand that a new paragraph inherits the leader properties from the previous paragraph. In other words, when you create a new paragraph, any leaders defined in the previous paragraph apply to the new paragraph.
See also
Font properties in the Font palette
Font palette


To add a leader

Using LiveCycle Designer ES > Working with Objects > Using leaders in text > To add a leader
To add a leader
1.
Place the insertion point where you want the leader to start within the text object or caption area, and then select Insert > Leader.
2.
In the Leader End Position box, type the ruler position where you want the leader to end.
3.
In the Leader Pattern list, select the pattern to fill the leader.
4.
In the Leader Dot Spacing or Leader Underline Weight list, select the amount of space to appear between dots or dashes, or select the thickness of the line.
5.
Set the alignment for the leader by doing one of these actions:
•
To align the left side of the text that follows the leader (immediately before the first letter) with the specified end position, click Left Align Leader.
•
To align the right side of the text that follows the leader (immediately after the last letter) as the end position for the leader, click Right Align Leader.
6.
Click anywhere in the Layout Editor to close the dialog box.
See also
Font properties in the Font palette
Font palette


To edit a leader

Using LiveCycle Designer ES > Working with Objects > Using leaders in text > To edit a leader
To edit a leader
1.
Select the leader and edit it.
2.
Click anywhere in the Layout Editor to close the dialog box.
See also
Font properties in the Font palette
Font palette


To delete a leader

Using LiveCycle Designer ES > Working with Objects > Using leaders in text > To delete a leader
To delete a leader
The Delete Leader command removes the selected leader (tab), the associated tab stops, as well as any leader properties, such as pattern, spacing, and alignment.
Note:
The Delete Leader command is available on the Edit menu after you select a leader. However, if the Delete Leader command remains unavailable after you select a leader, this means that the leader is not associated with a tab stop. When this is the case, you can use the Delete key to remove the leader.
1.
Select the leader to delete.
2.
Select Edit > Delete Leader.
See also
To delete tab stops
Font properties in the Font palette
Font palette


To delete tab stops

Using LiveCycle Designer ES > Working with Objects > Using leaders in text > To delete tab stops
To delete tab stops
If you use the Delete key on the keyboard to delete a selected leader, only the tab character is removed. Any associated tab stops or leader properties such as pattern, spacing, and alignment are not removed.
To delete unused tab stops, you must use the Delete Tab Stops dialog box.
Note:
The Delete Tab Stops command is available on the Edit menu when there are one or more tab stops in the current paragraph. If there are two or more paragraphs within a selection, the dialog is unavailable.
1.
Select Edit > Delete Tab Stops.
2.
Complete one of the following actions:
•
To delete selected tab stops, select one or more tab stops from the list, and then click Clear.
•
To delete all tab stops, click Clear All.
3.
Click OK.
See also
To delete a leader
Delete Tab Stops dialog box
‘Font properties in the Font palette
Font palette


Using form object collections

Using LiveCycle Designer ES > Working with Objects > Using form object collections
Using form object collections
About form object collections
To create a form object collection
To copy a form object collection
To rename a form object collection
To modify a form object collection
To delete a form object collection


About form object collections

Using LiveCycle Designer ES > Working with Objects > Using form object collections > About form object collections
About form object collections
You can select only the required objects to be covered by a signature field or encoded in a paper forms barcode, and save them as a collection.
A collection applies to either signature fields or to paper forms barcodes, but not to both, because the objects are represented differently. The collections that are available for signature fields appear in the Signature tab in the Object palette. The collections that are available for paper forms barcodes appear in the Value tab in the Object palette.
See also
About digital signatures
Overview of paper forms barcodes


To create a form object collection

Using LiveCycle Designer ES > Working with Objects > Using form object collections > To create a form object collection
To create a form object collection
You can create a collection for signature fields or for paper forms barcodes. You can create one or many collections and select the one you want to use for a particular signature field or paper forms barcode.
1.
Select Edit > Form Object Collections.
2.
Click New and type a name for the collection in the box.
3.
Click Modify and select the appropriate option from the Collection Type List. The list displays the available objects for the selected collection type.
4.
Select the objects to include in the collection. To hide unsupported objects for the type of collection, select Hide Unsupported Nodes.
5.
Click OK.
See also
To add a signature field
Signature field properties in the Signature tab
Design tips for using a paper forms barcode
Paper forms barcode properties in the Value tab
Collection Editor dialog box
Collection List dialog box


To copy a form object collection

Using LiveCycle Designer ES > Working with Objects > Using form object collections > To copy a form object collection
To copy a form object collection
1.
Select Edit > Form Object Collections.
2.
Select a collection from the list and click Duplicate.
3.
Double-click the collection and type a name.
4.
To specify the position of the collection, click Move Up or Move Down.
See also
To add a signature field
Signature field properties in the Signature tab
Design tips for using a paper forms barcode
Paper forms barcode properties in the Value tab
Collection Editor dialog box
Collection List dialog box


To rename a form object collection

Using LiveCycle Designer ES > Working with Objects > Using form object collections > To rename a form object collection
To rename a form object collection
1.
Select Edit > Form Object Collections.
2.
Double-click the collection in the list and type the new name.
See also
To add a signature field
Signature field properties in the Field tab
Design tips for using a paper forms barcode
Paper forms barcode properties in the Value tab
Collection Editor dialog box
Collection List dialog box


To modify a form object collection

Using LiveCycle Designer ES > Working with Objects > Using form object collections > To modify a form object collection
To modify a form object collection
1.
Choose one of these methods:
•
Select Edit > Form Object Collections and go to step 3
•
Select a signature field or paper forms barcode object on the page.
2.
Do one of the following actions:
•
To modify a collection for a paper forms barcode, in the Object palette, click the Value tab.
•
To modify a collection for a signature field, in the Object palette, click the Signature tab.
3.
In the Collection list, select New/Manage Collection.
4.
Select the collection that you want to modify and click Modify.
5.
Select the appropriate option from the Collection Type List.
6.
Select the objects to remove or include in the collection. To hide unsupported objects for the type of collection, select Hide Unsupported Nodes.
7.
Click OK.
8.
To specify the position of the collection, click Move Up or Move Down.
See also
To add a signature field
Signature field properties in the Signature tab
Design tips for using a paper forms barcode
Paper forms barcode properties in the Value tab
Collection Editor dialog box
Collection List dialog box


To delete a form object collection

Using LiveCycle Designer ES > Working with Objects > Using form object collections > To delete a form object collection
To delete a form object collection
1.
Select Edit > Form Object Collections.
2.
Select a collection from the list, click Delete, and then click Yes.
See also
To add a signature field
Signature field properties in the Signature tab
Design tips for using a paper forms barcode
Paper forms barcode properties in the Value tab
Collection Editor dialog box
Collection List dialog box


Making objects visible, invisible, or hidden

Using LiveCycle Designer ES > Working with Objects > Making objects visible, invisible, or hidden
Making objects visible, invisible, or hidden
About making objects visible, invisible, or hidden
To make an object visible, invisible, or hidden


About making objects visible, invisible, or hidden

Using LiveCycle Designer ES > Working with Objects > Making objects visible, invisible, or hidden > About making objects visible, invisible, or hidden
About making objects visible, invisible, or hidden
Depending on the purpose of the form, you may want to control which objects are displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form from within Acrobat or Adobe Reader. With the various options in the Presence list in the Object palette, you can selectively make different objects in a PDF form visible, invisible, or hidden when the form is viewed on-screen or printed from within Acrobat or Adobe Reader. You can also specify that an object only print when the form is printed on the front or both sides of the printed page.
Keep in mind the following factors when applying presence options to objects:
•
The Invisible and Hidden options are unavailable for groups, content areas, master pages, page sets, and subform sets.
•
The presence option you apply to container objects such as subforms overrides the presence option applied to each contained object. For example, if you apply the Visible (Print Only) option to a subform set, the subform and the collected objects will not appear on-screen but will appear in the printed form, regardless of the presence setting of the individual objects.
•
If you intend to print a form from within Acrobat or Adobe Reader, do not apply the Visible (Screen Only) option to any content area objects in the form. If you apply this option, the content area will appear on-screen but will not appear or render in the printed form. As a result, the form will not print properly. A warning marker appears in the upper-right corner of the master page to let you know when a content area or master page object is not present in both the screen and the print views.
•
When you apply the Visible (Print Only) option to an object, the object will appear in the Design View and Master Page tabs but will not appear in the Preview PDF tab.
The following list describes some of the ways you can use the presence options:
•
Visible
The object is visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or the server), and occupies space in the form layout. For example, if you want the form to look the same on-screen and in print, you can apply the Visible option to all of the objects in the form. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form if printed from within Acrobat or Adobe Reader, and occupies space in the form layout. The object is visible in the printed form if printed from the server. For example, if you have a form that users will fill, submit online, and then print, you can apply the Visible (Screen Only) option to Print and Submit buttons so that the buttons are visible on-screen but not visible in the printed form.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form if printed from within Acrobat or Adobe Reader, and occupies space in the form layout. The object is visible in the printed form if printed from the server. For example, if you need to include some instructional text in the printed form that is not required on-screen, such as mailing instructions, you can apply the Visible (Print Only) option to Text Field objects that contain the instructions so that the text is visible in the printed form but not visible on-screen.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout. For example, if you want an area in a form to remain invisible until a user selects a certain option, such as the section for payment-type information in a billing form, you can apply the Invisible option to the text field objects used for gathering credit card information so that they remain invisible until the user selects a Radio button that indicates the credit card type.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout. For example, if you want a section in a form to remain hidden until a user selects a certain option and to not occupy space in the form layout when the section is hidden, you can apply the Hidden (Exclude from Layout] option to the subform that contains the various objects in the section so that the form layout adjusts as needed.
•
One-sided Printing Only
The object is visible on-screen, visible on the front side of each printed page of the form (when printed from within Acrobat, Adobe Reader, or the server), and occupies space in the form layout. For example, to have the page number appear at the lower-right of the pages, apply the One-sided Printing Only option to the page number object.
•
Two-sided Printing Only
The object is visible on-screen, visible on the both sides of each printed page of the form (when printed from within Acrobat, Adobe Reader, or the server), and occupies space in the form layout. For example, to have the page number appear at the lower-right of each odd-numbered printed page and at the lower-left of each even numbered printed page when double-sided printing, you must create two master pages. In the first master page, you place the page number object at the lower-right and apply the Visible option. In the second master page, you create two page number fields. Place one at the lower-left and apply the Two-sided Printing Only option; place the other at the lower-right and apply the One-sided Printing Only option.


To make an object visible, invisible, or hidden

Using LiveCycle Designer ES > Working with Objects > Making objects visible, invisible, or hidden > To make an object visible, invisible, or hidden
To make an object visible, invisible, or hidden
The Presence list appears in a different tab, depending on the object selected.
1.
Select the object.
2.
In the Object palette, click the appropriate tab.
3.
In the Presence list, select one of the following options:
•
To make the object visible on-screen, visible in the printed form, and occupy space in the form layout, select Visible.
•
To make the object visible on-screen, not visible in the printed form, and occupy space in the form layout, select Visible (Screen Only).
•
To make the object not visible on-screen, visible in the printed form, and occupy space in the form layout, select Visible (Print Only).
•
To make the object not visible on-screen, not visible in the printed form, and occupy space in the form layout, select Invisible.
•
To make the object not visible on-screen, not visible in the printed form, and not occupy any space in the form layout, select Hidden (Exclude from Layout).
•
To make the object visible on-screen, visible on only the front side of each sheet in the printed form, and occupy space in the form layout, select One-sided Printing Only.
•
To make the object visible on-screen, visible on both sides of each sheet in the printed form, and occupy space in the form layout, select Two-sided Printing Only.


Formatting captions

Using LiveCycle Designer ES > Working with Objects > Formatting captions
Formatting captions
About captions
To rename a caption
To position a caption
To specify the amount of space for a caption
To set the caption area to auto-fit
To hide a caption


About captions

Using LiveCycle Designer ES > Working with Objects > Formatting captions > About captions
About captions
A number of the standard field objects in the Object Library palette support captions. Captions provide textual information to the viewers of the final form.
When you add an object that supports captions, LiveCycle Designer ES assigns a default name for the caption. The default name is the name of the object. For example, if you add a list box object to the form design, the default caption is List Box.
When creating the form design, you can see the caption for the object in two places: on the form design (above the object (the default position)) or in the Field tab of the Object palette.
You can edit the caption text by using the Field tab of the Object palette or by editing the caption text directly on the page. If the text wraps as you type, increasing the size of the object will display the text properly. If the object displays a white cross in a red box [image], the object either needs to be resized or have the caption reserve adjusted. A reserve of 0 sets the caption area to auto-fit so that it adjusts to fit the entire caption. The caption is protected and users cannot be modified it when filling the form.
Note:
When you bind a caption to a data source, the caption is always shown in the form, even if you have set Caption Position in the Layout tab to None.
If you need to rearrange field objects, but do not want to risk modifying their captions, you can use the Lock Text command. Using this command lets you to move the field objects around easily but makes the caption not as easy to modify.
Note:
You cannot select or edit captions if a field object is locked. See To lock objects.
See also
Formatting text and paragraphs
To create a caption by merging a text object and a field object
To insert language-specific numbers in text or captions
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Layout properties in the Layout palette


To rename a caption

Using LiveCycle Designer ES > Working with Objects > Formatting captions > To rename a caption
To rename a caption
1.
Select the object.
2.
Do one of the following actions:
•
To change the caption in the Layout Editor, select the text of the caption and type a new caption. If Edit > Lock Text is enabled, double-click the text.
•
To change the caption by using the Object palette, click the Field tab type a new caption in the Caption box.
Tip:
You can dynamically populate a caption with a value from a data source.
See also
To lock objects
To dynamically populate a caption


To position a caption

Using LiveCycle Designer ES > Working with Objects > Formatting captions > To position a caption
To position a caption
Captions are positioned relative to the fillable area of an object.
1.
Select one or more objects.
2.
In the Layout palette, select a position for the caption from the Position list.
Note:
When you bind a text field caption to a data source, the text field's caption label is always shown in the form, even if you selected None for the caption position in the Layout tab


To specify the amount of space for a caption

Using LiveCycle Designer ES > Working with Objects > Formatting captions > To specify the amount of space for a caption
To specify the amount of space for a caption
You can adjust the amount of white space between the caption and the fillable area.
1.
Select one or more objects.
2.
In the Layout palette, type a new value in the Reserve box.
Note:
If you enter a reserve space before selecting a position for the caption, LiveCycle Designer ES adjusts the reserve space automatically.


To set the caption area to auto-fit

Using LiveCycle Designer ES > Working with Objects > Formatting captions > To set the caption area to auto-fit
To set the caption area to auto-fit
1.
Select one or more objects.
2.
In the Layout palette, type 0 in the Reserve box. This number sets the caption area to auto-fit so that it adjusts to fit the entire caption.
See also
Layout properties in the Layout palette


To hide a caption

Using LiveCycle Designer ES > Working with Objects > Formatting captions > To hide a caption
To hide a caption
1.
Select one or more objects.
2.
In the Layout palette, select None from the Position list.
See also
Layout properties in the Layout palette


Formatting field values

Using LiveCycle Designer ES > Working with Objects > Formatting field values
Formatting field values
About field patterns and value formatting
When to use patterns
Defaults for value formatting
To specify a default value
To specify a display pattern
To prompt users to enter data
To specify an edit pattern
To validate user input
To specify a data pattern
Simple patterns
Locales
Epoch
Date formats
Time formats
Date and time patterns
Complex field patterns


About field patterns and value formatting

Using LiveCycle Designer ES > Working with Objects > Formatting field values > About field patterns and value formatting
About field patterns and value formatting
Depending on the requirements of your situation, you can specify one or more of the following patterns to control how field values, such as text fields, numeric fields, and date/time fields are formatted at run time:
•
A display pattern, which describes how data will be displayed in the form. If you define an initial default value, it is formatted according to the display pattern. The display pattern is also responsible for formatting user input and any bound values retrieved at run time.
•
An edit pattern, which describes the syntax for entering data into a date/time field, numeric field, text field, or password field at run time.
•
A validation pattern, which is used to validate user input at run time.
•
A data pattern, which describes the syntax of bound or saved data.
The formatting options that you choose will depend on the purpose of your form. For example, if you are designing an interactive form, for each field you should define an edit pattern to process user input and a validation pattern to validate the input. You would only define a data pattern if the fields are bound to a data source.
See also
When to use patterns
To specify a default value
To specify a display pattern
To prompt users to enter data
To specify an edit pattern
To validate user input
To specify a data pattern


When to use patterns

Using LiveCycle Designer ES > Working with Objects > Formatting field values > When to use patterns
When to use patterns
Use patterns to control how field values are processed at run time. For example, users can enter letters and numbers into a text field and any special punctuation or spacing can be applied automatically according to a predefined pattern before the value is displayed.
Capturing and displaying user input
If you are creating a form to capture data, you can specify how data should be formatted. You specify how the data should appear using a display pattern. If you do not specify a display pattern, the data appears according to LiveCycle Designer ES defaults.
If users will be entering data that does not match the LiveCycle Designer ES defaults, you must specify an edit pattern. The edit pattern describes the syntax of the user input. Given the pattern, the run-time application converts the user input into a raw value and then formats the value according to the display pattern.
If you are designing an interactive form, consider what user input must be validated. For example, a text field may or may not require validation depending on usage. A multiple line text field allowing the form filler to enter a comment does not need to be validated. Similarly, a numeric field will automatically prevent the form-filler from entering any non-numeric data. However, if the data has to be restricted to a specific range of numbers, you will want to validate the user input. You can choose to display a custom message to prompt users for a correct value at run time. If you do not specify a custom message, the system generates one automatically.
Note:
User input can be processed through FormCalc formulas and JavaScript scripts (for example, a script can request the raw value of a field). Because formulas and scripts operate on raw and formatted values, it is important to validate those fields where input is restricted.
One example of how an edit and validation pattern may be used together is a credit card or social security number entry. You could define a text field with the following edit patterns:
text{9999-9999-9999-9999}|text{9999 9999 9999 9999} for credit cards
or
text{999-99-9999}|text{999 99 9999} for a US social security number
In both cases, the user may enter the number with hyphen(-), space ( ), or just the 16 or 9 digit number. The canonical, or simplest form of the number is the 16 or 9 digit number.
You may also choose to add the following validation pattern:
text{9999999999999999}
or
text{999999999}
In this case, only the number is stored and the validation checks for the correct number of digits. However, in this case, it might be more useful to specify a validation script rather than a pattern. There are algorithms that will checksum a credit card number to ensure that it looks like a valid credit card number and not just a random 16 digit number. An example is the Luhn Algorith for credit cards.
The result is a form that has a text field where the edit pattern allows user entry in one of three typical ways for typing a credit number, and the validation runs a script that validates that the number looks like a valid credit card number.
Retrieving and displaying bound data
If bound data will be merged with a form, you can specify how the data should be formatted for display using a display pattern. If you do not specify a display pattern, the data is displayed according to LiveCycle Designer ES defaults.
If the bound data does not match LiveCycle Designer ES defaults, you must specify a data pattern. The data pattern describes the syntax of the bound data. Given the pattern, the run-time application converts the retrieved data into raw values and then formats them for display.
See also
About field patterns and value formatting
Defaults for value formatting


Defaults for value formatting

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Defaults for value formatting
Defaults for value formatting
Default values must conform to the following rules, depending on the type of field.
Field
Rule
Date/Time Field
A default date/time value must conform to the short format for the locale specified for the date/time field. However, by default, LiveCycle Designer ES displays the default value in the medium locale format at both design time and run time.
For example, consider a form with a Date/Time Field set to use the German (Germany) locale. You enter the default value for a date in the short format DD.MM.YY. After you change the focus to another field, the value specified in the field on the page is displayed in the medium format DD.MM.YYYY. The formatted value also appears in the medium format if you view the form in the Preview PDF tab.
Note:
At run time, by default, form fillers must edit the value of date/time fields using the short format for the locale specified for the field. If you specify an Edit Pattern on the Edit tab in the Patterns dialog box (Field tab > Patterns), that pattern overrides the short format, and users must enter data that conforms to the Edit Pattern.
Numeric Field or Decimal Field
A default numeric value can be any integer or any decimal number that contains a single radix point. The radix character can be either a “.” (period) or “,” (comma) depending on the locale selected. Thousands separators (or grouping symbols) and currency symbols are not valid as part of the default value.
For example, if a numeric field is set to the locale English (USA), and you specify the default value $1,234.56, both the currency symbol “$” (dollar sign) and the thousands separator “,” (comma) are not valid.
Text Field
A default text value (including passwords) can be any alphanumeric text string, including spaces.
Note:
Only those fields listed in the table have default values that must conform to locale-specific formatting.
See also
About field patterns and value formatting
Simple patterns
Complex field patterns
Date formats
Time formats


To specify a default value

Using LiveCycle Designer ES > Working with Objects > Formatting field values > To specify a default value
To specify a default value
Date/time fields, numeric fields, and text fields can display an initial (default) value when the form is opened. The value can be derived from a run-time property, or you can specify the value explicitly in LiveCycle Designer ES. The value can also be derived from an external data source through binding. At run time, LiveCycle Designer ES formats field default values according to the locale specified for each field.
1.
Select a date/time field, decimal field, numeric field, or text field.
2.
In the Object palette, click the Field tab. Select a locale from the Locale list.
3.
In the Object palette, click the Value tab. Type the value into the Default box.
The default value must be specified in locale-sensitive format.
Note:
If the data is bound and a data pattern has been specified, the value must match the data pattern specified in the Binding tab.
See also
About field patterns and value formatting
Defaults for value formatting
To specify a data pattern
Simple patterns


To specify a display pattern

Using LiveCycle Designer ES > Working with Objects > Formatting field values > To specify a display pattern
To specify a display pattern
At run time, LiveCycle Designer ES displays date, time, and numeric field values in locale-sensitive format. If you want to display a field value in a format other than the default, you can specify the custom pattern by clicking the Patterns button on the Field tab.
Note:
Drop-down lists support custom user entries, but a display pattern for custom user entries cannot be specified. You can write a script to format the user input if required.
Because the display pattern describes how data will be displayed in the form, all default values, user-entered values, and values retrieved from a database are converted to the format described by the display pattern.
Note:
Dates earlier than January 1, 1900 are not formatted by the display pattern.
1.
Select the date/time field, numeric field, or text field.
2.
In the Object palette, click the Field tab.
3.
Click Patterns and either select one of the predefined display patterns from the Select Type list or type a custom pattern in the Pattern box.
See also
About field patterns and value formatting
Defaults for value formatting
Simple patterns


To prompt users to enter data

Using LiveCycle Designer ES > Working with Objects > Formatting field values > To prompt users to enter data
To prompt users to enter data
Prompts are useful for situations where users are expected to enter data or make a selection. You can write a message to prompt users to enter a value into a date/time field, numeric field, text field, password field, or drop-down list, or prompt users to select an option from a drop-down list, list box, or radio button group.
If you specify a custom message for an object, it appears at these times:
•
When users enter a value in the field.
•
When users delete the value in the field.
•
When users exit the field by tabbing.
•
When users click the field without re-entering a value.
Note:
If users do not enter a value into the field and try to submit the form, the error message field is required appears. However, users can save and close a PDF form without providing recommended or required values. In this case, no messages appear to prompt users for input.
1.
Select the field, drop-down list, list box, or radio button group.
2.
In the Object palette, click the Value tab. From the Type list, select one of these options:
•
User Entered - Recommended
•
User Entered - Required
3.
In the Empty Message box, type the prompt. If applicable, the prompt should specify the required input format. For example, if you defined an edit pattern, the user input must conform to the edit pattern.
See also
To specify an edit pattern
To validate user input


To specify an edit pattern

Using LiveCycle Designer ES > Working with Objects > Formatting field values > To specify an edit pattern
To specify an edit pattern
At run time, LiveCycle Designer ES displays date, time, and numeric field values in locale-sensitive format. If you want to permit form fillers to edit field values in a format other than the locale-sensitive default, you can specify the Edit Pattern on the Field tab. If the user’s input does not conform to the edit pattern, the data is input as-is.
The edit pattern can be different than the display pattern. For example, because it is easier for users to enter short dates and read long dates, you could consider specifying a short date for a date/time field’s edit pattern and a long date for its display pattern. When the display and edit patterns are different, the value is formatted to match the display pattern as soon as the user exits the field.
Note:
This option is not available when the Type option in the Value tab of the Object palette is set to Protected, Calculated - Read Only or Read Only.
1.
Select the date/time field, numeric field, text field, or password field.
2.
In the Object palette, click the Field tab.
3.
Click Patterns, click the Edit tab, and either select one of the predefined display patterns from the Select Type list or type a custom pattern in the Pattern box.
See also
About field patterns and value formatting
Defaults for value formatting
To specify a display pattern
Simple patterns


To validate user input

Using LiveCycle Designer ES > Working with Objects > Formatting field values > To validate user input
To validate user input
Three separate validations are possible for any field. The order of initiation of these validations is as follows:
•
Test the field for null content.
•
Verify the format of the field value against a specific field pattern. For more information about field patterns, see Simple patterns.
•
Invoke a validation script.
You can define a validation pattern to validate user input for date/time fields, numeric fields, text fields, and password fields. By default, null entries are not accepted when a value is required. Raw values are compared to the validation pattern directly, and if the raw value matches the validation pattern, it is formatted for display.
If the user-entered value does not match the validation pattern, a programming error or warning appears. The error/warning is trapped by Acrobat, Adobe Reader, or LiveCycle Forms ES, which returns a message to the user automatically. If an edit pattern has not been specified and the user input does not match LiveCycle Designer ES defaults, validation fails.
A validation message displays if objects that require values contain null values and the user attempts to submit data to LiveCycle Forms ES.
Note:
Users can save and close a PDF form without providing required values. In this case, no validation is performed.
If desired, you can write a custom validation pattern message to replace the default error or warning message.
In addition to a validation pattern, or in cases where a validation pattern is not supported (for example, for radio button groups and check boxes), you can validate user input using a validation script. Validating input through a script ensures that the data is acceptable for your application. A custom message and run-time error/warning is also supported in this case.
Tip:
You can dynamically populate a validation pattern message with a value from a data source. This option allows you to ensure that users enter a valid value in the field.
To define a validation pattern and custom message
1.
Select the date/time field, numeric field, text field, password field, drop-down list, or list box.
2.
In the Object palette, click the Value tab.
3.
Click Validation Pattern and either select one of the predefined validation patterns from the Select Type list or type a custom pattern in the Pattern box.
4.
In the Validation Pattern Message box, type a message to prompt users to enter the correct value. The message should specify the required input format. To start a new line in the message, press Ctrl+Enter.
5.
If you want a programming error to appear instead of a warning, select the Error option.
To display a message when an attached script detects unacceptable input
1.
Select the date/time field, numeric field, text field, password field, drop-down list, list box, check box, or radio button group.
2.
In the Object palette, click the Value tab. In the Validation Script Message box, type the message.
3.
If you want a programming error to appear instead of a warning, select the Error option.
See also
About field patterns and value formatting
Defaults for value formatting
To specify an edit pattern
About scripting in LiveCycle Designer ES
To dynamically populate a validation pattern message


To specify a data pattern

Using LiveCycle Designer ES > Working with Objects > Formatting field values > To specify a data pattern
To specify a data pattern
Data binding options enable you to build a form that captures data for enterprise infrastructures and/or use an external data source to populate a form at run time. For example, given appropriate binding information (see About binding fields to a data source) and access to the data source (see About data sources), Acrobat and Adobe Reader can import and display data from an OLEDB database when the form is opened. Objects can also be bound to an XML schema, an XML file, or a WSDL data source.
Acrobat, Adobe Reader, and LiveCycle Forms ES interpret the data-binding properties to store captured data and parse retrieved data. By default, an object’s data is stored and merged according to Adobe data-merging rules. When a form opens in Acrobat or Adobe Reader, or is rendered by LiveCycle Forms ES, the field values are populated from the data source. Any changes to a field’s value by the user are committed to the associated data source when the form is saved in Acrobat or Adobe Reader or the data is submitted to LiveCycle Forms ES.
If the data is not bound to a data source (for example, if the form data will be returned by email), the data pattern specifies the format that the data is saved in. If you do not create a data pattern, the data will be saved in canonical format. If a form may be filled by end users in a variety of locales or if the data may be returned to more than one locale, having the data in canonical format helps ensure that it is interpreted the same way by all users.
You can specify data patterns for date/time fields, numeric fields, text fields, and password fields. If the data pattern prevents Acrobat or Adobe Reader, or LiveCycle Forms ES from parsing a retrieved value, the value appears in the form unchanged (it is not formatted for display).
1.
Select the date/time field, numeric field, text field, or password field.
2.
In the Object palette, click the Field tab.
3.
Click Patterns, click the Data tab, and either select one of the predefined data-binding patterns from the Select Type list or type a custom pattern in the Pattern box.
See also
About field patterns and value formatting
Defaults for value formatting


Simple patterns

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Simple patterns
Simple patterns
Simple patterns can be used to format the values of date/time fields, numeric fields, text fields, and password fields. They each have their own rules governing the valid formation of patterns. There is a limited set of characters that you can use in a pattern, and the syntax of a valid pattern differs among date/time fields, numeric fields, text fields, and password fields.
For information about the valid characters that you can use in a pattern and examples of valid constructs, see one of the sections listed below. For information about complex patterns for a date/time field, numeric field, or text field, see Complex field patterns.
See also
Defaults for value formatting
Date and time patterns
Numeric patterns
Text field patterns
Password patterns


Locales

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Locales
Locales
A locale is a standard term used when developing international standards to identify a particular nation (language, country or region). For the purposes of FormCalc, a locale defines the format of dates, times, numeric, and currency values relevant to a specific nation or region so that users can use the formats they are accustomed to.
Each locale is comprised of a unique string of characters called a locale identifier. The composition of these strings is controlled by the international standards organization (ISO) Internet Engineering Task Force (IETF), a working group of the Internet Society (www.isoc.org).
Locale identifiers consist of a language part, a country or region part, or both. The following table lists valid locales for this release of LiveCycle Designer ES.
Language
Country or Region
ISO Code
Arabic
United Arabian Emirates
ar_AE
Arabic
Bahrain
ar_BH
Arabic
Algeria
ar_DZ
Arabic
Egypt
ar_EG
Arabic
Iraq
ar_IQ
Arabic
Jordan
ar_JO
Arabic
Kuwait
ar_KW
Arabic
Lebanon
ar_LB
Arabic
Libya
ar_LY
Arabic
Morocco
ar_MA
Arabic
Oman
ar_OM
Arabic
Qatar
ar_QA
Arabic
Saudi Arabia
ar_SA
Arabic
Sudan
ar_SD
Arabic
Syria
ar_SY
Arabic
Tunisia
ar_TN
Arabic
Yemen
ar_YE
Bulgarian
Bulgaria
bg_BG
Chinese
Hong Kong
zh_HK
Chinese
People’s Republic of China (Simplified)
zh_CN
Chinese
Taiwan (Traditional)
zh_TW
Croatian
Croatia
hr_HR
Czech
Czech Republic
cs_CAZ
Danish
Denmark
da_DK
Dutch
Belgium
nl_BE
Dutch
Netherlands
nl_NL
English
Australia
en_AU
English
Canada
en_CA
English
India
en_IN
English
Ireland
en_IE
English
New Zealand
en_NZ
English
South Africa
en_ZA
English
United Kingdom
en_GB
English
United Kingdom Euro
en_GB_EURO
English
United States of America
en_US
Estonian
Estonia
et_EE
Finnish
Finland
fi_FI
French
Belgium
fr_BE
French
Canada
fr_CA
French
France
fr_FR
French
Luxembourg
fr_LU
French
Switzerland
fr_CH
German
Austria
de_AT
German
Germany
de_DE
German
Luxembourg
de_LU
German
Switzerland
de_CH
Greek
Greece
el_GR
Hebrew
Israel
he_IL
Hungarian
Hungary
hu_HU
Indonesian
Indonesia
id_ID
Italian
Italy
it_IT
Italian
Switzerland
it_CH
Japanese
Japan
ja_JP
Korean
Republic of Korea
ko_KR
Korean
Korea Hanja
ko_KR_HANI
Latvian
Latvia
lv_LV
Lithuanian
Lithuania
lt_LT
Malay
Malaysia
ms_MY
Norwegian - Bokmal
Norway
nb_NO
Norwegian - Nynorsk
Norway
nn_NO
Polish
Poland
pl_PL
Portuguese
Brazil
pt_BR
Portuguese
Portugal
pt_PT
Romanian
Romania
ro_RO
Russian
Russia
ru_RU
Serbo-Croatian
Bosnia and Herzegovina
sh_BA
Serbo-Croatian
Croatia
sh_HR
Serbo-Croatian
Serbia and Montenegro
sh_CS
Slovak
Slovakia
sk_SK
Slovenian
Slovenia
sl_SI
Spanish
Ecuador
es_EC
Spanish
El Salvador
es_SV
Spanish
Guatemala
es_GT
Spanish
Honduras
es_HN
Spanish
Nicaragua
es_NI
Spanish
Panama
es_PA
Spanish
Paraguay
es_PY
Spanish
Puerto Rico
es_PR
Spanish
Uruguay
es_UY
Spanish
Argentina
es_AR
Spanish
Bolivia
es_BO
Spanish
Chile
es_CL
Spanish
Columbia
es_CO
Spanish
Costa Rica
es_CR
Spanish
Dominican Republic
es_DO
Spanish
Mexico
es_MX
Spanish
Peru
es_PE
Spanish
Spain
es_ES
Spanish
Venezuela
es_VE
Swedish
Sweden
sv_SE
Thai
Thailand
th_TH
Thai
Thailand Traditional
th_TH_TH
Turkish
Turkey
tr_TR
Ukrainian
Ukraine
uk_UA
Vietnamese
Vietnam
vi_VN
Usually, both elements of a locale are important. For example, the names of weekdays and months, in English, for Canada and Great Britain are formatted identically, but dates are formatted differently. Therefore, specifying an English language locale is insufficient. Also, specifying only a country as the locale is insufficient. For example, Canada has different date formats for English and French.
In general, every application operates in an environment where a locale is present. This locale is known as the ambient locale. In some circumstances, an application might operate on a system, or within an environment, where a locale is not present. In these rare cases, the ambient locale is set to a default of English United States (en_US). This locale is known as a default locale.
See also
Epoch
Date formats
Time formats
Date and time patterns


Epoch

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Epoch
Epoch
Date values and time values have an associated origin or epoch, which is a moment in time from which time begins. Any date value and any time value prior to its epoch is invalid.
The unit of value for all date functions is the number of days since the epoch. The unit of value for all time functions is the number of milliseconds since the epoch.
LiveCycle Designer ES defines day one for the epoch for all date functions as Jan 1, 1900, and millisecond one for the epoch for all time functions is midnight, 00:00:00, Greenwich Mean Time (GMT). This definition means that negative time values can be returned to users in time zones east of GMT.
See also
Locales
Date formats
Time formats
Date and time patterns


Date formats

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Date formats
Date formats
A date format is a shorthand specification of how a date appears. It consists of various punctuation marks and symbols that represent the formatting that the date must use. The following table lists examples of date formats.
Date format
Example
MM/DD/YY
11/11/78
DD/MM/YY
25/07/85
MMMM DD, YYYY
March 10, 1964
The format of dates is governed by an ISO standard. Each country or region specifies its own date formats. The four general categories of date formats are short, medium, long, and full. The following table contains examples of different date formats from different locales for each of the categories.
Locale identifier and description
Date format (Category)
Example
en_GB
English (United Kingdom)
DD/MM/YY (Short)
08/18/92
08/04/05
fr_CA
French (Canada)
YY-MM-DD (Medium)
92-08-18
de_DE
German (Germany)
D. MMMM YYYY (Long)
17. Juni 1989
fr_FR
French (France)
EEEE, ' le ' D MMMM YYYY (Full)
Lundi, le 29 Octobre, 1990
See also
Locales
Epoch
Time formats
Date and time patterns


Time formats

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Time formats
Time formats
A time format is a shorthand specification to format a time. It consists of punctuations, literals, and pattern symbols. The following table lists examples of time formats.
Time format
Example
h:MM A
7:15 PM
HH:MM:SS
21:35:26
HH:MM:SS 'o''clock' A Z
14:20:10 o’clock PM EDT
Time formats are governed by an ISO standard. Each nation specifies the form of its default, short, medium, long, and full-time formats. The locale identifies the format of times that conform to the standards of that nation.
The following table contains some examples of different date formats from different locales for each of the categories.
Locale identifier and description
Time format (Category)
Example
en_GB
English (United Kingdom)
HH:MM (Short)
14:13
fr_CA
French (Canada)
HH:MM:SS (Medium)
12:15:50
de_DE
German (Germany)
HH:MM:SS z (Long)
14:13:13 -0400
fr_FR
French (France)
HH ' h ' MM Z (Full)
14 h 13 GMT-04:00
See also
Locales
Epoch
Date formats
Date and time patterns


Date and time patterns

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Date and time patterns
Date and time patterns
The following symbols must be used to create date and time patterns for date/time fields. Certain date symbols are only used in Chinese, Japanese, and Korean locales. These symbols are also specified below.
Note:
The comma (,), dash (-), colon (:), slash (/), period (.), and space ( ) are treated as literal values and can be included anywhere in a pattern. To include a phrase in a pattern, delimit the text string with single quotation marks ('). For example, 'Your payment is due no later than' MM-DD-YY can be specified as the display pattern.
Date symbol
Description
Formatted value for English (USA) locale where the locale-sensitive input value is 1/1/08 (which is January 1, 2008)
D
1 or 2 digit (1-31) day of the month
1
DD
Zero-padded 2 digit (01-31) day of the month
01
J
1, 2, or 3 digit (1-366) day of the year
1
JJJ
Zero-padded, three-digit (001-366) day of the year
001
M
One- or two-digit (1-12) month of the year
1
MM
Zero-padded, two-digit (01-12) month of the year
01
MMM
Abbreviated month name
Jan
MMMM
Full month name
January
E
One-digit (1-7) day of the week, where (1=Sunday)
3 (because January 1, 2008 is a Tuesday)
EEE
Abbreviated weekday name
Tue (because January 1, 2008 is a Tuesday)
EEEE
Full weekday name
Tuesday (because January 1, 2008 is a Tuesday)
YY
Two-digit year, where numbers less than 30 are considered to fall after the year 2000 and numbers 30 and higher are considered to occur before 2000. For example, 00=2000, 29=2029, 30=1930, and 99=1999
08
YYYY
Four-digit year
2008
G
Era name (BC or AD)
AD
w
One-digit (0-5) week of the month, where week 1 is the earliest set of four contiguous days ending on a Saturday
1
WW
Two-digit (01-53) ISO-8601 week of the year, where week 1 is the week containing January 4
01
Several additional date patterns are available for specifying date patterns in Chinese, Japanese, and Korean locales.
Japanese eras can be represented by several different symbols. The final four era symbols provide alternative symbols to represent Japanese eras.
CJK date symbol
Description
DDD
The locale’s ideographic numeric valued day of the month
DDDD
The locale’s tens rule ideographic numeric valued day of the month
YYY
The locale’s ideographic numeric valued year
YYYYY
The locale’s tens rule ideographic numeric valued year
g
The locale’s alternate era name. For the current Japanese era, Heisei, this pattern displays the ASCII letter H (U+48)
gg
The locale’s alternate era name. For the current Japanese era, this pattern displays the ideograph that is represented by the Unicode symbol (U+5E73)
ggg
The locale’s alternate era name. For the current Japanese era, this pattern displays the ideographs that are represented by the Unicode symbols (U+5E73 U+6210)
g
The locale’s alternate era name. For the current Japanese era, this pattern displays the full width letter H (U+FF28)
g g
The locale’s alternate era name. For the current Japanese era, this pattern displays the ideograph that is represented by the Unicode symbol (U+337B)
Time symbol
Description
Locale-sensitive input value
Formatted value for English (USA) locale
h
One- or two-digit (1-12) hour of the day (AM/PM)
12:08 AM or 2:08 PM
12 or 2
hh
Zero-padded 2 digit (01-12) hour of the day (AM/PM)
12:08 AM or 2:08 PM
12 or 02
k
One- or two-digit (0-11) hour of the day (AM/PM)
12:08 AM or 2:08 PM
0 or 2
kk
Two-digit (00-11) hour of the day (AM/PM)
12:08 AM or 2:08 PM
00 or 02
H
One- or two-digit (0-23) hour of the day
12:08 AM or 2:08 PM
0 or 14
HH
Zero-padded, two-digit (00-23) hour of the day
12:08 AM or 2:08 PM
00 or 14
K
One- or two-digit (1-24) hour of the day
12:08 AM or 2:08 PM
24 or 14
KK
Zero-padded, two-digit (01-24) hour of the day
12:08 AM or 2:08 PM
24 or 14
M
One- or two-digit (0-59) minute of the hour
Note:
You must use this symbol with an hour symbol.
2:08 PM
8
MM
Zero-padded, two-digit (00-59) minute of the hour
Note:
You must use this symbol with an hour symbol.
2:08 PM
08
S
One- or two-digit (0-59) second of the minute
Note:
You must use this symbol with an hour and minute symbol.
2:08:09 PM
9
SS
Zero-padded, two-digit (00-59) second of the minute
Note:
You must use this symbol with an hour and minute symbol.
2:08:09 PM
09
FFF
Three- digit (000-999) thousandth of the second
Note:
You must use this symbol with an hour, minute, and seconds symbol.
2:08:09 PM
09
A
The part of the day that is from midnight to noon (AM) or from noon to midnight (PM)
2:08:09 PM
PM
z
ISO-8601 time-zone format (for example, Z, +0500, -0030, -01, +0100)
Note:
You must use this symbol with an hour symbol.
2:08:09 PM
-0400
zz
Alternative ISO-8601 time-zone format (for example, Z, +05:00, -00:30, -01, +01:00)
Note:
You must use this symbol with an hour symbol.
2:08:09 PM
-04:00
Z
Abbreviated time-zone name (for example, GMT, GMT+05:00, GMT-00:30, EST, PDT)
Note:
You must use this symbol with an hour symbol.
2:08:09 PM
EDT
Reserved symbols
The following symbols have special meanings and cannot be used as literal text.
Symbol
Description
?
When submitted, the symbol matches any one character. When merged for display, it becomes a space.
*
When submitted, the symbol matches 0 or Unicode white space characters. When merged for display, it becomes a space.
+
When submitted, the symbol matches one or more Unicode white space characters. When merged for display, it becomes a space.
See also
About field patterns and value formatting
Complex field patterns
Date formats
Time formats
Examples of date/time patterns


Complex field patterns

Using LiveCycle Designer ES > Working with Objects > Formatting field values > Complex field patterns
Complex field patterns
In addition to defining simple patterns for date/time fields, numeric fields, and text fields, you can define a locale-specific pattern or handle variable patterns.
Locale-specific patterns
If you want to force a locale on a pattern, regardless of the locale that has already been assigned to an object, you can define a locale-specific pattern. The syntax of a locale-specific pattern is defined as follows:
category_name(locale_name){pattern}
where
•
category_name can be date, time, num, or text.
•
locale_name is identified by a language and/or country or region code, as defined in RFC 1766 (Tags for the Identification of Languages, 1995).
•
pattern is the simple pattern for processing values.
For example, to force a date/time field to translate a date into the French language according to France’s country code, you would define the pattern as follows:
date(fr_FR){DD MMMM, YYYY}
Variable patterns
In cases where the user input or bound data is available in more than one format (for example, telephone numbers may or may not have a three-digit area code), you can define a pattern that accounts for the differences. The syntax for defining a number of acceptable patterns is as follows:
category_name{pattern}|category_name{pattern}|category_name{pattern}
where each pattern is separated by a vertical bar (|). You can specify an unlimited number of patterns. For example, the following construct handles two different text patterns:
text{999*9999}|text{999*999*9999}
See also
Simple patterns


Setting up an object for other languages

Using LiveCycle Designer ES > Working with Objects > Setting up an object for other languages
Setting up an object for other languages
To set up an object for Arabic and Hebrew
To set up an object for Thai and Vietnamese
To set up a date field for other languages


To set up an object for Arabic and Hebrew

Using LiveCycle Designer ES > Working with Objects > Setting up an object for other languages > To set up an object for Arabic and Hebrew
To set up an object for Arabic and Hebrew
Objects, which are the building blocks of every form, have different appearances depending on the language the form is designed for.
For example, a drop-down list in an English form has the caption typically on the left and the drop-down arrow on the right. However, in Arabic and Hebrew, the drop-down list has the caption on the right and the drop-down arrow on the left because these are right-to-left languages.
To set up an object for Arabic and Hebrew, you must do the following steps:
•
Set the locale to Arabic or Hebrew.
•
Position the caption on the right (except for check boxes and radio buttons, which need to be positioned on the left).
•
Right-align the caption and value.
•
Set the font to one that the language supports.
Setting up an object for Arabic and Hebrew applies to the following objects:
•
Check boxes
•
Date/time fields
•
Decimal fields
•
Signature Fields
•
Drop-down lists
•
List boxes
•
Numeric fields
•
Password fields
•
Radio buttons
•
Text fields
Note:
The options described in this Help topic are available only if support for the appropriate language is enabled through Microsoft Office Language Settings.
1.
Add the object.
For example, from the Object Library palette, drag the Drop-Down List object onto the form design.
2.
In the Object palette, click the Field tab.
3.
From the Locale box, select a language and country or region option.
For example, select Arabic (Bahrain).
4.
Select the object.
5.
In the Font palette, select the font that supports the locale you selected.
For example, Adobe Arabic supports Arabic and Adobe Hebrew supports Hebrew. You can locate the font you need for your language on the Internet if it is not already on your system.
6.
Select the object.
7.
In the Paragraph palette, click Right Align to right-align the caption and value.
8.
In the Layout palette, select the appropriate option from the Position list for the caption.
Object
Position
Check boxes
Left
Date/time fields
Right
Decimal fields
Right
Signature Fields
Right
Drop-down lists
Right
List boxes
Right
Numeric fields
Right
Password fields
Right
Radio buttons
Left
Text fields
Right
9.
View the object in the Preview PDF tab to ensure that it appears properly.


To set up an object for Thai and Vietnamese

Using LiveCycle Designer ES > Working with Objects > Setting up an object for other languages > To set up an object for Thai and Vietnamese
To set up an object for Thai and Vietnamese
To set up an object for Thai and Vietnamese, you must do the following steps:
•
Set the locale to Thai or Vietnamese.
•
Set the font to one that the language supports.
Note:
The options described in this Help topic are available only if support for the appropriate language is enabled through Microsoft Office Language Settings.
1.
Add the object.
For example, from the Object Library palette, drag the Drop-Down List object onto the form design.
2.
In the Object palette, click the Field tab.
3.
From the Locale box, select a language and country or region option.
For example, select Thai (Thailand Traditional).
4.
Select the object.
5.
In the Font palette, select the font that supports the locale you selected.
For example, Adobe Thai supports Thai and Myriad® Pro and Minion® Pro support Vietnamese. You can locate the font you need for your language on the Internet if it is not already on your system.
6.
View the object in the Preview PDF tab to ensure that it appears properly.


To set up a date field for other languages

Using LiveCycle Designer ES > Working with Objects > Setting up an object for other languages > To set up a date field for other languages
To set up a date field for other languages
1.
Ensure that the regional and language options are set to the appropriate language in the Microsoft Windows® Control Panel.
2.
In LiveCycle Designer ES, drag the Date/Time field object onto the form design from the Object Library palette.
3.
In the Object palette, select the Field tab and click the Patterns button.
4.
On the Display tab, in the Pattern box, type DD/MM/gYY.
For example, for Thai dates use the following:
•
g shows B.E
•
gg shows the abbreviation of B.E in Thai
•
ggg shows the full name of B.E in Thai
5.
In the Preview PDF tab, the Date/Time field and calendar look like this.
For example, the Date/Time Field value is 20/05/AD05.
This is how the other calendars appear when you set the regional and language options to these languages.
Calendar format is different for Arabic, Hebrew, and Vietnamese.


Using special objects

Using LiveCycle Designer ES > Working with Objects > Using special objects
Using special objects
About special objects
To define a global field
To insert a floating field
To insert run-time properties
To add variables to a form


About special objects

Using LiveCycle Designer ES > Working with Objects > Using special objects > About special objects
About special objects
In addition to the standard and custom objects in the Object Library palette, LiveCycle Designer ES includes a number of objects and/or properties that provide special functionality in a form at run time. These objects and properties include:
•
Global fields
•
Floating fields
•
Run time properties
•
Variables
See also
To define a global field
To insert a floating field
To insert run-time properties
To add variables to a form


To define a global field

Using LiveCycle Designer ES > Working with Objects > Using special objects > To define a global field
To define a global field
A global field contains information that appears in multiple locations on your form. For example, an invoice contains an invoice number that must appear in multiple places on the form. In the form design, you could set the invoice number to be a global field and reuse it elsewhere as needed.
Global fields are extremely useful when you have information that you know will be repeated in multiple places. Not only does the use of global fields reduce the amount of data that needs to be sent, they help ensure that exactly the same data appears in the necessary areas of the form.
Using the Global binding property, you can apply the same value to all objects in the form that have the same name.
When you apply the global setting to an object, all objects with the same name will be bound to the same data at run time. Because identically named global objects are linked to the same data value, the data displayed in one global object is automatically displayed in all other global objects having the same name. You cannot have more than one identically named object in a form where some, but not all, of the objects are set to global.
You can apply the global binding setting to the following types of objects:
•
check boxes
•
date/time fields
•
drop-down lists
•
image fields
•
list boxes
•
numeric fields
•
password fields
•
radio buttons
•
text fields
When you apply the global setting to an object, LiveCycle Designer ES automatically applies the global value to all other objects in the form with the same name. Conversely, if you remove the global setting from an object, LiveCycle Designer ES removes the value from all other objects with the same name and setting.
Note:
When you apply global binding to an object, you cannot add run-time properties such as the current page, number of pages, and current date/time to that object.
1.
Add the required objects to the form design.
2.
Give each object the same name.
3.
Select one of the like-named objects.
4.
In the Object palette, click the Binding tab and select Global from the Default Binding list. LiveCycle Designer ES displays a message confirming that global binding will be applied to all objects that have the same name as the selected object.
See also
About data sources
To name and rename objects


To insert a floating field

Using LiveCycle Designer ES > Working with Objects > Using special objects > To insert a floating field
To insert a floating field
You can insert a floating field into a text object to display different types of information.
Floating fields are objects that support the merging of text, numeric values, run-time properties, and scripting within a text object when the form is rendered. You can insert floating fields into text objects only.
Floating fields are text field objects by default, but you can change the object type from the Type list in the Field tab of the Object palette.
You can bind floating fields to a data source to display specific text or numeric values. For example, you can insert a floating field to render individual customer names in the introductory greeting of a form letter. The floating field appears as a TextField object, as shown in this example.
Note:
When merging floating fields with data, keep in mind that floating fields cannot span pages. Floating fields are also non- interactive in Acrobat 6.0.2 and Acrobat 7.0.5-compatible forms.
(Dear Mr./Ms. {TextField})
You must set the properties of the floating field object independently of setting the properties of the text object. By default, floating field objects are set to Hidden (Exclude from layout) in the Presence list.
1.
Click inside the Text object in which you want to place the floating Text Field object.
2.
Place your cursor on the line where you want LiveCycle Designer ES to insert the floating Text Field object.
3.
Select Insert > Floating Field.
4.
To set the properties of the Floating Field, click the Floating Field marker inside the Text object, and then select options as needed. It is good practice to rename the floating Text Field object and specify the necessary binding.
See also
To insert run-time properties
Overview of text
Overview of text fields


To insert run-time properties

Using LiveCycle Designer ES > Working with Objects > Using special objects > To insert run-time properties
To insert run-time properties
Using run-time properties in a form design, you can display certain types of information in the form at run time. The types of information you can display are the current page, page count, current date/time, viewer locale, viewer name, and viewer version.
You can insert run-time properties into the following objects:
•
Numeric field
•
Text
•
Text field
You can only insert run-time properties into the value portion of the field and not the field’s caption.
You use the commands in the Insert menu to add run-time properties to a text object. Alternatively, you can use the Type list to add run-time properties to either a text field object or a numeric field object. LiveCycle Designer ES adds the run-time property to the selected object, along with a calculate script that generates the intended value and a default value based on the property.
Note:
When you add the current page run-time property to an object, do not apply the global binding option as well because LiveCycle Designer ES will apply the same page number on every page instead of unique values.
To add a run-time property to a text object
1.
Click the text field.
2.
Select Insert and select the run-time property you want to insert.
To add a run-time property to a text field or numeric field object
1.
Click the text field or numeric field.
2.
On the Object palette, click the Value tab and select Calculated - Read Only from the Type list. The Runtime Properties option appears.
3.
Select Runtime Properties and, in the list below it, select the run-time property you want to insert.
See also
Overview of numeric fields
Overview of text
Overview of text fields


To add variables to a form

Using LiveCycle Designer ES > Working with Objects > Using special objects > To add variables to a form
To add variables to a form
Use variables to insert varying text or values. A variable is a segment of text or values that LiveCycle Designer ES can automatically update or change (on demand) using scripting.
The variables element can hold any number or any kind of separate data items. Because each data item is individually named with its own name attribute, they can be individually addressed by scripts.
You can define text variables and then insert them into captions or other text. For example, you could apply variables to product terminology that may change at some point. If the variable (term) needs to change, you can open the affected form and update the variable value, and LiveCycle Designer ES will automatically update all instances of the term.
To create a variable, you must name the variable and provide the value you want LiveCycle Designer ES to use. For example, you might create a variable called ProductName that contains the current name of a product, which you can update if needed.
Variable values are saved with the form.
See also
Variables
Variables tab (Form Properties dialog box)


Object Properties

Using LiveCycle Designer ES > Object Properties
Object Properties
Layout properties in the Layout palette
Border properties in the Border palette
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Accessibility properties in the Accessibility palette
Master page properties in the Master Page tab
Master page properties in the Pagination tab
Page set properties in the Page Set tab
Properties in the Object palette


Layout properties in the Layout palette

Using LiveCycle Designer ES > Object Properties > Layout properties in the Layout palette
Layout properties in the Layout palette
Using the Layout palette, you can specify a number of characteristics that apply to the selected object, including its size and position, margins, and location of captions. You can specify layout properties for each object on the page.
X and Y
Sets the horizontal and vertical position of the object’s anchor point. If the setting in the Anchor list is not Top Left, X and Y options change to AnchorX and AnchorY. See To position objects.
Width, Height, and Expand to Fit/Auto-fit
Sets the minimum overall height and width of the object and enables expansion in that direction if required. See To position objects and To make objects expand to fit.
Note:
To manually expand objects, you can also select the Show Text Overflow Indicators option on the Wizards and Tips panel in the Options dialog box. See Wizards and Tips (Options dialog box).
The Auto-fit options appears for subform objects only. When selected, the subform changes size in LiveCycle Designer ES to fit the enclosed content.
Anchor
Sets the object’s anchor point. See To rotate objects.
Rotate
Rotates the object around its anchor point. See To rotate objects.
Margins
Sets the amount of white space on the left and right sides of the object and above and below the object. See To add space around an object.
Caption
Sets the position of a caption. See To position a caption.
Reserve
Sets the amount of space reserved for a caption. See To position a caption.
A reserve of 0 sets the caption area to auto-fit. It adjusts the size of the object to fit the caption.
See also
Aligning and sizing objects


Border properties in the Border palette

Using LiveCycle Designer ES > Object Properties > Border properties in the Border palette
Border properties in the Border palette
Using the Border palette, you can edit the border properties for objects that have borders. You can edit the borders individually or together.
Edges
Sets border properties for all or individual edges:
•
Edit Individually
Applies a border to each edge separately. This option does not apply to three-dimensional borders.
•
Edit Together
Applies the same border to all edges.
•
Side
Sets the style and width of the borders.
•
Color Picker
Sets the line color.
Corners
Applies a style to border corners.
Radius
Sets the radius of notched corners.
Style
Sets the background fill color or pattern:
•
Color Picker
Sets the background fill colors.
See also
To add a border around an object


Font properties in the Font palette

Using LiveCycle Designer ES > Object Properties > Font properties in the Font palette
Font properties in the Font palette
Using the Font palette, you can change the font family, size, style, and scale, as well as the baseline shift, letter spacing, and kerning of the text in one or more selected objects.
Font
Sets the typeface.
Font Size
Sets the typeface size.
Style
Sets the typeface style.
Baseline Shift
Sets the amount of space to move a character (or group of characters) up or down relative to the baseline. Positive numbers shift characters up, and negative numbers shift characters down.
Letter Spacing
Sets the amount of space to leave between the letters in a word or between a group of words.
Vertical Scale
Sets the degree (percentage) by which to increase or decrease the vertical size of text.
Horizontal Scale
Sets the degree (percentage) by which to increase or decrease the horizontal size of text.
Auto Kern
Reduces the amount of space between letters within a word or group of words.
See also
About formatting text


Paragraph properties in the Paragraph palette

Using LiveCycle Designer ES > Object Properties > Paragraph properties in the Paragraph palette
Paragraph properties in the Paragraph palette
Using the Paragraph palette, you can change the justification, indentation, and line spacing of the selected text.
Align
Sets horizontal alignment options:
•
Align Left
Left-aligns the caption or value.
•
Align Center
Center-aligns the caption or value.
•
Align Right
Right-aligns the caption or value.
•
Justify
Justifies the caption or value. Full justification is applied to all of the lines except the last line in a multiple-line caption or value (single-line paragraphs cannot be justified).
Radix
Sets the alignment for numeric fields based on the radix (decimal point). This option appears on the Paragraph palette only when a numeric field object is selected.
Caution:
Numeric fields with a defined radix alignment setting are not supported in PDF forms for Acrobat 6.0.2 and Adobe Reader 6.0.2.
Vertical Alignment
Sets vertical alignment options:
•
Align Top
Aligns to the top of the area reserved for the caption and value.
•
Align Middle
Aligns to the middle of the area reserved for the caption and value.
•
Align Bottom
Aligns to the bottom of the area reserved for the caption and value.
Indents
Sets left and right indentation.
First
Sets the first line indentation:
•
None
Indents all lines by the same amount.
•
First line
Indents the first line only.
•
Hanging
Indents all lines except the first.
By
Sets the amount of the first line or hanging indentation.
Spacing
Sets the amount of space above and below the paragraph:
•
Above
Sets the amount of vertical space above the paragraph. This value is added to any value specified in the Below box.
•
Below
Sets the amount of vertical space below the paragraph. This value is added to any value specified in the Above box.
Line Spacing
Sets the amount of space between lines:
•
Single
Makes the line height equivalent to the height of the tallest character in the line.
•
1.5 Lines
Makes the line height one and a half times the height of the tallest character in the line.
•
Double Line
Makes the line height twice the height of the tallest character in the line.
•
Exactly
Makes the line height equivalent to the setting in the At box.
Hyphenate
Adds or removes hyphenation in individual objects (text objects, the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, and the value area of text field objects). Use the Hyphenate option to manually adjust the layout of text on an object-by-object basis. This option is available when you select Allow Hyphenation in Text and Field Captions, or Allow Hyphenation in Text Field Values, or both.
See also
About formatting paragraphs
About hyphenating text


Accessibility properties in the Accessibility palette

Using LiveCycle Designer ES > Object Properties > Accessibility properties in the Accessibility palette
Accessibility properties in the Accessibility palette
LiveCycle Designer ES includes a number of options that support screen readers. For each field object in a form, you can specify one of several settings for screen reader text:
•
Custom screen reader text, which you set in the Accessibility palette
•
Tool tips for objects, which you set in the Accessibility palette
•
Captions for fields
•
Names of objects, as specified in the Name option in the Binding tab
The settings determine the information that screen readers read for objects on PDF forms. Only one setting is spoken for each object.
When the form is saved as tagged PDF, LiveCycle Designer ES searches the form for these settings. The default search order is Custom Text, Tool tip, Caption, and Name. You can override this default order by using the Screen Reader Precedence option in the Accessibility palette.
Tip:
You can dynamically populate a tool tip and custom screen reader text with values from a data source.
Note:
Tool tips appear at run time when the user hovers the pointer over an object. The settings on the Accessibility palette have no effect on objects when the form is rendered as a PDF form.
Role
Determines how screen readers interpret the subform, table, selected row in a table, list, heading, or heading level:
•
Table
Assigns the role of a table to the selected subform. When the user navigates to this subform, most screen readers identify it as a table and indicate the number of rows and columns.
•
Header Row
Assigns the role of a header row to the selected subform or table row. When speaking the contents of a body row cell, most screen readers first identify the content of the corresponding cell in the header row.
•
Body Row
Assigns the role of a body row to the selected subform or table row. If a cell contains a subform, screen readers typically speak the content of the corresponding cell in the header row, followed by the fields in the subform.
•
Footer Row
Assigns the role of a footer row to the selected subform or table row.
•
List
Assigns the role of a list to the selected subform.
•
List Item
Assigns the role of a list item to the selected subform. A list item role can only be assigned to a subform that is contained in a subform that has a List role specified. You cannot define a table or table row as a list or list item; however, a list item can contain a table.
•
Heading
Assigns the role of heading to the selected text object.
•
Heading Level 1 to Heading Level 6
Assigns the role of the heading level to the selected text object.
•
(None)
Specifies a row that conveys information about the table or its content. The row is not considered to be part of the table; however, the screen reader will read its contents.
Tool Tip
Defines a tool tip for the object. Tool tips appear at run time when the user hovers the pointer over the object. A screen reader can read the text entered in this box.
You cannot have both unique custom tool-tip text and unique custom screen-reader text for one object. You must choose one or the other. If you want to use the same text for the tool tip and the text read by the screen reader, type a tool tip and select Tool Tip from the Screen Reader Precedence list.
Note:
Tool Tip is a dynamic property for most objects. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu.
Screen Reader Precedence
Indicates which setting the screen reader should read. Only one setting is spoken for each object:
•
Custom Text
Reads the text specified in the Custom Screen Reader Text box. This setting is the default.
•
Tool Tip
Reads the text specified in the Tool Tip box.
•
Caption
Reads the caption specified for the object. The position of the caption relative to the object does not change the order in which the screen reader reads the caption. By default, the screen reader reads the caption if nothing is specified in the Tool Tip box or the Custom Screen Reader Text box. This setting is the preferred choice for screen readers.
•
Name
Reads the name of the object, as specified in the Name field in the Binding tab of the Object palette.
•
None
Disables the custom tool tip or custom screen reader text for the field.
Custom Screen Reader Text
Defines custom text for the selected object. The screen reader reads the text entered in this box.
You cannot have both unique custom tool tip text and unique custom screen reader text for one object. You must choose one or the other. If you want custom screen reader text to be both the tool tip text and the screen reader text, type the custom text and select Custom Text from the Screen Reader Precedence list.
Note:
Custom Screen Reader Text is a dynamic property for most objects. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu.
See also
About accessible forms
To dynamically populate a tool tip
To dynamically populate screen reader text


Master page properties in the Master Page tab

Using LiveCycle Designer ES > Object Properties > Master page properties in the Master Page tab
Master page properties in the Master Page tab
Use the Master Page tab of the Object palette to set the page name and various layout options for each master page. To display the Master Page tab, select the master page you want to work with in the Hierarchy palette.
Name
Sets the name of the master page.
Paper Type, Height, and Width
Sets the size of the master page. The dimensions are displayed in the Height and Width boxes and can be modified when the Paper Type option is set to Custom.
Orientation
Sets the orientation of the master page:
•
Portrait
The page height is greater than or equal to the page width.
•
Landscape
The page width is greater than or equal to the page height.
Restrict Page Occurrence, Min Count, and Max
Select this option only for creating forms whose layout adjusts to accommodate data. It enables or disables the repetitive rendering of pages that are based on the selected master page. When the option is selected, you can enter a minimum number of repetitions in the Min Count box and a maximum number of repetitions in the Max box.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
One-sided Printing Only
The object is printed only when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Master page properties in the Pagination tab
Setting up master pages


Master page properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Master page properties in the Pagination tab
Master page properties in the Pagination tab
When you select a Master Page, the Pagination tab in the Object palette presents a number of pagination options.
Odd / Even
Specifies whether the master page appears on the front (odd) side, back (even) side, or both sides of the paper when the rendered form is printed:
•
Odd (Front) Pages
The master page appears on the odd-numbered printed pages.
•
Even (Back) Pages
The master page appears on the even-numbered printed pages.
•
Blank Pages
Inserts a blank page with no flowed content. This option is useful in double-sided printing when you want the back (even) side of the printed page to be blank so that the next section starts on the front (odd) side of the next printed page.
•
No Odd/Even Restrictions
There are no restrictions on the master page during double-sided printing. This option is the default for all master pages.
Placement
Specifies the page that the master page is applied to in the form design:
•
First Page (in Page Set)
The master page is applied to the first page within the page set.
•
Last Page (in Page Set)
The master page is applied to the last page within the page set.
•
Only Page (in Document)
The master page is applied to the only page within the page set. Choose the Only Page (in Document) option when the data merged into the form does not cause the content area to flow onto more than one page. Only one master page can have a placement set to Only Page (in Document).
•
Rest of Pages
The master page is applied to pages between, but not including, the first and last pages generated by the page set.
•
No Placement Restrictions
No restriction is applied to the master page’s location. No Placement Restrictions is the default placement.
Include Page in Numbering
Specifies whether pages that have been rendered according to the selected master page should contribute to the total page count. By default, the option is selected and all pages are counted.
If First Page in Document
Sets the page numbering for pages that have been rendered, according to the selected master page:
•
Continue Numbering from Previous Document in Batch
The numbering increments from the last document processed by LiveCycle Forms ES.
•
Start At
The numbering starts at this specified value.
See also
Master page properties in the Master Page tab
Setting up master pages


Page set properties in the Page Set tab

Using LiveCycle Designer ES > Object Properties > Page set properties in the Page Set tab
Page set properties in the Page Set tab
Use the Page Set tab of the Object palette to set the name and occurrence options for each page set. To display the Page Set tab, select the page set you want to work with in the Hierarchy palette.
You can set these options for each page set.
Name
Sets the name of the page set.
Printing
Controls whether the page set is printed on only the front side of each sheet of paper or on both sides of each sheet of paper.
Restrict PageSet Occurrence, Min Count, and Max
Select this option only for creating interactive forms. It enables or disables the repetitive rendering of pages that are based on master pages in the selected page set. When the option is selected, you can enter a minimum number of repetitions in the Min Count box and a maximum number of repetitions in the Max box.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
One-sided Printing Only
The object is printed only when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Setting up page sets


Properties in the Object palette

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette
Properties in the Object palette
Barcodes
Buttons
Check boxes
Circles
Content areas
Date/time fields
Decimal fields
Drop-down lists
Email submit buttons
HTTP submit buttons
Image fields
Images
Lines
List boxes
Numeric fields
Paper Forms Barcodes
Password fields
Radio buttons
Rectangles
Signature fields
Subforms
Subform sets
Tables
Text
Text fields


Barcodes

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Barcodes
Barcodes
Barcode properties in the Field tab
Barcode properties in the Value tab
Barcode properties in the Binding tab
Supported barcode formats
Valid barcode text characters


Barcode properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Barcodes > Barcode properties in the Field tab
Barcode properties in the Field tab
When you select a barcode, the Field tab in the Object palette displays several options for formatting barcodes.
Location
Sets the location of the barcode text. The options available on the list change depending on the barcode selected. This list is unavailable with certain barcodes.
Property/Value
Sets barcode-specific properties.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of barcodes


Barcode properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Barcodes > Barcode properties in the Value tab
Barcode properties in the Value tab
When you create a barcode, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets an initial value for the barcode. The length of the default value entered can effect the displayed width of certain barcodes.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only, or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of barcodes
To control how a barcode obtains data
To dynamically populate a validation pattern message
To dynamically populate a validation script message


Barcode properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Barcodes > Barcode properties in the Binding tab
Barcode properties in the Binding tab
The Binding tab displays several options for binding barcodes. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the barcode name. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of barcodes
To define custom data-binding properties for a barcode


Supported barcode formats

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Barcodes > Supported barcode formats
Supported barcode formats
The following is a list of supported barcode formats:
Aztec
Aztec format (hardware-rendered)
AUS Post Custom2
AUSPOST Custom 2 format
AUS Post Custom3
AUSPOST Custom 3 format
AUS Post Reply Paid
AUSPOST Reply Paid format
AUS Post Standard
AUSPOST Standard format
Codabar
Codabar format, which offers USD-4, NW-7, and 2-of-7 Code compatibility.
Code 11
Code 11 format (hardware-rendered)
Code 128SSCC
UCC/EAN 128 Serial Shipping Container Code (SSCC) format
Code 128
Code128 format
Code 128A
Code128, set A format
Code 128B
Code128, set B format
Code 128C
Code128, set C format
Code 2 of 5 Industrial
2 of 5 Industrial format
Code 2 of 5 Interleaved
2 of 5 Interleaved format, which offers Code 25, I2of5, ITF, and I25 compatibility
Code 2 of 5 Matrix
2 of 5 Matrix format
Code 2 of 5 Standard
Code 2 of 5 standard format (hardware-rendered)
Code 3 of 9 - 3
3 of 9 format
Code 93
Code 93 format (hardware-rendered)
Code 49
Code 49 format (hardware-rendered)
Data Matrix
Data Matrix format
EAN13
EAN13 format
EAN8
EAN8 format
Logmars
Logmars format (hardware-rendered)
MSI
MSI format (hardware-rendered)
PDF 417
A two-dimensional format that accommodates up to 1 800 ASCII characters
Paper Forms Barcode
Paper Forms Barcode format
Planet Code
Planet Code format (hardware-rendered)
Plessey
Plessey format (hardware-rendered)
QR Code
Quick Response (QR) 2-D Code format (hardware-rendered)
RFID
Radio frequency identification barcode (hardware-rendered)
RSS 14 Stacked
RSS 14 Stacked format (hardware-rendered)
RSS 14 Omni
RSS 14 Omni format (hardware-rendered)
RSS 14 Truncated
RSS 14 Truncated format (hardware-rendered)
RSS Expanded
(RSS Expanded format (hardware-rendered)
RSS Limited
RSS Limited format (hardware-rendered)
UK Post RM4SCC
UK/Royal Mail RM4SCC format
UPC-A
UPC-A format
UPC-E
UPC-E format (hardware-rendered)
UPS Maxicode
UPS Maxicode format (hardware-rendered)
UPC EAN2
UPC EAN2 format (hardware-rendered)
UPC EAN5
UPC EAN5 format (hardware-rendered)
US Postal Zip-5
US Postal 5-digit (ZIP) format
US Postal DPBC
Delivery Point ZIP +6 format
US Postal Standard
US Postal Standard format
Note:
Additional hardware-specific barcode formats can be added to the default set of supported barcode formats.
See also
Overview of barcodes


Valid barcode text characters

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Barcodes > Valid barcode text characters
Valid barcode text characters
This table identifies the characters that you can use in barcode text.
Barcode
Valid Characters
Aztec
AUS Post Custom2
AUS Post Custom3
AUS Post Reply Paid
AUS Post Standard
Code 2 of 5 Industrial
Code 2 of 5 Standard
Code 3 of 9 - 3
Code 2 of 5 Interleaved
Code 2 of 5 Matrix
EAN13
EAN8
MSI
UPC-A
UPC-E
UPC-EAN2
UPC-EAN5
US Postal Zip-5
US Postal DPBC
US Postal Standard
UPS Maxicode
0 1 2 3 4 5 6 7 8 9
Codabar
0 1 2 3 4 5 6 7 8 9
- $ : / . +
Code 11
0 1 2 3 4 5 6 7 8 9
-
Code 128SSCC
Code 128
Code 128A
Code 128B
Code 128C
0 1 2 3 4 5 6 7 8 9
! # & ' < > `
$ % ( ) * + , - . / : ; ? @ # = [ ] \ ^ _ { } | ~ SPACE
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
a b c d e f g h i j k l m n o p q r s t u v w x y z
Code 3 of 9
0 1 2 3 4 5 6 7 8 9
- . $ / + % * SPACE
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Code 49
0 1 2 3 4 5 6 7 8 9
< > - . $ / + % : ; ? =
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Code 93
0 1 2 3 4 5 6 7 8 9
& ' - . $ ( ) / + % , SPACE
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Logmars
0 1 2 3 4 5 6 7 8 9
- . $ / + % SPACE
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
RSS 14
RSS 14 Stacked
RSS 14 Stacked Omni
RSS 14 Truncated
RSS Expanded
RSS Limited
0 1 2 3 4 5 6 7 8 9
PDF 417
No restrictions
Plessey
0 1 2 3 4 5 6 7 8 9
A B C D E F
UK Post RM4SCC
0 1 2 3 4 5 6 7 8 9
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
See also
Overview of barcodes


Buttons

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Buttons
Buttons
Button properties in the Field tab
Print button properties in the Field tab
Reset button properties in the Field tab
Button properties in the Submit tab
Button properties in the Execute tab


Button properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Buttons > Button properties in the Field tab
Button properties in the Field tab
When you select a button, the Field tab in the Object palette displays several options for formatting buttons.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style:
•
No Border
Removes the line around the button.
•
Solid Border
Creates a thick line around the button.
•
Raised Border
Creates a shadow around the button so that the button looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the button.
Highlighting
Sets the button highlight when the button is clicked:
•
None
Removes the button highlight.
•
Inverted
Inverts the button highlight when the button is clicked.
•
Push
Creates a shadow around the button so that the button looks like it is recessed.
•
Outline
Creates a line around the button when the button is clicked.
Rollover Caption
Sets a rollover caption when the button highlight is set to Push. This caption appears when the mouse pointer moves over the button.
Down Caption
Sets a down caption when the button highlight is set to Push. This caption appears when the button is clicked.
Control Type
Determines what happens when a user clicks the button. These options are not displayed for the Print or Reset buttons:
•
Regular
The attached script or calculation will run. The script or calculation is provided by the user.
•
Submit
Data will be submitted according to the settings in the Submit tab. See Button properties in the Submit tab.
•
Execute
A web-service operation or database query will be executed according to the settings in the Execute tab. See Button properties in the Execute tab.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of buttons


Print button properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Buttons > Print button properties in the Field tab
Print button properties in the Field tab
When you select a button, the Field tab in the Object palette displays several options for formatting buttons.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style:
•
No Border
Removes the line around the button.
•
Solid Border
Creates a thick line around the button.
•
Raised Border
Creates a shadow around the button so that the button looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the button.
Highlighting
Sets the button highlight when the button is clicked:
•
None
Removes the button highlight.
•
Inverted
Inverts the button highlight when the button is clicked.
•
Push
Creates a shadow around the button so that the button looks like it is recessed.
•
Outline
Creates a line around the button when the button is clicked.
Rollover Caption
Sets a rollover caption when the button highlight is set to Push. This caption appears when the mouse pointer moves over the button.
Down Caption
Sets a down caption when the button highlight is set to Push. This caption appears when the button is clicked.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of buttons


Reset button properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Buttons > Reset button properties in the Field tab
Reset button properties in the Field tab
When you select a button, the Field tab in the Object palette displays several options for formatting buttons.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style:
•
No Border
Removes the line around the button.
•
Solid Border
Creates a thick line around the button.
•
Raised Border
Creates a shadow around the button so that the button looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the button.
Highlighting
Sets the button highlight when the button is clicked:
•
None
Removes the button highlight.
•
Inverted
Inverts the button highlight when the button is clicked.
•
Push
Creates a shadow around the button so that the button looks like it is recessed.
•
Outline
Creates a line around the button when the button is clicked.
Rollover Caption
Sets a rollover caption when the button highlight is set to Push. This caption appears when the mouse pointer moves over the button.
Down Caption
Sets a down caption when the button highlight is set to Push. This caption appears when the button is clicked.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of buttons


Button properties in the Submit tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Buttons > Button properties in the Submit tab
Button properties in the Submit tab
When you create a button and set its Control Type to Submit, the Submit tab appears in the Object palette. It displays several options specific to formatting buttons that submit data.
Submit to URL
Sets the location of a web-hosted server. You can specify the ftp, http, https, or mailto protocol.
Submit
Sets the format of the data to submit.
•
XML Data Package (XDP)
Submits a package in the file format created by Designer ES. Choose this format if the form initiates server-side processing, or to submit the form design, the form data, annotations, and all other relevant information needed for Forms ES to subsequently render the form at run time.
•
PDF
Submits a package containing an embedded PDF file. Choose this format if the form contains a signature field, or if a copy of the form together with its data needs to be saved by Forms ES or submitted to another type of target server. Do not choose this option if the form initiates server-side processing, if Forms ES will be used to render at run time, HTML forms or forms whose layout adjusts, or if the form is a PDF form that will be filled in Adobe Reader without the use of Reader Extensions ES.
•
XML Data (XML)
Submits an XML data stream, which allows for the hierarchical representation of data and can be parsed by any generic XML parser. Choose this format if the server that communicates with the run-time user application program must receive an XML data steam.
•
URL-Encoded Data (HTTP Post)
Submits a text stream to the specified Uniform Resource Locator (URL) using the POST method. The text stream can be parsed by an FTP server, a mail server, a web server, or a CGI script that processes HTML forms. To use this method, users must open the form in Adobe Reader 6.0 or later or in a web browser unless the URL specifies the mailto protocol.
Sign Submission
Applies a data signature to the submitted data. When a form filler clicks the button, a digital signature is created to cover the submitted data and attachments. Data signatures secure the signed data and guarantee the data integrity during transmission. Data signatures can apply to the form data or to the entire submission, including attachments. You can click the Settings button to define optional security properties for the data signature, such as the signature handler, signing certificates, and certificate issuers.
Include
Sets the items to include as attachments. Attachments may be included with XDP files only.
•
Annotations
Includes review comments, tool tips, and any other special tags needed to capture screen reader text.
•
PDF (Includes Signatures)
When selected, includes a PDF version of the form when it is submitted as an attachment; otherwise, a reference to an embedded PDF file is included.
•
Template
Includes a copy of the form design without merged data.
•
Other
Includes one or more <xdp> elements in the XDP source file. The specified elements must be separated by commas and white space is optional. For example: xci, xslt, sourceset.
Data Encoding
Sets the encoding format for data transfers.
•
UTF-8
Unicode Transformation Format 8.
•
UTF-16
Unicode Transformation Format 16.
•
Shift_JIS
Shifted encoding of the Japanese Industrial Standard.
•
Big5
Common standard for encoding traditional Chinese characters.
•
GBK
Simplified Chinese (GB 13000.1-93) character encoding (an extension of GB 2312-80).
•
KSC_5601
Korean encoding.
•
GB18030
People's Republic of China (PRC) official character set encoding (supersedes GB2312).
See also
Overview of buttons
About submitting data using a button


Button properties in the Execute tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Buttons > Button properties in the Execute tab
Button properties in the Execute tab
When you create a button and set its Control Type to Execute, the Execute tab appears in the Object palette. It displays several options specific to formatting buttons with a data connection.
Connection
Sets the connection. See To create a data connection using a WSDL file.
Connection Info
Provides connection information and the name of the operation or query to run.
Run At
Sets the execution location.
•
Client
Processes the request on the client computer.
•
Server
Processes the request on the server.
•
Client And Server
Processes the request on the client computer and server.
Re-merge Form Data
Enables or disables the updating of the form structure after processing completes.
See also
Overview of buttons
About processing options for a button
Determining where to run your calculation or script


Check boxes

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Check boxes
Check boxes
Check box properties in the Field tab
Check box properties in the Value tab
Check box properties in the Binding tab


Check box properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Check boxes > Check box properties in the Field tab
Check box properties in the Field tab
When you select a check box, the Field tab in the Object palette displays several options for formatting check boxes.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the check box:
•
None
Does not include a border around the box.
•
Solid Square
Uses a solid square to represent the box.
•
Sunken Square
Creates a square shadow for the box so that it looks three dimensional.
•
Solid Circle
Uses a solid circle to represent the box.
•
Sunken Circle
Creates a circular shadow for the box so that it looks three dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
States
Sets the number of supported states:
•
On/Off
The check box will have On (selected) and Off (clear) states.
•
On/Off/Neutral
The check box will have On (selected), Off (clear), and Neutral (not selected or clear) states.
Values for each state must be defined in the Binding tab of the Object palette.
Size
Sets the size of the box.
Check Style
Sets the check style:
•
Default
Uses an X for the check style.
•
Check
Uses a check mark for the check style.
•
Circle
Uses a circle for the check style.
•
Cross
Uses a cross for the check style.
•
Diamond
Uses a diamond for the check style.
•
Square
Uses a square for the check style.
•
Star
Uses a star as the check style.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of check boxes


Check box properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Check boxes > Check box properties in the Value tab
Check box properties in the Value tab
When you create a check box, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts.
•
User Entered
Users may choose to enter data or not.
•
Calculated - Read Only
A data value will be calculated and displayed at run time through an attached script. Users will not be able to edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users will not be able to edit the value.
Default
Sets the initial state of the check box.
•
On
The default state is On. The check box is selected initially.
•
Off
The default state is Off. The check box is deselected initially.
•
Neutral
The default state is Neutral. The box is filled with grey initially.
Note:
The Default list is available only when the Type option is set to User Entered or Read Only. The Neutral option is available from the Default list only when the States area in the Field tab is set to On/Off/Neutral.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Protect, Calculated - Read Only, or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of check boxes


Check box properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Check boxes > Check box properties in the Binding tab
Check box properties in the Binding tab
When you create a check box, the Binding tab presents data binding options that you can apply to the object. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the check box. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
On Value
Specifies the value of the check box’s On state in the data source. See To change the values assigned to check box states.
Off Value
Specifies the value of the check box’s Off state in the data source.
Neutral Value
Specifies the value of the check box’s Neutral state in the data source.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of check boxes


Circles

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Circles
Circles
Circle properties in the Draw tab


Circle properties in the Draw tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Circles > Circle properties in the Draw tab
Circle properties in the Draw tab
When you create a circle, the Draw tab in the Object palette presents options specific to formatting circles.
Type
Sets the type of object. Objects are the building blocks of every form.
Appearance
Sets the shape of the object.
•
Ellipse
Draws an elliptical shape.
•
Circle
Draws a circular shape.
•
Arc
Draws an arc.
Start
Sets the start point of an arc.
Sweep
Sets the end point of an arc.
Line Style
Sets the line style and thickness.
Color Picker
Sets the line color.
Fill
Sets a fill style.
Color Picker
Sets fill colors.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of circles, lines, and rectangles


Content areas

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Content areas
Content areas
Content area properties in the Content Area tab


Content area properties in the Content Area tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Content areas > Content area properties in the Content Area tab
Content area properties in the Content Area tab
When a content area is selected, the Content Area tab presents two options.
Name
Sets the name of the content area.
Flow Direction
Sets the flow direction for subforms within the content area.
•
Top to Bottom
Sets the default tabbing order and data-fill order starting from the top of the page and moving to the bottom of the page.
•
Western Text
Sets the default tabbing order and data-fill order starting from the top of the page and moving to the right until the last object on the right edge of the page has been reached. When the right edge of the page has been reached, continue the tabbing order and flow direction at the next object down on the left side of the page.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
One-sided Printing Only
The object is printed only when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of content areas
Data flow between content areas


Date/time fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Date/time fields
Date/time fields
Date/time field properties in the Field tab
Date/time field properties in the Value tab
Date/time field properties in the Binding tab
Examples of date/time patterns


Date/time field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Date/time fields > Date/time field properties in the Field tab
Date/time field properties in the Field tab
When you select a date/time field, the Field tab displays several options specific to formatting date/time fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
Limit Length to Visible Area
Sets the maximum amount of characters and numbers allowed in the field according to the horizontal length of the date/time field.
Use Cells and Cells
Enables the comb format.
Patterns
Sets the pattern for displaying formatted values in a form, for syntax of user input, for validating user input, and for storing and retrieving bound data or saving data when the form is not bound to a data source. See Patterns dialog box.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of date/time fields
To specify a display pattern
To specify an edit pattern
Date and time patterns


Date/time field properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Date/time fields > Date/time field properties in the Value tab
Date/time field properties in the Value tab
When you create a date/time field, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets an initial value for the field. The value is formatted according to the option selected in the Select Type list in the Patterns dialog box, but must conform to the value in the short date or time format according to the locale specified for the field. See Date formats and Time formats to learn more about short dates and times. If the data is bound and a data pattern has been specified, the value must match the data pattern specified in the Binding tab. See To specify a default value.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. For example, if the data format is set to Date, the pattern must represent a date value. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Calculation Script
The value will be calculated by a script written for the object’s calculate event.
Note:
This option is available only when the Type option is set to Calculated - Read Only.
Runtime Property
Sets the following run-time property for the object. When you select a run-time property, the actual value corresponding to the option is inserted dynamically when the form is rendered.
•
Current Date/Time
Display the current date and time in the date/time field.
Note:
This option is available only when the Type option is set to Calculated - Read Only.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of date/time fields


Date/time field properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Date/time fields > Date/time field properties in the Binding tab
Date/time field properties in the Binding tab
When you create a date/time field, the Binding tab presents data binding options that you can apply to the field. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the date/time field. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Data Format
Sets the format in which data in the field is displayed.
•
Date
Displays the data in the field in date format.
•
Time
Displays the data in the field in time format.
•
Date and Time
Displays the data in the field in date/time format.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of date/time fields
To specify the data to display in date/time fields
Date and time patterns


Examples of date/time patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Date/time fields > Examples of date/time patterns
Examples of date/time patterns
A formatted value can be displayed or processed. A raw value conforms to Designer ES defaults.
Predefined patterns
The following table shows the predefined date and time patterns that you can specify by using the Patterns option in the Field tab of the Object palette and the results of formatting some examples of input default values according to the locale specified. In these examples, the locale is English (USA).
Predefined pattern
Input value (using the short format, which is M/D/YY for date and h:MM A for time)
Formatted value
YYYY-MM-DD
8/23/08
2008-08-23
EEEE, MMMM D, YYYY
8/23/08
Saturday, August 23, 2008
HH:MM:SS
5:02 PM
17:02:00
date{YYYY-MM-DD} time{HH:MM:SS}
8/23/08 5:02 PM
2008-08-23 17:02:00
Note:
To find the default short format for date and time, select View > XML Source and search for the following lines:
<datePatterns>
<datePattern name="full">EEEE, MMMM D, YYYY</datePattern>
<datePattern name="long">MMMM D, YYYY</datePattern>
<datePattern name="med">MMM D, YYYY</datePattern>
<datePattern name="short">M/D/YY</datePattern>
</datePatterns>
<timePatterns>
<timePattern name="full">h:MM:SS A Z</timePattern>
<timePattern name="long">h:MM:SS A Z</timePattern>
<timePattern name="med">h:MM:SS A</timePattern>
<timePattern name="short">h:MM A</timePattern>
</timePatterns>
Custom patterns
The following table shows some custom display patterns that you can define for formatting input default values according to the locale specified. In these examples, the locale is English (USA).
Custom pattern
Input value (using the short format, which is M/D/YY for date and h:MM A for time)
Formatted value
MMMM DD, YYYY
8/23/08
August 23, 2008
EEEE, 'the' D 'of' MMMM, YYYY
8/23/08
Saturday, the 23 of August, 2008
HH:MM
5:02 PM
17:02
h:MM:SS 'o''clock' A Z
5:02 PM
5:02:00 o'clock PM EDT
HH:MM:SS Z
5:02 PM
17:02:00 EDT


Decimal fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Decimal fields
Decimal fields
Decimal Field properties in the Field tab


Decimal Field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Decimal fields > Decimal Field properties in the Field tab
Decimal Field properties in the Field tab
When you select a decimal field, the Field tab in the Object palette presents options for decimal fields. All but two of the options are the same as the options for numeric fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
Limit Length to Visible Area
Sets the maximum amount of numbers allowed in the field according to the horizontal length of the numeric field.
Comb of <x> characters
Enables the comb format.
Patterns
Sets the pattern for displaying formatted values in a form, for syntax of the user input, for validating user input, and for storing and retrieving bound data or saving data when the form is not bound to a data source. See Patterns dialog box.
Limit Leading Digits and Max
Sets the maximum number of digits that can appear before the decimal separator. If the maximum is exceeded, a zero displays.
Default: Unlimited
Maximum: 15 (including trailing digits)
Limit Trailing Digits and Max
Sets the maximum number of digits that can appear after the decimal separator. If the maximum is exceeded, the number is rounded. If you deselect the Limit Trailing Digits option, the precision of decimal data is reflected exactly as it is entered.
Default: 2
Maximum: 15 (including leading digits)
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of decimal fields
Overview of numeric fields
Numeric field properties in the Field tab
Numeric field properties in the Value tab
Numeric field properties in the Binding tab


Drop-down lists

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Drop-down lists
Drop-down lists
Drop-down list properties in the Field tab
Drop-down list properties in the Value tab
Drop-down list properties in the Binding tab


Drop-down list properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Drop-down lists > Drop-down list properties in the Field tab
Drop-down list properties in the Field tab
When you select a drop-down list, the Field tab displays several options specific to formatting drop-down lists.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
List Items
Sets the items in the list and their positions. You can add or remove list items, move them up or down, or sort the items in ascending or descending order using the buttons beside the label.
Note:
List Items is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu.
Allow Custom Text Entry
Enables or disables custom user entries. User-entered values must match the Designer ES defaults. See Defaults for value formatting.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of drop-down lists and list boxes


Drop-down list properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Drop-down lists > Drop-down list properties in the Value tab
Drop-down list properties in the Value tab
When you create a drop-down list, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets the default selection. If Allow Custom Text Entry is selected on the Field tab, you can type a default selection that is not one of the list items.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only, or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of drop-down lists and list boxes


Drop-down list properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Drop-down lists > Drop-down list properties in the Binding tab
Drop-down list properties in the Binding tab
When you create a drop-down list, the Binding tab presents data binding options that you can apply to the list. Options that are not specifically related to creating a data connection apply both to a data source and to data saved to a file when the object is not bound to a data source.
Name
Sets the name of the list. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Specify Item Values
Lets you specify custom data values for each list item. If this option is not selected, the data values will match the text for the list items. If this option is selected, the default values will be sequential integers, starting at "1" for the first list item. See To specify list item values for a drop-down list or list box.
Note:
Specify Item Values is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command from the Object palette menu.
Up, Down, Sort Ascending, Sort Descending
Reorders the items in the list (for example, if the data should be stored in a different order compared to the display order of options in the drop-down list). You can move list items up or down, or sort them ascending or descending using the buttons beside the label.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of drop-down lists and list boxes


Email submit buttons

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Email submit buttons
Email submit buttons
Email submit button properties in the Field tab


Email submit button properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Email submit buttons > Email submit button properties in the Field tab
Email submit button properties in the Field tab
When you select an email submit button, the Field tab in the Object palette displays several options for formatting email submit buttons.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style:
•
No Border
Removes the line around the button.
•
Solid Border
Creates a thick line around the button.
•
Raised Border
Creates a shadow around the button so that the button looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the button.
Highlighting
Sets the button highlight when the button is clicked:
•
None
Removes the button highlight.
•
Inverted
Inverts the button highlight when the button is clicked.
•
Push
Creates a shadow around the button so that the button looks like it is recessed.
•
Outline
Creates a line around the button when the button is clicked.
Rollover Caption
Sets a rollover caption when the button highlight is set to Push. This caption appears when the mouse pointer moves over the button.
Down Caption
Sets a down caption when the button highlight is set to Push. This caption appears when the button is clicked.
Email Address
Sets the recipient of the email message and the attached form data.
Email Subject
Sets the subject line for the email message.
Sign Submission
Applies a data signature to the submitted data. When a form filler clicks the button, a digital signature is created to cover the submitted data and attachments. Data signatures secure the signed data and guarantee the data integrity during transmission. Data signatures can apply to the form data or to the entire submission, including attachments. You can click the Settings button to define optional security properties for the data signature, such as the signature handler, signing certificates, and certificate issuers.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of email submit buttons


HTTP submit buttons

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > HTTP submit buttons
HTTP submit buttons
HTTP submit button properties in the Field tab


HTTP submit button properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > HTTP submit buttons > HTTP submit button properties in the Field tab
HTTP submit button properties in the Field tab
When you select an HTTP submit button, the Field tab in the Object palette displays several options for formatting HTTP submit buttons.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style:
•
No Border
Removes the line around the button.
•
Solid Border
Creates a thick line around the button.
•
Raised Border
Creates a shadow around the button so that the button looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the button.
Highlighting
Sets the button highlight when the button is clicked:
•
None
Removes the button highlight.
•
Inverted
Inverts the button highlight when the button is clicked.
•
Push
Creates a shadow around the button so that the button looks like it is recessed.
•
Outline
Creates a line around the button when the button is clicked.
Rollover Caption
Sets a rollover caption when the button highlight is set to Push. This caption appears when the mouse pointer moves over the button.
Down Caption
Sets a down caption when the button highlight is set to Push. This caption appears when the button is clicked.
URL
The URL that the form data will be posted to.
Sign Submission
Applies a data signature to the submitted data. When a form filler clicks the button, a digital signature is created to cover the submitted data and attachments. Data signatures secure the signed data and guarantee the data integrity during transmission. Data signatures can apply to the form data or to the entire submission, including attachments. You can click the Settings button to define optional security properties for the data signature, such as the signature handler, signing certificates, and certificate issuers.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of HTTP submit buttons


Image fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Image fields
Image fields
Image field properties in the Field tab
Image field properties in the Binding tab


Image field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Image fields > Image field properties in the Field tab
Image field properties in the Field tab
When you select an image field, the Field tab displays several options specific to formatting image fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
URL
Sets the location of the source image file. To employ relative path names for retrieving linked images when the form is opened, the image files must be stored in a folder that is accessible to users. If Forms ES is available, the path must be relative to Forms ES.
Embed Image Data
When selected, a copy of the image information is stored in the form. When deselected, the image data is stored separately from the form and the image is resolved when the form is opened.
If the image field will be used to load images dynamically when the form is rendered, do not select the Embed Image Data option.
Sizing
Enables or disables image resizing when the image is loaded.
•
Scale Image Proportionally
Resizes the image in the object, ensuring that the aspect ratio of the image is preserved.
•
Scale Image to Fit Rectangle
Resizes the image to match the dimensions of the object. The aspect ratio of the image is not preserved.
•
Use Original Size
Does not resize the image. The object is resized to preserve the actual size of the image.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of image fields


Image field properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Image fields > Image field properties in the Binding tab
Image field properties in the Binding tab
When you create an image field, the Binding tab presents data binding options that you can apply to the object. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the image field name. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of image fields


Images

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Images
Images
Image properties in the Draw tab


Image properties in the Draw tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Images > Image properties in the Draw tab
Image properties in the Draw tab
When you create an image object, the Draw tab in the Object palette presents options specific to formatting images.
Type
Sets the type of object. Objects are the building blocks of every form.
URL
Sets the location of the source image file. To employ relative path names for retrieving linked images when the form is opened, the image files must be stored in a folder that is accessible to users. If Forms ES is available, the path must be relative to Forms ES.
Embed Image Data
When selected, a copy of the image information is stored in the form. When deselected, the image data is stored separately from the form and the image is resolved when the form is opened.
Sizing
Enables or disables image resizing when the image is loaded:
•
Scale Image Proportionally
Resizes the image in the object, ensuring that the aspect ratio of the image is preserved.
•
Scale Image to Fit Rectangle
Resizes the image to match the dimensions of the object. The aspect ratio of the image is not preserved.
•
Use Original Size
Does not resize the image. The object is resized to preserve the actual size of the image.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of images


Lines

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Lines
Lines
Line properties in the Draw tab


Line properties in the Draw tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Lines > Line properties in the Draw tab
Line properties in the Draw tab
When you create a line, the Draw tab in the Object palette presents options specific to formatting lines.
Type
Sets the type of object. Objects are the building blocks of every form.
Appearance
Sets the slope of the line.
Line Style
Sets the line style and thickness.
Color Picker
Sets the line color.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of circles, lines, and rectangles


List boxes

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > List boxes
List boxes
List box properties in the Field tab
List box properties in the Value tab
List box properties in the Binding tab


List box properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > List boxes > List box properties in the Field tab
List box properties in the Field tab
When you select a list box, the Field tab displays several options specific to formatting list boxes.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
List Items
Sets the items in the list and their positions. You can add or remove list items, move them up or down, or sort the items in ascending or descending order using the buttons beside the label.
Note:
List Items is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of drop-down lists and list boxes


List box properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > List boxes > List box properties in the Value tab
List box properties in the Value tab
When you create a list box, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets a default selection.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only, or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of drop-down lists and list boxes


List box properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > List boxes > List box properties in the Binding tab
List box properties in the Binding tab
When you create a list box, the Binding tab presents data binding options that you can apply to the list. Options that are not specifically related to creating a data connection apply both to a data source and to data saved to a file when the object is not bound to a data source.
Name
Sets the name of the list. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Specify Item Values
Lets you specify custom data values for each list item. If this option is not selected, the data values will match the text for the list items. If this option is selected, the default values will be sequential integers, starting at "1" for the first list item. See To specify list item values for a drop-down list or list box.
Note:
Specify Item Values is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command from the Object palette menu.
Up, Down, Sort Ascending, Sort Descending
Reorders the items in the list (for example, if the data should be stored in a different order compared to the display order of options in the drop-down list). You can move list items up or down, or sort them ascending or descending using the buttons beside the label.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of drop-down lists and list boxes


Numeric fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Numeric fields
Numeric fields
Numeric field properties in the Field tab
Numeric field properties in the Value tab
Numeric field properties in the Binding tab
Numeric patterns
Examples of numeric patterns


Numeric field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Numeric fields > Numeric field properties in the Field tab
Numeric field properties in the Field tab
When you select a numeric field, the Field tab in the Object palette displays several options for formatting fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
Limit Length to Visible Area
Sets the maximum amount of numbers allowed in the field according to the horizontal length of the numeric field.
Comb of <x> characters
Enables the comb format.
Patterns
Sets the pattern for displaying formatted values in a form, for syntax of the user input, for validating user input, and for storing and retrieving bound data or saving data when the form is not bound to a data source. See Patterns dialog box.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of numeric fields
Overview of decimal fields


Numeric field properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Numeric fields > Numeric field properties in the Value tab
Numeric field properties in the Value tab
When you create a numeric field, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets an initial value for the field. The value is formatted according to the setting specified using the Patterns option on the Field tab, but must conform to the value according to the locale specified for the field. If the data is bound and a data pattern has been specified, the value must match the data pattern specified in the Binding tab. See To specify a default value.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Calculation Script
The value will be calculated by a script written for the object’s calculate event.
Note:
This option is available only when the Type option is set to Calculated - Read Only.
Runtime Property
Sets one of the following run-time properties for the object. When you select a run-time property, the actual value corresponding to the option is inserted dynamically when the form is rendered.
•
Current Page Number
Displays the number of the current page in the numeric field.
•
Number of Pages
Inserts the total number of pages making up the form.
•
Current Sheet Number
Inserts the number of the current piece of paper (sheet) in the numeric field.
•
Number of Sheets
Inserts the total number of pieces of paper (sheets) that make up the form.
Note:
This option is available only when the Type option is set to Calculated - Read Only.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of numeric fields
Overview of decimal fields


Numeric field properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Numeric fields > Numeric field properties in the Binding tab
Numeric field properties in the Binding tab
When you create a numeric field, the Binding tab presents data binding options that you can apply to the object. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the numeric field. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Data Format
Sets the format of the data. See To specify a data pattern:
•
Float
A three-part representation of a number that contains a radix character. The number is represented by the following parts: a sign, a number, and a radix character. Some examples of floating point numbers are 4.23423412, 1234.1234234, or 4.00. Note that in some locales, the radix character is not a decimal point. For example, in a German (Germany) locale, the radix character is a comma (as in 1234,1234).
•
Integer
Any sequence of the digits 0 through 9 possibly preceded by a minus sign. For example, the number may be a positive (such as 1, 2, or 3), a zero, or a negative whole number (such as -1, -2, or -3).
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of numeric fields
Overview of decimal fields


Numeric patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Numeric fields > Numeric patterns
Numeric patterns
Specific symbols must be used to create numeric patterns for numeric fields. You can also use these symbols to create numeric patterns for decimal fields.
Note:
The dash (-), colon (:), slash (/) and space ( ) are treated as literal values and can be included anywhere in a pattern. To include a phrase in a pattern, delimit the text string with single quotation marks ('). For example, 'Your balance is' z,zz9.99 can be specified as the Display Pattern.
Use these pattern symbols to create patterns. The pattern determines the format for users to enter or format data. The formatted results in the Example column are delimited by double quotation marks so that you can see where spaces would appear in the result. The quotation marks are not part of the result. In these examples, the locale is English (USA).
Numeric symbol
Description
Example
9
Single digit or the zero digit if the input is empty. When following the decimal radix, indicates the exact number of digits as contained in the data value.
Display Pattern: zzz,zz9.999
Input Value: 123456.1236 or 1234
Formatted Value: “123,456.124” or “1,234.000”
z
Single digit or no output if the input is the leading zero digit, or no output if the input is empty
Display Pattern: $zzz9
Input Value: 123
Formatted Value: “$123”
Z
Single digit or a space if the input is the leading zero digit, or a space if the input is empty
Display Pattern: $ZZZ9
Input Value: 123
Formatted Value: “$ 123”
s
Minus sign (-) if the number is negative (when the number is positive, no symbol is required)
Display Pattern: $szzz9
Input Value: 123 or -123
Formatted Value: “$123” or “$-123”
S
Minus sign (-) if the number is negative, or a space if the number is positive
Display Pattern: $Szzz9
Input Value: 123 or -123
Formatted Value: “$ 123” or “$-123”
E
Exponential symbol (E+3 means exponent value is 3 and E-2 means exponent value is -2).
The exponential symbol (E) may be used after a 9, z, or Z digit only.
Display Pattern: 99.999E
Input Value: 12345 or 0.12345
Formatted Value: “12.345E+3” or “12.345E-2”
$
Currency symbol, whichever one corresponds to the object’s current Locale setting
Display Pattern: $zzz9
Input Value: 123
Formatted Value: “$123”
cr
Credit symbol (CR) if the number is negative (when the number is positive, no symbol is required)
Display Pattern: cr$zzz9
Input Value: 123 or -123
Formatted Value: “$123” or “CR$123”
CR
Credit symbol (CR) if the number is negative, or spaces if the number is positive
Display Pattern: CR$zzz9
Input Value: 123 or -123
Formatted Value: “ $123” or “CR$123”
db
Debit symbol (DB) if the number is negative (when the number is positive, no symbol is required)
Display Pattern: db$zzz9
Input Value: 123 or -123
Formatted Value: “$123” or “DB$123”
DB
Debit symbol (DB) if the number is negative, or spaces if the number is positive
Display Pattern: DB$zzz9
Input Value: 123 or -123
Formatted Value: “ $123” or “DB$123”
( )
Left and right parenthetic characters to show a negative number. If the number is a positive number, the parenthetic characters become spaces.
Note:
The left and right parenthetic characters may enclose an 8, 9, z, or Z digit only.
Display Pattern: ($zzz9)
Input Value: 123 or -123
Formatted Value: “ $123 ” or “($123)”
.
Decimal radix, whichever one corresponds to the object’s current Locale setting
Display Pattern: zzz9.99
Input Value: 123.45
Formatted Value for a German (Germany) locale: “123,45”
v
Implied decimal radix, whichever one corresponds to the object’s current Locale setting (the decimal radix is stripped out before the output is written)
Display Pattern: zzz9v99
Input Value: 123.45
Formatted Value: “12345”
,
Grouping character, whichever one corresponds to the object’s current Locale setting
Display Pattern: z,zz9.99
Input Value: 1234.56
Formatted Value for a German (Germany) locale: “1.234,56”
%
Percentage symbol, whichever one corresponds to the object’s current Locale setting
Display Pattern: z9.99%
Input Value: 0.123
Formatted Value: “12.30%”
Reserved symbols
The following symbols have special meanings and cannot be used as literal text.
Symbol
Description
?
When submitted, the symbol matches any one character. When merged for display, it becomes a space.
*
When submitted, the symbol matches 0 or Unicode white space characters. When merged for display, it becomes a space.
+
When submitted, the symbol matches one or more Unicode white space characters. When merged for display, it becomes a space.
See also
About field patterns and value formatting
To specify a data pattern
To specify an edit pattern
Examples of numeric patterns


Examples of numeric patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Numeric fields > Examples of numeric patterns
Examples of numeric patterns
The following table shows some example display patterns and the results of formatting some example input values (user input or bound data) using the display pattern. The formatted results are delimited by double quotation marks so that you can see where spaces would appear in the result. The quotation marks are not part of the result. In these examples, the locale is English (USA).
.
Pattern
Input value
Formatted value
zzz,zz9.99
123456.1236
123456.4
123456
“123,456.12”
“123,456.40”
“123,456.00”
$Z,ZZ9.99
123.4
“ 123.40”
$z,zz9.99CR
1234
-1234
“$1,234.00”
“$1,234.00CR”
$Z,ZZ9.99DB
123
-123
“$ 123.00”
“$ 123.00DB”
($z,zz9.99)
1234
-1234
“ $1,234.56 “
“($1,234.00)”
zzz9
12.0
“12”
Szzz,zz9.99
1234.56
-1234.56
“1,234.56”
“-1,234.56”
$9,999.99
123.4
“$0,123.40”
$Z,999.99
123.4
“$ 123.40”
99999
1234
“01234”
S999v99
-1.23
"-00123"
S999V99
-1.23
123
"-001.23”
" 123.00"
SZZ9.99
12.3
-12.3
" 12.30"
"- 12.30"
szz9.99
12.3
-12.3
“12.3”
“-12.3”
99.999E
12345
0.12345
"12.345E+3"
"12.345E-2”
The table below shows the results of converting some example input values (user input or bound data) into raw values using an edit pattern or data pattern.
Custom pattern
Input value
Raw value
99V99
1050
3125
10.50
31.25
99.999E
12.345E3
12.345E-2
12345
0.12345
z999
150
0150
150
150
z,zz9.99
10.50
3,125.00
10.50
3125.00
$z,zz9.99DB
$1,234.00
$1,234.00DB
1234.00
-1234.00


Paper Forms Barcodes

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Paper Forms Barcodes
Paper Forms Barcodes
Paper forms barcode properties in the Field tab
Paper forms barcode properties in the Value tab


Paper forms barcode properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Paper Forms Barcodes > Paper forms barcode properties in the Field tab
Paper forms barcode properties in the Field tab
When you select a paper forms barcode object on the form design, the Field tab in the Object palette displays several options specific to formatting paper forms barcodes.
Type
Sets the type of object. Objects are the building blocks of every form.
Label
A custom or automatically generated caption that appears below the barcode. Useful for distinguishing barcodes in distinct versions of barcoded forms.
Generate Label Automatically
When selected, the barcode label is automatically generated. Deselect the option to specify a custom label.
Symbology
Specifies the symbology for the barcode:
•
PDF417
•
QR Code
•
Data Matrix
Note:
End users filling a form that contains a QR Code or DataMatrix barcode require Acrobat 7.0.5 or later, or Adobe Reader 7.0.5 or later. Decoding of QR Code and DataMatrix barcodes is supported by Adobe LiveCycle Barcoded Forms 7.0 but is not supported by Adobe LiveCycle Barcoded Forms 7.0 Standalone (ST).
Scanning Method
Specifies the conditions for decoding the information in the paper forms barcode after it is printed on a form. The decode condition determines the horizontal and vertical data cell size and the error correction level for the barcode. Designer ES contains the following preset and custom options:
•
Document Scanner (Default)
Selecting this option automatically sets the Error Correction Level, Module Height/Width, and Module Width to values that work well when scanning a paper forms barcode using a 300-dpi scanner.
Designer ES specifies these values:
•
Error Correction Level: 5
•
Module Height/Width: 2 (PDF417), 1 (QR Code and Data Matrix)
•
Module Width: 0.0133 inches
•
Hand-held Scanner
Selecting this option automatically sets the Error Correction Level, Module Height/Width, and Module Width to values that work well when scanning a paper forms barcode using a hand-held scanner.
Designer ES specifies these values:
•
Error Correction Level: 5
•
Module Height/Width: 3 (PDF417), 1 (QR Code and Data Matrix)
•
Module Width: 0.0133 inches
•
Fax Server
Selecting this option automatically sets the Error Correction Level, Module Height/Width, and Module Width to values that work well when scanning a paper forms barcode that was printed on a form received by a fax machine.
Designer ES specifies these values:
•
Error Correction Level: 6
•
Module Height/Width: 2 (PDF417), 1 (QR Code and Data Matrix)
•
Module Width: 0.0133 inches
•
Custom
Selecting this option activates the Property/Value list and lets you set the properties for the Error Correction Level, Module Height/Width, and Module Width to any values within the following ranges:
•
Error Correction Level: 1 - 8
•
Module Height/Width: 1 - 4 (whole numbers for PDF417), 1 (QR Code and Data Matrix)
•
Module Width: 0.0133 - 0.04 inches
When Custom is selected, the Property list remains activated, regardless of the Error Correction Level, Module Height/Width, and Module Width property values, even if they are identical to those of a preset condition.
Note:
The Error Correction Level setting is disabled for Data Matrix barcodes.
Property/Value
When the Custom option is selected, you must set the property values for the error correction level, module height-over-width ratio, and module width:
•
Error Correction Level
Specifies the level of data redundancy that is added to the barcode to help correct for possible scanning errors. Acceptable levels for Value range from 1 to 8. Higher levels allow for more redundancy and a more robust barcode. Higher levels will also require a larger barcode. A more robust barcode can recover from errors, such as pen marks or folds in the document, by including redundant information in the barcode. Designer ES will automatically set an Error Correction Level based on the type of scanning device you select.
An Error Correction Level of 5 tends to provide good performance and still allow the barcode to be a reasonable size. It is recommended that you keep the Error Correction Level above 5 unless you are very familiar with barcode decoding technology.
Note:
The Error Correction Level setting is disabled for Data Matrix barcodes.
•
Module Height/Width
Sets the height of the barcode, as a ratio of the module height over width. Acceptable levels for Value are integers (whole numbers) from 1 to 4 (PDF417), 1 (QR Code and Data Matrix).
•
Module Width
Sets the width of the smallest bar in the barcode. Every other bar in the barcode will be a multiple of this dimension. Acceptable levels for Value range between 0.0133 inches and 0.04 inches.
The Module Width value will be rounded to the nearest 1/300 inch when the barcode is rendered in Acrobat or Adobe Reader. You should be very familiar with barcode decoding technology when selecting the module width.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of paper forms barcodes


Paper forms barcode properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Paper Forms Barcodes > Paper forms barcode properties in the Value tab
Paper forms barcode properties in the Value tab
When you select a paper forms barcode object on the form design, the Value tab of the Object palette presents options specific to formatting paper forms barcodes.
Compress Data Before Encoding
Indicates whether the data is compressed before it is encoded by the paper forms barcode object. The default setting is to not compress the data.
The data compression uses the Flate method. When this option is selected, compression is performed inside Acrobat or Adobe Reader when the barcode is drawn.
Compressed data requires less storage space in the barcode, allowing more form data to be stored in the barcode.
Note:
Typically, you will want data compressed unless the data will be decoded with a handheld scanner or your own decode solution that does not include decompression software. For more information about compressing data, see the Acrobat Help.
Automatic Scripting
Specifies whether the barcode data is obtained automatically or through custom scripting.
Format
Specifies the format of the barcode data that is automatically scripted. When an option is selected, the associated script appears in the Script Editor. If required, you can edit the predefined scripts. Select from the following formats:
•
XML
The value of the barcode is obtained through a script that encodes the data in XML format.
•
Delimited
The value of the barcode is obtained through a script that encodes the data in a delimited format (a flat ASCII representation of field values separated by the specified delimiter character).
Include Field Names
Separates the field names using the specified delimiter and encodes them. Field names are listed first, followed by the field values. This option is available when the Delimited option is selected in the Format list.
Include Label
Encodes the label (shown in Field tab) as the first delimited field in the barcode contents. This option is available when the Delimited option is selected in the Format list.
Use Legacy Format
Uses a legacy encoding format to produce XML barcode content. The legacy encoding format is used in paper forms barcode XML scripts in LiveCycle Designer 7.0 to 8.0. This option is selected automatically when you open a form that uses the legacy encoding format in Designer ES. By default, Designer ES uses a new encoding format.
The paper forms barcode object supports two XML encoding formats produced by two XFA JavaScript functions, xfa.datasets.saveXML() and xfa.record.saveXML(). The legacy encoding format uses the function xfa.datasets.saveXML() and the new encoding format uses the function xfa.record.saveXML()to produce XML encoded data. The legacy encoding format produces longer XML data output than the new encoding format. The new encoding format produces more compact XML data output that provides more barcode space and is better suited for XML encoding scripts.
Delimiter
Specifies the delimiter character that is used to separate field names, field values, and barcode labels in the encoded data. This option is available when the Delimited option is selected in the Format list.
Character Encoding
Specifies the character set used for barcode content. Select one of these options.
•
UTF-8
Characters are encoded using Unicode code points as defined by Unicode-3.2, and UTF-8 serialization as defined by ISO/IEC 10646. There is no byte order mark. This option is selected by default.
•
UTF-16
Characters are encoded using Unicode code points as defined by Unicode-3.2, and UTF-16 serialization as defined by ISO/IEC 10646 and ISO-10646. There is no byte order mark.
•
UCS-2
Characters are encoded using Unicode code points as defined by Unicode 3.2, and UCS-2 serialization as defined by ISO/IEC 10646. There is no byte order mark.
•
ISO-8859-1
Characters are encoded using ISO-8859-1, also known as Latin-1.
•
ISO-8859-2
Characters are encoded using ISO-8859-2.
•
ISO-8859-7
Characters are encoded using ISO-8859-7.
•
Shift_JIS
Characters are encoded using JIS X 0208, also known as Shift_JIS.
•
KSC_5601
Characters are encoded using the Code for Information Interchange (Hangul and Hanja).
•
GB-2312
Characters are encoded using Simplified Chinese.
•
Big Five
Characters are encoded using Traditional Chinese (Big-Five). Note that there is no official standard for Big-Five and several variants are in use.
•
Font Specific
Characters are encoded in a font-specific way. Each character is represented by one 8-bit byte.
•
None
No special encoding is specified. Characters are encoded using the ambient encoding for the operating system.
Note:
Keep in mind that some scanning devices do not support certain character sets. Also, Acrobat and Adobe Reader 7.0. and earlier do not support character encoding.
Apply To
Specifies what the selected format applies to. Select from the following list:
•
Entire Form Data
Encodes the data from all form fields in the selected format
•
Collection Data
Encodes the data from all fields specified in the selected collection.
Collection
Specifies the collection to use to encode the data. Select from the following list:
•
Collection name
The name of the collection that you created.
•
New/Manage Collection
Creates, deletes, duplicates, renames, and modifies collections in the Collection list.
Modify
Displays the selected fields for the current collection. You can also edit the fields in the collection and rename the collection in this window.
Overview of paper forms barcodes
To control how a paper forms barcode encodes data
Design tips for using a paper forms barcode


Password fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Password fields
Password fields
Password field properties in the Field tab
Password field properties in the Value tab
Password field properties in the Binding tab
Password patterns
Examples of password patterns


Password field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Password fields > Password field properties in the Field tab
Password field properties in the Field tab
When you select a password field, the Field tab in the Object palette displays several options for formatting password fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
Password Display Character
Sets the display character.
Limit Length to Visible Area
Sets the maximum number of characters allowed in the field according to the horizontal length of the password field.
Patterns
Sets the pattern for the syntax of the user input, for validating user input, and for storing and retrieving bound data or for saving data when the form is not bound to a data source. See Patterns dialog box.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of password fields


Password field properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Password fields > Password field properties in the Value tab
Password field properties in the Value tab
When you create a password field, the Value tab displays several options that you can apply to the object.
Type
Sets the user input requirement.
•
User Entered - Optional
Users may choose to enter a password or not.
•
User Entered - Recommended
If the user does not enter a password, a custom message (if written in the Empty Message box) is displayed.
•
User Entered - Required
If the user does not enter a password, a custom message (if written in the Empty Message box) is displayed.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only, or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
See also
Overview of password fields


Password field properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Password fields > Password field properties in the Binding tab
Password field properties in the Binding tab
When you create a password field, the Binding tab presents data binding options that you can apply to the object. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the field. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of password fields


Password patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Password fields > Password patterns
Password patterns
If you choose, you can define password patterns for fields. Note however, that defining a specific pattern may make passwords more vulnerable to attack as it reduces the possible character combinations that may be used. If you want to define a pattern, use these symbols.
Note:
The comma (,), dash (-), colon (:), slash (/), period (.), and space ( ) are treated as literal values and can be included anywhere in a pattern.
Password symbols
Description
A
Single alphabetic character
X
Single character
O
Single alphanumeric character
0
Single alphanumeric character
9
Single digit
Note:
The O (capital o) and 0 (zero) symbols are intentional synonyms in recognition that these two characters are often mistyped and misread.
Reserved symbols
The following symbols have special meanings and cannot be used in a password.
Symbol
Description
?
When submitted, the symbol matches any one character. When merged for display, it becomes a space.
*
When submitted, the symbol matches 0 or Unicode white space characters. When merged for display, it becomes a space.
+
When submitted, the symbol matches one or more Unicode white space characters. When merged for display, it becomes a space.
See also
About field patterns and value formatting
Examples of password patterns


Examples of password patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Password fields > Examples of password patterns
Examples of password patterns
The following table shows some example edit patterns that you can define for processing user-entered passwords.
Custom pattern
Input value
AAA999
MAB123
XXX-9
MA2-4
99999
12345
9009AA9
1M23BE4
1m23be4
1MA3BE4


Radio buttons

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Radio buttons
Radio buttons
Radio button properties in the Field tab
Radio button properties in the Value tab
Radio button properties in the Binding tab


Radio button properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Radio buttons > Radio button properties in the Field tab
Radio button properties in the Field tab
When you select a radio button or exclusion group, the Field tab in the Object palette displays several options for formatting radio buttons.
Type
Sets the type of object. Objects are the building blocks of every form.
Appearance
Sets a border style for the button.
If a single radio button is selected, these options are available:
•
None
Does not display a border around the button.
•
Solid Square
Uses a solid square to represent the button.
•
Sunken Square
Creates a square shadow for the button so that the button looks three -dimensional.
•
Solid Circle
Uses a solid circle to represent the button.
•
Sunken Circle
Creates a circular shadow for the button so that the button looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
If the exclusion group is selected, these options are available:
•
No Border
Does not display a line around the group.
•
Solid Border
Creates a thick line around the group.
•
Raised Border
Creates a shadow around the group so that it looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option to define a custom look for the group.
Size
Sets the size of the radio button.
Check Style
Sets the radio button style:
•
Default
Uses a filled circle for the button style.
•
Check
Uses a check mark for the button style.
•
Circle
Uses a circle for the button style.
•
Cross
Uses a cross for the button style.
•
Diamond
Uses a diamond for the button style.
•
Square
Uses a square for the button style.
•
Star
Uses a star as the button style.
Item
Lists all of the radio buttons in the current exclusion group. You can double-click a radio button name to edit its caption.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of radio buttons


Radio button properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Radio buttons > Radio button properties in the Value tab
Radio button properties in the Value tab
When you create an exclusion group of radio buttons, the Value tab displays several options that you can apply to the entire group.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets a default selection.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Protect, Calculated - Read Only, or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of radio buttons


Radio button properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Radio buttons > Radio button properties in the Binding tab
Radio button properties in the Binding tab
When you create a radio button exclusion group, the Binding tab presents data binding options that you can apply to the group. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the exclusion group.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Specify Item Values
Lets you specify custom On values for each radio button in the exclusion group. The value of each radio button in the group must be unique compared to the values of all other radio buttons in the group.
When this option is not selected, the On values will match the caption for the radio button. When this option is selected, the default values are sequential integers starting at “1” for the first radio button in the group. See To assign On values to radio buttons.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of radio buttons


Rectangles

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Rectangles
Rectangles
Rectangle properties in the Draw tab


Rectangle properties in the Draw tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Rectangles > Rectangle properties in the Draw tab
Rectangle properties in the Draw tab
When you create a rectangle, the Draw tab in the Object palette presents options specific to formatting rectangles.
Type
Sets the type of object. Objects are the building blocks of every form.
Line Style
Sets the line style and thickness.
Color Picker
Sets the line color.
Corners
Sets the corner style.
Radius
Sets the radius of notched corners.
Fill
Sets a fill style.
Color Picker
Sets fill colors.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of circles, lines, and rectangles


Signature fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Signature fields
Signature fields
Signature field properties in the Field tab
Signature field properties in the Signature tab


Signature field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Signature fields > Signature field properties in the Field tab
Signature field properties in the Field tab
When you select a signature field, the Field tab in the Object palette displays several options for formatting signature fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of signature fields
About digital signatures


Signature field properties in the Signature tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Signature fields > Signature field properties in the Signature tab
Signature field properties in the Signature tab
When you select a signature field object, the Signature tab in the Object palette displays various options that control which fields (form objects) you can lock after the signature field is signed. The object types you can lock are buttons, check boxes, date/time fields, decimal fields, drop-down lists, image fields, list boxes, numeric fields, paper forms barcodes, password fields, radio buttons, other signature fields, and text fields.
You can also click the Settings button to define optional security properties for the signature, such as the signature handler, signing certificates, and certificate issuers.
Lock Fields After Signing
Specifies which fields (objects) the signature applies to. The signature field can apply to all of the fields in the document, all of fields inside a collection of selected objects, or all of the fields outside of a collection of selected objects. After the signing party signs the signature field, the fields in the specified area are locked. This option is selected be default when you add a signature field to a form design. If you deselect this option, none of the fields in the form will be locked after the signing party signs the signature field.
You can select one of options in the drop-down list to indicate which fields to lock or to manage collections.
•
All Fields in Document
Locks all the fields in the document.
•
Collection - <name>
Locks all fields in the selected collection.
•
New/Manage Collection
Opens the Collection List dialog box, where you can create, modify, duplicate, delete, and sort object collections.
All Fields in Collection
Locks all of the fields that are included in the selected collection.
All Fields not in Collection
Locks all of the fields that are not included in the selected collection.
See also
Overview of signature fields
About digital signatures
About form object collections


Subforms

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subforms
Subforms
Subform properties in the Subform tab
Subform properties in the Pagination tab
Subform properties in the Binding tab


Subform properties in the Subform tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subforms > Subform properties in the Subform tab
Subform properties in the Subform tab
When you select a subform, the Subform tab in the Object palette displays several formatting options.
Source File
Sets the source file for the fragment reference. This property is visible only when the selected object is a fragment reference.
Fragment Name
Sets the name of the fragment. You can click the Frag Info button [image] to view the fragment information.
This property is visible when a fragment reference or a fragment that is defined in a source file is selected. When the selected object is a fragment reference, this property does not appear if the source file is not specified. The Fragment Name list includes all the fragments in the specified source file. The Custom option directly supports setting a SOM expression or an ID value as the fragment reference and supports the implementation in the XML Forms Architecture.
Content
Sets positioned or flowed subform content.
•
Positioned
Positions the objects in the subform according to their individual X and Y coordinates.
•
Flowed
Positions the objects in the subform during the data-merging process so that no objects are rendered on top of each other.
Flow Direction
Sets a flow direction for flowed objects:
•
Top to Bottom
Lays down the objects one beneath the other.
•
Western Text
Lays down the objects from left to right, and when the objects wrap at the right edge of the subform, continue laying down objects one object down from left to right.
Note:
This option is unavailable unless the Flowed option is selected in the Content list.
Allow Page Breaks Within Content
Enables or disables page breaks in the middle of a subform.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of subforms
To specify a subform to span multiple pages


Subform properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subforms > Subform properties in the Pagination tab
Subform properties in the Pagination tab
When you select a subform, the Pagination tab in the Object palette displays several pagination options.
Place
Determines where the subform will be placed.
•
Following Previous
Places the subform after the previous object in the parent subform.
•
In Content Area > [name_of_content_area]
Places the subform in the specified content area.
•
Top of Next Content Area
Places the subform at the top of the next content area.
•
Top of Content Area > [name_of_content_area]
Places the subform at the top of the specified content area.
•
On Page > [name_of_page]
Places the subform on the specified page (introduces a page break if one does not occur naturally).
•
Top of Next Page
Places the subform at the top of the next page (introduces a page break if one does not occur naturally).
•
Top of Page > [name_of_page]
Places the subform at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Odd Page
Places the subform on pages that are set to print on odd pages.
•
Top of Next Odd Page
Places the subform at the top of the odd page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Even Page
Places the subform on pages that are set to print on even pages.
•
Top of Next Even Page
Places the subform at the top of the even page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
Keep With Previous
Keeps the subform within the same content area as the previous subform.
Keep With Next
Keeps the subform within the same content area as the next subform.
After
Determines which area to fill after the subform is placed.
•
Continue Filling Parent
Continues merging data for all objects remaining to be filled in the parent subform.
•
Go to Next Content Area
Starts filling the next content area.
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Next Page
Starts filling the next page.
•
Go To Page > [name_of _page]
Starts filling the specified page.
•
Go To Next Odd Page
Starts filling the next odd page.
•
Go to Next Even Page
Starts filling the next even page.
Conditional Breaks
Specifies the number of conditional breaks that have been defined for the subform.
Overflow
Sets an overflow for a subform that spans pages.
•
None
Starts filling the next page (introduces a page break if one does not occur naturally).
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Page > [name_of _page]
Starts filling the specified page.
Overflow Leader
Specifies an overflow leader for a subform that must be paginated.
•
[name_of_subform]
Uses this existing subform as the overflow leader.
•
None
Does not use an overflow leader when paginating the subform.
•
New
Creates a new overflow leader subform in Designer ES and set it as the overflow leader when paginating this subform.
Overflow Trailer
Specifies an overflow trailer for a subform that must be paginated.
•
[name_of_subform]
Uses this existing subform as the overflow trailer.
•
None
Does not use an overflow trailer when paginating the subform.
•
New
Creates a new overflow trailer subform in Designer ES and set it as the overflow trailer when paginating this subform.
See also
Overview of subforms
Subform properties in the Subform tab
Subform properties in the Binding tab


Subform properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subforms > Subform properties in the Binding tab
Subform properties in the Binding tab
When you select a subform, the Binding tab in the Object palette displays several data binding options. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the subform. By default, subforms have no name. See To name a subform.
Default Binding
Sets the default data-binding method.
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. The subform will not be involved in any data-merging operations, but its objects (including any nested subforms) may still capture or display data.
Initial Count
Sets the number of occurrences of the currently selected object to initially display on the form, regardless of the quantity of data from any data connection. The value you specify must be equal to or larger than the value for Min Count, and less than or equal to the value of Max.
See also
About data sources
Overview of subforms


Subform sets

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subform sets
Subform sets
Subform set properties in the Subform Set tab
Subform set properties in the Pagination tab
Subform set properties in the Binding tab


Subform set properties in the Subform Set tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subform sets > Subform set properties in the Subform Set tab
Subform set properties in the Subform Set tab
When you select a subform set, the Subform tab in the Object palette displays several formatting options.
Note:
Edit Alternatives is unavailable unless the Select One Subform from Alternatives option is selected in the Type list.
Type
Sets the order that subforms within the subform set are rendered on a form.
•
Use All Subforms in Order
All subforms within the subform set are rendered in the order in which they appear on the form design.
•
Select One Subform from Alternatives
Only one of the subforms from within the subform set is rendered based on conditions specified by the form author.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
One-sided Printing Only
The object is printed only when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
See also
Overview of subform sets
Subform set properties in the Pagination tab
Subform set properties in the Binding tab
Edit Data Nominated Subforms dialog box


Subform set properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subform sets > Subform set properties in the Pagination tab
Subform set properties in the Pagination tab
When you select a subform set, the Pagination tab in the Object palette displays several pagination options.
Place
Determines where the subform set will be placed.
•
Following Previous
Lays down the subform set after the previous object in the parent subform.
•
In Content Area > [name_of _content_area]
Lays down the subform set in the specified content area.
•
Top of Next Content Area
Lays down the subform set at the top of the next content area.
•
Top of Content Area > [name_of _content_area]
Lays down the subform set at the top of the specified content area.
•
On Page > [name_of _page]
Lays down the subform set on the specified page (introduces a page break if one does not occur naturally).
•
Top of Next Page
Lays down the subform set at the top of the next page (introduces a page break if one does not occur naturally).
•
Top of Page > [name_of _page]
Lays down the subform set at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Odd Page
Places the subform set on pages that are set to print on odd pages.
•
Top of Next Odd Page
Places the subform set at the top of the odd page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Even Page
Places the subform set on pages that are set to print on even pages.
•
Top of Next Even Page
Places the subform set at the top of the even page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
After
Determines which area to fill after the subform set is placed.
•
Continue Filling Parent
Continues merging data for all objects remaining to be filled in the parent subform.
•
Go to Next Content Area
Starts filling the next content area.
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Next Page
Starts filling the next page.
•
Go To Page > [name_of _page]
Starts filling the specified page.
•
Go To Next Odd Page
Starts filling the next odd page.
•
Go to Next Even Page
Starts filling the next even page.
Conditional Breaks
Specifies the number of conditional breaks that have been defined for the subform set.
Overflow
Sets an overflow for a subform set that spans pages.
•
None
Starts filling the next page (introduces a page break if one does not occur naturally).
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Page > [name_of _page]
Starts filling the specified page.
Overflow Leader
Specifies an overflow leader for a subform set that must be paginated.
•
None
Does not use an overflow leader when paginating the subform set.
•
[name_of_subform]
Uses this existing subform set as the overflow leader.
•
New
Creates a new overflow leader subform set and sets it as the overflow leader when paginating this subform.
Overflow Trailer
Specifies an overflow trailer for a subform set that must be paginated.
•
None
Does not use an overflow trailer when paginating the subform set.
•
[name_of_subform]
Uses this existing subform set as the overflow trailer.
•
New
Creates a new overflow trailer subform and sets it as the overflow trailer when paginating this subform.
See also
Overview of subform sets
Subform set properties in the Subform Set tab
Subform set properties in the Binding tab


Subform set properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Subform sets > Subform set properties in the Binding tab
Subform set properties in the Binding tab
When you select a subform set, the Binding tab in the Object palette displays several data binding options.
Name
Sets the name of the subform set. By default, subform sets have no name.
Repeat Subform For Each Data Item
Enables or disables subform repetition.
Min Count
Sets the minimum number of occurrences of the currently selected object to display on the form.
Max
Sets the maximum number of occurrences of the currently selected object to display on the form.
Initial Count
Sets the number of occurrences of the currently selected object to initially display on the form, regardless of the quantity of data from any data connection. The value you specify must be equal to or larger than the value for Min Count, and less than or equal to the value of Max.
See also
Overview of subform sets


Tables

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables
Tables
Table properties in the Table tab
Table properties in the Row Shading tab
Table properties in the Pagination tab
Table properties in the Binding tab
Header row properties in the Row tab
Footer row properties in the Row tab
Header and footer row properties in the Pagination tab
Header row properties in the Binding tab
Footer row properties in the Binding tab
Body row properties in the Row tab
Body row properties in the Pagination tab
Body row properties in the Binding tab
Section properties in the Section tab
Section properties in the Row Shading tab
Section properties in the Pagination tab
Section properties in the Binding tab
Cell properties in the Cell tab
Cell properties in the Value tab
Cell properties in the Binding tab


Table properties in the Table tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Table properties in the Table tab
Table properties in the Table tab
When you select a table, the Table tab in the Object palette displays several formatting options.
Source File
Sets the source file for the fragment reference. This property is visible only when the selected object is a fragment reference.
Fragment Name
Sets the name of the fragment. You can click the Frag Info button [image] to view the fragment information.
This property is visible when a fragment reference or a fragment that is defined in a source file is selected. When the selected object is a fragment reference, this property does not appear if the source file is not specified. The Fragment Name list includes all the fragments in the specified source file. The Custom option directly supports setting a SOM expression or an ID value as the fragment reference and supports the implementation in the XML Forms Architecture.
Body Rows
Shows the number of body rows.
Header Rows
Shows the number of header rows.
Columns
Shows the number of columns.
Footer Rows
Shows the number of footer rows.
Allow Page Breaks Within Content
Enables or disables page breaks in the middle of a table.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
About tables
Table properties in the Row Shading tab
Table properties in the Pagination tab
Table properties in the Binding tab


Table properties in the Row Shading tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Table properties in the Row Shading tab
Table properties in the Row Shading tab
When you select a table, the Row Shading tab in the Object palette presents options for applying shading colors to alternating rows.
Apply Alternating Row Shading
Enables or disables shading of body rows in a table.
For a table in which data is merged when the form is rendered, shading is applied only to body rows in which merged data appears. Shading is not applied to body rows that are not part of the data-merging process. All rows to which shading is applied must have a name. See Body row properties in the Binding tab.
First Sets the number of body rows that the first shading color is applied to, starting from the first body row.
Color Picker
Sets the first fill color used for shading.
Next
Sets the number of body rows that the second shading color is applied to, following the body rows shaded using the first shading color.
Color Picker
Sets the second fill color used for shading.
See also
About tables
To apply borders and shading to a table
Table properties in the Table tab
Table properties in the Pagination tab
Table properties in the Binding tab


Table properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Table properties in the Pagination tab
Table properties in the Pagination tab
When you select a table, the Pagination tab in the Object palette displays several pagination options.
Place
Determines where the table will be placed.
•
Following Previous
Lays down the table after the previous object in the parent subform.
•
In Content Area > [name_of _content_area]
Lays down the table in the specified content area.
•
Top of Next Content Area
Lays down the table at the top of the next content area.
•
Top of Content Area > [name_of _content_area]
Lays down the table at the top of the specified content area.
•
On Page > [name_of _page]
Lays down the table on the specified page (introduces a page break if one does not occur naturally).
•
Top of Next Page
Lays down the table at the top of the next page (introduces a page break if one does not occur naturally).
•
Top of Page > [name_of _page]
Lays down the table at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Odd Page
Places the subform on pages that are set to print on odd pages.
•
Top of Next Odd Page
Places the subform at the top of the odd page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Even Page
Places the subform on pages that are set to print on even pages.
•
Top of Next Even Page
Places the subform at the top of the even page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
Keep With Previous
Keeps the table within the same content area as the previous table.
Keep With Next
Keeps the table within the same content area as the next table.
After
Determines which area to fill after the table is placed.
•
Continue Filling Parent
Continues merging data for all objects remaining to be filled in the parent subform.
•
Go to Next Content Area
Starts filling the next content area.
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Next Page
Starts filling the next page.
•
Go To Page > [name_of _page]
Starts filling the specified page.
•
Go To Next Odd Page
Starts filling the next odd page.
•
Go to Next Even Page
Starts filling the next even page.
Conditional Breaks
Specifies the number of conditional breaks that have been defined for the table. See To control table, header row, body row, footer row, and section breaks using conditional statements.
Overflow
Sets an overflow for a table that spans pages. See To set up a table to span multiple pages.
•
None
Starts filling the next page (introduces a page break if one does not occur naturally).
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Page > [name_of _page]
Starts filling the specified page.
See also
About tables
To set up a table to span multiple pages
Table properties in the Table tab
Table properties in the Row Shading tab
Table properties in the Binding tab


Table properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Table properties in the Binding tab
Table properties in the Binding tab
When you select a table, the Binding tab in the Object palette displays several data binding options. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the table. If existing tables in the form use the same name, the number beside the name identifies the instance for the current table. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
Repeat Table For Each Data Item
Enables or disables table repetition.
Min Count
Sets the minimum number of occurrences of the currently selected object to display on the form.
Max
Sets the maximum number of occurrences of the currently selected object to display on the form.
Initial Count
Sets the number of occurrences of the currently selected object to initially display on the form, regardless of the quantity of data from any data connection. The value you specify must be equal to or larger than the value for Min Count, and less than or equal to the value of Max.
See also
About tables
Table properties in the Table tab
Table properties in the Row Shading tab
Table properties in the Pagination tab


Header row properties in the Row tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Header row properties in the Row tab
Header row properties in the Row tab
When you select a header row or footer row, the Row tab in the Object palette displays several formatting options.
Source File
Sets the source file for the fragment reference. This property is visible only when the selected object is a fragment reference.
Fragment Name
Sets the name of the fragment. You can click the Frag Info button [image] to view the fragment information.
This property is visible when a fragment reference or a fragment that is defined in a source file is selected. When the selected object is a fragment reference, this property does not appear if the source file is not specified. The Fragment Name list includes all the fragments in the specified source file. The Custom option directly supports setting a SOM expression or an ID value as the fragment reference and supports the implementation in the XML Forms Architecture.
Type
Sets the type of row content:
•
Body Row
The row contains table content.
•
Header Row
The row contains header information and is usually the first row positioned for the table. For example, a header row may identify the information in each table column.
•
Footer Row
The row contains footer information and is usually the last row positioned for the table. For example, for a table that presents numeric data, a footer row may provide the total value of each column.
See also
Allow Page Breaks Within Content
Enables or disables page breaks in the middle of a row.
See also
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
About tables
To change a row to a header, body, or footer row
Header and footer row properties in the Pagination tab
Header row properties in the Binding tab


Footer row properties in the Row tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Footer row properties in the Row tab
Footer row properties in the Row tab
When you select a header row or footer row, the Row tab in the Object palette displays several formatting options.
Source File
Sets the source file for the fragment reference. This property is visible only when the selected object is a fragment reference.
Fragment Name
Sets the name of the fragment. You can click the Frag Info button [image] to view the fragment information.
This property is visible when a fragment reference or a fragment that is defined in a source file is selected. When the selected object is a fragment reference, this property does not appear if the source file is not specified. The Fragment Name list includes all the fragments in the specified source file. The Custom option directly supports setting a SOM expression or an ID value as the fragment reference and supports the implementation in the XML Forms Architecture.
Type
Sets the type of row content:
•
Body Row
The row contains table content.
•
Header Row
The row contains header information and is usually the first row positioned for the table. For example, a header row may identify the information in each table column.
•
Footer Row
The row contains footer information and is usually the last row positioned for the table. For example, for a table that presents numeric data, a footer row may provide the total value of each column.
Allow Page Breaks Within Content
Enables or disables page breaks in the middle of a row.
See also
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
About tables
To change a row to a header, body, or footer row
Header and footer row properties in the Pagination tab
Header row properties in the Binding tab


Header and footer row properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Header and footer row properties in the Pagination tab
Header and footer row properties in the Pagination tab
When you select a header row or footer row, the Pagination tab in the Object palette displays several pagination options.
Place
Determines where the header or footer row will be placed.
•
Following Previous
Lays down the row after the previous row.
•
In Content Area > [name_of _content_area]
Lays down the row in the specified content area.
•
Top of Next Content Area
Lays down the row at the top of the next content area.
•
Top of Content Area > [name_of _content_area]
Lays down the row at the top of the specified content area.
•
On Page > [name_of _page]
Lays down the row on the specified page (introduces a page break if one does not occur naturally).
•
Top of Next Page
Lays down the row at the top of the next page (introduces a page break if one does not occur naturally).
•
Top of Page > [name_of _page]
Lays down the row at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Odd Page
Places the row on pages that are set to print on odd pages.
•
Top of Next Odd Page
Places the row at the top of the odd page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Even Page
Places the row on pages that are set to print on even pages.
•
Top of Next Even Page
Places the row at the top of the even page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
Keep With Previous
Keeps the row within the same content area as the previous row.
Keep With Next
Keeps the row within the same content area as the next row.
After
Determines which area to fill after the row is placed.
•
Continue Filling Parent
Continues merging data for all objects remaining to be filled in the parent table.
•
Go to Next Content Area
Starts filling the next content area.
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Next Page
Starts filling the next page.
•
Go To Page > [name_of _page]
Starts filling the specified page.
•
Go To Next Odd Page
Starts filling the next odd page.
•
Go to Next Even Page
Starts filling the next even page.
Conditional Breaks
Specifies the number of conditional breaks that have been defined for the header or footer row. See To control table, header row, body row, footer row, and section breaks using conditional statements.
Include Header Row At Beginning Of Table
For a header row, specifies that the row will appear in its current position in the table.
Include Header Row In Subsequent Pages
For a header row in tables that span pages, adds the row as the first row in the table on each page.
Include Footer Row In Subsequent Pages
For a footer row in tables that span pages, adds the row as the last row in the table on each page.
Include Footer Row At End Of Table
For a footer row, specifies that the row will appear in its current position in the table.
See also
About tables
To repeat a header or footer row on subsequent pages
Header row properties in the Row tab
Header row properties in the Binding tab
Body row properties in the Pagination tab


Header row properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Header row properties in the Binding tab
Header row properties in the Binding tab
When you select a header row or footer row, the Binding tab in the Object palette displays several data binding options. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the row. If existing rows in the table use the same name, the number beside the name identifies the instance for the current row. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
Repeat Row For Each Data Item, Min Count, Max, and Initial Count
Enables or disables row repetition. See To set the rows in a table to adjust to accommodate data.
See also
About tables
Header row properties in the Row tab
Header and footer row properties in the Pagination tab
Body row properties in the Binding tab


Footer row properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Footer row properties in the Binding tab
Footer row properties in the Binding tab
When you select a header row or footer row, the Binding tab in the Object palette displays several data binding options. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the row. If existing rows in the table use the same name, the number beside the name identifies the instance for the current row. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
Repeat Row For Each Data Item, Min Count, Max, and Initial Count
Enables or disables row repetition. See To set the rows in a table to adjust to accommodate data.
See also
About tables
Header row properties in the Row tab
Header and footer row properties in the Pagination tab
Body row properties in the Binding tab


Body row properties in the Row tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Body row properties in the Row tab
Body row properties in the Row tab
When you select a body row, the Row tab in the Object palette displays several formatting options.
Source File
Sets the source file for the fragment reference. This property is visible only when the selected object is a fragment reference.
Fragment Name
Sets the name of the fragment. You can click the Frag Info button [image] to view the fragment information.
This property is visible when a fragment reference or a fragment that is defined in a source file is selected. When the selected object is a fragment reference, this property does not appear if the source file is not specified. The Fragment Name list includes all the fragments in the specified source file. The Custom option directly supports setting a SOM expression or an ID value as the fragment reference and supports the implementation in the XML Forms Architecture.
Type
Sets the type of row content:
•
Body Row
The row contains table content.
•
Header Row
The row contains header information and is usually the first row positioned for the table. For example, a header row may identify the information in each table column.
•
Footer Row
The row contains footer information and is usually the last row positioned for the table. For example, for a table that presents numeric data, a footer row may provide the total value of each column.
See Header row properties in the Row tab.
Allow Page Breaks Within Content
Enables or disables page breaks in the middle of a row.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
About tables
To change a row to a header, body, or footer row
Body row properties in the Pagination tab
Body row properties in the Binding tab


Body row properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Body row properties in the Pagination tab
Body row properties in the Pagination tab
When you select a body row, the Pagination tab in the Object palette displays several pagination options.
Note:
The Include options are available only when a header or footer row is selected. See Header and footer row properties in the Pagination tab
Place
Determines where the row will be placed.
•
Following Previous
Lays down the row after the previous row.
•
In Content Area > [name_of _content_area]
Lays down the row in the specified content area.
•
Top of Next Content Area
Lays down the row at the top of the next content area.
•
Top of Content Area > [name_of _content_area]
Lays down the row at the top of the specified content area.
•
On Page > [name_of _page]
Lays down the row on the specified page (introduces a page break if one does not occur naturally).
•
Top of Next Page
Lays down the row at the top of the next page (introduces a page break if one does not occur naturally).
•
Top of Page > [name_of _page]
Lays down the row at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Odd Page
Places the row on pages that are set to print on odd pages.
•
Top of Next Odd Page
Places the row at the top of the odd page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Even Page
Places the row on pages that are set to print on even pages.
•
Top of Next Even Page
Places the row at the top of the even page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
Keep With Previous
Keeps the row within the same content area as the previous row.
Keep With Next
Keeps the row within the same content area as the next row.
After
Determines which area to fill after the row is placed.
•
Continue Filling Parent
Continues merging data for all objects remaining to be filled in the parent table.
•
Go to Next Content Area
Starts filling the next content area.
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Next Page
Starts filling the next page.
•
Go To Page > [name_of _page]
Starts filling the specified page.
•
Go To Next Odd Page
Starts filling the next odd page.
•
Go to Next Even Page
Starts filling the next even page.
Conditional Breaks
Specifies the number of conditional breaks that have been defined for the row. See To control table, header row, body row, footer row, and section breaks using conditional statements.
See also
About tables
Body row properties in the Row tab
Body row properties in the Binding tab


Body row properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Body row properties in the Binding tab
Body row properties in the Binding tab
When you select a body row, the Binding tab in the Object palette displays several data binding options. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the row. By default, body rows have no name. If existing rows in the form use the same name, the number beside the name identifies the instance for the current row. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
See also
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
Repeat Row For Each Data Item, Min Count, Max, and Initial Count
Enables or disables row repetition. See To set the rows in a table to adjust to accommodate data.
See also
About tables
Body row properties in the Row tab
Body row properties in the Pagination tab
Header row properties in the Binding tab


Section properties in the Section tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Section properties in the Section tab
Section properties in the Section tab
When you select a section, the Section tab in the Object palette displays several formatting options.
Type
Determines the sections that are displayed when the form is rendered, based on the section content.
•
Use All Subforms In Order
All rows in the section are included when the form is rendered.
•
Select One Subform from Alternatives
One row of two possible rows are included when the form is rendered. The row that is included is determined based on the data that is merged. For example, for rows with a cell that displays a calculated value, you can specify that one row is displayed if the value is equal to or higher than zero and another row if the value is less than zero.
See also
About tables
To group rows into a section
To create choice sections in tables
Section properties in the Row Shading tab
Section properties in the Pagination tab
Section properties in the Binding tab


Section properties in the Row Shading tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Section properties in the Row Shading tab
Section properties in the Row Shading tab
When you select a section, the Row Shading tab in the Object palette presents options for applying shading colors to alternating rows within the section.
Apply Alternating Row Shading
Enables or disables body row shading in a section.
For a section in which data is merged when the form is rendered, shading is applied only to body rows in which merged data appears. Shading is not applied to body rows that are not part of the data-merging process. All rows to which shading is applied must have a name. See Body row properties in the Binding tab.
First
Sets the number of body rows that the first shading color is applied to, starting from the first body row in the section.
Color Picker
Sets the first fill color used for shading.
Next
Sets the number of body rows in the section that the second shading color is applied to, following the body rows shaded using the first shading color.
Color Picker
Sets the second fill color used for shading.
See also
About tables
Section properties in the Section tab
Section properties in the Pagination tab
Section properties in the Binding tab


Section properties in the Pagination tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Section properties in the Pagination tab
Section properties in the Pagination tab
When you select a section, the Pagination tab in the Object palette displays several pagination options.
Place
Determines where the section will be placed.
•
Following Previous
Lays down the section after the previous section.
•
In Content Area > [name_of _content_area]
Lays down the section in the specified content area.
•
Top of Next Content Area
Lays down the section at the top of the next content area.
•
Top of Content Area > [name_of _content_area]
Lays down the section at the top of the specified content area.
•
On Page > [name_of _page]
Lays down the section on the specified page (introduces a page break if one does not occur naturally).
•
Top of Next Page
Lays down the section at the top of the next page (introduces a page break if one does not occur naturally).
•
Top of Page > [name_of _page]
Lays down the section at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Odd Page
Places the row on pages that are set to print on odd pages.
•
Top of Next Odd Page
Places the row at the top of the odd page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
On Even Page
Places the row on pages that are set to print on even pages.
•
Top of Next Even Page
Places the row at the top of the even page whenever the specified page is rendered (introduces a page break if one does not occur naturally).
After
Determines which area to fill after the section is placed.
•
Continue Filling Parent
Continues merging data for all objects remaining to be filled in the parent table.
•
Go to Next Content Area
Starts filling the next content area.
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Next Page
Starts filling the next page.
•
Go To Page > [name_of _page]
Starts filling the specified page.
•
Go To Next Odd Page
Starts filling the next odd page.
•
Go to Next Even Page
Starts filling the next even page.
Conditional Breaks
Specifies the number of conditional breaks that have been defined for the section. See To control table, header row, body row, footer row, and section breaks using conditional statements.
Overflow
Sets an overflow for a section that spans pages. See To set up a table to span multiple pages.
•
None
Starts filling the next page (introduces a page break if one does not occur naturally).
•
Go To Content Area > [name_of _content_area]
Starts filling the specified content area.
•
Go To Page > [name_of _page]
Starts filling the specified page.
See also
About tables
Section properties in the Section tab
Section properties in the Row Shading tab
Section properties in the Binding tab


Section properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Section properties in the Binding tab
Section properties in the Binding tab
When you select a section, the Binding tab in the Object palette displays several data binding options. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the section. If existing sections in the table use the same name, the number beside the name identifies the instance for the current section. By default, sections have no name. See To name and rename objects.
Repeat Section For Each Data Item, Min Count, Max, and Initial Count
Enables or disables section repetition. See To make a table section optional.
See also
About tables
Section properties in the Section tab
Section properties in the Row Shading tab
Section properties in the Pagination tab


Cell properties in the Cell tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Cell properties in the Cell tab
Cell properties in the Cell tab
When you select a cell, the Cell tab in the Object palette presents formatting options.
By default, cells contain text, and the Cell tab presents formatting options for the Text object. If you change the content of a cell, the Cell tab presents the formatting options for the associated object type. For example, if you change the cell content to a text field, the Cell tab shows the formatting options for a Text Field object.
You can set the cell type to any default object type. The formatting options that appear in the Cell tab are the same as the formatting options that are available if you add the object directly to the form. For example, the options in the Cell tab for a Text Field cell type are the same options as the Field tab for a Text Field object. Similarly, if the cell type is a circle, then the Cell tab displays the same options as the Draw tab for a Circle object.
In addition to the formatting options for the object type, the Cell tab presents the following options:
•
Merge Cells
Merges two or more adjacent, selected cells.
•
Split Cells Horizontally
When a merged cell is selected, splits the cells based on their original position.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
One-sided Printing Only
The object is printed only when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
See also
About tables
To change a cell to another object type
To merge and split cells
Cell properties in the Value tab
Cell properties in the Binding tab


Cell properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Cell properties in the Value tab
Cell properties in the Value tab
When you select a cell that is set to an object type to which Value options apply (such as text field and numeric field objects), the Value tab in the Object palette displays several options. The options presented on the Value tab depend on the type of cell that is selected. For example, if you select a Text Field cell, the Value tab shows the options for a Text Field object.
The options that appear in the Value tab are the same as the options that are available from the Value tab if you add the object directly to the form.
See also
About tables
Cell properties in the Cell tab
Cell properties in the Binding tab


Cell properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Tables > Cell properties in the Binding tab
Cell properties in the Binding tab
When you select a cell that contains an object to which Binding options apply (such as text field or subform objects), the Binding tab in the Object palette displays several data binding options. The options presented on the Binding tab depend on the type of cell that is selected.
For example, if you select a Text Field cell, the Binding tab shows the options for a Text Field object. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
The options that appear in the Binding tab are the same as the options that are available from the Binding tab if you add the object directly to the form.
See also
About tables
Cell properties in the Cell tab
Cell properties in the Value tab


Text

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text
Text
Text properties in the Draw tab


Text properties in the Draw tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text > Text properties in the Draw tab
Text properties in the Draw tab
When you create a text object, the Draw tab in the Object palette presents options specific to formatting the object.
Type
Sets the type of object. Objects are the building blocks of every form.
Allow Page Breaks Within Content
Allows page breaks within the content of a text object.
Keep With Next
Keeps a text object with the next object in the document when a page break is introduced.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of text
To allow page breaks within a text object
To keep a text object with the next object in the form


Text fields

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text fields
Text fields
Text field properties in the Field tab
Text field properties in the Value tab
Text field properties in the Binding tab
Text field patterns
Examples of text patterns


Text field properties in the Field tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text fields > Text field properties in the Field tab
Text field properties in the Field tab
When you select a text field, the Field tab in the Object palette displays several options for formatting fields.
Type
Sets the type of object. Objects are the building blocks of every form.
Allow Page Breaks Within Content
Allows page breaks within the content of a text field object.
Keep With Next
Keeps a text field object with the next object in the document when a page break is introduced.
Caption
Sets a caption for the object.
Note:
Caption is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a caption.
See also
To allow page breaks within a text field
To keep a text field with the next object in the form
Appearance
Sets the border style for the fillable area of the field:
•
None
Does not display a border around the field.
•
Underlined
Underlines the field.
•
Solid Box
Displays a solid border around the field.
•
Sunken Box
Creates a shadow around the field so that the field looks three-dimensional.
•
Custom
Opens the Custom Appearance dialog box. Select this option if you want to define a custom look for the fillable area.
Allow Multiple Lines
Enables or disables multiple lines.
Field Format
Enables plain text or rich text formatting of the field value in the form:
•
Plain Text Only
Enables plain text formatting.
•
Rich Text
Enables rich text formatting. If you set the field to display rich text formatting and you want the data to be saved with the rich text formatting, you must also set the Data Format option on the Binding tab to XHTML.
Limit Length and Max Chars
Sets the field length according to the maximum number of characters that you specify.
Limit Length to Visible Area
Sets the maximum number of characters allowed in the field according to the horizontal length of the text field.
Use Cells and Cells
Enables the comb format.
Patterns
Sets the pattern for displaying formatted values in a form, for syntax of the user input, for validating user input, and for storing and retrieving bound data or saving data when the form is not bound to a data source. See Patterns dialog box.
Presence
Controls whether an object is displayed in a PDF form when users view the form in Acrobat or Adobe Reader, or when users print the form:
•
Visible
The object is visible on-screen, visible in the printed form, and occupies space in the form layout. Visible is the default presence setting for all objects.
•
Visible (Screen Only)
The object is visible on-screen, not visible in the printed form when printed from within Acrobat or Adobe Reader, and occupies space in the form layout.
•
Visible (Print Only)
The object is not visible on-screen, visible in the printed form (when printed from within Acrobat, Adobe Reader, or directly from the server), and occupies space in the form layout.
•
Invisible
The object is not visible on-screen, not visible in the printed form, and occupies space in the form layout.
•
Hidden (Exclude from Layout)
The object is not visible on-screen, not visible in the printed form, and does not occupy any space in the form layout.
•
One-sided Printing Only
The object is only printed when using single-sided printing.
•
Two-sided Printing Only
The object is printed when using double-sided printing. This option is useful when you want to place the page number in a different corner of the page when using double-sided printing than when using single-sided printing.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
Locale
Renders the data according to the specified locale for language and country or region. You can select a specific language and country from the list, or you can specify one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Note:
Locales in the Locale list are organized first by language and then by country or region.
See also
Overview of text fields


Text field properties in the Value tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text fields > Text field properties in the Value tab
Text field properties in the Value tab
When you create a text field, the Value tab displays several options that you can apply to the object.
Type
Enables run-time calculations and prompts:
•
User Entered - Optional
Users may choose whether to enter data.
•
User Entered - Recommended
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
User Entered - Required
If the user does not enter data, a custom message (if written in the Empty Message box) appears.
•
Calculated - Read Only
A data value will be calculated and displayed through an attached script. Users cannot edit the calculated value.
•
Calculated - User Can Override
A data value will be calculated and displayed through an attached script. Users can edit the value if the calculation script has been written to accept the input. If a user does edit the calculated value, the custom message you specify in the Override Message box appears.
•
Read Only
A data value will be merged or calculated and displayed at run time. Users cannot edit the value.
Default
Sets an initial value for the field. The value is formatted according to the setting specified using the Patterns option on the Field tab, but must conform to the value according to the locale specified for the field. If the data is bound and a data pattern has been specified, the value must match the data pattern specified in the Binding tab. See To specify a default value.
Note:
This option is available only when the Type option is set to User Entered - Optional, User Entered - Recommended, User Entered - Required, or Read Only.
Empty Message
Sets a message for prompting users to enter a recommended or required value. See To prompt users to enter data.
Note:
This option is available only when the Type option is set to User Entered - Recommended or User Entered - Required.
Validation Pattern
Sets a validation pattern for validating user input. The pattern must match the syntax of the user input and be compatible with the data format selected on the Binding tab. See To validate user input.
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only, or Read Only.
Validation Pattern Message and Error
Sets a custom message to display when a raw value does not match the validation pattern. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation pattern message.
Validation Script Message and Error
Sets a custom message to display when an attached validation script detects an unacceptable value. By default, this situation causes a programming error to be generated at run time. To generate a warning instead, deselect the Error option. See To validate user input.
Note:
This option is not available when the Type option is set to Calculated - Read Only or Read Only. Validation Script Message is a dynamic property. Dynamic properties are identified by active labels that have a green underline that you can click to dynamically bind the property to a data source. To turn active labels on and off, use the Show Dynamic Properties command in the Object palette menu. See To dynamically populate a validation script message.
Calculation Script
The value will be calculated by a script written for the object’s calculate event.
Note:
This option is available only when the Type option is set to Calculated - Read Only.
Runtime Property
Sets one of the following run-time properties for the object. When you select a run-time property, the actual value of the corresponding option is inserted dynamically when the form is viewed:
•
Current Page Number
Inserts the current page number of the finished form.
•
Number of Pages
Inserts the total number of pages that make up the finished form.
•
Viewer Locale
Inserts the locale identifier of the locale specified for the application that is processing the form. For example, the locale identifier for English (USA) is en_US, where en is the language and US is the country.
•
Viewer Name
Inserts the name of the application that is processing the form.
•
Viewer Version
Inserts the version number of the application that is processing the form.
•
Current Sheet Number
Inserts the number of the current piece of paper (sheet) in the numeric field.
•
Number of Sheets
Inserts the total number of pieces of paper (sheets) that make up the form.
Note:
This option is available only when the Type option is set to Calculated - Read Only.
Override Message
Sets a custom message to inform users that they are changing the value of a calculated field. The message appears when a user changes the calculated value.
Note:
This option is available only when the Type option is set to Calculated - User Can Override.
See also
Overview of text fields


Text field properties in the Binding tab

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text fields > Text field properties in the Binding tab
Text field properties in the Binding tab
When you create a text field, the Binding tab displays data binding options that you can apply to the object. Options that are not specifically related to creating a data connection apply both to data bound to a data source and data saved to a file when the object is not bound to a data source.
Name
Sets the name of the text field. See To name and rename objects.
Default Binding
Sets the default data-binding method:
•
Normal
Enables data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
Global
Associates a single data value with all objects that have the same name (see To define a global field).
•
New Data Connection
Starts the New Data Connection wizard. To define a connection using the wizard, see To create a data connection to an XML schema and XML data file or To create a data connection to an OLE database.
•
None
Disables data binding. Because the object will not capture or display merged data, any information associated with the object is not written as output when the form data is saved/submitted.
See also
Data Pattern
Sets a pattern for storing and retrieving bound data or for saving data when the form is not bound to a data source. See To specify a data pattern.
Data Format
Specifies the format of the saved data. See To specify the data format for text fields.
•
Plain Text
UTF-8 encoded text with support for extended characters. The field value includes only the data.
•
XHTML
Extensible Hypertext Markup Language (XHTML), version 1.0. The field value saved to the data source or data file includes the XHTML formatting information for the text.
Import/Export Bindings
Sets an import/export binding for a WSDL data connection. See To create a data connection using a WSDL file.
See also
About data sources
Overview of text fields
Text field patterns


Text field patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text fields > Text field patterns
Text field patterns
The following symbols must be used to create text patterns for text fields.
Note:
The comma (,), dash (-), colon (:), slash (/), period (.), and space ( ) are treated as literal values and can be included anywhere in a pattern. To include a phrase in a pattern, delimit the text string with single quotation marks ('). For example, 'Your phone number is ('999')' 999-9999 can be specified as the Display Pattern.
Text symbol
Description
Example
A
Single alphabetic character
Display Pattern: A9A 9A9
Input Value: K1S5K2
Formatted Value: K1S 5K2
X
Single character
Display Pattern: XXX XXX
Input Value: !1$5&2
Formatted Value: !1$ 5&2
O
Single alphanumeric character
Display Pattern: OO OO OO
Input Value: 123ABC
Formatted Value: 12 3A BC
0
Single alphanumeric character
Display Pattern: 00 00 00
Input Value: 123ABC
Formatted Value: 12 3A BC
9
Single digit
Display Pattern: 999-9999
Input Value: 9407000
Formatted Value: 940-7000
Note:
The O (capital “o”) and 0 (zero) symbols are intentional synonyms in recognition that these two characters are often mistyped and misread.
Reserved symbols
The following symbols have special meanings and cannot be used as literal text.
Symbol
Description
?
When submitted, the symbol matches any one character. When merged for display, it becomes a space.
*
When submitted, the symbol matches 0 or Unicode white space characters. When merged for display, it becomes a space.
+
When submitted, the symbol matches one or more Unicode white space characters. When merged for display, it becomes a space.
See also
About field patterns and value formatting
Complex field patterns
Examples of text patterns


Examples of text patterns

Using LiveCycle Designer ES > Object Properties > Properties in the Object palette > Text fields > Examples of text patterns
Examples of text patterns
Predefined patterns
You can quickly create and modify display, edit, and validation patterns to format data input values (user input or bound data) by selecting predefined patterns from the Select Type list on the Display tab in the Patterns dialog box (Object palette > Patterns). For example, the Postal Code (United Kingdom) option provides the pattern A9A 9A9|AA9A 9A9, such that an input value of KB1C3R2 produces a formatted value of KB1C 3R2.
Custom patterns
The following table shows some custom patterns that you can define in the Pattern box for formatting input values (user input or bound data) using a display pattern.
Custom pattern
Input value
Formatted value
'+1 ('999') '999-9999
6135551212
+1 (613) 555-1212
999.999.9999
6135551212
613.555.1212
In the next example, a serial number requires input like this: three alphabetic characters, followed by four digits, followed by a single character of any type. A suitable text pattern would be as follows:
AAA-9999-X
The following table below shows the results of converting some example input values (user input or bound data) into raw values using an edit pattern or data pattern.
Custom pattern
Input value
Raw value
AAA-9999-X
ABC-1234-5
ABC-1234-D
123-4567-8
ABC12345
ABC1234D
""
In the last example, because the input value 123-4567-8 does not match the pattern, the resulting raw value is an empty string.
See also
About field patterns and value formatting
When to use patterns
Defaults for value formatting


Working with Data Sources

Using LiveCycle Designer ES > Working with Data Sources
Working with Data Sources
About data sources
Connecting to a data source
Binding fields to a data source
Field types
Dynamically populating form object properties from a data source


About data sources

Using LiveCycle Designer ES > Working with Data Sources > About data sources
About data sources
Working with data sources
Working with data connections


Working with data sources

Using LiveCycle Designer ES > Working with Data Sources > About data sources > Working with data sources
Working with data sources
You can create form designs that go beyond simple data capture. Using LiveCycle Designer ES, you can integrate your form designs with corporate databases or web services to build and maintain data capture solutions that read from, validate against, and add to corporate data sources. To do this, you connect your form design to one or more data sources and bind the data to one or more fields in your form design.
You can connect and bind fields to these data sources:
XML schemas
XML schemas specify how to formally describe the elements in an XML document. By connecting to an XML schema, you can bind the elements and attributes defined in the schema to fields in the form design. You can also select the XML data root element to use for the connection.
OLEDB databases
OLEDB is a Microsoft integration standard, which provides low-level application program interface (API) to data across an organization. By connecting to an OLEDB database, you can create form designs that serve as a data entry or capture tool for enterprise database servers. You can also use a database to provide content for portions of a form at run time.
Sample XML data
By connecting to an XML file, you can bind fields to the elements and attributes defined in the XML file. This method is useful when you do not have an XML schema, but you have an XML file that you can use as a sample.
Web Service Definition Language (WSDL) files
WSDL files describe web services by using XML. By connecting to a WSDL file, you can bind fields in a form design to one or many web services. You can create a data connection to a WSDL document on a web server and use HTTP/HTTPS or message level authentication or both to control access.
See also
Data View palette
About connecting to a data source
About binding fields to a data source
About dynamic properties


Working with data connections

Using LiveCycle Designer ES > Working with Data Sources > About data sources > Working with data connections
Working with data connections
When creating interactive form designs, you can use external data sources (databases, XML data files, XML schemas, and web services) to define field values, populate fields on a form, or collect data entered on a form. LiveCycle Designer ES provides the data connection tool that lets you define connections to data sources. You can then bind fields that accept these types of data to the data sources. If a field supports scripting, you can write FormCalc or JavaScript solutions for expressing business logic and creating calculations and validations. In addition, you can also take advantage of two custom objects, the Data Drop-down List and the Data List Box, to connect to a database to populate a list box. You can find these two objects on the Custom category of the Object Library palette.
The types of data you choose depend on your form and how you plan to distribute it. You can connect to one or more data sources and bind the data to one or more fields in your form design.
Type
Description
XML Schema
An XML schema specifies how to formally describe elements in an XML document. You can connect one XML schema to a form, and bind specific elements and attributes defined in the schema to fields in the form. You can use this to map data into and out of form fields in a format that conforms to the schema. For more information, see To create a data connection to an XML schema and XML data file.
OLEDB Database
You can connect one or more databases to a form to exchange data between the form and the database. You can populate fields with data from a database or integrate data captured in the form with the database. Data exchange is possible for interactive forms in Acrobat using client-side binding. For more information, see To create a data connection to an OLE database.
Sample XML Data
If you do not have an XML schema, you can connect an XML data file to a form, and bind elements and attributes in the file to fields in your form. The data captured in the form will conform to the XML data file. You can use the data file to provide the mapping of data into and out of form fields in the required format. For more information, see To create a data connection to an XML schema and XML data file.
WSDL File
WSDL file web services provide functions and data to other applications through the Internet by using HTTP/HTTPS and message level (SOAP) authentication standards. The web service can receive and process a command and return the results to your form. You can connect one or more web services to a form.
For more information, see To create a data connection using a WSDL file.
LiveCycle Designer ES provides built-in tools for creating, binding, importing, and exporting from and to data sources. However, form authors who are not experienced in working with data sources should seek the assistance of database administrators and other technical staff to provide support for implementing the data connections.
Consider these points when planning how to set up and execute the data exchange required by your form:
•
Identify the data sources you will use to capture user-entered data and to import data into form fields.
•
Decide if you will use field binding to an XML schema or data file to define the structure of the data.
•
Obtain data mapping information, including the data types and structures used by your existing data source.
Note:
In Acrobat, security concerns dictate that you cannot specify an ODBC connection string using the Driver=; syntax, so the client system needs a DSN configured for ODBC connection. Also, if you are using external data sources in a form that you want to make available using Adobe Reader, you must set usage rights for the form using LiveCycle Reader Extensions ES.
See also
About data sources
About connecting to a data source
About importing digital IDs


Connecting to a data source

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source
Connecting to a data source
About connecting to a data source
To work with the Data View palette
To create a data connection to an XML schema and XML data file
To create a data connection to an XML data file
To create a data connection to an OLE database
About creating a data connection using a WSDL file
To create a data connection using a WSDL file
To execute the connection to the web service
To delete a data connection
To modify a data connection


About connecting to a data source

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > About connecting to a data source
About connecting to a data source
Connecting a form design to a data source is the first step towards binding data to fields in the form design. After you create one or more data source connections in a form design, the Data View palette displays a hierarchy view of each data source. The top nodes in the hierarchy represent each data connection and display the name that you assigned when you created the connection.
After you create a data connection, you need to bind the data to the fields in the form design.
See also
Binding fields to a data source


To work with the Data View palette

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To work with the Data View palette
To work with the Data View palette
•
To show node details, select palette menu > Show Info.
•
To expand a node, click the plus sign (+).
•
To collapse a node, click the minus sign (-).
•
To show the data description of the node (up to a maximum of 25 characters), select Show Data Descriptions from the palette menu. If there is no caption for the node, the data name is displayed. You must be connected to a data source that describes the data.
•
To show both the data name and description of the node, select Show Both from the palette menu. You must be connected to a data source that describes the data.
See also
Data View palette menu
About binding fields to a data source


To create a data connection to an XML schema and XML data file

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To create a data connection to an XML schema and XML data file
To create a data connection to an XML schema and XML data file
You can import an XML schema definition into a form design and then bind the objects in the form design to elements and attributes in the XML schema definition.
Note:
If you are importing an XML schema that contains an <xs:include> or <xs:import> schema element, the element’s schemaLocation attribute must be set to a file reference on the local file system.
1.
Do one of the following:
•
Select Edit > New Data Connection.
•
Select an object on the page and, in the Object palette, click the Binding tab and select New Data Connection from the Default Binding menu.
2.
In the Name New Connection box, type a name for the connection.
The name must be one word and no longer than 127 characters. The first character of the name must be a letter or an underscore (_). The remaining characters may be letters, digits, hyphens (-), underscores, or periods (.).
3.
Select XML Schema and click Next.
4.
Do one of the following tasks:
•
Click Browse [image] and search for and select the XML schema file.
•
Type or paste the URL location of the XML schema file into the Select XML Schema File field.
5.
Specify one or more of these options:
•
In the Use XML Data Root Element Name menu, select the root data element that will be used to name the root subform of the form design. This menu is populated with the global element declarations in the XML schema.
•
(Optional) Select Embed XML Schema to embed the XML schema as a packet in the XDP file.
•
(Optional) Select Transform Incoming Data and click Browse [image] to search for and select the XSLT file that will be used to transform incoming data for the form design.
•
(Optional) Select Transform Outgoing Data and click Browse [image] to search for and select the XSLT file that will be used to transform outgoing data for the form design.
6.
Click Finish. The data appears in the Data View palette.
Note:
The at symbol (@) before name in the Data View palette indicates that this node is an attribute of an option node, and #data indicates the actual value of the option node.
See also
About binding fields to a data source
To create a bound field or subform


To create a data connection to an XML data file

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To create a data connection to an XML data file
To create a data connection to an XML data file
If you do not have an XML schema, you can create a data connection to an XML file to use as an example of your data.
1.
Do one of the following tasks:
•
Select Edit > New Data Connection.
•
Select an object on the page. In the Object palette, click the Binding tab, and select New Data Connection from the Default Binding menu.
2.
In the Name New Connection box, type a name for the connection.
The name must be one word and no longer than 127 characters. The first character of the name must be a letter or underscore (_). The remaining characters may be letters, digits, hyphens (-), underscores, or periods (.).
3.
Select Sample XML Data and click Next.
4.
Click Browse [image] and search for and select the XML file.
5.
Select one or both of these options:
•
(Optional) Select Transform Incoming Data, and then click Browse [image] to search for and select the XSLT file that will be used to transform incoming data for the form design.
•
(Optional) Select Transform Outgoing Data, and then click Browse [image] to search for and select the XSLT file that will be used to transform outgoing data for the form design.
6.
Click Finish. The data appears in the Data View palette.
See also
About binding fields to a data source
To create a bound field or subform


To create a data connection to an OLE database

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To create a data connection to an OLE database
To create a data connection to an OLE database
You may want your form to have access to information in a database. For example, you may want to retrieve data to populate a form based on a value, such as an employee ID, that the user enters when filling the form. When the user enters the ID number, it triggers a database lookup to retrieve the matching record and display it in the form.
To display, insert, update, or delete data from a database, you make a connection to the database and then bind the fields on the form to the corresponding columns in the database table.
You can also use scripting to perform the Insert, Update, Delete, and Next/Previous navigation of records in the database.
Determining when to use a database versus, for example, an XML data file, is up to the application developer. You could have multiple data connections configured for a form (one to a database, one to an XML file) and bind individual fields to either of the data connections.
OLEDB is the only database connection that you can connect to from LiveCycle Designer ES. Through the use of the Microsoft OLEDB Provider for ODBC Drivers, you can also access databases identified by the ODBC data source name (DSN). You can use OLE drivers other than the Microsoft OLEDB Provider for ODBC, however the form must be certified in Acrobat before it will function at run time.
In Acrobat, security concerns dictate that you cannot specify an ODBC connection string by using the Driver=; syntax. Therefore, the client computer needs a DSN configured for ODBC connections.
If you are using external data sources in a form design that you want users to fill in Adobe Reader, you must set usage rights for the form by using LiveCycle Reader Extensions ES.
1.
Do one of the following tasks:
•
Select Edit > New Data Connection.
•
Select an object on the page. In the Object palette, click the Binding tab, and select New Data Connection from the Default Binding menu.
2.
In the Name New Connection box, type a name for the connection.
The name must be one word and no longer than 127 characters. The first character of the name must be a letter or underscore (_). The remaining characters may be letters, digits, hyphens (-), underscores, or periods (.).
3.
Select OLEDB Database and click Next.
4.
In the OLEDB dialog box, set up your database connection string. If you need assistance with this setup, refer to your database provider documentation.
5.
Select one of these options then click Next:
•
Select the Table option and select a table as the record source. The list is populated with a list of all the tables available from the database identified by the connection string.
•
Select the Stored Procedure option and select the record source from the list. The list is populated with all of the stored procedures available from the database.
•
Select the SQL Query option and type the SQL query string.
6.
Type your user name and password into the User and Password boxes and set the appropriate ADO recordset options.
7.
Click Next. LiveCycle Designer ES validates that the connection to the database is successful and prompts you for credentials, if required.
8.
Click Finish. The data appears in the Data View palette.
See also
How LiveCycle Designer ES determines the field type when binding to data


About creating a data connection using a WSDL file

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > About creating a data connection using a WSDL file
About creating a data connection using a WSDL file
A web service, as defined by a Web Service Definition Language (WSDL) document, exposes a number of operations. For each operation, the WSDL file can define an input message, or an output message, or both. Input messages are sent to a server. The server can then reply with an output message. You can create and bind fields in a form design to one or many web services. The WSDL file describes the data description. The data description is used to build the WSDL data connection.
The WSDL data connection is different from the other types of data connections. A web service operation resembles a function call with input or output parameters or both. A particular field or fields may be the source of the input message and the destination of the output message.
Using LiveCycle Designer ES and a WSDL data connections, you can perform the following tasks:
•
Bind one or multiple operations within one or more web services.
•
Attach fields, subforms, and exclusion groups to the execution of a web service operation by a button click event.
•
Execute a web service operation from any event by way of script.
•
Enable script access to all returned elements of a web service regardless of whether those elements are bound to fields.
•
Use the SOAP 1.1 style communication (SOAP bindings and an HTTP/HTTPS transport).
•
Exchange data with a web service by using doc/literal exchange format.
•
Write client-side scripts by using the Acrobat SOAP JavaScript Object (which supports RPC/encoded).
These features are not supported:
•
Some XML Schema features
•
Protocols such as SMTP, FTP, and so on as the underlying transport for SOAP
•
Extensibility type elements
•
Web service discovery that uses UDDI
•
Remote Procedure Call (RPC) encoded SOAP messages
•
Use of HTTP POST and GET WSDL bindings
You can create a data connection using a WSDL document on a secure web server, which requires HTTP/HTTPS client authentication to control access or message level authentication to request a web service or both.
HTTP/HTTPS authentication happens at the transport layer where client verification is required to access the WSDL document and to connect to a secure web service. HTTP/HTTPS authentication accepts user name and password, user name and password digest, and client certificate as acceptable authentication:
•
User name and password authentication provides basic access verification, where the user is prompted with a login dialog box. The user name and password combination are sent as clear text and are not hashed before they are sent to the server.
•
User name and password digest authentication provides enhanced verification, where the user is prompted with a login dialog box. However, the user name and password are hashed before they are sent to the server.
Note:
The login dialog box indicates the name of the server and the realm to which the user is attempting to connect. Because there may be several realms set up on a particular server, knowing this information can help the user to determine which credentials they require to log in.
•
Client certificate authentication provides digital ID verification, where the user is prompted with the Select Digital ID dialog box listing the available digital IDs, and selects the correct digital ID to send to the server for authentication.
Note:
To use client certificate authentication, you need to have a digital ID available in the Windows Certificate Store or in the LiveCycle Designer ES Digital ID Files store, ready to use when you create a WSDL data connection. See Importing digital IDs.
Message level authentication happens at the SOAP (Simple Object Access Protocol) message layer where client verification requires a security token (included in the SOAP message header) to connect to a secure web service. The message level layer accepts user name and password authentication, where the user is prompted with a login dialog box. Acrobat 9.0 or later supports user name and password message level authentication.
When you create a secure WSDL data connection, you specify (optionally) the type of credentials to accept for HTTP/HTTPS and message level authentication. The credentials for HTTP/HTTPS authentication are sent as part of the HTTP/HTTPS protocol header. The credentials for the message layer (SOAP) are used to create a security token (which is included in the SOAP message header). Keep in mind that you must specify the type of credentials to accept when you have a server workflow where the server must provide credentials without user interaction.


To create a data connection using a WSDL file

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To create a data connection using a WSDL file
To create a data connection using a WSDL file
To create a secure WSDL data connection, you must know the location of the WSDL file. You must know the correct authentication credentials (user name and password or name of digital ID) required to access the WSDL file and to create the security token that is embedded in the web service request. You also need to decide whether you will use HTTP/HTTPS authentication or message-level authentication or both, and which credentials to accept for each authentication method.
1.
Select Edit > New Data Connection.
2.
In the Name New Connection box, type a name for the connection.
The name must be one word and no longer than 127 characters. The first character of the name must be a letter or digit. The remaining characters can be letters, digits, hyphens (-), underscores, or periods (.).
3.
Select WSDL File and click Next.
4.
In the WSDL File box, type the URL to the WSDL document, or click Browse [image] to locate and select the document on your computer’s hard disk. If the WSDL document is stored on a secure server, either the Authentication Required dialog box or the Select A Digital ID dialog box is displayed.
5.
Perform one of the following actions:
•
In the Authentication dialog box, type the correct user name and password, and click OK.
•
In the Select A Digital ID dialog box, select the correct digital ID to use as a client certificate, and click OK.
6.
Select the operation to call, and click Next.
The window on the right displays details for the selected operation. If the selected operation is not SOAP-encoded or is not doc-literal, a warning appears in this window and you cannot continue until a you select a supported operation.
7.
(Optional) To set up client authentication for a web service request, perform one of the following actions:
•
To define HTTP or HTTPS authentication, select Requires HTTP/HTTPS Authentication, and then optionally select the credentials to accept for verification.
•
To define SOAP message authentication, select Requires Message Level Authentication, and then optionally select Accepts User Name And Password.
8.
Click Finish.
See also
Authentication (New Data Connection dialog box)
To execute the connection to the web service
How LiveCycle Designer ES determines the field type when binding to data


To execute the connection to the web service

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To execute the connection to the web service
To execute the connection to the web service
You can execute the connection to the web service in various ways.
To execute the connection to the web service using a button
For WSDL data connections, the Data View palette includes a node representing a button.
*
Drag the node that represents a button onto the form design. This button executes that connection’s operation.
To execute the connection to the web service from another event
You can execute the connection to the web service from another event instead of a button. For example, based on the value a user chooses from a list, you want to pass that value to the service.
*
Enter the following script on the event you want to trigger the web service:
In JavaScript: xfa.connectionSet.MyWSDLDataConnection.execute(0);
In FormCalc: $connectionSet.MyWSDLDataConnection.execute(0)
In both cases, the parameter being passed is a Boolean value. When the results are returned from the web service, this value indicates whether the entire data DOM should be merged with the form or whether the returned values will replace those in the current instance of the form. Zero (0) indicates that the data will not be remerged; that is, no new fields or subforms will be added or removed directly as a result of this execute operation. One (1) indicates that all data in the data DOM will be remerged.
To view a button's connection information
1.
Select a button on the page.
2.
In the Object palette, click the Execute tab and view the connection information under Connection Info.


To delete a data connection

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To delete a data connection
To delete a data connection
You can delete a data connection from the form design.
1.
In the Data View palette, select the data connection that you want to delete.
2.
Select Delete Data Connection from the palette menu.
3.
Choose one of these options:
•
To delete the bindings along with the database connection, select Remove Bindings For Deleted Data Connection.
•
To delete the database connection but retain the data bindings, deselect Remove Bindings For Deleted Data Connection. The bindings are references to the form design data and are still valid even in the absence of the data connection, assuming the data remains the same.
4.
Click Delete.


To modify a data connection

Using LiveCycle Designer ES > Working with Data Sources > Connecting to a data source > To modify a data connection
To modify a data connection
You can modify most of the data connection properties, except the data description type.
1.
In the Data View palette, select the data connection that you want to modify.
2.
Select Connection Properties from the palette menu.
3.
Make the appropriate changes. Click Next to move through the dialog boxes.
4.
Click Finish.


Binding fields to a data source

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source
Binding fields to a data source
About binding fields to a data source
To create a bound field or subform
To bind a node to an existing field
To generate bound fields in a subform
Ways to show the same data in multiple places
To bind multiple fields to one node
To use a script to show the data that is entered into one field in another field
To set field generation options
To remove a binding
To refresh data connections
To view a list of bound fields


About binding fields to a data source

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > About binding fields to a data source
About binding fields to a data source
When you bind the fields in a form design to a data source, you create an association between the form design and the data source that allows you to capture, present, move, process, output, and print information associated with the form design.
If some fields on a form are bound to a data source, data in fields that are not bound will be lost when the form is saved in Acrobat. If you want to bind some fields to a data source, all fields for which you want to save the data must be bound.
LiveCycle Designer ES enables you to use client-side or server-side binding. Using client-side binding, you can make immediate changes to the data. Server-side binding requires that you submit back to the server to commit changes to the data.
To perform client-side binding, you must have Acrobat or Adobe Reader (with a rights-enabled form) installed. You need LiveCycle Forms ES on a Microsoft server to do server-side database binding.
You can create a bound field or subform in one of the following ways:
Creating new form objects from the Data View palette
You can drag a node or a node and its descendants from the Data View palette onto the page and automatically create a bound field or multiple fields or subforms. The form field or subform, and its descendants, are bound to the data source. In addition, form field properties are automatically set according to the properties of the data binding. For example, the form object’s type, name, and caption all reflect those of the binding object.
Associating a node from the Data View palette with an existing form field
You can drag a node from the Data View palette onto an existing field on the page and bind the two. You also have the option of updating the form field’s properties to match those of the binding object. The properties that can be updated depend on the combination of form object type and binding type. For information about the properties that can be updated, see Binding Properties dialog box.
Specifying the binding node using the Binding tab in the Object palette
Select an object on the page and then select the node to which you want to bind the object in the Binding tab of the Object palette. The form field’s properties can be updated in the same way as if you dragged a node from the Data View palette onto an existing form field. For information about the properties that can be updated, see Binding Properties dialog box.
Letting LiveCycle Designer ES auto-generate bound fields into a subform
You can generate new bound fields in a subform from the Data View palette.
See also
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


To create a bound field or subform

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To create a bound field or subform
To create a bound field or subform
1.
Choose one of the following methods:
•
To create bound fields from all of the nodes in the Data View palette, drag the top node of a data connection onto the page. LiveCycle Designer ES creates subforms and objects that are bound to each of the nodes in the hierarchy.
•
To create a bound field, drag a node onto the page.
•
To create a bound subform, drag the node and its descendants onto the page.
2.
Position the objects and subforms on the page to suit your requirements.
3.
When you bind a text field.
Note:
When you bind a caption to a data source, the caption is always shown in the form, even if you have set Caption Position in the Layout tab to None.
See also
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


To bind a node to an existing field

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To bind a node to an existing field
To bind a node to an existing field
You can bind a node to an existing field using the Data View palette or the Object palette.
To bind a node to an existing field using the Data View palette
1.
In the Data View palette, select the appropriate node and drag it to the field on the page.
2.
In the Binding Properties dialog box, select one of the following options:
•
Update All Related Properties
•
Update The Following Properties Only
•
Don’t Update Any Related Properties
3.
Click OK. Whether you update the object’s properties or not, the form object is now bound to the data source.
To bind a node to an existing field using the Object palette
1.
On the page, select the object that you want to bind to a node.
2.
In the Object palette, click the Binding tab and select the node from the Default Binding menu.
3.
In the Binding Properties dialog box, select one of the following options:
•
Update All Related Properties
•
Update The Following Properties Only
•
Don’t Update Any Related Properties
4.
Click OK. Whether you update the object’s properties or not, the form object is now bound to the data source.
See also
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


To generate bound fields in a subform

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To generate bound fields in a subform
To generate bound fields in a subform
1.
Select the subform into which you want to generate bound fields.
2.
In the Data View palette, select the node whose leaf nodes you want created in the subform.
3.
Select Generate Fields from the palette menu. The new fields corresponding to the node are created in the subform.
See also
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


Ways to show the same data in multiple places

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > Ways to show the same data in multiple places
Ways to show the same data in multiple places
You can display the same data in multiple places by using different methods:
•
Set multiple fields to be global fields to display the same data that is entered interactively.
•
Bind multiple fields to one node to display the same data from a data source in the fields.
•
Use a script to display data that is entered into one field in another field.
This table compares global fields, binding multiple fields to one node, and using a script to display the data that is entered into one field in another field.
Comparing...
Global fields
Binding
Script
What happens
LiveCycle Designer ES shows the same value in all fields that have the same name.
LiveCycle Designer ES shows the same value in all fields that have the same binding.
LiveCycle Designer ES displays the data that is entered into one field in another field.
Names of the fields
Names must be identical.
Names can be different.
Names can be different.
Run-time properties (such as the current page, number of pages, and current date/time)
You cannot add run-time properties to the field.
You cannot add run-time properties to the field.
You can add run-time properties to the field.
If you remove...
If you remove the global setting from one field, LiveCycle Designer ES removes the setting from all other fields with the same name.
If you remove the binding from one field, the other fields keep the binding.
Not applicable
Reference to nodes
Global fields can refer to nodes outside the current record.
Explicit data binding refers to nodes within the current record.
Not applicable
Example of when to use
Use for information that is repeated in the form, such as customer name or address.The user enters the information once and the data automatically fills the other fields that are set to global.
Use when you want a single instance of data from a data source displayed in multiple fields.
Use to copy the data entered from a Contact Name on page 1, and display it in a form letter on page 2.
This diagram shows what happens when you set multiple fields to be global fields. The name and address are filled in on Page 2 after the user enters the name and address on Page 1.
This diagram shows what happens when you bind multiple fields to one node. The name and address are filled in from the data source.
This diagram shows what happens when you use a script to display the data that is entered into one field in another field. The ContactName in the form letter is the same as the name that is entered into the Name field on Page 1.
See also
To define a global field
To bind multiple fields to one node
To use a script to show the data that is entered into one field in another field


To bind multiple fields to one node

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To bind multiple fields to one node
To bind multiple fields to one node
You can bind multiple fields to one node by doing one of the following actions:
•
Associate a node in the Data View palette with existing form fields by using the drag-and-drop method.
•
Explicitly specify the binding node by using the Binding tab in the Object palette for the existing form fields.
You should only bind a single instance of data to multiple fields. You should not bind repeating data to multiple fields.
1.
In the Data View palette, select the appropriate node and drag it to the field on the page.
2.
In the Binding Properties dialog box, select one of the following options:
•
Update All Related Properties
•
Update The Following Properties Only and select the options you want
•
Don’t Update Any Related Properties
3.
Click OK. Whether you update the object’s properties or not, the form object is now bound to the data source.
4.
Select the same node in step 1 and repeat steps 2 and 3 for the other fields that you want to bind to the same node.
See also
To define a global field
To use a script to show the data that is entered into one field in another field


To use a script to show the data that is entered into one field in another field

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To use a script to show the data that is entered into one field in another field
To use a script to show the data that is entered into one field in another field
You can use a script to display the data that is entered into one field in another field. You can run this script on specific field-oriented events that trigger in response to user actions.
For example, an interactive form may prompt a user to enter the department name. This department name may be displayed on subsequent pages of the form (if it is a multipage interactive form). The field for the department name is bound to a data field, and this data field is where the department name is recorded. To display the department name on the other pages, the contents of the input field need to appear on other pages. The other instances do not need to be editable, and they may be part of another field (such as a floating field). In this case, you use a script to copy the department name to the other fields.
1.
Select the first field.
2.
If the Script Editor is not already showing, select Palette > Script Editor.
3.
(Optional) Click the Expand button on the palette border until the palette is larger.
4.
In the Show list, select a field-oriented event.
For example, select Exit from the Show list.
5.
In the Language list, select JavaScript and, in the Run At list, select Client.
6.
In the Script Source field, type the script:
For example, type the following script:
ContactName.rawValue = this.rawValue;
ContactName is the name of the second field from the Binding tab of the Object palette.
7.
Select the second field.
8.
In the Object palette, click the Value tab and, in the Type list, select Calculated - Read Only.
See also
To bind multiple fields to one node
To define a global field
About scripting in LiveCycle Designer ES


To set field generation options

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To set field generation options
To set field generation options
You can specify the following options that will be applied when generating a field or group of fields:
•
Generate validation scripts for new fields. The validation scripts generated are JavaScript scripts on the field. For example, a validation script can check that a field value is one from the allowed list.
•
Generate descriptive information.
•
Allow tables to be generated. Some data from a data source could be shown in a table. When you connect to a data source, the Data View palette identifies any items that could be tables. LiveCycle Designer ES also shows which items will become rows in the table if it finds a repeating data group.
1.
From the Data View palette menu, select Options.
2.
Deselect one of these options:
•
Generate Validation Scripts to disable generation of the validation scripts.
•
Generate Descriptive Information to disable description information.
•
Allow Tables To Be Generated
3.
Click OK.
See also
How LiveCycle Designer ES determines the field type when binding to data


To remove a binding

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To remove a binding
To remove a binding
You can remove binding from fields and subforms.
1.
Select one or more objects from which you want to remove the binding.
2.
In the Object palette, click the Binding tab and select None from the Default Binding menu. Because the object will not capture or display data, any information associated with the object will not be written as output when the form data is saved.
Note:
When you disable binding from a subform, the subform will not be involved in any data-merging operations, but its objects (including any nested subforms) may still capture or display data.
See also
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


To refresh data connections

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To refresh data connections
To refresh data connections
You can refresh all data connections in the form design. This command is useful when you have modified your files or database and want to update the form design.
*
From the Data View palette menu, select Refresh Data View.
See also
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


To view a list of bound fields

Using LiveCycle Designer ES > Working with Data Sources > Binding fields to a data source > To view a list of bound fields
To view a list of bound fields
You can generate a list of the following types of fields:
•
Fields that have normal data binding
•
Fields that are bound to a data reference
•
Fields that have global binding
•
Fields that have no data binding
•
Unbound data connection node
1.
In the Report palette, click the Bindings tab.
2.
Select the appropriate option, and make a menu command from the Bindings menu:
•
To view a list of fields with normal data binding, select Fields With Normal Data Binding.
•
To view a list of fields with data binding by reference, select Fields With Data Binding By Reference.
•
To view a list of fields with global binding, select Fields With Global Data Binding.
•
To view a list of fields with no data binding, select Fields With No Data Binding.
•
To view a list of unbound fields, select Unbound Data Connection Nodes.
See also
How LiveCycle Designer ES determines the field type when binding to data


Field types

Using LiveCycle Designer ES > Working with Data Sources > Field types
Field types
How LiveCycle Designer ES determines the field type when binding to data
Simple types
Complex types
Rich text objects
Images
Default/fixed values
Annotation information
Namespaces
Validation


How LiveCycle Designer ES determines the field type when binding to data

Using LiveCycle Designer ES > Working with Data Sources > Field types > How LiveCycle Designer ES determines the field type when binding to data
How LiveCycle Designer ES determines the field type when binding to data
After you have created a data connection, you can create subforms and fields corresponding to all or some of the data. Often there is excess data that you do not need; therefore, selectively creating subforms and fields may be preferable to auto-creating them all. Another approach is to design the form design first and then use the Data View palette to bind specific fields in the form design to specific data nodes in the hierarchy.
LiveCycle Designer ES determines which field to create when you bind specific fields from an XML schema, XML file, or WSDL file, or when you generate fields from the Data View palette, based on the types of elements and attributes. For example, an image will be mapped to the Static Image object in the form design.
When you drag a node from the Data View palette onto the page to create a field or subform, the name of an XML schema element or attribute is used as the name of the generated field or subform. The element or attribute name is also used as the initial caption for the field. The binding value for the field is used to bind the field to the data node described by the element or attribute declaration in the schema.
The following See also section lists topics that provide more information about how LiveCycle Designer ES determines which field to create when you bind fields from an XML schema, XML file, or WSDL file.
See also
To create a bound field or subform
To create a data connection to an OLE database
To create a data connection using a WSDL file


Simple types

Using LiveCycle Designer ES > Working with Data Sources > Field types > Simple types
Simple types
XML schema element declarations can have simple or complex types. Elements with no element content and no attributes are declared with a simple type in the XML schema. Attribute declarations can have simple types. In general, elements with simple types and attributes are mapped to fields in LiveCycle Designer ES. The type of the field is determined from the simple type value.
Built-in simple types
The XML Schema defines a number of built-in simple types.
The following types are mapped to a Text Field object, which is any object with plain text content:
•
string
•
normalizedString
•
token
•
Name
•
NCName
•
QName
•
language
The following types are mapped to the numeric field object:
•
float
•
double
•
decimal
•
integer
•
long
•
int
•
short
•
byte
•
positiveInteger
•
nonPositiveInteger
•
negativeInteger
•
nonNegativeInteger
•
unsignedLong
•
unsignedInt
•
unsignedShort
•
unsignedByte
The date and time types mappings are listed in the following table:
Date and time
Object type
duration
Text edit field
dateTime
Date/time field. The control type is Date and Time.
date
Date/time field. The control type is Date.
time
Date/time field. The control type is Time.
gYear
Text field with picture clause.
gYearMonth
Text field with a picture clause
gMonth
Text field with a picture clause
gMonthDay
Text field with a picture clause
gDay
Text field with a picture clause
The following legacy types are mapped to the Text Field object:
ID
IDREF
IDREFS
ENTITY
ENTITIES
NMTOKEN
NMTOKENS
NOTATION
Other types are mapped in the following table:
Other
Object type
boolean
Check Box
hexBinary
Static Image
base64Binary
Static Image
anyURI
Text Field
Restricted simple types
New simple types can be derived from other simple types by using XML Schema restrictions. This section describes how these restrictions can be mapped to form designs.
Enumeration facets
An XML schema element or attribute declaration of any base type that declares one or more enumerated values will generate a drop-down list object rather than the default field for the declaration’s base type, as shown by the following example:
<xsd:element name=”Colors”>
<xsd:complexType>
<xsd:simpleContent>
<xsd:extension base=”xsd:string”>
<xsd:enumeration value=”red”/>
<xsd:enumeration value=”green”/>
<xsd:enumeration value=”blue”/>
</xsd:extension>
</xsd:simpleContent>
</xsd:complexType>
<xsd:element>
The set of enumerated values will be stored as items for the drop-down list.
Bounds, length, and precision facets
Whenever possible, the restriction facets that control bounds (minInclusive, minExclusive, maxInclusive, and maxExclusive), length (length, minLength, and maxLength), and precision (totalDigits and fractionDigits) are mapped to properties on generated objects. Otherwise, they are used to generate validation scripts. Here are two examples:
•
The maxLength facet is used to set the maxChars properties on the text value:
<field><value><text maxChars=”100”/></value></field>
•
The fractionDigits facet is used to set the fracDigits property on the decimal value:
<field><value><decimal fracDigits=”3”/></value></field>
List and union types
List types allow definition of types whose values are whitespace-separated lists of single values. Elements and attributes that have list types will be mapped to Text Field objects.
Union types are types for which the set of allowed values are a union of two or more other sets of values. The various sets are not necessarily of the same base type. In general, union types will be mapped to Text Field objects. However, in the case where all the sets in the union are of the same type, the mapping will be the same as for any type by using one of those sets (that is, a union of two sets of enumerated values will generate a drop-down list with all values from the union).


Complex types

Using LiveCycle Designer ES > Working with Data Sources > Field types > Complex types
Complex types
XML schema element declarations can have simple or complex types. Attribute declarations can have simple types. In general, elements with simple types and attributes are mapped to fields in LiveCycle Designer ES. Elements with complex types contain other elements and attributes, or attributes, and are generally mapped to subforms.
Complex types are used to define all other elements. Complex types can define element content, simple content, mixed content, and empty content.
Any complex type element may or may not declare attributes.
How a subform is generated from element content in a data source
An element that has only element content and optionally, attributes, will generate a subform when dragged into the form design.
This subform will contain objects for each attribute declared on the element and objects or subforms for each child element.
Simple content
Simple content is where an element is declared to contain simple content (text data) and may also declare attributes. In the case where the element declares no attributes, the mapping is the same as that for simple elements.
When attributes are declared, the mapping for the elements is to a subform that is named by using the element name. This subform will contain a field bound to the element and additional fields for each attribute. The name of the field bound to the element will be the name of the element with the string “_data” appended to it. An example of this is an element (for example, <phone>) that has numeric content and an attribute named type:
<phone type=”work”>5554567</phone>
This will generate a subform named phone containing objects named type and phone_data. The type object is bound to $data...phone.type, the phone_data field is bound to $data...phone.
Mixed content
Mixed content exists when an element is declared to contain a mixture of element children and text content.
Empty content
Complex types with empty content will be treated like simple content, where the object that is created, and bound to the element, has no content allowed.
Occurrence
XML Schema occurrence attributes (minOccurs and maxOccurs) for element declarations, which generate subforms, will be mapped to the repetition properties for the subform.
Content models
Where the content model for the children of an element is anything other than a sequence, the mappings will attempt to model choice and all groups by using subformSets.


Rich text objects

Using LiveCycle Designer ES > Working with Data Sources > Field types > Rich text objects
Rich text objects
An element declaration that defines content from an XHTML schema will be mapped to a rich Text Field object rather that a plain Text Field object. That is, the <field> object that is created in the form design will have <value><exData contentType=”text/html”/></value>.
Three situations arise in which an element will be identified as having rich text content:
•
The schema imports the XHTML schema and declares an element containing a single child, which is the xhtml <body> element, as shown in the following example:
<xsd:schema xmlns:xsd=”http://www.w3.ord/2001/XMLSchema”
xmlns:xhtml=”http://www.w3.ord/1999/xhtml”>
<xsd:import namespace=”http://www.w3.org/1999/xhtml”/>
<xsd:element name=”RichTextField”>
<xsd:complexType>
<xsd:sequence>
<xsd:element ref=”xhtml:body”/>
</xsd:sequence>
</xsd:complexType>
</xsd:element>
•
A schema document declares a string type element with a default or fixed value that begins with the following content:
<body xmlns=”http://www.w3.org/1999/xhtml” ...
In this case, a rich text object is created with the value set to that of the default or fixed value.
•
An element declaration includes an attribute of xfa:contentType with a fixed value of text/html, as shown in the following example:
<xsd:schema xmlns:xsd=”http://www.w3.ord/2001/XMLSchema”
xmlns:xfa=”http://www.adobe.com/2003/xfa”>
<xsd:import namespace=”http://www.adobe.com/2003/xfa”/>
<xsd:element name=”RichTextField”>
<xsd:complexType>
<xsd:simpleContent>
<xsd:extension base=”xsd:string”>
<xsd:attribute ref=”xfa:contentType" fixed="text/html”/>
</xsd:extension>
</xsd:simpleContent>
</xsd:complexType>
</xsd:element>
In this example, the xfa:contentType attribute will not be used to generate a field as in the general attribute case. Instead, it will be interpreted as a directive that the field generated should be a Rich Text Field. In terms of the namespace identifier, the form design has xmlns=”http://www.xfa.org/schema/xfa-template/2.1/ and the XDP file has xmlns:xdp=”http://ns.adobe.com/xdp/.


Images

Using LiveCycle Designer ES > Working with Data Sources > Field types > Images
Images
An image will be mapped to the static Image field object in the form design. Here are the attributes:
xfa:contentType
xfa:href
xfa:transferEncoding
Here is an example of such a declaration:
<xsd:schema xmlns:xsd=”http://www.w3.org/2001/XMLSchema”
xmlns:xfa=”http://www.adobe.com/2003/xfa”>
<xsd:import namespace=”http//www.adobe.com/2003/xfa”>
<xsd:element name=”ImageField”>
<xsd:complexType>
<xsd:extension base=”xsd:hexBinary”>
<xsd:attribute ref=”xfa:contentType” fixed=”image/jpg”/>
<xsd:attribute ref=”xfa:transferEncoding” fixed=”base64”/>
</xsd:extension>
</xsd:simpleContent>
</xsd:complexType>
</xsd:element>
In this case, the attributes will not be used to generate fields in the form design. They will be used to recognize the element as corresponding to an image field, and any default or fixed values for the attributes will be set on the generated <image> element.


Default/fixed values

Using LiveCycle Designer ES > Working with Data Sources > Field types > Default/fixed values
Default/fixed values
Attributes’ and elements’ declarations that have a simple type or complex type with simple content may specify a fixed or a default value for the element or attribute.
Any element or attribute declaration that specifies a fixed or default value will generate a field where the initial value of that field is set to the fixed or default specified on the declaration.


Annotation information

Using LiveCycle Designer ES > Working with Data Sources > Field types > Annotation information
Annotation information
Any annotation information that occurs as a child of an <xsd:element> or <xsd:attribute> in the XML Schema will be mapped to the field generated from that element or attribute declaration as <desc> content.


Namespaces

Using LiveCycle Designer ES > Working with Data Sources > Field types > Namespaces
Namespaces
If targetNamespace is defined in the XML Schema, this information will be preserved and used to identify data elements. The namespace and namespace prefix information will not appear in the Data View palette or in the objects or subforms generated from the data connection. However, the namespace information will be preserved by way of the dataDescription generated from the schema that is used to map between the form design and the data described by the XML Schema.


Validation

Using LiveCycle Designer ES > Working with Data Sources > Field types > Validation
Validation
Where the XML Schema provides information about the allowed values of an element or attribute (and therefore of the corresponding field in the template), the field generated will include a JavaScript validate script that verifies that the value is one allowed by the schema declaration. Such information can be provided by way of the data type of the element or attribute and also by restriction facets applied to the base type. Consider the following example:
<xsd:element name=”Number”>
<xsd:simpleType>
<xsd:restriction base=”xsd:integer”>
<xsd:minInclusive value=”4”/>
<xsd:maxInclusive value=”9”/>
</xsd:restriction>
</xsd:simpleType>
</xsd:element>
The mapping will result in a Numeric field named “Number”, which has a validation script that validates that any value is an integer between 4 and 9.
Many of the restriction facets provided by XML Schema provide information that might be used to generate a validation script. This information will only be used to generate validation scripts in cases where the information cannot be mapped directly to a property; for example, mapping the maxLength facet for a string type to <text maxChars=””>.
Numeric type scripts
All numeric types in XML Schema are mapped to a single numeric field. However, the additional restrictions imposed by an XML Schema numeric type are maintained by generating validate scripts to ensure that a number value is the range allowed for the original XML Schema type. An “unsigned byte” type in the XML Schema will generate a numeric field with a script to validate that the value is an unsigned byte value; that is, this is the generated script:
this.rawValue >= 0 && this.rawValue <= 255;
Appropriate range-testing scripts will be generated for the following values:
•
integer
•
positive integer
•
negative integer
•
non-positive integer
•
non-negative integer
•
long, int
•
short
•
byte
•
unsigned long
•
unsigned int
•
unsigned short
•
unsigned byte datatypes
Inclusion/exclusion scripts
When a numeric type specifies min or max inclusion and/or exclusion values, a script will be generated to test that the value entered is within the range defined by these restriction facets. For a field that already has a numeric range script as defined in Numeric type scripts, the script will test the range according to the most restrictive of the datatype range or the inclusion/exclusion range.
length, minLength, and maxLength scripts
An XML Schema string type may specify a length restriction facet or a minLength and/or a maxLength restriction facet. If the schema node is mapped to a text field, values specified for length and minLength restriction facets will be used to generate a validate script to test that the text field length is the value specified by length or is at least the value specified by minLength.
Note that any maxLength facet value will be mapped as maxChars for the text field.
When a string datatype maps to a pop-up list (because of the enumerated values), and length or min/maxLength, values will result in the validate script to check that the value selected in the list has a length that is valid according to the length, minLength, and maxLength facets.
totalDigits/fractionDigits scripts
The totalDigits facet specifies the maximum number of digits that can be used for a decimal or any integer type (that is, decimal, integer, positive integer, negative integer, non-positive integer, non-negative integer, long, int, short, byte, unsigned long, unsigned int, unsigned short, and unsigned byte datatypes). The fractionDigits facet is applicable for the decimal datatype only and specifies the maximum number of fractional digits that may be used.
If totalDigits or fractionDigits are specified for an element or attribute that is mapped to a numeric field, a validate script will be generated to test that the total number of digits and/or number of fraction digits are allowed by the restriction facets.


Dynamically populating form object properties from a data source

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source
Dynamically populating form object properties from a data source
About dynamic properties
To set up dynamic properties
To dynamically populate a drop-down list or list box
To dynamically populate a drop-down list or list box from an OLEDB data connection
To dynamically populate a caption
To dynamically populate a validation pattern message
To dynamically populate a validation script message
To dynamically populate a tool tip
To dynamically populate screen reader text
To dynamically populate a second field after populating the first
To edit the dynamic data binding
To dynamically populate form object properties using the drag and drop method
To remove the dynamic data binding


About dynamic properties

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > About dynamic properties
About dynamic properties
Dynamic properties are form object properties that are assigned values from a data source and are updated at run time. For example, the items in a drop-down list can be populated with a list of countries that are stored in a data source.
The following properties of form objects are dynamic and can be bound to values from a data source:
•
List items in a drop-down list or list box
•
A caption
•
A validation pattern message
•
A validation script message
•
A tool tip
•
Screen reader text
Dynamic properties allow you to modify form object properties outside of the form design and rely on a data source. This can be useful in deployment and maintenance scenarios.
In addition, the same data source can supply data to different form designs. For example, a long list of countries can be stored in one data file and used in many forms. You can use a wide variety of data sources, from complex databases to simple XML files.
To identify which form object properties you can set dynamic properties for, LiveCycle Designer ES uses active labels. Active labels can be turned on and off using the Tools > Options > Data Binding dialog box and selecting the Show Dynamic Properties option. For example, here is the active label for the caption for a drop-down list before and after it is dynamically bound to a data source.
The dynamically bound caption showing a link icon.
In the Data View palette, this icon The dynamically bound icon. indicates that the node is dynamically bound to an object.
Note:
If a node is bound to both a dynamic property and to a field, the default icon Default binding icon. displays.
To dynamically populate form object properties from a data source, first you need to bind the form object properties to the data file and point to a data file that contains data to be used to populate the form object properties.
Note:
You can bind the form object properties to the data file manually if you know the expected data file structure. In this way, you do not need a data connection.
The following table lists the objects and which active labels they each have.
Active Label/ Object
List Items
Specify Item Values
Caption
Validation Pattern Message
Validation Script Message
Tool Tip
Custom Screen Reader Text
Barcodes
Y
Y
Y
Y
Button
Y
Y
Y
Check Box
Y
Y
Y
Y
Date/Time Field
Y
Y
Y
Y
Y
Decimal Field
Y
Y
Y
Y
Y
Signature Field
Y
Y
Y
Drop-Down List
Y
Y
Y
Y
Y
Y
Y
Email Submit Button
Y
Y
Y
HTTP Submit Button
Y
Y
Y
Image
Y
Y
Image field
Y
Y
Y
List Box
Y
Y
Y
Y
Y
Y
Y
Numeric Field
Y
Y
Y
Y
Y
Password Field
Y
Y
Y
Y
Y
Print Button
Y
Y
Y
Radio Button
Y
Y
Y
Text
Y
Y
Text Field
Y
Y
Y
Y
Y
See also
To set up dynamic properties


To set up dynamic properties

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To set up dynamic properties
To set up dynamic properties
To identify which form object properties are dynamic, first you must turn active labels on.
Active labels identify which properties can be dynamic. Active labels are identified by a green underline that you can click to dynamically bind the property to a data source. You can set the default color for active labels.
For example, here is the active label for the caption for a drop-down list.
By default, dynamic properties are turned off.
To turn active labels on and off
*
Do one of the following actions:
•
From the Object palette menu, select Show Dynamic Properties.
•
Select Tools > Options > and select Data Binding from the list on the left. Then select the Show Dynamic Properties option and click OK.
Note:
If you turn active labels off, any form object properties that are already dynamically bound to a data source will remain bound and active.
To set the default color for active labels
1.
Select Tools > Options and select Data Binding from the list on the left.
2.
Select the Use Custom Label Color option.
3.
Click the color picker and select a color.
4.
Click OK.
See also
About dynamic properties


To dynamically populate a drop-down list or list box

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a drop-down list or list box
To dynamically populate a drop-down list or list box
You can dynamically populate a drop-down list or list box with values from a data source.
If you have a predetermined and unchanging set of possible values, you can populate a drop-down list or list box when designing the form. See To specify the list of options for a drop-down list or list box. If you have a changing set of values, you can dynamically populate a drop-down list or list box from a data source at run time. If you have a long set of values, having it stored in a data source gives the form more flexibility.
For example, you can populate a drop-down list with a list of countries from a data source. Another example is to populate a list box with French product names but have English data values submitted to the data source.
For example, the schema you connect to could have the following defined for a list:
<form>
<lists>
<item uiname="item1" token="value1"/>
<item uiname="item2" token="value2"/>
</lists>
</form>
And the data file you point to could have the following defined for a list:
<form>
<lists>
<item uiname="MasterCard" token="MC"/>
<item uiname="Visa" token="VS"/>
<item uiname="Eurocard" token="EC"/>
<item uiname="Special Card" token="SC"/>
</lists>
</form>
When you merge the data file with the form design, you would see MasterCard as one of the options in the list, but when the form gets submitted, the token MC is sent to the data source.
Tip:
If you have an OLEDB data connection, you can use the Data Drop-down List object or the Data List Box object from the Custom category of the Object Library palette to populate a drop-down list or list box with data from a column in a table. See To dynamically populate a drop-down list or list box from an OLEDB data connection.
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
1.
In the Object Library palette, click the Standard category and drag a Drop-Down List or a List Box onto the form design.
For example, insert a Drop-Down List.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Credit Card.
3.
Do one of the following actions:
•
Click the List Items active label in the Field tab of the Object palette.
•
Click the Specify Item Values active label in the Binding tab of the Object palette.
Note:
For ease of use, both the List Items active label and the Specify Item Values active label display the same Dynamic Properties dialog box.
4.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
5.
Click the triangle beside the Items box and select a binding.
The binding you select should be a repeating data value or group so that the drop-down list or list box shows more than one item.
For example, select lists > item.
The following string appears in the Items box:
$record.lists.item[*]
Tip:
You could type this string into the Items box instead of selecting it.
Note:
For OLEDB data connections, the Items box is not available. Use the Item Text and Item Value boxes to select the database columns to use to populate the list.
6.
To show a user-friendly item name at run time, click the triangle beside the Item Text box and select a binding.
For example, select @uiname to show MasterCard.
The data file you point to could have a repeating data value:
<form>
<pymt>
<cc type="MC">MasterCard</cc>
<cc type="VS">Visa</cc>
</pymt>
</form>
Note:
If you select #data, the drop-down list shows MasterCard.
7.
(Optional) To save a different value than the Item Text label to the data source, click the triangle beside the Item Value box and select a binding.
For example, select @token to save MC to the data file.
The data file you point to could have a repeating data value:
<form>
<pymt>
<cc type="MC">MasterCard</cc>
<cc type="VS">Visa</cc>
</pymt>
</form>
Note:
If you select #data, the drop-down list shows MC.
8.
Click OK.
After a binding has been set, a small link icon appears with the active label.
9.
View the form in the Preview PDF tab.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate a drop-down list or list box from an OLEDB data connection

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a drop-down list or list box from an OLEDB data connection
To dynamically populate a drop-down list or list box from an OLEDB data connection
Two custom objects are available in the Object Library palette’s Custom category that you can use to populate two columns with data from an OLEDB data connection. Both the Data Drop-down List object and the Data List Box object will populate two columns with data from an OLEDB data connection.
Note:
This is a script-based alternative. You can use dynamic properties to accomplish the same thing. See To dynamically populate a drop-down list or list box.
1.
In the Object Library palette, click the Custom category and drag the appropriate list object onto the page:
•
To create a drop-down list, drag the Data Drop-down List object.
•
To create a list box, drag the Data List Box object.
2.
Select the object.
3.
Select Window > Script Editor.
4.
In sDataConnectionName = “<value>”, replace value with the data connection name.
5.
In sColHiddenValue = “<value>”, replace value with the hidden value name.
6.
In sColDisplayText = “<value>”, replace value with the display text column name.
See also
About dynamic properties
To set up dynamic properties
To create a bound field or subform
To create a data connection to an OLE database
To create a data connection using a WSDL file
How LiveCycle Designer ES determines the field type when binding to data


To dynamically populate a caption

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a caption
To dynamically populate a caption
You can dynamically populate a caption with values from a data source.
For example, you can populate a caption with a product name in French. The schema you connect to could have the following defined for a caption:
<form>
<caption product=”ProductName1”></caption>
</form>
The data file you point to could have the following defined for a caption:
<form>
<caption product=”Desk Lamp”></caption>
</form>
When you merge the data file with the form design, the caption Desk Lamp is displayed for product.
Another example could be to provide the product name in another language. The data file you point to could have the following defined for caption:
<form>
<caption product=”Lampe de Bureau”></caption>
</form>
When you merge the data file with the form design, the caption Lampe de Bureau is displayed for product.
Note:
To use non-ASCII text (such as accents) in your data file, ensure the file is suitably encoded and the encoding is correctly identified in the XML processing instruction. For example:
<?xml version="1.0" encoding="UTF-8"?>
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
1.
In the Object Library palette, click the Standard category and drag an object onto the form design.
For example, insert a Text Field object.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Product.
3.
Click the Caption active label.
4.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
5.
Click the triangle beside the Binding box and select a binding.
For example, caption > @product.
Note:
When you bind a caption to a data source, the caption is always shown in the form, even if you have set Caption Position in the Layout tab to None.
6.
Click OK.
7.
View the form in the Preview PDF tab.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate a validation pattern message

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a validation pattern message
To dynamically populate a validation pattern message
You can dynamically populate a validation pattern message with a value from a data source. This allows you to ensure users enter the correct value in the field.
For example, you can display a custom error message when users enter the wrong pattern in a field.
The schema you connect to could have the following defined for a validation pattern:
<form>
<validationPattern dp_patternMessage="message1"/>
</form>
The data file you point to could have the following defined for a validation pattern:
<form>
<validationPattern dp_patternMessage="DP Pattern Message - The order number pattern is: A9A9A9"/>
</form>
When you merge the data file with the form design, and you type a number in the Order Number field that does not match the pattern expected, an error dialog box appears.
Another example could be to provide custom error messages for patterns in another language. The data file you point to could have the following defined for pattern validation:
<form>
<validationPattern dp_patternMessage="Le numéro de commande doit suivre le modèle suivant : A9A9A9"/>
</form>
When you merge the data file with the form design, and you type a number in the Order Number field that does not match the pattern expected, an error dialog box in French appears.
Note:
To use non-ASCII text (such as accents) in your data file, ensure the file is suitably encoded and the encoding is correctly identified in the XML processing instruction. For example:
<?xml version="1.0" encoding="UTF-8"?>
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
1.
In the Object Library palette, click the Standard category and drag an object onto the form design.
For example, insert a Text Field object.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Order Number.
3.
Click the Value tab and click Validation Patterns.
4.
In the Select Type list, select a validation pattern.
For example, select Postal Code (Canada) to display the pattern A9A 9A9 in the Pattern box.
5.
Click the Validation Pattern Message active label.
6.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
7.
Click the triangle beside the Binding box and select a binding.
For example, select validation > @dp_patternMessage.
The following string appears in the Binding box:
$record.validation.dp_patternMessage
Tip:
You could type this string into the Items box instead of selecting it.
8.
Click OK.
9.
View the error message by using the Preview PDF tab.
For example, in the Preview PDF tab, enter an order number that does not match the pattern.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate a validation script message

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a validation script message
To dynamically populate a validation script message
You can dynamically populate a validation script message with a value from a data source. This allows you to ensure users enter the correct value in the field.
For example, you can display a custom error message when users enter something in a field that does not match what the script for a field expects. For example, a numeric field, such as Quantity, can have a script attached to it that says the number in this field cannot be greater than 100. If the user enters a number greater than 100, a custom error message appears.
The schema you connect to could have the following defined for a validation script:
<form>
<validationScript dp_scriptMessage="message1"/>
</form>
The data file you point to could have the following defined for script validation:
<form>
<validationScript dp_scriptMessage="DP Script Message - The quantity must be less than or equal to 100."/>
</form>
When you merge the data file with the form design, and you type a number in the Quantity field that is greater than 100, an error dialog box appears.
Another example could be to provide custom error messages attached to a script in another language. The data file you point to could have the following defined for script validation:
<form>
<validationScript dp_scriptMessage="Entrez un nombre inférieur ou égal à 100."/>
</form>
When you merge the data file with the form design, and you type a number in the Quantity field that is greater than 100, an error dialog box in French appears.
Note:
To use non-ASCII text (such as accents) in your data file, ensure the file is suitably encoded and the encoding is correctly identified in the XML processing instruction. For example:
<?xml version="1.0" encoding="UTF-8"?>
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
1.
In the Object Library palette, click the Standard category and drag an object onto the form design.
For example, insert a Numeric Field object.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Quantity.
3.
In the Script Editor, select Validate from the Show list.
4.
In the Script Editor, select a language from the Language box.
For example, select JavaScript from the Language box.
5.
Type a script for the object.
For example, type this script for the Quantity field:
this.rawValue <= 100
6.
In the Object palette, click the Value tab and then click the Validation Script Message active label.
7.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
8.
Click the triangle beside the Binding box and select a binding.
For example, select validation > @dp_scriptMessage.
The following string appears in the Binding box:
$record.validation.dp_scriptMessage
Tip:
You could type this string into the Items box instead of selecting it.
9.
Click OK.
10.
View the error message by using the Preview PDF tab.
For example, in the Preview PDF tab, enter a quantity greater than 100.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate a tool tip

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a tool tip
To dynamically populate a tool tip
You can dynamically populate a tool tip with a value from a data source. For example, you can display a custom tool tip for an object that is in French.
The schema you connect to could have the following defined for a tool tip:
<form>
<tooltip dp_tt="tooltip1"/>
</form>
The data file you point to could have the following defined for a tool tip:
<form>
<tooltip dp_tt="Quantité - Entrez un nombre inférieur ou égal à 100."/>
</form>
When you merge the data file with the form design, and you position the pointer over the Quantity field, you will see the following tool tip:
The tool tip defined for the Quantity field.
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
1.
In the Object Library palette, click the Standard category and drag an object onto the form design.
For example, insert a Text Field object.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Quantité.
3.
In the Accessibility palette, click the Tool Tip active label.
4.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
5.
Click the triangle beside the Binding box and select a binding.
For example, select tooltip > @dp_tt.
The following string appears in the Binding box:
$record.tooltip.dp_tt
Tip:
You could type this string into the Items box instead of selecting it.
6.
Click OK.
7.
View the form in the Preview PDF tab.
For example, in the Preview PDF tab, try positioning the pointer over the Quantity field to see the custom tool tip.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate screen reader text

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate screen reader text
To dynamically populate screen reader text
You can dynamically populate screen reader text with strings from a data source. For example, you can display custom screen reader text for an object that is in French.
The schema you connect to could have the following defined for custom screen reader text:
<form>
<csr dp_csr="csr1"/>
</form>
The data file you point to could have the following defined for custom screen reader text:
<form>
<csr dp_csr="The 7-digit customer identification field."/>
</form>
When you merge the data file with the form design, and you start the screen reader, it will read the type of field and then read “The 7-digit customer identification field.”
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
•
Ensure Adobe Acrobat is set up to Read Form Fields in the Preferences (Reading category) dialog box in the Edit menu.
1.
In the Object Library palette, click the Standard category and drag an object onto the form design.
For example, insert a Numeric Field object.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Customer ID.
3.
In the Accessibility palette, click the Custom Screen Reader Text active label.
4.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
5.
Click the triangle beside the Binding box and select a binding.
For example, select csr > @dp_csr.
The following string appears in the Binding box:
$record.csr.dp_csr
Tip:
You could type this string into the Items box instead of selecting it.
6.
Click OK.
7.
View the form in the Preview PDF tab.
For example, in the Preview PDF tab, try entering data in the Customer ID field to hear the custom screen reader text.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate a second field after populating the first

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate a second field after populating the first
To dynamically populate a second field after populating the first
You can dynamically populate a second field after populating the first using scripting. For example, you can have one drop-down list that shows users a list of countries. After a user selects a country, the second list shows the states or provinces for that country.
For example, the sample XML file you connect to could have the following defined:
<MyData>
<country/>
<countries>
<item uiname="United States" token="US"/>
<item uiname="Vietnam" token="SRV"/>
</countries>
<state/>
<US>
<item>California</item>
<item>New York</item>
<item>Texas</item>
</US>
<SRV>
<item>An Giang</item>
<item>Bac Giang</item>
<item>Bac Kan</item>
</SRV>
</MyData>
For example, after you select Vietnam from the first drop-down list, the items listed in the States/Provinces list show only the ones that apply to Vietnam.
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
To set up the first field
1.
In the Object Library palette, click the Standard category and drag a Drop-Down List or a List Box onto the form design.
For example, insert a Drop-Down List.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type Country.
3.
Do one of the following actions:
•
Click the List Items active label in the Field tab of the Object palette.
•
Click the Specify Item Values active label in the Binding tab of the Object palette.
4.
Select the data connection.
Note:
If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
5.
Click the triangle beside the Items box and select a binding.
The binding you select should be a repeating data value or group so that the drop-down list or list box shows more than one item.
For example, select countries > item.
The following string appears in the Items box:
$record.countries.item[*]
Tip:
You could type this string into the Items box instead of selecting it.
Note:
For OLEDB data connections, the Items box is not available. Use the Item Text and Item Value boxes to select the database columns to use to populate the list.
6.
To show a user-friendly item name at run time, click the triangle beside the Item Text box and select a binding.
For example, select @uiname to show United States.
7.
(Optional) To save a different value than the Item Text label to the data source, click the triangle beside the Item Value box and select a binding.
For example, select @token to save US to the data file.
8.
Click OK.
After a binding has been set, a small link icon appears with the active label.
To set up the script that dynamically populates a second field after populating the first
1.
With the first drop-down list selected, in the Script Editor, select Change from the Show list.
2.
Select JavaScript from the Language list.
3.
Type the following script:
var tempString = "xfa.record." + this.boundItem(xfa.event.newText);
var oItems = xfa.resolveNode(tempString);
var nItemsLength = oItems.nodes.length;
DropDownList2.clearItems();
for (var nItemCount = 0; nItemCount < nItemsLength; nItemCount++) {
DropDownList2.addItem(oItems.nodes.item(nItemCount).value);
}
Script
Description
tempString
Specifies the string for xfa.record. For example, if United States is selected, xfa.record becomes xfa.record.US.
this.boundItem
A list object method that translates from the user-friendly name to the value or token string. For example, when United States is selected, US is submitted.
xfa.event.newText
Returns the new text content of the list Change event. For example, when United States is selected, United States is submitted.
var nItemsLength = oItems.nodes.length;
Queries the number of child elements of <US> (or <SRV>), that is the number of <item> children.
DropDownList2.clearItems();
Removes any existing items in the second drop-down list.
for (var nItemCount = 0; nItemCount < nItemsLength; nItemCount++)
Queries for each <item> child of <US> (or <SRV>).
DropDownList2.addItem(oItems.nodes.item(nItemCount).value);
Gets the text value of the <item> child indicated by the nItemCount index and adds that value as a new item to the second drop-down list
To set up the second field
1.
In the Object Library palette, click the Standard category and drag a Drop-Down List or a List Box onto the form design.
For example, insert a Drop-Down List.
2.
(Optional) In the Object palette, click the Field tab and type a caption for the object in the Caption box.
For example, type States/Provinces.
3.
Bind the field to the data source.
For example, bind the state node to the States/Provinces drop-down list.
4.
View the form in the Preview PDF tab.
See also
About dynamic properties
To set up dynamic properties


To edit the dynamic data binding

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To edit the dynamic data binding
To edit the dynamic data binding
1.
Select the object that has dynamic data binding attached to it.
A small link icon appears with the active label for any dynamic property that is bound. For example:
2.
Locate the active label of the dynamic property for which you want to edit the data binding.
3.
Do one of the following actions:
•
Click the active label.
•
Right-click the active label and select Edit [property] Bindings.
4.
Make any changes and click OK.
See also
About dynamic properties
To set up dynamic properties


To dynamically populate form object properties using the drag and drop method

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To dynamically populate form object properties using the drag and drop method
To dynamically populate form object properties using the drag and drop method
You can quickly set up dynamic data binding for form object properties using the drag and drop method.
Note:
You cannot use the drag and drop method for list items in a drop-down list or list box.
Before you perform this task, you must ensure the following settings are in effect:
•
Ensure active labels are on. See To set up dynamic properties.
•
Ensure you are connected to a data source that describes the data to which form object properties will be bound. See About connecting to a data source.
•
To test the form with sample data, ensure you are pointing to a data file that has data defined for the form object property. See To preview a form using sample data.
1.
Locate the active label for which you want to set up the dynamic data binding.
2.
In the Data View palette, select the node that you want to link.
3.
Click and drag the node to the active label.
A small link icon appears with the active label for any dynamic property that is bound. For example:
If the property already had a data binding set for it for the same data connection, it will be replaced.
See also
About dynamic properties
To set up dynamic properties


To remove the dynamic data binding

Using LiveCycle Designer ES > Working with Data Sources > Dynamically populating form object properties from a data source > To remove the dynamic data binding
To remove the dynamic data binding
1.
Select the object that has dynamic data binding attached to it.
A small link icon appears with the active label for any dynamic property that is bound. For example:
2.
Locate the active label for which you want to remove the dynamic data binding.
3.
Right-click the active label and select Clear [property] Bindings.
Tip:
Another way to remove the dynamic data binding is to select <None> from the list in the Dynamic Properties dialog box. In addition, if you delete a data connection, both the default data bindings and the dynamic data bindings are deleted if you select the Remove Bindings For Deleted Data Connection option.
See also
About dynamic properties
To set up dynamic properties


Creating Accessible Forms

Using LiveCycle Designer ES > Creating Accessible Forms
Creating Accessible Forms
About accessible forms
Designing accessible forms
Making objects accessible


About accessible forms

Using LiveCycle Designer ES > Creating Accessible Forms > About accessible forms
About accessible forms
An accessible form is one that a wide range of people can use, including those who may have disabilities that affect how they are able to interact with the form on the computer screen. For example, the form user may have a visual impairment or reduced mobility.
LiveCycle Designer ES includes a number of features and capabilities that enhance the usability of forms for users with a range of disabilities, and that assist form authors in creating PDF forms that are more accessible to people with disabilities.
LiveCycle Designer ES provides support for creating accessible HTML (AHTML) files using LiveCycle Forms ES and tagged PDF forms. Tagged PDF forms include a complete logical structure plus additional information about a document’s contents that substantially increases accessibility.
When creating accessible forms, you need to consider whether the form is intended for interactive filling by end users or whether the form is intended for viewing and printing purposes only.
You can also import existing accessible PDF files as the basis for your form. For more information, see About accessible PDF files and importing.
See also
General considerations for designing accessible forms
Accessibility properties in the Accessibility palette


Designing accessible forms

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms
Designing accessible forms
General considerations for designing accessible forms
Forms for users with vision impairment or disabilities
Forms for users with reduced mobility
Tabbing order for accessible forms
Color in accessible forms
Support for screen readers
Design tips for authoring forms for screen readers
To create a PDF form with accessibility tags
Design tips for creating accessible PDF forms
Techniques for testing form accessibility


General considerations for designing accessible forms

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > General considerations for designing accessible forms
General considerations for designing accessible forms
When you design forms for a wide audience, you should consider that some users may have disabilities that affect how they interact with the form. Some users may have vision impairment, reduced mobility, or other disabilities. To accommodate the needs of all users, you may find it worthwhile to include certain practical design features in your forms and to test forms using various assistive technologies.
Here are some tips for designing accessible forms:
•
A form is not accessible if it is not easy to use. You should try to design forms that are simple and usable. A simple layout of controls and fields with clear, meaningful captions and tool tips will make the form much easier for all users to fill.
•
Designing forms that are uncluttered and logically arranged, and that provide clear and simple instructions, will help all users to fill forms as easily as possible. Navigation features, such as the tabbing order and keyboard shortcuts, should support the logical order of objects on the form. The caption for a field should be on the same line as the field’s fillable area. Place captions consistently on the same side of the fields.
•
Users work better with forms that reduce the possibility of making mistakes. Clear and concise error messages will help users fix any mistakes that they do make.
•
Choose objects that make the form easy to use. For example, when used properly, tables are an effective way to organize and present tabular information. Avoid overly complex tables, such as those with nested tables and sections.
•
Users should be able to fill the form completely using only the keyboard or an equivalent input device. Users with reduced mobility or impaired vision may have no choice but to use the keyboard, and many users who can use a mouse simply prefer keyboard input. By allowing various input methods, you not only create accessible forms, you also create forms that are better suited to the preferences of all users.
•
Design your form to interact normally with other applications and system standards. For example, you could support standard Windows Control Panel settings for colors and use standard keyboard behavior.
•
A well-designed form will be compatible with various assistive technologies. You should familiarize yourself with how these technologies work and use design techniques and user interface elements that are compatible with a wide range of assistive technologies.
•
Color can greatly enhance a user experience with your form but only if it used properly. Colors can emphasize and enhance certain parts of your form, but you should not convey information by color alone. Large amounts of color may cause eye pain. Too much color can obscure foreground text. High-contrast colors, such as the default settings of black on a white background, are recommended.
•
Images may help improve comprehension for users with some types of disabilities, However, many screen readers do not read graphics, which may decrease the accessibility of your form for users with vision impairments. If you choose to use images, provide text descriptions that describe the object and its purpose on the form.
•
Be aware that client-side scripts can interfere with screen readers and keyboards if the script changes the focus of the client application. For example, the change and mouseEnter events, when used with drop-down lists or list boxes, have the potential to cause inappropriate actions. Client-side scripting should be written to avoid problems with screen readers and keyboards. Similarly, avoid scripting events that cause visual effects, such as blinking text, which may increase readability issues for users.
•
Radio buttons are often misinterpreted, or difficult for users with disabilities to access on HTML forms because web browsers and screen readers treat them inconsistently. Avoid using radio buttons for HTML forms if you can use a list box instead.
See also
Design tips for authoring forms for screen readers
Design tips for creating accessible PDF forms
Making simple tables accessible
Making complex tables accessible
Making images accessible
Making scripts accessible


Forms for users with vision impairment or disabilities

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Forms for users with vision impairment or disabilities
Forms for users with vision impairment or disabilities
Users with vision impairment or disabilities typically use an assistive technology called a screen reader, which speaks to the user. A screen reader can relay information about where the cursor is displayed on the computer. The screen reader can also read the tool tips, so it is very important to include tool tips in your design.
In addition to tool tips, you can use captions, object names, or custom screen reader text to clearly identify each field. You can also use text objects to indicate what kind of input is required. When indicating which fields require input, be explicit. For example, tool tip text can contain the words “Required input”.
To ensure that a screen reader will work with a PDF form, each object should provide spoken information, and you must generate a tagged PDF form. If you will be creating an HTML form from the same form design, screen readers can read and speak tool tips from AHTML transformations.
Keep the following design considerations in mind to assist users with vision impairment or disabilities:
•
Users with vision impairment or disabilities cannot use a mouse to interact with a computer. Every function must be available using the keyboard. For most forms, the Tab and Shift+Tab keys move the cursor forward and backward through the form. Be sure to set a logical tabbing order that includes all fields and buttons.
•
Many forms include administrative information that provides additional instructions to the user on how to complete the form. Use tool tips to ensure that all important information is read to the user at an appropriate time. For example, if keystrokes are required to perform a function, such as pressing the space bar to select a button or the Down Arrow key to select an item from a list box, the keystrokes should be announced to the user.
•
Include enough spoken information for users to know what input is expected and how to complete the field correctly, but do not overwhelm users with redundant information.
•
Add navigational buttons to the top and bottom of the form. For example, at the top of a form, you could include buttons such as Open Data File, Previous Page, and Next Page. At the bottom of the form you could include buttons such as Save Data, Email Data, Go to Top of Page, and Print.
•
Smart fields can be an effective way to make some forms easier to fill. For example, a travel request form may have several rows and columns of fields. The last field in each row could check if any data was entered in the row. If the row is empty, the Tab key could jump to the next section of the form rather than continuing to tab through a number of fields that will remain empty.
•
Users with vision impairment or those who are color blind may have difficulty seeing the cursor. Use appropriate colors to display objects using a color scheme selected by the user.
•
Users with vision impairment typically use an assistive technology such as a magnification program. This product enlarges the cursor. Test your forms with a number of the more popular magnification programs to ensure that your forms are accessible.


Forms for users with reduced mobility

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Forms for users with reduced mobility
Forms for users with reduced mobility
For users with reduced mobility and those with limited dexterity, completing a form can be very difficult. If a user is unable to use a mouse, every function in a form must be available using the keyboard.
A variety of assistive technologies are available for users with reduced mobility and those with limited dexterity, including special keyboards, speech-to-text software where the user speaks into a microphone to complete the form, or even more sophisticated technologies that can operate a computer by breath or eye movements.
Test your forms with a number of these assistive technologies to ensure that your forms are accessible.


Tabbing order for accessible forms

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Tabbing order for accessible forms
Tabbing order for accessible forms
If your form uses the default tabbing order, the tabbing order will be in geographic order, left-to-right, top-to-bottom. Tabbing order respects the existence of subforms, radio buttons, and content areas. Tabbing order is also determined by the vertical position of objects on a page and its master page.
Setting a meaningful tabbing order is very important when designing forms that are accessible to users with vision impairment or disabilities. These users typically do not use a mouse to navigate through a form, so they depend on the keyboard. A logical tabbing order sequence ensures that they have full access to all the fields on the form and that they can navigate the form in a way that is sensible and efficient.
The tabbing order also determines the reading order in which the screen reader reads form objects. The reading order is based on the PDF logical structure that is created when you save the form as tagged PDF.
LiveCycle Designer ES includes all static objects and field objects in the logical structure. Make sure all text and image objects are placed logically in the tabbing order so that the text within the text object and any tool tips or custom screen reader text set for the image are read at the appropriate time.
Because the tabbing order is important, ensure that you position objects precisely on the form, relative to each other. For example, you can position and size an object using its coordinates and you can snap objects to points on a grid.
Note:
If you create a large interactive PDF form with no structure, end users may experience slow performance in tabbing between fields. This problem is averted if you save the form without tagging. However, if you need your form to be accessible, you must save it as tagged PDF. To work around this situation, you can wrap sections of the form in unnamed subforms. This step adds the required structure to the form.
See also
About tabbing order
How the default tabbing order works
Setting the tabbing order
To position objects
To use the drawing aids


Color in accessible forms

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Color in accessible forms
Color in accessible forms
Color can greatly enhance a user’s experience with your form if it is used properly. Large amounts of color may cause eye pain. Too much color can obscure foreground text.
Designing forms for accessibility involves considering some additional guidelines for using color. Colors can emphasize and enhance certain parts of your form, but you should not convey information by color alone.
For example, a red asterisk often indicates that a text field requires user input. Because users with vision impairment may have difficulty seeing the color red, a better choice for accessible forms is to set the text field type to User Entered - Required and define a message that indicates that the field requires input.
Many users with vision impairment rely on high contrast between text and the background to read the form. We strongly recommend that you use the default font and background colors, Black on a white background provides a high-contrast that improves the readability of the form. If you must change these default colors, ensure you choose an appropriate combination of high-contrast colors.
Design your form to interact normally with other applications and system standards, including support for standard Windows Control Panel settings for colors. Users with vision impairment or those who are color blind may have difficulty seeing the cursor. Use standard settings for color may help eliminate this issue.
While designing your form, test it frequently using a color scheme setting similar to what many users with vision impairment will be using to complete your form. This practice helps you discover and correct issues early in the design process.
See also
Font properties in the Font palette
Paragraph properties in the Paragraph palette
Border properties in the Border palette
Techniques for testing form accessibility


Support for screen readers

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Support for screen readers
Support for screen readers
To access spoken information about a form, users with vision impairment need to use a screen reader. Screen readers speak information about where the cursor is located on the form. As the form author, you must specify the text for the screen reader to read. If the form will be saved in PDF you must also generate a tagged PDF form.
LiveCycle Designer ES supports the Microsoft Active Accessibility (MSAA) compliant screen reader, JAWS for Windows from Freedom Scientific.
See also
Design tips for authoring forms for screen readers
Accessibility properties in the Accessibility palette


Design tips for authoring forms for screen readers

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Design tips for authoring forms for screen readers
Design tips for authoring forms for screen readers
To provide an accessible form, you need to understand how screen readers work. You also need to know how to use the LiveCycle Designer ES Accessibility palette to specify information that the screen reader will speak for the objects on forms. Keep in mind these considerations related to implementing accessible forms that can support screen readers:
•
Introduce the form to tell the users what form is open and how to proceed with its completion. When a form opens, the screen reader will generally read through an entire page, including any text and image objects. When the user begins to tab through the form, the screen reader reads text for each object as it becomes active.
•
Establish a logical tabbing order that includes all text, fields, buttons, and images to make it easier for users with visual impairment to navigate. Setting the tabbing order is important because PDF screen reader tags are ordered by default from top-to-bottom, left-to-right.
•
Announce to users any special keystrokes they need to make in order to perform a function. Such keystrokes include actions such as pressing the spacebar to select a button, or the Down Arrow key to select an item from a list box.
•
Announce the names of buttons and fields, as well as their purpose, when the user tabs into them.
•
Announce the state of check boxes and radio buttons.
•
In list boxes and drop-down lists, announce the default item selected in the list. Be sure that the user knows to use the Up Arrow and Down Arrow keys to move through the list items. Pressing the Tab key or the Enter or Return key will select the item in the list. Using scripting, you can set the object's Change event to announce which item is selected from the list.
See also
Accessibility properties in the Accessibility palette
To specify custom screen reader text for an object
To specify a custom tool tip for an object
To specify a different search order for screen reader text
To turn off screen reader text for an object


To create a PDF form with accessibility tags

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > To create a PDF form with accessibility tags
To create a PDF form with accessibility tags
In addition to specifying text for screen readers, you must also create a tagged PDF form so that the screen reader can read the text. You do this by generating accessibility tags when saving the form design as a PDF file.
In LiveCycle Designer ES, the default behavior is to create tagged PDF forms.
Note:
To display accessibility tags in forms with a flowable layout in Acrobat, you must run the screen reader before opening the form in Acrobat.
1.
Select File > Form Properties.
2.
To generate accessibility tags, click the Save Options tab and, in the PDF area, ensure that Generate Accessibility Information (Tags) For Acrobat is selected.
3.
Click OK.
See also
Tabbing order for accessible forms
Design tips for creating accessible PDF forms


Design tips for creating accessible PDF forms

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Design tips for creating accessible PDF forms
Design tips for creating accessible PDF forms
These tips will help you create accessible forms for Acrobat and Adobe Reader:
•
Circle, line, and rectangle objects are not tagged in PDF forms. These objects add no useful information for a user with vision impairment or disabilities. Screen readers will not read any information for these objects.
•
Do not set the Speak Order Precedence to None for field objects. If you do, Acrobat will cause the screen reader to say “MSAA data prompt not available” when the user tabs into the field, even if the field is read-only.
•
Subforms are useful for organizing related objects and provide a logical tabbing structure. The default tabbing order is in geographic order, left-to-right, top-to-bottom. If two subforms exist side-by-side, and each subform contains a number of field objects, the tabbing sequence will go through the fields in the first subform before moving on to the next.
•
When tabbing into a radio button, the screen reader first reads the text for the group object that contains it, and then the On value for the radio button. You should set custom screen reader text for each radio button exclusion group and ensure that the On value for radio buttons matches the caption or is some other meaningful value.
•
Images may help improve comprehension for users with some types of disabilities, However, many screen readers do not read graphics, which may decrease the accessibility of your form for users with vision impairments. If you choose to use images, provide text descriptions that describe the object and its purpose on the form.
•
The tabbing order of objects on pages and their master pages is determined by the vertical coordinates of objects. Test your forms to ensure that the screen reader reads objects in the order you want.
•
Be aware that client-side scripts can interfere with screen readers and keyboards if the script changes the focus of the client application. For example, the change and mouseEnter events, when used with drop-down lists or list boxes, have the potential to cause inappropriate actions. Client-side scripting should be written to avoid problems with screen readers and keyboards. Similarly, avoid scripting events that cause visual effects, such as blinking text, which may increase readability issues for users.
•
If your form has a large number of objects, tabbing in Acrobat 6.0.2 can be slow. If you are creating an Acrobat 6.0.2-compatible form, adding unnamed subforms around smaller groups of form objects will add levels to the logical structure and fix this problem.
Form authors and users should be aware of these known issues between Acrobat and screen readers:
•
When users type into any field, including password fields, screen readers read back each keystroke.
•
Whenever a message box opens, for example to report a validation error, the form loses focus. Pressing Tab again moves the user back to the first field in tabbing order.
•
The screen reader will read all text as if it were in the language of the form’s Default Locale setting.
•
To display accessibility tags in forms with a flowable layout in Acrobat, you must run the screen reader before opening the form in Acrobat.
See also
Design tips for authoring forms for screen readers
Accessibility properties in the Accessibility palette
To turn off screen reader text for an object


Techniques for testing form accessibility

Using LiveCycle Designer ES > Creating Accessible Forms > Designing accessible forms > Techniques for testing form accessibility
Techniques for testing form accessibility
To ensure that your forms are accessible to a wide variety of users, you should test them with a variety of assistive technologies. You can test your forms simply and inexpensively using the techniques described in this section.
Ensure that the form can be filled using only the keyboard. Be sure to fill the entire form and test all fields and buttons. As you complete the form, determine whether improvements are required based on your answers to the following questions:
•
Are there any operations that cannot be performed?
•
Are any operations awkward or difficult to perform?
•
Are keyboard mechanisms well-documented?
•
Do all controls and menu items have underlined access keys?
•
Demo versions of screen reader software can be downloaded free from the Internet. To test screen reader results, turn your monitor off and use only the screen reader to navigate and fill the form. Because you are the form author, your familiarity with the form may make it difficult to determine if the information read by the screen reader is sufficient and makes sense. If possible, have someone else test your form in this way.
•
Demo versions of screen magnification software are also available for testing from the Internet.
•
Speech-to-text software is available at a nominal cost from local computer stores. Test the form by using voice input only.
Many users with vision impairment rely on high contrast between text and the background to read the form. Microsoft Windows has a high contrast color scheme that provides a display similar to what many users with vision impairment will be using to complete your form. To set your display to high contrast mode, enable the feature through Accessibility Options in the Windows Control Panel. As you complete the form in this mode, determine whether improvements are required based on your answers to the following questions:
•
Do parts of the form become invisible, unrecognizable, or difficult to use?
•
Do any areas continue to appear black on a white background?
•
Are any elements improperly sized or truncated?


Making objects accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible
Making objects accessible
To specify custom screen reader text for an object
To specify a custom tool tip for an object
To specify a different search order for screen reader text
To turn off screen reader text for an object
Making simple tables accessible
Making complex tables accessible
To make radio buttons accessible
Making lists accessible
Making images accessible
Making scripts accessible
Adding structural navigation in forms


To specify custom screen reader text for an object

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > To specify custom screen reader text for an object
To specify custom screen reader text for an object
Use the Accessibility palette to define custom screen reader text for an object.
To test your form, ensure Acrobat is set up to Read Form Fields in the Preferences (Reading category) dialog box in the Edit menu.
1.
Select the object on the form design.
2.
Click the Accessibility palette and, in the Custom Screen Reader Text box, type the custom text.
See also
Accessibility properties in the Accessibility palette
To specify a custom tool tip for an object


To specify a custom tool tip for an object

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > To specify a custom tool tip for an object
To specify a custom tool tip for an object
Use the Accessibility palette to define a custom tool tip for an object. For most objects, tool tips appear at run time when the user hovers the pointer over the object. Tool tips appear for some read-only objects, such as a paper forms barcode object, only when a screen reader is in use.
You cannot have unique custom tool tip text and unique custom screen reader text for one object. You must choose one or the other. If you want a custom tool tip, type the custom text and either select Tool Tip from the Screen Reader Precedence list or do not include custom screen reader text. If you want custom screen reader text to be both the tool tip and the screen reader text, type the custom text and select Custom Text from the Screen Reader Precedence list.
If nothing is specified in either the Tool Tip box or the Custom Screen Reader Text box, then the screen reader uses the caption for the tool tip and for reading.
1.
Select the object on the form design.
2.
Click the Accessibility palette and, in the Tool Tip box, type the text you want. To create a multiline tool tip, type the first line and then use the Ctrl + Enter command to go to the next line.
3.
If there is also custom screen reader text defined for this object, and you want the screen reader to read the tool tip instead of the custom screen reader text, from the Screen Reader Precedence list, select Tool Tip.
See also
Accessibility properties in the Accessibility palette
To specify custom screen reader text for an object
To specify a different search order for screen reader text


To specify a different search order for screen reader text

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > To specify a different search order for screen reader text
To specify a different search order for screen reader text
By default, the screen reader searches the form settings for screen reader text in the following order: Custom Text, Tool Tip, Caption, and Name. You can override this default order using the Screen Reader Precedence option.
1.
Select the object on the form design.
2.
Click the Accessibility palette.
3.
In the Screen Reader Precedence list, select the preferred option.
For example, if you want the screen reader to read the name instead of the caption, select Name. This also changes the search order to Name, Custom Text, Tool Tip, and then Caption.
See also
Accessibility properties in the Accessibility palette
To specify a custom tool tip for an object
To turn off screen reader text for an object


To turn off screen reader text for an object

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > To turn off screen reader text for an object
To turn off screen reader text for an object
In certain situations, you may not want the screen to read any text for an object, not even the type of object. You can turn off text for a screen reader on an object-by-object basis.
To test your form, ensure Acrobat is set up to Read Form Fields in the Preferences (Reading category) dialog box in the Edit menu.
1.
Select the object on the form design.
2.
Click the Accessibility palette.
3.
In the Screen Reader Precedence list, select None.
See also
Accessibility properties in the Accessibility palette
To specify a different search order for screen reader text


Making simple tables accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > Making simple tables accessible
Making simple tables accessible
Tables are an effective way to organize and present content in accessible forms. When used appropriately, a table’s rows and columns provide a predictable and consistent structure for form content.
For example, when a user navigates into a body row cell, the screen reader specifies the cell location and then reads the cell content. The screen reader specifies the cell location using a combination of row and column headers or row and column numbers.
In addition to providing the location of a cell, screen readers may also specify header information, such as the content of the cell at the top of the column. Because screen readers provide information that orients the user to the location of content in the table, its layout directly affects the table’s accessibility.
Tables with simple layouts are recommended. Simple tables begin with a single header row followed by the body rows.
When designing simple tables for accessibility, remember the following tips:
•
The tabbing order for a table is geographic order, which is the same as for the form itself. Ensure that the table content is organized such that it makes sense when read from left to right and top to bottom.
•
Most screen readers interpret the first row in a table as the header row. When reading the content of a body row cell, these screen readers first read the content of the associated header row cell. Ensure that the content in each header row cell meaningfully describes the column content.
•
Avoid cells that span two or more columns, nested tables, or table sections. Screen readers have difficulty interpreting these features correctly or may not use them. For example, if a cell in a body row spans two columns, screen readers may not reference the correct cell content in the header row when reading the next cell in the row.
See also
Making complex tables accessible
Accessibility properties in the Accessibility palette


Making complex tables accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > Making complex tables accessible
Making complex tables accessible
When designing tables for accessibility, we recommend that you keep the table layout simple, with one header row followed by body rows. However, some content may be best presented in a table format rather than other presentation options, but requires a more complex layout. For example, you may need to use cell spanning or more than one header to effectively convey the content.
You can create complex tables by using the table object or by combining subform objects. The table object lets you use features that are intended to help the design process, such as options for inserting and resizing columns and rows.
Depending on your design experience and preferences, you may choose to create complex tables by combining subform objects. For example, you can create one subform that includes two rows and specify this subform as the header for the table and specify another subform for the table body rows.
When using subform objects instead of table objects to create tables, the following additional steps are required:
•
Set the type for each subform to Positioned. See Subform properties in the Subform tab.
•
In the Accessibility palette, set the appropriate subform role for each subform that makes up the table. For example, assign the role of Header Row to the subform that is used as the table header. See Accessibility properties in the Accessibility palette.
•
For rows that convey information about the table or its content but that are not considered to be part of the table, assign the subform role of None. The screen reader will read the row content.
The features supported by the screen reader determine the information read for a complex table. For example, assume that a table includes a header row and a section with a header row. When the user navigates into a body row cell in the table section, the screen reader should read the following content, in order:
•
Content from the appropriate cell in the header row for the table
•
Content from the appropriate cell in the header row for the section
•
Content from the selected cell
Some screen readers may not read cells in both header rows.
See also
Making simple tables accessible


To make radio buttons accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > To make radio buttons accessible
To make radio buttons accessible
When tabbing into an exclusion group, the screen reader first reads the text for the exclusion group and then the caption for the active radio button.
When a user with vision impairment tabs into a radio button, the screen reader needs to read two things:
•
A general description of the purpose of the group of buttons
•
A meaningful description for the purpose of each radio button
For example, a form contains a group of radio buttons that pertain to payment. For the exclusion group as a whole, you need speak text to say “Select the method of payment”. For each of the buttons, you need a value for “Cash”, “Credit Card,” and “Check”. When the user tabs into the exclusion group and the first radio button, Cash, becomes active, the screen reader says the type of object and then says “Select the method of payment. Cash” and then it says the state (whether it is checked or unchecked).
LiveCycle Designer ES includes options that support screen readers for defining speak text. You can use the Accessibility palette to define custom screen reader text and tool tips. You can also use object names, as specified in the Name option of the Binding tab, and captions. In most cases, the captions for the radio buttons should provide meaningful text for the screen reader.
To make radio buttons accessible using the button captions
1.
In the Hierarchy palette, select the exclusion group.
2.
Click the Accessibility palette and, in the Custom Screen Reader Text box, type the speak text for the group. For example, type Select a method of payment.
3.
If the captions for each radio button provide meaningful speak text, in the Object palette, select the Binding tab and deselect Specify Item Value.
To make radio buttons accessible using a specified item value
1.
In the Hierarchy palette, select the exclusion group.
2.
Click the Accessibility palette and in the Custom Screen Reader Text box, type the speak text for the group. For example, type Select a method of payment.
3.
In the Hierarchy palette, select the first radio button in the group.
4.
In the Object palette, click the Field tab. In the Item area, double-click the item and type a meaningful value for the selected radio button. For example, type Cash.
5.
Repeat steps 3 and 4 for each radio button in the exclusion group.
See also
Overview of radio buttons
Accessibility properties in the Accessibility palette
To specify custom screen reader text for an object


Making lists accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > Making lists accessible
Making lists accessible
If the form design contains lists created by nesting subforms in a form design, you can use the Accessibility palette to set the appropriate subform role for each subform that makes up the list so that the screen reader can announce the list, the number of list items, the nesting level, and the list end.
For example, assign the role of List to the top-level subform and assign the role of List Item to the nested subforms that make up the list items.
See also
Accessibility properties in the Accessibility palette
To specify custom screen reader text for an object


Making images accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > Making images accessible
Making images accessible
Images may help improve comprehension for users with some types of disabilities, However, many screen readers do not read graphics. For users with vision impairments, images may decrease the accessibility of your form.
If you choose to use images, provide text descriptions for all image and image field objects. When users navigate to the object, the screen reader speaks the text. Ensure that the text describes the object and its purpose on the form.
You provide text descriptions using tool tips or custom screen reader text in the Accessibility palette or text fields, captions, and object names, as specified in the Name option of the Binding tab.
In addition to providing descriptive text for images, consider these general guidelines to enhance the accessibility of images in your forms:
•
Ensure that images enhance the form content without providing unnecessary detail.
•
For images that use color, choose high-contrast colors for maximum readability.
•
Ensure that the image size is not so small that it is difficult to read.
See also
Overview of images
Overview of image fields
Accessibility properties in the Accessibility palette
Color in accessible forms


Making scripts accessible

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > Making scripts accessible
Making scripts accessible
As part of the form design process, a form developer can use scripts to provide a richer user experience. You can add scripts to most form fields and objects. For example, you can create simple scripts to dynamically update values on an interactive form in response to user input.
When designing scripts for accessibility, consider these general guidelines:
•
Keep the form content free of visual interruptions. For example, avoid features that cause content to flicker, blink, or move.
•
Ensure that pop-up windows appear only as a result of user-initiated actions. Similarly, do not allow the current focus of the form to change or content to redisplay unless initiated by the user. The focus of the form refers to the user’s current view. For example, if the user is completing fields in the lower half of the form, do not allow the focus to change to the upper-left corner of the form unless the user chooses to navigate to this location.
•
Users with disabilities may require more time to provide input in fields. Do not specify time-based responses for input fields.
•
Be aware that client-side scripts can interfere with screen readers and keyboards if the script changes the focus of the client application. For example, the change and mouseEnter events, when used with drop-down lists or list boxes, have the potential to cause inappropriate actions. Client-side scripting should be written to avoid problems with screen readers and keyboards.
See also
About scripting in LiveCycle Designer ES


Adding structural navigation in forms

Using LiveCycle Designer ES > Creating Accessible Forms > Making objects accessible > Adding structural navigation in forms
Adding structural navigation in forms
You can provide users with the ability to have the screen reader navigate a form by the headings. You provide this ability by placing text objects at the beginning of different sections in a form and then using the Accessibility palette to specify the Heading or Heading Level role for each text object.
When the user presses the H key in the JAWS screen reader, the screen reader moves from the current object to the next text object that is marked with the Heading role in the form, and that text object is then spoken. When the user presses keys 1 through 6, the screen reader moves from the current object to the next text object that is marked with the Heading Level role. For example, pressing 2 moves the screen reader to the next text object that is marked with the Heading Level 2 role.
See also
Accessibility properties in the Accessibility palette
To specify custom screen reader text for an object


Setting Security

Using LiveCycle Designer ES > Setting Security
Setting Security
About secure forms
Importing digital IDs
Using digital signatures
Using password fields
Using PDF security options


About secure forms

Using LiveCycle Designer ES > Setting Security > About secure forms
About secure forms
A very important consideration for designing interactive PDF forms is ensuring that your forms and the data you gather is secure. The following functions and features in LiveCycle Designer ES provide security options for your forms:
•
PDF Security settings let you define the access capabilities users have to the PDF forms. In the Form Properties dialog box, you can specify a password that the users must enter to open and fill the form. You can also restrict various levels of access to the form. For example, you may want to allow users to fill fields and signatures but not add comments or pages to the form.
•
Digital signatures let you authenticate a signing party and ensure that a form is not altered after it is signed. To add a digital signature field to a form design, you can use a signature field or a data signature associated with a submit button. Use a signature field to protect the appearance of the form objects and the values they hold. Use a data signature to protect the integrity of the form data.
•
Password fields let you control access to a form. You can set character masking as an option to the field so that the data is not displayed on the screen. You can define whether the password is optional, recommended, or required, and you can set up messages to prompt users appropriately. All user input may be validated through scripting. You can also bind password fields to data sources.
•
Secure WSDL data connections let you use HTTP/HTTPS and message-level (SOAP) client authentication to access WSDL documents and to connect to secure web services by using a security token (embedded in the SOAP message header).
See also
Overview of signature fields
Overview of buttons
Overview of password fields
Working around security restrictions


Importing digital IDs

Using LiveCycle Designer ES > Setting Security > Importing digital IDs
Importing digital IDs
About importing digital IDs
To import a digital ID into the Windows Certificate Store
To import a digital ID into the Digital ID Files store


About importing digital IDs

Using LiveCycle Designer ES > Setting Security > Importing digital IDs > About importing digital IDs
About importing digital IDs
When you create a secure WSDL data connection with HTTP/HTTPS client certificate authentication, you need to use a digital ID to access the WSDL document on the secure web server. The digital ID is the credential that the secure web server requires to carry out the client authentication.
A digital ID is a document that usually contains the owner's name and public key, the expiration date of the public key, the serial number of the ID, and the name and digital signature of the organization that issued the ID. The digital ID binds together the owner's name and a pair of electronic keys (a public key and a private key) that can be used to encrypt and sign documents.
Before you can create a secure WSDL data connection with HTTP/HTTPS client certificate authentication, you must have a digital ID available in the Windows Certificate Store or in the LiveCycle Designer ES Digital ID Files store, ready to select when you create the connection. Client certificate authentication uses a digital ID for HTTP/HTTPS authentication, where you are prompted with the Select Digital ID dialog box. This dialog box contains a list of the digital IDs that are available in the Windows Certificate Store or in the LiveCycle Designer ES Digital ID Files store. You must select the correct digital ID to log in to the secure server. The digital ID is embedded in HTTP/HTTPS protocol header, and acts as a credential for the HTTP/HTTPS client authentication.
When the HTTPS connection is first established, the HTTPS server sends its certificate to the client for verification. At this point, you must have the certificate that is needed to identify the HTTPS server’s certificate installed on the client computer. If the HTTPS server certificate cannot be identified (trusted), LiveCycle Designer ES displays a warning dialog box that lets you indicate whether you want to continue and establish the connection.
You can use the two tabs in the Digital IDs dialog box (Tools > Options > Security > Digital IDs) to import digital IDs into the Windows Certificate Store or Digital ID Files store or both. The digital IDs in the Windows Certificate Store are available to all Windows applications. The digital IDs in the Digital ID Files store are available in LiveCycle Designer ES only. The Digital ID Files tab lists the digital IDs that are installed in the current user’s private certificate store.
You can also add digital IDs to the LiveCycle Designer ES Digital ID Files store by using the Select Digital ID dialog box when you create a secure WSDL data connection with client certificate authentication.
Digital IDs are stored in a password-protected PKCS#12 file with the file name extension *.p12 or *.pfx.
See also
To create a data connection using a WSDL file


To import a digital ID into the Windows Certificate Store

Using LiveCycle Designer ES > Setting Security > Importing digital IDs > To import a digital ID into the Windows Certificate Store
To import a digital ID into the Windows Certificate Store
1.
Select Tools > Options > Security.
2.
Click Digital IDs.
3.
Click the Windows Certificate Store tab and click Import Digital ID.
4.
Click Next.
5.
In the File Name box, type the path to the digital ID file to import, or click Browse to locate and select the digital ID file, and then click Next. Be sure to select the Personal Information Exchange (*.pfx* .p12) option in the File Of Type list.
6.
In the Password box, type the password that is required to access the digital ID file.
7.
(Optional) Select Enable Strong Private Key Protection.
8.
(Optional) Select Mark This Key As Exportable.
9.
Click Next.
10.
Select Automatically Select The Certificate Store Based On The Type Of Certificate.
11.
Click Next, and then click Finish. The name of the digital ID appears on the list of IDs that is available in the Windows Certificate Store.
See also
About importing digital IDs
To import a digital ID into the Digital ID Files store
Digital IDs dialog box
Select Digital IDs dialog box


To import a digital ID into the Digital ID Files store

Using LiveCycle Designer ES > Setting Security > Importing digital IDs > To import a digital ID into the Digital ID Files store
To import a digital ID into the Digital ID Files store
1.
Select Tools > Options > Security.
2.
Click Digital IDs.
3.
Click the Digital ID Files tab and click Add ID File.
4.
In the File Name box, type the path to the digital ID file, or click Browse to locate and select the digital ID file.
5.
In the Password box, type the password that is required to access the digital ID file, and then click OK. The name of the digital ID appears on the list of IDs available in the Digital ID Files store.
6.
Click OK.
See also
About importing digital IDs
To import a digital ID into the Windows Certificate Store
Digital IDs dialog box
Select Digital IDs dialog box


Using digital signatures

Using LiveCycle Designer ES > Setting Security > Using digital signatures
Using digital signatures
About digital signatures
To add a signature field
Considerations for adding multiple signature fields
To test a signature field
To add a data signature to a submit button
To use digital signatures in dynamic PDF forms


About digital signatures

Using LiveCycle Designer ES > Setting Security > Using digital signatures > About digital signatures
About digital signatures
You can protect the integrity of forms by allowing people to use certificates to digitally sign forms. After the form is signed, the signed portion cannot be altered without invalidating the signature. The digital signature invokes a third-party signature handler that provides the required digital signature functionality.
Verifying the signature guarantees that no one tampered with the data after it was submitted. When someone signs a form, a message digest of the data to be signed is created, and a mathematical computation combines the person’s private key with the specified form data and encrypts them together. The output is a digital signature. This digital signature contains the signed data and the certificate information associated with the person who signed the form.
When the signature is verified, the individual's public key is used to decrypt the signed data and to obtain the digest value. The new digest value is calculated against the received document by using the same algorithm of the signing process. If the two digest values do not match, this means that the data has been tampered with since the form was signed, and the verification fails.
Digital signatures also bind certificates to the signed data. The certificate included in the signature can be authenticated to validate the identity of the person who signed the data.
The individual must have a digital certificate from an appropriate certificate issuer to sign the form. Adobe signatures support the Public Key Cryptography Standard (PKCS) #7, using the RSA MD5, RSA SHA-1 or DSA SHA-1 hash algorithm.
LiveCycle Designer ES contains the following two types of digital signatures.
Document signatures
Document signatures protect the appearance of form objects and the values they hold. To create a document signature, add a signature field to the form design. You can specify whether a document signature applies to an entire form or to a collection of objects on a form. By default, it applies to the entire form. If you want the document signature to apply to a collection of form objects, the signing party must use Acrobat or Adobe Reader 8.0 or later.
If the document signature applies to a collection of objects, it ignores static objects, such as circles and rectangles. It applies only to buttons, check boxes, date/time fields, decimal fields, drop-down lists, image fields, list boxes, numeric fields, paper forms barcodes, password fields, radio buttons, other signature fields, and text fields.
To sign the form, the user clicks the signature field. If the document signature applies to a collection of form objects, the objects specified in the signature are locked and set to read-only. Locking the objects prevents form recipients from changing the object values after the document is signed.
Data signatures
Data signatures secure the form data and guarantee the data integrity during transmission. To create a data signature, add a submit button, email submit button, or HTTP submit button, and select the Sign Submission option in the Object palette. To sign the data, the signing party must use Acrobat or Adobe Reader 8.0 or later.
Data signatures can apply to the form data only or to the entire submission, including any attachments such as annotations, document signatures, or PDF documents.
To sign the form data, the user clicks the submit button. When a user clicks the button, they must provide their signing certificate so that their digital signature is applied to the form data before it is submitted.
See also
Overview of signature fields
Overview of buttons
About submitting data using a button
Working around security restrictions


To add a signature field

Using LiveCycle Designer ES > Setting Security > Using digital signatures > To add a signature field
To add a signature field
LiveCycle Designer ES provides a built-in signature field that you can add to a form so that users can sign the data they enter. By default, the signature applies to all the objects on the form. If you want the signature to apply to a collection of objects on the form, you need to create the collection and then specify the collection in the Signature tab of the Object palette.
If the signature applies to a collection of objects, signing the document also locks the fields in the collection. If you add more than one signature field to cover different parts of the form, the first collection of objects is locked after the first signature field is signed and only the remaining fields can be filled in the form.
When a signature applies to a collection of objects, it protects the value in the objects. The signature can also protect the appearance of the objects in the collection so that their original appearance is restored when the form is opened. The ability to protect the appearance of the objects depends on the Preserve Scripting Changes To Form When Saved option in the Defaults tab of the Form Properties dialog box. If this option is set to the default, Automatically, the appearance of the objects is automatically protected. However, if the option is set to Manually, you will need to write a script to restore the appearance of the objects.
A signature field should not be repeatable and should not be inserted in a repeatable subform object. A form with repeatable signature fields is not valid and causes problems in Acrobat where the signature field may not appear at all.
If signature covers a collection of objects, the objects in the collection should not be repeatable, because the number of objects can change and invalidate the signature. You can either remove the repeatable objects from the collection or use a data signature instead.
To sign the form, the user clicks the signature field. To sign a collection of form objects, the signing party must use Acrobat or Adobe Reader 8.0 or later.
1.
In the Object Library palette, click the Standard category and drag the Signature Field onto the form design.
2.
(Optional) To apply the signature to a collection of fields on the form, click the Signature tab in the Object palette and select Lock Fields After Signing.
3.
(Optional) Create and select the collection:
•
Select New/Manage Collection.
•
In the Collection List dialog box, click New, type a collection name, press Enter, and click Modify.
•
In the Collection Editor dialog box, select the objects that you want to include in the collection and click OK.
•
In the Collection List dialog box, click Close.
•
Select the collection from the list.
4.
(Optional) Apply the signature to the fields inside or outside the collection:
•
To apply the signature to the fields inside the collection, select All Fields In Collection.
•
To apply the signature to the fields outside the collection, select All Fields Not In Collection.
5.
(Optional) Click Settings to define optional security settings, such as a signature handler or certificate revocation list.
6.
Use the palettes to format the appearance of the signature field.
7.
Save the form design.
See also
Overview of signature fields
Considerations for adding multiple signature fields
Signature field properties in the Field tab
Signature field properties in the Signature tab
About form object collections
Collection Editor dialog box
Collection List dialog box


Considerations for adding multiple signature fields

Using LiveCycle Designer ES > Setting Security > Using digital signatures > Considerations for adding multiple signature fields
Considerations for adding multiple signature fields
When you place a signature field on a form design, the Lock All Fields After Signing option is selected by default. This means all that all form objects will be locked after the field is signed.
If you place more than one signature on the form design, and the Lock All Fields After Signing option is selected for at least one of the signature fields, all form objects, including all signature fields, will be locked after the form is signed.
To ensure that all signature fields can be signed, create a collection of form objects that includes only one of the signature field objects, and make sure that the Lock All Fields After Signing option is selected. After this signature field is signed, all of the objects specified in the collection will be locked. Keep any remaining signature field objects outside of the collection, and deselect the Lock All Fields After Signing option for each one, so that these signature fields can still be signed.
See also
About digital signatures
Signature field properties in the Field tab
Signature field properties in the Signature tab
About form object collections


To test a signature field

Using LiveCycle Designer ES > Setting Security > Using digital signatures > To test a signature field
To test a signature field
Use the Preview PDF tab to verify that the signature field behaves as expected. Before testing the form design, ensure that, in the Form Properties dialog box, you have set the default options for previewing an interactive form.
To sign a collection of form objects, the signing party must use Acrobat or Adobe Reader 8.0 or later.
1.
Click the Preview PDF tab to view the form design as an interactive PDF form.
2.
Click in the signature field.
3.
In the Alert dialog box, select Continue Signing.
4.
In the Data Exchange File dialog box, select a digital signature or click Add Digital ID to create a new ID.
See also
Overview of signature fields
About previewing and testing forms


To add a data signature to a submit button

Using LiveCycle Designer ES > Setting Security > Using digital signatures > To add a data signature to a submit button
To add a data signature to a submit button
You can configure a submit button to create a data signature before submitting data so that users can sign the form data when they submit the form. Data signatures provide data integrity and authenticate the signing party during transmission. For example, you can use data signatures to secure the form data during automated transactions.
To sign the data, the signing party must use Acrobat or Adobe Reader 8.0 or later.
1.
In the Object Library palette, click the Standard category and drag the Button, Email Submit Button, or HTTP Submit Button onto the form design.
2.
In the Object palette, associate a data signature with the button:
•
If you are using a standard button, in the Control Type area of the Field tab, select Submit, and then select Sign Submission in the Submit tab.
•
If you are using an email or HTTP submit button, select Sign Submission in the Field tab.
3.
(Optional) Click Settings to define optional security settings, such as whether the signature applies to the data only or to the entire submission.
4.
Use the palettes to format the appearance of the submit button.
5.
Save the form design.
See also
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button


To use digital signatures in dynamic PDF forms

Using LiveCycle Designer ES > Setting Security > Using digital signatures > To use digital signatures in dynamic PDF forms
To use digital signatures in dynamic PDF forms
If you add a digital signature to a dynamic PDF form, you need to preserve the state of the form when it is signed. Preserving the form state ensures that scripting changes in a form are preserved when a form is saved. For example, if some fields are hidden when a form is signed, those fields should remain hidden when the form is saved and reopened.
The form state can be preserved automatically or manually. If it is automatically preserved, scripting changes are automatically preserved when the form is saved. If it is manually preserved, scripting changes are preserved through scripting when the form is saved. Use the delta script object and the preSave and initialize events to manually preserve the form state. For more information about the delta object, see delta. For more information about the preSave and initialize events, see preSave event and initialize event.
If the form is not certified, you can preserve the form state automatically or manually. If the form is certified, you must manually preserve the form state. Automatically preserving scripting changes and restoring the form state invalidates the digital signature in a certified form.
Note:
If the form is certified, you can use data binding instead of scripts to determine the form state.
You specify how the form state is preserved on the Form Properties dialog box.
1.
To display the Form Properties dialog box, select Edit > Form Properties and click Defaults.
2.
Select a Preserve Scripting Changes To Form When Saved option:
•
If the form is not certified, select Automatically or Manually.
•
If the form is certified, select Manually.
See also
About digital signatures
Defaults tab (Form Properties dialog box)
delta
initialize event
preSave event


Using password fields

Using LiveCycle Designer ES > Setting Security > Using password fields
Using password fields
About password fields in interactive forms
To add a password field in an interactive form
To change the password display character
To specify an input format and validation message


About password fields in interactive forms

Using LiveCycle Designer ES > Setting Security > Using password fields > About password fields in interactive forms
About password fields in interactive forms
You can control access to a form using a password field and a script. The password field provides a number of options:
•
A character-masking option that enables you to specify a character that masks the data the user enters. The password itself does not display in the password field
•
An edit pattern, which describes the syntax for entering data into the password field at run time
•
A validation pattern, which is used to validate user input at run time
•
A setting that specifies the password field as required, recommended, or optional, and includes a message for prompting users to enter a recommended or required value
Note:
The capture of information and the display of characters in the field is for visual purposes only. No attempt is made to hide the value of the field from the programming interfaces or when submitting data. If you want to secure your information, you must use a secure link (such as SSL) to encrypt the data as it is transmitted.
See also
Overview of password fields


To add a password field in an interactive form

Using LiveCycle Designer ES > Setting Security > Using password fields > To add a password field in an interactive form
To add a password field in an interactive form
You can add password fields to interactive forms.
1.
In the Object Library palette, click the Standard category and drag a Password Field object onto the form design.
2.
Using the Layout, Font, Paragraph, and Border palettes, set the properties you want for the password field.
3.
Add a validation pattern that will be used to validate the password and the message that will appear if the password is not a valid format.
4.
(Optional) Change the default masking character.
5.
Add any binding information as required.
6.
Save and test the form design.
See also
Overview of password fields


To change the password display character

Using LiveCycle Designer ES > Setting Security > Using password fields > To change the password display character
To change the password display character
The password display character that appears by default when a user enters a password is the asterisk symbol (*). You can change this symbol in the Password Display Character option of the Object palette Field tab.
*
In the Object palette, click the Field tab, select the default symbol (*) in Password Display Character, and type the replacement character; for example, type #.
See also
Overview of password fields


To specify an input format and validation message

Using LiveCycle Designer ES > Setting Security > Using password fields > To specify an input format and validation message
To specify an input format and validation message
You can include a validation pattern that is used to validate user input at run time and a message to prompt the user to re-enter the password if the format is not a valid pattern. When a user enters a new password, it is compared it to the validation pattern. If the pattern does not match, a message appears.
Tip:
You can dynamically populate a validation pattern message with a value from a data source. This option allows you to ensure that users enter the correct value in the field.
1.
In the Object palette, click the Value tab, click Validation Pattern, and do the following actions:
•
In the Select Type list, select a validation pattern or, in the Pattern box, type a custom pattern.
•
In the Validation Pattern Message box, type a message that will prompt users to enter the correct value.
2.
To generate an error at run time, select Error.
See also
Password patterns
Overview of password fields
To dynamically populate a validation pattern message


Using PDF security options

Using LiveCycle Designer ES > Setting Security > Using PDF security options
Using PDF security options
About PDF security options
To set a password to open a PDF form
To restrict printing in a PDF form
To restrict editing in a PDF form
To enable text access for screen readers in secure forms


About PDF security options

Using LiveCycle Designer ES > Setting Security > Using PDF security options > About PDF security options
About PDF security options
When distributing interactive PDF forms, you may want to restrict some of the capabilities that are normally available to PDF forms. For example, in a PDF form, you can normally add comments, insert and delete pages, sign the form, copy text, and save copies of the form.
You can select the Form Properties dialog box from the File menu and set the PDF security options in the PDF Security tab to restrict access to certain capabilities. You can disable the following options:
•
Printing of forms
•
Ability to open a form without a password
•
Insertion, extraction, or rotation of pages
•
Ability to add comments
•
Ability to add signatures
•
Copying of text and images
•
Plain text metadata
When you restrict access to any of the PDF form features, you should be aware that it may also affect the ability of screen readers to read the tagged PDF elements in your file. A screen reader is assistive software technology that allows users with vision impairment or disabilities to interact with computer software. To ensure that the form is available to these users, you need to enable text access for screen reader devices.
See also
Using PDF security options


To set a password to open a PDF form

Using LiveCycle Designer ES > Setting Security > Using PDF security options > To set a password to open a PDF form
To set a password to open a PDF form
You can set a password that a user must enter to open a PDF form. This is a two-step process; first, you specify that a password is required and then you specify the password that the user must enter when opening the form.
1.
Select File > Form Properties.
2.
Click the PDF Security tab.
3.
Select Require A Password To Open The Document, and click OK.
4.
Save the form as an Adobe PDF Form (*.pdf).
5.
In the Set Document Open Password dialog box, do these tasks:
•
In the Document Open Password box, type a password.
•
In the Confirm box, retype the password.
•
Click OK.
6.
Close the form design.
See also
Using PDF security options


To restrict printing in a PDF form

Using LiveCycle Designer ES > Setting Security > Using PDF security options > To restrict printing in a PDF form
To restrict printing in a PDF form
You can prevent users from print a PDF form. You can specify whether the form can be printed, printed with minimal resolution, or printed with a high resolution output.
1.
Select File > Form Properties.
2.
Click the PDF Security tab.
3.
In the Permissions area, select Use A Password To Restrict Printing And Editing Of The Document And Its Security Settings.
4.
In the Printing Allowed list, select one of the following options:
•
None
•
Low Resolution (150 dpi)
•
High Resolution
See also
Using PDF security options


To restrict editing in a PDF form

Using LiveCycle Designer ES > Setting Security > Using PDF security options > To restrict editing in a PDF form
To restrict editing in a PDF form
You can disable certain editing capabilities for PDF forms:
•
Inserting, extracting, and rotating pages
•
Adding comments
•
Adding signatures
•
Copying of text and images
•
Enabling plain text metadata
1.
Select File > Form Properties.
2.
Click the PDF Security tab.
3.
In the Permissions area, select Use A Password To Restrict Printing And Editing Of The Document And Its Security Settings.
4.
In the Changes Allowed list, select one of the following options:
•
Inserting, deleting, and rotating pages
•
Filling in form fields and signing
•
Commenting, filling in form fields, and signing
•
Any except extracting pages
5.
Select one or both of the following options:
•
Enable copying of text, images, and other content
•
Enable plaintext metadata
See also
Using PDF security options


To enable text access for screen readers in secure forms

Using LiveCycle Designer ES > Setting Security > Using PDF security options > To enable text access for screen readers in secure forms
To enable text access for screen readers in secure forms
If you choose to set options that restrict access to PDF functions, you should be aware that these options can also affect the ability of screen readers to read the tagged PDF material in your form.
To ensure that your forms are still accessible to screen reader devices, you must ensure that the Text Access For Screen Readers option is selected.
1.
Select File > Form Properties.
2.
Click the PDF Security tab and, in the Permissions area, do these tasks:
•
Select Use A Password To Restrict Printing And Editing Of The Document And Its Security Settings.
•
Select Enable Text Access For Screen Reader Devices For The Visually Impaired.
See also
Using PDF security options


Creating Forms for Optimal Performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance
Creating Forms for Optimal Performance
About performance
General design considerations for performance
Using objects
Structuring data for performance
Choosing fonts for performance
Performance considerations for importing forms
Performance considerations for accessible forms
Performance considerations for scripts
Performance considerations for XML Form Object Model expressions
Resolving log messages for optimal performance


About performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > About performance
About performance
Many factors affect performance when rendering and using forms, including the type of form. Non-interactive forms can be rendered more quickly than interactive forms.
Other factors that affect performance include the fonts used in the form and the number, type, and complexity of objects. For forms that are bound to data sources, the structure of the data also affects performance.
LiveCycle Designer ES provides many options for designing forms. Often, you can produce the same results on a form by using different design options. When making design choices, you should consider the effects on performance of each option.
See also
General design considerations for performance


General design considerations for performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > General design considerations for performance
General design considerations for performance
While many factors affect performance, one of the primary ways to optimize performance is to keep the file size of the forms as small as possible.
The file size of forms affects performance when the server renders forms, when transferring forms over slow communication channels, or when storing or retrieving forms from near-line storage.
Consider these general tips to help minimize the file size of forms:
•
Avoid using fonts that must be embedded, particularly for field objects. Embedded fonts cannot be subset.
•
Use embedded images instead of linked images. By default, images are linked.
•
Use a compressed graphic format such as JPEG or GIF.
•
Use Palette or Monochrome images for color. Avoid using 24-bit color formats.
•
Be aware that generating accessible forms affects performance.
•
Use only the minimum number of objects in forms and keep objects as simple as possible.
Consider these general tips to improve the performance of interactive forms:
•
For forms that submit data to LiveCycle Forms ES, choose the XML Data (XML) format for the data. Other formats, such as PDF, require more bandwidth and processing time. See About submitting data using a button.
•
Enable form caching to increase the performance of the rendering of a form. When a form is cached, the data is merged into a pregenerated presentation. Forms whose layout adjusts to accommodate data can always be cached. Forms that have a fixed layout can also be cached, but some restrictions apply. For information about the restrictions, see Form caching. For LiveCycle Forms ES to cache forms that have a fixed layout, you must select the form caching option in LiveCycle Designer ES for each form you create.
Consider these general tips to improve the performance of non-interactive forms:
•
Avoid validation constructs and other interactive form features, such as data entry validations and edit masks.
These features cause LiveCycle Forms ES to render interactive forms. In general, non-interactive forms have a smaller file size than interactive forms and can be rendered more quickly.
If the form is intended for printing, interactive features provide no added benefit. For example, LiveCycle Designer ES can generate validation scripts for particular objects for forms that are bound to XML schemas. For interactive forms, these validation scripts ensure that data entered by the user complies with the schema specification. For example, a validation script may check that a value provided for a numeric object is an integer between 4 and 9. Non-interactive forms do not accept user input and, therefore, the validation scripts are not used. Turning off the generation of these scripts improves performance by eliminating the processing to execute them. See To set field generation options.
•
Batch forms for processing.
When rendering multiple instances of a single form, such as bills for different customers, gather the data for all the instances in a single data file and render the individual forms from this file. This approach is more efficient than processing forms individually. However, when batching different forms, group forms before rendering them. For example, if Invoices and Packing Lists are run at the same time, group and run all the Invoices, followed by all Packing Lists.
See also
About performance
Optimizing performance for images
Overview of images
Performance considerations for accessible forms
Tips for reducing the number of objects
Tips for reducing the complexity of objects


Using objects

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects
Using objects
Optimizing performance for images
Optimizing performance for discrete option choices
Optimizing performance for subforms
Optimizing performance for text fields
Performance of objects on master pages versus pages
Tips for reducing the number of objects
Tips for reducing the complexity of objects


Optimizing performance for images

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Optimizing performance for images
Optimizing performance for images
Images require additional processing time when the form is rendered. If you choose to use images, use compact file formats and the smallest possible image dimensions to minimize the file size. Size the images to the intended dimensions before adding them to the form. Avoid resizing images after adding them to the form.
Ensure that corners are square and lines are exactly horizontal and vertical to optimize performance when the form is rendered. Lines that appear to be exactly vertical or horizontal may have a slight slope.
You can check the slope of horizontal and vertical lines in the Layout palette. The Height option represents the slope of a horizontal line and the Width option represents the slope of a vertical line. In the following example, a vertical line has a small slope of approximately 0.5 millimeters. A width of 0mm makes the line exactly vertical.
See also
General design considerations for performance
Optimizing performance for discrete option choices


Optimizing performance for discrete option choices

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Optimizing performance for discrete option choices
Optimizing performance for discrete option choices
Several objects provide discrete option choices: check boxes, list boxes, and radio buttons. List boxes and check boxes are rendered more quickly than radio buttons.
See also
Optimizing performance for images
Optimizing performance for subforms


Optimizing performance for subforms

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Optimizing performance for subforms
Optimizing performance for subforms
LiveCycle Designer ES distinguishes boilerplate or static objects, such as text, lines, and images, from objects that contain variable content, such as text fields and image fields.
For example, interactive forms can include text labels that provide information to the user and text field objects that capture information from the user.
A subform is a type of object that contains content. Subforms are often grouped based on the structure of the data that is bound to each subform. The ability to bind repeating, optional, and conditional data groups to subforms reduces the risk of design errors that may occur if you use scripts to achieve the same results.
For example, you can create a subform that includes objects for repeating data groups. When rendering the form, LiveCycle Forms ES creates as many instances of the subform as necessary to represent all the data groups.
When using subforms, keep the following in mind for optimal performance:
•
Repeating and nested subforms require additional processing to render the form. Avoid using them unless they offer better performance than alternative options. For example, a repeating subform may eliminate the need for a number of repeating objects.
•
Allowing page breaks in subforms causes additional processing, even if LiveCycle Forms ES does not apply page breaks. For example, the location, size, or content of a subform may prevent a page break. To optimize performance, turn off page breaks in subforms. By default, page breaks are allowed.
In addition, subforms are useful for grouping and organizing objects without binding the subform to a data element. To prevent LiveCycle Forms ES from searching for a data element for the subform when merging data, change the subform’s data binding type from the default value of Normal to None.
See also
Subform properties in the Subform tab
Optimizing performance for discrete option choices
Optimizing performance for text fields


Optimizing performance for text fields

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Optimizing performance for text fields
Optimizing performance for text fields
By default, entries in text field objects are formatted as plain text. You can change this option to allow rich text formatting.
However, for plain text entries, the font, style, and size used at design time are applied to user input. The form can be rendered more efficiently by using the text properties used in the form design.
For rich text entries, users can customize the font style and size for text entered in the object. Although rich text entries may be useful in some situations, such as for narrative information, the extra attributes decrease performance.
See also
Text field properties in the Field tab
Optimizing performance for subforms
Performance of objects on master pages versus pages


Performance of objects on master pages versus pages

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Performance of objects on master pages versus pages
Performance of objects on master pages versus pages
Objects on master pages require additional processing time when LiveCycle Forms ES renders the form. If possible, place objects on pages.
See also
Optimizing performance for text fields
Tips for reducing the number of objects


Tips for reducing the number of objects

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Tips for reducing the number of objects
Tips for reducing the number of objects
The file size of a form is affected by the number of objects on the form. Consider these general tips to minimize the number of objects on forms:
•
When creating a box, use a single rectangle object instead of joining four individual lines.
•
When creating a border for a field or subform object, use the object’s border attributes instead of creating a separate box.
•
When creating backgrounds for objects, use a background fill instead of creating a separate shaded box object.
•
For captions, use an object’s caption property instead of using a separate text object.
•
Combine multiple text objects into a single text object. This strategy is particularly useful after importing forms into LiveCycle Designer ES.
See also
Performance considerations for importing forms
Performance of objects on master pages versus pages
Tips for reducing the complexity of objects
About captions
To merge text objects
Border properties in the Border palette


Tips for reducing the complexity of objects

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Using objects > Tips for reducing the complexity of objects
Tips for reducing the complexity of objects
The file size of a form is affected by the complexity of the objects on the form. Simple objects can be processed more efficiently than complex objects. Consider these general tips to minimize the complexity of objects:
•
Keep the number of fonts, styles, and sizes to a minimum to take advantage of cached font information.
•
Use fixed objects instead of dynamic objects that shrink and grow, if possible.
•
Avoid building objects on top of each other, especially more than three layers deep.
See also
Optimizing performance for text fields
Choosing fonts for performance
Tips for reducing the number of objects
Data binding options for performance


Structuring data for performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Structuring data for performance
Structuring data for performance
Data binding options for performance
Evaluating data structure for performance


Data binding options for performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Structuring data for performance > Data binding options for performance
Data binding options for performance
For forms that are bound to data sources, you can associate a data element with a form object, such as a field or a subform. This association is called data binding. You can choose objects that shrink or grow depending on the amount of data they display.
Many data binding definitions can produce the same results when a form is rendered. However, the more obvious the relationship between the form object and its data element, the more efficiently LiveCycle Forms ES can process the data binding.
The following diagram shows a field binding example where two field objects in the form are bound to data elements. The binding is ambiguous because multiple instances of the field objects and their data exist. More processing is required to match the nth occurrence of each object to the nth occurrence of the corresponding data when rendering the form.
The following diagram shows the use of subform binding to group objects and thereby simplify the processing to render the form. The subform is bound to the repeating group in the data, eliminating the ambiguous binding. The binding is evaluated for the first group and does not need to be re-evaluated for subsequent repetitions.
Tip:
You can use subforms to group and organize objects without binding the subform to a data element. To prevent LiveCycle Forms ES from searching for a data element for the subform when merging data, change the subform’s data binding type from the default value of Normal to None.
See also
About data sources
Subform properties in the Binding tab
Tips for reducing the complexity of objects
Evaluating data structure for performance


Evaluating data structure for performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Structuring data for performance > Evaluating data structure for performance
Evaluating data structure for performance
Selective field display is one way to demonstrate how data structure affects performance.
Assume that we want to display a message only if the value of the amountOwed data element is greater than zero. One approach is to use a script to examine the value of amountOwed and alter the show/hide property of the message field, depending on the value of the data element.
Alternatively, you could bind the data to a subform. Binding data to a subform is more efficient than binding data to a field, although both methods produce the same result. Here, we add the status element to the data structure and bind this element to a subform. The subform includes the message field and the amountOwed field. With the minimum count of the subform set to zero, the message appears only if the status element exists.
In the data context, the decision to add the status node to the data file should be done at generation time, only if the value is greater than 0. This technique moves the logic to determine whether a subform is required in the data context design.
See also
Data binding options for performance
Choosing fonts for performance


Choosing fonts for performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Choosing fonts for performance
Choosing fonts for performance
When you are choosing the fonts to use when creating a form, it is important to remember that not all of the fonts that are installed with LiveCycle Designer ES are installed with Acrobat and Adobe Reader. Consequently, when a user opens a form in Acrobat that uses unavailable fonts, the missing fonts are substituted, which can cause the layout of the form to change from the original design in LiveCycle Designer ES. To prevent this effect, either form users can install the missing fonts on their computers or the form designer can select the Embed Fonts option to embed the fonts into the saved PDF form.
However, forms with a smaller file size can be rendered more quickly than forms with a larger file size. To minimize the file size, you must keep the number of fonts to a minimum and avoid using fonts that must be embedded to prevent font substitution.
Consequently, the following fonts are always available in Acrobat and Adobe Reader, and do not need to be embedded to prevent font substitution:
•
Courier Std, Courier Std Bold, Courier Std Bold Oblique, Courier Std Oblique
•
Minion Pro Bold, Minion Pro Bold It, Minion Pro It, Minion Pro Regular
•
Myriad Pro Bold, Myriad Pro Bold It, Myriad Pro It, Myriad Pro Regular
•
Symbol (Type 1)
The following fonts are always available in Acrobat; however, they are only available in Adobe Reader when the corresponding Language Package is installed:
•
Adobe Arabic/Hebrew/Thai with all 4 styles (Bold, BoldItalic, Italic, and Regular). Available in Adobe Reader when the Extended Language Package is installed
•
Kozuka Gothic Pro-VI M (KozGoPro VI-Medium.otf) and Kozuka Mincho Pro-VI R (KozMinProVI-Regular.otf). Available in Adobe Reader when the Japanese Language Package is installed
To ensure that a form design looks the same across PDF, PCL, and PostScript output devices, you should use these fonts:
•
Courier
•
Arial
•
Times New Roman
For form designs that are rendered only as PDF, use any of the fonts listed above that are included with Adobe Reader to optimize performance.
See also
Font palette
Evaluating data structure for performance
Performance considerations for importing forms


Performance considerations for importing forms

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Performance considerations for importing forms
Performance considerations for importing forms
You can import existing forms into LiveCycle Designer ES. During the import, unnecessary objects may be created.
For example, when importing a PDF form, one text object may be created for each line or word in the original form. The number and complexity of objects increases the file size of the form and decreases performance when rendering the form.
LiveCycle Designer ES provides options to reduce the number of unnecessary objects created. When importing the form, you can choose the Create an Interactive Form with Fixed Pages option or the Create an Interactive Form with a Flowable Layout.
Each option produces different results in terms of the number and complexity of objects on the resulting form. You may find it useful to import the form once using the Maintain Editability option and once using the Preserve Appearance option. You can produce the final form by combining the most appropriate elements from each resulting form.
After importing the form, you can reduce the number of objects on the form by combining related text objects. For example, you can select each individual text object that makes up a sentence and combine them into a single text object.
See also
To import PDF files
To merge text objects
Tips for reducing the number of objects
Tips for reducing the complexity of objects
Choosing fonts for performance
Performance considerations for accessible forms


Performance considerations for accessible forms

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Performance considerations for accessible forms
Performance considerations for accessible forms
When designing accessible forms, you can define text that is read by screen readers. You must create a tagged PDF form so that the screen reader can read the text. You do this by generating accessibility tags when saving the form design as a PDF file.
In LiveCycle Designer ES, the default behavior is to create tagged PDF forms.
The tagging applied for accessibility increases the file size, which reduces performance. To help offset the effects on performance for accessible forms, choose design elements carefully.
For example, for discrete option choices, choose list boxes or check boxes. These objects can be rendered more quickly than radio buttons.
See also
To create a PDF form with accessibility tags
Performance considerations for importing forms
Performance considerations for scripts


Performance considerations for scripts

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Performance considerations for scripts
Performance considerations for scripts
In general, scripts increase the processing required to render forms. Before using scripts, determine if a better performance alternative is available. For example, character masks offer better performance than scripts, with the same results.
You can use JavaScript or FormCalc for calculations and validations in forms. If possible, avoid using validation scripts. These scripts affect performance because of the time required to process them.
If you choose to use scripts, FormCalc usually provides better performance than JavaScript for the following reasons:
•
FormCalc executes simple calculations and validations more quickly.
•
FormCalc interprets the XML Form Object Model syntax directly, which means it can evaluate reference syntax expressions more efficiently.
You select the script language using the Script Editor.
Script Editor showing location of language selection list.
See also
About scripting in LiveCycle Designer ES
About using FormCalc
About using JavaScript
About referencing objects in calculations and scripts
Performance considerations for accessible forms
Performance considerations for XML Form Object Model expressions


Performance considerations for XML Form Object Model expressions

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Performance considerations for XML Form Object Model expressions
Performance considerations for XML Form Object Model expressions
The Adobe XML Form Object Model uses an approach to building forms that distinguishes among form layout, the form design, and the form data.
In a form design, reference syntax expressions associate objects with values, objects, and properties within the tree hierarchy of a Document Object Model (DOM). Reference syntax expressions are usually written into form logic, in validations, calculations, or other business rules.
Consider these tips to reduce the processing time required for resolving reference syntax expressions:
•
Keep expressions as simple as possible.
•
Avoid using “..” (double periods) in expressions.
In addition, after evaluating reference syntax in a script, store the result in an object variable. This result can be retrieved if the reference syntax is used again. Reusing a result is more efficient than re-evaluating the expression.
In the following example, the resolveNode method is used once, and the resulting object reference is saved and reused to manipulate various related objects. This script can be processed more efficiently than one that uses a reference syntax expression for each object and uses the resolveNode method on each one.
var oSubform = xfa.resolveNode("xfa.form.form1.Subform1");

if (oSubform.all.length< 3) {

Subform.SubformUpButton1.presence = "invisible";
Subform.SubformLabel1.presence = "invisible";

Subform.SubformUpButton2.presence = "invisible";
Subform.SubformLabel2.presence = "invisible";

}
See also
About scripting in LiveCycle Designer ES
About using JavaScript
About referencing objects in calculations and scripts
Performance considerations for scripts
Resolving log messages for optimal performance


Resolving log messages for optimal performance

Using LiveCycle Designer ES > Creating Forms for Optimal Performance > Resolving log messages for optimal performance
Resolving log messages for optimal performance
When you save or preview the form design using the Preview PDF tab, a variety of errors appear in the the Report palette. Some of these errors appear in the Log tab. Generating log messages reduces performance. Try to resolve as many of these messages as possible.
For example, you may be able to resolve messages about font substitutions by ensuring that the appropriate fonts are available. Some messages are generated even when forms are working properly and you may not be able to resolve them.
As you work in the form design, other messages, such as target warning and scripting errors, generated by LiveCycle Designer ES appear in the Warnings tab of the Report palette. Although the warnings and error messages that appear in the Warnings tab do not affect performance, they need to be fixed before you deploy the form.
You can check for messages in the LiveCycle Designer ES Report palette. You can also see these messages in the LiveCycle Forms ES log files. For more information about the messages in the Report palette, see About warning messages.
You should always review both types of generated messages. Even if LiveCycle Designer ES does not generate messages, the LiveCycle Forms ES environment may be significantly different from your desktop environment.
The following list provides examples of common messages generated when LiveCycle Forms ES renders the form:
•
“Fonts ZaDb was not found. It was degraded to Myriad Pro.”
The form uses a font that is not available to LiveCycle Forms ES and an available font was substituted. If the form appears correctly using the substitution font, you can eliminate this error by changing the form objects to use the substitution font. You can also resolve this error by installing the missing font for LiveCycle Forms ES.
•
“Script failed (language is JavaScript; context is...)”
The script cannot execute because of scripting errors. If the script does not produce results in the form, this error may not be detected when the form is tested. However, generating the error affects performance.
The following example shows a script error:
script = function testFractionDigits(maxDigits)
{
index = this.rawValue.lastIndexOf(".");
if (index >= 0)
return (((this.rawValue.length1)index) <= maxDigits);
return true;
}
In this example, index is an undefined variable. To resolve this error, add var in front of the first instance of index.
•
“Fonts used in fields cannot be subset. Font ArialMT not subset and will be embedded.”
A font cannot be subset. To resolve this error, use a standard font to eliminate font subsetting. This change also reduces the size of the file produced.
•
“ImageField access attribute should explicitly be set to 'nonInteractive'. Field will be drawn as boilerplate.”
An image field object is rendered as non-interactive in Acrobat 6.0.2 Professional and Acrobat 6.0.2 Standard and Adobe Reader 6.0.2 forms. To resolve this message, convert the object to a static image object.
•
“Invalid layout attribute on subform AccountDetails. Using default.”
A subform has a row layout type that should be nested inside a table parent, but it is not enclosed in a table. To resolve this error, move this subform into a table or change the subform type to Positioned Content or Flowed Content.
See also
Performance considerations for XML Form Object Model expressions
About warning messages


Creating Forms for LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES
Creating Forms for LiveCycle Forms ES
About LiveCycle Forms ES
How LiveCycle Forms ES processes captured data
How LiveCycle Forms ES renders forms
How LiveCycle Forms ES prepopulates forms
Designing Forms for LiveCycle Forms ES
Optimizing and improving performance for LiveCycle Forms ES
Creating HTML forms
Creating scripts for use with LiveCycle Forms ES


About LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > About LiveCycle Forms ES
About LiveCycle Forms ES
LiveCycle Forms ES enables organizations to extend their intelligent data capture processes by deploying electronic forms in PDF, HTML, and Flash format over the Internet.LiveCycle Forms ES also retrieves form data from central repositories and merges it with the specified form. End users can access online forms without downloading any additional software, fill them online, or save them to fill offline.
LiveCycle Forms ES offers the following key features:
•
Renders PDF, HTML, or Adobe Flash-based interactive forms.Enables form data integration, which is the ability to import data into and extract data from PDF forms.
•
Supports form guide rendering.
•
Supports document encryption.
•
Performs form assembly.
For more information about LiveCycle Forms ES, go to the Adobe documentation website at https://www.adobe.com/go/learn_lc_documentation and navigate to LiveCycle ES Overview.
See also
How LiveCycle Forms ES processes captured data
How LiveCycle Forms ES renders forms
How LiveCycle Forms ES prepopulates forms


How LiveCycle Forms ES processes captured data

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > How LiveCycle Forms ES processes captured data
How LiveCycle Forms ES processes captured data
You can use interactive forms to capture user-entered data. When you provide a Submit button in the form, you can enable users to upload the entered data to LiveCycle Forms ES.
When a user clicks a Submit button at run time, the data is submitted to LiveCycle Forms ES. If set up to do so, and providing no validation errors occur, LiveCycle Forms ES can remerge the data with the form and return it to the user. Alternatively, LiveCycle Forms ES may be set up to forward the data to a custom application for further processing.
It is important to understand how to define the properties of a Submit button to meet the requirements of the custom application because data can be submitted to LiveCycle Forms ES in a number of formats.
See also
Overview of buttons
About submitting data using a button
To validate user input


How LiveCycle Forms ES renders forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > How LiveCycle Forms ES renders forms
How LiveCycle Forms ES renders forms
LiveCycle Forms ES can render form designs as PDF, HTML, or Flash-based interactive forms.
When form designs are deployed to LiveCycle Forms ES, rendered forms can be distributed to users directly through a web-based user interface. When a user requests a form, LiveCycle Forms ES applies an appropriate transformation of your form design to render the form.
For example, if the user asks for an interactive PDF form, LiveCycle Forms ES uses the PDFForm transformation to render the form.
See also
Form transformations
Saving a form design: XDP or PDF?


How LiveCycle Forms ES prepopulates forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > How LiveCycle Forms ES prepopulates forms
How LiveCycle Forms ES prepopulates forms
LiveCycle Forms ES can prepopulate a form with data from an external data source while the form is being rendered.
For some simple applications, by setting up data binding in LiveCycle Designer ES, you may be able to create forms that work with external data without having to write a script. Binding alone can usually be used to obtain data from a WSDL data source or an OLEDB database.
LiveCycle Forms ES provides support for simple data binding. Simple binding enables you to bind a single value to a field.
See also
About binding fields to a data source
Considerations for testing form designs with data
Prepopulating form fields with data


Designing Forms for LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES
Designing Forms for LiveCycle Forms ES
About designing forms for LiveCycle Forms ES
Considerations for creating form designs for LiveCycle Forms ES
Additional requirements for submitting form designs to LiveCycle Forms ES
Specifying the format for submitting data
Form transformations
Copying form designs to the local network
Saving a form design: XDP or PDF?


About designing forms for LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > About designing forms for LiveCycle Forms ES
About designing forms for LiveCycle Forms ES
The process of creating a form design for LiveCycle Forms ES is identical to creating any other type of form design. However, when you create a form design for LiveCycle Forms ES, the same form design can be used to render PDF or HTML forms.
Using LiveCycle Forms ES, you can post PDF and HTML forms on the Internet or an intranet. When LiveCycle Forms ES renders an HTML form, the form typically opens in a web browser. When LiveCycle Forms ES renders a PDF form, the form may open directly in Acrobat or Adobe Reader, depending on the settings of Acrobat or Adobe Reader on the user’s computer.
When you distribute forms in a web environment, you must consider the limitations of the environment. For example, some of the features that you can assign to form designs by using LiveCycle Designer ES are not supported in a web environment, and different web browsers display the same objects in different ways.
Furthermore, some form capabilities are not directly supported by web browsers or HTML technology. The full range of form capabilities is available only when a PDF form is opened using Acrobat or Adobe Reader.
For information about the properties supported by different web browsers, go to the Adobe documentation website at https://www.adobe.com/go/learn_lc_documentation and navigate to Transformation Reference.
See also
About LiveCycle Forms ES
Considerations for creating form designs for LiveCycle Forms ES


Considerations for creating form designs for LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > Considerations for creating form designs for LiveCycle Forms ES
Considerations for creating form designs for LiveCycle Forms ES
If you will be using the same form design to render PDF and HTML forms, it is important to understand that some behavioral differences exist between the two types of output.
To create a single form design that lessens these behavioral differences, follow the guidelines outlined below:
Consult the Transformation Reference
Because PDF forms can be viewed by using Acrobat or Adobe Reader, the form supports the full range of object properties that you define in the form design. If you will be distributing HTML forms based on the same form design, some client applications (for example, web browsers) do not provide the same level of support for individual object properties. The Transformation Reference will help you to determine how objects behave in a particular client application. When creating the form design, try to work around any limitations in the client applications by finding ways to implement the form without relying on unsupported object properties. See Form transformations.
Enable form caching
Form caching can increase the performance of forms when rendered. In addition, if you are designing a form that has a fixed layout and want to render the form in HTML, you must enable form caching. See Form caching.
Include a layout that works for both PDF forms and HTML forms
When an HTML form is rendered, page sizes (required for paginating PDF forms) have no meaning. Because a form that has a flowable layout can expand on an infinitely long HTML page, it is important for you to avoid adding footers on the master page. A footer beneath the content area on a master page could overwrite HTML content that flows past what would otherwise (in a PDF form) be a page boundary.
Provide unique names for fields, exclusion groups, and subforms
For HTML output, all fields, exclusion groups, and subforms must have unique names. This will prevent possible data merge issues.
Consider accessibility
Read the section about creating accessible forms and use the guidelines to build accessibility into your form design. See About accessible forms.
Determine where to run scripts that exist in the form design
By default, scripts are run on the client. If the scripts that you include in a form design should be run on the server, or on the client and server instead, you may have to change or override the default setting. See Where calculations and scripts are run.
Preview the form
Periodically preview the form by using LiveCycle Designer ES (for PDF forms) or the target client application (for HTML forms) to troubleshoot problems early in the design process. See To preview and test forms in the Preview PDF tab.
Test the form design with sample data
If LiveCycle Forms ES will be merging forms with data, use test data to thoroughly test your form designs before you make finalized versions available to LiveCycle Forms ES. See To preview a form using sample data.
See also
Client- and server-side processing
Previewing an HTML form
Specifying the format for submitting data
Considerations for testing form designs with data
Saving a form design: XDP or PDF?
Copying form designs to the local network


Additional requirements for submitting form designs to LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > Additional requirements for submitting form designs to LiveCycle Forms ES
Additional requirements for submitting form designs to LiveCycle Forms ES
Before you can submit form designs to LiveCycle Forms ES, some additional work needs to be completed:
•
The developer of the custom application must define the requirements of the application. The file format of your form design (XDP or PDF) depends on these requirements.
•
Transformation options must be defined in the LiveCycle Forms ES API to support the required transformations. The developer of the custom application will set the options based on input from you.
•
If you will be using a signature object in a PDF form design, the developer of the custom application has to integrate a third-party solution to support digital signatures.
See also
Saving a form design: XDP or PDF?
Copying form designs to the local network


Specifying the format for submitting data

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > Specifying the format for submitting data
Specifying the format for submitting data
When you create a form, you can specify the format in which to submit its data. You specify the data submission format in LiveCycle Designer ES in one of two ways:
•
By placing a Button object on the form, specifying it as a submit button, and choosing the format to submit the data.
•
By placing an HTTP Submit button or Email Submit button on your form.
After you add a Button object to your form design, you can specify a format to submit data in the Submit tab of the Object palette. HTTP Submit buttons and Email Submit buttons are preconfigured to use specific submission formats. For more information about data submission formats, see
About submitting data using a button.
LiveCycle Designer ES supports four data submission formats:
•
XML Data Package (XDP) This format is the only format that supports the inclusion of attachments.
•
PDF
•
XML Data (XML)
•
URL-Encoded Data (HTTP Post) This format is the only data submission format for HTML forms.
See also
Button properties in the Submit tab
Considerations for testing form designs with data
About optimizing and improving performance


Form transformations

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > Form transformations
Form transformations
LiveCycle Forms ES renders forms in numerous formats through transformations, which render forms to suit the capabilities of client applications such as Acrobat, Adobe Reader, a variety of web browsers, or a screen reader.
LiveCycle Forms ES supports any HTML client that follows the CSS2 specification. Because browsers vary widely in their support of CSS2, and older browsers do not provide support, several browsers and generic user agents require their own specific transformation.
For a list of all objects and the supported properties for each transformation type, go to the Adobe documentation website at https://www.adobe.com/go/learn_lc_documentation and navigate to Transformation Reference.
The transformations that LiveCycle Forms ES provides for client applications are described in the table.
Transformation
Target client application
Auto
(This is the default.)
The Forms service determines the best transformation based on information about the target device specified by a user.
Guide
Uses flash-based capability for guiding a user to complete a data capture transaction. The data that is collect from the user is automatically entered into the rendered form.
HTML4
Compatible with older browsers that do not support absolute positioning of HTML elements.
MSDHTML
Dynamic HTML for Internet Explorer 5.0 or later.
NoScriptXHTML
Compatible with the CSS2 specification. Compliant with XHTML 1.0.
PDFForm
Creates interactive and accessible PDF forms for Acrobat Professional, Acrobat Standard, and Adobe Reader version 6.02 or later.
PDFMerge
Merges (prepopulates) data into a form design saved from LiveCycle Designer ES as a PDF form. If no server-side calculations are required, this transformation is fastest.
StaticHTML
Produces a non-interactive HTML form.
XHTML
Compatible accessibility enhanced browsers (currently Internet Explorer 5 or later). Compliant with XHTML 1.0.
Note:
If you choose the HTML4 transformation to support Netscape 4.7.x, any JavaScript designated to run on the client is automatically run on the server instead.


Copying form designs to the local network

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > Copying form designs to the local network
Copying form designs to the local network
To supply form designs to LiveCycle Forms ES, you will need write access to the location from which LiveCycle Forms ES retrieves files at run time. The developer of the custom application will know the location, and your network administrator can set up the appropriate permissions.
Completed form designs are placed in the local file system for the developer of the custom application to access. You have to include any other files that are required to support the form design (for example, images).
See also
Considerations for creating form designs for LiveCycle Forms ES
Saving a form design: XDP or PDF?


Saving a form design: XDP or PDF?

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Designing Forms for LiveCycle Forms ES > Saving a form design: XDP or PDF?
Saving a form design: XDP or PDF?
LiveCycle Forms ES accepts form designs in either of the following formats:
•
XDP
•
PDF
XDP is the file format created by LiveCycle Designer ES. Choose this format to submit the form design, any form data, annotations, accessibility tags, and all other relevant information needed for LiveCycle Forms ES to subsequently render the form at run time. You must choose this format if the form will initiate server-side processing.
Save the form in PDF if the form will always be opened in Acrobat or Adobe Reader.
Choose PDF if the form contains a signature field or if users will be expected to save data directly in the PDF form at run time. If the rendered form will have a fixed layout and you expect the form to be requested often, providing the form design to LiveCycle Forms ES in PDF can improve LiveCycle Forms ES run time performance.
Do not choose PDF in these situations:
•
If the form will initiate server-side processing
•
If LiveCycle Forms ES will be used to render HTML forms or forms that have a flexible layout.
See also
Considerations for creating form designs for LiveCycle Forms ES
Copying form designs to the local network


Optimizing and improving performance for LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Optimizing and improving performance for LiveCycle Forms ES
Optimizing and improving performance for LiveCycle Forms ES
About optimizing and improving performance
Form caching
To specify form caching for a form that has a fixed layout
Rendering a form design that has a flowable layout on the client
Prepopulating form fields with data


About optimizing and improving performance

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Optimizing and improving performance for LiveCycle Forms ES > About optimizing and improving performance
About optimizing and improving performance
LiveCycle Designer ES provides a number of ways that you can optimize and improve the performance of your forms when using LiveCycle Forms ES. Using these improvements, you can configure time-saving features such as faster form rendering times, rendering forms on the client to reduce burden on the server, and prepopulating forms with known data to reduce burden on form fillers.
See also
About performance
Form caching
Rendering a form design that has a flowable layout on the client
Prepopulating form fields with data


Form caching

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Optimizing and improving performance for LiveCycle Forms ES > Form caching
Form caching
Form caching is an effective way to increase the performance of form rendering. When a form is cached, the data is merged into a pregenerated presentation. Using LiveCycle Forms ES, you can cache forms to improve rendering performance.
Forms whose layout adjusts to accommodate data can always be cached. Forms that have a fixed layout may also be cached but the following restrictions apply:
•
If you have floating fields in forms that have a fixed layout and you select the Allow Form Rendering To Be Cached On Server option, the data in the fields will not render in the output PDF. To render the data in floating fields, ensure that this option is not selected.
•
If the form can be filled by using Acrobat or Adobe Reader 6.0.2, only forms that have a fixed layout are eligible for caching. Form caching with forms that have a flowable layout is only supported by Acrobat and Adobe Reader 7.0.5 and later.
•
All server-side scripting against the form layout is ignored. For example, you cannot script against such things as the fill color, font color, border width, or border color.
•
Server-side scripting that changes the page content, the number of fields, the position of fields, or the appearance is ignored.
•
When using the PDF or PDFForm transformations, you cannot change the layout of the form using client-side scripting. However, using the HTML transformations, client-side scripting to change the appearance of the form at the client is still possible, even when form caching is enabled.
•
Usage rights are applied to the form before caching to further improve form rendering performance.
•
Caching requires that each form be uniquely identified. If you want to create a new form by using an existing form as the starting point, do not use the operating system Copy command to copy the form. Instead, you should use the LiveCycle Designer ES Edit > Form Properties command to create the new form that is uniquely identified for caching.
•
If you open an existing form in LiveCycle Designer ES and save the changes, the cache will be automatically updated.
For LiveCycle Forms ES to cache forms that have a fixed layout, you must select the form caching option in LiveCycle Designer ES for each form that you create.


To specify form caching for a form that has a fixed layout

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Optimizing and improving performance for LiveCycle Forms ES > To specify form caching for a form that has a fixed layout
To specify form caching for a form that has a fixed layout
1.
Select Edit > Form Properties.
2.
Click the Defaults tab and select Allow Form Rendering To Be Cached On Server.
3.
Click OK.
See also
Form caching
Considerations for testing form designs with data
Form transformations
Considerations for creating form designs for LiveCycle Forms ES


Rendering a form design that has a flowable layout on the client

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Optimizing and improving performance for LiveCycle Forms ES > Rendering a form design that has a flowable layout on the client
Rendering a form design that has a flowable layout on the client
If your form fillers are using Acrobat 7.0.5 or later, or Adobe Reader 7.0.5 or later, you can choose to have your forms render on the client instead of the server.
Rendering interactive or non-interactive forms that have a flowable layout, whether through Acrobat or Adobe Reader on the client side, achieves better performance than rendering on the server. This is because the Acrobat and Adobe Reader client applications, not the server, perform the rendering operation. Even forms that have a flowable layout and that involve data merging can be rendered on the client.
In addition, through client-side rendering, you optimize the delivery of PDF content and improve the ability of LiveCycle Forms ES to handle network load.
To render a form at the client, LiveCycle Forms ES must be set to render forms at the client and also generate a shell PDF.
The shell PDF file is a container that lets you deliver an XDP file (as part of the data stream) to the Acrobat or Adobe Reader client. It acts as the shell from which a dynamically rendered PDF is displayed and may contain embedded fonts that the XDP file requires. With the shell PDF file, Acrobat and Adobe Reader are able to open the XDP file and render the PDF on the client.
See also
About forms that have a flowable layout


Prepopulating form fields with data

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Optimizing and improving performance for LiveCycle Forms ES > Prepopulating form fields with data
Prepopulating form fields with data
All form types can be prepopulated with data by using LiveCycle Forms ES. The data can come from a variety of sources, such as a database, another form, or another application.
Prepopulating a form has several advantages:
•
Enables the user to view custom data in a form
•
Reduces the amount of typing the user does to fill a form
•
Ensures data integrity by having control over where data is placed
Prepopulating forms is faster and more secure when the prepopulation occurs during form rendering on the server instead of on the client.
Verifying your XML data source for data merging
When prepopulating forms with data, it is important to ensure that either the structure of the data conforms to the structure of your form design or that your form design conforms to the structure of your data.
In other words, an XML element must exist within your data source for every form field you want to prepopulate. Any discrepancies between the structures of your form and data source can lead to incorrect output. The XML element name must match a form field name, and XML elements that do not correspond to form fields are ignored.
The following two types of data sources can prepopulate a LiveCycle Designer ES form:
•
An XDP data source that is XML and that conforms to XML Forms Architecture syntax
•
An arbitrary XML data source that contains name/value pairs matching the form field names
An XML data source is used to prepopulate forms. However, an XML data source that prepopulates a form that has a flexible layout contains repeating XML elements that are used to prepopulate subforms that are repeated within the form itself.
See also
About binding fields to a data source
Considerations for testing form designs with data
About forms that have a flowable layout
Overview of subforms


Creating HTML forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms
Creating HTML forms
About HTML forms
Using subforms to create HTML pages
Layout considerations for HTML forms
Image guidelines for creating HTML forms
Working around web browser limitations
Previewing an HTML form


About HTML forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms > About HTML forms
About HTML forms
In addition to PDF forms and form guides, LiveCycle Forms ES has the ability to render interactive HTML forms for data capture. To distribute HTML forms, you must save your form designs as XDP files and deploy the XDP files and any other supporting files, such as images, to LiveCycle Forms ES.
Because HTML forms are displayed in a client application such as a web browser, they are subject to the constraints of the client application environment. Any type of object except a signature field can be included in an HTML form. However, depending on the limitations of the client application, not all object properties may be supported.
For a list of all objects and the supported properties for each transformation type, go to the Adobe documentation website at https://www.adobe.com/go/learn_lc_documentation and navigate to Transformation Reference.
Note:
When creating a form design for HTML output, you must ensure that all fields, exclusion groups, and subforms have unique names.
See also
About forms
About forms that have a flowable layout


Using subforms to create HTML pages

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms > Using subforms to create HTML pages
Using subforms to create HTML pages
When a form design contains subforms that expand, it is difficult to know exactly how many pages will be rendered in the resulting form at run time. The page size setting is used to paginate PDF forms, but it is ignored when an HTML form is rendered because HTML pages can be any length.
To implement the concept of a multipage HTML form, you can include a one page-level subform in your form design. You will need one of these subforms for every page that you want rendered in the form. For forms containing flowable elements, each subform that flows content should be nested inside one of the page-level subforms. Afterward, when the form is rendered, all content pertaining to the same page-level subform is displayed on the same HTML page.
Note:
To implement the concept of a multipage HTML form, you must include one or more buttons in each page-level subform so that users can move from one page to the next. You will need to write a script to handle processing whenever a user clicks one of these buttons.
For example, consider the form design in the following illustration. The form design includes three page-level subforms: Subform_Page0, Subform_Page1, and Subform_LastPage. If LiveCycle Forms ES were to render an HTML form based on this form design, one HTML page would be created automatically from each of the page-level subforms.
When LiveCycle Forms ES renders the HTML form at run time, the first page-level subform is displayed on the first page. For the purposes of this example, the first page might look similar to the page shown here. Notice the Next Page button, which must be included so that users can move to the next page of the form.
The Next Page button at the bottom of the form.
Assuming that at least one record would be available to merge with Expanding_subform at run time, the second page might look similar to the following example page. Again, a Next Page button is required so that users can move to the next page of the form. Also, you might choose to include a Previous Page button in your own form.
The third page-level subform, Subform_LastPage, is displayed on the last page of the rendered form. In this example, a message on the last page thanks users for filling the form and provides a Submit button for submitting the user-entered data to LiveCycle Forms ES.
For information about how to write a script so that users can move between HTML pages, see How to write a script to handle HTML pages.
See also
Layout considerations for HTML forms
Image guidelines for creating HTML forms
Working around web browser limitations


Layout considerations for HTML forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms > Layout considerations for HTML forms
Layout considerations for HTML forms
The following information will help you design HTML forms that are visually pleasing and easy to read:
•
Do not use an object's border properties to draw lines, boxes, or grids on your form. Some browsers may not line up borders exactly as they appear in a LiveCycle Designer ES preview. Objects may appear layered or may push other objects off their expected position.
•
If users will be using Microsoft Internet Explorer, you can design your form with lines, rectangles, and circles to define the background. All other web browsers support only vertical and horizontal lines; therefore, rectangles and circles on your form design will not display at run time.
•
If users will be using Opera browsers, design the fields slightly larger than you want them to be. Fields in Opera always have a sunken inner border. Any border styles that you apply will be placed around the outside of this border. Because the sunken border takes up space in the field, the fillable area will shrink.
•
Create static text slightly larger than what seems to be required to accommodate the text. LiveCycle Designer ES and Acrobat may use different kerning than that of a particular web browser, and some text may not be displayed correctly.
See also
Image guidelines for creating HTML forms
Working around web browser limitations


Image guidelines for creating HTML forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms > Image guidelines for creating HTML forms
Image guidelines for creating HTML forms
Consider the following guidelines when adding images to form designs rendered as HTML.
Supported image files
You can include any image file (except animated GIF files), subject to the limitations of the web browsers that users have to view HTML forms.
Do not embed images in the form
LiveCycle Forms ES does not support embedded images. Instead, use relative path names to insert image files. For example, the path may be relative to the LiveCycle Forms ES forms root directory, which, by default, is the folder designated as the forms repository. The images folder in the following path is on the same level as the forms folder:
../images/graphic.jpg
See also
Layout considerations for HTML forms
Working around web browser limitations


Working around web browser limitations

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms > Working around web browser limitations
Working around web browser limitations
If you expect that some of the users will be using browsers that have limited capabilities, you need to consider the limitations of the lowest common denominator and design your forms accordingly. Alternatively, if your organization uses browsers that support XHTML, you have more options in laying out the form design.
Keep the following considerations in mind when designing forms that will be viewed in a variety of browsers:
•
Specify a page size to ensure that the HTML4 transformation (for Netscape Navigator 4.7.x) displays all static objects properly. Otherwise, enough space for fields only will be reserved when the form is rendered.
•
Incorporate a margin of at least 1/4 inch at the top and left sides of the form. Anything above and to the left of this margin will not be visible.
•
Objects or portions of objects drawn at negative grid coordinates are not displayed. For example, if you draw an object starting at the vertical grid coordinate -.50, the portion of the object from -.50 to the inside edge of a 1/4-inch margin will not be displayed.
•
Allow enough space around fields to compensate for the visual degradation that may occur in a low-end browser. For example, in some browsers, check boxes and radio buttons are displayed larger than they were designed.
•
Any left alignment of data may not be maintained when a low-end browser is used to view the form, especially if users alter the default fonts associated with their browsers.
See also
Layout considerations for HTML forms
Image guidelines for creating HTML forms
Form caching


Previewing an HTML form

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating HTML forms > Previewing an HTML form
Previewing an HTML form
To test the operation of your form design with LiveCycle Forms ES and to set up command buttons accurately in a form design, you need to know the URL that will be associated with requests to LiveCycle Forms ES. The developer of the custom application will know the URL.
To preview an HTML form, you must make the form design available to LiveCycle Forms ES so that LiveCycle Forms ES can store the form design. Afterward, you can request the form through the URL that is associated with LiveCycle Forms ES. Use a web browser or one of the target client applications (such as a screen reader) to open the form.
See also
Considerations for creating form designs for LiveCycle Forms ES
Copying form designs to the local network


Creating scripts for use with LiveCycle Forms ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES
Creating scripts for use with LiveCycle Forms ES
Where calculations and scripts are run
Client- and server-side processing
Events that you can reference in a script or calculation
Summary of supported properties, methods, and events
Expressions supported by HTML clients
How to write a script to handle HTML pages


Where calculations and scripts are run

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES > Where calculations and scripts are run
Where calculations and scripts are run
You can embed calculations and scripts in a form design to execute calculations, methods, or operations when any of an object's events occur at run time. For example, an event occurs at run time when the user performs the action that the event specifies. You can call any of an object's supported methods and examine or set properties by defining a script.
In LiveCycle Designer ES, scripts and calculations are designated, by default, to run on the client device. The default processing location is defined in the Preview tab of the Form Properties dialog box (select Edit > Form Properties). To override the default processing location, you can explicitly specify a different processing location by using the Run At option in the Script Editor when you attach a script or calculation to an object.
When you have LiveCycle Forms ES, processing can be done on the client, the server, or both. When you specify that a script/calculation is to run on the client and server, the client and server may both attempt to run the script/calculation. LiveCycle Forms ES always attempts to process the script/calculation if the client cannot do so. If you designate scripts/calculations to run on the server, LiveCycle Forms ES runs the scripts and/or calculations, remerges the results into the form, and returns both to the client.
Client-side scripts and calculations are run on the client device. When creating PDF forms for Acrobat or Adobe Reader, all processing must be done on the client. However, if the client cannot run the script or calculation, LiveCycle Forms ES will attempt to process the script or calculation.
To run a client-side script in an HTML form successfully, certain conditions must be met:
•
The client application must be Microsoft Internet Explorer 5.x, Netscape 6.0 or later, or Opera 5 or later.
•
JavaScript can be used only to write scripts (you cannot include FormCalc calculations in the form design).
•
JavaScript must be enabled in the client application.
See also
Client- and server-side processing
Events that you can reference in a script or calculation
Expressions supported by HTML clients
How to write a script to handle HTML pages
About FormCalc


Client- and server-side processing

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES > Client- and server-side processing
Client- and server-side processing
Processing can be executed on the client, the server, or both. Scripts and calculations behave differently when they are executed on the client compared to the server.
Client-side processing
At run time, if processing has been set to take place on the client, any scripts/calculations execute in real time on the user's computer. The code and variables declared become available almost as soon as the form is opened. This information remains available, and the state of the data is maintained until one of these situations occurs:
•
Another script is executed.
•
Another script removes the associated object.
•
The form is closed.
Server-side processing
LiveCycle Forms ES can manage any scripts/calculations that the client application cannot manage. For example, to prepopulate a form, you may have to use a script to connect to a database or web service that might not be available at the client. When LiveCycle Forms ES runs a script or calculation, the execution is done while the form is being rendered. No code or variables remain available after processing is completed. In other words, if you add variables to a script or calculation, they remain valid only for the duration of processing.
Note:
If you choose the HTML4 transformation to support Netscape Navigator 4.7.x, any JavaScript designated to run on the client is automatically run on the server instead.
See also
Where calculations and scripts are run
About FormCalc


Events that you can reference in a script or calculation

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES > Events that you can reference in a script or calculation
Events that you can reference in a script or calculation
Server-side scripts
Acrobat and Adobe Reader recognize all the events that LiveCycle Designer ES supports. The client application sends user-initiated events to LiveCycle Forms ES for server-side processing. No other types of events trigger server-side processing. LiveCycle Forms ES performs server-side processing whenever it is rendering a form, executing server events initiated from the client, or processing submitted data.
When you specify that a script or calculation should be run on the server, the following user-initiated events cause Acrobat or Adobe Reader to send the event to LiveCycle Forms ES for processing:
•
exit
•
mouseEnter
•
mouseExit
•
change
•
mouseUp
•
mouseDown
•
click
During event processing, LiveCycle Forms ES runs all the scripts /calculations that are designated to run on the server and remerges the results into the form before returning it to the client application.
If any of these events are referenced in a server-side script/calculation, Acrobat or Adobe Reader ignores them:
•
initialize
•
calculate
•
validate
•
docReady
•
docClose
The following table identifies the events that you can reference in server-side scripts/calculations only. These events are not recognized by HTML client applications.
Event
For more information, see
form:ready
form:ready event
layout:ready
layout:ready event
When a script has been designated to run on the server, the click event (of a regular button) is the only event that causes an HTML client to initiate server-side processing. During processing, LiveCycle Forms ES remerges the results into the HTML form before returning it to the client application. All other events are ignored by the HTML client and are executed only when LiveCycle Forms ES performs server-side processing.
Client-side scripts
For client-side scripting and calculations, Acrobat and Adobe Reader support the full list of events that you can define in LiveCycle Designer ES.
However, not all of these events are recognized by HTML clients. If you will be using a single form design to create both PDF forms and HTML forms, your client-side scripts should reference only a subset of the supported events.
If a client-side script references an event that the HTML client does not recognize, the script will stop executing at the point where the unrecognized event is referenced.
You can use the following events to run client-side scripts from HTML forms.
]
Event
For more information, see
initialize
initialize event
enter
enter event
exit
exit event
calculate
calculate event
Note:
In HTML forms only, activities triggered by calculate events are run when the cursor exits a field. Processing does not start when a user changes a field value, but you can invoke processing explicitly at this time, if required, by using the execCalculate() method.
validate
validate event
change
change event
Note:
In PDF and HTML forms, this event is supported for drop-down lists and list boxes only.
mouseUp
mouseUp event
mouseDown
mouseDown event
click
click event
Note:
The click event cannot be used for Submit buttons in PDF or HTML forms. Use the preSubmit event instead.
preSubmit
preSubmit event
Note:
In PDF and HTML forms, this event is supported for Submit buttons only. When you use the preSubmit event to run a client-side script, processing is done before the data is submitted. If the event runs a script on the server, processing is done while the data is being submitted.
See also
Where calculations and scripts are run
About scripting in LiveCycle Designer ES
About the Object Scripting Reference


Summary of supported properties, methods, and events

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES > Summary of supported properties, methods, and events
Summary of supported properties, methods, and events
With the exception of a few host object methods, Acrobat and Adobe Reader support the full range of properties, methods, and events. HTML clients recognize a limited number of these properties, methods, and events.
If you will be using a single form design to create both PDF forms and HTML forms, your scripts may reference a subset of the supported properties, methods, and events.
The following tables summarize which client applications recognize the various properties, methods, and events that you can reference in client- and/or server-side scripts.
Host object - Properties
Acrobat / Adobe Reader
HTML or form guide client
currentPage (read only)
Yes
Yes
numPages (read only)
Yes
Yes
name (read only)
Yes
Yes
validationsEnabled
Yes
Yes
calculationsEnabled
Yes
Yes
Host object - Methods
Acrobat / Adobe Reader
HTML or form guide client
pageUp
Yes
Client and server only.
pageDown
Yes
Client and server only.
exportData
Yes
No
importData
Yes
No
gotoURL
Client only.
Client only.
messageBox
Client only.
Client only.
resetData
Yes
Yes
setFocus
Client only.
Client only.
Host object - Events
Acrobat / Adobe Reader
HTML or form guide client
docReady
Yes
Server only.
docClose
Yes
Server only.
postPrint
Yes
No
postSave
Yes
No
prePrint
Yes
No
preSave
Yes
No
Form object - Methods
Acrobat / Adobe Reader
HTML or form guide client
resolveNodes
Yes
Yes
resolveNode
Yes
Yes
execCalculate
Yes
Yes
execValidate
Yes
Yes
execInitialize
Yes
Yes
Subform object - Properties
Acrobat / Adobe Reader
HTML or form guide client
name (read only)
Yes
Yes
index (read only)
Yes
Yes
x
Yes
Yes
y
Yes
Yes
w
Yes
Yes
h
Yes
Yes
validationMessage
Yes
Yes
Subform object - Methods
Acrobat / Adobe Reader
HTML or form guide client
resolveNodes
Yes
Yes
resolveNode
Yes
Yes
execCalculate
Yes
Yes
execValidate
Yes
Yes
execInitialize
Yes
Yes
Subform object - Events
Acrobat / Adobe Reader
HTML or form guide client
enter
Yes
Yes
exit
Yes
Yes
initialize
Yes
Yes
validate
Yes
Yes
calculate
Yes
Yes
Field objects - Properties
Acrobat / Adobe Reader
HTML or form guide client
name (read only)
Yes
Yes
index (read only)
Yes
Yes
rawValue
Yes
Yes
formattedValue
See Note 1.
Yes
x
Yes
Yes
y
Yes
Yes
w
Yes
Yes
h
Yes
Yes
presence
Yes
Yes
mandatory
Yes
Yes
fontColor
Yes
Yes
fillColor
Yes
Yes
borderColor
Yes
Yes
borderWidth
Yes
Yes
validationMessage
Yes
Yes
Field objects - Methods
Acrobat / Adobe Reader
HTML or form guide client
execCalculate
Yes
Yes
execInitialize
Yes
Yes
execValidate
Yes
Yes
addItem
Yes, for drop-down lists and list boxes only.
Yes, for drop-down lists and list boxes only.
clearItems
Yes, for drop-down lists and list boxes only.
Yes, for drop-down lists and list boxes only.
resolveNodes
Yes
Yes
resolveNode
Yes
Yes
Field objects - Events
Acrobat / Adobe Reader
HTML or form guide client
exit
Yes
Yes
enter
Yes
Yes
calculate
Yes
Yes
validate
Yes
Yes
initialize
Yes
Yes
click
Yes, but not for Submit buttons. See Note 2.
Yes, but not for Submit buttons. See Note 2.
change
Yes
Yes, for drop-down lists and list boxes only.
mouseUp
Yes
Yes
mouseDown
Yes
Yes
preSubmit
Yes
Yes, for Submit buttons only.
Note 1: For list boxes, formattedValue does not return the display text.
Note 2: The click event is not supported for Submit buttons in PDF or HTML forms. Use preSubmit instead.
ScriptObject object
Acrobat / Adobe Reader
HTML or form guide client
See Note 3.
Yes
Yes
Note 3: The ScriptObject object can be created and used with any other script. See To create a script object.
Event object - Properties
Acrobat / Adobe Reader
HTML or form guide client
prevText
Yes
No
prevContentType
Yes
No
newText
Yes
No
newContentType
Yes
No
fullText
Yes
No
commitKey
Yes
No
keyDown
Yes
No
modifier
Yes
No
name
Yes
No
selEnd
Yes
No
selStart
Yes
No
shift
Yes
No
target
Yes
No
change
Yes
No


Expressions supported by HTML clients

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES > Expressions supported by HTML clients
Expressions supported by HTML clients
A simplified subset of reference syntax expressions are supported by HTML clients:
•
FormCalc calculations are not valid in HTML browsers and are removed prior to the form being rendered in HTML.
•
The ellipsis (...) syntax is not supported.
•
When writing a client-side script for HTML forms, you must use the JavaScript resolveNode expression to locate nodes in the hierarchy. The script cannot walk the hierarchy using object notation. For example, the following expression is not supported:
xfa.form.subform1.TextEdit1
The following expression is supported:
xfa.form.resolveNode("subform1.TextEdit1")
Unqualified field references may be used to locate sibling fields in the hierarchy.
Note:
If you choose the HTML4 transformation to support Netscape Navigator 4.7.x, any JavaScript designated to run on the client is automatically run at the server instead.
See also
Referencing Objects in Calculations and Scripts


How to write a script to handle HTML pages

Using LiveCycle Designer ES > Creating Forms for LiveCycle Forms ES > Creating scripts for use with LiveCycle Forms ES > How to write a script to handle HTML pages
How to write a script to handle HTML pages
When the same form design is used to render PDF and HTML forms, the page size setting is used to paginate PDF forms, but it is ignored when an HTML form is rendered. To deal with the differences between PDF and HTML pages, form authors may optionally use page-level subforms to set up artificial HTML pages. If HTML pages are set up this way, JavaScript is needed to enable users to move from one HTML page to the next at run time.
You can use the pageUp() and pageDown() methods to enable users to move between HTML pages by using a regular command button that triggers processing when the button’s click event occurs. For both PDF and HTML forms, processing must be run at the client and server.
The pageUp() and pageDown() methods operate on page-level subforms. For example, assume that the form author has set up the following structure in the form design:
Hierarchy palette showing Subform_Page0, Subform_page1, and Subform_Lastpage.
If the user were viewing the HTML page that corresponds to Subform_Page0, calling xfa.host.pageDown() would cause Subform_Page1 to be displayed in the browser. Similarly, calling xfa.host.pageUp() while Subform_Page1 is on display would cause Subform_Page0 to be displayed in the browser. Page numbers would be assigned to the following properties to manipulate these HTML pages:
xfa.host.currentPage = 0 //moves to the first page
xfa.host.currentPage = 1 //moves to the second page
xfa.host.currentPage = 2 //moves to the third page
xfa.host.currentPage = xfa.host.numPages -1 //moves to the last page
As users move between HTML pages, the state of the data is maintained, but the presentation state of an object (for example, the background color of a field) may change from one page to the next. You can maintain presentation settings between pages using hidden fields that contain state values for the various settings and command buttons that enable users to page back and forward through the pages of the form. Your script would update the presentation states of fields based on the values in the hidden fields. When a user clicks either of the command buttons, the calculate event for the button could be used to run the script.
For example, the following JavaScript maintains the fill color of a field based on the value of a field named hiddenField. The script is triggered when the calculate event occurs.
If (hiddenField.rawValue == 1)
this.fillColor = “255,0,0”
else
this.fillColor = “0,255,0”
Note:
When running scripts in an HTML form on the client device, you can script against the current subform/HTML page only.
See also
pageDown
pageUp
currentPage


Creating Forms for LiveCycle Process Management ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES
Creating Forms for LiveCycle Process Management ES
About LiveCycle Process Management ES
Designing forms for LiveCycle Process Management ES


About LiveCycle Process Management ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > About LiveCycle Process Management ES
About LiveCycle Process Management ES
Adobe LiveCycle Process Management ES lets users design, manage, and optimize human-centric processes. Using LiveCycle Process Management ES, users can also manage automated business-process applications that connect systems and people.
LiveCycle Process Management ES offers the following features:
Task management
Task management routes work (tasks) to end users through their assigned queues. It coordinates tasks submitted through LiveCycle Workspace ES.
Event management
LiveCycle Process Management ES provides the capability to create and receive events that occur in processes. It stores events and delivers them to the interested parties as defined in the system through callbacks to event handlers.
LiveCycle Workspace ES
LiveCycle Workspace ES is a web application that lets end users initiate and participate in form-based business processes by using a web browser. Using LiveCycle Workspace ES, users can perform these tasks:
•
Fill forms that initiate a business process.
•
Open forms that have been routed to the user or to a group queue to review, approve, or provide more information.
•
Search for forms that are part of a completed business process or active processes that the user has initiated or participated in.
•
In the development environment, you can use Adobe Flex™ Builder™ to customize the LiveCycle Workspace ES web interface that end users see. This allows you to ensure that the user interface is customized to meet user requirements.
See also
About designing forms for LiveCycle Process Management ES


Designing forms for LiveCycle Process Management ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > Designing forms for LiveCycle Process Management ES
Designing forms for LiveCycle Process Management ES
About designing forms for LiveCycle Process Management ES
Preparing a form for use in LiveCycle Workspace ES
To prepare form designs for use in LiveCycle Workspace ES
How LiveCycle Workspace ES handles buttons in PDF forms
Fields in the Process Fields object


About designing forms for LiveCycle Process Management ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > Designing forms for LiveCycle Process Management ES > About designing forms for LiveCycle Process Management ES
About designing forms for LiveCycle Process Management ES
LiveCycle Designer ES can create form designs that are used in LiveCycle ES applications. A LiveCycle ES application is a solution that consists of a process version and its associated assets (form design, images, and fragments), which represent an automated process. A LiveCycle ES application is typically developed in LiveCycle Workbench ES. To learn more about creating a LiveCycle ES application, go to Creating Your First LiveCycle Application .
Suppose a business process involves the handling of mortgage applications. A form developer creates the form design for use in the process, which is created in LiveCycle Workbench ES. Then, mortgage applicants can fill the application form electronically by using LiveCycle Workspace ES. A loan officer or bank manager can also approve the application using LiveCycle Workspace ES.
Form designs that become part of a process may require certain objects to work, such as forms that are part of an application that you want to make available in LiveCycle Workspace ES.


Preparing a form for use in LiveCycle Workspace ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > Designing forms for LiveCycle Process Management ES > Preparing a form for use in LiveCycle Workspace ES
Preparing a form for use in LiveCycle Workspace ES
A form design intended for use in LiveCycle Workspace ES must contain a submit button or a button that references a submit button. When a form design contains one submit button, LiveCycle Workspace ES hides the submit button and enables the LiveCycle Workspace ES Complete button. When a form design contains no submit button, LiveCycle Workspace ES disables the Complete button, and users cannot submit the form. See How LiveCycle Workspace ES handles buttons in PDF forms for more information on how LiveCycle Workspace ES handles buttons in PDF forms.
In addition to the standard Submit button, LiveCycle Designer ES offers two objects to help you prepare a form design for LiveCycle Workspace ES; the Process Fields and the Form Bridge objects. Both objects are available in the Custom category of the Object Library palette.
Process Fields object
Add the Process Fields object to a form at design time when you want LiveCycle Workspace ES users to perform any of the following tasks:
•
Send forms by email
•
Take PDF forms offline
The Process Fields object contains a button object, a drop-down list, and a number of additional hidden objects.
Form Bridge object
The Form Bridge object enables communication to PDF forms outside of Acrobat. Use the Form Bridge object in either of the following cases:
•
You want to certify, encrypt, or apply usage rights to a PDF or XDP form before its first delivery to a user by LiveCycle Forms ES or LiveCycle Workspace ES.
•
You want to save the form as a PDF form in LiveCycle Designer ES and certify, encrypt, or apply usage rights before saving it in the repository.
When you add the Form Bridge object to a form design that contains Artwork, you will not see the object in the Design View.
The complete button does not appear in Workspace ES when presented in Adobe Reader 8.1.1. To display the complete button in LiveCycle Workspace ES, do the following:
1.
Open the PDF form that contains Artwork.
2.
Select the root node.
3.
Add a script object to it and name the object ContainerFoundation_JS.
4.
Open a blank form and add the Form Bridge object to it.
5.
Select the ContainerFoundation_JS object.
6.
In the Script Editor, select the form ready event and the JavaScript language.
7.
Copy the script into the ContainerFoundation_JS object of the PDF form you opened in step 1.
8.
In the blank form, select the root node.
9.
In the Script Editor, select the form ready event and the JavaScript language.
10.
Copy the script into the root node of the PDF form you opened in step 1.


To prepare form designs for use in LiveCycle Workspace ES

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > Designing forms for LiveCycle Process Management ES > To prepare form designs for use in LiveCycle Workspace ES
To prepare form designs for use in LiveCycle Workspace ES
With a LiveCycle Process Management ES license, you can render a form design to a client in these output types:
•
HTML
•
PDF
•
Form Guide
HTML output
You can render an HTML form to LiveCycle Workspace ES and transform it to an HTML form. You can select the type of HTML transformation that is created to support different HTML formats.
To prepare an XDP form design for HTML output
1.
In the Object Library palette, click the Custom category to display the list of objects.
2.
Drag the Process Fields object onto the form.
3.
Select File > Save.
PDF output
You can render a PDF file or XDP file to a client device and generate a PDF transformation as a PDF file in LiveCycle Workspace ES.
To prepare an XDP form design for offline capable PDF output
1.
In the Object Library palette, click the Custom category to display the list of objects.
2.
Drag the Process Fields object onto the form.
3.
Select File > Save.
To prepare an XDP form design for online only PDF output
1.
In the Object Library palette, click the Standard category to display the list of objects.
2.
Drag the Button object onto the form.
3.
With the Button object selected, in the Object Library palette, click the Field tab.
4.
In the Control type area of the Object Library palette, select Submit.
5.
Select File > Save.
To prepare an XDP form design for certified PDF output
1.
In the Object Library palette, click the Custom category to display the list of objects.
2.
Drag the Form Bridge object onto the form.
3.
Select File > Save.
To prepare a PDF form design for online only PDF output
1.
In the Object Library palette, click the Standard category to display the list of objects.
2.
Drag the Button object onto the form.
3.
With the Button object selected, in the Object Library palette, click the Field tab.
4.
In the Control type area of the Object Library palette, select Submit.
5.
Select File > Save.
To prepare a PDF form design for certified PDF output
1.
In the Object Library palette, click the Custom category to display the list of objects.
2.
Drag the Form Bridge object onto the form.
3.
Select File > Save.
Form Guide output
You can render a PDF or XDP form guide.
To prepare an XDP or PDF form design for form guide output
1.
In the Object Library palette, click the Standard category to display the list of objects.
2.
Drag the Button object onto the form.
3.
With the Button object selected, in the Object Library palette, click the Field tab.
4.
In the Control type area of the Object Library palette, select Submit.
5.
Select File > Save.
To use a form that was created in Acrobat in LiveCycle Workspace ES, you must use Acrobat to prepare the form design. For instructions, see Preparing Acrobat forms for use with the User service in LiveCycle Workbench ES Help.
See also
About LiveCycle Process Management ES
Designing forms for LiveCycle Process Management ES


How LiveCycle Workspace ES handles buttons in PDF forms

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > Designing forms for LiveCycle Process Management ES > How LiveCycle Workspace ES handles buttons in PDF forms
How LiveCycle Workspace ES handles buttons in PDF forms
The LiveCycle Workspace ES Complete button allows users to submit PDF forms.
Note:
If you want the user submission data to include the PDF, instead of only the XDP data, you need to use LiveCycle Reader Extensions ES to provide the appropriate rights to the form.
Here is a summary of how LiveCycle Workspace ES handles buttons in a PDF form.
•
When a form design does not contain a submit button, LiveCycle Workspace ES disables the Complete button, and users cannot submit the form.
•
When a form design contains one submit button, LiveCycle Workspace ES hides the submit button and enables the LiveCycle Workspace ES Complete button.
•
When a form design contains an indirect submit button, that is, a regular button that points to a submit button using script, LiveCycle Workspace ES hides the indirect submit button and enables the LiveCycle Workspace ES Complete button. When a user clicks the Complete button, LiveCycle Workspace ES executes the indirect submit button script, which in turn points to the submit button that performs the form data submission. It is assumed that the form author sets the submit button that performs the form data submission to be hidden.
•
When a form design has multiple indirect submit buttons pointing to one or more submit buttons, LiveCycle Workspace ES disables the LiveCycle Workspace ES Complete button. The user must click the appropriate button on the form to submit it. The user can still save a draft version of the form or take the form offline.
See also
About submitting data using a button


Fields in the Process Fields object

Using LiveCycle Designer ES > Creating Forms for LiveCycle Process Management ES > Designing forms for LiveCycle Process Management ES > Fields in the Process Fields object
Fields in the Process Fields object
The following table lists the fields in the Process Fields object.
Note:
You must not group the process fields. If you group these fields, the form will not work with LiveCycle Process Management ES.
Field name
Object
Description
AWS_SUBMIT
Button
Initiates the request to submits the form to LiveCycle Process Management ES.
Validates whether the submission has already occurred and determines the host environment (email or web) before initiating the request to submit.
To convert forms and form data to a PDF document and save the reference in a document variable, you need to configure the FSSUBMIT_button object to use a submit format of PDF.
AWS_ACTION
Drop-down List
Lists the choices available for completing the work item. This field is populated by the AWS_CHOICE field. If you prefer not to provide choices, leave the AWS_CHOICE field empty.
AWS_ASSIGNED_ID
Text field (invisible)
A hidden text field that stores the name of the participant who submits the form.
AWS_STATUS
Text field (invisible)
A hidden text field that is automatically populated with status information.
AWS_TASKID
Text field (invisible)
A hidden text field that is automatically populated with task identity information.
This field contains the identity of the task associated with the form.
AWS_MAILTO
Text field (invisible)
A hidden text field that contains the email address that LiveCycle Process Management ES uses.
AWS_CHOICE
Text field (invisible)
A hidden text field that is automatically populated with data. The data is a comma-delimited list of route names.
AWS_PROCESSTYPE
Text field (invisible)
A hidden text field that contains the process type with which the form is associated.
If the AWS_TASKID field is empty, LiveCycle Process Management ES invokes the process type that is specified in the AWS_PROCESSTYPE field.
FSSUBMIT_
Button (invisible)
A hidden button that is triggered when a user clicks the LiveCycle Workspace ES Complete button. When the user clicks the Complete button, this button submits the form to LiveCycle ES.
You can configure this button to submit XDP, PDF, XML, or URL-encoded data.


Working with the Keyboard

Using LiveCycle Designer ES > Working with the Keyboard
Working with the Keyboard
Default keyboard shortcuts
Customizing keyboard shortcuts


Default keyboard shortcuts

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts
Default keyboard shortcuts
Keys for common actions
Keys for undoing and redoing an action
Keys for deleting text
Keys for selecting text
Keys for copying and moving text
Keys for applying character formats to selected text
Keys for special characters
Keys for setting line spacing
Keys for aligning paragraphs
Keys for controlling windows
Keys for navigating a form design
Keys for controlling menus
Keys for the Script Editor or XML Source Tab
Keys for manipulating objects
Keys for changing the tabbing order
Keys for selecting and navigating within a table
Keys for navigating the LiveCycle Designer ES Help


Keys for common actions

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for common actions
Keys for common actions
Result
Action
Activate or deactivate menu bar mode.
Alt or F10
Cancel the current task, or close an open menu or dialog box.
Esc
Display the shortcut menu for the selected item.
Shift+F10
Move the cursor to the beginning of the text in the current line.
Home
Move the cursor to the end of the text in the current line.
End
Move the cursor to the end of the text.
Ctrl+End
Move the cursor to top of the text.
Ctrl+Home
Open the LiveCycle Designer ES Help window.
F1
Select (the same as primary mouse button click).
Spacebar
Opens the New Form Assistant, by default. Opens the New dialog box, if you clear the Show When Creating New Documents option, under Form Assistance on the Wizards and Tips panel in the Options dialog box.
Ctrl + N


Keys for undoing and redoing an action

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for undoing and redoing an action
Keys for undoing and redoing an action
Result
Action
Redo the undone action.
Ctrl+Shift+Z or Ctrl+Y
Undo the last action.
Ctrl+Z or Alt+Backspace


Keys for deleting text

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for deleting text
Keys for deleting text
Result
Action
Cut the selected text and send it to the clipboard.
Ctrl+X or Shift+Delete
Delete one character to the left.
Backspace
Delete one character to the right or delete selected text without sending it to the clipboard.
Delete
Delete one word to the left.
Ctrl+Backspace
Delete one word to the right.
Ctrl+Delete


Keys for selecting text

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for selecting text
Keys for selecting text
Result
Action
Leave edit mode.
F2
Select from the cursor position to the beginning of the paragraph.
Ctrl+Shift+Up Arrow
Select from the cursor position to the end of the paragraph.
Ctrl+Shift+Down Arrow
Select or deselect from cursor position to the end of the word.
Ctrl+Shift+Right Arrow
Select or deselect from the cursor position to the beginning of the current line.
Shift+Home
Select or deselect from the cursor position to the beginning of the word.
Ctrl+Shift+Left Arrow
Select or deselect from the cursor position to the end of the current line.
Shift+End
Select or deselect from the cursor position to the same position on the next line. If the cursor is on the last line, the selection ends at the end of the current line.
Shift+Down Arrow
Select or deselect from the cursor position to the same position on the previous line. If the cursor is on the first line, the selection ends at the beginning of the current line.
Shift+Up Arrow
Select or deselect one character to the left
Shift+Left Arrow
Select or deselect one character to the right.
Shift+Right Arrow
Select or deselect one screen to the same position on the next screen.
Shift+Page Down
Select or deselect one screen to the same position on the previous screen.
Shift+Page Up
Select or deselect to the beginning of the object's text (top, left text position of the object).
Ctrl+Shift+Home
Select or deselect to the end of the object's text (bottom, right text position of the object).
Ctrl+Shift+End
Selects all text in a text field or in the Script Editor.
Selects all objects in a page.
Ctrl+A


Keys for copying and moving text

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for copying and moving text
Keys for copying and moving text
Result
Action
Copy the selected text to the clipboard.
Ctrl+C or Ctrl+Insert
Cut the selected text and put it on the clipboard.
Ctrl+X
Delete one character to the right or delete selected text without sending it to the clipboard.
Delete
Delete one word to the right.
Ctrl+Delete
Paste the clipboard content at the insertion point.
Ctrl+V or Shift+Insert


Keys for applying character formats to selected text

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for applying character formats to selected text
Keys for applying character formats to selected text
Result
Action
Apply bold formatting (font must support Bold).
Ctrl+B
Apply italic formatting (font must support Italic).
Ctrl+I
Apply underline formatting.
Ctrl+U


Keys for special characters

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for special characters
Keys for special characters
Result
Action
Add a non-breaking space.
Ctrl+Shift+Spacebar


Keys for setting line spacing

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for setting line spacing
Keys for setting line spacing
Result
Action
Apply 1.5-line spacing.
Ctrl+Shift+5
Apply double-line spacing.
Ctrl+Shift+2
Apply single-line spacing.
Ctrl+Shift+1


Keys for aligning paragraphs

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for aligning paragraphs
Keys for aligning paragraphs
Result
Action
Center a paragraph.
Ctrl+E
Decrease a hanging indent.
Ctrl+Shift+T
Increase a hanging indent.
Ctrl+T
Increase indent of a paragraph from the left.
Ctrl+M
Justify a paragraph.
Ctrl+J
Left align a paragraph.
Ctrl+L
Remove a paragraph indent from the left.
Ctrl+Shift+M
Reset the paragraph formatting to the default before changes were made.
Ctrl+Q
Right align a paragraph.
Ctrl+R


Keys for controlling windows

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for controlling windows
Keys for controlling windows
Result
Action
Display the active palette menu.
F6
Display the Preview PDF tab.
F5
Move to the next open document.
Ctrl+F6
Move to the next pane or palette.
Ctrl+Tab
Move to the next tab within the current palette
Crtl+,
Move to the previous open document.
Ctrl+Shift+F6
Move to the previous pane or palette.
Ctrl+Shift+Tab
Move to the previous tab within the current palette
Crtl+.
Create a new form design.
Ctrl+N
Open the Open dialog box.
Ctrl+O
Open the Print dialog box.
Ctrl+P
Quit LiveCycle Designer ES.
Alt+F4
Save a copy of the contents of the active form design into a new file.
Ctrl+Shift+S
Save the form design that currently has the input focus.
Ctrl+S
Turn on/off display of grid.
Ctrl+’
Turn on/off Snap To Grid.
Ctrl+Shift+’


Keys for navigating a form design

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for navigating a form design
Keys for navigating a form design
Result
Action
Move to the first page.
Ctrl+Home
Move to the last page.
Ctrl+End
Move to the next page.
Page Down
Move to the previous page.
Page Up
Switch between the form design and the first active palette.
F6
Switch to the next tabbed property page in the palette.
Ctrl+.
Switch to the previous tabbed property page in the palette.
Ctrl+,
Zoom in.
Ctrl+=
Zoom out.
Ctrl+-
Zoom to fit the actual size.
Ctrl+1
Zoom to fit the width of the page.
Ctrl+2
Zoom to fit to the page.
Ctrl+0


Keys for controlling menus

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for controlling menus
Keys for controlling menus
Result
Action
Activate the menu bar and enter menu mode.
F10 or Alt
Activate the menu bar and open corresponding menu to the access key.
Alt+[access keys on menu or selected dialog box]
Display the shortcut menu (or context menu) for the selected item.
Shift+F10
Display the shortcut menu for the active child window.
Alt+Hyphen (-)
Display the shortcut menu for the active window.
Alt+Space
When in Menu mode (Alt+), carries out the corresponding command.
Access key
When in Menu mode (Alt+), moves to the one item above, or moves to the bottom of the menu if focus is located in the top of the menu.
Up Arrow
When in Menu mode (Alt+), opens menu item, moves to the one item below, or moves to the top of the menu if focus is located in the bottom of the menu.
Down Arrow
When in Menu mode (Alt+), opens the next menu to the left, or closes a submenu.
Left Arrow
When in Menu mode (Alt+), opens the next menu to the right, or opens a submenu.
Right Arrow


Keys for the Script Editor or XML Source Tab

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for the Script Editor or XML Source Tab
Keys for the Script Editor or XML Source Tab
Result
Action
Find next.
F3
Find previous.
Shift+F3
Insert an abbreviated reference syntax for an object on the form.
Ctrl+click the object you want to reference (while the Script Editor has focus).
Open the Find dialog box.
Ctrl+F
Open the FormCalc functions list in the Script Source field of the Script Editor.
F10
Open the Go To Line dialog box.
Ctrl+G
Open the Replace dialog box.
Ctrl+H
Turn on/off display of the Script Editor.
Ctrl+Shift+F5


Keys for manipulating objects

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for manipulating objects
Keys for manipulating objects
Result
Action
Align bottom.
Ctrl+Down Arrow
Align horizontal center.
Alt+Ctrl+Right Arrow
Align left.
Ctrl+Left Arrow
Align right.
Ctrl+Right Arrow
Align to grid.
Alt+Ctrl+Left Arrow
Align top.
Ctrl+Up Arrow
Align vertical center.
Alt+Ctrl+Up Arrow
Duplicate the specified object.
Ctrl+D
Insert an object.
Alt+I, select an object, and then Enter
Keep drawing tool.
Ctrl+K
Nudge down by 10 units.
Shift+Down Arrow
Nudge down one unit.
Down Arrow
Nudge left by 10 units.
Shift+Left Arrow
Nudge left one unit.
Left Arrow
Nudge right by 10 units.
Shift+Right Arrow
Nudge right one unit.
Right Arrow
Nudge up by 10 units.
Shift+Up Arrow
Nudge up one unit.
Up Arrow
Rename an object using the Hierarchy palette.
Ctrl+F2
Rename the selected object.
F2
Select an object using the Hierarchy palette.
Up Arrow or Down Arrow
Select multiple objects adjacent to each other in the Hierarchy palette.
Shift+Up Arrow or Shift+Down Arrow
Select multiple objects that are not adjacent to each other in the Hierarchy palette.
Ctrl+Up Arrow or Ctrl+Down Arrow, and then Spacebar
Turn on/off display of the Accessibility palette.
Shift+F6
Turn on/off display of the Border palette.
Shift+F8
Turn on/off display of the Font palette.
Shift+F4
Turn on/off display of the Hierarchy palette.
Shift+F11
Turn on/off display of the Layout palette.
Shift+F9
Turn on/off display of the Object Library palette.
Shift+F12
Turn on/off display of the Object palette.
Shift+F7
Turn on/off display of the Paragraph palette.
Shift+F5
Turn on/off display of the Script Editor.
Ctrl+Shift+F5


Keys for changing the tabbing order

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for changing the tabbing order
Keys for changing the tabbing order
Result
Action
Edit tabbing order for this item
F2
Copy
Ctrl+C
Paste
Ctrl+V
Move up in the tabbing order
Ctrl+Up Arrow
Move down in the tabbing order
Ctrl+Down Arrow


Keys for selecting and navigating within a table

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for selecting and navigating within a table
Keys for selecting and navigating within a table
Result
Action
Extend the selection to the beginning of the row.
Shift+Home
Extend the selection to the beginning of the table.
Ctrl+Shift+Home
Extend the selection to the end of the row.
Shift+End
Extend the selection to the end of the table.
Ctrl+Shift+End
Extend the selection.
Shift+Left Arrow, Right Arrow, Up Arrow, or Down Arrow
Move between cells.
Left Arrow, Right Arrow, Up Arrow, or Down Arrow
Select all the cells in a column.
Ctrl+Spacebar
Select all the cells in a row.
Shift+Spacebar
Select all the cells in the table.
Ctrl+Shift+Spacebar
Select only the active cell, when multiple cells are selected.
Shift+Backspace
Select the first cell in the row.
Home
Select the first cell in the table.
Ctrl+Home
Select the last cell in the row.
End
Select the last cell in the table.
Ctrl+End
Toggle text edit mode on/off in the active cell.
F2


Keys for navigating the LiveCycle Designer ES Help

Using LiveCycle Designer ES > Working with the Keyboard > Default keyboard shortcuts > Keys for navigating the LiveCycle Designer ES Help
Keys for navigating the LiveCycle Designer ES Help
Result
Action
Close the Help Viewer.
Alt+F4
Display LiveCycle Designer ES Help.
F1
Display the Contents tab.
Alt+C
Display the Index tab.
Alt+N
Display the Options menu. The commands for all of the buttons in the Help Viewer toolbar are available on the Options menu.
Alt+O
Display the Search tab.
Alt+S
Display the selected topic.
Enter or Alt+D
Open and close a book.
Plus Sign and Minus Sign, or Left Arrow and Right Arrow
Select a keyword in the list.
Up Arrow and Down Arrow
Select a topic in the Search results list.
Alt+T, and then Up Arrow and Down Arrow
Select a topic.
Down Arrow and Up Arrow
Start a search.
Alt+L


Customizing keyboard shortcuts

Using LiveCycle Designer ES > Working with the Keyboard > Customizing keyboard shortcuts
Customizing keyboard shortcuts
To create a customized keyboard shortcut set
To assign a keyboard shortcut to a command
To remove a keyboard shortcut from a command
To verify the current keyboard shortcuts for a command


To create a customized keyboard shortcut set

Using LiveCycle Designer ES > Working with the Keyboard > Customizing keyboard shortcuts > To create a customized keyboard shortcut set
To create a customized keyboard shortcut set
A keyboard shortcut set is a named collection of keyboard shortcuts. You can create one or more customized keyboard shortcut sets to better suit your own needs or the needs of multiple users.
For example, if several people work with the same copy of LiveCycle Designer ES at different times, each person can create their own customized keyboard shortcut set. Having multiple sets makes it easier for everyone to manage the various keyboard shortcuts they use without altering the (Default) set that other people may be more familiar with and prefer to use.
Note:
You cannot directly change, replace, or delete the (Default) keyboard shortcut set. As a result, after you modify the (Default) set (or an existing customized set) in any way, LiveCycle Designer ES adds another instance of that set to the Set list with the word (Modified) appended to the set name. You can then rename the modified set as you want.
1.
Select Tools > Keyboard Shortcuts.
2.
In the Set list, select the keyboard shortcut set you want to modify. Use the (Default) set or an existing customized set.
3.
Click Save As.
4.
(Optional) In the Name box, type a name for the set. If you do not type a new name for the set, the word (Modified) remains appended to the existing set name.
5.
Click OK.


To assign a keyboard shortcut to a command

Using LiveCycle Designer ES > Working with the Keyboard > Customizing keyboard shortcuts > To assign a keyboard shortcut to a command
To assign a keyboard shortcut to a command
You can assign a keyboard shortcut to a command. It is possible to assign one or more keyboard shortcuts to the same command. However, to avoid unnecessary duplications, it is recommended that you assign only one keyboard shortcut to a command.
If the keyboard shortcut you want to use is already assigned to another command, LiveCycle Designer ES prompts you to remove the keyboard shortcut from the other command and assign it to the command you have currently selected.
After you assign a keyboard shortcut to a command that previously had none, or assign an additional keyboard shortcut to a command that already has a default keyboard shortcut assigned to it, an asterisk (*) appears before the command name shown in the Command list to indicate the keyboard shortcuts associated with the command have changed.
Note:
When you assign a keyboard shortcut to a command, you modify the keyboard shortcut set to which the command belongs, either the (Default) set or an existing customized set. As a result, LiveCycle Designer ES adds another instance of the keyboard shortcut set to the Set list with the word (Modified) appended to the set name to indicate the set has changed. To save the keyboard shortcuts you assign to commands, you must save the associated keyboard shortcut set.
If you do not save the changes you make to a keyboard shortcut set, LiveCycle Designer ES retains the changes until you select another set in the Set list. When you select another keyboard shortcut set, LiveCycle Designer ES prompts you to save the changes you previously made to the (Default) or customized set.
1.
Select Tools > Keyboard Shortcuts.
2.
In the Set list, select the set in which you want to save the keyboard shortcut.
3.
In the Product Area list, select (All Commands) or select the specific menu that contains the command you want to access.
4.
In the Commands list, select the command you want. Existing keyboard shortcuts are listed in the Current Shortcuts list.
5.
(Optional) In the Current Shortcuts list, select any other shortcuts assigned to the command that you want to delete, and then click Remove.
6.
In the New Shortcut box, type the shortcut you want to assign to the command, and then click Assign.
7.
Click Save As to save the changes made to the keyboard shortcut set.
8.
(Optional) In the Name box, type the name of the new set as needed. If you do not type a new name for the set, the word (Modified) remains appended to the existing set name.
9.
Click OK.


To remove a keyboard shortcut from a command

Using LiveCycle Designer ES > Working with the Keyboard > Customizing keyboard shortcuts > To remove a keyboard shortcut from a command
To remove a keyboard shortcut from a command
You can remove a keyboard shortcut including the default keyboard shortcuts from any command.
For example, you may want to remove the keyboard shortcuts you no longer use or to remove a keyboard shortcut so that you can replace it with another one that you prefer.
If you remove a default keyboard shortcut from a command, an asterisk (*) appears before the command name shown in the Command list to indicate the keyboard shortcut associated with the command has changed.
Note:
When you remove a keyboard shortcut from a command, you modify the keyboard shortcut set to which the command belongs, either the (Default) set or an existing customized set. As a result, LiveCycle Designer ES adds another instance of the keyboard shortcut set to the Set list with the word (Modified) appended to the set name to indicate the set has been changed. To save the changes you make, you must save the associated keyboard shortcut set.
If you do not save the changes you make to a keyboard shortcut set, LiveCycle Designer ES retains the changes until you select another set in the Set list. When you select another keyboard shortcut set, LiveCycle Designer ES prompts you to save the changes you previously made to the (Default) or customized set.
1.
Select Tools > Keyboard Shortcuts.
2.
In the Set list, select the set that contains the keyboard shortcut you want to remove.
3.
In the Product Area list, select (All Commands) or select the specific menu that contains the command you want to access.
4.
In the Commands list, select the command you want. Existing keyboard shortcuts are listed in the Current Shortcuts list.
5.
In the Current Shortcuts list, select the keyboard shortcut you want to delete, and then click Remove.
6.
(Optional) To rename the keyboard shortcut set, click Save As, and then in the Name box, type a name for the set as needed.
7.
Click OK.


To verify the current keyboard shortcuts for a command

Using LiveCycle Designer ES > Working with the Keyboard > Customizing keyboard shortcuts > To verify the current keyboard shortcuts for a command
To verify the current keyboard shortcuts for a command
1.
Select Tools > Keyboard Shortcuts.
2.
In the Set list, select the keyboard shortcut set that contains the keyboard shortcuts you want to verify.
3.
In the Product Area list, select (All Commands) or select the specific menu on which the command you want to access is located.
4.
In the Commands list, select the command you want. Any keyboard shortcuts assigned to the command are listed in the Current Shortcuts list.


Using Guide Builder

Using Guide Builder
Using Guide Builder
About Guide Builder and form guides
Creating form guides
Previewing a form guide
Applying changes to a form guide
Creating Accessible Form Guides


About Guide Builder and form guides

Using Guide Builder > About Guide Builder and form guides
About Guide Builder and form guides
About form guides
Parts of a form guide
About Guide Builder
Guide Builder commands


About form guides

Using Guide Builder > About Guide Builder and form guides > About form guides
About form guides
A form guide is a simplified, alternative view of a form design that guides a form filler through a form step-by-step. You use Guide Builder in Designer ES to create a form guide for a form design.
The form guide interface is based on Adobe Flex technology. You build a form guide on an existing form design to provide a more visually appealing and streamlined method of capturing form data. The enhanced interface can help reduce data entry errors through improved usability by simplifying the amount of information presented to a form filler at a given time. When you create a form guide, you can include an Adobe PDF version of the form with the form guide to give users the option of viewing and entering data on the original PDF form at any time.
Each form guide is a collection of layouts, sections, panels, and controls that provide an alternative interface of a form for form fillers. For example, the following images show a form and a form guide used to collect information for an accident claim. The original form uses a more traditional layout that is consistent with a printed form, whereas the form guide uses a layout similar to those used for content on a website.
Each form guide is directly associated with a form design, and data collected in a form guide automatically passes through to the form itself. You can create form guides that share the same business logic and validations as the form design.
For more information about form guides, go to the Adobe website at http://www.adobe.com/go/learn_lc_fgGetStart.
Designer ES includes three sample form guides that are installed in the EN\Samples\Forms\FormGuide folder under the Designer ES installation folder. For more information about the form guide samples, see About the FormGuide samples.
Note:
To use Guide Builder and correctly preview form guides in a web browser, you must install Adobe Flash® Player 9 or later.
See also
About Guide Builder
Guides, sections, and panels
About the FormGuide samples


Parts of a form guide

Using Guide Builder > About Guide Builder and form guides > Parts of a form guide
Parts of a form guide
A form guide is made up of a form guide layout, panels, and navigation controls:
•
The form guide layout is the form guide container. It specifies the navigation method and the position of each part within the container. It contains the navigation, data entry, and guide help panels, and the navigation controls.
•
The navigation panel contains the form guide hierarchy that lists the sections and data entry panels in the form guide. You use the hierarchy to organize the form guide content into logical, related groups of fields and text. The hierarchy does not have to match the form design layout. The form guide layout determines the location of the navigation panel within the form guide container. For more information about the guides, sections, and panels in the form guide hierarchy, see Guides, sections, and panels.
•
The data entry panel displays the form objects, text, and help for the selected panel. The form guide layout determines the location of the data entry panels within the form guide container. A form guide includes one or more data entry panels, but only one data entry panel is visible at a time. You can select an appropriate layout for each panel. The data entry panel is the only type of panel that you can select a layout for.
•
The guide help panel displays the help for the form guide, if help is available. The form guide layout determines the location of the guide help panel within the form guide container.
•
Navigation controls can include navigation buttons and a progress bar. Guide Builder automatically generates the navigation controls.
The following example shows the parts of a form guide in a form guide layout.
See also
Guides, sections, and panels
Customize panels


About Guide Builder

Using Guide Builder > About Guide Builder and form guides > About Guide Builder
About Guide Builder
Guide Builder is the tool within Designer ES that you use to create and edit form guides. After you open or create a form design in Designer ES, the first step in creating a form guide is to start Guide Builder.
To start Guide Builder, open a form design created in Designer ES by using the Create Or Edit Form Guide command in the Tools menu. The form design can be either an XDP file or a PDF file.
When you open Guide Builder, it opens in the expanded view. The expanded view provides you with access to all of the features of Guide Builder, including those for customizing the appearance and behavior of your form guide and previewing the form guide in a web browser.
Tip:
To set Guide Builder to always appear on top of Designer ES or any open application, right-click and select Always On Top. If you do not want Guide Builder to always appear on top of open applications, right-click and select Cancel On Top.
To switch to the simplified view, click Hide Properties.
The simplified view occupies a minimal amount of screen space so that you can drag text and field objects from your form design onto a form guide. From this view, you can also modify the structure of your form guide.
To switch to the expanded view, click Show Properties.
See also
Guide Builder commands


Guide Builder commands

Using Guide Builder > About Guide Builder and form guides > Guide Builder commands
Guide Builder commands
Guide Builder provides commands for setting up the form guide hierarchy that appears in the left pane. It also provides commands for setting the view, applying changes to a form guide, and closing Guide Builder.
Add Guide
Adds a form guide. By default, the form guide uses the Cobalt Standard guide layout and includes one section and one panel. You can add any number of guides for each form design.
Add Section
Adds a section to the selected form guide. Use sections to organize panels into logical groups. No properties are available to set for sections.
Add Panel
Adds a panel to the selected form guide. A panel contains form fields and text. By default, the panel uses the One Column panel layout.
Add Or Bind Fields
Switches the right pane in Guide Builder from Set Properties to Form Objects, when the Set Properties pane is visible. The Form Objects pane lists the objects in the form design that you can add to the form guide.
Set Properties
Switches the right pane in Guide Builder from Form Objects to Set Properties, when the Form Objects pane is visible. The Set Properties pane lists the properties that you can set the for the selected item in the form guide hierarchy.
Cut
Deletes the current selection from the form guide hierarchy.
Copy
Copies the selected form guide item.
Paste
Pastes the cut or copied content in the form guide hierarchy.
Delete
Deletes the selected item from the form guide hierarchy.
Import Guide
Imports the form guide from the specified XML file, usually an XDP file. Importing a form guide saves time when working with forms that have common fields. For example, you can import an English form guide into a Japanese form. Any fields that are not used in the current form design will not appear in the form guide. Importing a form guide does not make sense when the forms have different fields.
View
Specifies what appears in the left pane of Guide Builder.
•
All Guides
Shows all form guides.
•
Selected Guides
Shows only the selected form guides.
•
Expand All Guides
Expands all the form guides to the section level.
•
Collapse All Guides
Collapses all the form guides.
Hide Properties
Collapses the right pane when Guide Builder is in the expanded view.
Show Properties
Expands Guide Builder to show the properties in the right pane when Guide Builder is in the simplified view.
Apply
Applies any changes to the form guide and passes all changes to Designer ES.
Save
Saves any changes to the form guide and to the form design in Designer ES.
Close
Closes Guide Builder.
See also
About Guide Builder
Guides, sections, and panels
To add guides, sections, and panels
To modify or move guides, sections, panels, or form objects


Creating form guides

Using Guide Builder > Creating form guides
Creating form guides
To create a form guide
Creating the form guide hierarchy
Setting the form guide layout and properties
Setting panel layouts, properties, and conditional navigation
Adding and editing form objects and text
Customizing the appearance


To create a form guide

Using Guide Builder > Creating form guides > To create a form guide
To create a form guide
You use Guide Builder in Designer ES to create and edit form guides. Guide Builder allows you to modify all aspects of how your form guide is displayed.
The first step in creating a form guide is to open an existing form design or create a form design in Designer ES.
Note:
If the form design contains a paper forms barcode, you must modify the barcode script to check for the proper host.
When you open Guide Builder, it creates a new form guide for your form. By default, the form guide includes a section and a panel.
Scripting in form guides
Form guides support a limited set of the scripting properties and methods that are available in Designer ES. Form guides support the same properties and methods as HTML forms. Guide Builder displays a message if your form guide includes unsupported properties and methods, and displays information about scripting errors when you preview a form guide.
For more information about which properties and methods are supported in form guides, see Summary of supported properties, methods, and events.
Data binding in form guides
Follow these guidelines when using data binding with objects in a form guide:
•
Use simple binding against the data value. Complex binding against other properties is not supported.
•
Use explicit binding. If a subform has normal binding, the name of the subform must appear in the data.
•
Bind subforms that flow content to XML elements.
1.
In Designer ES, select Tools > Create Or Edit Form Guide.
2.
If Guide Builder is in simplified view, click Show Properties.
3.
Add sections and panels as required to create the guide structure. (See Creating the form guide hierarchy.)
4.
Select the form guide layout and set the guide properties. (See Setting the form guide layout and properties.)
5.
Set panel properties and any display rules or answer-based navigation. (See Setting panel layouts, properties, and conditional navigation.)
6.
Add form objects and text to panels and set their properties. (See Adding and editing form objects and text.)
7.
Customize the appearance of the form guide, including text formatting and background colors. (See Customizing the appearance.)
8.
Preview a panel layout in real time in the right pane or preview the form guide in a browser. You may need to preview the form guide and make changes in Guide Builder several times. (See Previewing a form guide.)
9.
Apply the changes to the form guide or save the changes directly to the form design in Designer ES. (See Applying changes to a form guide.)
See also
About the Object Scripting Reference
About binding fields to a data source


Creating the form guide hierarchy

Using Guide Builder > Creating form guides > Creating the form guide hierarchy
Creating the form guide hierarchy
Guides, sections, and panels
To add guides, sections, and panels
To modify or move guides, sections, panels, or form objects
To bind panel or section names to data


Guides, sections, and panels

Using Guide Builder > Creating form guides > Creating the form guide hierarchy > Guides, sections, and panels
Guides, sections, and panels
The most important aspect of creating a form guide is determining what information you need to collect from your users. Your original form design likely contains fields for capturing all of the necessary data. However, it may contain additional fields or information that is unnecessary for form fillers. You can omit any fields from the form guide that are not relevant to the form filler. You can also use display rules and answer-based navigation to create optional panels that appear only when required.
A form guide is organized into a hierarchy that organizes the content into logical, related groups of fields and text. When you determine what information you need to collect, you must consider how to structure the various text and fields that you add from your original form design. However, the form guide hierarchy does not have to match the form design layout or structure.
The form guide hierarchy consists of the following types of containers:
Guide
At the highest level, a guide stores all of the information for a particular form guide. You can create multiple form guides for each form design to handle different scenarios. You can also add help text or video for a form guide.
Section
Within a guide, you create one or more sections that contain data entry panels. Use sections to organize the panels into logical, related groups. You can also create nested sections.
Panel
Data entry panels are the containers into which you add text and form objects from the original form design. You can also add help text or video, display rules, answer-based navigation, or utility objects to a data entry panel.
When the form guide is rendered, the form guide hierarchy appears in the navigation panel of the form guide layout. The form filler uses the hierarchy to navigate through the form guide. When the form filler clicks a panel name in the hierarchy, the associated data entry panel appears.
For more information about the navigation panel, see Parts of a form guide.
The following illustration shows the form guide hierarchy for the immunization sample. The immunization form guide includes several sections that each contain several data entry panels. When the form filler clicks a section in the hierarchy, the section expands and the list of panels appears. When the form filler clicks a panel in the hierarchy, the selected data entry panel appears.
See also
About the FormGuide samples
Parts of a form guide
To add and delete display rules
To specify answer-based navigation


To add guides, sections, and panels

Using Guide Builder > Creating form guides > Creating the form guide hierarchy > To add guides, sections, and panels
To add guides, sections, and panels
You can create one or more form guides for each form design, and each form guide can contain one or more sections and panels.
When you add a guide, it has one section and one panel by default. The guide uses the default Cobalt Standard form guide layout and the panel uses the default One Column panel layout.
You can also create nested sections. To view nested sections in a form guide, you must use the Cobalt Tree guide layout. A section can contain either nested sections or panels, but not both. When you nest a section under a section that already has panels, Guide Builder adds a new nested section and moves those panels into it.
You cannot add panels to sections that contain nested sections.
Note:
In a form design that contains multiple form guides, each form guide is a view of the fields and data on the original form design, and only one form guide can be rendered at a time. Therefore, if a form guide that is not rendered contains mandatory fields, the form guide filler finds that the form guide data does not submit properly and the form guide is re-rendered. To work around this issue, one strategy is to set the mandatory property for the field to disabled, which prevents the error from occurring. For example, the following script sets the mandatory property for a text field to disabled.
if (TextField1.mandatory == "error") {
TextField1.mandatory = "disabled";
} else {
TextField1.mandatory = "error";
}
For more information about the mandatory property, see LiveCycle Designer ES Scripting Reference .
To add a form guide
*
Click Add Guide.
To add a guide, section, or panel to the form guide hierarchy
*
Click one of the Add Guide, Add Section, or Add Panel buttons to add the corresponding item to the form guide hierarchy.
To create a nested sections
1.
Add a section.
2.
Drag the new section under an existing section.
To add a panel
1.
Select a section or a panel:
•
To have the new panel appear below the last panel in a section, select the section.
•
To have the new panel appear below a particular panel, select the panel.
2.
Click Add Panel.
See also
To select a form guide layout
To select a panel layout


To modify or move guides, sections, panels, or form objects

Using Guide Builder > Creating form guides > Creating the form guide hierarchy > To modify or move guides, sections, panels, or form objects
To modify or move guides, sections, panels, or form objects
You can modify, move, cut, copy, or paste the items in the form guide hierarchy. You can also rename a guide, section, or panel in the form guide hierarchy.
To rename a guide, section, or panel
1.
In the form guide hierarchy, select the guide, section, or panel you want to rename.
2.
Click the guide, section, or panel, or press F2.
3.
Type the new name.
To cut or copy and paste an item
1.
Select one or more items.
2.
Cut or copy an item:
•
To cut an item, click Cut or right-click the item and select Cut Object.
•
To copy an item, click Copy or right-click the item and select Copy Object.
3.
Select the location, section, or panel where you want to paste the item.
4.
Click Paste or right-click where you want to paste the item and select Paste Object.
To delete an item
*
Select the item and click Delete, or right-click the item and select Delete Object.
To move an item
*
Drag the item to the new location in the hierarchy.
See also
Guides, sections, and panels


To bind panel or section names to data

Using Guide Builder > Creating form guides > Creating the form guide hierarchy > To bind panel or section names to data
To bind panel or section names to data
You can bind a panel or section name to data so that the name updates according to the data the form filler enters in a particular field. Binding panel or section names to data is particularly useful for repeating panels or sections. The field to which the panel or section name is bound can be anywhere in the form guide.
For example, if you have a form with information for multiple patients, you can bind repeating panels to a Surname field, so that each panel instance uses a patient’s surname.
*
Drag a form field onto the panel or section link icon [image] in the form guide hierarchy. The panel or section name is removed and the link icon [image] is activated.
See also
To set panel properties
To add repeating panels and sections


Setting the form guide layout and properties

Using Guide Builder > Creating form guides > Setting the form guide layout and properties
Setting the form guide layout and properties
About form guide layouts
To select a form guide layout
To set form guide properties
Form guide properties


About form guide layouts

Using Guide Builder > Creating form guides > Setting the form guide layout and properties > About form guide layouts
About form guide layouts
You can select a layout for each form guide. Form guide layouts specify the type of navigation control that the form guide uses and the placement of the navigational hierarchy, guide help text, and data entry panels within the guide container.
Going forward the form guide layouts in the left column are replaced by the layouts in the right column. You are encouraged to update existing form guides to use one of these layouts: Cobalt Bar, Cobalt Standard, Cobalt Tree, or Workspace.
Form guide layout
Replacement
Left Accordion
Cobalt Standard
Left Multilevel
Cobalt Tree
Button Bar
Cobalt Bar
Cobalt Standard
Displays the first two levels of the form guide hierarchy created in Guide Builder. Each section name within the form guide hierarchy displays as a label in the navigator. When selected, the section expands to display the contained panel names.
This guide layout is designed to handle sections that contain more panels but the visible area for each panel is smaller. The Cobalt Standard form guide layout also uses the help center panel to display both form guide-level and panel-level help in the same centralized region of the guide layout.
Cobalt Tree
Displays all active sections and panels, including nested sections, based on the form guide hierarchy created in Guide Builder. The sections and panels are displayed in a tree structure, and users can expand and collapse sections to show or hide panel information.
This guide layout is designed to display the form guide hierarchy exactly as it appears in Guide Builder. This default form guide layout is the only one that displays nested sections in the navigation panel. The Cobalt Tree form guide layout also uses the help center panel to display both form guide-level and panel-level help in the same centralized region of the guide layout.
Cobalt Bar
Uses a new button object for each section that is created in Guide Builder. When a user clicks a button, the first panel within that section is displayed with the current panel name as the title.
By default, the Cobalt Bar form guide layout is designed to handle sections that contain only one panel. If a section has more than one panel, a user must navigate between panels by using navigation controls such as Previous and Next buttons.
Workspace
Uses two nested tab navigators to display active sections and panels that are based on the form guide hierarchy created in Guide Builder. This guide layout is designed to display a form guide in a way that visually complements LiveCycle Workspace ES. However, all form guide layouts will display in Workspace ES.
Left Accordion
Displays the first two levels of the form guide hierarchy that is created in Guide Builder. Each section name within the form guide hierarchy is displayed as a label for each accordion pane. When selected, each accordion pane expands to display entries for each of the first level of active panels within the section.
This guide layout is designed to handle sections that contain more panels but the visible area for each panel is smaller.
Left Multilevel
Displays all active sections and panels, including nested sections, based on the form guide hierarchy that is created in Guide Builder. The sections and panels are displayed as a tree structure, and users can expand and collapse sections to show or hide panel information.
This form guide layout is designed to display the form guide hierarchy exactly as it appears in Guide Builder.
Button Bar
Uses a new button object for each section created in Guide Builder. When a user clicks a button, the first panel within that section is displayed with the current panel name as the title.
The Button Bar form guide layout is designed to handle sections that contain only one panel. If a section has more than one panel, a user must navigate between panels by using navigation controls such as Previous and Next buttons.


To select a form guide layout

Using Guide Builder > Creating form guides > Setting the form guide layout and properties > To select a form guide layout
To select a form guide layout
By default, Guide Builder uses the Cobalt Standard form guide layout, but you can select any of the available layouts for your form guide.
You can also add a custom component library created in Flex™ Builder™. A custom library is a Flex Builder SWC file that contains one or more guide and panel layouts. Advanced developers can use Flex Builder to create custom form guide layouts, panel layouts, and controls. Flex Builder is an open-source integrated development environment (IDE) built on the Eclipse workbench.
For more information about creating custom layouts, go to the Adobe website at http://www.adobe.com/go/learn_lc_fgCustomizing.
To select a form guide layout
1.
Make sure Guide Builder is running in expanded view, and select Edit Guide if it is not already selected.
2.
In the form guide hierarchy, select the guide container.
3.
If it is not already visible, click Select Guide Layout.
4.
Select a form guide layout.
To add a custom library
1.
Click Add Custom Library.
2.
Select the SWC file that contains the custom layouts, and then click Open. The custom guide and panel layouts appear in Guide Builder.
See also
Guides, sections, and panels
Customize the guide, logo, and progress bar
Customize panels


To set form guide properties

Using Guide Builder > Creating form guides > Setting the form guide layout and properties > To set form guide properties
To set form guide properties
At the guide container level, you specify any preferred behaviors for the form guide, including these behaviors:
•
Visual effects that are displayed when the form guide initially renders in a browser
•
Visual transitions that appear when navigating through the panels
•
Form guide help text
•
How data from the form guide is submitted, from the form guide itself or from the PDF form
When the form guide is completed, form fillers can submit their data, either electronically or by printing a hard copy, according to the submission method defined in the form guide.
To set form guide properties
1.
Make sure Guide Builder is running in expanded view, and click Edit Guide.
2.
In the form guide hierarchy, select the guide and click Guide Properties.
3.
Change form guide properties as necessary.
To add form guide help
1.
In the Enter Guide Help Title box, type the title that will appear at the top of the help panel in the form guide container.
2.
In the Enter Guide Help box, type the help contents that will appear in the help panel in the form guide container.
3.
(Optional) To add links, select the link text and type the URL in the link box.
4.
(Optional) To add video, type the URL for the video file in the video box.
5.
(Optional) To add an image, click the Image button and then specify the image URL and settings.
6.
(Optional) Format the text as required.
See also
Form guide properties
Customize the guide, logo, and progress bar
Customize panels


Form guide properties

Using Guide Builder > Creating form guides > Setting the form guide layout and properties > Form guide properties
Form guide properties
In the Guide Properties accordion you specify properties that affect the entire form guide, such as the effects and transitions, the submit method, and any guide help.
A form filler submits their form guide data, either electronically or by printing a hard copy, according to the submission method defined in the Guide Properties accordion.
The Guide Properties accordion displays several properties that you can edit:
Start-up Effects
Specifies the visual effect to use when a form guide is opened in a browser. You can also set the speed of the effect.
Panel Transition
Specifies the visual effect to use when the user navigates through the panels. You can also set the speed of the panel transition.
Enforce Required Fields
Specifies when the form filler must complete the required fields:
•
On Submit
The form filler must complete the fields before submitting the form guide data.
•
On Panel Exit
The form filler must complete the fields before moving to the next panel.
Submit From
Specifies where the form guide data should be submitted. The submit button appears on the last panel in the form guide. You can select one of the following Submit From options:
•
PDF
Submits the form guide data from the PDF form. Clicking the submit button opens the PDF form from which the form filler can submit the data. If the PDF form is not available, clicking the submit button in the form guide instructs Forms ES to create the PDF form and returns it so that the form filler can verify it and then click the Submit button in it. In this case, the form filler cannot switch between the form guide and the PDF form.
•
Guide
Submits the data from the form guide. If you select this option, the Submit Button option becomes available.
•
Printed Form
Opens the PDF form so that the form filler can print the form.
•
Hosted Application
Specifies that the hosted application, such as Workspace ES, controls the data submission. The form guide does not have a submit button. The hosted application must extract the data from the form guide and perform the data submission.
Submit Button
Specifies which form submit button to use on the last panel in the form guide. The list includes a default button and any buttons that are on the form design. If you use the default button, the data is submitted according to the default URL specified when the form was rendered. If you use a button from the form design, the data is submitted according to the script and properties that are defined for the button on the form design.
Enter Guide Help Title
Specifies the title for the help that appears in the form guide container.
Enter Guide Help
Specifies the help contents that appears in the form guide container. You can format the text, and add links and video to the contents.
•
Font (typeface)
Displays the font name for the selected text.
•
Font Size
Displays the font size for the selected text.
•
Bold
Applies or removes bold formatting to selected text.
•
Italic
Applies or removes italic formatting to selected text.
•
Underline
Applies or removes underline formatting to selected text.
•
Color
Applies a color to the selected text. You can select a color from the color picker or type the hex value for the color.
•
Align Left
Aligns text to the left.
•
Align Center
Aligns text to the center.
•
Align Right
Aligns text to the right.
•
Justify
Justifies the text.
•
Bullets
Creates a bulleted list.
•
Link
Specifies the URL for a link. The URL can use an absolute or a relative path. When the form filler clicks a link, the linked content is displayed in a separate browser window.
•
Video
Specifes the URL for a video file. The URL can use an absolute or a relative path. The guide layout determines where the video appears in the form guide.
•
Image
Specifies the URL for an image file. You can also set image properties including width, height, and position.
See also
To set form guide properties
Customize the guide, logo, and progress bar
Customize panels


Setting panel layouts, properties, and conditional navigation

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation
Setting panel layouts, properties, and conditional navigation
About panel layouts
To select a panel layout
To set panel properties
Panel properties
To add and delete display rules
To specify answer-based navigation
To add repeating panels and sections


About panel layouts

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > About panel layouts
About panel layouts
You can select a layout for each data entry panel in your form guide. The panel layouts control how the form objects flow on a single data entry panel.
Several panel layouts are available in Guide Builder:
Display PDF
Displays the panel as PDF. PDF buttons including Save PDF, Print PDF, Email PDF, and Show/Hide PDF are not displayed in the form guide. To see this layout in the form guide, the Include PDF Preview option must be selected.
Multi Column
Has up to four columns. Form objects flow from top to bottom in each column and then from left to right to the next column. You can use a Next Area object, which are referred to as Second Column, Third Column, and Fourth Column to force a column break.
Nested Optional Panel
Creates a dynamic user experience with the panel by displaying questions that are created in the Specify Answer-based Navigation menu. When a user selects a radio button that corresponds to one of the answers, additional content is displayed immediately following the radio button.
Pie Chart Horizontal
Organizes the form guide hierarchy into four distinct areas:
•
The Header is a two-column list of form objects whose data is not part of the pie chart.
•
The Entry Pane is an optional one-column list of form objects whose data is included in the pie chart.
•
The Chart Pane shows the data from the form objects that are added to the form guide hierarchy.
•
The Trailer is an additional form object that occurs after chart objects in the form guide hierarchy.
One Column
Is the default layout that is applied when you add a panel. The form objects flow from the top to the bottom of the column.
Two Column
Has two columns and the form objects flow from left to right. The form objects are distributed equally between the two columns. The form objects are positioned in this order: first column, second column, first column, second column, and so on.
Three Column
Has three columns and the form objects flow from left to right. The form objects are distributed equally among the three columns. The form objects are positioned in this order: first column, second column, third column, first column, second column, third column, and so on.
Repeater Grids
Displays repeating information in a grid. Repeater Grids do not support headers or footers. A grid has one column for each item in the panel. The captions for the repeating fields are used as column headings. Repeater Grids include Repeater First Column, Repeater Second Column, and Trailer areas.
Repeater Tabs
Displays repeating fields by using tabs. There is one tab for each repeating instance. Repeater Tabs include Repeater First Column, Repeater Second Column, and Trailer areas.
Repeater Accordions
Displays repeating information by using an accordion. There is one accordion button for each repeating instance. Repeater Accordions include Repeater First Column, Repeater Second Column, and Trailer areas.
Use repeater layouts when the fields in a panel belong to a repeating subform or when the field has multiple occurrences. Once you drag a field onto the repeater panels, select the Allow Field To Repeat check box under Field properties for the field to enable the repeater layout.
Variable Column
Creates a repeating set of named areas that display content that is organized into One Column, Two Column, or Three Column structure. This organization makes it easy to create panels that display form objects in varying sequences.
The panel is structured into the following named areas: One Column, Two Column, Three Column, One Column, Two Column, Three Column, One Column, Two Column, Three Column, One Column, Two Column, and Three Column.
Each area creates a layout similar to the corresponding panel layout. For example, the One Column areas organize objects from the form guide hierarchy in Guide Builder in the order in which they appear in the form guide hierarchy, from top to bottom. Similarly, in the Two Column areas, objects are placed in each of two columns in an alternating pattern.
Note:
You cannot add instances of the Next Area utility object to the Multi Column, Pie Chart Horizontal, Repeater Grids, Repeater Tabs, Repeater Accordions, and Variable Column panel layouts. These layout are strictly organized into the previously described areas.


To select a panel layout

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > To select a panel layout
To select a panel layout
You can select a layout for each data entry panel in your form guide. The panel layouts control how the form objects flow on a single data entry panel.
To select a data entry panel layout
1.
Make sure Guide Builder is running in expanded view, and click Edit Guide.
2.
In the form guide hierarchy, select the panel.
3.
If it is not already visible, click Select Panel Layout and select a panel layout.
See also
To add repeating panels and sections
Guides, sections, and panels
Field properties
To add form objects


To set panel properties

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > To set panel properties
To set panel properties
You can specify properties for the data entry panel, such as the default caption width for fields that appear in the panel, and for panel help text.
To set data entry panel properties
1.
Make sure Guide Builder is running in expanded view, and click Edit Guide.
2.
In the form guide hierarchy, select the panel and click Set Panel Properties.
3.
Change the panel properties as necessary.
To add panel help
1.
In the Enter Panel Help box, type the help contents that will appear in the selected panel.
2.
(Optional) To add links, select the link text and type the URL in the link box.
3.
(Optional) To add video, type the URL for the video file in the video box.
4.
(Optional) To add an image, click the Image button and then specify the image URL and settings.
5.
(Optional) Format the text as required.
See also
Panel properties
Customize panels
Customize fields and text
Customize buttons and repeater layouts


Panel properties

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > Panel properties
Panel properties
In the Guide Builder, the Set Panel Properties accordion displays several properties that you can edit:
Caption Width
Specifies the default caption width for all fields in the selected panel. If the caption exceeds the specified width, the text will wrap. By default, captions do not wrap. If no value is specified, Guide Builder ensures that field captions do not wrap in the form guide. You can override the default caption width when you edit the field properties (see Field properties).
Display Panel Full Size
Displays the panel in full size by hiding the navigation and help panels.
Enter Panel Help
Specifies the help contents that appears in the selected panel. You can format the text and add links and video to the contents.
•
Font (typeface)
Displays the font name for the selected text.
•
Font Size
Displays the font size for the selected text.
•
Bold
Applies or removes bold formatting to selected text.
•
Italic
Applies or removes italic formatting to selected text.
•
Underline
Applies or removes underline formatting to selected text.
•
Color
Applies a color to the selected text. You can select a color from the color picker or type the hex value for the color.
•
Align Left
Aligns text to the left.
•
Align Center
Aligns text to the center.
•
Align Right
Aligns text to the right.
•
Justify
Justifies the text.
•
Bullets
Creates a bulleted list.
•
Link
Specifies the URL for a link. The URL can use an absolute or a relative path. When the form filler clicks a link, the linked content is displayed in a separate browser window.
•
Video
Specifes the URL for a video file. The URL can use an absolute or a relative path. The guide layout determines where the video appears in the form guide.
•
Image
Specifies the URL for an image file. You can also set image properties including width, height, and position.
See also
Field properties
Customize panels
Customize fields and text
Customize buttons and repeater layouts


To add and delete display rules

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > To add and delete display rules
To add and delete display rules
You can specify display rules for panels that determine whether a panel is visible in a form guide. Display rules are driven by existing form guide information and require less maintenance than answer-based navigation.
When you use display rules, the panel is hidden, and does not appear in the navigation or data entry panels unless one of the rules for that panel is true. For example, you can specify that a particular panel appears in the navigation panel only when a specific check box or radio button is selected.
For each panel, you can specify multiple rules that are based on panel or field conditions. A rule can include any field or panel in the form guide. Different conditions are available for rules that are based on a panel or a field. Some conditions are either true or false; however, for other conditions, you must specify the value.
Panel or field
Condition
Value
Panel
Is visible
True or False
Field
Is empty
True or False
Field
Equals
Specify the value
If the field is numeric, a numeric comparison is performed; otherwise, a string comparison is performed.
Field
Does not equal
Specify the value
Field
Less than
Specify the value
Field
Greater than
Specify the value
Field
Less than or equal
Specify the value
Field
Greater than or equal
Specify the value
Note:
If a panel uses answer-based, conditional navigation, it is visible only if those conditions are met. For those panels, you can only create display rules that use the Field Is Empty condition.
For more information about answer-based navigation, see To specify answer-based navigation.
In the Purchase Order sample form, the Alternate Delivery Address panel is displayed only if the UseOrderedBy check box is not selected.
After you add display rules, you can move them up or down in the list.
To add a display rule
1.
Make sure Guide Builder is running in expanded view, and click Edit Guide.
2.
In the form guide hierarchy, select a panel.
3.
Click Specify Panel Display Rules.
4.
From the Display Panel options, select Use Display Rules.
5.
Click Add Rule.
6.
In the Panel Or Field list, select a panel or field.
7.
In the Condition list, select a condition for the panel or field.
8.
In the Value box, select or type a value.
To delete a display rule
*
Click the delete button [image] next to the rule you want to delete.
To reorder display rules
*
You can move a rule up or down in the list:
•
To move a rule up in the list, click the Move Up button [image] next to the rule.
•
To move a rule down in the list, click the Move Down button [image] next to the rule.
See also
Guides, sections, and panels
To specify answer-based navigation
Guides, sections, and panels


To specify answer-based navigation

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > To specify answer-based navigation
To specify answer-based navigation
You can create answer-based navigation by specifying simple questions that appear after a form filler navigates from one panel to another. The answer-based navigation allows you to control which panel to display based on how the form filler answers the questions.
Answer-based navigation allows for explicit logic to hide sections or panels in cases where the form filler implicitly answers questions by not filling in certain fields. For example, if a form filler does not enter the number of dependents, then there is no need to request details about dependents.
In the Immunization sample form, the Vaccination Information panel uses a series of questions to determine which panels to display. Each panel gathers information about a particular vaccination that was administered. If a vaccination was not administered, there is no need to display the corresponding panel.
Note:
It is recommended that the Display Panel selection appears below the current panel in the form guide hierarchy.
Questions appear below any form objects on a panel. Each question can have two or more answers. Each answer displays either a panel or the next question. If you use a panel in a question, you cannot use it in another question in the form guide. You can use the next answer option to create a sequence of questions and answers.
Note:
A panel does not have to contain form objects, and can contain only questions and answers.
To add a question
1.
Click Add Question.
2.
In the Question box, type the question.
3.
In the Answer box, type the answer.
4.
In the Display Panel box, select either Next Question or the panel to display.
To add an answer
1.
Click Add Answer.
2.
In the Answer box, type the answer.
3.
In the Display Panel box, select either Next Question or the panel to display.
To delete a question or answer
*
Click the Delete button [image] next to the question or answer.
To reorder questions
*
You can move the questions up or down in the list:
•
To move a question up in the list, click the Move Up button [image] next to the question.
•
To move a question down in the list, click the Move Down button [image] next to the question.
See also
Guides, sections, and panels
To add and delete display rules
Guides, sections, and panels


To add repeating panels and sections

Using Guide Builder > Creating form guides > Setting panel layouts, properties, and conditional navigation > To add repeating panels and sections
To add repeating panels and sections
You can add repeating panels and sections to your form guide. Use repeating panels and sections to display form objects that are in a repeating subform or that have multiple instances in the original form design. You must set at least one of the repeatable form objects in a panel to allow repeating, which sets all the repeatable objects in that panel to allow repeating. The number of repeating instances is limited to the minimum and maximum values that are specified for the form objects in the form design.
Any non-repeating form objects in a repeating panel appears in each instance of the panel or section. However, the object displays the same data in all the panels.
You can use either of these two methods to create repeating panels:
Repeat an area within a panel
A single panel can contain repeating information. You must select a repeating panel layout. Any repeatable fields will repeat within the repeating area. Structure the form objects in the panel so that all repeating fields are together, with no intervening non-repeating form objects, because there is only one repeating area within the panel. Ideally, set up the panel structure so that there are non-repeating objects at the top of the panel, such as a header, repeating fields in the middle that will appear in the repeating area, and non-repeating fields at the bottom, such as a footer.
Repeat an entire panel
You can repeat an entire panel to accommodate more form objects than repeating an area within a panel. You must select a non-repeating panel layout.
To add a repeating section, drag a repeating subform onto the section in the form guide hierarchy. Dragging the subform onto the section only causes the section to repeat in the form guide. It does not add any of the form objects in the subform to any panels.
The following buttons appear at the bottom of the repeating panel or section in the form guide:
Copy
Creates a copy of the repeating area and any data that the form filler has completed.
Add
Adds a blank panel or repeating area.
Remove
Removes the current panel or repeating area.
To create a repeating panel
1.
Select the panel and click Select Panel Layout in the right pane.
2.
Repeat an entire panel or an area within a single panel:
•
To repeat an entire panel, select Multi Column, One Column, Three Column, or Two Column. These are non-repeating panel layouts.
•
To repeat an area within a single panel, select the Repeater Accordion, Repeater Grid, or Repeater Tab layout.
3.
Add the required form objects to the panel.
4.
If you are adding a panel with repeatable areas, arrange the form objects so that the repeating objects are grouped together, with no intervening non-repeating objects.
5.
Select a repeatable object.
6.
On the Edit Field Properties pane, select Allow Field To Repeat. All repeatable fields in that panel are set to Allow Field To Repeat.
To create a repeating section
1.
Click Add Section.
2.
Click Add Or Bind Fields to display the Form Objects pane.
3.
Drag a repeating subform onto the section.
4.
Add panels and form objects as required.
To remove the repeating reference from the section
*
Right-click the section and select Remove Reference. The section will no longer repeat in the form guide.
See also
To select a panel layout
Field properties
To bind panel or section names to data


Adding and editing form objects and text

Using Guide Builder > Creating form guides > Adding and editing form objects and text
Adding and editing form objects and text
To add form objects
Form Objects pane
To bind text to objects in a form guide
Updating form objects
Field properties
Text properties


To add form objects

Using Guide Builder > Creating form guides > Adding and editing form objects and text > To add form objects
To add form objects
You can add any objects from a form design in Designer ES to a form guide, except the following objects:
•
Circle
•
Content Area
•
Signature Field
•
Line
•
Paper Forms Barcode
•
Rectangle
Note:
If you add a table to a form guide, Guide Builder adds all the table cells to the panel. To recreate the appearance of a table, use the Repeater Grid layout.
You can add form objects to your form guide by dragging the objects from the Form Objects list in Guide Builder. The Form Objects list includes all the objects on your form design. All the objects in a fragment reference appear in the Form Objects list. You can add individual objects from the fragment reference to the form guide.
You can also drag or copy and paste objects from the Layout Editor in Designer ES. You cannot drag objects from the Hierarchy palette in Designer ES.
Tip:
Use the Ctrl or Shift key to select multiple objects and drag them onto the form guide.
You can also add utility objects that are only available in Guide Builder. After you add form objects, you can move them in the form guide hierarchy.
To add form objects from the Form Objects list
1.
Make sure Guide Builder is in expanded view and click Add or Bind Fields.
2.
(Optional) To filter the objects that appear in the Form Objects list, select an option from the View list. In the Form Objects list, you can view all form objects, fields only, text objects only, utility objects only, or unused objects.
3.
Drag objects from the Form Objects view onto panels in the form guide hierarchy.
To add form objects from the Layout Editor in Designer ES
1.
Right-click in the Guide Builder and select Always On Top.
2.
Select the panel where you want to add form objects.
3.
Drag or copy and paste the objects from the form design onto the panel.
To move form objects in the form guide hierarchy
*
Select one or more form objects and drag them to the new position in the form guide hierarchy.
See also
About Guide Builder
To select a panel layout


Form Objects pane

Using Guide Builder > Creating form guides > Adding and editing form objects and text > Form Objects pane
Form Objects pane
In Guide Builder, the Form Objects pane lists the utility objects and all the objects in the form design.
To display the Form Objects pane, click Add Or Bind Fields at the top of the left pane in Guide Builder.
Utility Objects
The utility objects are objects that are available in Guide Builder. You can add one or both of these objects:
•
Guide Text
A text object that appears only in a form guide. You can edit and format the text like any other text object or use it to create white space. To create white space in a panel, add a guide text object that contains only blank spaces. To increase or decrease the amount of white space, change the font size or insert hard returns.
•
Next Area
Determines the flow of objects in the panel with a Multi Column layout. The Next Area is like a column break. It causes the objects that follow it to flow to the next column when the form guide is rendered. The panel layouts include Next Area objects by default. (e.g. Second Column, Third Column, Fourth Column for Multi Column layout.)
Refresh
Updates the form guide contents with any changes that have been made to the form design. The Refresh button is available when any change is made on the form design, such as when an object is moved, deleted, or added.
View
Specifies which form objects appear in the list:
•
All Form Objects
Lists the utility objects and all the objects on the form design.
•
Fields Only
Lists only the utility objects and the fields from the form design.
•
Text Objects Only
Lists only the utility objects and the text objects from the form design.
•
Utility Objects Only
Lists only the utility objects.
•
Unused Fields
Lists the utility objects and the form objects that are not yet added to the form guide.
See also
To add form objects
To bind text to objects in a form guide
To bind panel or section names to data


To bind text to objects in a form guide

Using Guide Builder > Creating form guides > Adding and editing form objects and text > To bind text to objects in a form guide
To bind text to objects in a form guide
You can bind the text from a form object in Designer ES to a field caption, field help, panel help, or to a guide, section, or panel name. To bind the text, you drag the object from the Form Objects hierarchy in the right pane onto the icon next to the item in the form guide hierarchy in the left pane. You cannot bind text to objects in a form guide by dragging the text from the Layout Editor or Hierarchy palette in Designer ES.
Binding text is useful on forms where field captions are created using separate text objects instead of text that is part of the field object in Designer ES. It is also useful when you want to maintain consistency and reuse existing text instead of retyping it.
Note:
If you edit the bound text on the form design, use the Refresh button [image] to update the text in the form guide.
Binding the text creates a link between the object in the form guide and the text on the form design. Different icons identify whether an item in a form guide is bound to a form object on the form design.
Dimmed link
The field caption or item name is not bound to a form object.
Link
The field caption or item name is bound to a form object or imported from the form object in the form design.
Broken Field Caption Link
The field caption link is broken.
Broken Item Reference
The item link is broken.
Dimmed help icon
No field or panel help is available.
Bound help icon
The panel or field help is bound to a form object. This icon also appears when the field has ToolTip text.
Broken help icon
The panel or field help link is broken.
Custom help icon
The panel or field help is not bound. The panel or field help is defined in Guide Builder.
1.
Make sure Guide Builder is running in expanded view, and click Add Or Bind Fields.
2.
In the Form Objects hierarchy, select the form object to bind.
3.
Drag the form object onto the link icon [image] or help icon [image] next to one of the following items in the form guide hierarchy:
•
Field
•
Panel
•
Section
•
Guide
Changes to the objects in the form design or fragment source file can affect your form guide. For example, if you delete an object that is used in your form guide from the form design, depending on which link is broken, one of the following icons appears when the form guide hierarchy is refreshed:
Broken field caption link
Broken item reference
Broken help icon
You can fix a broken link by dragging the form object on the broken link.
After you release the form object, the link icon [image] or the bound help icon [image] appears next to the object in the form guide hierarchy, indicating that the object is bound to a form object.
See also
Previewing a form guide
Accessibility properties in the Accessibility palette


Updating form objects

Using Guide Builder > Creating form guides > Adding and editing form objects and text > Updating form objects
Updating form objects
You can modify the properties associated with objects in a form guide either in Guide Builder or on the form design. Changes you make in Guide Builder only apply to the form guide, while changes you make to the form design will apply to both the form guide and any other versions of the form, such as PDF.
If you make changes to the form design while Guide Builder is open, click the Refresh button [image] to update the form object information in Guide Builder. Changes you make to the form design while Guide Builder is closed will appear automatically the next time you start Guide Builder.
See also
To bind text to objects in a form guide
Field properties
Text properties


Field properties

Using Guide Builder > Creating form guides > Adding and editing form objects and text > Field properties
Field properties
In the Guide Builder, the Edit Field Properties tab displays several properties that you can edit:
Set To Read Only On This Panel
Specifies that the selected field is not editable on the current panel.
Allow Field To Repeat
Specifies whether the field can repeat on the current panel. Guide Builder automatically detects whether it repeats based on the occurrence or subform properties that are defined in the form design.
Field Width
Specifies the width of the selected field. It uses the width specified in the form design if the field is 150 dots or wider; otherwise, it uses the default width for the Flex component. If the field is more than 400 dots, it defaults to 100%. You may need to adjust the width to accommodate multiple lines.
Field Height
Specifies the height of the selected field. This property is available only when the field allows multiple lines or does not have a limited length in the form design.
Include Symbol With Field
Specifies a sign or symbol to add to the beginning or end of the field. For example, you can add a dollar sign ($) or percent symbol (%) to the field.
Position
Specifies where the sign or symbol is added:
•
Before
Specifies that the sign or symbol is added at the beginning of the field.
•
After
Specifies that the sign or symbol is added at the end of the field.
Caption Position
Specifies where the caption should be located relative to the field:
•
Left
Specifies that the caption appears on the left of the field.
•
Right
Specifies that the caption appears on the right of the field.
•
Top
Specifies that the caption appears on the top of the field.
•
Bottom
Specifies that the caption appears on the bottom of the field.
•
None
No caption appears.
Caption Width
Specifies the caption width. Overrides the default caption width setting in the panel properties.
Object Flow
Specifies how radio buttons and check boxes are listed:
•
Default
Radio buttons and check boxes are listed vertically.
•
Keep With Previous
Radio buttons and check boxes are listed horizontally.
Display Field As A
Sets the object type for the selected field. You can change the object type that appears in the form guide. For example, if the object is a check box in Designer ES, you can set it to appear as a radio button or a list object in the form guide. Any custom components found in custom guide layouts are added to the end of this list. Different options appear for each form object type.
Form object
Display Field As A options
Button
Email Submit Button
HTTP Submit Button
Print Button
Reset Button
Button (default)
Radio Button
Radio button (default)
Checkbox
Check Box
Checkbox (default)
RadioButton
Combobox
List
Radiobuttons
Drop-down List
Combobox (default)
List
Radiobuttons
Checkboxes
List Box
List (default)
Combobox
Radiobuttons
Checkboxes
Date/Time Field
DateField (default)
TextInput
TextInputMask (default if edit or display pattern is used)
TextInputSymbol (default when a symbol is used and a pattern is not used)
Exclusion Group
Radiobuttons (default)
ComboBox
List
Checkboxes
Image Field
ImageField (default)
TextInput
Numeric Field
TextInputMask (default if an edit pattern is used)
TextInput (default if an edit pattern is not used)
TextInputSymbol (default when a symbol is present and a pattern is not used)
Password Field
TextInput (default)
Text Field
TextArea (default if multiple lines are used)
TextInputMask (default if an edit or display pattern is used)
TextInput (default if only a single line and no pattern is used)
TextInputSymbol (default when a symbol is used and a pattern is not used)
All other form objects
TextInput (default)
Edit Field Caption
Specifies the caption for the field. If the caption is defined in the form design, it is automatically imported as plain, unformatted text. You can modify the caption text and add formatting.
Edit Field Help
Specifies any help text for the field. If the help text is defined in the form design, it is automatically imported as plain, unformatted text. You can change the help text and add formatting and links. An option is added to the field help so that form fillers can always display the help text.
The following text formatting options override any settings in the Customize Appearance tab:
•
Font (typeface)
Displays the font name for the selected text.
•
Font Size
Displays the font size for the selected text.
•
Bold
Applies or removes bold formatting to selected text.
•
Italic
Applies or removes italic formatting to selected text.
•
Underline
Applies or removes underline formatting to selected text.
•
Color
Applies a color to the selected text. You can select a color from the color picker or type the hex value for the color.
•
Align Left
Aligns text to the left.
•
Align Center
Aligns text to the center.
•
Align Right
Aligns text to the right.
•
Justify
Justifies the text.
•
Bullets
Creates a bulleted list.
•
Link
Specifies the URL for a link. The URL can use an absolute or a relative path. When the form filler clicks a link, the linked content appears in a separate browser window.
•
Image
Specifies the URL for an image file. You can also set image properties including width, height, and position.
See also
To add form objects
Form Objects pane
Text properties


Text properties

Using Guide Builder > Creating form guides > Adding and editing form objects and text > Text properties
Text properties
In the Guide Builder, the Edit Text Properties tab displays several properties that you can edit:
Allow Text To Repeat
Specifies whether the text can repeat on the current panel. Guide Builder automatically detects whether it repeats based on the occurrence or subform properties that are defined in the form design.
Edit Text
Specifies the text. If the text is defined in the form design, it is automatically imported. You can change the text and add formatting and links.
The following text formatting options override any settings in the Customize Appearance tab:
•
Font (typeface)
Displays the font name for the selected text.
•
Font Size
Displays the font size for the selected text.
•
Bold
Applies or removes bold formatting to selected text.
•
Italic
Applies or removes italic formatting to selected text.
•
Underline
Applies or removes underline formatting to selected text.
•
Color
Applies a color to the selected text. You can select a color from the color picker or type the hex value for the color.
•
Align Left
Aligns text to the left.
•
Align Center
Aligns text to the center.
•
Align Right
Aligns text to the right.
•
Justify
Justifies the text.
•
Bullets
Creates a bulleted list.
•
Link
Specifies the URL for a link. The URL can use an absolute or a relative path. When the form filler clicks a link, the linked content is displayed in a separate browser window.
See also
To add form objects
Form Objects pane
Field properties


Customizing the appearance

Using Guide Builder > Creating form guides > Customizing the appearance
Customizing the appearance
About customizing the appearance
To customize the appearance of a form guide
To use custom styles
Customize the guide, logo, and progress bar
Customize panels
Customize fields and text
Customize buttons and repeater layouts
Customize navigation


About customizing the appearance

Using Guide Builder > Creating form guides > Customizing the appearance > About customizing the appearance
About customizing the appearance
On the Customize Appearance tab in Guide Builder, you can set the color schemes, images, and text formatting for all parts of a form guide, including these:
•
Form guide borders and backgrounds
•
Form guide help
•
Panel borders and backgrounds
•
Buttons
•
All levels of the form guide navigation tree
•
Progress bar
•
All form guide text
Note:
Guide Builder resets all form guide style information if you select a new form guide layout. You must save your style information in either a CSS file or a SWC file to reuse or share your style information.
Saving style settings
When you change any style setting, you must save the styles in a SWC or cascading style sheet (CSS) file. If you save the styles in a SWC file, it includes the style settings and the layout settings that you selected on the Edit Guide tab. If you save the styles in a CSS file, you cannot include any images.
After you change the style settings, you should preview the form guide. If you have not saved the style changes, Guide Builder prompts you to save your changes. You can save the styles at any time by clicking Save Styles.
See also
Previewing a form guide
Applying changes to a form guide


To customize the appearance of a form guide

Using Guide Builder > Creating form guides > Customizing the appearance > To customize the appearance of a form guide
To customize the appearance of a form guide
On the Customize Appearance tab, you can specify colors and background images for various parts of the form guide, such as the logo, progress bar, panels, buttons, and navigation.
When you specify a color, you can either select the color from the color picker or type the hex value for the color.
You can also format the text that appears in the form guide. Each Customize Appearance accordion has different kinds of text that you can format:
Customize Appearance accordion
Text that you can format
Customize Guide, Logo And Progress Bar
•
Guide title
•
Progress bar
Customize Panels
•
Navigation panel title
•
Data entry panel title
•
Guide help panel title
Customize Field And Text
•
Panel text
•
Panel help text
•
Field help text
•
Field caption
•
Field text
Customize Buttons And Repeater Layouts
•
Repeater layout text
•
Button text
Customize Navigation
•
Navigation panel text
To specify colors and background images
1.
Make sure Guide Builder is running in expanded view, and click Customize Appearance.
2.
Browse through the following accordion menus and change any color and background image options:
•
Customize Guide, Logo, And Progress Bar
•
Customize Panels
•
Customize Field And Text
•
Customize Buttons and Repeater Layouts
•
Customize Navigation
To format text
1.
In the right pane, click the text. The entire text area is selected.
2.
Use the controls at the bottom of the right pane to format all the text:
•
Font (typeface)
Displays the font name for the selected text.
•
Font Size
Displays the font size for the selected text.
•
Bold
Applies or removes bold formatting to selected text.
•
Italic
Applies or removes italic formatting to selected text.
•
Underline
Applies or removes underline formatting to selected text.
•
Color
Applies a color to the selected text. You can select a color from the color picker or type the hex value for the color.
The changes immediately apply to all the text.
See also
Customize the guide, logo, and progress bar
Customize panels
Customize fields and text
Customize buttons and repeater layouts
Customize navigation


To use custom styles

Using Guide Builder > Creating form guides > Customizing the appearance > To use custom styles
To use custom styles
You can import an existing CSS or SWC file instead of specifying style settings in Guide Builder so that the form guide follows style conventions that you use in multiple form guides or in other documents.
If you import a custom styles SWC file, editing the styles affect all other form guides that use that SWC file. If the SWC file is a third-party format, it will be replaced with a default guide version when you save it. If you import a custom CSS file, you must use the same class names and attributes as Guide Builder.
For more information about setting up a custom CSS file so that you can import it into Guide Builder, go to the Adobe website at http://www.adobe.com/go/learn_lc_fgCustomizing.
1.
Click Use Custom Styles.
2.
Select the CSS or SWC file that contains the styles and click Open.
See also
To select a form guide layout


Customize the guide, logo, and progress bar

Using Guide Builder > Creating form guides > Customizing the appearance > Customize the guide, logo, and progress bar
Customize the guide, logo, and progress bar
In the Customize Guide, Logo And Progress Bar accordion, you can customize the following settings:
•
Background color of the form guide container
•
Color, padding, and radius of rounded corners for the border
•
Background color and image for the area inside the form guide container
•
Color of the progress bar
•
Image file for the logo
•
Text formatting for the guide title
•
Text formatting for the progress bar
You can also format the Guide Title and Progress Bar text by clicking the text in the right pane, which selects the text area. Use the controls at the bottom of the right pane to format all of the text. The changes appear immediately in the right pane. For more information about how to format the text, see To customize the appearance of a form guide.
The Customize Guide, Logo And Progress Bar accordion displays several properties that you can customize:
Background
Specifies two colors for the form guide container. Guide Builder uses the two colors to create a gradient fill. You can select a color or type a hex value.
Border
Specifies two colors for the form guide borders. Guide Builder uses the two colors to create a gradient fill. You can select a color or type a hex value.
•
P
Specifies the border padding.
•
C
Specifies the radius of rounded corners.
Guide Background
Specifies the background color for the area inside the form guide container. You can select a color or type a hex value and set the transparency as a percentage. You can also import an image that will automatically resize to fit in the form guide background. The image file can be in GIF, JPG, JPEG, or PNG format.
•
Delete
Deletes the background image from the form guide.
Progress Bar
Specifies the color of the progress indicator. You can select a color or type a hex value.
Logo
Specifies the logo that appears next to the guide title in the form guide container.
•
Delete
Deletes the logo from the form guide.
•
Edit Image
Changes the size of the logo.
Use Custom Styles
Specifies the CSS or SWC file that contains the style settings for the form guide and sets the options in the Customize Appearance tab accordingly. If you change any of the options in the Customize Appearance tab, you must save the file.
See also
To customize the appearance of a form guide
To use custom styles


Customize panels

Using Guide Builder > Creating form guides > Customizing the appearance > Customize panels
Customize panels
In the Customize Panels accordion, you can modify the color, background images, and text formatting of the navigation, data entry, and guide help panels.
You can also format the title text that appears in the panel headers by clicking the text in the right pane, which selects the text area. Use the controls at the bottom of the right pane to format the text. The changes appear immediately in the right pane.
The Customize Panels accordion displays several properties that you can customize:
Panel Border
Specifies the color for the panel borders. You can select a color or type a hex value.
•
C
Specifies the radius of rounded corners.
Panel Header
Specifies two colors for the panel headers. Guide Builder uses the two colors to create a gradient fill. You can select a color or type a hex value.
Data Entry
Specifies the background color for the data entry panel. You can specify the opacity as a percentage. You can select a color or type a hex value and set the transparency as a percentage. You can also import a background image.
Guide Help
Specifies the background color for the guide help panel. You can specify the opacity as a percentage. You can select a color or type a hex value and set the transparency as a percentage. You can also import a background image.
Navigation
Specifies the background color for the navigation panel. Guide Builder uses the two colors to create a gradient fill. You can specify the opacity as a percentage. You can select a color or type a hex value and set the transparency as a percentage. You can also import a background image.
Use Custom Styles
Specifies the CSS or SWC file that contains the style settings for the form guide and sets the options in the Customize Appearance tab accordingly. If you change any of the options in the Customize Appearance tab, you must save the file.
See also
Parts of a form guide
Guides, sections, and panels


Customize fields and text

Using Guide Builder > Creating form guides > Customizing the appearance > Customize fields and text
Customize fields and text
In the Customize Field And Text accordion, you can customize the appearance of areas within the panels, such as backgrounds.
You can format the panel help, field help, panel, field caption, and field text by clicking the text in the right pane, which selects the text area. Use the controls at the bottom of the right pane to format the text. The changes appear immediately in the right pane. Any text formatting on the properties pages override these settings for the help, panel, field caption, or field text. For more information about how to format the text, see To customize the appearance of a form guide.
The Customize Field And Text accordion displays several properties that you can customize:
Panel Help Background
specifies a background color for the help that appears in the data entry panel. You can set the transparency as a percentage.
Field Help Background
Specifies a background color for the field help.
Field Background
Specifies a background color for the fields that appear in the data entry panel. You can set the transparency as a percentage.
Field Active
Specifies the border color for the currently active field.
Use Custom Styles
Specifies the CSS or SWC file that contains the style settings for the form guide and sets the options in the Customize Appearance tab accordingly. If you change any of the options in the Customize Appearance tab, you must save the file.
See also
To set panel properties
Field properties


Customize buttons and repeater layouts

Using Guide Builder > Creating form guides > Customizing the appearance > Customize buttons and repeater layouts
Customize buttons and repeater layouts
In the Customize Buttons And Repeater Layouts accordion, you can customize the appearance of button and repeaters.
You can format the button and repeating area text by clicking the text in the right pane, which selects the text area. Use the controls at the bottom of the right pane to format the text. The changes appear immediately in the right pane. For more information about how to format the text, see To customize the appearance of a form guide.
The Customize Buttons And Repeater Layouts accordion displays several properties that you can customize:
Button Color
Specifies two colors for buttons. Guide Builder uses the two colors to create a gradient fill.
Button Theme Color
Specifies the theme color for buttons. The theme color is used for the border when a form filler moves the mouse pointer over a button and is used for the background color when the form filler clicks a button.
Repeater Theme Color
Specifies the background color for repeating areas in a repeating panel layout.
Use Custom Styles
Specifies the CSS or SWC file that contains the style settings for the form guide and sets the options in the Customize Appearance tab accordingly. If you change any of the options in the Customize Appearance tab, you must save the file.
See also
To select a panel layout
To add repeating panels and sections


Customize navigation

Using Guide Builder > Creating form guides > Customizing the appearance > Customize navigation
Customize navigation
In the Customize Navigation accordion, you can specify colors for the controls in the navigation panel, such as accordions or tabs. The navigation panel can include up to five levels.
You can also format the navigation control and tab text by clicking the text in the right pane, which selects the text area. Use the controls at the bottom of the right pane to format the text. The changes appear immediately in the right pane. For more information about how to format the text, see To customize the appearance of a form guide.
The Customize Navigation accordion displays several properties that you can customize:
Default
Specifies two colors for the navigation controls. Guide Builder uses the two colors to create a gradient fill.
Over
Specifies the border color that is used when the form filler moves the mouse pointer over a navigation control.
Selected
Specifies the background color that is used when the form filler selects a navigation control.
Use Custom Styles
Specifies the CSS or SWC file that contains the style settings for the form guide and sets the options in the Customize Appearance tab accordingly. If you change any of the options in the Customize Appearance tab, you must save the file.
See also
Parts of a form guide


Previewing a form guide

Using Guide Builder > Previewing a form guide
Previewing a form guide
There are two ways to preview form guide content. You can preview a panel layout in the right pane, or you can preview the form guide by clicking the Preview tab at the top of the expanded Guide Builder view.
The Panel Preview panel updates in real time to show the changes that you make to the panel properties as they occur.
When you click the Preview tab, Guide Builder renders your form guide as a SWF file and displays the SWF file in your default web browser.
If scripting errors occur, you can turn off all scripting in your form guide and restart the preview. To preview the form guide without using any scripting, select the Exclude Scripting option and click Restart Preview.
The Include PDF Preview option generates a PDF of the form design as well as the form guide. Users can then click the PDF icon in the rendered form guide to open the PDF form. All changes that the user makes to the PDF form are persisted in the form guide and vice versa.
The Quick Preview option makes previewing much faster.
At the top of the Preview tab, Guide Builder displays any warnings or errors with a description and the template and guide location. Clicking the location number opens an accordion and displays the location where the error and warning occurred.
You can use the information in the accordions to debug any errors or warnings:
•
Guide Content
Displays the XML source for the form guide.
•
Template Content
Displays the XML source for the XDP form design. You can also view this information on the XML Source tab in Designer ES.
•
Log Content
Displays the contents of the preview log.
•
CSS Content
Displays the contents of the CSS file for the form guide. If you saved the styles as a SWC file, the CSS information is in the SWC file.
Note:
If the form guide does not function correctly when viewed in a browser, you may need to lower your browser security settings.
See also
To create a form guide
About customizing the appearance


Applying changes to a form guide

Using Guide Builder > Applying changes to a form guide
Applying changes to a form guide
Unless you’ve made style changes, you can apply changes to your form guide at any time by clicking Apply on the Edit Guide tab. Clicking Save stores the form guide information within the original form design and saves the guide style as a SWC file relative to the form design file.
When you change style settings in the Customize Appearance tab, you must save your changes before you perform any other tasks. All style information is saved in a SWC file. If you move the form design file, you must maintain the same relative path to the SWC file.
After you apply and save your form guide changes, close Guide Builder. The changes to the form design in Designer ES are also saved when you save the form guide changes.
See also
To create a form guide
About customizing the appearance


Creating Accessible Form Guides

Using Guide Builder > Creating Accessible Form Guides
Creating Accessible Form Guides
About accessible form guides
Form guide support for screen readers
Navigating accessible form guides


About accessible form guides

Using Guide Builder > Creating Accessible Form Guides > About accessible form guides
About accessible form guides
An accessible form guide is one that a wide range of people can use, including those who may have disabilities that affect how they are able to interact with the form guide on the computer screen.
When creating form guides, you should consider your users who have disabilities. For tips about designing accessible form guides, see General considerations for designing accessible forms.


Form guide support for screen readers

Using Guide Builder > Creating Accessible Form Guides > Form guide support for screen readers
Form guide support for screen readers
Guide Builder supports the Microsoft Active Accessibility (MSAA) compliant screen reader, JAWS for Windows from Freedom Scientific
To most effectively use the JAWS screen reader with a form guide, users must download and install scripts. These scripts enable some of the accessibility features of Flex and let users use the standard JAWS keyboard shortcut to enter Forms mode on a larger than usual set of user interface controls. It is important to direct users with visual impairments to these scripts (http://www.adobe.com/macromedia/accessibility/features/flex/jaws.html) so that they can use JAWS effectively.


Navigating accessible form guides

Using Guide Builder > Creating Accessible Form Guides > Navigating accessible form guides
Navigating accessible form guides
Form fillers tab to move through a form guide. Form fillers also use the arrow keys to move between items in a list and the Tab key to move out of the list. The same is true for a group of radio buttons. Pressing the spacebar selects objects such as a radio button, a check box, or a navigation button.
The tabbing order depends on whether a screen reader is used to access the form guide. It is good practice to test the form guide as you work to ensure that accessibility works as expected.
When a screen reader is not used, the tabbing order starts at the top of the data entry panel, moving left to right until reaching the bottom. Tabbing order then moves left to right between the navigation buttons and then left to right in the PDF toolbar. The navigational panel and guide help panel are ignored.
When a screen reader is used, the tabbing order depends on the form guide layout:
Left Accordion, Left Multilevel, Button Bar, Cobalt Bar, and Workspace layouts
Tabbing order starts at the top of the data entry panel, moving left to right until reaching the bottom. Tabbing order then moves left to right between the navigation buttons and then left to right in the PDF toolbar. The navigational panel and guide help panel are ignored. A help icon is included with the PDF icons if Guide help is present. The help icon is included in the tabbing order.
Cobalt Standard and Cobalt Tree layouts
Tabbing order starts at the start of the text in the guide help panel. If the help content includes a video, the next tab stops on the video button. The form filler presses the spacebar to start the video, and then again to stop the video and return to the guide help panel.
If both panel help and guide help are available in the help center, panel help is displayed by default and guide help is available at the bottom of the help center. The next tab stops on the guide help bar at the bottom of the help center. The form filler presses the spacebar to move the focus to the help contents.
From the help panel, the next tab stops at the top of the data entry panel, moving left to right until reaching the bottom. Tabbing order then moves left to right between the navigation buttons and then left to right in the PDF toolbar. The navigational panel is ignored.
If the form guide contains more than one panel, tabbing order on the next panel starts at the top of the data entry panel.
See also
Guides, sections, and panels


Scripting

Scripting
Scripting
Scripting Using LiveCycle Designer ES
Scripting Reference
FormCalc User Reference


Scripting Using LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES
Scripting Using LiveCycle Designer ES
About scripting in LiveCycle Designer ES
Configuring LiveCycle Designer ES Workspace for Scripting
Creating Calculations and Scripts
Events
Scripting Languages
Referencing Objects in Calculations and Scripts
Variables
Debugging Calculations and Scripts
Working with a Host Application
Working with the Event Model
Creating and Reusing JavaScript Functions
Using Script Fragments
Moving from Scripting in Acrobat to LiveCycle Designer ES
Examples of Common Scripting Tasks


About scripting in LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > About scripting in LiveCycle Designer ES
About scripting in LiveCycle Designer ES
About calculations and scripts
How scripting works
Objects that support calculations and scripts


About calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > About scripting in LiveCycle Designer ES > About calculations and scripts
About calculations and scripts
As part of the form design process, a form developer can use calculations and scripts to provide a richer user experience. You can add calculations and scripts to most form fields and objects. For example, the following JavaScript script multiplies the values of two numeric fields together and displays the result in a third numeric field:
NumericField3.rawValue = NumericField1.rawValue * NumericField2.rawValue;
At a more advanced level, you can create your own functions tailored towards your own custom form processing needs.
LiveCycle Designer ES supports two scripting languages, each geared towards the needs of a particular type of form developer. FormCalc is a straightforward, easy-to-use calculation language that is modelled on common spreadsheet functionality. It includes a variety of built-in functions designed to reduce the amount of time you need to spend developing your form design. JavaScript, a powerful scripting language, provides you with a great deal of flexibility when creating your scripts and allows you to leverage any existing knowledge of the language.
Remember that scripting on a form is entirely optional. You can choose to take advantage of scripting to provide a richer user experience, but many of the most powerful features available during form creation are available in LiveCycle Designer ES without the use of scripts. However, through scripting, you can manipulate and control almost all aspects of your form design.
See also
How scripting works
Objects that support calculations and scripts
About using FormCalc
About using JavaScript
About the Object Scripting Reference


How scripting works

Scripting > Scripting Using LiveCycle Designer ES > About scripting in LiveCycle Designer ES > How scripting works
How scripting works
LiveCycle Designer ES scripting uses an event-based model that allows you to alter various aspects of objects on a form at run time. As a form designer, you add scripts to objects based on when you want the script to execute. For example, you might place the following script on the click event of a button object so that at run time, when a user clicks the button, a message box appears with a message:
xfa.host.messageBox("This is a message for a form filler.", "User Feedback", 3);
Scripts associated with a particular event execute whenever that event occurs. Some events can occur multiple times within the same form filling session. For example, the following script adds one to the current value of a numeric field:
NumericField1.rawValue = NumericField1.rawValue + 1;
If you add this script to the calculate event for NumericField1, when you open the form for the first time, NumericField1 displays the value 2. This indicates that the calculate event occurred twice in the sequence of events that occurred when the form was opened.
See also
About events
Objects that support calculations and scripts


Objects that support calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > About scripting in LiveCycle Designer ES > Objects that support calculations and scripts
Objects that support calculations and scripts
The following table provides a quick reference of scripting support for the standard objects that are included in the Library palette in LiveCycle Designer ES.
Objects that support calculations and scripts
Objects that do not support calculations and scripts
Barcodes
Circle
Button
Content Area
Check Box
Line
Date/Time Field
Rectangle
Decimal Field
Image
Signature Field
Subform Sets
Drop-Down List
Table sections
Email Submit Button
Text
HTTP Submit Button
Image Field
List Box
Numeric Field
Paper Forms Barcode
Password Field
Print Button
Radio Button
Reset Button
Subform
Table (including body rows, header rows, and footer rows)
Text Field
See also
About the Object Scripting Reference


Configuring LiveCycle Designer ES Workspace for Scripting

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting
Configuring LiveCycle Designer ES Workspace for Scripting
About the Script Editor
To show the Script Editor
To change from single-line to multiline view
To set the default scripting language
To set the default processing application
To display Arabic, Hebrew, Thai, and Vietnamese characters
Using the workspace to debug calculations and scripts


About the Script Editor

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > About the Script Editor
About the Script Editor
The Script Editor within LiveCycle Designer ES is where you create, modify, and view the calculations and scripts of a particular form.
The Script Editor itself has both a single-line view and a multiline view, which you can easily switch between, depending on your current needs. Single-line view is designed to maximize the amount of space dedicated to the Layout Editor and other palettes, whereas multiline view is designed to maximize the amount of space for writing script.
Show
Lists all form design events that support user-defined scripting. Any events that do not apply to a particular object appear dimmed. Events that contain a calculation or script display an asterisk (*) beside the name of the event.
Show Events for Child Objects
Displays the event you have currently selected in the Show list for the current object and all of its child objects. If you select the uppermost object in the Hierarchy palette, this option displays the event you have currently selected in the Show list for all objects on your form.
Functions
Displays a list of available built-in FormCalc or JavaScript functions, depending on the scripting language you currently have selected in the Language list.
To place a function onto your script editing field, select a function from the list and press Enter.
Check Script Syntax
Checks all of the scripts in a form for correct syntax and reports any errors on the Log tab in the Report palette.
Language
Specifies the scripting language you want to use for the current calculation or script. Two options are available:
•
FormCalc is a native Adobe calculation language typically used for shorter scripts, such as simple calculations.
•
JavaScript is a robust and flexible scripting language suitable for more complex scripts.
Run At
Specifies where the calculation or script will execute. Three options are available:
•
Client
Calculations and scripts execute while the client application (for example, Acrobat, Adobe Reader, or a web browser) processes the form.
•
Server
Calculations and scripts execute while the server application (for example, LiveCycle Forms ES) processes the form.
•
Client and server
Calculations and scripts execute while the server application (for example, LiveCycle Forms ES) processes the form, except in cases where the HTML client application supports client-side scripting. For example, a script that accesses a database to prefill data on a form.


To show the Script Editor

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > To show the Script Editor
To show the Script Editor
*
Select Window > Script Editor.
Note:
You can use the Expand button to quickly dock or undock the Script Editor when it is displayed in the LiveCycle Designer ES workspace.


To change from single-line to multiline view

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > To change from single-line to multiline view
To change from single-line to multiline view
*
Drag the Script Editor palette bar until the palette is the required size.
Note:
Multiline view adds the All Events and Events with Scripts options to the Show list. The All Events option displays all of the events for a particular form design object, even if the events do not contain any calculations or scripts. The Events with Scripts option displays only those events of a particular object that contain calculations or scripts.


To set the default scripting language

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > To set the default scripting language
To set the default scripting language
1.
Select Edit > Form Properties.
2.
Click the Defaults tab.
3.
Select your default scripting language from the Default Language list.
Note:
This procedure sets the value of the default scripting language only for the current instance of the form.
To avoid changing the default scripting language each time you create a form, you must modify the corresponding form template file that is used to create a new form design.
To change the default scripting language for a form template
1.
Create a new form design.
2.
Select Edit > Form Properties.
3.
Click the Defaults tab.
4.
Select your default scripting language from the Default Language list.
5.
Make a backup of the original form template file located in the Templates folder where LiveCycle Designer ES is installed.
6.
Save the new form design as a TDS file and overwrite the corresponding form template. For example, save the file as Letter.tds and overwrite the Letter.tds file located in Templates\Blank folder.


To set the default processing application

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > To set the default processing application
To set the default processing application
1.
Select Edit > Form Properties.
2.
Click the Defaults tab.
3.
Select your default processing application from the Default Run At list.
Note:
This procedure only sets the value of the default processing application for the current instance of the form.
To avoid changing the default processing application each time you create a form, you must modify the corresponding form template file that is used to create a new form design.
To change the default processing application for a form template
1.
Create a new form design.
2.
Select Edit > Form Properties.
3.
Click the Defaults tab.
4.
Select your default processing application from the Default Run At list.
5.
Make a backup of the original form template file located in the Templates folder where LiveCycle Designer ES is installed.
6.
Save the new form design as a TDS file and overwrite the corresponding form template. For example, save the file as Letter.tds and overwrite the Letter.tds file located in Templates\Blank folder.
See also
About creating calculations and scripts
Determining where to run your calculation or script
About events


To display Arabic, Hebrew, Thai, and Vietnamese characters

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > To display Arabic, Hebrew, Thai, and Vietnamese characters
To display Arabic, Hebrew, Thai, and Vietnamese characters
To display Arabic, Hebrew, Thai, and Vietnamese characters in the Script Editor or XML Source tab, you must change the font settings that LiveCycle Designer ES uses in these tabs. Otherwise, LiveCycle Designer ES displays rectangles where the language-specific characters should be.
1.
Select Tools > Options and select Workspace from the list on the left.
2.
Select one of the following options:
•
FormCalc Syntax Formatting to set the font in the Script Editor when you use FormCalc
•
JavaScript Syntax Formatting to set the font in the Script Editor when you use JavaScript
•
XML Source Syntax Formatting to set the font in the XML Source tab
3.
In the Font box, select a font that supports your language. For example, Adobe Arabic supports Arabic, Adobe Hebrew supports Hebrew, Adobe Thai supports Thai, and Myriad® Pro and Minion® Pro support Vietnamese. You can locate the font you need for your language on the Internet if it is not already on your system.
4.
Click OK.
5.
Click OK to close the Options dialog box.


Using the workspace to debug calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Configuring LiveCycle Designer ES Workspace for Scripting > Using the workspace to debug calculations and scripts
Using the workspace to debug calculations and scripts
The LiveCycle Designer ES workspace provides a number of ways to assist you with debugging your calculations and scripts.
The following table provides the location and purpose of some helpful debugging information located on various LiveCycle Designer ES palettes and tabs.
Workspace location
Purpose
Warnings tab in the Report palette
Displays target and warning marker messages as well as all JavaScript or FormCalc scripting syntax errors when you select the Check Script Syntax command from the Tools menu or click the Check Script Syntax button in the Tools toolbar. For more information, see “To check script syntax”.
When you double-click a syntax warning message in the Warnings tab, the script that contains the error is loaded into the Script Editor, and the line with the error is highlighted.
You can also double-click a warning message to select the related object in the Design View and the Hierarchy palette, and press F1 to display information about how to fix the warnings.
Note:
To check for JavaScript run-time errors, you can activate the JavaScript Console. For more information, see “To enable the JavaScript Debugger for LiveCycle Designer ES”.
Binding tab in the Report palette
If you include fields on your form design that are bound to a data source, the Binding tab can assist you by displaying lists of fields based on how you defined their data binding. For example, you can list only fields with Global Data Binding or only those with no data binding defined. This feature is especially useful on forms that have a large number of data bound fields.
Log tab in the Report palette
Displays validation messages, JavaScript or FormCalc scripting execution errors, and design-time form rendering errors generated by LiveCycle Designer ES when you import or save a form, or preview a form using the Preview PDF tab.
Hierarchy palette
You can use the Hierarchy palette to determine the location of a form object for a reference syntax. The Hierarchy palette is a graphical representation of the structure of a form. It displays the contents of the Master Pages and Design View tabs.
The Hierarchy palette also displays referenced objects under the Referenced Objects node. A referenced object is an object that is added to a form only when it is required. Whenever data flows across multiple pages or content areas, the overflow leader and trailer subforms are inserted into the form in the appropriate places.
Binding tab in the Object palette
Every LiveCycle Designer ES object that can be bound to a data source includes a Binding tab in the Object palette. If you bind an object on your form design to a particular data node from your data connection, the Default Binding (Open, Save, Submit) list displays a valid FormCalc reference syntax for accessing that data node. You can use the FormCalc reference syntax in other calculations or scripts for testing purposes.
XML Source tab
The XML Source tab contains the form design’s XML code. The XML source code defines all aspects of the form. You can use the XML Source tab to view the XML Form Object Model structure of a form design and to understand the relationships between objects and properties. In the XML source, the XML element names are equivalent to the object names in the XML Form Object Model, and attributes are equivalent to properties.
When you select an object in the Hierarchy palette and then click the XML Source tab, the first line of the corresponding element is highlighted. The object name in LiveCycle Designer ES, as listed in the Hierarchy palette, becomes the value of the name attribute in the XML source.
You can set options in the Tools > Options dialog box for viewing the source in the XML Source tab, such as showing or hiding line numbers and setting the syntax coloring.
Caution:
It is recommended that you do not edit the XML source code directly.
You may also find it useful to change the default options for the Script Editor to make it easier to debug your calculations and scripts. These options are in the Workspace panel of the Options dialog box, which is available by selecting Tools > Options and then selecting Workspace from the list on the left. For example, you can choose to display line numbers in the Script Editor or change the formatting of FormCalc or JavaScript syntax.
See also
Testing and debugging calculations and scripts
About debugging calculations and scripts
About editors and palettes
Hierarchy palette
Report palette
Object palette
About warning messages
Addressing target warning messages


Creating Calculations and Scripts

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts
Creating Calculations and Scripts
About creating calculations and scripts
Naming conventions for form design objects and variables
Choosing a scripting language
To create a calculation or script
To find text or other items
To replace text or other items
To use statement completion to create calculations and scripts
To insert object reference syntax automatically
Determining when to run your calculation or script
To view scripting events and scripts
Determining where to run your calculation or script
Testing and debugging calculations and scripts
To check script syntax
Working around security restrictions


About creating calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > About creating calculations and scripts
About creating calculations and scripts
LiveCycle Designer ES provides a wide range of calculation and scripting features that you can use to perform a variety of tasks. For example, the following script changes the color of a text field border and the font size of the text field value:
TextField1.border.edge.color.value = "255,0,0";
TextField1.font.typeface = "Courier New";
More complex forms can take advantage of scripting to perform data source connectivity and data manipulation at run time. For examples of common scripting tasks, see “Examples of Common Scripting Tasks”.
Creating calculations and scripts in LiveCycle Designer ES involves following a general process each time you attach a calculation or script to an object. Although not all aspects of the process are required each time you create a calculation or script, following the process helps to eliminate potential errors and unexpected results.
In general, each time you create a calculation or script, you perform the following tasks:
•
Select the object to which you want to attach a calculation or script. Although you can create calculations and scripts that manipulate almost any object on your form design, not all form design objects support form events. For a list of standard objects included in the Object Library palette in LiveCycle Designer ES that support scripting, see “Objects that support calculations and scripts”.
•
Select the form event to which you want to assign the calculation or script. The calculation or script associated with an event executes each time the form event triggers. For example, calculations or scripts attached to the click event of a button trigger each time the form filler clicks the button while filling the form.
•
Choose the scripting language you want to use. Depending on the form you create, you may decide to use only FormCalc, only JavaScript, or a mixture of both languages. You can only use one scripting language on a particular instance of a form object event.
•
Choose where the calculation or script runs, either on the client application, such as Acrobat or Adobe Reader, or on the server using LiveCycle Forms ES.
•
Write your calculation or script in the script editing field of the Script Editor.
•
Test the calculation or script either by using the Preview PDF tab or in your test environment.
See also
To create a calculation or script
To find text or other items
To replace text or other items
To use statement completion to create calculations and scripts
Determining when to run your calculation or script
To view scripting events and scripts
Determining where to run your calculation or script
Testing and debugging calculations and scripts


Naming conventions for form design objects and variables

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > Naming conventions for form design objects and variables
Naming conventions for form design objects and variables
When creating calculations or scripts to enhance your form, you should be aware of the form design object and variable names on your form. In general, your form should avoid using the names of XML Form Object Model properties, methods, and objects for form design objects and variables. Using XML Form Object Model property, method, or object names can result in calculations and scripts not executing properly.
For example, if you create a new text field named x within a subform object named Subform1, you access the text field object using the following syntax:
Subform1.x.[expression]
However, subform objects already have an XML Form Object Model property named x that represents the horizontal position of the subform on the form design.
To avoid naming conflicts, you need to choose field naming conventions that differ from the XML Form Object Model naming conventions. For example, you can use any of the following field names for the text field in the example above:
•
horizontalValue
•
x_value
•
xLetter
•
hValue
For more information and a list of the XML Form Object Model property, method, and object names, see Scripting Reference.
See also
Naming variables
About creating calculations and scripts


Choosing a scripting language

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > Choosing a scripting language
Choosing a scripting language
LiveCycle Designer ES supports scripting with both FormCalc and JavaScript. Each scripting language presents its advantages that you should be aware of before you write any scripts on your form.
FormCalc is a calculation language that includes a wide range of built-in functions to simplify the most common form functionality. For example, you can use FormCalc financial functions to evaluate the size of a loan payment based on the principle amount, interest rate, and number of payment periods.
JavaScript is a more powerful and diverse scripting language, intended to give you more flexibility and leverage your existing scripting knowledge. For example, you can reuse your existing JavaScript functions in LiveCycle Designer ES to reduce the amount of new scripting you need to create.
Note:
LiveCycle Designer ES supports JavaScript version 1.6 or earlier.
The following table highlights some of the key differences between FormCalc and JavaScript.
FormCalc
JavaScript
Native Adobe calculation language valid in LiveCycle Designer ES and LiveCycle Forms ES
Standard scripting language used in many popular software applications
Shorter scripts (typically one line only)
Potential for longer scripts, if necessary, with the ability to use looping
Contains a variety of useful built-in functions to reduce the amount of scripting required to accomplish common form design tasks
Provides access to the Acrobat Object Model and the JavaScript capabilities of Acrobat
Support for international dates, times, currencies, and number formats
Debugging possible by using the JavaScript debugger in Acrobat
Built-in URL functions for Post, Put, and Get allow web-based interactions
Create custom functions for your own specific needs
Compatible on all LiveCycle Designer ES and LiveCycle Forms ES supported platforms
Compatible on all LiveCycle Designer ES and LiveCycle Forms ES supported platforms
See also
About using FormCalc
About using JavaScript
Differences between FormCalc and JavaScript functions
Creating and Reusing JavaScript Functions


To create a calculation or script

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To create a calculation or script
To create a calculation or script
1.
Select an object on your form design that supports events. For example, add a button to a new, blank form.
2.
In the Script Editor, from the Show list, select one of the events that apply to the object. The event you choose specifies when the script will execute. If you are writing a calculation or script that affects an object that does not support events, you must add your calculation or script to a form design object that does support form events. For example, using the new button object, select the click event in the Show list.
3.
In the Language list, select your scripting language. For example, for the new button object, select JavaScript.
4.
In the Run At list, select where you want the script to execute. For example, for the new button object, select Client.
You can choose to run calculations or scripts on your client-based application (for example Acrobat or a web browser) or on your server-based process (for example, LiveCycle Forms ES). When set to Client, processing of calculations and scripts initiates after the form renders. When set to Server, processing of calculations and scripts initiates during the form rendering process. Previewing your form by using the Preview PDF tab simulates opening the form in Acrobat; therefore, scripts set to run at Client or Client and Server execute.
Note:
Selecting Client And Server from the Run At list causes a script to execute in either the client application or the server application, depending on which application is used to process the form.
5.
In the Script Source field, insert your FormCalc calculation or JavaScript script. You can take advantage of the statement completion functionality of LiveCycle Designer ES to help you create reference syntaxes for your calculation or script. For example, add the following JavaScript script to the new button object:
xfa.host.messageBox("Hello World!", "Creating a new script", 3);
6.
After you complete your form design, test and debug your calculations and scripts before putting them into production. For example, for the new button object, preview the PDF of the form using the Preview PDF tab. Click the button object to display the message box specified in step 5.
For more information about the LiveCycle Designer ES objects that support scripting, see “Objects that support calculations and scripts”.
See also
About using FormCalc
About using JavaScript
About events
To use statement completion to create calculations and scripts
Determining when to run your calculation or script
To view scripting events and scripts
Determining where to run your calculation or script
Testing and debugging calculations and scripts


To find text or other items

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To find text or other items
To find text or other items
You can quickly search for every occurrence of a specific word or phrase when you are in the XML Source tab or in the Script Editor.
1.
In the XML Source tab or the Script Editor, select Edit > Find or right-click for the context menu.
2.
In the Find What box, enter the text that you want to search for.
3.
Select any other options that you want.
4.
Click Find Next.
To cancel a search in progress, press Esc or select the Cancel button.
Caution:
Although it is possible to edit XML source code directly in the XML Source tab, it is recommended that you do not make any changes unless you are familiar with the Adobe XML Forms Architecture. For more information about the XML Forms Architecture, see www.adobe.com/devnet/livecycle/.
See also
About creating calculations and scripts
To create a calculation or script
To replace text or other items
To use statement completion to create calculations and scripts
Determining when to run your calculation or script
To view scripting events and scripts
Determining where to run your calculation or script
Testing and debugging calculations and scripts


To replace text or other items

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To replace text or other items
To replace text or other items
You can automatically replace text. For example, you can replace Corp. with Corporation.
1.
In the Script Editor, select Edit > Replace.
2.
In the Find What box, enter the text that you want to search for.
3.
In the Replace With box, enter the replacement text.
4.
Select any other options that you want.
5.
Click Find Next, Replace, or Replace All.
6.
To cancel a search in progress, press Esc or select the Cancel button.
To replace text that appears in scripts attached to multiple objects on your form, select the root subform of your form (by default: form1) and select Show Events for Child Objects [image] and then perform the procedure above.
Caution:
Although it is possible to edit XML source code directly in the XML Source tab, it is recommended that you do not make any changes unless you are familiar with the Adobe XML Forms Architecture. For more information about the XML Forms Architecture, see www.adobe.com/devnet/livecycle/.
See also
About creating calculations and scripts
To find text or other items


To use statement completion to create calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To use statement completion to create calculations and scripts
To use statement completion to create calculations and scripts
The statement completion functionality within the Script Editor lets you build your calculations and scripts interactively.
When writing a calculation or script, each time you enter a period (.) immediately following a form object or property name, the statement completion functionality displays a list of available methods and properties. If the statement completion list does not appear, verify that you have typed the object or property name correctly and that the object is within the scope of the object where you are creating your script. For more information about referencing objects in calculations and scripts, see “Referencing Objects in Calculations and Scripts”.
1.
Type the name of a form design object, property, or a valid FormCalc shortcut, followed by a period.
2.
Select the method or property you want to apply for the form design object and continue writing the script. To close the statement completion list without selecting a function, press the Esc key.
The list of available XML Form Object Model properties changes depending on the form design object or property that appears before the period.
Note:
The statement completion list appears only when accessing objects, properties, and methods in the XML Form Object Model. It does not appear when working with standard JavaScript objects or methods.
See also
About the Object Scripting Reference
Referencing object properties and values


To insert object reference syntax automatically

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To insert object reference syntax automatically
To insert object reference syntax automatically
As an alternative to using the statement completion list to create object reference syntax, you can use the insert object reference syntax feature to automatically add reference syntax to your calculation or script. This feature inputs an abbreviated reference syntax for the object you select from the canvas into the Script Source field of the Script Editor. This reduces the time required to create calculations and scripts and ensures that the reference syntax is accurate.
1.
Ensure that the Script Source field of the Script Editor has the focus and the cursor is positioned where you want to insert the object reference.
2.
On your form, Ctrl+click the object you want to reference. The cursor changes to [image] to assist you when selecting an object.
See also
About referencing objects in calculations and scripts
About the Script Editor


Determining when to run your calculation or script

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > Determining when to run your calculation or script
Determining when to run your calculation or script
When creating calculations and scripts, you must associate each entry with a specific form event. Each form event represents a change in the form’s state that initiates at a specific time. The change in form state can occur during form rendering on the server by LiveCycle Forms ES, or on the client by Acrobat or Adobe Reader while a user is filling a form. When a change in the state of the form occurs, any calculations or scripts associated with the event are processed automatically.
The event you use when creating a calculation or script will, to some extent, determine what you must include in your calculation or script. For example, the amount and type of information available on a form may be different depending on the event timing you choose; therefore, a calculation or script that retrieves a value from a field may have different results if run before instead of after a form filler performs certain actions. For more information about events, see “Events”.
Depending on the type of form you are creating, some events may never occur. For example, if you are creating a form that has a fixed layout and no interactive objects, then interactive events associated with form filler actions may never occur and, as a result, any scripts associated with those events will not run.
Although LiveCycle Designer ES includes support for a wide variety of form events, it is possible to accomplish a wide variety of common calculation and scripting tasks by using only a few events that occur at major changes in a form’s state, such as the following events:
•
docReady Initiates immediately after the form opens in Acrobat or Adobe Reader® and immediately before the form filler can begin interacting with form objects. This event is the last event to occur before control of the form is given to the form filler.
•
enter Initiates when the form filler changes the focus to a particular field, button, or subform.
•
exit Initiates when the form filler changes the focus from a particular field, button, or subform, to another object.
•
change Initiates when a form filler makes a change to a field value. This event is most commonly used with drop-down lists or list boxes to execute a script when a form filler makes a change to the current value.
•
click Initiates when a form filler clicks a field or button. This event is most commonly used with buttons to execute a script when a form filler clicks the button.
See also
To view scripting events and scripts
About the Script Editor
About events
Determining where to run your calculation or script


To view scripting events and scripts

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To view scripting events and scripts
To view scripting events and scripts
The Script Editor, provides several ways to view scripting events for objects in your form, depending on the type of object or objects you select, and the quantity of events you want to display.
Before you begin, you must perform the following actions:
•
If the Script Editor is not displayed on the screen, select Palettes > Script Editor.
•
If the Script Editor is not large enough to display more than one line of script at a time, drag its lower line down to increase its size.
To view a scripting event for a single object in the Script Editor
1.
Select an object in your form.
2.
In the Show list, select a valid scripting event.
To view a scripting event for a container object and its children in the Script Editor
1.
If it is not already in multiline mode, expand the Script Editor to display multiple lines of script and ensure that the Show Events for Child Objects [image] option is selected.
2.
Select a container object, such as a subform.
3.
In the Show list, select a valid scripting event.
The events appear in the script editing field of the Script Editor, separated by the reference syntax for each event. Note that certain events only apply to specific types of objects. When you select a script event, the script editing field of the Script Editor only displays valid instances of the event. For example, if you select a subform that contains a drop-down list and select the preOpen event, the Script editor displays a single entry representing the drop-down list. This is because the preOpen event only applies to drop-down lists. Alternatively, selecting the enter event displays two entries, one for the drop-down list and one for the subform.
Note:
The Show list denotes events that contain scripts using a trailing asterisk (*) after the name of the event. If an event contains a script, when you select the event from the Show list, the source appears in the script editing field of the Script Editor.
To view all scripting events for a single object in the Script Editor
1.
Select an object in your form.
2.
In the Show list, select All Events.
The events appear in the script editing field of the Script Editor, separated by the reference syntax for each event.
To view all scripting events for a container object and its children in the Script Editor
1.
If it is not already in multiline mode, expand the Script Editor to display multiple lines of script and ensure the Show Events for Child Objects [image] option is selected.
2.
Select a container object, such as a subform.
3.
In the Show list, select All Events.
The events appear in the script editing field of the Script Editor, separated by the reference syntax for each event.
To view all scripts for a single object in the Script Editor
1.
Select an object that has scripts attached.
2.
In the Show list, select Events With Scripts.
The scripts appear in the script editing field of the Script Editor, separated by the reference syntax for each event.
To view all scripts for a container object and its children in the Script Editor
1.
If it is not already in multiline mode, expand the Script Editor to display multiple lines of script and ensure that the Show Events for Child Objects [image] option is selected.
2.
Select a container object, such as a subform. All events for the container object and any child objects appear in the Script Editor.
3.
In the Show list, select All Events.
The scripts appear in the script editing field of the Script Editor, separated by the reference syntax for each event.
See also
About previewing and testing forms


Determining where to run your calculation or script

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > Determining where to run your calculation or script
Determining where to run your calculation or script
For each calculation and script created in LiveCycle Designer ES, you must specify the location where you want the calculation or script to run.
Unless you are using server-based processing such as LiveCycle Forms ES, you should ensure that all of your calculations and scripts are set to run on the client application (for example, on Acrobat or a web browser).
Note:
FormCalc calculations and scripts do not work on forms rendered as HTML and are ignored during form filling.
If you are using server-based processing, you can choose between running calculations on the client application, or running them on the server. By choosing to have calculations and scripts run on the server, you are choosing to run the scripts at a specific point during the form-rendering process. For more information, see Creating scripts for use with LiveCycle Forms ES.
If you choose Client And Server from the Run At list, your calculation or script is available to both client and server-based applications. This option is useful, for example, if you do not know whether your users will have client or server applications when they attempt to use your form. It is also useful if you want certain form objects to behave one way to a client application and another to a server-based application.
See also
About the Script Editor
About events
Determining when to run your calculation or script
To view scripting events and scripts


Testing and debugging calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > Testing and debugging calculations and scripts
Testing and debugging calculations and scripts
After you create your calculations or scripts and tested your form design, you may discover scripting errors or unexpected field values as a result of scripting syntax errors.
LiveCycle Designer ES includes three primary methods for testing and debugging your calculations and scripts:
•
Using the LiveCycle Designer ES workspace palettes. For more information, see “Using the workspace to debug calculations and scripts”.
•
For JavaScript only, using the JavaScript Debugger to assist you in testing your scripts. For more information about using the debugger, see “To enable the JavaScript Debugger for LiveCycle Designer ES”.
•
Using the host model and event model properties and methods to troubleshoot your form.
The host model and event model provide functionality that lets you interact with either the host application or the various form events. These models are useful for returning information that can assist you in debugging calculation and scripts.
For example, the following script returns a message at run time indicating the name of the event on which the script is placed. This indicates that a particular event has fired:
xfa.host.messageBox(xfa.event.name) // FormCalc
xfa.host.messageBox(xfa.event.name); // JavaScript
Another example of using the host model and event model methods is to obtain the value of a field on an interactive form before a user manually changed it. This is useful for observing how the objects on your form design respond to user-entered data:
xfa.host.messageBox(xfa.event.prevText) // FormCalc
xfa.host.messageBox(xfa.event.prevText); // JavaScript
See also
Using the workspace to debug calculations and scripts
About working with a host application
About the event model


To check script syntax

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > To check script syntax
To check script syntax
While you work on a form design, you can check all JavaScript or FormCalc scripts for syntax errors to ensure that the form functions as expected before you distribute it for use. Any script syntax errors found in the form are displayed in the Report palette on the Warnings tab. On the Warnings tab in the Report palette, each error is listed on a separate numbered line, along with the event or script object name and a description of the error. If multiple events are displayed, the line numbering for each event begins at 1.
You can click any script error in the list to display the relevant script, highlight the line that contains the error, and locate the insertion point at the beginning of the highlighted line. Scripting syntax errors are also reported in the Warnings tab when you save a form design or preview it using the Preview PDF tab.
Tip:
You can also use the Go To Line dialog box to select the event you want to see. The script event drop-down list includes the System Object Model (SOM) expression, as shown in the header lines, for each event currently visible in the Script Editor.
*
In the Script Editor, select Tools > Check Script Syntax.
See also
Tools toolbar
Tools menu
Report palette menu
About using FormCalc
About using JavaScript
Objects that support calculations and scripts


Working around security restrictions

Scripting > Scripting Using LiveCycle Designer ES > Creating Calculations and Scripts > Working around security restrictions
Working around security restrictions
Script that modifies the sourceSet model or its children makes the form's certification invalid and the form can no longer be trusted. Because a form can become certified at any time during its life cycle, it is important to use scripting techniques that prevent the form from failing after it is certified.
You must work with clones of the model rather than with the model if you intend to use scripts that modify the sourceSet model or any of its children. Cloning prevents the form from failing when scripts modify a data model. For example, forms that execute common tasks, such as displaying records in a database or selecting specific records in a database, require the modification of data connection nodes contained within the sourceSet model.
To clone the sourceSet model, you must create a method on the script that defines the data connection that you want to modify within the sourceSet model and make sure that the script keeps using the clone instead of the definition.
Consider the following script from a data drop-down list. The script populates the list from data from a from a data source.
...
var oDB = xfa.sourceSet.nodes.item(nIndex);
...
// Search node with the class name "command"
var nDBIndex = 0;
while(oDB.nodes.item(nDBIndex).className != "command")
nDBIndex++;
oDB.nodes.item(nDBIndex).query.recordSet.setAttribute("stayBOF", "bofAction");
oDB.nodes.item(nDBIndex).query.recordSet.setAttribute("stayEOF", "eofAction");
To clone the sourceSet model, you need to change the line that accesses it by appending the clone (1) method to the end of the statement:
var oDB = xfa.sourceSet.nodes.item(nIndex).clone(1);
Tip:
You can store the cloned data connection node in a variable or a variable defined in a script object.


Events

Scripting > Scripting Using LiveCycle Designer ES > Events
Events
About events
Types of events
Process events
Interactive events
Application events
List of events


About events

Scripting > Scripting Using LiveCycle Designer ES > Events > About events
About events
Every calculation or script you attach to a form object is associated with a specific event. An event is defined as a particular occurrence or action that can change the state of a form and, when the change of state occurs, automatically invoke a calculation or script associated with the event. Events occur at various times, from the beginning of the form rendering process when merging data with a form design, all the way through to a form filler interacting with objects on a form in a client application. By applying calculations and scripts to specific events, you can control every aspect of how you present form objects, as well as form data, and how the objects and data respond to form filler interaction.
A single change of state or form filler action may trigger multiple events. For example, tabbing from the current field to the next field triggers both the exit event for the current field and the enter event for the next field. If the current and next fields are in different subforms, a total of four events are triggered; namely, exit events for the current field and subform, and enter events for the next field and subform. In general, each of the different categories of form events follow a predictable ordering.
See also
Types of events
Process events
Interactive events
Application events


Types of events

Scripting > Scripting Using LiveCycle Designer ES > Events > Types of events
Types of events
Form events fall into one of the following categories:
Process events
This type of event initiates automatically as the result of an internal process or action related to objects on a form. For example, if a form filler clicks a button that adds a new page to the form, the initialize, calculate, validate, and layout:ready process events initiate automatically for the new page.
Interactive events
This type of event initiates as a direct result of form filler actions. For example, if a form filler moves the pointer over a field on a form, the mouseEnter event initiates in response to the action.
Application events
This type of event initiates as a result of the actions that either a client application or a server application performs. For example, you can create a calculation or script to perform a task immediately after the form is saved by using the postPrint event.
See also
About events
Process events
Interactive events
Application events


Process events

Scripting > Scripting Using LiveCycle Designer ES > Events > Process events
Process events
Process events initiate automatically as the result of an internal process or action related to a form or objects on a form. These events initiate immediately following significant form changes; for example, after a form design is merged with data or after the form pagination process finishes. Process events also initiate immediately after interactive events initiate. For example, immediately after any interactive event initiates, the calculate event initiates followed by the validate event.
The following list contains the process events, which are available from the Show list in the Script Editor:
•
calculate
•
form:ready
•
indexChange
•
initialize
•
layout:ready
•
validate
Process events can initiate many times as a result of dependencies; that is, actions associated with a single event that ultimately initiates one or more additional events. Using an example of a form filler clicking a button to reveal a previously hidden portion of the form, after the form filler clicks the button, not only does a series of interactive and processing events initiate for the button itself, but a number of process events for the new subform initiates as well.
The following image represents the general flow of events leading up to a PDF form opening in Acrobat or Adobe Reader.
After the form opens in Acrobat or Adobe Reader, these process events may still initiate as the result of changes made to the form. For example, the calculate, validate, and layout:ready events for an object initiate immediately after some interactive events occur; therefore, calculations and scripts attached to the processing events will run multiple times.
See also
About events
Interactive events
Application events
calculate event
docReady event
form:ready event
indexChange event
initialize event
layout:ready event
validate event
Determining when to run your calculation or script


Interactive events

Scripting > Scripting Using LiveCycle Designer ES > Events > Interactive events
Interactive events
Interactive events initiate as a direct result of form filler actions, which makes these events useful for a variety of calculation and scripting tasks. For example, you can add a script to the mouseEnter event for a text field that changes the border color of the field to blue and a script to the mouseExit event that changes the border color back to the original color. This action creates a highlighting effect when form fillers move the pointer over the field to visually assist them while filling the form. Interactive events are also useful for changing form data in response to a form filler selection. For example, you can add a script to the change event for a drop-down list that updates the data values in multiple fields in response to the value the form filler selects in the drop-down list.
The following list contains the interactive events, which are available from the Show list in the Script Editor:
•
change
•
click
•
enter
•
exit
•
mouseDown
•
mouseEnter
•
mouseExit
•
mouseUp
•
postOpen
•
postSign
•
preOpen
•
preSign
The following image displays the general flow of events for form fillers who use the mouse to select an object and change its value.
Note:
This image provides a general flow of events; however, certain form filler actions and form objects can cause alternate event ordering. For example, if a form filler selects a value from a drop-down list, the mouseExit event occurs after the click event but before the change or full events. Similarly, if a form filler selects a field, holds down the mouse button, and then exits the field while still holding down the mouse button, the mouseUp event occurs out of the order described in this image.
The following image displays the general flow of events for form fillers who use the keyboard to select an object and change its value.
See also
change event
click event
enter event
exit event
full event
mouseDown event
mouseEnter event
mouseExit event
mouseUp event
postOpen event
postSign event
preOpen event
preSign event


Application events

Scripting > Scripting Using LiveCycle Designer ES > Events > Application events
Application events
Application events initiate as a result of the actions that a client application or a server application perform, either due to a form filler action or an automated process. Application events do not exist as part of a general flow of events. They are single events that correspond to actions that the client or server application performs.
The following list contains the processing events, which are available from the Show list in the Script Editor:
•
docClose
•
docReady
•
postPrint
•
postSave
•
postSubmit
•
prePrint
•
preSave
•
preSubmit
For example, the following image displays the general flow of events for the preSave event.
If a form filler saves the form in Acrobat or Adobe Reader, the preSave event initiates immediately before the save operation, followed by the calculate, validate, and layout:ready events, in that sequence for all objects on the form. The same event sequence initiates if the form contains a script that programmatically saves the form.
A similar sequence of events occurs for each of the other application events previously listed.
See also
docClose event
postPrint event
postSave event
postSubmit event
prePrint event
preSave event
preSubmit event


List of events

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events
List of events
calculate event
change event
click event
docClose event
docReady event
enter event
exit event
form:ready event
full event
indexChange event
initialize event
layout:ready event
mouseDown event
mouseEnter event
mouseExit event
mouseUp event
postOpen event
postPrint event
postSave event
postSign event
postSubmit event
preOpen event
prePrint event
preSave event
preSign event
preSubmit event
validate event


calculate event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > calculate event
calculate event
Description
Initiates in the following situations:
•
When your form design and data merge into your finished form.
•
When a change occurs to any value that the calculation is dependent on, such as the value of a particular field, unless the form filler has manually overridden the calculated value. As a result, the object will display the return value of the event. The properties for manually overridden fields are located in the Value tab of the Object palette.
•
When a field loses focus; for example, when a form filler clicks or uses the Tab key to exit a field.
When using the calculate event to perform calculations or scripts, consider the following potential issues:
•
Calculations and scripts on the calculate event must not make any changes to the structure of the form, except for the form field and data values.
•
Content inserted by the calculate event must conform to the associated validations for the object; otherwise, validation errors will occur.
•
Calculations and scripts must not include an infinite loop because it causes the form to update the value continuously. For example, a script that increments the value of a field as part of a looping expression, such as a while or for loop, could create an infinite loop.
•
The last expression evaluated in the calculate event is used to populate the value of the current form object. For example, if the script on the calculate event first sets the value of the current field to 500 and then sets the value of another field to 1000, both fields will display the value 1000 at run time. As a result, you need to limit the scripting that you add to the calculate event to those that deal specifically with setting the value of the current field.
Type
Processing event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
Use the calculate event for updating numeric values in fields because this event initiates immediately after most other events. For example, on a purchase order form, you can use the calculate event for a field to determine the percentage of sales tax due based on the cost of the order. The calculation will initiate every time a change is made to the values in the form fields, ensuring that the value displayed for the sales tax is always correct.
However, because the calculate event can initiate many times, you must ensure that the calculation or script you add to the event will not cause data values to increment unnecessarily. For example, if your sales tax calculation adds the value of the sales tax to the total cost each time the calculate event initiates, the resulting total cost value on your form may be too large.
For a detailed example of using the calculate event, see “Calculating the field sums”.
See also
About events
Process events


change event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > change event
change event
Description
Initiates when a form filler changes the content of a field by performing one of these actions:
•
Types a keystroke providing the field has keyboard focus
•
Pastes data into the field
•
Makes a selection from a list box or drop-down list
•
Selects or deselects a check box
•
Changes the setting of a group of radio buttons
This event does not initiate in response to changes in the object values as a result of calculations or scripts, or by the merging of the form design with data.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
(Only for drop-down lists)
Version
XFA 2.1
Example
Use this event for any calculations or scripts that must initiate in response to a form filler changing the value of a field. For example, you can use the change event for a drop-down list to highlight specific rows in a table. Using this technique, each time the form filler selects a value in the drop-down list, the corresponding row of the table appears highlighted.
For a detailed example of using the change event, see “Getting the current or previous value of a drop-down list”.
See also
About events
Interactive events


click event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > click event
click event
Description
Initiates when a mouse click occurs within the region. When a click event initiates for a text or numeric field, calculations or scripts execute immediately. However, the value of the field does not change in response to calculations and scripts until the field loses focus.
Note:
You cannot place a calculation or script on the click event of a submit button because the calculation or script will override the submission action. Instead, place any calculations and scripts on the preSubmit event for a submit button.

For more information about form submission actions, see the LiveCycle Designer ES Help.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
Use this event for performing an action as a direct response to a form filler clicking a button or selecting a radio button or check box on a form. For example, you can use the click event for a check box to hide and show a field on the form.
For a detailed example of using the click event, see “Changing the visual properties of an object on the client”.
See also
About events
Interactive events
preSubmit event


docClose event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > docClose event
docClose event
Description
Initiates at the very end of processing a form, only if all form validations complete with no errors.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
This event initiates too late to modify a saved form and is intended to provide the ability to generate an exit status or completion message. For example, you can use the docClose event to display a message to a form filler indicating that the form is completed.
See also
About events
Application events
Process events


docReady event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > docReady event
docReady event
Description
Initiates immediately after the form opens in Acrobat or Adobe Reader.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
This event is the first one that initiates after the form opens in Acrobat or Adobe Reader. Any calculation or scripting tasks that require the full form, or that should only run once when the form filler first opens the form, should use this event. For example, you can use the docReady event to check the version of Acrobat or Adobe Reader and return a message to the form filler if the form filler must upgrade the application before filling the form.
See also
About events
Application events


enter event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > enter event
enter event
Description
Initiates when a field or subform gains keyboard focus, whether caused by a form filler action (tabbing into a field or clicking in it) or by a script programmatically setting the focus.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to provide help text or other messages to a form filler while entering the current field or subform. For example, if a field requires a value in a specific format, or if filling a field requires special instructions, you can use this event to provide a message to the form filler indicating the special needs.
For a detailed example of using the enter event, see “Highlighting fields in response to form filler interaction”.
See also
About events
Interactive events


exit event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > exit event
exit event
Description
Initiates when the field or subform loses keyboard focus, whether caused by a form filler action (tabbing to another field or clicking outside it) or by a script programmatically removing the focus.
Note:
If the purpose of your script is to manipulate the value of the current field, you need to consider attaching your script to the calculate event.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to provide verification of field data as a form filler moves the focus away from a field. For example, if a field requires a value, you can use this event to provide a message to the form filler indicating that the field requires some data before the form can be submitted.
For a detailed example of using the exit event, see “Highlighting fields in response to form filler interaction”.
See also
About events
Interactive events


form:ready event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > form:ready event
form:ready event
Description
Initiates after the form design and data are merged, the finished form exists in memory, and the initialize, calculate, and validate events are complete.
Note:
The form:ready event only applies to Body Page objects, and does not apply to Master Page objects (see Process events).
Type
Processing event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
You can use this event to perform tasks after the form design and data are merged but before the layout is established. For example, you can use this event to customize the ordering or placement of subforms on your form before the form is paginated and rendered.
See also
About events


full event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > full event
full event
Description
Initiates when the form filler attempts to enter more than the maximum allowed amount of content into a field. For example, if the Limit Length property for a field is set to 5, and a form filler attempts to enter the string abcdef, the full event initiates when the form filler types the letter f.
Note:
The Limit Length property for a field is located in the Field tab in the Object palette.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
Use this event to indicate to a form filler that a field has reached its maximum capacity. For example, you can output a message to the form filler indicating that the field is full and provide any steps that should be taken to correct the issue.
See also
About events
Interactive events
Text field properties in the Field tab


indexChange event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > indexChange event
indexChange event
Description
Initiates as a result of a subform being inserted, moved, or removed from the form by merging new data with the form or by using scripting.
Note:
This event is received only by the subform instances that are controlled by the instance manager; the event is ignored for subform sets.
Type
Processing event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.5
Example
You can use this event to set properties based on the instance value of a particular object. For example, you can use this event to coordinate the shading of alternate rows in a table.
See also
About events
Process events


initialize event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > initialize event
initialize event
Description
Initiates for all objects after the form design is merged with data.
Type
Processing event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to perform actions when an object is first created, either as the result of a form filler action or during the form creation process. For example, you can use this event to control settings for new instances of a subform object that a form filler adds to the form by using a button.
See also
About events
Process events


layout:ready event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > layout:ready event
layout:ready event
Description
Initiates after the form design and data are merged, the form exists, and the form’s layout is applied. At this time, the finished form has not been rendered; therefore, a calculation or script set to run on this event could modify the layout before the forms is rendered. This event also occurs after the form is rendered if a calculation or script changes the data or causes a change to the form in Acrobat or Adobe Reader.
Note:
Fields in interactive forms that contain the layout:ready event are supported in Acrobat 7.0.5 and later.
Type
Processing event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
You can use this event to perform tasks immediately after the form layout is established. For example, you can use this event to determine the number of pages the form contains.
See also
About events
Process events


mouseDown event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > mouseDown event
mouseDown event
Description
Initiates when a form filler presses the mouse button at the same time that the pointer is within a field.
Note:
When a mouseDown event initiates for a text or numeric field, calculations or scripts run immediately. However, the value of the field does not change in response to calculations and scripts until the field loses focus. When a mouseDown event initiates for a signature field, the event initiates before the signature process begins.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to perform an action as a direct response to a form filler clicking a button, or selecting a radio button or check box on a form. For example, you can use the mouseDown event for a check box to hide and show a field on the form. This event is conceptually similar to the click event and has a similar purpose.
See also
About events
Interactive events
click event


mouseEnter event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > mouseEnter event
mouseEnter event
Description
Initiates when the form filler moves the pointer into the area of the field, without necessarily pressing the mouse button. This event is not initiated when the pointer moves into the field for a different reason; for example, because an overlapping window closes.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
You can use this event to provide visual feedback to a form filler in conjunction with the mouseExit event. For example, you can use this event to change the border or background color of an object to help visually indicate to form fillers that they are working in a specific field.
For a detailed example of using the mouseEnter event, see “Highlighting fields in response to form filler interaction”.
See also
About events
Interactive events


mouseExit event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > mouseExit event
mouseExit event
Description
Initiates when a form filler moves the pointer out of the field, even if the form filler is pressing the mouse button. It is not initiated when the pointer moves out of the field for a different reason; for example, because an overlapping window opens.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
You can use this event to provide visual feedback to a form filler in conjunction with the mouseEnter event. For example, you can use this event to return the border or background color of an object to its original value to help visually indicate to form fillers that they are no longer working in a specific field.
For a detailed example of using the mouseExit event, see “Highlighting fields in response to form filler interaction”.
See also
About events
Interactive events


mouseUp event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > mouseUp event
mouseUp event
Description
Initiates when a form filler releases the mouse button at the same time that the pointer is within a field.
Note:
When a mouseUp event occurs for a text or numeric field, calculations or scripts run immediately. However, the value of the field does not change in response to calculations and scripts until the field loses focus.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to perform actions as a direct response to a form filler clicking a button, or selecting a radio button or check box on a form. For example, you can use the mouseUp event for a check box to hide and show a field on the form. This event is conceptually similar to the click event and has a similar purpose.
See also
About events
Interactive events


postOpen event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > postOpen event
postOpen event
Description
Initiates immediately after a form filler performs an action that causes the data in a drop-down list to appear, such as clicking the arrow icon on the drop-down list or tabbing into the drop-down list and then using the down arrow. This event initiates after the contents of the drop-down list are displayed.
Note:
This event applies only to the Drop-down List object.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.8
Example
You can use this event to handle errors or unexpected outcomes as a result of processing the opening of the drop-down list. For example, if the preOpen event is dispatched via scripting instead of user interaction, or if the opening of the drop-down list data does not occur as a result of an error, the postOpen event is still dispatched to let error handling scripts execute.
See also
About events
Interactive events


postPrint event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > postPrint event
postPrint event
Description
Initiates immediately after the rendered form is sent to the printer, spooler, or output destination.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
You can use this event to display information messages to the form filler after the form is printed. For example, you can create a script on the postPrint event to remind form fillers what steps they need to take to submit the form by hand.
See also
About events
Application events


postSave event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > postSave event
postSave event
Description
Initiates immediately after a form filler saves a form in PDF or XDP format. This event does not initiate when you export a subset of the form (for example, only form data) to XDP.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.1
Example
You can use this event to display information messages to the form filler after the form data is saved. For example, you can create a script on the postSave event to remind form fillers how much time remains for them to successfully complete and submit the form.
See also
About events
Application events


postSign event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > postSign event
postSign event
Description
Initiates immediately after a form filler performs an action that applies a digital signature to a form.
Note:
This event applies only to the Signature Field object.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.8
Example
You can use this event to inform a user about any restrictions that are imposed now that the form is digitally signed.
See also
About events
Interactive events


postSubmit event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > postSubmit event
postSubmit event
Description
Initiates immediately after a form submits data to the host through the HTTP protocol.
Note:
This event does not distinguish between submissions that are initiated by instances of clicking buttons, or submissions made to different URLs. Any script that needs to make these distinctions must include a script to determine which button was clicked. In general, the postSubmit event is conceptually similar to the postSave event and serves a similar purpose.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
(Only for submit buttons)
Version
XFA 2.8
Example
You can use this event to perform actions immediately after the form data is submitted. For example, you can create a script on the postSubmit event to display confirmation that the submission performed successfully.
See also
About events
Application events


preOpen event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > preOpen event
preOpen event
Description
Initiates when a form filler performs an action that causes the drop-down list to appear, such as clicking the arrow icon on the drop-down list or by tabbing into the drop-down list and using the down arrow. This event initiates before the contents of the drop-down list are displayed.
Note:
This event applies only to the Drop-down List object.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.4
Example
You can use this event to control the loading of large numbers of list items. For example, you can use this event to load a fixed number of records from a data source into a drop-down list. This improves the performance of the form for the form filler at run time.
See also
About events
Interactive events


prePrint event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > prePrint event
prePrint event
Description
Initiates immediately before the process of rendering a form for printing begins. You cannot cancel printing using this event.
Caution:
Avoid using this event to hide or show form objects. For example, if a form filler has already digitally signed the form, using this event to hide all button objects prior to printing will impact the state of the signature.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to change the presence of an object to prevent it from printing. For example, you can use this event to hide text or instructions intended for the form filler to use while filling the form online.
See also
About events
Application events


preSave event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > preSave event
preSave event
Description
Initiates immediately before form data is saved in PDF or XDP format. This event does not initiate when the form data or another subset of the form is exported to XDP.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to change form data immediately before the data is saved. For example, you can create a script on the preSave event to scan the data and display a reminder message to the form filler if certain required fields remain empty.
See also
About events
Application events


preSign event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > preSign event
preSign event
Description
Initiates immediately before a form filler performs an action that applies a digital signature to a form.
Note:
This event applies only to the Signature Field object.
Type
Interactive event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
no
Version
XFA 2.8
Example
You can use this event to validate the data that the digital signature covers or to provide any information to a user before they apply the digital signature.
See also
About events
Interactive events


preSubmit event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > preSubmit event
preSubmit event
Description
Initiates when a form submits data to the host through the HTTP protocol. At this point, the data is organized into a data set but has not been sent to the host. Calculations and scripts associated with this event can examine and alter the data prior to the form submission. If the calculation or script is set to run on the server, the form sends the data to the server indicating that it should run the calculation or script before performing any additional processing.
Note:
This event does not distinguish between submissions initiated by instances of clicking buttons or to different URLs. Any script that needs to make these distinctions must include code to determine which button was clicked. In general, the preSubmit event is conceptually similar to the preSave event and serves a similar purpose.
Type
Application event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
(Only for submit buttons)
Version
XFA 2.1
Example
You can use this event to change form data immediately before the data is submitted. For example, you can create a script on the preSubmit event to scan the amount of data and display a message to the form filler estimating how long the data submission may take.
See also
About events
Application events
preSave event


validate event

Scripting > Scripting Using LiveCycle Designer ES > Events > List of events > validate event
validate event
Description
Initiates when the form design and data merge to create your form and when a field loses focus; for example, when a form filler clicks or uses the Tab key to exit a field. This event initiates again each time the value of a field changes. Calculations and scripts placed on the validate event provide a method to perform validations that are more specific than those available through the Value tab of the Object palette.
Calculations and scripts on the validate event are required to return true or false (expressed in a format appropriate to the scripting language) corresponding to a validation that succeeds or fails, and must not affect the overall form structure of form values. In addition, calculations and scripts should not attempt to provide feedback to a form filler because that form filler may not be using the form in a client application such as Acrobat.
Note:
Because validations are performed against the content of the form, they cannot be used to verify presentation formatting caused by field patterns.
Type
Processing event
Support
Client application
Availability
Acrobat and Adobe Reader
yes
HTML browser
yes
Version
XFA 2.1
Example
You can use this event to verify object values, particularly in situations where object data must conform to specific rules. For example, you can create a script on the validate event to verify that a total cost field on a purchase order form does not have a negative value.
For a detailed example of using the validate event, see “Setting a field as required at run time”.
See also
About events
Process events


Scripting Languages

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages
Scripting Languages
Differences between FormCalc and JavaScript functions
Using FormCalc
Using JavaScript


Differences between FormCalc and JavaScript functions

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Differences between FormCalc and JavaScript functions
Differences between FormCalc and JavaScript functions
Although FormCalc and JavaScript are geared towards two different types of users, there is some overlap between the types of built-in functions they offer. The following table lists all available FormCalc functions and lists whether a comparable function exists within JavaScript.
FormCalc function
Description
JavaScript method equivalent
Abs(n1)
Returns the absolute value of a numeric value or expression.
Math.abs(n1)
Apr(n1, n2, n3)
Returns the annual percentage rate for a loan.
None
At(s1, s2)
Locates the starting character position of a string within another string.
String.search(s1)
Avg(n1 [, n2... ] )
Evaluates a set of number values and/or expressions and returns the average of the non-null elements contained within that set.
None
Ceil(n1)
Returns the whole number greater than or equal to a given number.
Math.ceil(n1)
Choose(n1, s1 [, s2... ] )
Selects a value from a given set of parameters.
None
Concat(s1 [, s2... ] )
Returns the concatenation of two or more strings.
String.concat(s1, s2 [, s3 ... ])
Count(n1 [, n2...])
Evaluates a set of values and/or expressions and returns the number of non-null elements contained within the set.
None
CTerm(n1, n2, n3)
Returns the number of periods needed for an investment earning a fixed, but compounded, interest rate to grow to a future value.
None
Date()
Returns the current system date as the number of days since the epoch.
Date.getDate()
Note:
The JavaScript Date object does not use the epoch as a reference point.
Date2Num(d1 [, f1 [, k1 ] ] )
Returns the number of days since the epoch, given a date string.
The JavaScript Date object does not use the epoch as a reference point.
DateFmt([ n1 [, k1 ] ] )
Returns a date format string, given a date format style.
None
Decode(s1 [, s2 ] )
Returns the decoded version of a given string.
Partial support
JavaScript only supports URL encoded values that contain no escape characters.
Encode(s1 [, s2 ] )
Returns the encoded version of a given string.
Partial support
JavaScript only supports URL encoded values that contain no escape characters.
Eval()
Returns the value of a given form calculation.
eval(s1)
Exists(v1)
Determines whether the given parameter is a valid reference syntax to an existing object.
None
Floor(n1)
Returns the largest whole number that is less than or equal to the given value.
Math.floor(n1)
Format(s1, s2)
Formats the given data according to the specified picture format string.
None
FV(n1, n2, n3)
Returns the future value of consistent payment amounts made at regular intervals at a constant interest rate.
None
Get(s1)
Downloads the contents of the given URL.
None
HasValue(v1)
Determines whether the given parameter is a valid reference syntax with a non-null, non-empty, or non-blank value.
None
IPmt(n1, n2, n3, n4, n5)
Returns the amount of interest paid on a loan over a set period of time.
None
IsoDate2Num(d1)
Returns the number of days since the epoch, given an valid date string.
None
IsoTime2Num(d1)
Returns the number of milliseconds since the epoch, given a valid time string.
None
Left(s1, n1)
Extracts a specified number of characters from a string, starting with the first character on the left.
String.substring(n1, n2)
Len(s1)
Returns the number of characters in a given string.
String.length
LocalDateFmt( [ n1 [, k1 ] ] )
Returns a localized date format string, given a date format style.
None
LocalTimeFmt( [ n1 [, k1 ] ] )
Returns a localized time format string, given a time format style.
None
Lower(s1 [, k1 ] )
Converts all uppercase characters within a specified string to lowercase characters.
String.toLowerCase(s1)
Ltrim(s1)
Returns a string with all leading white space characters removed.
None
Note:
You can use JavaScript regular expressions to perform this operation.
Max(n1 [, n2... ] )
Returns the maximum value of the non-null elements in the given set of numbers.
Math.max(n1, n2)
Min(n1 [, n2... ] )
Returns the minimum value of the non-null elements of the given set of numbers.
Math.min(n1, n2)
Mod(n1, n2)
Returns the modulus of one number divided by another.
Use the modulo (%) operator.
NPV(n1, n2 [, ... ] )
Returns the net present value of an investment based on a discount rate and a series of periodic future cash flows.
None
Num2Date(n1[, f1 [, k1 ] ] )
Returns a date string, given a number of days since the epoch.
None
Num2GMTime(n1 [,f1 [, k1 ] ] )
Returns a GMT time string, given a number of milliseconds from the epoch.
None
Num2Time(n1 [,f1 [, k1 ] ] )
Returns a time string, given a number of milliseconds from the epoch.
None
Oneof(s1, s2 [, s3... ] )
Returns true (1) if a value is in a given set, and false (0) if it is not.
None
This function is similar to the String.search(s1) method and String.match(expression) method.
Parse(s1, s2)
Analyzes the given data according to the given picture format.
None
Pmt(n1, n2, n3)
Returns the payment for a loan based on constant payments and a constant interest rate.
None
Post(s1, s2 [, s3 [, s4 [, s5 ] ] ] )
Posts the given data to the specified URL.
None
PPmt(n1, n2, n3, n4, n5)
Returns the amount of principal paid on a loan over a period of time.
None
Put(s1, s2 [, s3 ] )
Uploads the given data to the specified URL.
None
PV(n1, n2, n3)
Returns the present value of an investment of periodic constant payments at a constant interest rate.
None
Rate(n1, n2, n3)
Returns the compound interest rate per period required for an investment to grow from present to future value in a given period.
None
Ref()
Returns a reference to an existing object.
None
Replace(s1, s2 [, s3 ] )
Replaces all occurrences of one string with another within a specified string.
String.replace(s1, s2)
Right(s1, n1)
Extracts a number of characters from a given string, beginning with the last character on the right.
String.substring(n1, n2)
Round(n1 [, n2 ] )
Evaluates a given numeric value or expression and returns a number rounded to the given number of decimal places.
Math.round(n1)
Rtrim(s1)
Returns a string with all trailing white space characters removed.
None
Note:
You can use JavaScript regular expressions to perform this operation.
Space(n1)
Returns a string consisting of a given number of blank spaces.
None
Str(n1 [, n2 [, n3 ] ] )
Converts a number to a character string. FormCalc formats the result to the specified width and rounds to the specified number of decimal places.
String(n1)
or
Number.toString(radix)
Stuff(s1, n1, n2 [, s2 ] )
Inserts a string into another string.
None
Substr(s1, n1, n2)
Extracts a portion of a given string.
String.substring(n1, n2)
Sum(n1 [, n2... ] )
Returns the sum of the non-null elements of a given set of numbers.
None
Term(n1, n2, n3)
Returns the number of periods needed to reach a given future value from periodic constant payments into an interest-bearing account.
None
Time()
Returns the current system time as the number of milliseconds since the epoch.
Date.getTime()
Note:
The JavaScript Date object does not use the epoch as a reference point.
Time2Num(d1 [, f1 [, k1 ] ] )
Returns the number of milliseconds since the epoch, given a time string.
None
TimeFmt([n1 [, k1 ] ] )
Returns a time format, given a time format style.
None
UnitType(s1)
Returns the units of a unitspan. A unitspan is a string consisting of a number followed by a unit name.
None
UnitValue(s1 [, s2 ] )
Returns the numeric value of a measurement with its associated unitspan, after an optional unit conversion.
None
Upper(s1 [, k1 ] )
Converts all lowercase characters within a string to uppercase.
String.toUpperCase()
Uuid(n1)
Returns a Universally Unique Identifier (UUID) string to use as an identification method.
None
Within(s1, s2, s3)
Returns true (1) if the test value is within a given range, and false (0) if it is not.
String.search(s1)
WordNum(n1 [, n2 [, k1 ] ] )
Returns the English text equivalent of a given number.
None
See also
About using FormCalc
Introducing FormCalc


Using FormCalc

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using FormCalc
Using FormCalc
About using FormCalc
Using built-in functions
To attach a FormCalc function to an object
Built-in function syntax
Creating basic calculations


About using FormCalc

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using FormCalc > About using FormCalc
About using FormCalc
FormCalc is a simple yet powerful calculation language modeled on common spreadsheet software. Its purpose is to facilitate fast and efficient form design without requiring a knowledge of traditional scripting techniques or languages. With the use of a few of the built-in functions, users new to FormCalc can expect to quickly create forms that save end users from performing time-consuming calculations, validations, and other verifications. In this manner you can create a basic set of rules for the form design that allows the resulting form to react according to the data it comes into contact with.
Within LiveCycle Designer ES, FormCalc is the default scripting language in all scripting locations with JavaScript as the alternative. For information on setting your default scripting language, see “About the Script Editor”.
Caution:
If you are developing forms for use with a server-based process (for example, using LiveCycle Forms ES), with the intent of rendering your forms in HTML, you should develop your calculations and scripts in JavaScript. FormCalc calculations are not valid in HTML browsers, and are removed prior to the form being rendered in HTML.
FormCalc treats each new line in the Script Editor as a new expression to evaluate.
See also
About using FormCalc
About using JavaScript


Using built-in functions

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using FormCalc > Using built-in functions
Using built-in functions
The built-in functions that make up FormCalc cover a wide range of areas, including mathematics, dates and times, strings, finance, logic, and the web. These areas represent the types of functionality that typically occur in forms, and the purpose of the functions is to provide quick and easy manipulation of form data in a useful way.
At the most basic level, a calculation can consist of only a single FormCalc function. However, a single FormCalc function can make use of other FormCalc functions as parameters.
See also
Introducing FormCalc


To attach a FormCalc function to an object

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using FormCalc > To attach a FormCalc function to an object
To attach a FormCalc function to an object
You can add a FormCalc function to any form design object that allows calculations and scripts, with the exception of the script object.
1.
Make sure that you have the multiline version of the Script Editor showing on the LiveCycle Designer ES workspace.
2.
Select a field on your form.
3.
In the Show list, select the calculate event.
4.
Click Functions [image] or F10 to display a list of FormCalc functions.
5.
Select the desired function and press Enter.
6.
Replace the default function syntax notation with your own set of values.
7.
Click the Preview PDF tab to test the form.


Built-in function syntax

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using FormCalc > Built-in function syntax
Built-in function syntax
Each FormCalc function uses a specific syntax notation that you must follow in order for the function to execute correctly. The table below describes, very generally, the pieces of syntax notation.
Syntax notation
Replacement values
d
A valid date string (for example, 03/15/1996)
f
A valid date format string (for example, MM/DD/YYYY)
k
A valid locale identifier (for example, fr_FR)
n
A valid numeric value. Note that the range of valid values varies from function to function.
s
A valid unit of measurement (for example, “in” for inches).
v
A valid reference syntax.
n1, n2, n3
All values are required.
[ [ n [, k ] ] ]
No values are required, but you can choose to specify just n, or both n and k.
n1 [, n2 ... ]
n1 is required, but you can choose to specify an unlimited number of additional values.
d [, f [, k ] ]
d is required, but you can choose to also specify f or both f and k.
See also
FormCalc User Reference


Creating basic calculations

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using FormCalc > Creating basic calculations
Creating basic calculations
About basic calculations
Simple expressions are the most basic instances of scripting. These expressions do not involve using FormCalc built-in functions and are never more than a single line in size. You must add simple expressions to the calculate event of a particular field or object in order for the value of the expression to output onto your form.
Examples of basic calculations
These are all examples of simple expressions:
2
"abc"
2 - 3 * 10 / 2 + 7
Each simple expression evaluates to a single value by following a traditional order of operations, even if that order is not always obvious from the expression syntax. For example, the following sets of expressions produce equivalent results:
Expression
Equivalent to
Result
"abc"
"abc"
abc
2 - 3 * 10 / 2 + 7
2 - (3 * 10 / 2) + 7
-6
(10 + 2) * (5 + 4)
(10 + 2) * (5 + 4)
108
0 and 1 or 2 > 1
(0 and 1) or (2 >1)
1 (true)
2 < 3 not 1 == 1
(2 < 3) not (1 == 1)
0 (false)
As implied in the previous table, all FormCalc operators carry a certain precedence when they appear within expressions. The following table illustrates this operator hierarchy.
Precedence
Operator
Highest
=
(Unary) - , + , not
* , /
+ , -
< , <= , > , >= , lt , le , gt , ge
== , <> , eq , ne
& , and
Lowest
| , or
All of the previous examples are valid, simple expressions that you can add to a form field or object that will accept calculations and scripts. For example, if you create a new form in LiveCycle Designer ES with a single numeric field, add the following calculation to the calculate event in the Script Editor.
Then, when you click the Preview PDF tab to view the completed form, the value of the simple expression appears in the text field.
If the value does not appear in the preview, ensure that your simple expression appears in the calculate event of the form design object. You need to also ensure that you installed LiveCycle Designer ES and Acrobat correctly.


Using JavaScript

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using JavaScript
Using JavaScript
About using JavaScript
Creating scripts using JavaScript
To attach a JavaScript script to an object


About using JavaScript

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using JavaScript > About using JavaScript
About using JavaScript
To allow form designers more flexibility and scripting power, LiveCycle Designer ES supports the use of JavaScript version 1.6 or earlier in all situations that support scripting.
Form developers familiar with JavaScript will be able to take their existing expertise and apply it directly to LiveCycle Designer ES. LiveCycle Designer ES provides a number of properties and methods that enhance JavaScript to allow you to access field and object values. These properties and methods combine with the LiveCycle Designer ES reference syntax to provide you with easy manipulation of form values and data.
Note:
The Script Editor does not provide syntax error checking for scripts created using JavaScript. In addition, statement completion options do not appear for standard JavaScript objects or methods.
See also
Creating scripts using JavaScript


Creating scripts using JavaScript

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using JavaScript > Creating scripts using JavaScript
Creating scripts using JavaScript
Creating scripts in LiveCycle Designer ES using JavaScript is very similar to creating JavaScript in other applications. You can take advantage of previous knowledge of JavaScript concepts, reuse JavaScript functions using the LiveCycle Designer ES script object, and take advantage of JavaScript language functionality.
However, it is important to note that while previous JavaScript knowledge is transferable, to effectively use JavaScript on your form design you must understand how to construct LiveCycle Designer ES reference syntax. Specifically, you must be able to correctly use the XML Form Object Model reference syntax to access objects on your form design.
The following table outlines the key concepts for developing scripts in JavaScript for LiveCycle Designer ES, as well as where to find more information on each concept within the LiveCycle Designer ES Help.
Key concept
For more information see...
Creating references to object properties and values, including using the resolveNode method.
“Referencing object properties and values”
resolveNode
“To use statement completion to create calculations and scripts”
Using the host and event models to test and debug your form.
“Testing and debugging calculations and scripts”
“Referencing object properties and values”
Using a script object to reuse your existing JavaScript functions.
“About the script object”
In addition to the resources available in the LiveCycle Designer ES Help, the LiveCycle ES Developer Center contains extensive scripting resources and documentation. The developer center is located at www.adobe.com/devnet/livecycle/.
See also
About using JavaScript


To attach a JavaScript script to an object

Scripting > Scripting Using LiveCycle Designer ES > Scripting Languages > Using JavaScript > To attach a JavaScript script to an object
To attach a JavaScript script to an object
You can add a JavaScript script to any form design object that allows calculations and scripts, including the script object.
1.
Make sure that you have the multiline version of the Script Editor showing on the LiveCycle Designer ES workspace.
2.
Select a field on your form. For example, add a new text field to your form design.
3.
In the Show list, select a valid event. For example, using the new text field, select the docReady event.
4.
In the Run At list, select where you want the script to execute. For example, for the new text field, select Client.
5.
Click Functions [image] or F10 to display a list of JavaScript functions, select the desired function, and press Enter. Replace the default function syntax notation with your own set of values. Alternatively, you can create your own script manually in the Script Source field of the Script Editor. For example, in the new text field, add the following JavaScript to the Script Source field:
this.border.fill.color.value = "255,0,0";
6.
Click the Preview PDF tab to test the form. The text should appear red for the new button object when the form is displayed in the Preview PDF tab.
See also
About using JavaScript


Referencing Objects in Calculations and Scripts

Scripting > Scripting Using LiveCycle Designer ES > Referencing Objects in Calculations and Scripts
Referencing Objects in Calculations and Scripts
About referencing objects in calculations and scripts
Referencing object properties and values
Referencing unnamed and repeated objects
Referencing the current object
FormCalc reference syntax shortcuts


About referencing objects in calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Referencing Objects in Calculations and Scripts > About referencing objects in calculations and scripts
About referencing objects in calculations and scripts
Although both FormCalc calculations and JavaScript scripts have rules for structuring code, both rely on the same reference syntax when accessing form object properties and values. The XML Form Object Model provides a structured way to access object properties and values through a compound naming convention with each object, property, and method separated by dot (.) characters.
In general, each reference syntax has a similar structure divided into the following sections:
•
The names of the parent objects in the form hierarchy that is used to navigate to a specific field or object. You can use the Hierarchy palette and Data View palette to determine the location of an object relative to other objects in the form and in any associated data.
•
The name of the object you want to reference.
•
The the name of the property or method you want to access. This section may also include XML Form Object Model objects that precede the property or method in the structure but that do not appear as objects in the Hierarchy palette.
For example, the following illustration shows the reference syntax for accessing the value of a text field on a form design that uses the default object-naming conventions:
Note:
By default, the subform object that represents the first page of a new form is unnamed. In the reference syntax above, the unnamed subform is represented by #subform.
The reference syntax notation structure varies slightly, depending on the specific situation. For example, a fully qualified reference syntax works in any situation; however, in some cases, you can use a shortened reference syntax or a reference syntax shortcut to reduce the size of the syntax.
See also
Referencing object properties and values
Referencing unnamed and repeated objects
Referencing the current object
FormCalc reference syntax shortcuts


Referencing object properties and values

Scripting > Scripting Using LiveCycle Designer ES > Referencing Objects in Calculations and Scripts > Referencing object properties and values
Referencing object properties and values
The reference syntax you use to access or modify object properties and values takes one of the following forms:
Fully qualified
Reference syntax includes the full object hierarchy, beginning with the xfa root node. The fully qualified syntax accurately accesses the property or value of an object regardless of where the calculation or script that contains the reference syntax is located.
Abbreviated
The reference syntax is shortened either because of the relative positioning of the calculation or script that contains the reference syntax and the object syntax references, or because shortcuts are used. In general, although an abbreviated reference syntax is faster to create, the disadvantage is that it works only as long as the objects remain in the same positions relative to each other.
For example, this illustration shows the hierarchy of a sample purchase order form.
This illustration shows a fully qualified reference syntax, for both FormCalc and JavaScript, to access the value of the txtCondition field. This reference syntax could be used as part of a calculation or script on any object on the form.
Note:
Even though the reference syntax is common to both FormCalc and JavaScript, you must observe the conventions for each scripting language. For example, the reference syntax in the example above works as is for FormCalc; however, you would need to include a trailing semicolon (;) character for JavaScript.
If two objects exist in the same container, such as a subform, they are referred to as sharing the same context. Where objects exist in the same context, you can use an abbreviated reference syntax that includes only the name of the object followed by the property or method you want to access. For example, using the example from above, the following abbreviated reference syntax accesses the value of the txtCondition field from any of the fields in the total subform:
txtCondition.rawValue
If two objects exist in different containers, they do not share the same context. In this case, you can use an abbreviated reference syntax; however, the syntax must begin with the name of the highest level container object that the two objects do not have in common. For example, using the hierarchy above, the following abbreviated reference syntax accesses the value of the address field from the txtCondition field:
header.address.rawValue
Due to the way the XML Form Object Model is structured, some object properties and methods exist on child objects of the objects on the form. These child objects exist only as part of the XML Form Object Model and do not appear in the Hierarchy and Data View palettes. To access these properties and methods, you must include the child objects in the reference syntax. For example, the following reference syntax sets the tool tip text for the txtCondition field:
txtCondition.assist.toolTip.value = "Conditions of purchase." // FormCalc
txtCondition.assist.toolTip.value = "Conditions of purchase."; // JavaScript
For more information about the XML Form Object model objects and their structure, see Scripting Reference.
See also
About referencing objects in calculations and scripts
Referencing unnamed and repeated objects
Referencing the current object
FormCalc reference syntax shortcuts


Referencing unnamed and repeated objects

Scripting > Scripting Using LiveCycle Designer ES > Referencing Objects in Calculations and Scripts > Referencing unnamed and repeated objects
Referencing unnamed and repeated objects
LiveCycle Designer ES supports the capability to create both unnamed objects and multiple objects with the same name. You can still create calculations and scripts to access and modify properties and values of unnamed objects by using the number sign (#) notation and object occurrence values using the square bracket ([ ]) notation. FormCalc correctly interprets the number sign (#) and square bracket ([ ]) characters; however, JavaScript does not. To access the value of a text field in a situation where the number sign (#) or square brackets ([ ]) occur, using JavaScript, you must use the resolveNode method in conjunction with either a fully qualified reference syntax or an abbreviated reference syntax.
For example, when you create a new blank form, by default, the name of the subform that represents the page of the form is an unnamed subform with an occurrence value of 0. The following illustration shows the form hierarchy on a new form with default object naming.
The untitled subform that represents the first page of the form has an occurrence number of 0. In this situation, both of the following reference syntaxes access the value of the text field in the form hierarchy above on a new form that uses default naming conditions:
xfa.form.form1.#subform.TextField1.rawValue
xfa.form.form1.#subform[0].TextField1.rawValue
Note:
By default, if you do not specify an occurrence value for an object, the reference syntax accesses the first occurrence of that object.
FormCalc recognizes the fully qualified reference syntax above and interprets it directly. To access the same value by using JavaScript, you must use one of these forms of the resolveNode scripting method:
xfa.resolveNode("xfa.form.form1.#subform.TextField1").rawValue;
xfa.resolveNode("xfa.form.form1.#subform[0].TextField1").rawValue;
If you add a new page to your form, by default, the name of the subform that represents the new page is unnamed; however, the occurrence value for the new subform is set to 1. You can specify the new unnamed subform by using a similar reference syntax as above:
xfa.form.form1.#subform[1].TextField1.rawValue // FormCalc
xfa.resolveNode("xfa.form.form1.#subform[1].TextField1").rawValue; // JavaScript
Note:
The statement completion options available in the Script Editor include unnamed objects at the beginning of the list. Objects that have multiple occurrence values appear only once in the list, representing the first occurrence of the object. If you want to access an occurrence value other that the first occurrence, you must manually add the occurrence value to the reference syntax.
You can use the resolveNode method to reference objects within other reference syntax statements. This can help to reduce the amount of scripting you need to reference a particular object, property, or method. For example, you could simplify the reference syntax that points to a text field on the second page of your form to the following statement:
xfa.form.form1.resolveNode("#subform[1].TextField1").rawValue; // JavaScript
For more information on the resolveNode method, see resolveNode.
See also
About referencing objects in calculations and scripts
Referencing object properties and values
Referencing the current object
FormCalc reference syntax shortcuts


Referencing the current object

Scripting > Scripting Using LiveCycle Designer ES > Referencing Objects in Calculations and Scripts > Referencing the current object
Referencing the current object
If you want to change properties or values of the current object using calculations or scripts attached to the object itself, both FormCalc and JavaScript use unique shortcuts to reduce the size of the reference syntax. FormCalc uses the number sign ($) character to denote the current object, and JavaScript uses the keyword this.
For example, the following reference syntax returns the value of the current object:
$ // FormCalc
this.rawValue // JavaScript
Similarly, you can use the dollar sign ($) shortcut and the keyword this to replace the name of the current object when accessing object properties in calculations and scripts. For example, the following reference syntax changes the tool tip text associated with the current object:
$.assist.toolTip.value = "This is some tool tip text." // FormCalc
this.assist.toolTip.value = "This is some tool tip text."; // JavaScript
See also
About referencing objects in calculations and scripts
Referencing object properties and values
Referencing unnamed and repeated objects
FormCalc reference syntax shortcuts


FormCalc reference syntax shortcuts

Scripting > Scripting Using LiveCycle Designer ES > Referencing Objects in Calculations and Scripts > FormCalc reference syntax shortcuts
FormCalc reference syntax shortcuts
To make accessing object properties and values easier, FormCalc includes shortcuts to reduce the effort required to create references. The following table outlines the reference syntax shortcuts for FormCalc.
Notation
Description
$
Refers to the current field or object, as shown in this example:
$ = "Tony Blue"
The above example sets the value of the current field or object to Tony Blue.
$data
Represents the root of the data model xfa.datasets.data. For example,
$data.purchaseOrder.total
is equivalent to
xfa.datasets.data.purchaseOrder.total
$event
Represents the current form object event. For example,
$event.name
is equivalent to
xfa.event.name
For more information see About the event model.
$form
Represents the root of the form model xfa.form. For example,
$form.purchaseOrder.tax
is equivalent to stating
xfa.form.purchaseOrder.tax
$host
Represents the host object. For example,
$host.messageBox("Hello world")
is equivalent to
xfa.host.messageBox("Hello world")
For more information, see About working with a host application.
$layout
Represents the root of the layout model xfa.layout. For example,
$layout.ready
is equivalent to stating
xfa.layout.ready
$record
Represents the current record of a collection of data, such as from an XML file. For example,
$record.header.txtOrderedByCity
references the txtOrderedByCity node within the header node of the current XML data.
$template
Represents the root of the template model xfa.template. For example,
$template.purchaseOrder.item
is equivalent to
xfa.template.purchaseOrder.item
!
Represents the root of the data model xfa.datasets. For example,
!data
is equivalent to
xfa.datasets.data
*
Selects all form objects within a given container, such as a subform, regardless of name, or selects all objects that have a similar name.
For example, the following expression selects all objects named item on a form:
xfa.form.form1.item[*]
Note:
You can use the ‘*’ (asterisk) syntax with JavaScript if it used with the resolveNode method.
..
You can use two dots at any point in your reference syntax to search for objects that are a part of any subcontainer of the current container object, such as a subform. For example, the expression Subform_Page..Subform2 means locate the node Subform_Page (as usual) and find a descendant of Subform_Page called Subform2.
Using the example tree above,
Subform_Page..TextField2
is equivalent to
Subform_Page.Subform1[0].Subform3.TextField2[0]
because TextField2[0] is in the first Subform1 node that FormCalc encounters on its search. As a second example,
Subform_Page..Subform3[*]
returns all four TextField2 objects.
Note:
You can use the ‘..’ (double period) syntax with JavaScript if it used with the resolveNode method.
#
The number sign (#) notation is used to denote one of the following items in a reference syntax:
•
An unnamed object. For example, the following reference syntax accesses an unnamed subform:
xfa.form.form1.#subform
•
Specify a property in a reference syntax if a property and an object have the same name. For example, the following reference syntax accesses the name property of a subform if the subform also contains a field named name:
xfa.form.form1.#subform.#name
Note:
You can use the ‘#’ (number sign) syntax with JavaScript if it used with the resolveNode method.
[ ]
The square bracket ([ ]) notation denotes the occurrence value of an object. To construct an occurrence value reference, place square brackets ([ ]) after an object name, and enclose within the brackets one of the following values:
•
[ n ], where n is an absolute occurrence index number beginning at 0. An occurrence number that is out of range does not return a value. For example,
xfa.form.form1.#subform.Quantity[3]
refers to the fourth occurrence of the Quantity object.
•
[ +/- n ], where n indicates an occurrence relative to the occurrence of the object making the reference. Positive values yield higher occurrence numbers, and negative values yield lower occurrence numbers. For example,

xfa.form.form1.#subform.Quantity[+2]

This reference yields the occurrence of Quantity whose occurrence number is two more than the occurrence number of the container making the reference. For example, if this reference was attached to the Quantity[2]object , the reference would be the same as

xfa.template.Quantity[4]

If the computed index number is out of range, the reference returns an error.

The most common use of this syntax is for locating the previous or next occurrence of a particular object. For example, every occurrence of the Quantity object (except the first) might use Quantity[-1] to get the value of the previous Quantity object.
•
[*] indicates multiple occurrences of an object. The first named object is found, and objects of the same name that are siblings to the first are returned. Note that using this notation returns a collection of objects. For example,

xfa.form.form1.#subform.Quantity[*]

This expression refers to all objects with a name of Quantity that are siblings to the first occurrence of Quantity found by the reference.
Note:
In language-specific forms for Arabic, Hebrew, Thai, and Vietnamese, the reference syntax is always on the right (even for right-to-left languages).
[ ]
(Continued)
Using the tree for reference, these expressions return the following objects:
•
Subform_Page.Subform1[*] returns both Subform1 objects.
•
Subform_Page.Subform1.Subform3.TextField2[*] returns two TextField2 objects. Subform_Page.Subform1 resolves to the first Subform1 object on the left, and TextField2[*] evaluates relative to the Subform3 object.
•
Subform_Page.Subform1[*].TextField1 returns both of the TextField1 instances. Subform_Page.Subform1[*] resolves to both Subform1 objects, and TextField1 evaluates relative to the Subform1 objects.
•
Subform_Page.Subform1[*].Subform3.TextField2[1] returns the second and fourth TextField2 objects from the left. Subform_Page.Subform1[*] resolves to both Subform1 objects, and TextField2[1] evaluates relative to the Subform3 objects.
•
Subform_Page.Subform1[*].Subform3[*] returns both instances of the Subform3 object.
•
Subform_Page.* returns both Subform1 objects and the Subform2 object.
•
Subform_Page.Subform2.* returns the two instances of the NumericField2 object.
Note:
You can use the ‘[ ]’ (square bracket) syntax with JavaScript if it used with the resolveNode method.
About referencing objects in calculations and scripts
Referencing object properties and values
Referencing unnamed and repeated objects
Referencing the current object


Variables

Scripting > Scripting Using LiveCycle Designer ES > Variables
Variables
About variables
Naming variables
To define a text variable
To view a text variable definition
To delete a text variable
Using variables in calculations and scripts


About variables

Scripting > Scripting Using LiveCycle Designer ES > Variables > About variables
About variables
You can define form variables in LiveCycle Designer ES to store specific information in a central, accessible location. A variable typically acts as a placeholder for text that you might have to change in the future. For example, a variable can store the text of a message box title. When the text needs to change, all you have to do is open the affected form or template and update the text once through the variable definition. LiveCycle Designer ES automatically propagates the new text across all instances of the inserted variable.
Keep in mind that form variables are defined outside of the Script Editor, and are accessible by scripts on all objects on a form, as opposed to scripting variables that you create in a specific FormCalc or JavaScript script.
You can create, view, and delete variables without using scripting. However, you must use scripting to access the values stored by variables and manipulate them, or to apply the values to objects on your form.
Note:
Form variable values reset each time you open a form.
Before you create a variable, decide the name of the variable and the text that it will contain. Variable definitions are saved with the form or template.
See also
Naming variables
To define a text variable
To view a text variable definition
To delete a text variable
Using variables in calculations and scripts


Naming variables

Scripting > Scripting Using LiveCycle Designer ES > Variables > Naming variables
Naming variables
At run time, naming conflicts occur when the names of variables are identical to those used as XML Form Object Model properties, methods, or form design field names. These conflicts can cause scripts to return unexpected values; therefore, it is important to give each variable a unique name. Here a couple of examples:
•
Use the variable name fieldWidth and fieldHeight instead of x and y.
•
Use the form design object name clientName instead of name.
Note:
Variable names are case-sensitive and should not contain spaces.
See also
About variables
To define a text variable
To view a text variable definition
To delete a text variable
Using variables in calculations and scripts


To define a text variable

Scripting > Scripting Using LiveCycle Designer ES > Variables > To define a text variable
To define a text variable
1.
Select Edit > Form Properties.
2.
In the Variables tab, click New (Insert) [image].
3.
In the Variables list, type a unique name for the variable and press Enter. Variable names are case-sensitive and should not contain spaces.
4.
Click once in the box to the right and type the text you want to associate with the variable.
The variable appears in the Hierarchy palette at the form level.
See also
About variables
Naming variables
To view a text variable definition
To delete a text variable
Using variables in calculations and scripts


To view a text variable definition

Scripting > Scripting Using LiveCycle Designer ES > Variables > To view a text variable definition
To view a text variable definition
1.
Select Edit > Form Properties.
2.
Click the Variables tab and select the variable from the Variables list. The associated text is displayed in the box to the right.
See also
About variables
Naming variables
To define a text variable
To delete a text variable
Using variables in calculations and scripts


To delete a text variable

Scripting > Scripting Using LiveCycle Designer ES > Variables > To delete a text variable
To delete a text variable
1.
Select Edit > Form Properties.
2.
In the Variables tab, select the variable and click Delete (Delete) [image].
See also
About variables
Naming variables
To define a text variable
To view a text variable definition
Using variables in calculations and scripts


Using variables in calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Variables > Using variables in calculations and scripts
Using variables in calculations and scripts
After you have created form variables, you only need to reference the variable name in your calculations and scripts in order to obtain the value of the variable.
Caution:
When naming variables, you should avoid using names that are identical to the names of any XML Form Object Model properties, methods, or object names. For information about XML Form Object Model properties, methods, and objects, see Scripting Reference.
For example, create the following form variable definitions.
Variable name
Value
firstName
Tony
lastName
Blue
age
32
In FormCalc, you can access the variable values in the same manner that you access field and object values. In this example, the values are assigned to three separate fields:
TextField1 = firstName
TextField2 = lastName
NumericField1 = age
You can also use variables in FormCalc functions in the same way, as shown in this example:
Concat( "Dear ", firstName, lastName )
In JavaScript, you reference variable values by using the .value property instead of the .rawValue property that is used for field and object values, as shown in this example:
TextField1.rawValue = firstName.value;
See also
About variables
Naming variables
To define a text variable
To view a text variable definition
To delete a text variable


Debugging Calculations and Scripts

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts
Debugging Calculations and Scripts
About debugging calculations and scripts
Providing debugging feedback using the messageBox method
To enable the JavaScript Debugger for LiveCycle Designer ES
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
Executing scripts in the JavaScript Console
Providing debugging feedback using the JavaScript Console


About debugging calculations and scripts

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts > About debugging calculations and scripts
About debugging calculations and scripts
LiveCycle Designer ES includes a number of features and strategies for debugging your calculations and scripts, depending on the scripting language you choose.
For both FormCalc and JavaScript, you can take advantage of certain LiveCycle Designer ES capabilities to debug and verify your scripts.
•
Using the Warnings tab in the Report palette, you can view any errors or messages generated by LiveCycle Designer ES as you design a form. For more information about using the Warnings tab and the LiveCycle Designer ES workspace to debug your scripts, see “Using the workspace to debug calculations and scripts”.
•
Using the Log tab, you can view validation messages, JavaScript or FormCalc scripting execution errors, and design-time form rendering errors generated by LiveCycle Designer ES when you import or save a form, or preview a form using the Preview PDF tab.
•
Using the XML Form Object Model messageBox method to output information from an interactive form into a dialog box at run time. For more information about using the messageBox method, see messageBox.
•
For certain types of debugging, you may want to output information, such as field values or messages, into a text field on your form design. For example, you can append new messages or values to the value of a text field to create a log that you can refer to when resolving issues.
If you use Acrobat Professional, you can use the JavaScript Debugger from Acrobat to test your form scripts. The JavaScript Debugger includes the JavaScript Console, which you can use to test portions of JavaScript code in the Preview PDF tab. The JavaScript Console provides an interactive and convenient interface for testing portions of JavaScript code and experimenting with object properties and methods. Because of its interactive nature, the JavaScript Console behaves as an editor that supports the execution of single lines or blocks of code.
For more information about the JavaScript Console and the JavaScript Debugger, see Developing Acrobat Applications Using JavaScript at http://www.adobe.com/go/learn_lc_AcrobatDeveloper (English only).
See also
Providing debugging feedback using the messageBox method
To enable the JavaScript Debugger for LiveCycle Designer ES
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
Executing scripts in the JavaScript Console
Report palette


Providing debugging feedback using the messageBox method

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts > Providing debugging feedback using the messageBox method
Providing debugging feedback using the messageBox method
Regardless of the type of form you create, you can take advantage of the XML Form Object Model messageBox method to display messages or field values at run time. When initiated, the messageBox method displays a string value in a new client application dialog box. The string value can be a text message that you create for debugging purposes or the string value of fields or expressions.
For example, consider a scenario with a simple form design that contains a single numeric field (NumericField1) and a button (Button1). In this case, the following FormCalc calculation and JavaScript script each output a message displaying some text and the value currently displayed in the numeric field. By adding either the calculation or the script to the click event of the button object, you can interactively display the value of the numeric field in a new dialog box by clicking the button.
FormCalc
xfa.host.messageBox(Concat("The value of NumericField1 is: ",
NumericField1), "Debugging", 3)
JavaScript
xfa.host.messageBox("The value of NumericField1 is: " +
NumericField1.rawValue, "Debugging", 3);
Caution:
The messageBox method returns an integer value representing the button that the form filler selects in the message box dialog. If you attach the messageBox method to the calculate event of a field object, and the messagebox method is the last line of the script, the field displays the return value of the messageBox method at run time.
In some situations, such as if you want to return a message box during a calculate event, you can take advantage of the alert method from the JavaScript Object Model from Acrobat. For example, the following script returns the value of a text field:
var oField = xfa.resolveNode("TextField1").rawValue;
app.alert(oField);
For more information about the alert method and the JavaScript Object Model from Acrobat, see Developing Acrobat Applications Using JavaScript at http://www.adobe.com/go/learn_lc_AcrobatDeveloper (English only).
See also
About debugging calculations and scripts
To enable the JavaScript Debugger for LiveCycle Designer ES
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
Executing scripts in the JavaScript Console
Providing debugging feedback using the JavaScript Console
Using the workspace to debug calculations and scripts


To enable the JavaScript Debugger for LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts > To enable the JavaScript Debugger for LiveCycle Designer ES
To enable the JavaScript Debugger for LiveCycle Designer ES
To enable the JavaScript Debugger for LiveCycle Designer ES and execute code from the JavaScript Console, you must enable JavaScript and the JavaScript Debugger in Acrobat Professional. You need to enable the JavaScript Debugger to access the JavaScript Console because the console window is a component in the JavaScript Debugger interface.
Note:
You can enable the JavaScript Debugger in Adobe Reader if you have LiveCycle Reader Extensions ES installed. To enable the JavaScript Debugger in Adobe Reader, you need to get the debugger.js file and then edit the Microsoft Windows Registry. For more information about enabling the JavaScript Debugger in Adobe Reader, see Developing Acrobat Applications Using JavaScript at http://www.adobe.com/go/learn_lc_AcrobatDeveloper (English only).
1.
Start LiveCycle Designer ES.
2.
Start Acrobat Professional.
3.
In Acrobat Professional, select Edit > Preferences.
4.
Select JavaScript from the list on the left.
5.
Select Enable Acrobat JavaScript if it is not already selected.
6.
Under JavaScript Debugger, select Enable JavaScript Debugger After Acrobat Is Restarted.
7.
Select Enable Interactive Console. This option lets you evaluate code that you write in the JavaScript Console.
8.
Select Show Console On Errors And Messages. This option ensures that if you make mistakes, the JavaScript Console displays helpful information.
9.
Click OK to close the Preferences dialog box.
10.
Quit Acrobat Professional.
11.
In LiveCycle Designer ES, click the Preview PDF tab.
12.
Press Ctrl+J to open the JavaScript Debugger.
See also
About debugging calculations and scripts
Providing debugging feedback using the messageBox method
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
Executing scripts in the JavaScript Console
Using the workspace to debug calculations and scripts


To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts > To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
If you have the JavaScript Debugger from Acrobat active and it disappears when you click components in the LiveCycle Designer ES interface, you must stop the Acrobat.exe process in the Microsoft Windows Task Manager. The Acrobat.exe process continues to run after Acrobat is closed so that Acrobat is displayed faster if it is restarted. Stopping the Acrobat.exe process ends the association between the JavaScript Debugger and the Acrobat Professional session so that you can use the JavaScript Debugger in LiveCycle Designer ES.
1.
In the Windows Task Manager, click the Processes tab.
2.
In the Image Name column, right-click Acrobat.exe and select End Process.
See also
About debugging calculations and scripts
Providing debugging feedback using the messageBox method
To enable the JavaScript Debugger for LiveCycle Designer ES
Executing scripts in the JavaScript Console
Using the workspace to debug calculations and scripts


Executing scripts in the JavaScript Console

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts > Executing scripts in the JavaScript Console
Executing scripts in the JavaScript Console
Using the JavaScript Console from Acrobat, you can to evaluate single or multiple lines of code.
There are three ways to evaluate JavaScript code while using the interactive JavaScript Console:
•
To evaluate a portion of a line of code, highlight the portion in the console window and press either Enter on the numeric keypad or Ctrl+Enter on the regular keyboard.
•
To evaluate a single line of code, make sure the cursor is positioned in the appropriate line in the console window and press either Enter on the numeric keypad or Ctrl+Enter on the regular keyboard.
•
To evaluate multiple lines of code, highlight those lines in the console window and press either Enter on the numeric keypad or Ctrl+Enter on the regular keyboard.
In all cases, the result of the most recently evaluated JavaScript script is displayed in the console window.
After evaluating each JavaScript script, the console window prints out undefined, which is the return value of the statement. Notice that the result of a statement is not the same as the value of an expression within the statement. The return value undefined does not mean that the value of script is undefined; it means that the return value of the JavaScript statement is undefined.
Click Clear (the trash can icon) at the lower right of the console to delete any contents that appear in the console window.
See also
About debugging calculations and scripts
Providing debugging feedback using the messageBox method
To enable the JavaScript Debugger for LiveCycle Designer ES
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
Using the workspace to debug calculations and scripts


Providing debugging feedback using the JavaScript Console

Scripting > Scripting Using LiveCycle Designer ES > Debugging Calculations and Scripts > Providing debugging feedback using the JavaScript Console
Providing debugging feedback using the JavaScript Console
If you are creating scripts using JavaScript, you can output messages to the JavaScript Console from Acrobat at run time by using the console.println method included with the JavaScript Object Model from Acrobat. When initiated, the console.println method displays a string value in the JavaScript Console. The string value can be a text message that you create for debugging purposes or the string value of fields or expressions.
For example, consider a scenario with a simple form design that contains a single numeric field (NumericField1) and a button (Button1). In this case, the following JavaScript script outputs a message displaying some text and the value currently displayed in the numeric field. By adding either the calculation or the script to the click event of the button object, you can interactively display the value of the numeric field in a new dialog box by clicking the button.
console.println("The value is: " + NumericField1.rawValue);
For more information about the console.println method and the JavaScript Object Model from Acrobat, see Developing Acrobat Applications Using JavaScript at http://www.adobe.com/go/learn_lc_AcrobatDeveloper (English only).
See also
About debugging calculations and scripts
To enable the JavaScript Debugger for LiveCycle Designer ES
To prevent the JavaScript Debugger from disappearing in LiveCycle Designer ES
Executing scripts in the JavaScript Console
Using the workspace to debug calculations and scripts


Working with a Host Application

Scripting > Scripting Using LiveCycle Designer ES > Working with a Host Application
Working with a Host Application
About working with a host application
Comparing the host scripting model functionality


About working with a host application

Scripting > Scripting Using LiveCycle Designer ES > Working with a Host Application > About working with a host application
About working with a host application
A host application is the application in which a form exists at any given time. For example, if you are using LiveCycle Forms ES to render a form in HTML format, then during the pre-rendering process the host application is LiveCycle Forms ES. Once you render a form and view it in a client application such as Acrobat, Adobe Reader, or an HTML browser, then the client application becomes the host application.
LiveCycle Designer ES includes a scripting model that provides scripting properties and methods for directly interfacing with a hosting application. For example, you can use the properties and methods in the host scripting model to provide PDF page navigation actions in Acrobat or Adobe Reader, or you can use the importData method to load data into your form.
You can reference the host script model syntax on any valid scripting event for form design objects using the following syntax for both FormCalc and JavaScript:
xfa.host.property_or_method
Host scripting model properties and methods
Using the host scripting model properties and methods, you can retrieve information and execute actions that are not otherwise accessible through calculations and scripts. For example, you can retrieve the name of the host application (such as Acrobat), or advance the current page on an interactive form. The following table lists the properties and methods that are available for the host scripting model.
For more information about the host scripting model properties and methods, see the LiveCycle ES Developer Center located at www.adobe.com/devnet/livecycle/.
Properties
Methods
appType
calculationsEnabled
currentPage
language
name
numPages
platform
title
validationsEnabled
variation
version
beep
exportData
gotoURL
importData
messageBox
pageDown
pageUp
print
resetData
response
setFocus
See also
Comparing the host scripting model functionality
About referencing objects in calculations and scripts


Comparing the host scripting model functionality

Scripting > Scripting Using LiveCycle Designer ES > Working with a Host Application > Comparing the host scripting model functionality
Comparing the host scripting model functionality
This table lists the LiveCycle Designer ES host scripting model properties and methods, and compares them to the equivalent expressions in the JavaScript Object Model in Acrobat.
See also
Host scripting model properties and methods
JavaScript Object Model from Acrobat equivalent
xfa.host.appType
app.viewerType
xfa.host.beep( [ INTEGER param ] )
app.beep([ nType ])
xfa.host.currentPage
doc.pageNum
xfa.host.exportData([ STRING param1 [,
BOOLEAN param2 ] ])
doc.exportXFAData(cPath [, bXDP ])
xfa.host.gotoURL( STRING param1 [,
BOOLEAN param2 ] )
doc.getURL(cURL, [ bAppend ])
or
app.launchURL(URL);
xfa.host.importData( [ STRING param ] )
doc.importXFAData(cPath)
xfa.host.language
app.language
xfa.host.messageBox(STRING param1 [,
STRING param2 [, INTEGER param3 [,
INTEGER param4 ] ] ])
app.alert(cMsg [, nIcon [, nType [,
cTitle ] ] ])
xfa.host.name
none
xfa.host.numPages
doc.numPages
xfa.host.pageDown()
doc.pageNum++
xfa.host.pageUp()
doc.pageNum--
xfa.host.platform
app.platform
xfa.host.print(BOOLEAN param1, INTEGER
param2, INTEGER param3, BOOLEAN
param4, BOOLEAN param5, BOOLEAN
param6, BOOLEAN param7, BOOLEAN
param8)
doc.print([ bUI [, nStart [, nEnd [,
bSilent [, bShrinkToFit [,
bPrintAsImage [, bReverse [,
bAnnotations ] ] ] ] ] ] ] ])
xfa.host.resetData( [ STRING param ] )
doc.resetForm([ aFields ])
xfa.host.response( STRING param1 [,
STRING param2 [, STRING param3 [,
BOOLEAN param4] ] ])
app.response(cQuestion [, cTitle [,
cDefault [, bPassword ] ] ])
xfa.host.setFocus( STRING param )
field.setFocus()
(Deprecated)
xfa.host.title
doc.title
xfa.host.variation
app.viewerVariation
xfa.host.version
app.viewerVersion
About working with a host application


Working with the Event Model

Scripting > Scripting Using LiveCycle Designer ES > Working with the Event Model
Working with the Event Model
About the event model
Event model properties and methods


About the event model

Scripting > Scripting Using LiveCycle Designer ES > Working with the Event Model > About the event model
About the event model
The event model stores object event properties. These properties are useful if you want to access values that are otherwise out of the scope of the events listed in the Show list within the Script Editor.
The event model controls the changes in a form that occur before, during, and after actions take place. These actions include dynamic form events, such as the point when the data and form design are merged but before pagination is applied, and also interactive form events, such as when a user updates the value of a field.
See also
Event model properties and methods


Event model properties and methods

Scripting > Scripting Using LiveCycle Designer ES > Working with the Event Model > Event model properties and methods
Event model properties and methods
Using the event object properties and methods, you can retrieve information and execute actions that otherwise are not accessible through calculations and scripts. For example, you can retrieve the full value of a field that otherwise would have part of the data stripped out because it is too long or otherwise invalid. Retrieving the full value of a field is useful in situations where you have to do extensive error checking.
Properties
Methods
change
className
commitKey
fullText
keyDown
modifier
name
newContentType
newText
prevContentType
prevText
reenter
selEnd
selStart
shift
soapFaultCode
soapFaultString
target
emit
reset
About the event model


Creating and Reusing JavaScript Functions

Scripting > Scripting Using LiveCycle Designer ES > Creating and Reusing JavaScript Functions
Creating and Reusing JavaScript Functions
About the script object
To create a script object
To add script to a script object
To reference JavaScript functions stored in a script object


About the script object

Scripting > Scripting Using LiveCycle Designer ES > Creating and Reusing JavaScript Functions > About the script object
About the script object
The script object is an object you can use to store JavaScript functions and values separately from any particular form object. Typically, you use the script object to create custom functions and methods that you want to use as part of JavaScript scripts in many locations on your form. This technique reduces the overall amount of scripting required to perform repetitive actions.
The script object only supports script written in JavaScript; however, there are no restrictions on the location where the scripts are executed, provided that the scripting language for the event that invokes the script object is set to JavaScript. Both Acrobat and LiveCycle Forms ES process scripting from a script object in the same manner, but both are also distinct. Only scripts set to run on the client can make use of script objects set to run on the client, and vice versa.
See also
To create a script object
To add script to a script object
To reference JavaScript functions stored in a script object


To create a script object

Scripting > Scripting Using LiveCycle Designer ES > Creating and Reusing JavaScript Functions > To create a script object
To create a script object
There are two parts to creating a script object. The first part involves adding the object to the form design, and the second part is writing the script you want to store in the script object.
1.
Create a new form or open an existing form.
2.
In the Hierarchy palette, right-click either a form-level object or a subform-level object and select Insert Script Object.
3.
(Optional) Right-click the script object and select Rename Object.
See also
About the script object
To add script to a script object
To reference JavaScript functions stored in a script object


To add script to a script object

Scripting > Scripting Using LiveCycle Designer ES > Creating and Reusing JavaScript Functions > To add script to a script object
To add script to a script object
After you have a script object on your form, you can add scripts using the Script Editor.
1.
Select the script object in the Hierarchy palette.
The Script Editor is displayed with both a Script Object value in the Show list and a JavaScript value in the Language list. You cannot change either of these values.
2.
Enter your script in the Script Source field.
3.
Click the Preview PDF tab to test the form.
Example
For example, create a script object called feedback that contains the following function:
function emptyCheck(oField) {
if ((oField.rawValue == null) || (oField.rawValue == "")) {
xfa.host.messageBox("You must input a value for this field.", "Error Message", 3);
}
}
See also
About the script object
To create a script object
To reference JavaScript functions stored in a script object


To reference JavaScript functions stored in a script object

Scripting > Scripting Using LiveCycle Designer ES > Creating and Reusing JavaScript Functions > To reference JavaScript functions stored in a script object
To reference JavaScript functions stored in a script object
After you add scripts to a script object, you can reference the script object from any event that supports JavaScript scripts.
1.
Select an object on your form and select an event from the Show list.
2.
Create a reference to the script object and any functions within the script object. The following generic syntax assumes that the object where you are referencing the script object is at the same level as the script object in the form hierarchy or that the script object exists at the highest level of the form hierarchy.
script_object.function_name(parameter1, ...);
3.
Apply the new script to the form object and test it by previewing the form using the Preview PDF tab.
Similar to referencing other objects on a form, you must provide a valid syntax when referencing the script object that includes where it exists within the form hierarchy. For more information about referencing objects in scripting, see “Referencing object properties and values”.
Example
For example, using the script object example from “To add script to a script object”, place the following JavaScript script on the exit event for a text field. Test the form using the Preview PDF tab.
See also feedback.emptyCheck(this)
About the script object
To create a script object
To add script to a script object


Using Script Fragments

Scripting > Scripting Using LiveCycle Designer ES > Using Script Fragments
Using Script Fragments
About script fragments
Script fragment properties
To create a script fragment
To insert a script fragment


About script fragments

Scripting > Scripting Using LiveCycle Designer ES > Using Script Fragments > About script fragments
About script fragments
A script fragment contains a script object. A script object contains reusable JavaScript functions or values that are stored separately from any particular form object, such as a date parser or a web service invocation. Typically, you use the script objects to create custom functions and methods that you want to use in many locations on a form. Using script objects reduces the overall amount of scripting required to perform repetitive actions.
Script fragments include only script objects that appear as children of variables in the Hierarchy palette. Fragments cannot contain scripts that are associated with other form objects, such as event scripts like validate, calculate, or initialize.
You create a script fragment from the Hierarchy palette. For more information, see To create a script fragment.
You edit script fragments the same way as other fragments.
See also
About the script object
Overview of fragments
To edit a fragment


Script fragment properties

Scripting > Scripting Using LiveCycle Designer ES > Using Script Fragments > Script fragment properties
Script fragment properties
When you select a script fragment, the Script Object tab in the Object palette displays the fragment properties.
Source File
Sets the source file for the fragment reference. This property is visible only when the selected object is a fragment reference.
Fragment Name
Sets the name of the fragment. You can click the Frag Info button [image] to view the fragment information.
This property is visible when a fragment reference or a fragment that is defined in a source file is selected. When the selected object is a fragment reference, this property does not appear if the source file is not specified. The Fragment Name list includes all the fragments in the specified source file. The Custom option directly supports setting a SOM expression or an ID value as the fragment reference and supports the implementation in the XML Forms Architecture.
See also
About the script object
About fragments


To create a script fragment

Scripting > Scripting Using LiveCycle Designer ES > Using Script Fragments > To create a script fragment
To create a script fragment
You can create a script fragment of common functions that you can reuse in multiple forms. To create a script fragment, you create a script object that contains the functions that you want to reuse in multiple form designs. The script fragment can include only one script object.
1.
Create a script object.
2.
In the Hierarchy palette, right-click the script object and select Fragments > Create Fragment.
3.
To use a different fragment name, in the Name box, type a name for the fragment.
4.
(Optional) In the Description box, type a description of the fragment.
5.
Select a method for creating the fragment:
•
To define the fragment in a separate XDP file that is stored in the repository, select Create Fragment In Repository and go to step 6.
•
To define the fragment in the current file, select Create New Fragment in Current Document and go to step 9.
6.
In the Location list, select the repository location in which to save the fragment file.
7.
To use a different file name, in the File Name box, type the file name for the fragment.
8.
If you do not want to replace the selection with the new fragment, deselect Replace Selection With Reference To New Form Fragment.
9.
Click OK.
See also
To create a script object
To add script to a script object
To create a fragment
Create Fragment dialog box


To insert a script fragment

Scripting > Scripting Using LiveCycle Designer ES > Using Script Fragments > To insert a script fragment
To insert a script fragment
You can use script fragments to reuse JavaScript functions in multiple forms. When creating a form design, you insert a reference to an existing script fragment and the fragment appears in the form design.
You cannot insert a fragment in an XFAF document.
To insert a script fragment from the LiveCycle Workbench ES repository:
1.
In the LiveCycle Workbench ES Resources view, select the file that contains the fragment to insert.
2.
Drag the fragment to a subform or variables object in the Hierarchy palette.
To insert a script fragment from the Insert menu:
1.
Select Insert > Fragment.
2.
Navigate to the file that contains the fragment.
3.
Select the file and click OK. The fragment appears as a child of the variables object in the root subform
See also
About the script object
Insert Fragment dialog box
Insert menu
To insert a fragment reference
Fragment references


Moving from Scripting in Acrobat to LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > Moving from Scripting in Acrobat to LiveCycle Designer ES
Moving from Scripting in Acrobat to LiveCycle Designer ES
About moving from scripting in Acrobat to LiveCycle Designer ES
Converting Acrobat forms that contain scripts
Using JavaScript objects from Acrobat in LiveCycle Designer ES
JavaScript objects from Acrobat supported in LiveCycle Designer ES


About moving from scripting in Acrobat to LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > Moving from Scripting in Acrobat to LiveCycle Designer ES > About moving from scripting in Acrobat to LiveCycle Designer ES
About moving from scripting in Acrobat to LiveCycle Designer ES
LiveCycle Designer ES includes extensive scripting capabilities, including support for the most common JavaScript objects from Acrobat. When you convert an Acrobat form to LiveCycle Designer ES, most JavaScript scripts continue to work without requiring changes. However, you will need to manually convert some JavaScript scripts from Acrobat to maintain the behavior of your Acrobat form.
When converting scripts on your Acrobat form, note that LiveCycle Designer ES scripting differs from scripting in Acrobat in several ways:
LiveCycle Designer ES workspace
In the LiveCycle Designer ES workspace, you can change object properties and behaviors on your form without requiring you to create scripts.
Scripting languages
LiveCycle Designer ES includes support for JavaScript as well as for FormCalc, which is a simple calculation language. FormCalc includes built-in functions that perform many useful operations that would otherwise require extensive scripting.
Referencing objects, properties, and methods
LiveCycle Designer ES forms are highly structured; therefore, to reference specific objects, properties, or methods, you must include the appropriate reference syntax in your script. You can use the statement completion options in the Script Editor to assist you in creating reference syntaxes.
It is possible to continue to use JavaScript objects, properties, and methods from Acrobat in LiveCycle Designer ES. However, you should consider JavaScript from Acrobat only for tasks that you cannot perform using the XML Form Object Model in LiveCycle Designer ES. For example, you can use JavaScript from Acrobat to add attachments, bookmarks, and annotations; search or spell check the form; create reports; or access and manipulate metadata. You cannot use JavaScript from Acrobat to perform actions such as setting field values, adding new fields to a form, or deleting pages from a form.
Note:
You cannot use Acrobat to add JavaScript scripts to a LiveCycle Designer ES form, including Acrobat forms that you have converted using LiveCycle Designer ES. When you view a LiveCycle Designer ES form in Acrobat, all JavaScript tools are unavailable.
For more information about converting Acrobat scripting to LiveCycle Designer ES, see the article Converting Acrobat JavaScript for Use in LiveCycle Designer ES Forms in the LiveCycle ES Developer Center at http://www.adobe.com/go/learn_lc_AcrobatDeveloper.
See also
Converting Acrobat forms that contain scripts
Using JavaScript objects from Acrobat in LiveCycle Designer ES
JavaScript objects from Acrobat supported in LiveCycle Designer ES


Converting Acrobat forms that contain scripts

Scripting > Scripting Using LiveCycle Designer ES > Moving from Scripting in Acrobat to LiveCycle Designer ES > Converting Acrobat forms that contain scripts
Converting Acrobat forms that contain scripts
One of the first steps in converting a form from Acrobat to LiveCycle Designer ES is to determine how much of the Acrobat scripting is supported by LiveCycle Designer ES and how much you must convert.
In general, you should convert all Acrobat scripting to an equivalent in LiveCycle Designer ES. LiveCycle Designer ES scripting takes full advantage of the highly structured nature of LiveCycle Designer ES forms, as well as useful forms-specific functionality, to make designing and implementing your forms solution faster and easier.
The Acrobat scripting you should retain include those that deal with the form’s environment and peripheral operations, such as adding attachments or multimedia, performing searches, or creating reports and handling document metadata.
For more information about converting Acrobat scripting to LiveCycle Designer ES, see the article Converting Acrobat JavaScript for Use in LiveCycle Designer ES Forms in the LiveCycle Designer ES Developer Center at http://www.adobe.com/go/learn_lc_AcrobatDeveloper.
See also
About moving from scripting in Acrobat to LiveCycle Designer ES
Using JavaScript objects from Acrobat in LiveCycle Designer ES
JavaScript objects from Acrobat supported in LiveCycle Designer ES


Using JavaScript objects from Acrobat in LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > Moving from Scripting in Acrobat to LiveCycle Designer ES > Using JavaScript objects from Acrobat in LiveCycle Designer ES
Using JavaScript objects from Acrobat in LiveCycle Designer ES
In LiveCycle Designer ES, you can script against certain JavaScript objects in Acrobat by using the Acrobat scripting syntax. As a result, you can use the properties and methods of those objects on your form. For example, to display a message in the JavaScript Console from Acrobat, you can add the following script to the event of a form design object in LiveCycle Designer ES:
console.println("This message appears in the JavaScript Console.");
You can also have the form send itself by email by adding the following script to the click event of a button:
var myDoc = event.target;
myDoc.mailDoc(true);
Note:
In LiveCycle Designer ES, you must ensure that the scripting language for the event is set to JavaScript so that the script will execute correctly at run time.
You can also use references to the JavaScript objects in Acrobat in your reference syntax. For example, the following script gets the signed state of a signature field and takes an action based on the state:
// Proceed if the current field is not signed.
var oState =
event.target.getField("form1[0].#subform[0].SignatureField1[0]")
.signatureValidate(); //Get the field's signed state.
if (oState == 0) {
...
}
Note:
This example uses a fully qualified reference syntax to reference the text For more information about referencing form design objects, see “Referencing object properties and values”.
When working with JavaScript from Acrobat in LiveCycle Designer ES, remember these points:
•
In LiveCycle Designer ES, use event.target to access the Doc JavaScript object from Acrobat. In Acrobat, the this object is used to reference the Doc object; however, in LiveCycle Designer ES, the this object refers to the form design object to which the script is attached.
•
The Script Editor has no statement completion for JavaScript objects from Acrobat. See the JavaScript for Acrobat API Reference at http://adobe.com/go/learn_lc_AcrobatDeveloper.
For more information about converting Acrobat scripting to LiveCycle Designer ES, see the article Converting Acrobat JavaScript for Use in LiveCycle Designer ES Forms in the LiveCycle ES Developer Center at http://www.adobe.com/go/learn_lc_AcrobatDeveloper.
See also
About moving from scripting in Acrobat to LiveCycle Designer ES
Converting Acrobat forms that contain scripts
JavaScript objects from Acrobat supported in LiveCycle Designer ES


JavaScript objects from Acrobat supported in LiveCycle Designer ES

Scripting > Scripting Using LiveCycle Designer ES > Moving from Scripting in Acrobat to LiveCycle Designer ES > JavaScript objects from Acrobat supported in LiveCycle Designer ES
JavaScript objects from Acrobat supported in LiveCycle Designer ES
The following table lists the availability of the most commonly used Acrobat objects, properties, and methods in LiveCycle Designer ES, and provides information on any equivalent functionality in LiveCycle Designer ES. Although the table contains the most commonly used Acrobat objects, properties and methods, some are not listed, such as multimedia objects, because they are rarely used for forms.
In cases where no equivalent LiveCycle Designer ES functionality is listed, no direct LiveCycle Designer ES property or method can reproduce the Acrobat behavior. However, you can still create custom functions or scripts to replicate the Acrobat capability.
JavaScript in Acrobat
LiveCycle Designer ES support
JavaScript-equivalent in LiveCycle Designer ES
Comments
Annot object properties and methods
All properties and methods
Yes
None
Only forms with a fixed layout support the annotation layer.
app object properties
calculate
No
None
LiveCycle Designer ES includes the execCalculate method which initiates the calculate event.
language
Yes
xfa.host.language
See the language property.
monitors
Yes
None
platform
Yes
xfa.host.platform
See the platform property.
plugins
Yes
None
toolbar
Yes
None
viewerType
Yes
xfa.host.appType
See the appType property.
viewerVariation
Yes
xfa.host.variation
See the variation property.
viewerVersion
Yes
xfa.host.version
See the version property.
app object methods
addMenuItem
Yes
None
addSubMenu
Yes
None
addToolButton
Yes
None
alert
Yes
xfa.host.messageBox()
See the messageBox method.
beep
Yes
xfa.host.beep()
See the beep method.
browseForDoc
Yes
None
clearInterval
Yes
None
clearTimeOut
Yes
None
execDialog
Yes
None
execMenuItem
Yes
None
Executes the specified menu command. Use this method in LiveCycle Designer ES for File menu commands.
getNthPluginName
Yes
None
getPath
Yes
None
goBack
Yes
None
goForward
Yes
None
hideMenuItem
Yes
None
hideToolbarButton
Yes
None
launchURL
Yes
None
LiveCycle Designer ES includes the gotoURL method that loads a specified URL into the client application, such as Acrobat or Adobe Reader.
listMenuItems
Yes
None
listToolbarButtons
Yes
None
mailGetAddrs
Yes
None
mailMsg
Yes
None
newDoc
Yes
None
This method can only be executed during batch, console, or menu events.
newFDF
No
None
openDoc
Yes
None
openFDF
No
None
popUpMenuEx
Yes
None
popUpMenu
Yes
None
removeToolButton
Yes
None
response
Yes
xfa.host.response()
See the response method.
setInterval
Yes
None
setTimeOut
Yes
None
trustedFunction
Yes
None
trustPropagatorFunction
Yes
None
This method is only available during batch, console, and application initialization.
Bookmark object properties and methods
All properties and methods
Yes
None
doc object properties
author
Yes
None
baseURL
Yes
None
bookmarkRoot
Yes
None
calculate
No
None
dataObjects
Yes
None
delay
No
None
dirty
Yes
None
This JavaScript script for LiveCycle Designer ES saves a copy of a form and tests whether the form has changed:
var sOrigXML = xfa.data.saveXML;
if (sOrigXML != xfa.data.saveXML)
{...}
disclosed
Yes
None
documentFileName
Yes
None
dynamicXFAForm
Yes
None
external
Yes
None
filesize
Yes
None
hidden
Yes
None
icons
Yes
None
keywords
Yes
None
layout
Yes
None
media
Yes
None
metadata
Yes
xfa.form.desc
See the desc object.
modDate
Yes
None
mouseX
mouseY
Yes
None
noautocomplete
Yes
None
nocache
Yes
None
numFields
Yes
xfa.layout.pageContent()
The pageContent method returns a list of all objects of a particular type. However, you must execute the method for body pages and master pages to scan the entire form.
numPages
Yes
xfa.host.numPages
or
xfa.layout.absPageCount()
xfa.layout.pageCount()
The numPages property returns the page count for the rendered form in the client. See also the absPageCount and pageCount methods.
pageNum
Yes
xfa.host.currentPage
See the currentPage property.
pageNum--
Yes
xfa.host.currentPage--
or
xfa.host.pageUp()
See the currentPage property or the pageUp method.
pageNum++
Yes
xfa.host.currentPage++
or
xfa.host.pageDown()
See the currentPage property or the pageDown method.
path
Yes
None
securityHandler
Yes
None
templates
No
None
Use subform objects in LiveCycle Designer ES, and use properties and methods to add, remove, move, and set subform instances.
For more information, see To add and remove subform instances using scripting.
title
Yes
xfa.host.title
See the title property.
doc object methods
addAnnot
Yes
None
addField
No
None
You must use forms that have a fixed layout in LiveCycle Designer ES, and then use the instanceManager object to add, remove, and set the number of instances of a particular object.
For more information, see To add and remove subform instances using scripting.
addIcon
Yes
None
addLink
No
None
addRecipientListCryptFilter
Yes
None
addScript
Yes
None
addThumbnails
No
None
addWatermarkFromFile
Yes
None
addWatermarkFromText
Yes
None
addWeblinks
Yes
None
appRightsSign
Yes
None
appRightsValidate
Yes
None
bringToFront
Yes
None
calculateNow
No
xfa.form.recalculate(1);
or
execCalculate()
The recalculate method forces a specific set of scripts on calculate events to initiate. Boolean value indicates whether True (default) - all calculation scripts initiate; or False - only pending calculation scripts initiate.
Note:
LiveCycle Designer ES calculate object controls whether a form filler can override a field’s calculated value.
Alternatively, you can use the execCalculate method for each object for which you want to force a recalculation.
closeDoc
Yes
None
createDataObject
Yes
None
createTemplate
No
None
LiveCycle Designer ES forms do not have an equivalent to the concept of an Acrobat template. You must use subform objects in LiveCycle Designer ES.
deletePages
No
None
In LiveCycle Designer ES, you can use the instanceManager object to remove the subform object that represents a page of your form.
For more information, see To add and remove subform instances using scripting.
embedDocAsDataObject
Yes
None
encryptForRecipients
Yes
None
encryptUsingPolicy
Yes
None
exportAsText
Yes
None
This method is only available in the JavaScript Console of the JavaScript Debugger in Acrobat or during batch processing.
exportAsFDF
No
xfa.host.exportData()
The exportData method exports an XML or XDP file instead of an FDF file.
exportAsXFDF
No
xfa.host.exportData()
The exportData method exports an XML or XDP file instead of an FDF file.
exportDataObject
Yes
None
exportXFAData
No
xfa.host.exportData()
The exportData method exports an XML or XDP file instead of an FDF file.
extractPages
No
None
flattenPages
Yes
None
getAnnot
Yes
None
getAnnots
Yes
None
getDataObjectContents
Yes
None
getField("FieldName")
Yes
xfa.resolveNode
("FieldName")
The resolveNode method accesses the specified object in the source XML of the form.
getLegalWarnings
Yes
None
getLinks
No
None
getNthFieldName
Yes
You must loop through all objects with a similar class name until you reach the nth occurrence.
See the className property.
getNthTemplate
No
None
getOCGs
Yes
None
getOCGOrder
Yes
None
getPageBox
Yes
None
getPageLabel
Yes
None
getPageNthWord
Yes
None
getPageNthWordQuads
Yes
None
getPageNumWords
Yes
None
getPageRotation
Yes
None
getPrintParams
Yes
None
getTemplate
No
None
getURL
Yes
xfa.host.gotoURL(
"http://www.adobe.com");
See the gotoURL method.
gotoNamedDest
No
None
importAnFDF
No
None
importAnXFDF
Yes
None
importDataObject
Yes
None
importIcon
Yes
None
importTextData
Yes
None
importXFAData
No
xfa.host.importData
("filename.xdp");
See the importData method.
insertPages
No
None
mailDoc
Yes
None
mailForm
No
None
movePage
No
None
newPage
No
None
openDataObject
Yes
None
print
Yes
xfa.host.print();
See the print method.
removeDataObject
Yes
None
removeField
No
None
removeIcon
Yes
None
removeLinks
No
None
removeScript
Yes
None
removeTemplate
No
None
removeThumbnails
No
None
removeWeblinks
Yes
None
replacePages
No
None
resetForm
No
xfa.host.resetData()
or
xfa.event.reset()
The resetData method resets all field values on a form to the default values. The reset method resets all properties within the event model.
saveAs
Yes
None
In LiveCycle Designer ES, the file must be saved at the application level. These scripts are examples of saving at the application level:
app.executeMenuItem
("SaveAs");
or
var myDoc = event.target; myDoc.saveAs();
spawnPageFromTemplate
No
None
setAction
No
None
setPageLabel
Yes
None
setPageRotation
No
None
setPageTabOrder
No
None
In LiveCycle Designer ES, select Edit > Tab Order to set the tab order.
setScript
No
None
submitForm
Yes
Use one of the submit button objects in LiveCycle Designer ES.
event object properties
change
Yes
xfa.event.change
See the change property.
targetName
Yes
xfa.event.target
See the target property.
field object properties
comb
No
None
charLimit
No
this.value.#text.maxChars
In forms that have a fixed layout, character limit can be set in the LiveCycle Designer ES workspace. You can set fields on forms whose layout expands to accommodate all data.
For more information, see maxChars.
display = display.noView
No
See “Changing the presence of a form design object”.
You can also set the presence property in the LiveCycle Designer ES workspace.
Note:
You cannot use the prePrint event to change the presence of an object prior to printing.
display = display.noPrint
No
See “Changing the presence of a form design object”.
You can also set the presence property in the LiveCycle Designer ES workspace.
Note:
You cannot use the prePrint event to change the presence of an object prior to printing.
defaultValue
No
None
Set the default field value in the LiveCycle Designer ES workspace.
exportValues
No
None
Set the export value in the LiveCycle Designer ES workspace.
fillColor
No
xfa.form.Form1.
NumericField1.fillColor
See the fillColor property.
hidden
No
this.presence = "invisible" this.
presence = "visible"
You can also set the presence property in the LiveCycle Designer ES workspace.
multiline
No
this.ui.textEdit.multiLine
= "1";
See the multiLine property.
password
No
None
LiveCycle Designer ES contains a Password Field that you can use for passwords on a form.
page
No
None
Not applicable for LiveCycle Designer ES forms.
print
No
this.relevant = "-print";
See the relevant property.
radiosInUnison
No
None
Grouped radio buttons in LiveCycle Designer ES are mutually exclusive by default.
rect
Yes
You can get the height and width of a LiveCycle Designer ES form field by using the following reference syntax:
this.h;
this.w;
Alternatively, you can retrieve the x and y coordinates of an object using the following reference syntax:
this.x;
this.y;
See the h, w, x, and y properties.
required
No
this.mandatory = "error";
or
this.validate.nullTest = "error";
See the mandatory and nullTest properties.
textColor
No
this.fontColor
See the fontColor property.
textSize
No
this.font.size
See the size property.
textFont
No
this.font.typeface
See the typeface property.
value
No
this.rawValue
See the rawValue property.
Note:
LiveCycle Designer ES fields have a value property; it is not the equivalent of the Acrobat value property.
field object methods
clearItems
No
DropDownList1.clearItems();
The clearItems method only applies to Drop-down List and List Box objects in LiveCycle Designer ES.
deleteItemAt
No
None
getItemAt
No
None
insertItemAt
No
DropDownList1.addItem(
.....)
See the addItem method.
isBoxChecked
No
if(CheckBox1.rawValue
== 1)....
See the rawValue property.
isDefaultChecked
No
None
setAction
No
None
Not applicable for LiveCycle Designer ES forms.
setFocus
Yes
xfa.host.setFocus
("TextField1.somExpression")
The setFocus method requires that the specified object have a unique name with respect to other objects on your form.
setItems
No
None
setLock
Yes
None
signatureGetModifications
Yes
None
signatureGetSeedValue
Yes
None
signatureInfo
Yes
None
signatureSetSeedValue
Yes
None
signatureSign
Yes
None
signatureValidate
Yes
None
search object method
search.query("<your text>");
Yes
None
The “..” (double period) FormCalc shortcut syntax allows you to search for objects within the XML Form Object Model.
For more information, see FormCalc reference syntax shortcuts.
SOAP object method
All properties and methods
Yes
None
See also
About the event model


Examples of Common Scripting Tasks

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks
Examples of Common Scripting Tasks
About the scripting examples
Changing the background colors of fields, fillable areas, and subforms
Hiding and showing objects
Changing the visual properties of an object on the client
Getting the current or previous value of a drop-down list
Adjusting the height of a field at run time
Setting a field as required at run time
Calculating the field sums
Highlighting fields in response to form filler interaction
Resetting the values of the current subform
Changing the presence of a form design object
Using the properties of the instance manager to control subforms
Using the methods of the instance manager to control subforms
Using the instance manager to control subforms at run time


About the scripting examples

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > About the scripting examples
About the scripting examples
The scripting examples demonstrate quick and simple techniques that you can apply to your own work.
For more examples and ideas, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.


Changing the background colors of fields, fillable areas, and subforms

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Changing the background colors of fields, fillable areas, and subforms
Changing the background colors of fields, fillable areas, and subforms
This example demonstrates how to change the background color of subforms, fields, and fillable areas on a form in response to form filler interaction at run time.
In this example, clicking a button changes the background color of an associated object.
Note:
To manipulate the background color of objects at run time, you must save your form as an Acrobat Dynamic XML Form file.
To see this scripting example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
Scripting the subform and text field background colors
You set the subform and the text field background colors by using the fillColor method. For example, the following line is the script for the subform:
Subform1.fillColor = "17,136,255";
The following lines make up the script for the background color of the text fields:
Subform1.Name.fillColor = "102,179,255";
Subform1.Address.fillColor = "102,179,255";
Subform1.City.fillColor = "102,179,255";
Subform1.State.fillColor = "102,179,255";
Subform1.ZipCode.fillColor = "102,179,255";
Subform1.Country.fillColor = "102,179,255";
Scripting the fillable area background color
When setting the background color or the fillable area for each text field, your scripts must access properties that require a reference syntax expression that includes the number sign (#). Because JavaScript does not interpret the number sign (#) properly in reference syntax expressions, the script uses the resolveNode method to resolve the expression.
xfa.resolveNode("Subform1.Name.ui.#textEdit.border.fill.color").value = "153,204,255";
xfa.resolveNode("Subform1.Address.ui.#textEdit.border.fill.color").value = "153,204,255";
xfa.resolveNode("Subform1.City.ui.#textEdit.border.fill.color").value = "153,204,255";
xfa.resolveNode("Subform1.State.ui.#textEdit.border.fill.color").value = "153,204,255";
xfa.resolveNode("Subform1.ZipCode.ui.#textEdit.border.fill.color").value = "153,204,255";
xfa.resolveNode("Subform1.Country.ui.#textEdit.border.fill.color").value = "153,204,255";
Scripting the Clear All button
The script for the Clear All button uses the remerge method to remerge the form design and form data. In this case, the method effectively restores the fields, fillable areas, and subforms to their original state.
xfa.form.remerge();
See also
Changing the fill color of a field


Hiding and showing objects

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Hiding and showing objects
Hiding and showing objects
This example demonstrates how to hide buttons when printing a form, as well as how to hide and show objects by changing the presence values at run time.
In this example, all form objects are showing in the form.
The form filler can use the drop-down lists in the Presence Values area to show or hide objects. In the following diagram, the Address field is hidden and the form layout has adjusted accordingly. The Print Form button is also invisible.
Note:
To hide and show objects at run time, you must save your form as an Acrobat Dynamic PDF Form file.
To see this scripting example and others, visit the LiveCycle ES Developer Center www.adobe.com/devnet/livecycle.
Scripting the presence values for subforms
The script for the subform presence values uses a switch statement to handle the three presence options that a form filler can apply to the subform object:
switch(xfa.event.newText) {
case 'Invisible':
Subform1.presence = "invisible";
break;
case 'Hidden (Exclude from Layout)':
Subform1.presence = "hidden";
break;
default:
Subform1.presence = "visible";
break;
}
Scripting the presence values for text fields
The script for the text fields presence values requires two variables. The first variable stores the number of objects contained in Subform1:
var nSubLength = Subform1.nodes.length;
The second variable stores the name of the text field that the form filler selects in the Text Fields drop-down list:
var sSelectField = fieldList.rawValue;
The following script uses the replace method to remove all of the spaces from the name of the field stored in the sSelectField variable, which allows the value of the drop-down list to match the name of the object in the Hierarchy palette:
sSelectField = sSelectField.replace(' ', '');
This script uses a For loop to cycle through all of the objects contained in Subform1:
for (var nCount = 0; nCount < nSubLength; nCount++) {
If the current object in Subform1 is of type field and the current object has the same name as the object that the form filler selected, the following switch cases are performed:
if ((Subform1.nodes.item(nCount).className == "field") & (Subform1.nodes.item(nCount).name == sSelectField)) {
The following script uses a switch statement to handle the three presence values that a form filler can apply to text field objects:
switch(xfa.event.newText) {
case 'Invisible':
Subform1.nodes.item(nCount).presence = "invisible";
break;
case 'Hidden (Exclude from Layout)':
Subform1.nodes.item(nCount).presence = "hidden";
break;
default:
Subform1.nodes.item(nCount).presence = "visible";
break;
}
}
}
Scripting the presence values for buttons
The script for the buttons presence values requires two variables. This variable stores the number of objects contained in Subform1:
var nSubLength = Subform1.nodes.length;
This variable stores the name of the button that the form filler selects in the Buttons drop-down list:
var sSelectButton = buttonList.rawValue;
The following script uses the replace method to remove all of the spaces from the name of the button stored in the sSelectField variable, which allows the value of the drop-down list to match the name of the object in the Hierarchy palette:
sSelectButton = sSelecButton.replace(/\s/g, '');
This script uses a For loop to cycle through all of the objects contained in Subform1:
for (var nCount = 0; nCount < nSubLength; nCount++) {
If the current object in Subform1 is of type field and the current object has the same name as the object that the form filler selected, perform the following switch cases:
if ((Subform1.nodes.item(nCount).className == "field") &
Subform1.nodes.item(nCount).name == sSelectButton)) {
This script uses a switch statement to handle the five presence values that a form filler can apply to button objects.
Note:
The relevant property indicates whether an object should appear when the form is printed.
switch(xfa.event.newText) {
case 'Invisible':
Subform1.nodes.item(nCount).presence = "invisible";
break;
case 'Hidden (Exclude from Layout)':
Subform1.nodes.item(nCount).presence = "hidden";
break;
case 'Visible (but Don\'t Print)':
Subform1.nodes.item(nCount).presence = "visible";
Subform1.nodes.item(nCount).relevant = "-print";
break;
case 'Invisible (but Print Anyway)':
Subform1.nodes.item(nCount).presence = "invisible";
Subform1.nodes.item(nCount).relevant = "+print";
break;
default:
Subform1.nodes.item(nCount).presence = "visible";
break;
}
}
}
Scripting for resetting the drop-down lists
Use the resetData method to reset all of the drop-down lists to their default values:
xfa.host.resetData();
Use the remerge method to remerge the form design and form data. In this case, the method effectively returns the objects in the Form Objects area to their original states:
xfa.form.remerge();


Changing the visual properties of an object on the client

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Changing the visual properties of an object on the client
Changing the visual properties of an object on the client
The example demonstrates how to manipulate the visual properties of an object; in this case, a text field. For example, selecting the Make the Field Wider check box expands the fillable area of the text field to four inches.
Note:
To alter the visual properties of objects on the client, you must save your form as an Acrobat Dynamic PDF Form file.
In this example, the check boxes do not have unique object names; therefore, LiveCycle Designer ES assigns an instance value to reference the object. The check box script uses an if-else statement to give the effect of selecting and deselecting.
To see this scripting example and others, visit the LiveCycle ES Developer Center www.adobe.com/devnet/livecycle.
Scripting for the Move the Field check box
When the check box is selected, the field is moved according to the x and y settings. When the check box is deselected, the field is returned to its original location.
if (CheckBox1.rawValue == true) {
TextField.x = "3.0in";
TextField.y = "3.5in";
}
else {
TextField.x = "1in";
TextField.y = "3in";
}
Scripting for the Make the Field Wider check box
When the check box is selected, the field changes to 4 inches. When the check box is deselected, the field width changes to 2.5 inches.
if (CheckBox2.rawValue == true)
TextField.w = "4in";
else
TextField.w = "2.5in";
Scripting for the Make the Field Taller check box
When the check box is selected, the field height changes to 1.5 inches. When the check box is deselected, the field height changes to .5 inches.
if (CheckBox3.rawValue == true)
TextField.h = "1.5in";
else
TextField.h = "0.5in";
Scripting for the Change the Border Color of the Object check box
When the check box is selected, the field border changes to red. When the check box deselected, the field border changes to white.
if (CheckBox4.rawValue == true)
TextField.border.edge.color.value = "255,0,0";
else
TextField.border.edge.color.value = "255,255,255";
Scripting for the Change the Fill Color of the Fillable Area check box
When the check box is selected, the fillable area of the text field changes to green. When the check box is deselected, the fillable area of the text field changes to white.
if (CheckBox5.rawValue == true) {
xfa.resolveNode("TextField.ui.#textEdit.border.fill.color").value = "0,255,0";
}
else {
xfa.resolveNode("TextField.ui.#textEdit.border.fill.color").value = "255,255,255";
}
Scripting for the Expand to Fit the Width of the Value check box
When the check box is selected, the fillable area of the text field adjusts to accommodate the value. When the check box is deselected, the fillable area of the text field does not adjust.
if (CheckBox6.rawValue == true)
TextField.minW = "0.25in";
else
TextField.maxW = "2.5in";
Scripting for the Make the Field Disappear check box
When the check box is selected, the field is hidden. When the check box is deselected, the field is visible.
if (CheckBox7.rawValue == true)
TextField.presence = "hidden";
else
TextField.presence = "visible";
Scripting for the Change the Font of the Value check box
When the check box is selected, the font of the value changes to Courier New. When the check box is deselected, the font of the value changes to Myriad Pro.
if (CheckBox8.rawValue == true)
TextField.font.typeface = "Courier New";
else
TextField.font.typeface = "Myriad Pro";
Scripting for the Change the Size of the Font check box
When the check box is selected, the font size changes to 14 pt. When the check box is deselected, the font size changes to 10 pt.
if (CheckBox9.rawValue == true)
TextField.font.size = "14pt";
else
TextField.font.size = "10pt";
Scripting for the Align Text Field Value Vertically check box
When the check box is selected, the text field value is aligned to the top. When the check box is deselected, the text field value is aligned to the middle.
if (CheckBox10.rawValue == true)
TextField.para.vAlign = "top";
else
TextField.para.vAlign = "middle";
Scripting for the Align Text Field Value Horizontally check box
When the check box is selected, the text field value is aligned to the center. When the check box is deselected, the text field value is aligned to the left.
if (CheckBox11.rawValue == true)
TextField.para.hAlign = "center";
else
TextField.para.hAlign = "left";
Scripting for the Display a Set Value check box
When the check box is selected, the value that is defined by using a script appears in the text field. When the check box is deselected, the default value (which is also defined by using a script) appears in the text field.
if (CheckBox12.rawValue == true)
TextField.rawValue = "This is a value set using a script.";
else
TextField.rawValue = "This is a default value.";
Scripting for the Change the Caption Text check box
When the check box is selected, the alternate caption text that is defined by using a script appears as the caption. When the check box is deselected, the default caption (which is also defined by using a script) appears in the text field.
if (CheckBox13.rawValue == true)
xfa.resolveNode("TextField.caption.value.#text").value = "Alternate Caption:";
else
xfa.resolveNode("TextField.caption.value.#text").value = "Caption:";
Scripting for the Change Field Border from 3D to Solid check box
When the check box is selected, the field border changes to a solid box. When the check box is deselected, the field border changes to 3D.
if (CheckBox14.rawValue == true)
xfa.resolveNode("TextField.ui.#textEdit.border.edge").stroke = "solid";
else
xfa.resolveNode("TextField.ui.#textEdit.border.edge").stroke = "lowered";
Scripting for the Clear All Check Boxes button
Use the resetData method to reset all of the check boxes to their default value (Off).
xfa.host.resetData();
Use the remerge method to remerge the form design and form data. In this case, the method effectively returns the text field to its original state.
xfa.form.remerge();
See also
Changing the fill color of a field


Getting the current or previous value of a drop-down list

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Getting the current or previous value of a drop-down list
Getting the current or previous value of a drop-down list
This example demonstrates how to obtain the current value of a drop-down list as well as the different ways to access the previous value of a drop-down list on a form. In addition to the actual scripts that set the current and previous values, it is important to note that the scripts are located on the change event for the drop-down list.
In the following example, when a form filler selects a value from the drop-down list, the selected value appears in the Current Value field. Then, when the form filler selects another value from the drop-down list, the new value appears in the Current Value List and the previous value appears in the Previous Value 1 field.
Note:
Each of the methods for obtaining the previous value of a drop-down list uses a different script. The Previous Value 1 text field is populated by a direct reference to the rawValue property of the drop-down list, whereas the Previous Value 2 text field is populated using the prevText property. For consistent results, it is recommended that you access the previous value by using the prevText property.
To see this scripting example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
Scripting for populating the Current Value text field
Populate the value of the Current Value text field by using the newText property:
CurrentValue.rawValue = xfa.event.newText;
Scripting for populating the Previous Value 1 text field
Populate the value of the Previous Value 1 text field by referencing the rawValue of the drop-down list:
PreviousValue1.rawValue = DropDownList.rawValue;
Scripting for populating the Previous Value 2 text field
Populate the value of the Previous Value 2 text field by using the prevText property:
PreviousValue2.rawValue = xfa.event.prevText;


Adjusting the height of a field at run time

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Adjusting the height of a field at run time
Adjusting the height of a field at run time
The example demonstrates how to expand a field to match the height of the content in another field.
In this example, when the form filler types multiple lines in TextField1 and then clicks the Expand button, the height of TextField2 increases to match the height of TextField1.
To see this scripting example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
Scripting for the Expand button
The following script is for the Expand button:
var newHeight = xfa.layout.h(TextField1, "in");
TextField2.h = newHeight + "in";


Setting a field as required at run time

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Setting a field as required at run time
Setting a field as required at run time
This example demonstrates how to make a field required at run time.
In this example, when the Set as Required button is clicked, if the form filler attempts to submit a form without typing some text in TextField1, an error message appears.
To see this scripting example and others, visit the LiveCycle ES Developer Center www.adobe.com/devnet/livecycle.
Scripting for the Set as Required button
The following script is for the Set as Required button:
TextField1.validate.nullTest = "error";
You can also use one of these two scripts:
TextField1.mandatory = "error"
TextField1.mandatoryMessage = "this field is mandatory!"


Calculating the field sums

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Calculating the field sums
Calculating the field sums
This example demonstrates how to calculate the sums of fields located at different levels of the form hierarchy when the form filler opens the form in a client application, such as Acrobat Professional, Adobe Reader, or HTML client.
To see this scripting example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
Scripting for calculating the sum of repeating fields in a form
To calculate the sum of repeating fields in a form, you add a calculate event to the Sum field:
var fields = xfa.resolveNodes("NumericField1[*]");
var total = 0;
for (var i=0; i <= fields.length-1; i++) {
total = total + fields.item(i).rawValue;
}
this.rawValue = total;
Scripting for calculating the sum of repeating fields
Similarly, to calculate the sum of repeating fields, you add a calculate event to the Sum field:
var fields = xfa.resolveNodes("detail[*].NumericField1");
var total = 0;
for (var i=0; i <= fields.length-1; i++) {
total = total + fields.item(i).rawValue;
}
this.rawValue = total;
Scripting to calculate the sum of the fields on the page
To calculate the sum of the fields on the page, you add a calculate event to the Sum field:
var fields = xfa.layout.pageContent(0 , "field", 0);
var total = 0;
for (var i=0; i <= fields.length-1; i++) {
if (fields.item(i).name == "NumericField1") {
total = total + fields.item(i).rawValue;
}
}
this.rawValue = total;
See also
Calculating sums of fields


Highlighting fields in response to form filler interaction

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Highlighting fields in response to form filler interaction
Highlighting fields in response to form filler interaction
This example demonstrates how to highlight the current field that a form filler is working with, highlight fields that a form filler is required to fill, and use message boxes to provide feedback to the form filler.
In this example, an asterisk (*) appears to the right of the required fields. When a field is selected, the field border changes to blue. If the form filler clicks the Verify Data button without having filled the required fields, a message appears and the field changes to red. If all the required fields are filled, a confirmation message appears when the form filler clicks the Verify Data button.
To see this scripting example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
Scripting for adding a blue border around a selected field
To add the blue border around the selected field, add the following scripts to each text field:
For example, add an enter event to the Name field:
Name.border.edge.color.value = "0,0,255";
For example, add an exit event to the Name field:
Name.border.edge.color.value = "255,255,255";
For example, add a mouseEnter event to the Name field:
Name.border.edge.color.value = "0,0,255";
For example, add a mouseExit event to the Name field:
Name.border.edge.color.value = "255,255,255";
Scripting for the Verify Data button
The following script, which is created for the Verify Data button, performs a series of checks to verify that the required fields contain data. In this case, each field is individually checked to verify that the value of the field is non-null or an empty string. If the value of the field is null or an empty string, an alert message appears indicating that data must be input into the field and the background color of the fillable area is changed to red.
Use this variable to indicate whether a field does not contain data:
var iVar = 0;
if ((Name.rawValue == null) || (Name.rawValue == "")) {
xfa.host.messageBox("Please enter a value in the Name field.");
This script changes the color of the fillable area of the text field:
xfa.resolveNode("Name.ui.#textEdit.border.edge").stroke = "solid";
xfa.resolveNode("Name.ui.#textEdit.border.fill.color").value = "255,100,50";
// Set the variable to indicate that this field does not contain data.
iVar = 1;
}
else {
// Reset the fillable area of the text field.
xfa.resolveNode("Name.ui.#textEdit.border.edge").stroke = "lowered";
xfa.resolveNode("Name.ui.#textEdit.border.fill.color").value = "255,255,255";
}
if ((Address.rawValue == null) || (Address.rawValue == "")) {
xfa.host.messageBox("Please enter a value in the Address field.");
This script changes the color of the fillable area of the text field:
xfa.resolveNode("Address.ui.#textEdit.border.edge").stroke = "solid";
xfa.resolveNode("Address.ui.#textEdit.border.fill.color").value = "255,100,50";
This script sets the variable to indicate that this field does not contain data:
iVar = 1;
}
else {
This script resets the fillable area of the text field:
xfa.resolveNode("Address.ui.#textEdit.border.edge").stroke = "lowered";
xfa.resolveNode("Address.ui.#textEdit.border.fill.color").value = "255,255,255";
}
if ((City.rawValue == null) || (City.rawValue == "")) {
xfa.host.messageBox("Please enter a value in the City field.");
This script changes the color of the fillable area of the text field:
xfa.resolveNode("City.ui.#textEdit.border.edge").stroke = "solid";
xfa.resolveNode("City.ui.#textEdit.border.fill.color").value = "255,100,50";
This script sets the variable to indicate that this field does not contain data:
iVar = 1;
}
else {
This script resets the fillable area of the text field:
xfa.resolveNode("City.ui.#textEdit.border.edge").stroke = "lowered";
xfa.resolveNode("City.ui.#textEdit.border.fill.color").value = "255,255,255";
}
if ((State.rawValue == null) || (State.rawValue == "")) {
xfa.host.messageBox("Please enter a value in the State field.");
This script changes the color of the fillable area of the text field:
xfa.resolveNode("State.ui.#textEdit.border.edge").stroke = "solid";
xfa.resolveNode("State.ui.#textEdit.border.fill.color").value = "255,100,50";
This script sets the variable to indicate that this field does not contain data:
iVar = 1;
}
else {
This script resets the fillable area of the text field:
xfa.resolveNode("State.ui.#textEdit.border.edge").stroke = "lowered";
xfa.resolveNode("State.ui.#textEdit.border.fill.color").value = "255,255,255";
}
if ((ZipCode.rawValue == null) || (ZipCode.rawValue == "")) {
xfa.host.messageBox("Please enter a value in the Zip Code field.");
This script changes the color of the fillable area of the text field:
xfa.resolveNode("ZipCode.ui.#textEdit.border.edge").stroke = "solid";
xfa.resolveNode("ZipCode.ui.#textEdit.border.fill.color").value = "255,100,50";
This script sets the variable to indicate that this field does not contain data:
iVar = 1;
}
else {
This script resets the fillable area of the text field:
xfa.resolveNode("ZipCode.ui.#textEdit.border.edge").stroke = "lowered";
xfa.resolveNode("ZipCode.ui.#textEdit.border.fill.color").value = "255,255,255";
}
if ((Country.rawValue == null) || (Country.rawValue == "")) {
xfa.host.messageBox("Please enter a value in the Country field.");
This script changes the color of the fillable area of the text field:
xfa.resolveNode("Country.ui.#textEdit.border.edge").stroke = "solid";
xfa.resolveNode("Country.ui.#textEdit.border.fill.color").value = "255,100,50";
This script sets the variable to indicate that this field does not contain data.
iVar = 1;
}
else {
This script resets the fillable area of the text field.
xfa.resolveNode("Country.ui.#textEdit.border.edge").stroke = "lowered";
xfa.resolveNode("Country.ui.#textEdit.border.fill.color").value = "255,255,255";
}
If all of the required fields contain data, the iVar variable is set to zero, and a confirmation message appears:
if (iVar == 0) {
xfa.host.messageBox("Thank you for inputting your information.");
}
See also
Changing the fill color of a field


Resetting the values of the current subform

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Resetting the values of the current subform
Resetting the values of the current subform
This example demonstrates how to reset the values of a specific set of fields, not the whole form. To do this, reset only the fields in the required subform object.
In this example, the form filler can click the Clear button to reset the field values.
To see this scripting example and others, visit the LiveCycle ES Developer Center www.adobe.com/devnet/livecycle.
Scripting for the values that appear in the left column
Type this script for the values appearing in the left column:
this.rawValue = this.parent.index + 1;
To reset the default values add a click event to the Clear button. You need a dynamic reference syntax expression because the detail is a repeating subform and must be reflected in the reference syntax expression. In this situation, it is easier to build the resetData parameters separately.
var f1 = this.parent.somExpression + ".TextField2" + ",";
var f2 = f1 + this.parent.somExpression + ".DropDownList1" + ",";
var f3 = f2 + this.parent.somExpression + ".NumericField1";
// ...and pass the variable as a parameter.
xfa.host.resetData(f3);


Changing the presence of a form design object

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Changing the presence of a form design object
Changing the presence of a form design object
LiveCycle Designer ES provides the following presence settings for the different objects on a form through various tabs in the Object palette. The Invisible and Hidden (Exclude from Layout) settings are unavailable for groups, content areas, master pages, page set, and subform set objects.
Note:
To change the presence setting of an object by using scripts, you must change the value of two underlying XML Form Object Model properties: presence and relevant.
The following table lists the presence settings and the corresponding reference syntax.
Presence setting
Reference syntax
Visible
FormCalc
ObjectName.presence = "visible"
JavaScript
ObjectName.presence = "visible";
Visible (Screen Only)
FormCalc
ObjectName.presence = "visible"
ObjectName.relevant = "-print"
JavaScript
ObjectName.presence = "visible";
ObjectName.relevant = "-print";
Visible (Print Only)
FormCalc
ObjectName.presence = "visible"
ObjectName.relevant = "+print"
JavaScript
ObjectName.presence = "visible";
ObjectName.relevant = "+print";
Invisible
FormCalc
ObjectName.presence = "invisible"
JavaScript
ObjectName.presence = "invisible";
Hidden (Exclude from Layout)
FormCalc
ObjectName.presence = "hidden"
JavaScript
ObjectName.presence = "hidden";
One-sided Printing Only
FormCalc
ObjectName.presence = "simplex"
JavaScript
ObjectName.presence = "simplex";
Two-sided Printing Only
FormCalc
ObjectName.presence = "duplex"
JavaScript
ObjectName.presence = "duplex";
See also
To change the default formatting for new objects


Using the properties of the instance manager to control subforms

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Using the properties of the instance manager to control subforms
Using the properties of the instance manager to control subforms
This example demonstrates how to use the properties of the instance manager (which is part of the XML Form Object Model) to retrieve information about subforms at run time.
In the following form, the four buttons provide information about Subform1 by using the instance manger’s scripting properties. For example, when the form filler clicks the Max button, a message describing the allowed maximum number of supported Subform1 instances appears.
Scripting for the message box to output the value of the count property
The following script uses the messageBox method to output the value of the count property:
xfa.host.messageBox("The current number of Subform1 instances on the
form is:" + properties.Subform1.instanceManager.count, "Instance Manager
Properties",3);
You can also write this script by using the underscore (_) notation to reference the count property of the instance manager, as shown here:
xfa.host.messageBox("The current number of Subform1 instances on the form
is: " + properties._Subform1.count, "Instance Manager Properties", 3);
The underscore (_) notation is especially important if no subform instances currently exist on the form.
Scripting for the message box to output the value of the max property
The following script uses the messageBox method to output the value of the max property:
xfa.host.messageBox("The maximum number of instances allowed for Subform1
is: " + properties.Subform1.instanceManager.max, "Instance Manager
Properties", 3);
You can also write this script by using the underscore (_) notation to reference the max property of the instance manager, as shown here:
xfa.host.messageBox("The maximum number of instances allowed for Subform1
is: " + properties._Subform1.max, "Instance Manager Properties", 3);
Scripting for the message box to output the value of the min property
The following script uses the messageBox method to output the value of the min property:
xfa.host.messageBox("The minimum number of instances allowed for Subform1
is: " + properties.Subform1.instanceManager.min, "Instance Manager
Properties", 3);
You can also write this script by using the underscore (_) notation to reference the min property of the instance manager, as shown here:
xfa.host.messageBox("The minimum number of instances allowed for Subform1
is: " + properties._Subform1.min, "Instance Manager Properties", 3);
Scripting for the message box to output the name of the subform property
The following script uses the messageBox method to output the name of the subform property:
xfa.host.messageBox("The name of the subform using the instance manager name
property is: " + properties.Subform1.instanceManager.name +
".\n\nNote: This value is different than the value returned by the name
property for the Subform1 object." , "Instance Manager Properties", 3);
You can also write this script by using the underscore (_) notation to reference the name property of the instance manager, as shown here:
xfa.host.messageBox("The name of the subform using the instance manager name
property is: " + properties._Subform1.name +
".\n\nNote: This value is different than the value returned by the name
property for the Subform1 object." , "Instance Manager Properties", 3);


Using the methods of the instance manager to control subforms

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Using the methods of the instance manager to control subforms
Using the methods of the instance manager to control subforms
This example demonstrates how to use the methods of the instance manager (which is part of the XML Form Object Model) to perform operations on subform objects at run time. For example, you can add remove instances of a particular subform, table, or table row.
In the following form, the form filler uses the four buttons to use the various instance manager scripting methods. For example, when the form filler clicks the Add button a new Subform2 instance is added to the form.
Note:
The Move button reorders the first two Subform2 instances, and the Set button displays the maximum number of Subform2 instances. In both cases, you may need to add or remove subforms, or make changes to the data in the text fields to see the changes applied to the Subform2 instances.
Scripting to determine whether you added the maximum number of subforms to a form
The following script determines whether the supported maximum number of Subform2 instances exist on the form. If the maximum number exists, the script displays a message. Otherwise, a new Subform2 instance is added to the form.
if (methods.Subform2.instanceManager.count ==
methods.Subform2.instanceManager.max) {
xfa.host.messageBox("You have reached the maximum number of items allowed.",
"Instance Manager Methods", 1);
}
else {
methods.Subform2.instanceManager.addInstance(1);
xfa.form.recalculate(1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (methods._Subform2.count == methods._Subform1.max) {
xfa.host.messageBox("You have reached the maximum number of items
allowed.", "Instance Manager Methods", 1);
}
else {
methods._Subform2.addInstance(1);
xfa.form.recalculate(1);
}
Scripting to determine whether there are more subforms to remove on the form
The following script determines whether any Subform2 instances exist on the form. If none exist, the script displays a message indicating that no instances exist. If instances do exist, the script removes the first instance from the form.
if (methods.Subform2.instanceManager.count == 0) {
xfa.host.messageBox("There are no subform instances to remove.",
"Instance Manager Methods", 1);
}
else {
methods.Subform2.instanceManager.removeInstance(0);
xfa.form.recalculate(1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (methods._Subform2.count == 0) {
xfa.host.messageBox("There are no subform instances to remove.",
"Instance Manager Methods", 1);
}
else {
methods._Subform2.removeInstance(0);
xfa.form.recalculate(1);
}
Scripting to force four subform instances to appear on the form
The following script forces four Subform2 instances to appear on the form regardless of how many instances currently exist:
methods.Subform2.instanceManager.setInstances(4);
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
methods._Subform2.setInstances(4);
Scripting to force the first and second subforms to switch locations on the form
The following script forces the first and second Subform2 instances to switch locations on the form.
methods.Subform2.instanceManager.moveInstance(0,1);
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here.
methods._Subform2.moveInstance(0,1);


Using the instance manager to control subforms at run time

Scripting > Scripting Using LiveCycle Designer ES > Examples of Common Scripting Tasks > Using the instance manager to control subforms at run time
Using the instance manager to control subforms at run time
This example demonstrates how to use properties and methods of the instance manager to retrieve information about subforms and perform operations on subform objects at run time.
In this example, the form filler uses the buttons to perform various actions using instances of Subform3. For example, when the form filler clicks the Add Row Below button a new Subform3 instance is added below the current instance.
Note:
You may need to add or remove subforms, or make changes to the data in the text field, to see the changes applied to the instances of Subform3.
Tip:
If no instances of a particular subform exist on your form, you must use the underscore (_) notation provided with each example below. For more information about using the underscore (_) notation, see LiveCycle Designer ES Help.
Scripting the Add a New Subform button
The following script determines whether the supported maximum number of Subform3 instances exist on the form. If the maximum number exist, the script displays a message. Otherwise, a new Subform3 instance is added to the form.
if (advanced.Subform3.instanceManager.count ==
advanced.Subform3.instanceManager.max) {
xfa.host.messageBox("You have reached the maximum number of items
allowed.","Combining Instance Manager Concepts", 1);
}
else {
advanced.Subform3.instanceManager.addInstance(1);
xfa.form.recalculate(1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (advanced._Subform3.count == advanced._Subform3.max) {
xfa.host.messageBox("You have reached the maximum number of items
allowed.", "Combining Instance Manager Concepts", 1);
}
else {
advanced._Subform3.addInstance(1);
xfa.form.recalculate(1);
}
Scripting the Remove a Subform button
The following script determines whether any Subform3 instances exist on the form. If none exist, the script displays a message indicating that no instances exist. If instances exist, the script removes the first instance from the form.
if (advanced.Subform3.instanceManager.count == 0) {
xfa.host.messageBox("There are no subform instances to remove.",
"Combining Instance Manager Concepts", 1);
}
else {
advanced.Subform3.instanceManager.removeInstance(0);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (advanced._Subform3.count == 0) {
xfa.host.messageBox("There are no subform instances to remove.",
"Combining Instance Manager Concepts", 1);
}
else {
advanced._Subform3.removeInstance(0);
}
Scripting the Add Instance Below button
The following if-else statement prevents the script from proceeding if the form currently contains the maximum number of Subform3 instances:
if (Subform3.instanceManager.count < Subform3.instanceManager.occur.max) {
//oNewInstance stores an instance of Subform3 created by the addInstance() method.
var oNewInstance = Subform3.instanceManager.addInstance(1);
//nIndexFrom and nIndexTo store the before and after index values to use with the moveInstance() method.
var nIndexFrom = oNewInstance.index;
var nIndexTo = Subform3.index + 1;
In this case, when the script references the value for nIndexFrom, the new instance of Subform3 is added to the form in the position specified in the moveInstance method:
Subform3.instanceManager.moveInstance(nIndexFrom, nIndexTo);
}
else {
xfa.host.messageBox("You have reached the maximum number of items
allowed.", "Combining Instance Manager Concepts", 1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (_Subform3.count < _Subform3.occur.max) {
var oNewInstance = _Subform3.addInstance(1);
var nIndexFrom = oNewInstance.index;
var nIndexTo = Subform3.index + 1;
_Subform3.moveInstance(nIndexFrom, nIndexTo);
}
else {
xfa.host.messageBox("You have reached the maximum number of items allowed.", "Combining Instance Manager Concepts", 1);
}
Scripting the Delete This Instance button
The following if-else statement prevents the script from proceeding if the form currently contains the minimum number of Subform3 instances.
if (Subform3.instanceManager.count > Subform3.instanceManager.occur.min) {
This script uses the removeInstance method to remove an instance of Subform3.
Note:
This script uses the value parent.parent.index to indicate the Subform3 instance to remove. The parent reference indicates the container of the object using the reference. In this case, using the reference parent.index would indicate the untitled subform that contains the Add Instance Below, Delete This Instance, Move Row Up, and Move Row Down buttons.
Subform3.instanceManager.removeInstance(parent.parent.index);
}
else {
xfa.host.messageBox("You have reached the minimum number of items
allowed.", "Combining Instance Manager Concepts", 1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (_Subform3.count > _Subform3.occur.min) {
Subform3.removeInstance(Subform3.index);
}
else {
xfa.host.messageBox("You have reached the minimum number of items allowed.",
"Combining Instance Manager Concepts", 1);
}
Scripting the Move Row Up button
The following if-else statement prevents the script from proceeding if the instance of Subform3 appears as the first instance in the list:
if (Subform3.index != 0) {
//nIndexFrom and nIndexTo store the before and after index values to use with the moveInstance method.
var nIndexFrom = Subform3.index;
var nIndexTo = Subform3.index - 1;
Subform3.instanceManager.moveInstance(nIndexFrom, nIndexTo);
}
else {
xfa.host.messageBox("The current item cannot be moved because it is the
first instance in the list.", "Combining Instance Manager Concepts", 1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
if (Subform3.index != 0) {
var nIndexFrom = Subform3.index;
var nIndexTo = Subform3.index - 1;
Subform3.moveInstance(nIndexFrom, nIndexTo);
}
else {
xfa.host.messageBox("The current item can't be moved since it already is the first instance in the list.", "Combining Instance Manager Concepts", 1);
}
Scripting the Move Row Down button
This variable stores the index value of the instance of Subform3:
var nIndex = Subform3.index;
The following if-else statement prevents the script from proceeding if the instance of Subform3 appears as the last instance in the list:
if ((nIndex + 1) < Subform3.instanceManager.count) {
// nIndexFrom and nIndexTo store the before and after index values to use with the moveInstance() method.
var nIndexFrom = nIndex;
var nIndexTo = nIndex + 1;
Subform3.instanceManager.moveInstance(nIndexFrom, nIndexTo);
}
else {
xfa.host.messageBox("The current item cannot be moved because it is the last
instance in the list.", "Combining Instance Manager Concepts", 1);
}
You can also write this script by using the underscore (_) notation to reference the properties and methods of the instance manager, as shown here:
var nIndex = Subform3.index;
if ((nIndex + 1) < Subform3.instanceManager.count) {
var nIndexFrom = nIndex;
var nIndexTo = nIndex + 1;
_Subform3.moveInstance(nIndexFrom, nIndexTo);
}
else {
xfa.host.messageBox("The current item can't be moved since it already is the
last instance in the list.", "Combining Instance Manager Concepts", 1);
}


Scripting Reference

Scripting > Scripting Reference
Scripting Reference
About the Object Scripting Reference
Version mapping to XFA
XML Form Object Model Class Hierarchy
Scripting Objects
Scripting Properties
Scripting Methods


About the Object Scripting Reference

Scripting > Scripting Reference > About the Object Scripting Reference
About the Object Scripting Reference
This section describes the objects, properties, and methods that you can use in the LiveCycle Designer ES scripting environment.
Each host, such as Acrobat and Adobe Reader, is responsible for implementing the available methods. Some methods, such as beep, do not make sense on a server. The server does not implement these methods and instead can output an error message if a user tries to call the method.
For the most up-to-date information about scripting objects, properties, and methods, go to LiveCycle Designer ES Scripting Reference.


Version mapping to XFA

Scripting > Scripting Reference > Version mapping to XFA
Version mapping to XFA
Each version of LiveCycle Designer ES ships with a specific version of XML Forms Architecture (XFA). XFA represents the underlying technology beneath the Adobe XML forms solution.
The version of XFA in which a scripting property or method was added is included in the description of each property and method.
XFA Version
LiveCycle Designer ES Version
2.8
8.2
2.7
No public release
2.6
8.1
2.5
8.0
2.4
7.1
2.3
No public release
2.2
7.0
2.1
6.0


XML Form Object Model Class Hierarchy

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy
XML Form Object Model Class Hierarchy
object class
list class
treeList class
tree class
node class
container class
content class
model class
textNode class
The XML Form Object Model consists of models that each contain a set of objects. Each object is derived from one of the set of classes that define common properties and methods. An object, in turn, inherits these common properties and methods but may also add properties and methods that are unique to that object, relative to other objects derived from the same class.
As with traditional class structures, each class inherits properties and methods from its parent class. Objects, in turn, inherit from the parent class from which they derive.
Each model uses a hierarchy of objects. Objects do not inherit properties and methods from other objects, but instead inherit directly from the class hierarchy. The hierarchy of objects within a model represents the XML structure of that model.


object class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > object class
object class
The object class is the base class from which all other classes, objects, and models are either directly or indirectly derived.
Class hierarchy
Parent class
Current class
Objects derived from this class
None
object
dataWindow
eventPseudoModel
hostPseudoModel
layoutPseudoModel
signaturePseudoModel
Properties
Name
Description
Type
Access
className
Determines the name of the class of this object.
String
Get
Methods
None


list class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > list class
list class
The list class represents a list of nodes.
Class hierarchy
Parent class
Current class
Objects derived from this class
object
list
None
Properties
Name
Description
Type
Access
length
Specifies the number of objects in the list.
Integer
Read
Methods
Name
Description
Returns
append
Appends a node to the end of the node list.
Empty
insert
Inserts a node before a specific node in the node list.
Empty
item
Describes a zero-based index into the collection.
Object
remove
Removes a node from the node list.
Empty


treeList class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > treeList class
treeList class
The treeList class represents a list of tree nodes.
Class hierarchy
Parent class
Current class
Objects derived from this class
list
treeList
None
Properties
None
Methods
Name
Description
Returns
namedItem
Gets the first child of this node with the given name.
Object


tree class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > tree class
tree class
The tree class represents the structure from which the node class is derived.
Class hierarchy
Parent class
Current class
Objects derived from this class
object
tree
None
Properties
Name
Description
Type
Access
all
Returns a collection of like-named, in-scope nodes.
Object
Read
classAll
Returns a collection of like-class, in-scope nodes.
Object
Read
classIndex
Returns the position of this object in its collection of like-class, in-scope objects.
Integer
Read
index
Returns the position of this node in its collection of like-named, in-scope nodes.
Integer
Read
name
Specifies an identifier that may be used to specify this object or event in script expressions.
String
Read /Write
nodes
Returns a list of all child objects of the current object.
Object
Read
parent
Returns the parent object of the current object.
Object
Read
somExpression
Reads the reference syntax expression for this node.
String
Read
Methods
Name
Description
Returns
resolveNode
Evaluates the specified reference syntax expression, beginning with the current XML form object model object, and returns the value of the object specified in the reference syntax expression.
Object
resolveNodes
Evaluates the specified reference syntax expression, beginning with the current XML form object model object, and returns the value of the object or objects specified in the reference syntax expression.
Object


node class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > node class
node class
The node class represents the primary data type for XML Form Object Model objects.
Class hierarchy
Parent class
Current class
Objects derived from this class
tree
node
arc
assist
barcode
bind
bindItems
bookend
border
break (deprecated)
breakAfter
breakBefore
button
calculate
caption
certificates
checkButton
choiceList
color
comb
command
connect
corner
dataGroup
dataValue
dateTime
dateTimeEdit
defaultUi
desc
digestMethod
digestMethods
dSigData
edge
encoding
encodings
encrypt
event
exclGroup
execute
exObject
extras
fill
filter
font
format
image
imageEdit
instanceManager
issuers
items
keep
keyUsage
line
linear
manifest
map
margin
mdp
medium
message
numericEdit
occur
oids
overflow
packet
para
passwordEdit
pattern
picture
proto
query
radial
reasons
recordSet
rectangle
script
setProperty
signature
signData
signing
solid
source
stipple
subjectDN
subjectDNs
submit
textEdit
timeStamp
traversal
traverse
ui
validate
value
wsdlConnection
xmlConnection
xsdConnection
Properties
Name
Description
Type
Access
id
Specifies a generic user-defined XML ID type.
String
Read /Write
isContainer
Specifies whether this object is a container object.
Boolean
Read
isNull
Indicates whether the current data value is the null value.
Boolean
Read
model
Specifies the model for the current object.
Object
Read
ns
Returns the namespace for the object.
String
Read
oneOfChild
Retrieves or sets that child object in the case where a parent object can only have one of a particular child object.
Object
Read /Write
Methods
Name
Description
Returns
applyXSL
Applies an XSL transformation to the XML representation of the current node. It is equivalent to calling saveXML and transforming the result with the specified XSL document.
String
assignNode
Evaluates the reference syntax expression using the current context and sets the value of the found node. If the node doesn’t exist, it can be created.
Object
clone
Makes a copy of an object.
Object
getAttribute
Gets a specified property value.
String
getElement
Returns a specified child object.
Object
isPropertySpecified
Checks if a specific property has been defined for this node.
Boolean
loadXML
Loads and appends a specified XML document to the current object.
Empty
saveFilteredXML
Saves the current node to a string, but includes only a subset of the child nodes.
String
saveXML
Saves the current node to a string.
String
setAttribute
Sets the value of a specified property.
Empty
setElement
Sets a specified object to be the current object.
Empty


container class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > container class
container class
The container class provides container objects for the form model.
Class hierarchy
Parent class
Current class
Objects derived from this class
node
container
area
contentArea
draw
field
pageArea
pageSet
subform
subformSet
variables
Properties
None
Methods
Name
Description
Returns
getDelta
Gets a delta script object for a specific property.
Object
getDeltas
Recursively gets all the deltas script objects for this container object and all its descendants.
Object


content class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > content class
content class
The content class provides content objects for the form and template models. Form designs and completed forms are visually composed of objects that represent content, such as images and text.
Class hierarchy
Parent class
Current class
Objects derived from this class
node
content
boolean
date
dateTime
decimal
exData
float
integer
text
time
Properties
None
Methods
None


model class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > model class
model class
The model class is the base class for the root objects of each model.
Class hierarchy
Parent class
Current class
Objects derived from this class
node
model
connectionSet
dataModel
form
template
sourceSet
xfa
Properties
Name
Description
Type
Access
aliasNode
Specifies the object that is represented by the alias for this model.
Object
Read /Write
context (deprecated)
Specifies the current object, which is the starting object for the resolveNode and resolveNodes methods.
Object
Read /Write
Methods
Name
Description
Returns
clearErrorList
Removes all items from the current error log.
Empty
createNode
Creates a new node based on a valid class name.
Object
isCompatibleNS
Determines if a specified namespace is functionally equivalent, that is compatible, with the namespace of this model. It determines if the two namespaces are equivalent, even though the strings that represent them may not be identical.
Boolean


textNode class

Scripting > Scripting Reference > XML Form Object Model Class Hierarchy > textNode class
textNode class
The textNode class represents objects that store textual data directly instead of using the #text object derived from the node class.
Class hierarchy
Parent class
Current class
Objects derived from this class
node
textNode
certificate
connectString
delete
handler
insert
oid
operation
password
reason
ref
rootElement
select
soapAction
soapAddress
speak
toolTip
update
uri
user
wsdlAddress
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


Scripting Objects

Scripting > Scripting Reference > Scripting Objects
Scripting Objects
arc
area
assist
barcode
bind
bindItems
bookend
boolean
border
break (deprecated)
breakAfter
breakBefore
button
calculate
caption
certificate
certificates
checkButton
choiceList
color
comb
command
connect
connectionSet
connectString
contentArea
corner
dataGroup
dataModel
dataValue
dataWindow
date
dateTime
dateTimeEdit
decimal
defaultUi
delete
delta
deltas
desc
digestMethod
digestMethods
draw
dSigData
edge
encoding
encodings
encrypt
event
eventPseudoModel
exclGroup
exData
execute
exObject
extras
field
fill
filter
float
font
form
format
handler
hostPseudoModel
hyphenation
image
imageEdit
insert
instanceManager
integer
issuers
items
keep
keyUsage
layoutPseudoModel
line
linear
manifest
map
margin
mdp
medium
message
numericEdit
occur
oid
oids
operation
overflow
packet
pageArea
pageSet
para
password
passwordEdit
pattern
picture
proto
query
radial
reason
reasons
recordSet
rectangle
ref
rootElement
script
select
setProperty
signature
signatureProperties (deprecated)
signaturePseudoModel
signData
signing
soapAction
soapAddress
solid
source
sourceSet
speak
stipple
subform
subformSet
subjectDN
subjectDNs
submit
template
text
textEdit
time
timeStamp
toolTip
traversal
traverse
ui
update
uri
user
validate
value
variables
wsdlAddress
wsdlConnection
xfa
xmlConnection
xsdConnection
This section provides an alphabetical list of all objects supported in this scripting environment. For each object, there is a brief description of the associated properties and methods, along with links to detailed descriptions of the properties and methods.
In addition, each object has an accompanying table that shows the parent and child object hierarchy in relation to the current object. This parent and child hierarchy is meant to provide a mechanism for quickly determining the scripting syntax required to reference a particular object.


arc

Scripting > Scripting Reference > Scripting Objects > arc
arc
The arc object describes an arc or an ellipse.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
value
arc
edge
fill
Parent class
node class
Properties
Name
Description
Type
Access
circular
Enables you to convert an arc into a circle.
String
Read /Write
hand
Describes the justification of a line or edge.
String
Read /Write
startAngle
Specifies the angle where the beginning of the arc renders.
String
Read /Write
sweepAngle
Specifies the length of the arc as an angle.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


area

Scripting > Scripting Reference > Scripting Objects > area
area
The area object represents the grouping of other container objects on a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
pageArea
proto
subform
area
area
draw
exclGroup
exObject
field
subform
subformSet
Parent class
container class
Properties
Name
Description
Type
Access
colSpan
Specifies the number of columns spanned by this object when used inside a subform with a layout type of row.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
Methods
None


assist

Scripting > Scripting Reference > Scripting Objects > assist
assist
The assist object supplies additional information about a container for users of interactive form applications.
It provides a means to specify the toolTip and behavior for a spoken prompt.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
draw
exclGroup
field
proto
assist
speak
toolTip
Parent class
node class
Properties
Name
Description
Type
Access
role
Specifies the role played by the parent container.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


barcode

Scripting > Scripting Reference > Scripting Objects > barcode
barcode
The barcode object supplies the information required to display a barcode. This information includes the type of barcode and a set of options that varies from one type of barcode to another.
LiveCycle Designer ES can support two types of barcodes: hardware and software. However, an XFA application is not required to support any particular set of barcodes. Hardware barcodes are displayed by particular printers. The set of supported barcodes may vary depending on the display device, because some printers have built-in support for particular barcodes. Software barcodes are drawn stroke by stroke by the XFA application itself. When displaying on a screen, which is not accessible to barcode readers, an XFA application may also revert to displaying just a placeholder rather than an accurate barcode.
For each type of barcode there are usually two separate specifications, one for the barcode itself and one for the barcode’s placement in relation to the physical page and to surrounding printed matter. The creator of the form design is responsible for ensuring that the barcode is placed correctly on the page. The XFA application is responsible for correctly rendering the barcode using the user data. The user data must be compatible with the barcode; that is, it must conform to the allowed character set and string length.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
barcode
extras
Parent class
node class
Properties
Name
Description
Type
Access
charEncoding
Specifies the character encoding of the value that is encoded into a barcode.
String
Read /Write
checksum
Specifies an algorithm for the checksum to insert into the barcode.
String
Read /Write
dataColumnCount
Specifies an optional number of data columns to encode for supported barcodes. This property applies to two-dimensional (2D) barcodes only.
String
Read /Write
dataLength
Specifies the maximum number of characters for this instance of the barcode. This property applies to one-dimensional barcodes only.
String
Read /Write
dataPrep
Defines preprocessing that is applied to the data written in the barcode.
String
Read /Write
dataRowCount
Specifies an optional number of data rows to encode for supported barcodes. This property applies to 2D barcodes only.
String
Read /Write
endChar
Specifies an optional ending control character to append to barcode data.
String
Read /Write
errorCorrectionLevel
Specifies an optional error correction level to apply to supported barcodes. This property applies to 2D barcodes only.
String
Read /Write
moduleHeight
Determines the height of a set of bars used to encode one character of supplied text.
String
Read /Write
moduleWidth
Specifies different aspects of a barcode depending on the class of barcodes being used.
String
Read /Write
printCheckDigit
Specifies whether to print the check digits in the human-readable text.
String
Read /Write
rowColumnRatio
An optional ratio of rows to columns for supported 2D barcodes.
String
Read /Write
startChar
Specifies an optional starting control character to add to the beginning of the barcode data.
String
Read /Write
textLocation
Specifies the location of any text associated with the barcode.
String
Read /Write
truncate
Truncates the right edge of the barcode for supported formats.
String
Read /Write
type
Specifies the pattern used by an object.
String
Read /Write
upsMode
Represents the mode in a UPS Maxicode barcode.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
wideNarrowRatio
Specifies a ratio of wide bar to narrow bar in supported barcodes.
String
Read /Write
Methods
None


bind

Scripting > Scripting Reference > Scripting Objects > bind
bind
The bind object controls the behavior of its parent object during merge operations.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
sourceSet Model
command
exclGroup
field
proto
subform
bind
picture
Parent class
node class
Properties
Name
Description
Type
Access
contentType
Specifies the type of content in the referenced document, expressed as a MIME type.
String
Read /Write
match
Controls the role played by enclosing an object in a data-binding (merge) operation.
String
Read /Write
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
String
Read /Write
transferEncoding
Specifies the encoding of binary content in the referenced document.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


bindItems

Scripting > Scripting Reference > Scripting Objects > bindItems
bindItems
The bindItems object identifies a set of data nodes for binding.
The application of the bindItems object is a binding operation. The links between the list items and the referenced data are active. Any change to the data causes an immediate update to the list items.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
field
proto
bindItems
ref
Parent class
node class
Properties
Name
Description
Type
Access
connection
Specifies the name of the associated connection control in the connection set.
String
Read /Write
labelRef
Resolves a data value for each data node in the set identified by the ref object.
String
Read /Write
valueRef
Resolves a data value for each data node in the set identified by the ref object.
String
Read /Write
Methods
None


bookend

Scripting > Scripting Reference > Scripting Objects > bookend
bookend
The bookend object stores properties that identify optional subforms that bookend the contents of the parent subform.
The leader property identifies an optional subform or subformSet that is laid out first, before the contents of the parent container. The trailer property identifies an optional subform or subformSet object that is laid out last, after the contents of the parent container. In this way, these properties bookend the contents of the parent container. This is true regardless of how many contentArea or pageArea objects the parent container spans.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
subformSet
bookend
none
Parent class
node class
Properties
Name
Description
Type
Access
leader
Specifies the subform or subformSet object to place at the top of a content or page area.
String
Read /Write
trailer
Specifies the subform or subformSet object to place at the bottom of a content or page area.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


boolean

Scripting > Scripting Reference > Scripting Objects > boolean
boolean
The boolean object describes a single unit of data content representing a boolean logical value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
sourceSet Model
desc
exObject
extras
items
proto
value
variables
boolean
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Boolean
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
Boolean
Read /Write
Methods
None


border

Scripting > Scripting Reference > Scripting Objects > border
border
The border object describes the border surrounding an object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
checkButton
choiceList
dateTimeEdit
draw
exclGroup
field
imageEdit
numericEdit
passwordEdit
proto
signature
subform
textEdit
border
corner
edge
extras
fill
margin
Parent class
node class
Properties
Name
Description
Type
Access
break
Describes the constraints on moving to a new page or content area after rendering an object.
String
Read /Write
hand
Describes the justification of a line or edge.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


break (deprecated)

Scripting > Scripting Reference > Scripting Objects > break (deprecated)
break (deprecated)
The break object describes the constraints on moving to a new page or content area before or after rendering an object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
subformSet
break
extras
Parent class
node class
Properties
Name
Description
Type
Access
after (deprecated)
Specifies the constraints on moving to a new page or content area after rendering the subform.
As of XFA version 2.8, this property is deprecated. See breakAfter.
String
Read /Write
afterTarget (deprecated)
Specifies the explicit destination page or content area for the after (deprecated) property.
As of XFA version 2.8, this property is deprecated. See breakAfter.target.
String
Read /Write
before (deprecated)
Specifies the constraints on moving to a new page or content area before rendering the subform.
As of XFA version 2.8, this property is deprecated. See breakBefore.
String
Read /Write
beforeTarget (deprecated)
Specifies the explicit destination page or content area for the before (deprecated) property.
As of XFA version 2.8, this property is deprecated. See breakBefore.target.
String
Read /Write
bookendLeader (deprecated)
Specifies a subform to place into the current content area or page before any other content.
String
Read /Write
bookendTrailer (deprecated)
Identifies a subform to place into the current content area or page after any other content.
String
Read /Write
overflowLeader (deprecated)
Specifies the subform to place at the top of the content area or page when it is entered as a result of an overflow.
As of XFA version 2.8, this property is deprecated. See leader.
String
Read /Write
overflowTarget (deprecated)
Specifies the explicit content area that will be the transition target when the current content area or page area overflows.
String
Read /Write
overflowTrailer (deprecated)
Specifies the subform to place at the bottom of the content area or page when it overflows.
As of XFA version 2.8, this property is deprecated. See trailer
String
Read /Write
startNew
Determines whether it is necessary to start a new content area or page even when the current content area or page has the required name.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


breakAfter

Scripting > Scripting Reference > Scripting Objects > breakAfter
breakAfter
The breakAfter object describes the conditional constraints on moving to a new page or content area after laying down the parent container. The breakAfter object is invoked after laying out the parent subform. The leaders or trailers are laid down before and after any jump that the breakAfter object mandates.
An optional script object associated with the breakAfter object determines whether it is respected. This script object defaults to the true condition, which means that breakAfter objects with no script object are always invoked.
The breakAfter object is functionally equivalent to the deprecated syntax of break (deprecated).after (deprecated) and afterTarget (deprecated).
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
subformSet
breakAfter
script
Parent class
node class
Properties
Name
Description
Type
Access
leader
Specifies the subform or subformSet object to place at the top of a content or page area.
String
Read /Write
startNew
Determines whether it is necessary to start a new content area or page even when the current content area or page has the required name.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
targetType
Specifies the constraints on moving to a new page or content area before laying out the parent subform.
String
Read /Write
trailer
Specifies the subform or subformSet object to place at the bottom of a content or page area.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


breakBefore

Scripting > Scripting Reference > Scripting Objects > breakBefore
breakBefore
The breakBefore object describes the conditional constraints for moving to a new page or content area before laying down the parent container. The breakBefore object is invoked before laying out the parent subform. The leaders and trailers are laid down before and after any jump that the breakBefore object mandates.
An optional script object associated with the breakBefore object determines whether it is respected. This script object defaults to the true condition, which means that breakBefore objects with no script object are always invoked.
The breakBefore object is functionally equivalent to the deprecated syntax of break (deprecated).before (deprecated) and beforeTarget (deprecated).
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
subformSet
breakBefore
script
Parent class
node class
Properties
Name
Description
Type
Access
leader
Specifies the subform or subformSet object to place at the top of a content or page area.
String
Read /Write
startNew
Determines whether it is necessary to start a new content area or page even when the current content area or page has the required name.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
targetType
Specifies the constraints on moving to a new page or content area before laying out the parent subform.
String
Read /Write
trailer
Specifies the subform or subformSet object to place at the bottom of a content or page area.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


button

Scripting > Scripting Reference > Scripting Objects > button
button
The button object describes a push-button control.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
button
extras
Parent class
node class
Properties
Name
Description
Type
Access
highlight
Specifies the visual appearance of a button when activated by a user. All values support two states (up and down) except push which supports three states (up, down, and rollover).
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


calculate

Scripting > Scripting Reference > Scripting Objects > calculate
calculate
The calculate object controls the calculation of a field’s value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
exclGroup
field
proto
subform
calculate
extras
message
script
Parent class
node class
Properties
Name
Description
Type
Access
override
When used with the calculate object, the override property indicates whether the field allows overrides to occur and disables or enables calculations. When used with the value object, the override property indicates whether a calculation override has occurred.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


caption

Scripting > Scripting Reference > Scripting Objects > caption
caption
The caption object describes a descriptive label associated with a form design object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
draw
exclGroup
field
proto
caption
extras
font
margin
para
value
Parent class
node class
Properties
Name
Description
Type
Access
placement
Specifies the placement of the caption.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
reserve
A measurement value that specifies the height or width of the caption.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


certificate

Scripting > Scripting Reference > Scripting Objects > certificate
certificate
The certificate object holds a certificate.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
encrypt
issuers
proto
signing
certificate
none
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


certificates

Scripting > Scripting Reference > Scripting Objects > certificates
certificates
The certificates object holds a collection of certificate filters.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
proto
certificates
issuers
keyUsage
oids
signing
subjectDNs
Parent class
node class
Properties
Name
Description
Type
Access
credentialServerPolicy
Specifies whether checking the certificate status is required when a digital signature is signed. The certificate status can be checked against a certificate revocation list (CRL) or an Online Certificate Status Protocol (OCSP) response.
String
Read /Write
url
Specifies the URL for this object.
String
Read /Write
urlPolicy
(urlPolicy)Specifies the type of URL represented by the certificates object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


checkButton

Scripting > Scripting Reference > Scripting Objects > checkButton
checkButton
The checkButton object that describes a check box or radio button control.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
checkButton
border
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
allowNeutral
Specifies whether the check box or radio button can support an additional third state that represents a neutral value.
String
Read /Write
mark
Indicates the shape to use when filling a Check Box object.
String
Read /Write
shape
Specifies whether the check box or radio button displays with a square or round outline.
String
Read /Write
size
A measurement specifying the size of the check box or radio button outline representing either the height and width for a check box, or the diameter for a radio button.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


choiceList

Scripting > Scripting Reference > Scripting Objects > choiceList
choiceList
The choiceList object that describes a list of options. The list of options is specified by one or more sibling objects.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
choiceList
border
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
commitOn
Specifies when a user’s selections are propagated to the data model.
String
Read /Write
open
Determines when the choice list is presented by interactive applications.
String
Read /Write
textEntry
Determines if a user can type a value into a drop-down list.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


color

Scripting > Scripting Reference > Scripting Objects > color
color
The color object describes a unique color on a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
corner
edge
fill
linear
pattern
proto
radial
stipple
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
cSpace
Specifies the color space.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


comb

Scripting > Scripting Reference > Scripting Objects > comb
comb
The comb object describes a comb field, where each letter of the field is divided by a black vertical line that spans the distance between the top and bottom edges of the field. The comb object is available for only dynamic or interactive PDF generation forms. Static PDF forms, and all other output formats, ignore this object.
Only single- line comb fields can be created, and to display field data as a comb, you must set the value of the hand property for the border object of the field to right. The maxChars property on the textEdit object determines the number of combs to create.
Note:
If a textEdit object is a multiline field or a rich-text field, the presence of a comb child object will not produce a comb field at runtime.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
textEdit
numericEdit
comb
none
Parent class
node class
Properties
Name
Description
Type
Access
numberOfCells
Indicates the number of cells drawn for a comb field. This is not affected by the number of characters in the field’s value.
Integer
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


command

Scripting > Scripting Reference > Scripting Objects > command
command
The command object specifies a single command to execute against the data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
source
command
delete
insert
query
update
Parent class
node class
Properties
Name
Description
Type
Access
timeout
Specifies the number of seconds to attempt a query.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


connect

Scripting > Scripting Reference > Scripting Objects > connect
connect
The connect object describes the relationship between its containing object and a connection to a web service, schema, or data description. Connections are defined outside the form design in a separate packet with its own schema.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
sourceSet Model
exclGroup
field
proto
source
subform
connect
connectString
password
picture
user
Parent class
node class
Properties
Name
Description
Type
Access
connection
Specifies the name of the associated connection control in the connection set.
String
Read /Write
delayedOpen
Specifies the number of seconds to delay opening the data source after a connection is made.
String
Read /Write
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
String
Read /Write
timeout
Specifies the number of seconds to attempt a query.
String
Read /Write
usage
Specifies the contexts in which to use the connection.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


connectionSet

Scripting > Scripting Reference > Scripting Objects > connectionSet
connectionSet
The connectionSet object is the root object of the connectionSet model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
none
connectionSet
wsdlConnection
xsdConnection
Parent class
model class
Properties
None
Methods
None


connectString

Scripting > Scripting Reference > Scripting Objects > connectString
connectString
The connectString object specifies the connection string to use to connect to the database.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
connect
connectString
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


contentArea

Scripting > Scripting Reference > Scripting Objects > contentArea
contentArea
The contentArea object describes a region within a page area eligible for receiving content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
pageArea
proto
contentArea
desc
extras
Parent class
container class
Properties
Name
Description
Type
Access
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
Methods
None


corner

Scripting > Scripting Reference > Scripting Objects > corner
corner
The corner object describes the appearance of a vertex between two edges.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
border
proto
rectangle
corner
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
inverted
Specifies whether the corner appears convex (it joins the edges tangentially) or is inverted and appears concave (it joins the edges at right angles).
String
Read /Write
join
Specifies the shape of the corner.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
radius
Specifies the radius of the corner.
String
Read /Write
stroke
Specifies the appearance of a line.
String
Read /Write
thickness
Specifies the thickness or weight of the line.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


dataGroup

Scripting > Scripting Reference > Scripting Objects > dataGroup
dataGroup
The dataGroup object is the parent of a list of XML data nodes within an XML data file. The nodes enclosed within the dataGroup object are either actual data values or other XML data objects, such as dataGroup objects. Subforms, as they appear in XML data files, are an example of data groups.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Data Model
dataGroup
dataGroup
dataGroup
dataValue
Parent class
node class
Properties
None
Methods
None


dataModel

Scripting > Scripting Reference > Scripting Objects > dataModel
dataModel
The dataModel object is the root object of the data model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Data Model
None
dataModel
dataWindow
Parent class
model class
Properties
None
Methods
None


dataValue

Scripting > Scripting Reference > Scripting Objects > dataValue
dataValue
The dataValue object represents a container object that stores a value or values. For example, a dataValue object would be a field on a form.
Note:
A dataValue object can have additional dataValue child objects that store additional data. Typically this is not the case.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Data Model
dataGroup
dataValue
dataValue
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Varies
Read /Write
contains
Determines whether a data value should be included in value of the parent object or as a property of the parent.
String
Read /Write
contentType
Specifies the type of content in the referenced document, expressed as a MIME type.
String
Read /Write
isNull
Indicates whether the current data value is the null value.
Boolean
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


dataWindow

Scripting > Scripting Reference > Scripting Objects > dataWindow
dataWindow
The dataWindow object represents the range of records from the source data currently loaded into the data model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Data Model
dataModel
dataWindow
dataGroup
dataValue
Parent class
object class
Properties
Name
Description
Type
Access
currentRecordNumber
Returns the current record number within the range of records contained by the current dataWindow object.
Integer
Read
isDefined
Indicates whether a valid data window is currently defined.
Boolean
Read
recordsAfter
Returns the number of records in the data window following the current record.
Integer
Read
recordsBefore
Returns the number of records that are in the data window prior to the current record.
Integer
Read
Methods
Name
Description
Returns
gotoRecord
Moves the current record of the data window to a particular record within the range of records in the data.
Empty
isRecordGroup
Indicates if a particular dataGroup object is also a single record.
Boolean
moveCurrentRecord
Repositions the current record to another location within the range of records.
Empty
record
Returns a record in a position relative to the current record.
Object
See also
For an example of using the dataWindow object to browse data records, see the example Browsing records stored in a data file available at www.adobe.com/go/dev_lc_scripting_samples.


date

Scripting > Scripting Reference > Scripting Objects > date
date
The date object describes a calendar date.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
date
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


dateTime

Scripting > Scripting Reference > Scripting Objects > dateTime
dateTime
The dateTime object represents a date and time value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
dateTime
None
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


dateTimeEdit

Scripting > Scripting Reference > Scripting Objects > dateTimeEdit
dateTimeEdit
The dateTimeEdit object describes a control intended to aid in the selection of date and time.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
dateTimeEdit
border
comb
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
hScrollPolicy
Specifies whether a field can scroll horizontally.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


decimal

Scripting > Scripting Reference > Scripting Objects > decimal
decimal
The decimal object represents a number with a fixed number of digits after the decimal.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
decimal
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Double
Read /Write
fracDigits
Specifies the maximum number of digits (inclusively) following the decimal point to capture and store.
String
Read /Write
leadDigits
Specifies the maximum number of digits (inclusively) preceding the decimal point to capture and store.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


defaultUi

Scripting > Scripting Reference > Scripting Objects > defaultUi
defaultUi
The defaultUi object controls the depiction of objects whose appearance is delegated to the application.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
defaultUi
extras
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


delete

Scripting > Scripting Reference > Scripting Objects > delete
delete
The delete object specifies the delete current record operation from the data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
command
delete
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


delta

Scripting > Scripting Reference > Scripting Objects > delta
delta
The delta object permits the user restore the form state using script and holds information on the state to be restored.
For example, you can use the delta object to persist state information across edit sessions when working with certified forms.
A delta object can be queried at any time. Use the delta and deltas objects to restore any property on a form when subform.restoreState is set to manual.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
None
delta
None
Parent class
None
Properties
Name
Description
Type
Access
currentValue
Returns the correctly typed object for the property.
Dependent on property
Read
savedValue
Returns a typed object, but you cannot assign this value. If the property is not saved, the value is the same as the currentValue.
Dependent on property
Read
target
Specifies the object upon which the action will occur.
String
Read
Methods
Name
Description
Returns
restore
Updates the property’s current value with the saved value.
Null


deltas

Scripting > Scripting Reference > Scripting Objects > deltas
deltas
The deltas object manages a list of delta objects.
The deltas object excludes any property that was set using a complex binding. It also excludes properties when the current value of the delta is the same as the saved or default value.
Use the delta and deltas objects to restore any property on a form when subform.restoreState is set to manual.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
None
deltas
None
The deltas object is a list of delta objects.
Parent class
list class
Properties
None
Methods
None


desc

Scripting > Scripting Reference > Scripting Objects > desc
desc
The desc object describes human-readable metadata.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
contentArea
draw
exclGroup
field
pageArea
proto
subform
subformSet
desc
boolean
date
dateTime
decimal
exData
float
image
integer
text
time
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
Name
Description
Returns
metadata
Collects a comprehensive Extensible Metadata Platform (XMP) metadata packet for the document.
String


digestMethod

Scripting > Scripting Reference > Scripting Objects > digestMethod
digestMethod
The digestMethod object lists an array of acceptable digest algorithms to use while signing. The valid values for PDF 1.7 are SHA1, SHA256, SHA384, SHA512 and RIPEMD160.
This object applies only if the digital credential that is signing contains RSA public/private keys. If it contains DSA public/private keys, then the digest algorithm is always SHA1 and this object is ignored. The default value, if not specified, is implementation-specific.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
digestMethods
digestMethod
None
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


digestMethods

Scripting > Scripting Reference > Scripting Objects > digestMethods
digestMethods
The digestMethods object contains a list of acceptable digestMethod object values. If the credential contains RSA public/private keys, the valid values are SHA1, SHA256, SHA384, SHA512, RIPEMD160. If the credential contains DSA public/private keys, the only valid value is SHA1.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
digestMethods
digestMethod
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read \Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


draw

Scripting > Scripting Reference > Scripting Objects > draw
draw
The draw object contains non-interactive form design content. Within LiveCycle Designer ES, for example, the draw object describes the text, static image, circle, line, and rectangle objects.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
pageArea
proto
subform
draw
assist
border
caption
desc
extras
font
margin
para
setProperty
traversal
ui
value
Parent class
container class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
anchorType
Specifies the location of the container’s anchor point when it is placed by using a positioned layout strategy.
String
Read /Write
colSpan
Specifies the number of columns spanned by this object when used inside a subform with a layout type of row.
String
Read /Write
h
A measurement of the height for the layout.
String
Read /Write
hAlign
Specifies the horizontal text alignment.
String
Read /Write
locale
Specifies the language, currency, and time/date formatting to use for the content of the object.
String
Read /Write
maxH
Specifies the maximum height for layout purposes.
String
Read /Write
maxW
Specifies the maximum width for layout purposes.
String
Read /Write
minH
Specifies the minimum height for layout purposes.
String
Read /Write
minW
Specifies the minimum width for layout purposes.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
rawValue
Specifies the unformatted value of the current object.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
rotate
Rotates the object around its anchor point by the specified angle.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
vAlign
Specifies the vertical text alignment.
String
Read /Write
w
A measurement specifying the width for the layout.
String
Read /Write
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
Methods
None


dSigData

Scripting > Scripting Reference > Scripting Objects > dSigData
dSigData
The dSigData object describes a unit of XML digital signature data.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
TBD
dSigData
None
Parent class
node class
Properties
None
Methods
None


edge

Scripting > Scripting Reference > Scripting Objects > edge
edge
The edge object describes an arc, line, or one side of a border or rectangle.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
arc
border
line
proto
rectangle
edge
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
cap
Specifies the rendered termination of the stroke.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
stroke
Specifies the appearance of a line.
String
Read /Write
thickness
Specifies the thickness or weight of the line.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


encoding

Scripting > Scripting Reference > Scripting Objects > encoding
encoding
The encoding object corresponds to the PDFL subFilters element. The valid values for Adobe are adbe.x509.rsa_sha1, adbe.pkcs7.detached, and adbe.pkcs7.sha1, but other security handlers can define their own values.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
encodings
encoding
None
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


encodings

Scripting > Scripting Reference > Scripting Objects > encodings
encodings
The encodings object contains a list of acceptable encoding object values.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
submit
encodings
encoding
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read/ Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


encrypt

Scripting > Scripting Reference > Scripting Objects > encrypt
encrypt
The encrypt object encrypts the form data when it is submitted. It contains a certificate object that holds a public key for the encryption scheme. The encryption method used depends on the value of the format property.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
submit
encrypt
certificate
Parent class
node class
Properties
Name
Description
Type
Access
format
Determines the format in which to submit the data.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


event

Scripting > Scripting Reference > Scripting Objects > event
event
The event object causes a script to execute or data to be submit whenever a particular event occurs.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
exclGroup
field
proto
subform
event
extras
execute
script
submit
Parent class
node class
Properties
Name
Description
Type
Access
activity
Specifies the name of the event.
String
Read /Write
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


eventPseudoModel

Scripting > Scripting Reference > Scripting Objects > eventPseudoModel
eventPseudoModel
The eventPseudoModel object is the root object of the event model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Event Model
None
eventPseudoModel
None
Parent class
object class
Properties
Name
Description
Type
Access
cancelAction
Specifies whether to cancel a forthcoming action. This property applies only to the following scripting events: prePrint , preSubmit , preExecute , preOpen , and preSign .
Boolean
Read /Write
change
Specifies the value that a user types or pastes into a field immediately after they perform the action.
String
Read /Write
commitKey
Describes how the current value of a form field was set by the user.
Integer
Read /Write
fullText
Represents the full (untruncated) value that a user pastes into a form field.
String
Read /Write
keyDown
Determines whether a user is pressing an arrow key to make a selection. This property is available only for list boxes and drop-down lists.
Boolean
Read /Write
modifier
Determines whether the modifier key (for example, Ctrl on Windows) is held down when a particular event executes.
Boolean
Read /Write
newContentType
Specifies the content type of the newText property.
String
Read /Write
newText
Specifies the content of the field after it changes in response to user actions.
String
Read /Write
prevContentType
Specifies the content type of the value specified for the prevText property.
String
Read /Write
prevText
Specifies the content of the field before it changes in response to the actions of a user.
String
Read /Write
reenter
Specifies whether the enter event is occurring for the first time. The enter event occurs each time a user clicks in a field.
Boolean
Read /Write
selEnd
Specifies the index position of the last character of the text selection stored in the prevText property during a change event.
Integer
Read /Write
selStart
Specifies the index position of the first character of the text selection stored in the prevText property during a change event.
Integer
Read /Write
shift
Specifies whether the Shift key is held down during a particular event.
Boolean
Read /Write
soapFaultCode
Specifies any fault code that occurs when a user attempts to execute a web service connection.
String
Read /Write
soapFaultString
Specifies the descriptive message that corresponds to a particular web service connection fault code.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
Methods
Name
Description
Returns
emit
Notifies the form event manager that an event has occurred.
Empty
reset
Resets all of the properties within the XML form event model.
Empty


exclGroup

Scripting > Scripting Reference > Scripting Objects > exclGroup
exclGroup
The exclGroup object describes a mutual exclusion relationship between a set of containers.
An exclusion group is used to cause a set of radio buttons boxes to be mutually exclusive. When a user activates one member of the set, the other members are automatically deactivated. For example, if the set consists of radio buttons, clicking one button causes the other buttons to be deactivated.
Each member of the exclusion group is associated with an on value and an off value. When a member is activated, it assumes the on value. When it is deactivated, it assumes the off value. The on value for each member of a particular exclusion group must be unique.
Selecting one member of the exclusion group in the form causes each member’s value to be set to its on or off value, as appropriate. Similarly, assigning the on value to a member of the exclusion group causes the other members to be deactivated.
Alternatively, a value may be assigned to the exclusion group itself. In this case, each member is activated only if the value matches the on value for that member.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
pageArea
proto
subform
exclGroup
assist
bind
border
calculate
caption
connect
desc
event
extras
field
margin
para
setProperty
traversal
validate
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
access
Controls user access to the contents of a container object, such as a subform.
String
Read /Write
accessKey
Specifies an accelerator key that is used by an interactive application to move the input focus to a particular field element.
String
Read /Write
anchorType
Specifies the location of the container’s anchor point when it is placed by using a positioned layout strategy.
String
Read /Write
borderColor
Specifies the border color value for this field.
String
Read /Write
borderWidth
Specifies the border width for this field.
String
Read /Write
colSpan
Specifies the number of columns spanned by this object when used inside a subform with a layout type of row.
String
Read /Write
fillColor
The background color value for this field.
String
Read /Write
h
A measurement of the height for the layout.
String
Read /Write
hAlign
Specifies the horizontal text alignment.
String
Read /Write
layout
Specifies the layout strategy to be used by this object.
String
Read /Write
mandatory
Specifies the nullTest value for the field.
String
Read /Write
mandatoryMessage
Specifies the mandatory message string for this field.
String
Read /Write
maxH
Specifies the maximum height for layout purposes.
String
Read /Write
maxW
Specifies the maximum width for layout purposes.
String
Read /Write
minH
Specifies the minimum height for layout purposes.
String
Read /Write
minW
Specifies the minimum width for layout purposes.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
rawValue
Specifies the unformatted value of the current object.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
transient
Specifies whether the processing application must save the value of the exclusion group as part of a form submission or save operation.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
validationMessage
Specifies the validate message string for this field.
String
Read /Write
vAlign
Specifies the vertical text alignment.
String
Read /Write
w
A measurement specifying the width for the layout.
String
Read /Write
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
Methods
Name
Description
Returns
execCalculate
Executes the calculate script of the field.
Empty
execEvent
Executes the event script of the object.
Empty
execInitialize
Executes the initialize script of the field.
Empty
execValidate
Executes the validate script of the field.
Empty
selectedMember
Returns the selected member of an exclusion group.
Object


exData

Scripting > Scripting Reference > Scripting Objects > exData
exData
The exData object describes a foreign data type.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
exData
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
contentType
Specifies the type of content in the referenced document, expressed as a MIME type.
String
Read /Write
href
Specifies a reference to an external file or resource.
String
Read /Write
maxLength
Specifies the maximum (inclusive) allowable length of the content or -1 to indicate that no maximum length is imposed.
String
Read /Write
transferEncoding
Specifies the encoding of binary content in the referenced document.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


execute

Scripting > Scripting Reference > Scripting Objects > execute
execute
The execute object controls where an event is handled.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
event
proto
execute
None
Parent class
node class
Properties
Name
Description
Type
Access
connection
Specifies the name of the associated connection control in the connection set.
String
Read /Write
executeType
Specifies whether to import new data into the existing form or merge new data with the original form design to create a new form.
String
Read /Write
runAt
Specifies what application can execute the script.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


exObject

Scripting > Scripting Reference > Scripting Objects > exObject
exObject
The exObject object describes a single program or implementation-dependent foreign object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
exObject
proto
subform
ui
exObject
extras
Parent class
node class
Properties
Name
Description
Type
Access
archive
Specifies the URI location of an archive file that may contain program code related to the exObject object.
String
Read /Write
classId
Specifies a URI name or location for the program code represented by the object.
String
Read /Write
codeBase
Specifies a URI location that can be used to assist the resolution of a relative classId property.
String
Read /Write
codeType
Specifies an identifier corresponding to a MIME type that identifies the program code represented by the object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


extras

Scripting > Scripting Reference > Scripting Objects > extras
extras
The extras object acts as an enclosure around one or more sets of custom properties. The content of this object may be used by custom applications.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
sourceSet Model
barcode
border
break (deprecated)
button
calculate
caption
checkButton
choiceList
color
contentArea
corner
dateTimeEdit
defaultUi
draw
edge
event
exclGroup
exObject
extras
field
fill
font
format
imageEdit
keep
linear
margin
numericEdit
occur
pageArea
pageSet
passwordEdit
pattern
proto
radial
signature
solid
stipple
subform
subformSet
template
textEdit
traversal
traverse
ui
validate
extras
boolean
date
dateTime
decimal
exData
extras
float
image
integer
text
time
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


field

Scripting > Scripting Reference > Scripting Objects > field
field
The field object describes a single interactive container capable of capturing and presenting data content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
exclGroup
pageArea
proto
subform
field
assist
bind
bindItems
border
calculate
caption
connect
desc
event
extras
font
format
items
margin
para
setProperty
traversal
ui
validate
value
Parent class
container class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Varies
Read /Write
access
Controls user access to the contents of a container object, such as a subform.
String
Read /Write
accessKey
Specifies an accelerator key that is used by an interactive application to move the input focus to a particular field element.
String
Read /Write
anchorType
Specifies the location of the container’s anchor point when it is placed by using a positioned layout strategy.
String
Read /Write
borderColor
Specifies the border color value for this field.
String
Read /Write
borderWidth
Specifies the border width for this field.
String
Read /Write
colSpan
Specifies the number of columns spanned by this object when used inside a subform with a layout type of row.
String
Read /Write
editValue
Specifies the edit value for the field.
String
Read /Write
fillColor
The background color value for this field.
String
Read /Write
fontColor
The foreground color value for the field.
String
Read /Write
formatMessage
Specifies the format validation message string for this field.
String
Read /Write
formattedValue
Specifies the formatted value for the field.
String
Read /Write
h
A measurement of the height for the layout.
String
Read /Write
hAlign
Specifies the horizontal text alignment.
String
Read /Write
locale
Specifies the language, currency, and time/date formatting to use for the content of the object.
String
Read /Write
mandatory
Specifies the nullTest value for the field.
String
Read /Write
mandatoryMessage
Specifies the mandatory message string for this field.
String
Read /Write
maxH
Specifies the maximum height for layout purposes.
String
Read /Write
maxW
Specifies the maximum width for layout purposes.
String
Read /Write
minH
Specifies the minimum height for layout purposes.
String
Read /Write
minW
Specifies the minimum width for layout purposes.
String
Read /Write
parentSubform
Specifies the parent subform (page) of this field.
Object
Read
presence
Specifies an object’s visibility.
String
Read /Write
rawValue
Specifies the unformatted value of the current object.
Varies
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
rotate
Rotates the object around its anchor point by the specified angle.
String
Read /Write
selectedIndex
The index of the first selected item.
Integer
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
validationMessage
Specifies the validate message string for this field.
String
Read /Write
vAlign
Specifies the vertical text alignment.
String
Read /Write
w
A measurement specifying the width for the layout.
String
Read /Write
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
Methods
Name
Description
Returns
addItem
Adds new items to the current form field. For example, this method adds new items to a drop-down list.
Empty
boundItem
Gets the bound value of a specific display item of a drop-down list or list box.
String
clearItems
Removes all the items from the field. For example, it removes all the items contained within a drop-down list or a list box.
Empty
deleteItem
Deletes the specified item.
Boolean
execCalculate
Executes the calculate script of the field.
Empty
execEvent
Executes the event script of the object.
Empty
execInitialize
Executes the initialize script of the field.
Empty
execValidate
Executes the validate script of the field.
Empty
getDisplayItem
Retrieves the item display text for the specified item index.
String
getItemState
Returns the selection state of the specified item.
Boolean
getSaveItem
Retrieves the data value for the specified item index.
String
setItemState
Sets the selection state of the specified item.
Empty


fill

Scripting > Scripting Reference > Scripting Objects > fill
fill
The fill object applies a color and optional rendered designs to the region enclosed by an object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
arc
border
font
proto
rectangle
fill
color
extras
linear
pattern
radial
solid
stipple
Parent class
node class
Properties
Name
Description
Type
Access
presence
Specifies an object’s visibility.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


filter

Scripting > Scripting Reference > Scripting Objects > filter
filter
The filter object describes the criteria for filtering signed certificates. The signed certificates are used to generate data signatures that follow the W3C XML-Signature standards.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
signature
signData
filter
certificates
digestMethods
encodings
handler
mdp
reasons
timeStamp
The mdp, reasons, and timestamp child objects are valid only if the parent object is signature. If the parent object is signData, LiveCycle Designer ES ignores these child objects and does not generate them.
Parent class
node class
Properties
Name
Description
Type
Access
addRevocationInfo
Specifies whether the certificate status is checked when a digital signature is signed. The certificate status can be checked against a certificate revocation list (CRL) or an Online Certificate Status Protocol (OCSP) response.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


float

Scripting > Scripting Reference > Scripting Objects > float
float
The float object describes a floating point value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
float
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Double
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
Double
Read /Write
Methods
None


font

Scripting > Scripting Reference > Scripting Objects > font
font
The font object describes a font used on a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
caption
draw
field
proto
font
extras
fill
Parent class
node class
Properties
Name
Description
Type
Access
baselineShift
Specifies a positive measurement that shifts a font up from the baseline or a negative measurement that shifts a font down from the baseline.
String
Read /Write
lineThrough
Specifies the activation of a single or double line extending through the text (also known as strikethrough).
String
Read /Write
lineThroughPeriod
Controls the appearance of the line extending through the text (also known as strikethrough).
String
Read /Write
posture
Specifies the posture of the font.
String
Read /Write
size
A measurement specifying the size of the check box or radio button outline representing either the height and width for a check box, or the diameter for a radio button.
String
Read /Write
typeface
Specifies the name of the typeface.
String
Read /Write
underline
Specifies the activation and type of underlining.
String
Read /Write
underlinePeriod
Controls the appearance of underlining.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
weight
Controls the weight of the font typeface.
String
Read /Write
Methods
None


form

Scripting > Scripting Reference > Scripting Objects > form
form
The form object is the root object for the form model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
None
form
desc
extras
Parent class
model class
Properties
None
Methods
Name
Description
Returns
execCalculate
Executes the calculate script of the field.
Empty
execInitialize
Executes the initialize script of the field.
Empty
execValidate
Executes the validate script of the field.
Empty
formNodes
Returns a list of all form model objects that are bound to a specified data object.
Object
recalculate
Forces a specific set of scripts located on calculate events to execute. The specific events can be either pending calculate events or all calculate events.
Empty
remerge
Forces the remerging of the data model and template model to re-create the form model. After the remerge is complete, any layout model processing must be redone if necessary for the completed form.
Empty


format

Scripting > Scripting Reference > Scripting Objects > format
format
The format object encloses input formatting and output formatting information, such as the picture clause.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
field
proto
format
extras
picture
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


handler

Scripting > Scripting Reference > Scripting Objects > handler
handler
The handler object controls which signature handler is used for a data-signing operation, according to the W3C XML-Signature standards.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
proto
handler
None
Parent class
textNode class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
version
Indicates the version number of the current application.
String
Read
Methods
None


hostPseudoModel

Scripting > Scripting Reference > Scripting Objects > hostPseudoModel
hostPseudoModel
The hostPseudoModel object is the root object of the host model. Use the host properties and methods at run time.
Examples of hosts include Acrobat and XFAPresentationAgent (server). Some hosts may not support all properties and methods. For example, XFAPresentationAgent does not support xfa.host.messageBox.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Host Model
None
hostPseudoModel
None
Parent class
object class
Properties
Name
Description
Type
Access
appType
Specifies the name of the client application in which a form currently exists.
String
Read
calculationsEnabled
Specifies whether calculate scripts will execute.
Boolean
Read /Write
currentPage
Sets the currently active page of a document at run time.
Integer
Read /Write
language
Returns the language of the running host application.
String
Read
numPages
Returns the number of pages in the current document.
Integer
Read
platform
Returns the platform of the machine running the script.
String
Read
title
Sets and gets the title of the document. It is available only for client applications.
String
Read /Write
validationsEnabled
Specifies whether the validation scripts will execute.
Boolean
Read /Write
variation
Indicates the packaging of the application that is running the script.
String
Read
version
Indicates the version number of the current application.
String
Read
Methods
Name
Description
Returns
beep
Causes the system to play a sound. It is available only for client applications.
Empty
documentCountInBatch
Determines the number of documents in the current batch.
Integer
documentInBatch
Determines the ordinal number of the current document within the batch.
Integer
exportData
Exports the data from the current form in either XDP or XML format to a file.
Empty
getFocus
Finds and returns the form object that currently has the input focus.
Object
gotoURL
Retrieves the specified URL. It is available only for client applications.
Empty
importData
Imports data to the current form from a specified file.
Empty
messageBox
Displays a dialog box on the screen. It is available only for client applications.
Integer
openList
Opens the drop-down list specified by the reference syntax expression.
Empty
pageDown
Moves to the next page of a form. Use the pageDown method at run time.
Empty
pageUp
Moves to the previous page of a form. Use the pageUp method at run time.
Empty
print
Prints a specific number of pages from a document. It is available only for client applications.
Empty
resetData
Resets the fields to their default values within a document.
Empty
response
Displays a dialog box containing a question and an entry field for the user to reply to the question. The return value is a string containing the user's response. If the user presses the cancel button on the dialog box, the response is null.
String
setFocus
Sets the keyboard focus to the form object specified by the reference syntax expression.
Empty


hyphenation

Scripting > Scripting Reference > Scripting Objects > hyphenation
hyphenation
The hyphenation object specifies the default hyphenation properties to be applied to the content of an enclosing container.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
para
hyphenation
None
Parent class
node class
Properties
Name
Description
Type
Access
excludeAllCaps
Specifies whether or not to hyphenate words consisting entirely of capital letters.
String
Read/Write
excludeInitialCap
Specifies whether or not to hyphenate words that begin with a capital letter.
String
Read/Write
hyphenate
Controls whether hyphenation is allowed.
String
Read/Write
ladderCount
Specifies the maximum number of consecutive hyphenated lines that may be generated.
String
Read/Write
pushCharacterCount
Specifies the minimum number of grapheme clusters, exclusive of any hyphen glyphs added to the start of the next line, allowed in a suffix for the hyphenation point to be considered. If the suffix is too short, the candidate is rejected.
String
Read/Write
remainCharacterCount
Specifies the minimum number of grapheme clusters, exclusive of any hyphen glyphs added to the end of the line, allowed in a prefix for the hyphenation point to be considered. If the prefix is too short, the candidate is rejected.
String
Read/Write
wordCharacterCount
Specifies the minimum number of grapheme clusters that must be present in a word in order for it to be eligible for hyphenation. Words with fewer clusters will not be hyphenated.
String
Read/Write
Methods
None


image

Scripting > Scripting Reference > Scripting Objects > image
image
The image object describes a single image on a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
image
None
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read
aspect
Specifies how the image is to map to the nominal content region of the image’s container.
String
Read /Write
contentType
Specifies the type of content in the referenced document, expressed as a MIME type.
String
Read /Write
href
Specifies a reference to an external file or resource.
String
Read /Write
transferEncoding
Specifies the encoding of binary content in the referenced document.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read
Methods
None


imageEdit

Scripting > Scripting Reference > Scripting Objects > imageEdit
imageEdit
The imageEdit object encloses controls intended to aid in the manipulation of image content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
imageEdit
border
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
data
Indicates whether the image provided to the widget should be represented as a reference or should be embedded.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


insert

Scripting > Scripting Reference > Scripting Objects > insert
insert
The insert object specifies the insert current record operation from the data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
command
insert
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


instanceManager

Scripting > Scripting Reference > Scripting Objects > instanceManager
instanceManager
The instanceManager object manages the instance creation, removal, and movement of form model objects.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
subform
instanceManager
occur
Parent class
node class
Properties
Name
Description
Type
Access
count
Specifies the current number of subform instances on a form.
String
Read /Write
max
Specifies the maximum number of occurrences for the enclosing container, or -1 to set no upper boundary for occurrences.
String
Read
min
Specifies the minimum number of occurrences for the enclosing container.
String
Read
Methods
Name
Description
Returns
addInstance
Adds a new instance of a subform or subform set to the form model.
Object
insertInstance
Inserts a new instance of a subform or subform set into a form.
Object
moveInstance
Moves a subform object within a set of subform instances.
Empty
removeInstance
Removes a specified subform or subform set from the form model.
Empty
setInstances
Adds or removes specified subforms or subform sets from the form model.
Empty


integer

Scripting > Scripting Reference > Scripting Objects > integer
integer
The integer object describes an integer value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
sourceSet Model
desc
exObject
extras
items
proto
value
variables
integer
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Integer
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
Integer
Read /Write
Methods
None


issuers

Scripting > Scripting Reference > Scripting Objects > issuers
issuers
The issuers object describes a collection of issuer certificates that are acceptable for data signing according to the W3C XML-Signature standards.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
certificates
proto
issuers
none
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


items

Scripting > Scripting Reference > Scripting Objects > items
items
The items object supplies a column of choices for a list box or a check box.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
field
proto
items
boolean
date
dateTime
decimal
exData
float
image
integer
text
time
Parent class
node class
Properties
Name
Description
Type
Access
presence
Specifies an object’s visibility.
String
Read /Write
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
String
Read /Write
save
Determines whether the values in a particular column represent both display and bound values, or if the data in the column represents bound values only.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


keep

Scripting > Scripting Reference > Scripting Objects > keep
keep
The keep object describes the constraints involved in keeping subforms together within a page or content area.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
keep
extras
Parent class
node class
Properties
Name
Description
Type
Access
intact
Specifies the constraints on keeping the parent object intact within a content area or page.
String
Read /Write
next
Specifies the constraints on keeping a form object together with the next container within a content area or page.
String
Read /Write
previous
Specifies the constraints on keeping a form object together with the previous container within a content area or page.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


keyUsage

Scripting > Scripting Reference > Scripting Objects > keyUsage
keyUsage
The keyUsage object describes the key usage settings that are required for the signing certificate. It is constructed with a character that is used to represent each key usage type. The first through ninth characters, from left to right, represent the required value for these properties: digitalSignature, nonRepudiation, keyEncipherment, dataEncipherment, keyAgreement, keyCertSign, crlSign, encipherOnly, decipherOnly. Any additional characters are ignored.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
certificates
keyUsage
None
Parent class
node class
Properties
Name
Description
Type
Access
crlSign
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
dataEncipherment
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
decipherOnly
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
digitalSignature
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
encipherOnly
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
keyAgreement
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
keyCertSign
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
keyEncipherment
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
nonRepudiation
Specifies an acceptable key usage extension that must be present in the signing certificate.
String
Read /Write
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


layoutPseudoModel

Scripting > Scripting Reference > Scripting Objects > layoutPseudoModel
layoutPseudoModel
The layoutPseudoModel object is used to query parameters that are only known after the form is laid out such as which page a form design object lies on, the total number of pages, how many pages an object spans, or the orientation of the form design object.
Hierarchy of objects
Model
Parent objects
This object
Child objects
Layout Model
None
layoutPseudoModel
None
Parent class
object class
Properties
Name
Description
Type
Access
ready
Specifies whether the form layout process is complete and scripting tasks can begin.
Boolean
Read
Methods
Name
Description
Returns
absPage
Determines the page of the form that a given form design object first appears on.
Integer
absPageCount
Determines the page count of the current form.
Integer
absPageCountInBatch
Determines the page count of the current batch.
Integer
absPageInBatch
Determines which page within the batch contains the form object.
Integer
absPageSpan
Determines the number of pages that a specified form object spans.
Integer
h
Determines the height of a given form design object.
Double
page
Determines the page number that contains a given form design object. If the object spans multiple pages, this method returns the first page the object occurs on.
Integer
pageContent
Retrieves types of form design objects from a specified page of a form.
Object
pageCount
Determines the number of pages of the current form.
Integer
pageSpan
Determines the number of logical pages a given form design object spans.
Integer
relayout
Reapplies the layout options to the current form.
Empty
relayoutPageArea
Replaces the layout of the pageArea object content with a new layout.
Empty
sheet
Determines the sheet number that contains the form object.
Integer
sheetCount
Determines the number of sheets in the current form.
Integer
sheetCountInBatch
Determines the sheet count of the current batch.
Integer
sheetInBatch
Determines which sheet within the batch contains the form object.
Integer
w
Determines the width of a given form design object.
Double
x
Determines the x coordinate of a given form design object.
Double
y
Determines the y coordinate of a given form design object.
Double


line

Scripting > Scripting Reference > Scripting Objects > line
line
The line object describes a single rendered line on a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
value
line
edge
Parent class
node class
Properties
Name
Description
Type
Access
hand
Describes the justification of a line or edge.
String
Read /Write
slope
Specifies the orientation of the line.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


linear

Scripting > Scripting Reference > Scripting Objects > linear
linear
The linear object describes a linear gradient fill on a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
fill
proto
linear
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


manifest

Scripting > Scripting Reference > Scripting Objects > manifest
manifest
The manifest object contains a list of references to all the nodes that are included in a document signature.
When the manifest objects is a child of the signature object, the document signature can protect a collection of nodes instead of the entire form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
signature
signData
manifest
extras
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
Boolean
Read /Write
action
Identifies the form nodes that are protected by a document signature.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
Name
Description
Returns
evaluate
Gets the list of objects referred to in the manifest.
Object
execCalculate
Executes the calculate script of the field.
Empty
execInitialize
Executes the initialize script of the field.
Empty
execValidate
Executes the validate script of the field.
Empty


map

Scripting > Scripting Reference > Scripting Objects > map
map
The map object specifies data mappings from the column names of a data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
query
map
None
Parent class
node class
Properties
Name
Description
Type
Access
bind
Specifies the name of a unique binding ID where columns from the data source specified by the from property are bound.
String
Read /Write
from
Specifies the original column name in the data source.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


margin

Scripting > Scripting Reference > Scripting Objects > margin
margin
The margin object specifies margin values for a form design object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
border
caption
checkButton
choiceList
dateTimeEdit
draw
exclGroup
field
imageEdit
numericEdit
passwordEdit
proto
signature
subform
textEdit
margin
extras
Parent class
node class
Properties
Name
Description
Type
Access
bottomInset
Specifies the size of the bottom inset.
String
Read /Write
leftInset
Specifies a the size of the left inset.
String
Read /Write
rightInset
Specifies the size of the right inset.
String
Read /Write
topInset
A measurement specifying the size of the top inset.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


mdp

Scripting > Scripting Reference > Scripting Objects > mdp
mdp
The mdp object provides support for Modify Detection Prevention Plus (MDP+) digital signatures. Acrobat 8.0 and later supports MDP+ digital signature for XFA-based forms.
In LiveCycle Designer ES, MDP+ signatures are implemented with a Signature Field. Signature fields enable you to specify a collection of form objects that are protected by the document signature. Using document signatures prevents the form or a portion of the form from being modified.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
mpd
None
Parent class
node class
Properties
Name
Description
Type
Access
permissions
Specifies the access permissions granted for a form that includes an author signature.
String
Read /Write
signatureType
Specifies how a form with a document signature is saved as certified PDF document.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


medium

Scripting > Scripting Reference > Scripting Objects > medium
medium
The medium object describes a physical medium upon which to render.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
pageArea
medium
None
Parent class
node class
Properties
Name
Description
Type
Access
imagingBBox
Specifies a region within the medium that is available for rendering with four comma separated measurements representing the measurements for x, y, width, and height.
String
Read /Write
long
Specifies the length of the long edge of the medium. The length specified by the long property must be greater than the length specified by the short property.
String
Read /Write
orientation
Specifies the orientation of the medium.
String
Read /Write
short
Specifies the length of the short edge of the medium object.
String
Read /Write
stock
Specifies the name of a standard paper size.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


message

Scripting > Scripting Reference > Scripting Objects > message
message
The message object holds one or more sub-objects containing validation failure messages.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
calculate
proto
validate
message
text
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


numericEdit

Scripting > Scripting Reference > Scripting Objects > numericEdit
numericEdit
The numericEdit object describes a control intended to aid in the manipulation of numeric content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
numericEdit
border
comb
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
hScrollPolicy
Specifies whether a field can scroll horizontally.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


occur

Scripting > Scripting Reference > Scripting Objects > occur
occur
The occur object describes the constraints over the number of allowable instances for its enclosing container.
Modify the occur object on the template:ready event. However, the template:ready event is not accessible in the user interface. You cannot modify the occur object at the form:ready event, because this event occurs too late in the form processing.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
pageArea
pageSet
proto
subform
subformSet
occur
extras
script (occur.script is reserved for future use)
Parent class
node class
Properties
Name
Description
Type
Access
initial
Specifies the initial number of occurrences for the enclosing container.
String
Read
max
Specifies the maximum number of occurrences for the enclosing container, or -1 to set no upper boundary for occurrences.
String
Read /Write
min
Specifies the minimum number of occurrences for the enclosing container.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


oid

Scripting > Scripting Reference > Scripting Objects > oid
oid
The oid object describes an Object Identifier (OID) of the certificate policies that must be present in the signing certificate.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
oids
proto
oid
none
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


oids

Scripting > Scripting Reference > Scripting Objects > oids
oids
The oids object describes a collection of Object Identifiers (OIDs) that apply to signing data according to the W3C XML-Signature standards.
This object is only applicable if it has a sibling issuers object that is not empty.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
certificates
proto
oid s
none
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


operation

Scripting > Scripting Reference > Scripting Objects > operation
operation
The operation object represents a specific operation provided by a particular WSDL address. Each operation is a single data connection.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
wsdlConnection
operation
None
Parent class
textNode class
Properties
Name
Description
Type
Access
input
Specifies an input message associated with a particular WSDL connection operation.
String
Read /Write
output
Specifies the output message associated with a particular WSDL connection operation.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


overflow

Scripting > Scripting Reference > Scripting Objects > overflow
overflow
The overflow object stores properties that are used when a parent subform overflows the current contentArea.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
subformSet
overflow
none
Parent class
node class
Properties
Name
Description
Type
Access
leader
Specifies the subform or subformSet object to place at the top of a content or page area.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
trailer
Specifies the subform or subformSet object to place at the bottom of a content or page area.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


packet

Scripting > Scripting Reference > Scripting Objects > packet
packet
The packet object stores unrecognized objects; that is, those that do not conform to any of the other XML Form Object Models. This object provides a way to copy, move, or retrieve the information in these unrecognized objects.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
XFA Model
dataGroup
packet
None
Parent class
node class
Properties
Name
Description
Type
Access
content
Specifies the content of the object.
String
Read /Write
Methods
Name
Description
Returns
getAttribute
Gets a specified property value.
String
removeAttribute
Removes an XML attribute from a custom third-party XML packet that is added to the XML source of a form design.
Empty
setAttribute
Sets the value of a specified property.
Empty


pageArea

Scripting > Scripting Reference > Scripting Objects > pageArea
pageArea
The pageArea object describes a rendering surface.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
pageSet
proto
pageArea
area
contentArea
desc
draw
exclGroup
extras
field
medium
occur
subform
Parent class
container class
Properties
Name
Description
Type
Access
blankOrNotBlank
Specifies whether the page area is intended to be blank and therefore may result in special treatment by the output device.
String
Read /Write
initialNumber
Supplies the initial page number to the first page in a group of consecutive pages that use the same pageSet.
String
Read /Write
numbered
Specifies whether the page area is considered a numbered page area.
String
Read /Write
oddOrEven
Specifies whether a page is odd or even for pagination within a set of pages.
String
Read /Write
pagePosition
Specifies a page’s position within a set of pages.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


pageSet

Scripting > Scripting Reference > Scripting Objects > pageSet
pageSet
The pageSet object describes a set of related page area objects.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
pageSet
extras
occur
Parent class
container class
Properties
Name
Description
Type
Access
relation
Specifies the relationship among the members of the set.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


para

Scripting > Scripting Reference > Scripting Objects > para
para
The para object specifies the default paragraph and alignment properties to be applied to the content of an enclosing container.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
caption
draw
exclGroup
field
proto
subform
para
None
Parent class
node class
Properties
Name
Description
Type
Access
hAlign
Specifies the horizontal text alignment.
String
Read /Write
lineHeight
Specifies the line height to apply to the paragraph content.
String
Read /Write
marginLeft
Specifies the size of the left indentation of the paragraph.
String
Read /Write
marginRight
Specifies the size of the right indentation of the paragraph.
String
Read /Write
preserve
Specifies widow/orphan-style constraints on the overflow behavior of the content within the enclosing container.
String
Read /Write
radixOffset
Specifies an offset value for the anchor of the paragraph.
String
Read /Write
spaceAbove
Specifies the amount of vertical spacing and the maximum font leading for the first line of the paragraph.
String
Read /Write
spaceBelow
Specifies the amount of vertical spacing and the maximum font leading for the first line of the paragraph.
String
Read /Write
tabDefault
Specifies the distance between default tab stops.
String
Read /Write
tabStops
Specifies a space-separated list of tab stop locations and leader properties.
String
Read /Write
textIndent
Specifies the horizontal positioning of the first line relative to the remaining lines in a paragraph.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
vAlign
Specifies the vertical text alignment.
String
Read /Write
Methods
None


password

Scripting > Scripting Reference > Scripting Objects > password
password
The password object specifies the password for the data source (if required for connection).
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
connect
password
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


passwordEdit

Scripting > Scripting Reference > Scripting Objects > passwordEdit
passwordEdit
The passwordEdit object describes a control intended to aid in the manipulation of password content. Typically, the user interface will obscure any visual representation of the content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
passwordEdit
border
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
hScrollPolicy
Specifies whether a field can scroll horizontally.
String
Read /Write
passwordChar
Specifies the character the form displays for each password character a user enters.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


pattern

Scripting > Scripting Reference > Scripting Objects > pattern
pattern
The pattern object describes a fill pattern for a form design object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
fill
proto
pattern
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


picture

Scripting > Scripting Reference > Scripting Objects > picture
picture
The picture object describes input mask and output formatting information.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
bind
connect
format
proto
ui
validate
picture
None
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


proto

Scripting > Scripting Reference > Scripting Objects > proto
proto
The proto object describes a set of reusable object definitions.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
subform
proto
arc
area
assist
barcode
bind
bindItems
boolean
border
break (deprecated)
breakAfter
breakBefore
button
calculate
caption
checkButton
choiceList
color
connect
contentArea
corner
date
dateTime
dateTimeEdit
decimal
defaultUi
desc
draw
edge
event
exclGroup
exData
execute
exObject
extras
field
fill
float
font
format
image
imageEdit
integer
items
keep
line
linear
margin
medium
message
numericEdit
occur
pageArea
pageSet
para
passwordEdit
pattern
picture
radial
rectangle
script
setProperty
signature
solid
speak
stipple
subform
subformSet
submit
template
text
textEdit
time
toolTip
traversal
traverse
ui
validate
value
variables
Parent class
node class
Properties
None
Methods
None


query

Scripting > Scripting Reference > Scripting Objects > query
query
The query object represents a specific query of a particular data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
command
query
recordSet
select
Parent class
node class
Properties
Name
Description
Type
Access
commandType
Specifies the type of command used by a data query.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


radial

Scripting > Scripting Reference > Scripting Objects > radial
radial
The radial object describes a radial gradient fill.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
fill
proto
radial
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


reason

Scripting > Scripting Reference > Scripting Objects > reason
reason
The reason object contains an acceptable reason for signing data per the W3C XML-Signature standards.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
reasons
reason
none
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


reasons

Scripting > Scripting Reference > Scripting Objects > reasons
reasons
The reasons object contains acceptable reasons for signing data per the W3C XML-Signature standards.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
proto
reasons
none
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


recordSet

Scripting > Scripting Reference > Scripting Objects > recordSet
recordSet
The recordSet object contains a number of records based on a specific query of the data source. These records can be viewed, reorganized, added, and removed.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
query
recordSet
None
Parent class
node class
Properties
Name
Description
Type
Access
bofAction
Specifies the action to perform if the current record is the first record in the record set.
String
Read /Write
cursorLocation
Indicates the location of the cursor library to use with the record set.
String
Read /Write
cursorType
Specifies the type of cursor to use when opening the record set.
String
Read /Write
eofAction
Specifies the action to perform if the current record is the last record in the record set.
String
Read /Write
lockType
Specifies the type of locking functionality to use with the data source.
String
Read /Write
max
Specifies the maximum number of occurrences for the enclosing container, or -1 to set no upper boundary for occurrences.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


rectangle

Scripting > Scripting Reference > Scripting Objects > rectangle
rectangle
The rectangle object describes a single rendered rectangle.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
value
rectangle
corner
edge
fill
Parent class
node class
Properties
Name
Description
Type
Access
hand
Describes the justification of a line or edge.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


ref

Scripting > Scripting Reference > Scripting Objects > ref
ref
The ref object contains a reference syntax expression that identifies a node to be included in an XML digital signature.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
bindItems
manifest
proto
setProperty
ref
none
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


rootElement

Scripting > Scripting Reference > Scripting Objects > rootElement
rootElement
The rootElement object specifies the XML element within an XML Schema data connection to use as the root of any data file used within the form.
Hierarchy of objects
Model
Parent Objects
Current Object
Child Objects
connectionSet Model
xsdConnection
rootElement
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


script

Scripting > Scripting Reference > Scripting Objects > script
script
The script object contains a script written in FormCalc or JavaScript.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
breakAfter
breakBefore
calculate
event
occur (occur.script is reserved for future use)
proto
traverse
validate
variables
script
None
Parent class
node class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
binding
Identifies the type of application to which the script is directed.
String
Read /Write
contentType
Specifies the type of content in the referenced document, expressed as a MIME type.
String
Read /Write
runAt
Specifies what application can execute the script.
String
Read /Write
stateless
Determines whether a script’s variables persist from one invocation to the next.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


select

Scripting > Scripting Reference > Scripting Objects > select
select
The select object contains the select statement query information to use with the current data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
query
select
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


setProperty

Scripting > Scripting Reference > Scripting Objects > setProperty
setProperty
The setProperty object modifies a property of its parent object. A parent object can contain any number of setProperty objects.
The target property is a reference syntax expression that describes a single property of the parent object. This property identifies the node for which the value is to be set to the value identified by the ref object and connection property. For example, the target specified to set the toolTip for a field would be access.toolTip.
Within the parent container, there are no restrictions on which properties the setProperty object can target. However, the setProperty object cannot target the properties of nested containers.
The application of the setProperty object is a template operation. The reference is resolved and the data value is applied to the target property when generating the form as a result of a merge. There is no permanent link between the data node and the property. Subsequent changes to the data are not propagated to the target property unless another merge occurs.
Note:
Using the setProperty object to target bind related properties, such as the bind object or #name, is unlikely to be useful, because the setProperty application occurs after the merge process has occurred.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
draw
exclGroup
field
proto
subform
setProperty
ref
Parent class
node class
Properties
Name
Description
Type
Access
connection
Specifies the name of the associated connection control in the connection set.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
Methods
None


signature

Scripting > Scripting Reference > Scripting Objects > signature
signature
The signature object determines which other objects are signed by a signature.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
signature
border
extras
filter
manifest
margin
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


signatureProperties (deprecated)

Scripting > Scripting Reference > Scripting Objects > signatureProperties (deprecated)
signatureProperties (deprecated)
The signatureProperties object holds the properties of an XML-signature data signature. Objects inserted within this object are inserted into the XML-Signature as XMP data.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
signtureProperties
none
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


signaturePseudoModel

Scripting > Scripting Reference > Scripting Objects > signaturePseudoModel
signaturePseudoModel
The signaturePseudoModel object is the root object of the signature model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Signature Model
None
signaturePseudoModel
None
Parent class
object class
Methods
Name
Description
Returns
clear
Removes a given signature.
Boolean
enumerate
Enumerates all the XML signatures found in the document.
Object
sign
Signs a given node list and places the signature in the target location.
Boolean
verify
Checks the validity of a signature.
Integer


signData

Scripting > Scripting Reference > Scripting Objects > signData
signData
The signData object controls the creation of a data signature as specified by the W3C XML-Signature standard.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
event
proto
submit
signData
filter
manifest
ref
Parent class
node class
Properties
Name
Description
Type
Access
operation
Indicates the digital signature operation to perform when used in conjunction with the signData object, or the object to link to when used in conjunction with the traverse object.
String
Read /Write
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


signing

Scripting > Scripting Reference > Scripting Objects > signing
signing
The signing object describes a collection of signing certificates that are acceptable for data signing according to the W3C XML-Signature standards.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
certificates
proto
signing
none
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


soapAction

Scripting > Scripting Reference > Scripting Objects > soapAction
soapAction
The soapAction object contains a fully qualified SOAP action.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
wsdlConnection
soapAction
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


soapAddress

Scripting > Scripting Reference > Scripting Objects > soapAddress
soapAddress
The soapAddress object stores the fully qualified location of the SOAP end point. This location must be specified in RFC 2396 standard format.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
wsdlConnection
soapAddress
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


solid

Scripting > Scripting Reference > Scripting Objects > solid
solid
The solid object describes a solid fill style of a form design object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
fill
proto
solid
extras
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


source

Scripting > Scripting Reference > Scripting Objects > source
source
The source object represents an external data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
sourceSet
source
connect
Parent class
node class
Properties
Name
Description
Type
Access
db
Specifies the technology used to communicate with a database.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
Name
Description
Returns
addNew
Appends a new record to the record set.
Empty
cancel
Cancels any changes made to the current or new row of a record set object, or the field collection of a record object, prior to calling the update method.
Empty
cancelBatch
Cancels a pending batch update.
Empty
close
Closes a connection to a data source.
Empty
delete (FormCalc Only)
Deletes the current record from the record set.
Empty
first
Moves to the first record in the record set, and populates the data model with the record data.
Empty
hasDataChanged
Determines whether the current record data has changed.
Boolean
isBOF
Determines if the current location is at the beginning of the record set. The bofAction property must be set to stayBOF .
Boolean
isEOF
Determines if the current location is at the end of the record set. The eofAction property must be set to stayEOF .
Boolean
last
Moves to the last record in the record set, and populates the data model with the record data.
Empty
next
Moves to the next record in the record set, and populates the data model with the record data.
Empty
open
Connects to the data source and populates the data model with the results of the current record.
Empty
previous
Moves to the previous record in the record set, and populates the data model with the record data.
Empty
requery
Updates the current data binding by re-executing the query on which the object data is based. Calling this method is equivalent to calling the close and open methods in succession.
Empty
resync
Refreshes the current record set or data connection.
Empty
update
Updates the current record in the record set.
Empty
updateBatch
Writes all pending batch updates to the data source.
Empty


sourceSet

Scripting > Scripting Reference > Scripting Objects > sourceSet
sourceSet
The sourceSet object is the root object of the sourceSet model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
None
sourceSet
source
Parent class
model class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


speak

Scripting > Scripting Reference > Scripting Objects > speak
speak
The speak property plays an audible prompt describing the contents of a container object, such as a field or subform. This object is ignored by non-interactive form applications.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
assist
proto
speak
None
Parent class
textNode class
Properties
Name
Description
Type
Access
disable
Inhibits the audible prompt.
String
Read /Write
priority
Alters the search path for text to speak. Whichever object is named in this property moves to the front of the search path. The other objects retain their relative order.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


stipple

Scripting > Scripting Reference > Scripting Objects > stipple
stipple
The stipple object describes a stippling effect for a form object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
fill
proto
stipple
color
extras
Parent class
node class
Properties
Name
Description
Type
Access
rate
Specifies the percentage of stipple color that is stippled over a solid background color.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


subform

Scripting > Scripting Reference > Scripting Objects > subform
subform
The subform object describes a single subform capable of enclosing other containers.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
subform
assist
bind
bookend
border
break (deprecated)
breakAfter
breakBefore
calculate
desc
extras
instanceManager
keep
margin
occur
overflow
para
setProperty
traversal
validate
variables
Parent class
container class
Properties
Name
Description
Type
Access
allowMacro
Specifies whether to permit the processing application to optimize output by generating a printer macro for all of the subform’s draw content.
String
Read /Write
anchorType
Specifies the location of the container’s anchor point when it is placed by using a positioned layout strategy.
String
Read /Write
borderColor
Specifies the border color value for this field.
String
Read /Write
borderWidth
Specifies the border width for this field.
String
Read /Write
colSpan
Specifies the number of columns spanned by this object when used inside a subform with a layout type of row.
String
Read /Write
columnWidths
Specifies the widths for columns of a table.
String
Read /Write
fillColor
The background color value for this field.
String
Read /Write
h
A measurement of the height for the layout.
String
Read /Write
hAlign
Specifies the horizontal text alignment.
String
Read /Write
instanceIndex
Calculates the index of a subform or subform set based on where it is located relative to other instances of the same form object.
Integer
Read /Write
layout
Specifies the layout strategy to be used by this object.
String
Read /Write
locale
Specifies the language, currency, and time/date formatting to use for the content of the object.
String
Read /Write
presence
Specifies an object’s visibility.
String
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
restoreState
Restores the form nodes of a form to their original state, including resetting the visual properties of fields such as changes to border colors.
String
Read /Write
scope
Controls participation of the subform in data binding and reference syntax expressions. It is valid only on the root subform.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
validationMessage
Specifies the validate message string for this field.
String
Read /Write
vAlign
Specifies the vertical text alignment.
String
Read /Write
w
A measurement specifying the width for the layout.
String
Read /Write
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
String
Read /Write
Methods
Name
Description
Returns
execCalculate
Executes the calculate script of the field.
Empty
execEvent
Executes the event script of the object.
Empty
execInitialize
Executes the initialize script of the field.
Empty
execValidate
Executes the validate script of the field.
Empty


subformSet

Scripting > Scripting Reference > Scripting Objects > subformSet
subformSet
The subformSet object describes a set of related subform objects.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
area
subform
subformSet
bookend
break (deprecated)
breakAfter
breakBefore
desc
extras
instanceManager
occur
overflow
subform
Parent class
container class
Properties
Name
Description
Type
Access
instanceIndex
Calculates the index of a subform or subform set based on where it is located relative to other instances of the same form object.
Integer
Read /Write
relation
Specifies the relationship among the members of the set.
String
Read
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


subjectDN

Scripting > Scripting Reference > Scripting Objects > subjectDN
subjectDN
The subnectDN object describes the attributes for a subject Distinguished Name (DN) that must be present within the signing certificate for it to be acceptable for signing. It is an array of dictionaries, where each dictionary contains key value pairs that specify the subject DN. The certificate must contain all the attributes specified in the dictionary, but it can contain additional attributes. The key can be any legal attribute identifier.
For more information about the various Subject Distinguished attributes and their types, refer to RFC 3280.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
subjectDNs
subjectDN
None
Parent class
node class
Properties
Name
Description
Type
Access
delimiter
Separates the attributes in the Subject DN string.
String
Read /Write
Methods
None


subjectDNs

Scripting > Scripting Reference > Scripting Objects > subjectDNs
subjectDNs
The subjectDNs object describes the collection of key value pairs that is used to specify the subject DN.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
certificates
subjectDNs
subjectDN
Parent class
node class
Properties
Name
Description
Type
Access
type
Specifies the pattern used by an object.
String
Read/ Write
Methods
None


submit

Scripting > Scripting Reference > Scripting Objects > submit
submit
The submit object describes how to submit data to a host.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
event
proto
submit
encrypt
signData
Parent class
node class
Properties
Name
Description
Type
Access
embedPDF
Determines whether PDF file will be included as part of the data.
String
Read /Write
format
Determines the format in which to submit the data.
String
Read /Write
target
Specifies the object upon which the action will occur.
String
Read /Write
textEncoding
Specifies the encoding of text content in the document.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
xdpContent
Controls what subset of the data is submitted. This property is used only when the format property is xdp .
String
Read /Write
Methods
None


template

Scripting > Scripting Reference > Scripting Objects > template
template
The template object describes a template. One such object exists for each template and all other objects that are descendants of the template object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
template
extras
Parent class
model class
Properties
None.
Methods
Name
Description
Returns
createNode
Creates a new node based on a valid class name.
Object
execCalculate
Executes the calculate script of the field.
Empty
execInitialize
Executes the initialize script of the field.
Empty
execValidate
Executes the validate script of the field.
Empty
formNodes
Returns a list of all form model objects that are bound to a specified data object.
Object
recalculate
Forces a specific set of scripts located on calculate events to execute. The specific events can be either pending calculate events or all calculate events.
Empty
remerge
Forces the remerging of the data model and template model to re-create the form model. After the remerge is complete, any layout model processing must be redone if necessary for the completed form.
Empty


text

Scripting > Scripting Reference > Scripting Objects > text
text
The text object describes a single unit of data content representing a plain text value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
sourceSet Model
desc
exObject
extras
items
message
proto
value
variables
text
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
maxChars
Specifies the maximum number of characters that this text value can enclose.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


textEdit

Scripting > Scripting Reference > Scripting Objects > textEdit
textEdit
The textEdit object encloses controls intended to aid in the manipulation of text content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
ui
textEdit
border
comb (textEdit.comb is reserved for future use)
extras
margin
Parent class
node class
Properties
Name
Description
Type
Access
allowRichText
Specifies whether the text can include styling (also known as rich text).
String
Read /Write
hScrollPolicy
Specifies whether a field can scroll horizontally.
String
Read /Write
multiLine
Specifies whether the text may span multiple lines.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
vScrollPolicy
Specifies whether a field can scroll vertically.
String
Read /Write
Methods
None


time

Scripting > Scripting Reference > Scripting Objects > time
time
The time object describes a single unit of data representing a time value.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
desc
exObject
extras
items
proto
value
variables
time
None
Parent class
content class
Properties
Name
Description
Type
Access
{default}
Represents the actual value stored by an object.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
value
Specifies the value of the current object.
String
Read /Write
Methods
None


timeStamp

Scripting > Scripting Reference > Scripting Objects > timeStamp
timeStamp
The timeStamp object appends a time stamp to a document signature. A time stamp specifies the date and time when a document was signed and removes any doubt about when the document was signed.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
filter
timestamp
None
Parent class
node class
Properties
Name
Description
Type
Access
server
Specifies the URL for a time stamp server.
String
Read /Write
type
Specifies the pattern used by an object.
String
Read/ Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


toolTip

Scripting > Scripting Reference > Scripting Objects > toolTip
toolTip
The toolTip object supplies text for a tool tip on a form. This object is ignored by non-interactive form applications.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
assist
proto
tooltip
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


traversal

Scripting > Scripting Reference > Scripting Objects > traversal
traversal
The traversal object links its container to other objects in sequence.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
draw
exclGroup
field
proto
subform
traversal
extras
traverse
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


traverse

Scripting > Scripting Reference > Scripting Objects > traverse
traverse
The traverse object declares a single link from its container to another object in a unidirectional chain of links.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
traversal
traverse
extras
script
Parent class
node class
Properties
Name
Description
Type
Access
operation
Indicates the digital signature operation to perform when used in conjunction with the signData object, or the object to link to when used in conjunction with the traverse object.
String
Read /Write
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


ui

Scripting > Scripting Reference > Scripting Objects > ui
ui
The ui object encloses the user interface description of a form object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
choiceList
draw
field
numericEdit
proto
textEdit
ui
barcode
button
checkButton
choiceList
dateTimeEdit
defaultUi
extras
imageEdit
numericEdit
passwordEdit
signature
textEdit
picture
Parent class
node class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


update

Scripting > Scripting Reference > Scripting Objects > update
update
The update object specifies the update current record operation from the data source.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
command
source
update
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


uri

Scripting > Scripting Reference > Scripting Objects > uri
uri
The uri object stores a fully qualified URI for a specific xmlConnection or xsdConnection object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
xmlConnection
xsdConnection
uri
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


user

Scripting > Scripting Reference > Scripting Objects > user
user
The user object specifies the user id for the data source (if required for connection).
Hierarchy of objects
Model
Parent objects
Current object
Child objects
sourceSet Model
connect
user
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


validate

Scripting > Scripting Reference > Scripting Objects > validate
validate
The validate object controls validation of user-supplied data on a form.
The validate object can be activated multiple times during the life of a form.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
exclGroup
field
proto
subform
validate
extras
message
picture
script
Parent class
node class
Properties
Name
Description
Type
Access
disableAll
Enables or disables validation warnings.
String
Read /Write
formatTest
Controls validation against the display picture clause.
String
Read /Write
nullTest
Controls whether a field is mandatory on a form or if it can be left empty.
String
Read /Write
scriptTest
Controls validation by the enclosed script.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


value

Scripting > Scripting Reference > Scripting Objects > value
value
The value object encloses a single unit of data content.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
caption
draw
field
proto
value
date
dateTime
decimal
exData
float
integer
text
Parent class
node class
Properties
Name
Description
Type
Access
override
When used with the calculate object, the override property indicates whether the field allows overrides to occur and disables or enables calculations. When used with the value object, the override property indicates whether a calculation override has occurred.
Boolean
Read /Write
relevant
Controls whether a form object is included when the form is printed.
String
Read /Write
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


variables

Scripting > Scripting Reference > Scripting Objects > variables
variables
The variables object is used to hold document variables.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
Form Model
proto
subform
variables
script
Parent class
container class
Properties
(
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


wsdlAddress

Scripting > Scripting Reference > Scripting Objects > wsdlAddress
wsdlAddress
The wsdlAddress object contains the original URL of the WSDL referenced in the wsdlConnection object.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
wsdlConnection
wsdlAddress
None
Parent class
textNode class
Properties
Name
Description
Type
Access
use
Invokes a prototype.
String
Read /Write
usehref
Invokes an external prototype.
String
Read /Write
Methods
None


wsdlConnection

Scripting > Scripting Reference > Scripting Objects > wsdlConnection
wsdlConnection
The wsdlConnection object identifies a unique WSDL web services connection.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
connectionSet
wsdlConnection
operation
soapAction
soapAddress
wsdlAddress
Parent class
node class
Properties
Name
Description
Type
Access
dataDescription
Specifies the name of a data connection description to use with a particular type of web services connection.
String
Read /Write
Methods
Name
Description
Returns
execute
Executes a connection.
Boolean


xfa

Scripting > Scripting Reference > Scripting Objects > xfa
xfa
The xfa object is the root node for the xfa model.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
XFA Model
None
xfa
packet
Parent class
model class
Properties
Name
Description
Type
Access
this
Retrieves the current node, which is the starting node when using the resolveNode and resolveNodes methods.
Object
Read
timeStamp
Specifies the date/time stamp for this node.
String
Read /Write
uuid
Specifies the Universally Unique Identifier (UUID) for this object.
String
Read /Write
None
Methods
None


xmlConnection

Scripting > Scripting Reference > Scripting Objects > xmlConnection
xmlConnection
The xmlConnection object is used to store a sample XML data connection.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
connectionSet
xmlConnection
uri
Parent class
node class
Properties
Name
Description
Type
Access
dataDescription
Specifies the name of a data connection description to use with a particular type of web services connection.
String
Read /Write
Methods
None


xsdConnection

Scripting > Scripting Reference > Scripting Objects > xsdConnection
xsdConnection
The xsdConnection object stores an XML Schema data connection entry.
Hierarchy of objects
Model
Parent objects
Current object
Child objects
connectionSet Model
connectionSet
xsdConnection
rootElement
uri
Parent class
node class
Properties
Name
Description
Type
Access
dataDescription
Specifies the name of a data connection description to use with a particular type of web services connection.
String
Read /Write
Methods
None


Scripting Properties

Scripting > Scripting Reference > Scripting Properties
Scripting Properties
#text
{default}
access
accessKey
action
activity
addRevocationInfo
after (deprecated)
afterTarget (deprecated)
aliasNode
all
allowMacro
allowNeutral
allowRichText
anchorType
appType
archive
aspect
baselineShift
before (deprecated)
beforeTarget (deprecated)
bind
binding
blank (deprecated)
blankOrNotBlank
bofAction
bookendLeader (deprecated)
bookendTrailer (deprecated)
borderColor
borderWidth
bottomInset
break
calculationsEnabled
cancelAction
cap
change
charEncoding
checksum
circular
classAll
classId
classIndex
className
codeBase
codeType
colSpan
columnWidths
commandType
commitKey
commitOn
connection
contains
content
contentType
context (deprecated)
count
credentialServerPolicy
crlSign
cSpace
currentPage
currentRecordNumber
currentValue
cursorLocation
cursorType
data
dataColumnCount
dataDescription
dataEncipherment
dataLength
dataPrep
dataRowCount
db
decipherOnly
delayedOpen
delimiter
digitalSignature
disable
disableAll
editValue
embedPDF
encipherOnly
endChar
eofAction
errorCorrectionLevel
excludeAllCaps
excludeInitialCap
executeType
fillColor
fontColor
fontHorizontalScale
fontVerticalScale
format
formatMessage
formattedValue
formatTest
fracDigits
from
fullText
h
hAlign
hand
highlight
href
hScrollPolicy
hyphenate
id
imagingBBox
index
initial
initialNumber
input
instanceIndex
intact
inverted
isContainer
isDefined
isNull
join
kerningMode
keyAgreement
keyCertSign
keyDown
keyEncipherment
labelRef
ladderCount
language
layout
leadDigits
leader
leftInset
length
letterSpacing
lineHeight
lineThrough
lineThroughPeriod
locale
lockType
long
mandatory
mandatoryMessage
marginLeft
marginRight
mark
match
max
maxChars
maxH
maxLength
maxW
min
minH
minW
model
modifier
moduleHeight
moduleWidth
multiLine
name
newContentType
newText
next
nodes
nonRepudiation
ns
nullTest
numbered
numberOfCells
numPages
oddOrEven
oneOfChild
open
operation
orientation
output
overflowLeader (deprecated)
overflowTarget (deprecated)
overflowTrailer (deprecated)
override
pagePosition
parent
parentSubform
passwordChar
permissions
placement
platform
posture
presence
preserve
prevContentType
previous
prevText
printCheckDigit
priority
pushCharacterCount
radius
radixOffset
rate
rawValue
ready
recordsAfter
recordsBefore
reenter
ref
relation
relevant
remainCharacterCount
reserve
restoreState
rightInset
role
rotate
rowColumnRatio
runAt
save
savedValue
scope
scriptTest
selectedIndex
selEnd
selStart
server
shape
shift
short
signatureType
size
slope
soapFaultCode
soapFaultString
somExpression
spaceAbove
spaceBelow
startAngle
startChar
startNew
stateless
stock
stroke
sweepAngle
tabDefault
tabStops
target
targetType
textEncoding
textEntry
textIndent
textLocation
thickness
this
timeout
timeStamp
title
topInset
trailer
transferEncoding
transient
truncate
type
typeface
underline
underlinePeriod
upsMode
url
urlPolicy
usage
use
usehref
uuid
validationMessage
validationsEnabled
vAlign
value
valueRef
variation
version
vScrollPolicy
w
weight
wideNarrowRatio
wordCharacterCount
wordSpacingMaximum
wordSpacingMinimum
wordSpacingOptimum
x
xdpContent
y
This section provides an alphabetical list of all properties supported in this scripting environment.
Note:
All properties have read/write access unless otherwise specified.


#text

Scripting > Scripting Reference > Scripting Properties > #text
#text
A string of text.
Syntax
Reference_Syntax.#text.value = "text"
Values
Type
Values
String
•
Any valid string.
Version
XFA 2.1
Examples
JavaScript
TextField1.caption.value.resolveNode("#text").value = "This is a caption.";
FormCalc
TextField1.caption.value.#text.value = "This is a caption."


{default}

Scripting > Scripting Reference > Scripting Properties > {default}
{default}
Represents the actual value stored by an object.
The type and possible values differ depending on the object.
Syntax
Reference_Syntax = "value"
Values
Type
Values
Varies
Values differ from object to object.
Applies to
Model
Object
Data Model
dataValue
Form Model
boolean
date
dateTime
decimal
draw
exclGroup
exDatafield
float
image
integer
picture
text
time
sourceSet Model
boolean
integer
text
Also applies to objects derived from the textNode class.
Version
XFA 2.1


access

Scripting > Scripting Reference > Scripting Properties > access
access
Controls user access to the contents of a container object, such as a subform.
Syntax
Reference_Syntax.access = "open | protected | readOnly | nonInteractive"
Values
Type
Values
String
•
open (default)
Allows updating of a container’s contents and navigation into and out of the container without restriction. In interactive forms, you can modify the container’s content and tab or otherwise navigate into it. The container produces events.
•
protected
The processing application prevents the user from making any direct changes to the container’s content. Indirect changes such as calculations can occur. The container does not participate in the tabbing sequence, though an application may allow the selection of text for clipboard copying. Protected containers do not generate any events.
•
readOnly
The application does not allow a user to make direct changes to the container's content, but indirect changes such as calculations can occur. The container participates in the tabbing sequence and allows users to view the content. The user can select the container's content for clipboard copying. The container generates a subset of events (those not associated with the user making direct changes to the content).
•
nonInteractive
The application allows the container’s contents to be loaded from the document, but not updated interactively. Calculations are performed at load time but the container’s contents are not subsequently recalculated. The container’s contents cannot be modified by scripts or web service invocations.
Applies to
Model
Object
Form Model
exclGroup
field
Version
XFA 2.1
Examples
JavaScript
TextField1.access = "readOnly";
FormCalc
TextField1.access = "readOnly"


accessKey

Scripting > Scripting Reference > Scripting Properties > accessKey
accessKey
Specifies an accelerator key that is used by an interactive application to move the input focus to a particular field element.
Syntax
Reference_Syntax.accessKey = "character"
Values
Type
Values
String
The value of this attribute is a single character. When the user synchronously presses the platform-specific modifier key and the single character, the form’s focus shifts to this field. On Windows systems, the modifier key is the ALT key and on Mac OS systems, it is the OPTION key.
For example, if the form author sets the accessKey of a field to f and a Windows user presses Alt+f, the focus shifts to that field.
When designing forms that include accelerator keys, form designers should instruct the users about the availability of the accelerator keys.
Applies to
Model
Object
Form Model
exclGroup
field
Version
XFA 2.2
Examples
JavaScript
TextField1.accessKey = "f";
FormCalc
TextField1.accessKey = "f"


action

Scripting > Scripting Reference > Scripting Properties > action
action
Identifies the form nodes that are protected by a document signature.
Syntax
Reference_Syntax.action = "include | exclude | all"
Values
Type
Values
String
•
include (default)
The document signature protects all the fillable form nodes in the specified collection. This option requires at least one valid ref child object whose text value is a reference syntax expression identifying the nodes that are protected by the document signature.
•
exclude
The document signature protects all the fillable form nodes that are not in the specified collection. This option requires at least one valid ref child object whose text value is a reference syntax expression identifying the nodes that are protected by the document signature.
•
all
The document signature protects all the fillable form nodes.
Applies to
Model
Object
Form Model
manifest
Version
XFA 2.4


activity

Scripting > Scripting Reference > Scripting Properties > activity
activity
Specifies the name of the event.
The accompanying ref property must specify an object that can generate the named event.
Syntax
Reference_Syntax.activity = "change | click | docClose | docReady | enter | exit | full | initialize | mouseDown | mouseEnter | mouseExit | mouseUp | postExecute | postPrint | postSave | preExecute | prePrint | preSave | preSubmit | ready"
Values
Type
Value
String
•
change
Occurs when the user changes the field value. Examples of when this occurs are:
•
With each key-stroke
•
When text is pasted
•
When a new choice is selected
•
When a check button is clicked
•
click (default)
Occurs when the user clicks in the field. Most systems define click as pressing and releasing the mouse button while not moving the pointer beyond a very small threshold.
•
docClose
Executes at the very end of processing a form, if, and only if, all form validations complete with no errors. This event comes too late to modify a saved document. The purpose is to provide the ability to generate an exit status or completion message.
•
docReady
Executes prior to the rendering of the document, but after data binding of the data takes place.
•
enter
For a field, occurs when the field gains keyboard focus. For a subform or exclusion group, occurs when some field within the subform or exclusion group gains keyboard focus, that is, keyboard focus moves from outside the object to inside it.
•
enter
For a field, occurs when the field gains keyboard focus. For a subform or exclusion group, occurs when some field within the subform or exclusion group gains keyboard focus, that is, keyboard focus moves from outside the object to inside it.
•
exit
For a field, occurs when the field loses keyboard focus. For a subform or exclusion group, occurs when all fields within the subform or exclusion group lose keyboard focus, that is, focus moves from inside the object to outside it.
•
full
Initiates when the form filler attempts to enter more than the maximum allowed amount of content into a field.
•
initialize
Executes after data binding is complete. A separate event is generated for each instance of the subform in the form model.
•
mouseDown
Occurs when the user presses the mouse button in the field, but before the button is released.
•
mouseEnter
Occurs when the user drags the pointer over the field without necessarily pressing the button.
•
mouseExit
Occurs when the user drags the pointer out of the field without necessarily pressing the button.
•
mouseUp
Occurs when the user releases the mouse button in the field.
•
postExecute
Occurs when data is sent to a web service via WSDL, just after the reply to the request has been received and the received data is marshalled in a connectionData object underneath $datasets. A script triggered by this event has the chance to examine and process the received data. After execution of this event, the received data is deleted.
•
postPrint
Occurs just after the rendered form has been sent to the printer, spooler, or output destination.
•
postSave
Occurs just after the form has been written out in PDF or XDP format. Does not occur when the data model or some other subset of the form is exported to XDP.
•
preExecute
Occurs when a request is sent to a web service via WSDL. A script triggered by this event has the chance to examine and alter the data before the request is sent. If the script is marked to be run only at the server, the data is sent to the server with an indication that it should run the associated script before performing the rest of the processing.
•
preSave
Occurs just before the form data is written out in PDF or XDP format. Does not occur when the data model or some other subset of the form is exported to XDP. XSLT postprocessing, if enabled, occurs after this event.
•
preSubmit
Occurs when data is submitted to the host via the HTTP protocol. A script triggered by this event can examine and alter the data before it is submitted. If the script is marked to run at the server, the data is sent to the server, with an indication that it should run the associated script before performing the rest of the processing.
•
ready
Occurs when the model has finished loading.
Applies to
Model
Object
Form Model
event
Version
XFA 2.1
Examples
JavaScript
TextField1.event.activity = "mouseEnter";
FormCalc
TextField1.event.activity = "mouseEnter"


addRevocationInfo

Scripting > Scripting Reference > Scripting Properties > addRevocationInfo
addRevocationInfo
Specifies whether the certificate status is checked when a digital signature is signed. The certificate status can be checked against a certificate revocation list (CRL) or an Online Certificate Status Protocol (OCSP) response.
The signing party must have access to the Internet to retrieve the CRL or OCSP response from the appropriate server.
The addRevocationInfo property does not have a default value so that Acrobat can override it if the value is not specified.
Syntax
Reference_Syntax.addRevocationInfo = "required | optional | none"
Values
Type
Values
String
•
Required
Checking the certificate status is required.
•
Optional
Checking the certificate status is optional.
•
None
A CRL or OCSP response is not included in the digital signature.
Applies to
Model
Object
Form Model
filter
Version
XFA 2.5


after (deprecated)

Scripting > Scripting Reference > Scripting Properties > after (deprecated)
after (deprecated)
Specifies the constraints on moving to a new page or content area after rendering the subform.
As of XFA version 2.8, this property is now deprecated. See breakAfter.
Syntax
Reference_Syntax.after = "auto | contentArea | pageArea | pageEven | pageFront | pageOdd"
Values
Type
Values
String
The behaviors described below can be further refined by optionally specifying a destination page or content area via the afterTarget (deprecated) property.
•
auto (default)
The determination of a transition to a new page or content area will be delegated to the processing application. No transition to a new page or content area will be forced.
•
contentArea
Rendering will transition to the next available content area.
•
pageArea
Rendering will transition to a new page.
•
pageBack
When duplexing, rendering will transition to the next available back surface, potentially causing an intervening page surface to be printed. If duplexing is not in effect, rendering will transition to a new page.
•
pageEven
Rendering will transition to the next available even-numbered page, potentially causing intervening numbered or unnumbered pages to be printed. This behavior does not require duplexing.
•
pageFront
When duplexing, rendering will transition to the next available front surface, potentially causing an intervening page surface to be printed. If duplexing is not in effect, rendering will transition to a new page.
•
pageOdd
Rendering will transition to the next available odd numbered page, potentially causing intervening numbered or unnumbered pages to be printed. This behavior does not require duplexing.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.after = "pageOdd";
FormCalc
Subform1.break.after = "pageOdd"


afterTarget (deprecated)

Scripting > Scripting Reference > Scripting Properties > afterTarget (deprecated)
afterTarget (deprecated)
Specifies the explicit destination page or content area for the after (deprecated) property.
As of XFA version 2.8, this property is now deprecated. See breakAfter.target.
Syntax
Reference_Syntax.afterTarget = "auto | contentArea | pageArea | pageEven | pageFront | pageOdd"
Values
Type
Values
String
The value of this property is expected to be compatible with the value of the after (deprecated) property. For instance, it would be considered an error for the after (deprecated) property to reference a page area and the afterTarget property to reference a content area, or vice versa.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.afterTarget = "pageEven";
FormCalc
Subform1.break.afterTarget = "pageEven"


aliasNode

Scripting > Scripting Reference > Scripting Properties > aliasNode
aliasNode
Specifies the object that is represented by the alias for this model.
Syntax
Reference_Syntax.aliasNode = "object"
Values
Type
Values
Object
The object within the model referenced by the reference syntax for that model. In the case of the form model, the alias node would be the form object.
For more information about reference syntax expressions, see “About referencing objects in calculations and scripts”.
Applies to
model class
Version
XFA 2.1
Examples
JavaScript
xfa.aliasNode = "form";
FormCalc
xfa.aliasNode = "form"


all

Scripting > Scripting Reference > Scripting Properties > all
all
Returns a collection of like-named, in-scope nodes.
If the node has no name, a like-class named collection is returned.
Syntax
Reference_Syntax.all = "object(s)"
Values
Type
Values
Object
An object or a collection of objects.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
Subform1.all;
FormCalc
Subform1.all


allowMacro

Scripting > Scripting Reference > Scripting Properties > allowMacro
allowMacro
Specifies whether to permit the processing application to optimize output by generating a printer macro for all of the subform’s draw content.
Syntax
Reference_Syntax.allowMacro = "1 | 0"
Values
Type
Values
String
•
1 (default)
The processing application is permitted to utilize a printer macro for this subform.
•
0
The processing application cannot utilize a printer macro for this subform.
Applies to
Model
Object
Form Model
subform
Version
XFA 2.1
Examples
JavaScript
Subform1.allowMacro = "0";
FormCalc
Subform1.allowMacro = "0"


allowNeutral

Scripting > Scripting Reference > Scripting Properties > allowNeutral
allowNeutral
Specifies whether the check box or radio button can support an additional third state that represents a neutral value.
Syntax
Reference_Syntax.allowNeutral = "0 | 1"
Values
Type
Values
String
•
0 (default)
The check box or radio button supports two states representing true or false.
•
1
The check box or radio button supports three states. These are true, false, or neutral.
Applies to
Model
Object
Form Model
checkButton
Version
XFA 2.1
Examples
JavaScript
CheckBox1.resolveNode("ui.#checkButton").allowNeutral = "1";
FormCalc
CheckBox1.ui.#checkButton.allowNeutral = "1"


allowRichText

Scripting > Scripting Reference > Scripting Properties > allowRichText
allowRichText
Specifies whether the text can include styling (also known as rich text).
Note:
The allowRichText property only relays styling information to the application interface. The setting of this property in no way restricts a user from inputting plain text markup that includes styling information. For example, regardless of the setting of this property, a user could type:
<b>hello</b>
Syntax
Reference_Syntax.allowRichText = "0 | 1"
Values
Type
Values
String
•
0 (default)
Text styling is invalid. This is the default when the textEdit object does not contain an exData object.
•
1
Text styling is valid. This is the default when the textEdit object does contain an exData object.
Applies to
Version
XFA 2.1
Model
Object
Form Model
textEdit
Examples
JavaScript
TextField1.resolveNode("ui.#textEdit").allowRichText = "1";
FormCalc
TextField1.ui.#textEdit.allowRichText = "1"


anchorType

Scripting > Scripting Reference > Scripting Properties > anchorType
anchorType
Specifies the location of the container’s anchor point when it is placed by using a positioned layout strategy.
Syntax
Reference_Syntax.anchorType = "topLeft | topCenter | topRight | middleLeft | middleCenter | middleRight | bottomLeft | bottomCenter | bottomRight"
Values
Type
Values
String
•
topLeft (default)
Top left corner of the container.
•
topCenter
Center of the top edge of the container.
•
topRight
Top right corner of the container.
•
middleLeft
Middle of the left edge of the container.
•
middleCenter
Middle of the container.
•
middleRight
Middle of the right edge of the container.
•
bottomLeft
Bottom left corner of the container.
•
bottomCenter
Center of the bottom edge of the container.
•
bottomRight
Bottom right corner of the container.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.anchorType = "bottomRight";
FormCalc
TextField1.anchorType = "bottomRight"


appType

Scripting > Scripting Reference > Scripting Properties > appType
appType
Specifies the name of the client application in which a form currently exists.
The appType property calls the viewerType property from the Acrobat JavaScript object model and returns the corresponding value for the client application in which the form exists. For example, in the context of a PDF form viewed in Adobe Reader, this property returns Reader.
For more information on the viewerType property, and the values it returns, see the JavaScript for Acrobat API Reference at http://www.adobe.com/go/learn_lc_AcrobatDeveloper.
Syntax
Reference_Syntax.appType
Values
Type
Values
String
A valid string representing the name of the current hosting client application.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.appType;
FormCalc
xfa.host.appType


archive

Scripting > Scripting Reference > Scripting Properties > archive
archive
Specifies the URI location of an archive file that may contain program code related to the exObject object.
Syntax
Reference_Syntax.archive = "URI"
Values
Type
Values
String
A fully qualified URI value.
Applies to
Model
Object
Form Model
exObject
Version
XFA 2.1


aspect

Scripting > Scripting Reference > Scripting Properties > aspect
aspect
Specifies how the image is to map to the nominal content region of the image’s container.
Syntax
Reference_Syntax.aspect = "fit | none | actual | width | height"
Values
Type
Values
String
•
fit (default)
The application scales the image proportionally to the maximum size of the container’s content region.
•
none
The application scales the image to the size of entire container’s content region. This may result in different scale values being applied to the image's X and Y coordinates.
•
actual
The image is rendered using the dimensions stored in the image content. The extent of the container’s region does not affect the sizing of the image.
•
width
The application scales the image proportionally to the width of the container’s content region. The image might be taller or shorter than the content region.
•
height
The application scales the image proportionally to the height of the container’s content region. The image might be wider or narrower than the content region.
Applies to
Model
Object
Form Model
image
Version
XFA 2.1
Examples
JavaScript
ImageField1.resolveNode("value.#image").aspect = "actual";
FormCalc
ImageField1.value.#image.aspect = "actual"


baselineShift

Scripting > Scripting Reference > Scripting Properties > baselineShift
baselineShift
Specifies a positive measurement that shifts a font up from the baseline or a negative measurement that shifts a font down from the baseline.
Syntax
Reference_Syntax.baselineShift = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.baselineShift = "-5pt";
FormCalc
TextField1.font.baselineShift = "-5pt"


before (deprecated)

Scripting > Scripting Reference > Scripting Properties > before (deprecated)
before (deprecated)
Specifies the constraints on moving to a new page or content area before rendering the subform.
As of XFA version 2.8, this property is now deprecated. See breakBefore.
Syntax
Reference_Syntax.before = "auto | contentArea | pageArea | pageBack | pageEven | pageFront | pageOdd"
Values
Type
Values
String
The behaviors described below can be further refined by optionally specifying a destination page or content area using the beforeTarget (deprecated) property. The startNew property also modifies some of these behaviors:
•
auto (default)
The determination of a transition to a new page or content area is delegated to the processing application. No transition to a new page or content area is forced.
•
contentArea
Rendering transitions to the next available content area. See also the startNew property.
•
pageArea
Rendering transitions to a new page. See also the startNew property.
•
pageBack
When duplexing, rendering transitions to the next available back surface, potentially causing an intervening page surface to print. If duplexing is not in effect, rendering transitions to a new page. Note that pageBack, unlike pageEven, is not affected by page numbering.
•
pageEven
Rendering transitions to the next available even numbered page, potentially causing intervening numbered or unnumbered pages to print. This behavior does not require duplexing.
•
pageFront
When duplexing, rendering transitions to the next available front surface, potentially causing an intervening page surface to be printed. If duplexing is not in effect, rendering will transition to a new page. Note that pageFront, unlike pageOdd, is not affected by page numbering.
•
pageOdd
Rendering transitions to the next available odd numbered page, potentially causing intervening numbered or unnumbered pages to print. This behavior does not require duplexing.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.before = "contentArea";
FormCalc
Subform1.break.before = "contentArea"


beforeTarget (deprecated)

Scripting > Scripting Reference > Scripting Properties > beforeTarget (deprecated)
beforeTarget (deprecated)
Specifies the explicit destination page or content area for the before (deprecated) property.
As of XFA version 2.8, this property is now deprecated. See breakBefore.target.
Syntax
Reference_Syntax.beforeTarget = "auto | contentArea | pageArea | pageEven | pageFront | pageOdd"
Values
Type
Values
String
The value of the beforeTarget property is expected to be compatible with the value of the before (deprecated) property. For instance, it would be considered an error for the before (deprecated) property to have a value of pageArea and the beforeTarget property to reference a content area, or vice versa.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.beforeTarget = "#contentArea_ID";
FormCalc
Subform1.break.beforeTarget = "#contentArea_ID"


bind

Scripting > Scripting Reference > Scripting Properties > bind
bind
Specifies the name of a unique binding ID where columns from the data source specified by the from property are bound.
Syntax
Reference_Syntax.bind = "string"
Values
Type
Values
String
A valid string representing a binding ID.
Applies to
Model
Object
sourceSet Model
map
Version
XFA 2.1


binding

Scripting > Scripting Reference > Scripting Properties > binding
binding
Identifies the type of application to which the script is directed.
Syntax
Reference_Syntax.binding = "XFA | Application_type"
Values
Type
Values
String
•
XFA (default)
The script is to be applied by standard application.
•
Any other valid application type.
Any value other than XFA signifies that the script may be ignored by standard applications.
Applies to
Model
Object
Form Model
script
Version
XFA 2.1
Examples
JavaScript
TextField1.resolveNode("#event.#script").binding = "XFA";
FormCalc
TextField1.#event.#script.binding = "XFA"


blank (deprecated)

Scripting > Scripting Reference > Scripting Properties > blank (deprecated)
blank (deprecated)
Specifies whether the page area is intended to be blank and therefore may result in special treatment by the output device.
Syntax
Reference_Syntax.blank = "0 | 1"
Values
Type
Values
String
•
0 (default)
The page area is not intended to be blank, and any content is rendered.
•
1
The page area is intended to be blank, and may be subject to special treatment by the output device.
For example, a printer may charge the user on a per-printed-page basis. The user does not wish to be charged for blank backsides of printed pages on a duplexed job. This property permits the blank backsides of the document to be marked blank with the result that the processing application must not render any content on the backside and the printer may receive special instructions to ensure that the blank backside is not counted towards the user’s charges.
Applies to
Model
Object
Form Model
pageArea
Version
XFA 2.1
Examples
The reference syntax expression will vary, depending on the object from which it is invoked.
JavaScript
xfa.form.form1.pageSet.Page1.blank;
FormCalc
xfa.form.form1.pageSet.Page1.blank


blankOrNotBlank

Scripting > Scripting Reference > Scripting Properties > blankOrNotBlank
blankOrNotBlank
Specifies whether the page area is intended to be blank and therefore may result in special treatment by the output device.
Syntax
Reference_Syntax.blankOrNotBlank = "any | blank | notBlank"
Values
Type
Values
String
•
any (default)
Matches any blank or non-blank page.
•
blank
Matches a page which is inserted by a break-to-even page while on an even page, or a break-to-odd page while on an odd page.
•
notBlank
Matches any page inserted either to hold content or to meet minimum occurrence rules.
Applies to
Model
Object
Form Model
pageArea
Version
XFA 2.5
Examples
The reference syntax expression will vary, depending on the object from which it is invoked.
JavaScript
xfa.form.form1.pageSet.Page1.blankOrNotBlank = "notBlank";
FormCalc
xfa.form.form1.pageSet.Page1.blankOrNotBlank = "notBlank"


bofAction

Scripting > Scripting Reference > Scripting Properties > bofAction
bofAction
Specifies the action to perform if the current record is the first record in the record set.
Syntax
Reference_Syntax.bofAction = "moveLast | stayEOF"
Values
Type
Values
String
•
moveLast (default)
Moves the current record position to a point after the last record.
•
stayEOF
The current record will always be the last record in the record set.
Applies to
Model
Object
sourceSet Model
recordSet
Version
XFA 2.1


bookendLeader (deprecated)

Scripting > Scripting Reference > Scripting Properties > bookendLeader (deprecated)
bookendLeader (deprecated)
Specifies a subform to place into the current content area or page before any other content.
If both the bookendLeader and bookendTrailer (deprecated) properties are supplied, the two subforms surround the content like bookends.
As of XFA version 2.8, this property is now deprecated. See leader.
Syntax
Reference_Syntax.bookendLeader = "string"
Values
Type
Values
String
A valid string representing the name or fully qualified reference syntax expression of a subform.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.bookendLeader = "xfa.form.form1.Subform2";
FormCalc
Subform1.break.bookendLeader = "xfa.form.form1.Subform2"


bookendTrailer (deprecated)

Scripting > Scripting Reference > Scripting Properties > bookendTrailer (deprecated)
bookendTrailer (deprecated)
Identifies a subform to place into the current content area or page after any other content.
If both bookendLeader (deprecated) and bookendTrailer properties are supplied, the two subforms surround the content like bookends.
As of XFA version 2.8, this property is now deprecated. See trailer.
Syntax
Reference_Syntax.bookendTrailer = "string"
Values
Type
Values
String
A valid string representing the name or fully qualified reference syntax expression of a subform.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.bookendTrailer = "xfa.form.form1.Subform2";
FormCalc
Subform1.break.bookendTrailer = "xfa.form.form1.Subform2"


borderColor

Scripting > Scripting Reference > Scripting Properties > borderColor
borderColor
Specifies the border color value for this field.
A border must be defined before you can change the color by scripting.
Syntax
Reference_Syntax.borderColor = " [0-255], [0-255], [0-255]"
Values
Type
Values
String
For the color-space of SRGB, the component values must be r,g,b, where r is the red component value, g is the green component value, and b is the blue component value. Each component value must be in the range 0 through 255, inclusive. 255 represents maximum display intensity. For example, 255,0,0 specifies the color red.
The default is dependent upon the context of where the color is used; the default color is determined by the object enclosing the color object.
Applies to
Model
Object
Form Model
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.borderColor = "125,154,125";
FormCalc
TextField1.borderColor = "125,154,125"


borderWidth

Scripting > Scripting Reference > Scripting Properties > borderWidth
borderWidth
Specifies the border width for this field.
Syntax
Reference_Syntax.borderWidth = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.borderWidth = "0.05in";
FormCalc
TextField1.borderWidth = "0.05in"


bottomInset

Scripting > Scripting Reference > Scripting Properties > bottomInset
bottomInset
Specifies the size of the bottom inset.
Syntax
Reference_Syntax.bottomInset = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
margin
Version
XFA 2.1
Examples
JavaScript
Subform1.margin.bottomInset = "1in";
FormCalc
Subform1.margin.bottomInset ="1in"


break

Scripting > Scripting Reference > Scripting Properties > break
break
Describes the constraints on moving to a new page or content area after rendering an object.
Syntax
Reference_Syntax.break = "close | open"
Note:
If you use JavaScript, and you want to set the break property for a border child object of a subform object, you must specify the break property and its value by using the setAttribute method. In this instance, the syntax is as follows:
Reference_Syntax.setAttribute = ("close | open", "break")
Values
Type
Values
String
•
close (default)
•
open
Applies to
Model
Object
Form Model
border
Version
XFA 2.1
Examples
JavaScript
Subform1.border.setAttribute("open", "break");
FormCalc
Subform1.border.break = "open"


calculationsEnabled

Scripting > Scripting Reference > Scripting Properties > calculationsEnabled
calculationsEnabled
Specifies whether calculate scripts will execute.
JavaScript Syntax
Reference_Syntax.calculationsEnabled = false | true;
- or -
Reference_Syntax.calculationsEnabled = 0 | 1;
FormCalc Syntax
Reference_Syntax.calculationsEnabled = 0 | 1
Values
Type
Values
Boolean
•
true | 1 (default)
The calculate scripts execute.
•
false | 0
The calculate scripts do not execute.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.calculationsEnabled = 1;
FormCalc
xfa.host.calculationsEnabled = 1


cancelAction

Scripting > Scripting Reference > Scripting Properties > cancelAction
cancelAction
Specifies whether to cancel a forthcoming action. This property applies only to the following scripting events: prePrint, preSubmit, preExecute, preOpen, and preSign.
JavaScript Syntax
Reference_Syntax.cancelAction = false | true;
- or -
Reference_Syntax.cancelAction = 0 | 1;
FormCalc Syntax
Reference_Syntax.cancelAction = 0 | 1
Values
Type
Values
Boolean
•
false | 0 (default)
The user action, such as printing, submitting, or digitally signing, occurs as expected.
•
true | 1
The user action, such as printing, submitting, or digitally signing, does not occur. The user experience is determined by the scripting event that contains the cancelAction reference:
•
preOpen - The drop-down list does not expand to display the list of values.
•
preSubmit - Form submission does not occur.
•
preSign - The form is not digitally signed.
•
prePrint - No print dialog boxappears, and the form is not printed.
•
preSave The form is not saved. The user experience is that no action occurred.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.8
Examples
JavaScript
xfa.event.cancelAction = 1;
FormCalc
xfa.event.cancelAction = 1
See also
About events
preOpen event
prePrint event
preSave event
preSign event
preSubmit event


cap

Scripting > Scripting Reference > Scripting Properties > cap
cap
Specifies the rendered termination of the stroke.
Strokes that form an enclosed area do not have a rendered termination. In particular, all rectangle and border edges, as well as all 360-degree arc edges, are not considered to have any termination. Arcs with sweep angles less than 360 degrees and lines do have terminations at both endpoints.
Syntax
Reference_Syntax.cap = "square | butt | round"
Values
Type
Values
String
•
square (default)
The stroke terminates by rendering the end of the edge squarely beyond the edge’s endpoint a distance equal to one-half the edge’s thickness.
•
butt
The stroke terminates by rendering the end of the edge squarely across the endpoint.
•
round
The stroke terminates by rendering the end of the edge with a semi-circle at the edge’s endpoint, having a radius equal to one-half the edge’s thickness.
Applies to
Model
Object
Form Model
edge
Version
XFA 2.1
Examples
JavaScript
Line1.resolveNode("value.#line.edge").cap = "round";
FormCalc
Line1.value.#line.edge.cap = "round"


change

Scripting > Scripting Reference > Scripting Properties > change
change
Specifies the value that a user types or pastes into a field immediately after they perform the action.
Syntax
Reference_Syntax.change
Values
Type
Values
String
Any valid string value appropriate for a particular form field.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.change;
FormCalc
xfa.event.change


charEncoding

Scripting > Scripting Reference > Scripting Properties > charEncoding
charEncoding
Specifies the character encoding of the value that is encoded into a barcode.
The value of the barcode field is serialized into a sequence of bytes according to the specified character encoding. Then it is compressed if the dataPrep property requires it and encrypted if the encrypt object is present. Finally, it is encoded according to the symbology.
Note:
The value of this property is case-insensitive and must match one of the following values.
Syntax
Reference_Syntax.charEncoding = "UTF-8 | none | ISO-8859-1 | ISO-8859-2 | SO-8859-7 | SHift-JIS | KSC-5601 | Big-Five | GB-2312 | UTF-16 | UCS-2 | fontSpecific"
Values
Type
Values
String
•
UTF-8 (default)
The characters are encoded using Unicode code points as defined by Unicode, and UTF-8 serialization as defined by ISO/IEC 10646.
•
none
No special encoding is specified. The characters are encoded using the ambient encoding for the operating system.
•
ISO-8859-1
The characters are encoded using ISO-8859-1, also known as Latin-1.
•
ISO-8859-2
The characters are encoded using ISO-8859-2. I
•
SO-8859-7
The characters are encoded using ISO-8859-7.
•
Shift-JIS
The characters are encoded using JIS X 0208, more commonly known as Shift-JIS.
•
KSC-5601
The characters are encoded using the Code for Information Interchange (Hangul and Hanja).
•
Big-Five
The characters are encoded using Traditional Chinese (Big-Five). There is no official standard for Big-Five and several variants are in use. The Adobe form object model uses the variant implemented by Microsoft as code.
•
GB-2312
The characters are encoded using Simplified Chinese.
•
UTF-16
The characters are encoded using Unicode code points as defined by Unicode, and UTF-16 serialization as defined by ISO/IEC 10646.
•
UCS-2
The characters are encoded using Unicode code points as defined by Unicode, and UCS-2 serialization as defined by ISO/IEC 10646.
•
fontSpecific
The characters are encoded in a font-specific way. Each character is represented by one 8-bit byte.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.4
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").charEncoding = "UCS-2";
FormCalc
Code11BarCode1.ui.#barcode.charEncoding = "UCS-2"


checksum

Scripting > Scripting Reference > Scripting Properties > checksum
checksum
Specifies an algorithm for the checksum to insert into the barcode.
The calculation of the checksums is based on the barcode data.
The template model allows any one of the choices listed below. However, some barcode formats either require a particular checksum or never allow a checksum. For such barcodes, the checksum property is ignored. Some of the remaining barcode formats support only a limited subset of these choices. For such barcodes, the template model does not specify an unsupported choice.
Syntax
Reference_Syntax.checksum = "none | auto | 1mod10 | 2mod10 | 1mod10_1mod11"
Values
Type
Values
String
•
none (default)
Do not insert a checksum.
•
auto
Insert the default checksum for the barcode format.
•
1mod10
Insert a 1 modulo 10 checksum.
•
2mod10
Insert a 2 modulo 10 checksum.
•
1mod10_1mod11
Insert a 1 modulo 10 checksum followed by a 1 modulo 11 checksum.
Note:
1 modulo 10, 2 modulo 10, and 1 modulo 11 are barcode standards. Refer to documentation on those standards for more information on those barcodes.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").checksum = "2mod10";
FormCalc
Code11BarCode1.ui.#barcode.checksum = "2mod10"


circular

Scripting > Scripting Reference > Scripting Properties > circular
circular
Enables you to convert an arc into a circle.
JavaScript Syntax
Reference_Syntax.circular = false | true;
- or -
Reference_Syntax.circular = 0 | 1;
FormCalc Syntax
Reference_Syntax.circular = 0 | 1
Values
Type
Values
Boolean
•
false | 0 (default)
Do not adjust the arc to a circular path.
•
true | 1
Adjust the arc to a circular path.
Note:
You can convert an arc into a circle even if the content area where the arc is located is not square. If necessary, the size of the circle is adjusted to match the size of the content area.
Applies to
Model
Object
Form Model
arc
Version
XFA 2.1
Examples
JavaScript
Circle1.resolveNode("value.#arc").circular = 1;
FormCalc
Circle1.value.#arc.circular = 1


classAll

Scripting > Scripting Reference > Scripting Properties > classAll
classAll
Returns a collection of like-class, in-scope nodes.
Note:
This property is read only.
Syntax
Reference_Syntax.classAll = "objects"
Values
Type
Values
Object
A set of objects derived from the same class as the current object and also within the same scope.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
Subform1.classAll;
FormCalc
Subform1.classAll


classId

Scripting > Scripting Reference > Scripting Properties > classId
classId
Specifies a URI name or location for the program code represented by the object.
Syntax
Reference_Syntax.classId = "URI"
Values
Type
Values
String
Any fully qualified URI value.
Applies to
Model
Object
Form Model
exObject
Version
XFA 2.1


classIndex

Scripting > Scripting Reference > Scripting Properties > classIndex
classIndex
Returns the position of this object in its collection of like-class, in-scope objects.
Note:
This property is read only.
Syntax
Reference_Syntax.classIndex = "integer"
Values
Type
Values
Integer
An integer representing the 0 based index position of the current object in relation to the set of objects in the same scope that derive from the same class.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
Subform1.classIndex;
FormCalc
Subform1.classIndex


className

Scripting > Scripting Reference > Scripting Properties > className
className
Determines the name of the class of this object.
Note:
This property is read only.
Syntax
Reference_Syntax.className = "string"
Values
Type
Values
String
A valid string representing the name of the class of the particular object.
Applies to
object class
Version
XFA 2.1
Examples
JavaScript
Subform1.className;
FormCalc
Subform1.className


codeBase

Scripting > Scripting Reference > Scripting Properties > codeBase
codeBase
Specifies a URI location that can be used to assist the resolution of a relative classId property.
Syntax
Reference_Syntax.codeBase = "URI"
Values
Type
Values
String
A fully qualified URI value.
Applies to
Model
Object
Form Model
exObject
Version
XFA 2.1


codeType

Scripting > Scripting Reference > Scripting Properties > codeType
codeType
Specifies an identifier corresponding to a MIME type that identifies the program code represented by the object.
Syntax
Reference_Syntax.codeType = "MIME-type"
Values
Type
Values
String
A valid MIME-type identifier. For example application/java.
Applies to
Model
Object
Form Model
exObject
Version
XFA 2.1


colSpan

Scripting > Scripting Reference > Scripting Properties > colSpan
colSpan
Specifies the number of columns spanned by this object when used inside a subform with a layout type of row.
Syntax
Reference_Syntax.colSpan = "1 | integer"
Values
Type
Values
String
•
1 (default)
•
Any valid integer value.
Applies to
Model
Object
Form Model
area
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
StaticText1.colSpan = "1";
FormCalc
StaticText1.colSpan = "1"


columnWidths

Scripting > Scripting Reference > Scripting Properties > columnWidths
columnWidths
Specifies the widths for columns of a table.
The columnWidth property is ignored unless the layout property is set to table.
Syntax
Reference_Syntax.columnWidth = "measurement | -1 [, [, measurement | -1 ] ]"
Values
Type
Values
String
The value of this property is a set of space-separated tokens. Each token must be a valid measurement or -1. The presence of a measurement causes the corresponding column to be set to that width. The presence of -1 causes the corresponding column to grow to the width of the widest content for that column across all rows of the table.
Applies to
Model
Object
Form Model
subform
Version
XFA 2.1
Examples
JavaScript
Subform1.columnWidths = ".5in 1.5in";
FormCalc
Subform1.columnWidths = ".5in 1.5in"


commandType

Scripting > Scripting Reference > Scripting Properties > commandType
commandType
Specifies the type of command used by a data query.
Syntax
Reference_Syntax.commandType = "unknown | text | table | storedProc"
Values
Type
Values
String
•
unknown (default)
•
text
An explicit SQL query string that is not saved under a name in the database.
•
table
A table stored in the database.
•
storedProc
A query, such as a SQL query, created to query one or more tables in the database and then saved as a named query within the database.
Applies to
Model
Object
sourceSet Model
query
Version
XFA 2.1
Examples
In these examples, Titles represents the data connection name.
JavaScript
xfa.sourceSet.Titles.nodes.item(1).query.setAttribute("text", "commandType");
FormCalc
xfa.sourceSet.Titles.nodes.item(1).query.setAttribute("text", "commandType")


commitKey

Scripting > Scripting Reference > Scripting Properties > commitKey
commitKey
Describes how the current value of a form field was set by the user.
Syntax
Reference_Syntax.commitKey = "0 | 1 | 2 | 3"
Values
Type
Values
Integer
•
0 (default)
The value was not set (for example, if the user presses the escape key prior to the form field losing focus).
•
1
The value is set when a user left-clicks outside the field.
•
2
The value is set when a user presses the enter key.
•
3
The value is set when a user tabs to a new field.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.commitKey = "2";
FormCalc
xfa.event.commitKey = "2"


commitOn

Scripting > Scripting Reference > Scripting Properties > commitOn
commitOn
Specifies when a user’s selections are propagated to the data model.
Syntax
Reference_Syntax.commitOn = "select | exit"
Values
Type
Values
String
•
select
The selected data is written to the data model when a user selects a choice list entry by using the keyboard or mouse.
Note:
Having a choice list commit data as soon as selections are made may be important in forms that contain non-XFA interactive features, such as Acrobat annotations or hypertext links. People filling out such forms may mistakenly believe that selecting an item from a choice list followed by clicking a non-XFA interactive feature is the same as exiting the checklist. In fact, the check list remains the field in focus.
•
exit
The selected data is not written to the data model until the field loses focus. This is the recommended setting for choice lists that support multiple selections (open="multiSelect").
Applies to
Model
Object
Form Model
choiceList
Version
XFA 2.2
Examples
JavaScript
DropDownList1.resolveNode("ui.#choiceList").commitOn = "exit";
FormCalc
DropDownList1.ui.#choiceList.commitOn = "exit"


connection

Scripting > Scripting Reference > Scripting Properties > connection
connection
Specifies the name of the associated connection control in the connection set.
The connection named by this property must point to a web service.
Syntax
Reference_Syntax.connection = "string"
Values
Type
Values
String
A valid string representing the name of the associated connection object in the connection set. If this property is missing or empty the connection name defaults to the name of the containing subform.
Applies to
Model
Object
Form Model
bindItems
connect
execute
setProperty
sourceSet Model
connect
Version
XFA 2.4
Examples
JavaScript
TextField1.resolveNode("#connect").connection = "DataConnection";
FormCalc
TextField1.#connect.connection = "DataConnection"


contains

Scripting > Scripting Reference > Scripting Properties > contains
contains
Determines whether a data value should be included in value of the parent object or as a property of the parent.
Syntax
Reference_Syntax.contains = "data | metaData"
Values
Type
Values
String
•
data (default)
Value is included in the value of the parent object
•
metaData
Value is a property of the parent object.
Applies to
Model
Object
Data Model
dataValue
Version
XFA 2.1


content

Scripting > Scripting Reference > Scripting Properties > content
content
Specifies the content of the object.
Syntax
Reference_Syntax.content = "string"
Values
Type
Values
String
A valid string representing the content of the object. For packets that contain XML content, this should return an empty string.
Applies to
Model
Object
XFA Model
packet
Version
XFA 2.1
Examples
JavaScript
xfa.packet.content = "";
FormCalc
xfa.packet.content = ""


contentType

Scripting > Scripting Reference > Scripting Properties > contentType
contentType
Specifies the type of content in the referenced document, expressed as a MIME type.
Syntax
Reference_Syntax.contentType = "text/plain | application/x-formcalc | Mime-type"
Values
Type
Values
String
The following values are allowed for documents containing text:
•
text/plain (default)
Unadorned text. The application may accept content that does not conform strictly to the requirements of the MIME type.
•
application/x-formcalc
A FormCalc script.
•
Any valid MIME-type.
Support for other text types, such as text/html as well as scripting types such as application/x-ecmascript is implementation-defined.
When the referenced document is an image, a suitable MIME-type must be supplied for this property to tell the application that the content is an image. However, the application is free to override the supplied value if upon examining the image data it determines that the image data is of a different type. Which image types are supported is implementation-defined.
Applies to
Model
Object
Data Model
dataValue
Form Model
exData
image
script
sourceSet Model
bind
Version
XFA 2.1
Examples
JavaScript
ImageField1.resolveNode("value.#image").contentType = "application/x-formcalc";
FormCalc
ImageField1.value.#image.contentType = "application/x-formcalc"


context (deprecated)

Scripting > Scripting Reference > Scripting Properties > context (deprecated)
context (deprecated)
Specifies the current object, which is the starting object for the resolveNode and resolveNodes methods.
Syntax
Reference_Syntax.content = "object"
Values
Type
Values
Object
The current object.
Applies to
model class
Version
XFA 2.1


count

Scripting > Scripting Reference > Scripting Properties > count
count
Specifies the current number of subform instances on a form.
Syntax
Reference_Syntax.count = "integer"
Values
Type
Values
Integer
•
integer
An integer greater than or equal to 0 indicating the number of subform instances on the form.
Applies to
Model
Object
Form Model
instanceManager
Version
XFA 2.5
Examples
JavaScript
Subform1.instanceManager.count;
FormCalc
Subform1.instanceManager.count


credentialServerPolicy

Scripting > Scripting Reference > Scripting Properties > credentialServerPolicy
credentialServerPolicy
Specifies whether checking the certificate status is required when a digital signature is signed. The certificate status can be checked against a certificate revocation list (CRL) or an Online Certificate Status Protocol (OCSP) response.
Syntax
Reference_Syntax.credentialServerPolicy = "Optional | Required"
Values
Type
Values
String
•
Optional (default)
Including the CRL or OCSP response is optional.
•
Required
Including the CRL or OCSP response is required.
Applies to
Model
Object
Form Model
certificates
Version
XFA 2.5


crlSign

Scripting > Scripting Reference > Scripting Properties > crlSign
crlSign
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.crlSign = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


cSpace

Scripting > Scripting Reference > Scripting Properties > cSpace
cSpace
Specifies the color space.
The default color space, and currently the only space permitted, is SRGB.
Syntax
Reference_Syntax.cSpace = "SRGB"
Values
Type
Values
String
SRBG (default)
Note:
This is the only supported value.
Applies to
Model
Object
Form Model
color
Version
XFA 2.1
Examples
JavaScript
TextField1.border.edge.color.cSpace = "SRGB";
FormCalc
TextField1.border.edge.color.cSpace = "SRGB"


currentPage

Scripting > Scripting Reference > Scripting Properties > currentPage
currentPage
Sets the currently active page of a document at run time.
Page values are 0-based, so the first page of a document returns a value of 0.
The currentPage property is available when layout:ready executes on a client. However, it is not available when layout:ready executes on the server because the property will not execute until the form layout executes.
Syntax
Reference_Syntax.currentPage = "integer"
Values
Type
Values
Integer
A valid integer representing a specific page of the document.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.currentPage = "2";
FormCalc
xfa.host.currentPage = "2"


currentRecordNumber

Scripting > Scripting Reference > Scripting Properties > currentRecordNumber
currentRecordNumber
Returns the current record number within the range of records contained by the current dataWindow object.
Syntax
Reference_Syntax.currentRecordNumber = "integer"
Values
Type
Values
Integer
Any valid integer value.
Applies to
Model
Object
Data Model
dataWindow
Examples
JavaScript
xfa.dataWindow.currentRecordNumber = "2"; // The third record
FormCalc
xfa.dataWindow.currentRecordNumber = "2" // The third record


currentValue

Scripting > Scripting Reference > Scripting Properties > currentValue
currentValue
Returns the correctly typed object for the property.
Syntax
Reference_Syntax.currentValue = "typed object"
Values
Type
Values
Depends on the type of the property
The correctly typed object for the property.
Applies to
Model
Object
Form Model
delta
Version
XFA 2.1


cursorLocation

Scripting > Scripting Reference > Scripting Properties > cursorLocation
cursorLocation
Indicates the location of the cursor library to use with the record set.
Syntax
Reference_Syntax.cursorLocation = "client | server"
Values
Type
Values
String
•
client (default)
Cursor library is located on the client computer.
•
server
Cursor library is located on the server computer.
Applies to
Model
Object
sourceSet Model
recordSet
Version
XFA 2.1


cursorType

Scripting > Scripting Reference > Scripting Properties > cursorType
cursorType
Specifies the type of cursor to use when opening the record set.
Syntax
Reference_Syntax.cursorType = "forwardOnly | keyset | dynamic | static | unspecified"
Values
Type
Values
String
•
forwardOnly (default)
Identical to a static cursor, except that scrolling occurs only in a forward direction. This improves performance when you need to make only one pass through a record set.
•
keyset
Similar to a dynamic cursor, except that records that other users add are not visible. Data changes by other users are visible.
•
dynamic
Additions, changes, and deletions by other users are visible, and all types of movement through the record set are permitted, except for bookmarks, if the provider does not support them.
•
static
A static copy of a set of records that can be used to find data or generate reports. Additions, changes, or deletions by other users are not visible.
•
unspecified
The type of cursor is not specified.
Applies to
Model
Object
sourceSet Model
recordSet
Version
XFA 2.1


data

Scripting > Scripting Reference > Scripting Properties > data
data
Indicates whether the image provided to the widget should be represented as a reference or should be embedded.
The data property affects the object behavior when the form is filled.
Syntax
Reference_Syntax.data = "link | embed"
Values
Type
Values
String
•
link
The image is represented as a URI reference. If the user provides the widget with a URI, the href attribute of the container’s image object is updated to reflect the new URI. If the image object was previously loaded with an embedded image, that image is removed from the object.
•
embed
The image is embedded in the container’s image object. If the user provides the widget with a URI, the image referenced by the URI is embedded as the content of the image object.
Applies to
Model
Object
Form Model
imageEdit
Version
XFA 2.1
Examples
JavaScript
TextField1.resolveNode("ui.#imageEdit").data = "embed";
FormCalc
TextField1.ui.#textEdit.data = "embed"


dataColumnCount

Scripting > Scripting Reference > Scripting Properties > dataColumnCount
dataColumnCount
Specifies an optional number of data columns to encode for supported barcodes. This property applies to two-dimensional (2D) barcodes only.
The form design must supply this property in conjunction with the dataRowCount property to specify a fixed row and column barcode, otherwise the parser must use the rowColumnRatio property to determine the row and column count. The template must not supply the dataColumnCount property unless the dataRowCount property is also supplied. When these properties are used the size of the barcode is fixed. If the supplied data does not fill the barcode it is padded out with padding symbols.
Syntax
Reference_Syntax.dataColumnCount = "string"
Values
Type
Values
String
A valid string representing the number of data columns to encode.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").dataColumnCount = "3";
FormCalc
Code11BarCode1.ui.#barcode.dataColumnCount = "3"


dataDescription

Scripting > Scripting Reference > Scripting Properties > dataDescription
dataDescription
Specifies the name of a data connection description to use with a particular type of web services connection.
Syntax
Reference_Syntax.dataDescription = "string"
Values
Type
Values
String
A valid string representing the name of a data description to use while exporting data.
Applies to
Model
Object
connectionSet Model
wsdlConnection
xmlConnection
xsdConnection
Version
XFA 2.1


dataEncipherment

Scripting > Scripting Reference > Scripting Properties > dataEncipherment
dataEncipherment
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.dataEncipherment = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


dataLength

Scripting > Scripting Reference > Scripting Properties > dataLength
dataLength
Specifies the maximum number of characters for this instance of the barcode. This property applies to one-dimensional barcodes only.
For software barcodes, when the moduleWidth property is not specified, the dataLength property must be supplied by the form design. For hardware barcodes, this property is ignored.
The data being displayed is not validated. For software barcodes, the application allows the data to overflow the assigned region of the field. For hardware barcodes, the result of an overflow depends on the printer.
Note:
There is no corresponding minimum length restriction. Some barcode formats have a fixed number of symbols and must be filled out with padding characters. Others allow a variable number of symbols and must terminate after the last symbol.
Syntax
Reference_Syntax.dataLength = "string"
Values
Type
Values
String
A valid string representing the maximum number of characters for this barcode instance. Each barcode type has its own default length value.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").dataLength = "10";
FormCalc
Code11BarCode1.ui.#barcode.dataLength = "10"


dataPrep

Scripting > Scripting Reference > Scripting Properties > dataPrep
dataPrep
Defines preprocessing that is applied to the data written in the barcode.
It does not affect the data in the object models, nor does it affect what the user sees when the field has focus in interactive contexts.
Note:
Recommended for 2D barcodes only.
Syntax
Reference_Syntax.dataPrep = "none | flateCompress"
Values
Type
Values
String
•
none (default)
Uses the data as supplied.
•
flateCompress
Writes a header consisting of a byte with decimal value 257, followed by another byte with decimal value 1. It then writes the data compressed with the Flate algorithm, as defined by the Internet Engineering Task Force (IETF) in RFC1951. It does not use a predictor algorithm.
Do not specify this option with a type that cannot encode arbitrary binary data.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").dataPrep = "flateCompress";
FormCalc
Code11BarCode1.ui.#barcode.dataPrep = "flateCompress"


dataRowCount

Scripting > Scripting Reference > Scripting Properties > dataRowCount
dataRowCount
Specifies an optional number of data rows to encode for supported barcodes. This property applies to 2D barcodes only.
The form design can supply this property in conjunction with the dataColumnCount property to specify a fixed row and column barcode. Otherwise the rowColumnRatio property plus the actual length of the data being inserted determine the row and column count. The dataRowCount property cannot be present unless the dataColumnCount property is also present. When these properties are used the size of the barcode is fixed. If the supplied data does not fill the barcode the remaining cells are padded out with padding symbols.
Syntax
Reference_Syntax.dataRowCount = "string"
Values
Type
Values
String
A valid string representing the number of data rows to encode.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").dataRowCount = "2";
FormCalc
Code11BarCode1.ui.#barcode.dataRowCount = "2"


db

Scripting > Scripting Reference > Scripting Properties > db
db
Specifies the technology used to communicate with a database.
Syntax
Reference_Syntax.db = "string"
Values
Type
Values
String
ADO.
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1


decipherOnly

Scripting > Scripting Reference > Scripting Properties > decipherOnly
decipherOnly
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.decipherOnly = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


delayedOpen

Scripting > Scripting Reference > Scripting Properties > delayedOpen
delayedOpen
Specifies the number of seconds to delay opening the data source after a connection is made.
Syntax
Reference_Syntax.delayedOpen = "string"
Values
Type
Values
String
A valid string representing the number of seconds.
Applies to
Model
Object
sourceSet Model
command
Version
XFA 2.1
Examples
In these examples, Titles represents the data connection name.
JavaScript
xfa.sourceSet.Titles.connect.delayedOpen = "5";
FormCalc
xfa.sourceSet.Titles.connect.delayedOpen = "5"


delimiter

Scripting > Scripting Reference > Scripting Properties > delimiter
delimiter
Separates the attributes in the Subject DN string.
Syntax
Reference_Syntax.delimiter = ", | string"
Values
Type
Values
String
•
, (default)
•
A valid string that separates the attributes in the Subject DN string.
Applies to
Model
Object
Form Model
subjectDN
Version
XFA 2.5


digitalSignature

Scripting > Scripting Reference > Scripting Properties > digitalSignature
digitalSignature
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.digitalSignature = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


disable

Scripting > Scripting Reference > Scripting Properties > disable
disable
Inhibits the audible prompt.
Syntax
Reference_Syntax.disable = "1 | 0"
Values
Type
Values
String
•
1 (default)
An audible prompt is produced if the field is not hidden or invisible.
•
0
There is not be an audible prompt.
Applies to
Model
Object
Form Model
speak
Version
XFA 2.1
Examples
JavaScript
TextField1.assist.speak.disable = "0";
FormCalc
TextField1.assist.speak.disable = "0"


disableAll

Scripting > Scripting Reference > Scripting Properties > disableAll
disableAll
Enables or disables validation warnings.
Syntax
Reference_Syntax.disable = "1 | 0"
Values
Type
Values
String
•
1 (default)
Validation warnings are disabled.
•
0
Validation warnings are enabled.
Applies to
Model
Object
Form Model
validate
Version
XFA 2.1


editValue

Scripting > Scripting Reference > Scripting Properties > editValue
editValue
Specifies the edit value for the field.
Syntax
Reference_Syntax.editValue = "string"
Values
Type
Values
String
A valid string representing the edit value for the field.
Applies to
Model
Object
Form Model
field
Version
XFA 2.1


embedPDF

Scripting > Scripting Reference > Scripting Properties > embedPDF
embedPDF
Determines whether PDF file will be included as part of the data.
Syntax
Reference_Syntax.embedPDF = "0 | 1"
Values
Type
Values
String
•
0 (default)
The PDF file is sent as part of in the data.
•
1
The PDF file is not sent as part of the data. A URI is sent in its place.
Applies to
Model
Object
Form Model
submit
Version
XFA 2.1
Examples
JavaScript
Button1.resolveNode("#event.#submit").embedPDF = "1";
FormCalc
Button1.#event.#submit.embedPDF = "1"


encipherOnly

Scripting > Scripting Reference > Scripting Properties > encipherOnly
encipherOnly
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.encipherOnly = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


endChar

Scripting > Scripting Reference > Scripting Properties > endChar
endChar
Specifies an optional ending control character to append to barcode data.
The endChar property is ignored by the parser if the barcode pattern does not support the specified control character.
Syntax
Reference_Syntax.endChar = "character"
Values
Type
Values
String
A valid control character.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").endChar = "*";
FormCalc
Code11BarCode1.ui.#barcode.endChar = "*"


eofAction

Scripting > Scripting Reference > Scripting Properties > eofAction
eofAction
Specifies the action to perform if the current record is the last record in the record set.
Syntax
Reference_Syntax.eofAction = "moveLast | stayEOF | addNew"
Values
Type
Values
String
•
moveLast (default)
Moves the current record position to a point after the last record.
•
stayEOF
The current record will always be the last record in the record set.
•
addNew
Adds a new record to the record set.
Applies to
Model
Object
sourceSet Model
recordSet
Version
XFA 2.1


errorCorrectionLevel

Scripting > Scripting Reference > Scripting Properties > errorCorrectionLevel
errorCorrectionLevel
Specifies an optional error correction level to apply to supported barcodes. This property applies to 2D barcodes only.
Note:
For barcode types that accept this property, the parser ignores the checksum.
Syntax
Reference_Syntax.errorCorrectionLevel = "0 | integer"
Values
Type
Values
String
•
0 (default)
•
For PDF417, the valid values are integers in the range 0 through 8, inclusive.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").errorCorrectionLevel = "5";
FormCalc
Code11BarCode1.ui.#barcode.errorCorrectionLevel = "5"


excludeAllCaps

Scripting > Scripting Reference > Scripting Properties > excludeAllCaps
excludeAllCaps
Specifies whether or not to hyphenate words consisting entirely of capital letters.
Syntax
Reference_Syntax.excludeAllCaps = "0 | 1"
Values
Type
Values
String
•
0
When the value is 0 and the value of the hyphenate property is 1, words that consist entirely of capital letters are hyphenated.
•
1
When the value is 1 or the value of the hyphenate property is 0, words that consist entirely of capital letters are not hyphenated.
Applies to
Model
Object
Form Model
hyphenation
Version
XFA 2.8


excludeInitialCap

Scripting > Scripting Reference > Scripting Properties > excludeInitialCap
excludeInitialCap
Specifies whether or not to hyphenate words that begin with a capital letter.
Syntax
Reference_Syntax.excludeInitialCap = "0 | 1"
Values
Type
Values
String
•
0
When the value is 0 and the value of the hyphenate property is 1, words that begin with a capital letter are hyphenated.
•
1
When the value is 1 or the value of the hyphenate property is 0, words that begin with a capital letter are not hyphenated.
Applies to
Model
Object
Form Model
hyphenation
Version
XFA 2.8


executeType

Scripting > Scripting Reference > Scripting Properties > executeType
executeType
Specifies whether to import new data into the existing form or merge new data with the original form design to create a new form.
Syntax
Reference_Syntax.executeType = "import | remerge"
Values
Type
Values
String
•
import (default)
Imports data into the current form without merging that data with the form design.
•
remerge
Merges the data in the connectionData dataset with the form design. The merge process creates dynamic subforms, if necessary, depending on the data returned by the web service.
Applies to
Model
Object
Form Model
execute
Version
XFA 2.1
Examples
JavaScript
Button1.resolveNode("#event.#execute").executeType = "remerge";
FormCalc
Button1.#event.#execute.executeType = "remerge"


fillColor

Scripting > Scripting Reference > Scripting Properties > fillColor
fillColor
The background color value for this field.
A fill color must be defined before you can change the color.
Syntax
Reference_Syntax.fillColor = "[0-255], [0-255], [0-255]"
Values
Type
Values
String
For the color-space of SRGB, the component values must be r,g,b, where r is the red component value, g is the green component value, and b is the blue component value. Each component value must be in the range 0 through 255, inclusive. 255 represents maximum display intensity. For example, 255,0,0 specifies the color red.
The default is dependent upon the context of where the color is used; the default color is determined by the object enclosing the color object.
Applies to
Model
Object
Form Model
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.fillColor = "150,130,33";
FormCalc
TextField1.fillColor = "150,130,33"


fontColor

Scripting > Scripting Reference > Scripting Properties > fontColor
fontColor
The foreground color value for the field.
Syntax
Reference_Syntax.fontColor = "[0-255], [0-255], [0-255]"
Values
Type
Values
String
A valid string that represents the font color.
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
TextField1.fontColor = "150,130,33";
FormCalc
TextField1.fontColor = "150,130,33"


fontHorizontalScale

Scripting > Scripting Reference > Scripting Properties > fontHorizontalScale
fontHorizontalScale
Horizontally scales font glyphs.
Syntax
Reference_Syntax.fontHorizontalScale = "[0-100]%"
Values
Type
Values
String
A valid percentage between 0 and 100.
Applies to
Model
Object
Form Model
font
Version
XFA 2.8
Examples
JavaScript
TextField1.font.fontHorizontalScale = 50%;
FormCalc
TextField1.font.fontHorizontalScale = 50%


fontVerticalScale

Scripting > Scripting Reference > Scripting Properties > fontVerticalScale
fontVerticalScale
Vertically scales font glyphs.
Syntax
Reference_Syntax.fontVerticalScale = "[0-100]%"
Values
Type
Values
String
A valid percentage between 0 and 100.
Applies to
Model
Object
Form Model
font
Version
XFA 2.8
Examples
JavaScript
TextField1.font.fontVerticalScale = 50%;
FormCalc
TextField1.font.fontVerticalScale = 50%


format

Scripting > Scripting Reference > Scripting Properties > format
format
Determines the format in which to submit the data.
Syntax
Reference_Syntax.format = "pdfEnvelope | xmlEnvelope"
Values
Type
Values
String
For the encrypt object:
•
pdfEnvelope
Adds the contents being submitted to a PDF document as an encrypted attachment.
•
xmlEnvelope
Encrypts the contents being submitted using W3C XML encryption and contains them within an XML envelope.
String
For the submit object:
•
xdp (default)
The data is packaged in XDP format.
•
formdata
The data is packaged in URL-encoded format as described in Uniform Resource Locators (URL).
•
pdf
The data is packaged in PDF as described in the Adobe PDF Specifications.
Applies to
Model
Object
Form Model
encrypt
submit
Version
XFA 2.1
Examples
JavaScript
Button1.resolveNode("#event.#submit").format = "pdf"
FormCalc
Button1.#event.#submit.format = "pdf"


formatMessage

Scripting > Scripting Reference > Scripting Properties > formatMessage
formatMessage
Specifies the format validation message string for this field.
Syntax
Reference_Syntax.formatMessage = "string"
Values
Type
Values
String
A valid string representing the format validation message.
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
TextField1.formatMessage = "Please use the format: LASTNAME, FIRSTNAME";
FormCalc
TextField1.formatMessage = "Please use the format: LASTNAME, FIRSTNAME"


formattedValue

Scripting > Scripting Reference > Scripting Properties > formattedValue
formattedValue
Specifies the formatted value for the field.
Syntax
Reference_Syntax.formattedValue = "string"
Values
Type
Values
String
A valid string representing the value of the field with formatting, including picture formats and symbols.
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
TextField2.rawValue = TextField1.formattedValue;
FormCalc
TextField2 = TextField1.formattedValue


formatTest

Scripting > Scripting Reference > Scripting Properties > formatTest
formatTest
Controls validation against the display picture clause.
The formatTest property can be used for validations.
Syntax
Reference_Syntax.formatTest = "warning | disabled | error"
Values
Type
Values
String
•
disabled
Do not perform any test. The form object is permitted to have a value that does not conform to the picture clause. The field can be left with a non-conforming value and it will not invalidate the form.
•
error
Emit a message and refuse to accept data that does not fit the picture clause. The form object must conform to a picture clause.
•
warning (default)
Emit a message if the data does not fit the picture clause, but allow the user to proceed to the next field. The message must inform the user that the form object should have a value that conforms to the picture clause. It must provide two choices:
•
dismiss: The user understands the message and wants to return to the form to satisfy this constraint.
•
override: The user understands the message, but chooses to contravene this constraint.
Applies to
Model
Object
Form Model
validate
Version
XFA 2.1
Examples
Set the validation pattern if has not already been defined.
JavaScript
TextField1.validate.picture.value = "A9A 9A9";
TextField1.validate.formatTest = "error";
FormCalc
TextField1.validate.picture = "A9A 9A9"
TextField1.validate.formatTest = "error"


fracDigits

Scripting > Scripting Reference > Scripting Properties > fracDigits
fracDigits
Specifies the maximum number of digits (inclusively) following the decimal point to capture and store.
Syntax
Reference_Syntax.fracDigits = "2 | integer"
Values
Type
Values
String
•
2 (default)
•
A string representing any valid integer value.
Applies to
Model
Object
Form Model
decimal
Version
XFA 2.1
Examples
The numeric field data type should be set to decimal.
JavaScript
NumericField1.resolveNode("value.#decimal").fracDigits = "3";
FormCalc
NumericField1.value.#decimal.fracDigits = "3"


from

Scripting > Scripting Reference > Scripting Properties > from
from
Specifies the original column name in the data source.
Syntax
Reference_Syntax.from = "string"
Values
Type
Values
String
A valid string representing the name of the column in the data source where data will be mapped from.
Applies to
Model
Object
sourceSet Model
map
Version
XFA 2.1


fullText

Scripting > Scripting Reference > Scripting Properties > fullText
fullText
Represents the full (untruncated) value that a user pastes into a form field.
Fields may truncate pasted text if it exceeds the allowable content region. The fullText property stores the untruncated value in memory for use with scripting operations.
The value of the newContentType determines the content type of this property.
Syntax
Reference_Syntax.fullText = "string"
Values
Type
Values
String
Any valid string value.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.fullText;
FormCalc
xfa.event.fullText


h

Scripting > Scripting Reference > Scripting Properties > h
h
A measurement of the height for the layout.
When height is specified as a measurement, that value overrides any growth range allowed by the minH property and the maxH property. When this property is omitted or set to an empty string, the growth range is set by the minH property and the maxH property.
Syntax
Reference_Syntax.h = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.h = "2in";
FormCalc
TextField1.h = "2in"


hAlign

Scripting > Scripting Reference > Scripting Properties > hAlign
hAlign
Specifies the horizontal text alignment.
Syntax
Reference_Syntax.hAlign = "left | center | right | justifyAll | justify | radix"
Values
Type
Values
String
•
left (default)
Align with the left edge of the available region.
•
center
Center horizontally within the available region.
•
right
Align with the right edge of the available region.
•
justifyAll
Spread-justify all lines to fill the available region.
•
justify
Left-align the last line and spread-justify the rest.
Applies to
Model
Object
Form Model
draw
exclGroup
field
para
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.para.hAlign = "right";
FormCalc
TextField1.para.hAlign = "right"


hand

Scripting > Scripting Reference > Scripting Properties > hand
hand
Describes the justification of a line or edge.
Note:
If you want to display field data as a comb, you must set the value of the hand property for the border object of the field to right. For example:
TextField1.border.hand = "right"; // JavaScript
TextField1.border.hand = "right" // FormCalc
Syntax
Reference_Syntax.hand = "even | left | right"
Values
Type
Values
String
•
even (default)
Center the displayed line on the underlying vector or arc.
•
left
Position the displayed line immediately to the left of the underlying vector or arc, when following that line from its start point to its end point.
•
right
Position the displayed line immediately to the right of the underlying vector or arc, when following that line from its start point to its end point. This value must be set to display field data using a comb.
Applies to
Model
Object
Form Model
arc
border
line
rectangle
Version
XFA 2.1
Examples
JavaScript
Line1.resolveNode("value.#line").hand = "left";
FormCalc
Line1.value.#line.hand = "left"


highlight

Scripting > Scripting Reference > Scripting Properties > highlight
highlight
Specifies the visual appearance of a button when activated by a user. All values support two states (up and down) except push which supports three states (up, down, and rollover).
Syntax
Reference_Syntax.highlight="none | inverted | push | outline"
Values
Type
Values
String
•
push (default)
•
none
•
inverted
•
outline
Note:
Buttons that are set to highlight mode "push" can assign different captions to the alternate button states (down and rollover).
Applies to
Model
Object
Form Model
button
Version
XFA 2.5
Examples
JavaScript
Button1.resolveNode("ui.#button").highlight = "push";
FormCalc
Button1.ui.#button.highlight = "push"


href

Scripting > Scripting Reference > Scripting Properties > href
href
Specifies a reference to an external file or resource.
The transferEncoding property does not apply to external images.
Syntax
Reference_Syntax.href = "URL"
Values
Type
Values
String
A valid HTML reference. For example:
•
http://www.adobe.com/data
•
ftp://255.255.0.0/dataFiles
Applies to
Model
Object
Form Model
exData
image
Version
XFA 2.1
Examples
JavaScript
ImageField1.resolveNode("value.#image").href = "/E/dev/Logos/adobe.jpg";
FormCalc
ImageField1.value.#image.href = "/E/dev/Logos/adobe.jpg"


hScrollPolicy

Scripting > Scripting Reference > Scripting Properties > hScrollPolicy
hScrollPolicy
Specifies whether a field can scroll horizontally.
Note:
This property does not apply to Text Fields that can expand to accommodate data or text.
Syntax
Reference_Syntax.hScrollPolicy = "auto | on | off"
Values
Type
Values
String
•
auto (default)
Single-line fields scroll horizontally and multi-line fields scroll vertically (displaying a vertical scroll bar when necessary).
•
on
Horizontal scroll bars appear regardless of whether the text or data overflows the boundaries of the field.
•
off
Restricts the user from entering characters in the field beyond what can physically fit within the field width. Note that this restriction does not apply to data with the field.
Applies to
Model
Object
Form Model
dateTimeEdit
numericEdit
textEdit
Version
XFA 2.5
Examples
JavaScript
TextField1.resolveNode("ui.#textEdit").hScrollPolicy = "off";
FormCalc
TextField1.ui.#textEdit.hScrollPolicy = "off"


hyphenate

Scripting > Scripting Reference > Scripting Properties > hyphenate
hyphenate
Controls whether hyphenation is allowed.
Syntax
Reference_Syntax.hyphenate = "0 | 1"
Values
Type
Values
String
•
0
Hyphenation is not allowed.
•
1
Hyphenation is allowed.
Applies to
Model
Object
Form Model
para
Version
XFA 2.8


id

Scripting > Scripting Reference > Scripting Properties > id
id
Specifies a generic user-defined XML ID type.
Syntax
Reference_Syntax.id = "string"
Values
Type
Values
String
A valid string representing a user-defined XML identification.
Applies to
node class
Version
XFA 2.1
Examples
In these examples, CurrentPageNumber is a floating field. It is one type of object that has an identification.


imagingBBox

Scripting > Scripting Reference > Scripting Properties > imagingBBox
imagingBBox
Specifies a region within the medium that is available for rendering with four comma separated measurements representing the measurements for x, y, width, and height.
Syntax
Reference_Syntax.bind = "none | x, y, width, height"
Values
Type
Values
String
•
none (default)
The entire area of the paper is available for rendering.
•
x, y, width, height
The content of the subform is not available for manipulation by the user. A user-agent should treat the subform as a pass-through container in sequencing operations, and you must not be permitted to modify the content of the subform. The content of the subform is still modifiable via indirect means such as scripting operations and calculations.
Applies to
Model
Object
Form Model
medium
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.medium = "100, 100, 50, 50";
FormCalc
xfa.form.form1.pageSet.Page1.medium = "100, 100, 50, 50"


index

Scripting > Scripting Reference > Scripting Properties > index
index
Returns the position of this node in its collection of like-named, in-scope nodes.
If the node has no name, the position in its like-class named collection is returned.
Syntax
Reference_Syntax.index = "integer"
Values
Type
Values
Integer
An integer representing the 0 based index position of the current object relative to objects of the same name within the same scope.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
Subform1.parent.index;
FormCalc
Subform1.parent.index


initial

Scripting > Scripting Reference > Scripting Properties > initial
initial
Specifies the initial number of occurrences for the enclosing container.
Syntax
Reference_Syntax.initial = "1 | string"
Values
Type
Values
String
•
1 (default)
•
A valid string representing any valid integer.
Applies to
Model
Object
Form Model
occur
Version
XFA 2.1
Examples
Modifying the occur object on the form:ready event is too late in the form life cycle. It needs to be modified on the template:ready event. However, the template:ready event is not accessible in the user interface.
JavaScript
Subform1.occur.initial = "3";
FormCalc
Subform1.occur.initial = "3"


initialNumber

Scripting > Scripting Reference > Scripting Properties > initialNumber
initialNumber
Supplies the initial page number to the first page in a group of consecutive pages that use the same pageSet.
When you use separate numbering runs within a single document, use initialNumber to control the initial number of each run. For example you can use i - iv for the table of contents, followed by 1 - 27 for the body of the document.
Syntax
Reference_Syntax.initialNumber = "1 | string"
Values
Type
Values
String
•
1 (default)
•
A valid string representing any integer.
Applies to
Model
Object
Form Model
pageArea
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.initialNumber = "4";
FormCalc
xfa.form.form1.pageSet.Page1.initialNumber = "4"


input

Scripting > Scripting Reference > Scripting Properties > input
input
Specifies an input message associated with a particular WSDL connection operation.
Syntax
Reference_Syntax.input = "string"
Values
Type
Values
String
A valid string representing an input message.
Applies to
Model
Object
connectionSet Model
operation
Version
XFA 2.1


instanceIndex

Scripting > Scripting Reference > Scripting Properties > instanceIndex
instanceIndex
Calculates the index of a subform or subform set based on where it is located relative to other instances of the same form object.
Syntax
Reference_Syntax.instanceIndex = "integer"
Values
Type
Values
Integer
A valid integer representing the zero-based index of the specified subform or subform set.
Applies to
Model
Object
Form Model
subform
subformSet
Version
XFA 2.5


intact

Scripting > Scripting Reference > Scripting Properties > intact
intact
Specifies the constraints on keeping the parent object intact within a content area or page.
Splitting across a content area or page is only relevant for text based field and draw objects; specifically, those using the textEdit object.
Syntax
Reference_Syntax.intact = "none | contentArea"
Values
Type
Values
String
•
none (default for subforms and field objects)
The determination of whether an object will be rendered intact within a content area or page is delegated to the processing application. It is possible that a subform could be split across a content area or page. This value is the default when the parent container’s layout is tb, lr-tb, or table. The field and draw objects will not split if the parent container does not allow splitting, itself.
•
contentArea (default for draw objects)
The object is requested to be rendered intact within a content area. This value is the default when the parent container’s layout is position or row.
Applies to
Model
Object
Form Model
keep
Version
XFA 2.1
Examples
JavaScript
Subform1.keep.intact = "contentArea";
FormCalc
Subform1.keep.intact = "contentArea"


inverted

Scripting > Scripting Reference > Scripting Properties > inverted
inverted
Specifies whether the corner appears convex (it joins the edges tangentially) or is inverted and appears concave (it joins the edges at right angles).
Syntax
Reference_Syntax.inverted = "0 | 1"
Values
Type
Values
String
•
0 (default)
The corner appears convex.
•
1
The corner appears concave.
Applies to
Model
Object
Form Model
corner
Version
XFA 2.1
Examples
JavaScript
TextField1.border.corner.inverted = "1";
FormCalc
TextField1.border.corner.inverted = "1"


isContainer

Scripting > Scripting Reference > Scripting Properties > isContainer
isContainer
Specifies whether this object is a container object.
Note:
This property is read only.
JavaScript Syntax
Reference_Syntax.isContainer = false | true;
- or -
Reference_Syntax.isContainer = 0 | 1;
FormCalc Syntax
Reference_Syntax.isContainer = 0 | 1
Values
Type
Values
Boolean
•
true | 1 (default)
The object is a type of container object.
•
false | 0
The object is not a type of container object.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
TextField1.isContainer;
FormCalc
TextField1.isContainer


isDefined

Scripting > Scripting Reference > Scripting Properties > isDefined
isDefined
Indicates whether a valid data window is currently defined.
A data window is considered valid if the current record index points to a record within the data. A data window is not defined if there are no records, or if the current record index is beyond the end of the range of records.
Note:
This property is read only.
JavaScript Syntax
Reference_Syntax.isDefined = false | true;
- or -
Reference_Syntax.isDefined = 0 | 1;
FormCalc Syntax
Reference_Syntax.isDefined = 0 | 1
Values
Type
Values
Boolean
•
true | 1 (default)
The current data window is defined.
•
false | 0
The current data window is not defined.
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.isDefined;
FormCalc
$dataWindow.isDefined


isNull

Scripting > Scripting Reference > Scripting Properties > isNull
isNull
Indicates whether the current data value is the null value.
JavaScript Syntax
Reference_Syntax.isNull = false | true;
- or -
Reference_Syntax.isNull = 0 | 1;
FormCalc Syntax
Reference_Syntax.isNull = 0 | 1
Values
Type
Values
Boolean
•
true | 1 (default)
The current data value is the null value.
•
false | 0
The current data window is not the null value.
Applies to
node class
Model
Object
Data Model
dataValue
Version
XFA 2.1
Examples
JavaScript
TextField1.isNull = 0;
FormCalc
TextField1.isNull = 0


join

Scripting > Scripting Reference > Scripting Properties > join
join
Specifies the shape of the corner.
Syntax
Reference_Syntax.join = "square | round"
Values
Type
Values
String
•
square (default)
The corner has the shape of a right-angle between the adjoining edges.
•
round
The corner has the shape of a round curve between the adjoining edges.
Applies to
Model
Object
Form Model
corner
Version
XFA 2.1
Examples
JavaScript
TextField1.border.corner.join = "round";
FormCalc
TextField1.border.corner.join = "round"


kerningMode

Scripting > Scripting Reference > Scripting Properties > kerningMode
kerningMode
Applies kerning between characters.
Syntax
Reference_Syntax.kerningMode = "none | pair"
Values
Type
Values
String
•
none
Kerning is disabled.
•
pair
Kerning is enabled. When kerning is enabled and letter spacing is not 0, kerning is applied first.
Applies to
Model
Object
Form Model
font
Version
XFA 2.8
Examples
JavaScript
TextField1.font.kerningMode = "pair";
FormCalc
TextField1.font.kerningMode = "pair"


keyAgreement

Scripting > Scripting Reference > Scripting Properties > keyAgreement
keyAgreement
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.keyAgreement = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


keyCertSign

Scripting > Scripting Reference > Scripting Properties > keyCertSign
keyCertSign
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.keyCertSign = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


keyDown

Scripting > Scripting Reference > Scripting Properties > keyDown
keyDown
Determines whether a user is pressing an arrow key to make a selection. This property is available only for list boxes and drop-down lists.
Syntax
Reference_Syntax.keyDown = "True | False"
Values
Type
Values
String
•
True (default)
Arrow key was used to make the selection.
•
False
Arrow key was not used to make the selection.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.keyDown;
FormCalc
xfa.event.keyDown


keyEncipherment

Scripting > Scripting Reference > Scripting Properties > keyEncipherment
keyEncipherment
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.keyEnciphement = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


labelRef

Scripting > Scripting Reference > Scripting Properties > labelRef
labelRef
Resolves a data value for each data node in the set identified by the ref object.
The data values are then used to populate the label items, such as <items save='0'>.
The labelRef property is a relative reference syntax expression.
The labelRef property is optional. You might want to define a list using only a set of values with no labels. In that case, the rendered object uses labels that default to the actual values.
Syntax
Reference_Syntax.labelRef = "string"
Values
Type
Values
String
A string representing a data value for each data node in the set.
Applies to
Model
Object
Form Model
bindItems
Version
XFA 2.4


ladderCount

Scripting > Scripting Reference > Scripting Properties > ladderCount
ladderCount
Specifies the maximum number of consecutive hyphenated lines that may be generated.
Syntax
Reference_Syntax.ladderCount = [0..n]
Values
Type
Values
Integer
A valid integer representing the number of consecutive hyphenated lines. The default value is 2.
Applies to
Model
Object
Form Model
hyphenation
Version
XFA 2.8


language

Scripting > Scripting Reference > Scripting Properties > language
language
Returns the language of the running host application.
Syntax
Reference_Syntax.language
Values
Type
Values
String
A valid string representing the locale language of the host computer.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.language;
FormCalc
xfa.host.language


layout

Scripting > Scripting Reference > Scripting Properties > layout
layout
Specifies the layout strategy to be used by this object.
Syntax
Reference_Syntax.layout = "position | lr-tb | rl-tb | row | table | tb"
Values
Type
Values
String
•
position (default)
The content of the control is positioned according to the to the location information expressed on the content objects.
•
lr-tb
The content of the object flows from left to right and top to bottom.
•
rl-tb
Reserved for future use. The content of the object flows from right to left and top to bottom.
•
row
This is an inner object of a table, representing one or more rows. The objects contained in this object are cells of the table and their height and width properties, if any, are ignored. The cells are laid out from right to left and each one is adjusted to the height of the row and the width of one or more contiguous columns.
•
table
This is the outer object of a table. Each of its child subforms or exclusion groups must have its layout property set to row. The rows of the table are laid out from top to bottom.
•
tb
The content of the object flows from top to bottom.
Applies to
Model
Object
Form Model
exclGroup
subform
Version
XFA 2.1
Examples
JavaScript
Subform1.layout = "tb";
FormCalc
Subform1.layout = "tb"


leadDigits

Scripting > Scripting Reference > Scripting Properties > leadDigits
leadDigits
Specifies the maximum number of digits (inclusively) preceding the decimal point to capture and store.
Syntax
Reference_Syntax.leadDigits = "0 | integer"
Values
Type
Values
String
•
0 (default)
•
A valid string representing any integer value.
Applies to
Model
Object
Form Model
decimal
Version
XFA 2.1
Examples
For these examples, the numeric field data type should be set to decimal.
JavaScript
NumericField1.resolveNode("value.#decimal").leadDigits = "2";
FormCalc
NumericField1.value.#decimal.leadDigits = "2"


leader

Scripting > Scripting Reference > Scripting Properties > leader
leader
Specifies the subform or subformSet object to place at the top of a content or page area.
The leader property replaces the deprecated overflowLeader (deprecated) and bookendLeader (deprecated) properties.
Syntax
Reference_Syntax.leader = "string"
Values
Type
Values
String
A valid string representing the ID or fully qualified reference syntax expression of a subform or subform set. The default is an empty string.
Applies to
Model
Object
Form Model
bookend
breakAfter
breakBefore
overflow
Version
XFA 2.4
Examples
JavaScript
Subform1.leader = "xfa.form.form1.Subform2";
FormCalc
Subform1.leader = "xfa.form.form1.Subform2"


leftInset

Scripting > Scripting Reference > Scripting Properties > leftInset
leftInset
Specifies a the size of the left inset.
Syntax
Reference_Syntax.leftInset = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
margin
Version
XFA 2.1
Examples
JavaScript
Subform1.margin.leftInset = "0.25in";
FormCalc
Subform1.margin.leftInset = "0.25in"


length

Scripting > Scripting Reference > Scripting Properties > length
length
Specifies the number of objects in the list.
Note:
This property is read only.
Syntax
Reference_Syntax.length
Values
Type
Values
Integer
A valid integer representing the number of objects.
Applies to
list class
Version
XFA 2.5
Examples
JavaScript
// Display the number of child nodes under root node.
xfa.host.messageBox("Number of nodes under rootNode after appending clone: " + xfa.record.nodes.length);
FormCalc
// Display the number of child nodes under root node.
xfa.host.messageBox("Number of nodes under rootNode after appending clone: " + xfa.record.nodes.length)


letterSpacing

Scripting > Scripting Reference > Scripting Properties > letterSpacing
letterSpacing
Specifies the spacing limit.
Syntax
Reference_Syntax.letterSpacing = "[0..100]% | measurement"
Values
Type
Values
String
The spacing limit may be one of the following:
•
An absolute measurement, specified in numeric values and units. A value of zero doesn't require any units.
•
A measurement relative to the current font's em width.
•
A percentage value, relative to the width of the font's glyph for the space character (U+0020). If the font does not have a space character, the percentage is applied to the font's em width.
Applies to
Model
Object
Form Model
font
Version
XFA 2.8
Examples
JavaScript
TextField1.font.letterSpacing = "10%";
FormCalc
TextField1.font.letterSpacing = "10%"


lineHeight

Scripting > Scripting Reference > Scripting Properties > lineHeight
lineHeight
Specifies the line height to apply to the paragraph content.
Omitting a value or specifying an empty value indicates that the font size determines the line height.
Syntax
Reference_Syntax.lineHeight = "0pt | measurement"
Values
Type
Values
String
•
0pt (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.lineHeight = "20pt";
FormCalc
TextField1.para.lineHeight = "20pt"


lineThrough

Scripting > Scripting Reference > Scripting Properties > lineThrough
lineThrough
Specifies the activation of a single or double line extending through the text (also known as strikethrough).
Syntax
Reference_Syntax.lineThrough = "0 | 1 | 2"
Values
Type
Values
String
•
0 (default)
The font renders without a line through the text.
•
1
The font renders with a single line through the text.
•
2
The font renders with a double line through the text.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.lineThrough = "2";
FormCalc
TextField1.font.lineThrough = "2"


lineThroughPeriod

Scripting > Scripting Reference > Scripting Properties > lineThroughPeriod
lineThroughPeriod
Controls the appearance of the line extending through the text (also known as strikethrough).
Syntax
Reference_Syntax.lineThroughPeriod = "all | word"
Values
Type
Values
String
•
all (default)
The rendered line shall extend across word breaks.
•
word
The rendered line shall be interrupted at word breaks.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.lineThroughPeriod = "word";
FormCalc
TextField1.font.lineThroughPeriod = "word"


locale

Scripting > Scripting Reference > Scripting Properties > locale
locale
Specifies the language, currency, and time/date formatting to use for the content of the object.
The locale affects the representation of data formatted, validated, or normalized by picture clauses. When this property is absent or empty, the default behavior is to inherit the parent object’s locale. If the outermost subform does not specify a locale, the default behavior derives from the ambient locale of the operating system. If the operating system does not supply a locale, en_US is used.
Syntax
Reference_Syntax.locale = "ambient | locale"
Values
Type
Values
String
•
ambient (default)
The application uses its own ambient locale.
•
A valid locale name, for example en_US. For a complete list of valid locale values, refer to the IETF RFC 1766 and ISO 639/ISO 3166 specifications.
Applies to
Model
Object
Form Model
draw
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.locale = "en_US";
FormCalc
TextField1.locale = "en_US"


lockType

Scripting > Scripting Reference > Scripting Properties > lockType
lockType
Specifies the type of locking functionality to use with the data source.
Syntax
Reference_Syntax.lockType = "unspecified | readOnly | pessimistic | optimistic | batchOptimistic"
Values
Type
Values
String
•
unspecified (default)
Does not specify a type of lock.
•
readOnly
Indicates read-only records. Data cannot be altered.
•
pessimistic
Records are locked at the data source immediately after editing.
•
optimistic
Records are locked only when a user-instigated update of the data occurs.
•
batchOptimistic
Indicates optimistic batch updates. This is required for batch update mode.
Applies to
Model
Object
sourceSet Model
recordSet
Version
XFA 2.1
Examples
In these examples, Titles represents the data connection name.
JavaScript
xfa.sourceSet.Titles.nodes.item(1).query.recordSet.lockType = "optimistic";
FormCalc
xfa.sourceSet.Titles.nodes.item(1).query.recordSet.lockType = "optimistic"


long

Scripting > Scripting Reference > Scripting Properties > long
long
Specifies the length of the long edge of the medium. The length specified by the long property must be greater than the length specified by the short property.
Syntax
Reference_Syntax.long = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
medium
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.medium.long = "4in";
FormCalc
xfa.form.form1.pageSet.Page1.medium.long = "4in"


mandatory

Scripting > Scripting Reference > Scripting Properties > mandatory
mandatory
Specifies the nullTest value for the field.
Syntax
Reference_Syntax.mandatory = "string"
Values
Type
Values
String
A string that represents the null test value.
Applies to
Model
Object
Form Model
exclGroup
field
Version
XFA 2.1
Examples
JavaScript
Textfield1.mandatory = "error";
FormCalc
TextField1.mandatory = "error"


mandatoryMessage

Scripting > Scripting Reference > Scripting Properties > mandatoryMessage
mandatoryMessage
Specifies the mandatory message string for this field.
Syntax
Reference_Syntax.mandatoryMessage = "string"
Values
Type
Values
String
A string that represents the mandatory message.
Applies to
Model
Object
Form Model
exclGroup
field
Version
XFA 2.1
Examples
JavaScript
Textfield1.mandatoryMessage = "This field is required.";
FormCalc
TextField1.mandatoryMessage = "This field is required."


marginLeft

Scripting > Scripting Reference > Scripting Properties > marginLeft
marginLeft
Specifies the size of the left indentation of the paragraph.
Syntax
Reference_Syntax.marginLeft = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.marginLeft = "0.5in";
FormCalc
TextField1.para.marginLeft = "0.5in"


marginRight

Scripting > Scripting Reference > Scripting Properties > marginRight
marginRight
Specifies the size of the right indentation of the paragraph.
Syntax
Reference_Syntax.marginRight = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.marginRight = "0.5in";
FormCalc
TextField1.para.marginRight = "0.5in"


mark

Scripting > Scripting Reference > Scripting Properties > mark
mark
Indicates the shape to use when filling a Check Box object.
Syntax
Reference_Syntax.mark = "default | check | circle | cross | diamond | square | star"
Values
Type
Values
String
•
default (default)
The default marks vary depending on the shape of the Checkbox object. A corner to corner for square and a filled circle for round. The new marks are font-based symbols.
•
check
•
circle
•
cross
•
diamond
•
square
•
star
Applies to
Model
Object
Form Model
checkButton
Version
XFA 2.5
Examples
JavaScript
CheckBox1.resolveNode("ui.#checkButton").mark = "diamond";
FormCalc
CheckBox1.ui.#checkButton.mark = "diamond"


match

Scripting > Scripting Reference > Scripting Properties > match
match
Controls the role played by enclosing an object in a data-binding (merge) operation.
Syntax
Reference_Syntax.mark = "once | none | global | dataref"
Values
Type
Values
String
•
once (default)
The node representing the enclosing object binds to a node in the Data model in accordance with the standard matching rules.
•
none
The node representing the enclosing object is transient. It will not be bound to any node in the Data model.
•
global
The containing field is global. If the normal matching rules fail to provide a match for it, the data-binding process looks outside the current record for data to bind to the field.
•
dataRef
The containing field binds to the node in the Data model specified by the accompanying ref property.
Applies to
Model
Object
Form Model
bind
sourceSet Model
bind
Version
XFA 2.1
Examples
You should set the field global property before the merge.
JavaScript
TextField1.bind.match = "global";
FormCalc
TextField1.bind.match = "global"


max

Scripting > Scripting Reference > Scripting Properties > max
max
Specifies the maximum number of occurrences for the enclosing container, or -1 to set no upper boundary for occurrences.
The max property defaults to the value of the min property. In the absence of a min property, the default is 1.
Syntax
Reference_Syntax.max = "1 | -1 | integer"
Values
Type
Values
String
•
1 (default)
•
-1
No upper boundary limit.
•
Any valid integer.
Applies to
Model
Object
Form Model
instanceManager
occur
sourceSet Model
recordSet
Version
XFA 2.1
Examples
JavaScript
Subform1.occur.max = "3";
FormCalc
Subform1.occur.max = "3"


maxChars

Scripting > Scripting Reference > Scripting Properties > maxChars
maxChars
Specifies the maximum number of characters that this text value can enclose.
Syntax
Reference_Syntax.maxChars = "0 | integer"
Values
Type
Values
String
•
0 (default)
•
Any valid integer value.
Note:
If you do not specify a value for this property, or if the value is an empty string, there is no maximum.
Applies to


maxH

Scripting > Scripting Reference > Scripting Properties > maxH
maxH
Specifies the maximum height for layout purposes.
If you do not specify a value for this property, there is no upper limit. If you specify a value for the h property, the container cannot grow vertically and this property is ignored.
Syntax
Reference_Syntax.maxH = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.maxH = "3in";
FormCalc
TextField1.maxH = "3in"


maxLength

Scripting > Scripting Reference > Scripting Properties > maxLength
maxLength
Specifies the maximum (inclusive) allowable length of the content or -1 to indicate that no maximum length is imposed.
The interpretation of this property is affected by the content type. In this case this property specifies the maximum (inclusive) allowable length of the content in characters. For instance, where the content type is text/plain this property represents the maximum (inclusive) number of characters of plain text content. Similarly, where the content type is text/html this property represents the maximum (inclusive) number of characters of content excluding markup, and insignificant whitespace.
Syntax
Reference_Syntax.maxLength = "-1 | integer"
Values
Type
Values
String
•
-1 (default)
•
Any valid integer value.
Applies to
Model
Object
Form Model
exData
Version
XFA 2.1


maxW

Scripting > Scripting Reference > Scripting Properties > maxW
maxW
Specifies the maximum width for layout purposes.
If you do not specify a value for this property, there is no maximum. If you specify a value for the w property, the container cannot grow horizontally and this property is ignored.
Syntax
Reference_Syntax.maxW = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.maxW = "3in";
FormCalc
TextField1.maxW = "3in"


min

Scripting > Scripting Reference > Scripting Properties > min
min
Specifies the minimum number of occurrences for the enclosing container.
Syntax
Reference_Syntax.min = "1 | integer"
Values
Type
Values
String
•
1 (default)
•
Any valid integer.
Applies to
Model
Object
Form Model
instanceManager
occur
Version
XFA 2.1
Examples
JavaScript
Subform1.occur.min = "0";
FormCalc
Subform1.occur.min = "0"


minH

Scripting > Scripting Reference > Scripting Properties > minH
minH
Specifies the minimum height for layout purposes.
If you supply a value for the h property, the container cannot grow vertically and this property is ignored.
Syntax
Reference_Syntax.minH = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.minH = "0.5in";
FormCalc
TextField1.minH = "0.5in"


minW

Scripting > Scripting Reference > Scripting Properties > minW
minW
Specifies the minimum width for layout purposes.
If you supply a value for the w property, the container cannot grow horizontally and this property is ignored.
Syntax
Reference_Syntax.minW = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.minW = "0.5in";
FormCalc
TextField1.minW = "0.5in"


model

Scripting > Scripting Reference > Scripting Properties > model
model
Specifies the model for the current object.
Note:
This property is read only.
Syntax
Reference_Syntax.model
Values
Type
Values
Object
The root object for the particular XML Form Object Model, such as connectionSet or dataModel.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
xfa.model.name;
FormCalc
xfa.model.name


modifier

Scripting > Scripting Reference > Scripting Properties > modifier
modifier
Determines whether the modifier key (for example, Ctrl on Windows) is held down when a particular event executes.
JavaScript Syntax
Reference_Syntax.modifier = false | true;
- or -
Reference_Syntax.modifier = 0 | 1;
FormCalc Syntax
Reference_Syntax.modifier = 0 | 1
Values
Type
Values
Boolean
•
true | 1 (default)
Modifier key is held down during event execution.
•
false | 0
Modifier key is not held down during event execution.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.modifier;
FormCalc
xfa.event.modifier


moduleHeight

Scripting > Scripting Reference > Scripting Properties > moduleHeight
moduleHeight
Determines the height of a set of bars used to encode one character of supplied text.
The allowable range of heights varies from one barcode pattern to another. The form design must not specify a height outside the allowable range.
Syntax
Reference_Syntax.moduleHeight = "5mm | measurement"
Values
Type
Values
String
•
5mm (default for 2D barcodes)
•
Any valid measurement.
When this property is not supplied, the default behavior depends on the type of barcode. One-dimensional barcodes grow to the height of the enclosing field, limited by the allowable height range. 2D barcodes default to a module height of 5mm.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").moduleHeight = "5mm";
FormCalc
Code11BarCode1.ui.#barcode.moduleHeight = "5mm"


moduleWidth

Scripting > Scripting Reference > Scripting Properties > moduleWidth
moduleWidth
Specifies different aspects of a barcode depending on the class of barcodes being used.
For one-dimensional software barcodes the parser sets the width of the narrow bars to the value of this property. The width of the wide bars is derived from that of the narrow bars. The allowable range of widths varies from one barcode format to another. The form design must not specify a value outside the allowable range. If moduleWidth is supplied, then the dataLength property is ignored. Conversely moduleWidth has no default, so when the dataLength property is not supplied, then moduleWidth must be supplied.
For 2D hardware barcodes, moduleWidth either has no effect or has the same effect as for a software barcode, depending upon the printer and barcode. The allowable range for the value varies between printers and between barcodes.
For 2D barcodes the value of this property determines the module width. A module is a set of bars encoding one symbol. Usually a symbol corresponds to a character of supplied data. The allowable range of widths varies from one barcode format to another. The form design must not specify a value outside the allowable range.
Syntax
Reference_Syntax.moduleWidth = "0.25mm | measurement"
Values
Type
Values
String
•
0.25mm (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").moduleWidth = "25mm";
FormCalc
Code11BarCode1.ui.#barcode.moduleHeight = "25mm"


multiLine

Scripting > Scripting Reference > Scripting Properties > multiLine
multiLine
Specifies whether the text may span multiple lines.
The multiLine property is useful for clients such as HTML browsers that have two types of text editing interfaces.
Syntax
Reference_Syntax.multiLine = "1 | 0"
Values
Type
Values
String
•
1 (default)
The text may span multiple lines.
•
0
The text is limited to a single line.
Applies to
Model
Object
Form Model
textEdit
Version
XFA 2.1
Examples
JavaScript
TextField1.resolveNode("ui.#textEdit").multiLine = "0";
FormCalc
TextField1.ui.#textEdit.multiLine = "0"


name

Scripting > Scripting Reference > Scripting Properties > name
name
Specifies an identifier that may be used to specify this object or event in script expressions.
For example, this property specifies the name of the host application, and on an interactive PDF form, it returns Acrobat.
Syntax
Reference_Syntax.name
Values
Type
Values
String
A string up to 255 characters.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
xfa.host.name;
FormCalc
xfa.host.name


newContentType

Scripting > Scripting Reference > Scripting Properties > newContentType
newContentType
Specifies the content type of the newText property.
For example, if newContentType='text/html', newText will contain an XHTML fragment.
Syntax
Reference_Syntax.newContentType = "allowRichText | plainTextOnly"
Values
Type
Values
String
•
allowRichText (default)
The field supports rich text.
•
plainTextOnly
The field does not support rich text. Even if markup is present in the data, it should be passed through rather than interpreted. However, it is not guaranteed whether downstream processing will respond to the markup.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.newContentType = "plainTextOnly";
FormCalc
xfa.event.newContentType = "plainTextOnly"


newText

Scripting > Scripting Reference > Scripting Properties > newText
newText
Specifies the content of the field after it changes in response to user actions.
Syntax
Reference_Syntax.newtext = "string"
Values
Type
Values
String
A string up to 255 characters.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
TextField2.rawValue = xfa.event.newText;
FormCalc
TextField2 = xfa.event.newText


next

Scripting > Scripting Reference > Scripting Properties > next
next
Specifies the constraints on keeping a form object together with the next container within a content area or page.
Syntax
Reference_Syntax.next = "none | contentArea | pageArea"
Values
Type
Values
String
•
none (default)
The determination of whether a form object is rendered in the same content area or page together with the next container, respectively, is delegated to the processing application. No special keep constraints will be forced.
•
contentArea
The form object is requested to be rendered in the same content area with the next container.
•
pageArea
The form object is requested to be rendered in the same page with the next container.
Applies to
Model
Object
Form Model
keep
Version
XFA 2.1
Examples
JavaScript
Subform1.keep.next = "contentArea";
FormCalc
Subform1.keep.next = "contentArea"


nodes

Scripting > Scripting Reference > Scripting Properties > nodes
nodes
Returns a list of all child objects of the current object.
Note:
This property is read only.
Syntax
Reference_Syntax.nodes
Values
Type
Values
Object
A list of XML Form Object Model objects.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
Subform1.nodes; // Single line example
// This example displays the names of the children of Subform1
var oNodes = this.nodes;
var nodesLength = oNodes.length;
for (var i = 0; i < nodesLength; i++) {
xfa.host.messageBox(oNodes.item(i).name)
}
FormCalc
Subform1.nodes // Single line example
// This example displays the names of the children of Subform1
var oNodes = Subform1.nodes
var nodesLength = oNodes.length;
for (var i = 0; i < nodesLength; i++) {
xfa.host.messageBox(oNodes.item(i).name)
}


nonRepudiation

Scripting > Scripting Reference > Scripting Properties > nonRepudiation
nonRepudiation
Specifies an acceptable key usage extension that must be present in the signing certificate.
Syntax
Reference_Syntax.nonRepudiation = "Yes | No | empty_string"
Values
Type
Values
String
•
Yes (default)
The value must be set in the certificate for it to be acceptable.
•
No
The value must not be set in the certificate for it to be acceptable.
•
""
If unspecified or specified as an empty string, the certificate's attribute is disregarded.
Applies to
Model
Object
Form Model
keyUsage
Version
XFA 2.5


ns

Scripting > Scripting Reference > Scripting Properties > ns
ns
Returns the namespace for the object.
If the particular object is the root of a model, then this property returns the namespace for the model.
Note:
This property is read only.
Syntax
Reference_Syntax.ns
Values
Type
Values
Object
A valid string representing the namespace of the current object, or the namespace of the current model if the root object is the currently selected object.
Applies to
node class
Version
XFA 2.1


nullTest

Scripting > Scripting Reference > Scripting Properties > nullTest
nullTest
Controls whether a field is mandatory on a form or if it can be left empty.
The nullTest property can be used for validations.
Syntax
Reference_Syntax.nullTest = "disabled | error | warning"
Values
Type
Values
String
•
disabled (default)
Do not perform this test (default). The form object is permitted to have a value of null. The field can be left without a value and it will not negatively impact the validity of the form. This value disables the validation test.
•
error
Emit an error message and refuse to accept an empty field. The form object is required to have a non-null value.
•
warning
Emit a warning message if the field is empty, but allow the user to proceed to the next field. The message must inform the user that the form object is recommended to have a value, and provide two choices:
•
dismiss: The user understands the form’s recommendation and wishes to return to the form and satisfy this constraint.
•
override: The user understands the form’s recommendation, but has chosen to contravene this constraint.
Applies to
Model
Object
Form Model
validate
Version
XFA 2.1
Examples
JavaScript
TextField1.validate.nullTest = "error";
FormCalc
TextField1.validate.nullTest = "error"


numbered

Scripting > Scripting Reference > Scripting Properties > numbered
numbered
Specifies whether the page area is considered a numbered page area.
Numbered page areas contribute to the normal incrementing of page numbers, whereas unnumbered pages occur without incrementing page numbering.
Syntax
Reference_Syntax.numbered = "auto | none"
Values
Type
Values
String
•
auto (default)
The page area represents a numbered page area. Therefore the instantiation of the page area contributes to the incrementing of the current page area number.
•
none
The page area does not contribute to the incrementing of the current page area numbering.
Applies to
Model
Object
Form Model
pageArea
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.numbered = "none";
FormCalc
xfa.form.form1.pageSet.Page1.numbered = "none"


numberOfCells

Scripting > Scripting Reference > Scripting Properties > numberOfCells
numberOfCells
Indicates the number of cells drawn for a comb field. This is not affected by the number of characters in the field’s value.
Syntax
Reference_Syntax.numberOfCells = "0 | integer"
Values
Type
Values
Integer
•
0 (default)
A single cell is drawn for the comb field, or if the maxChars property is set, the number of cells corresponds to the value of maxChars.
•
integer
A valid integer representing the total number of cells drawn for the comb field.
Applies to
Model
Object
Form Model
comb
Version
XFA 2.5
Examples
JavaScript
TextField1.resolveNode("ui.#textEdit.comb").numberOfCells = "6";
FormCalc
TextField1.ui.#textEdit.comb.numberOfCells = "6"


numPages

Scripting > Scripting Reference > Scripting Properties > numPages
numPages
Returns the number of pages in the current document.
Syntax
Reference_Syntax.numPages
Values
Type
Values
Integer
A valid integer representing the total number of pages.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.numPages;
FormCalc
xfa.host.numPages


oddOrEven

Scripting > Scripting Reference > Scripting Properties > oddOrEven
oddOrEven
Specifies whether a page is odd or even for pagination within a set of pages.
Syntax
Reference_Syntax.oddOrEven = "any | odd | even"
Values
Type
Values
String
•
any (default)
Matches any page within a document.
•
odd
Matches the first page within a document and every other page after that, irrespective of page numbering.
•
even
Matches the second page within a document and every other page after that, irrespective of page numbering.
Applies to
Model
Object
Form Model
pageArea
Version
XFA 2.5
Examples
The reference syntax expression will vary, depending on the object from which it is invoked.
JavaScript
xfa.form.form1.pageSet.Page1.oddOrEven = "even";
FormCalc
xfa.form.form1.pageSet.Page1.oddOrEven = "even"


oneOfChild

Scripting > Scripting Reference > Scripting Properties > oneOfChild
oneOfChild
Retrieves or sets that child object in the case where a parent object can only have one of a particular child object.
Syntax
Reference_Syntax.oneOfChild = "object"
Values
Type
Values
Object
The one of child object.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
TextField1.value.oneOfChild;
FormCalc
TextField1.value.oneOfChild


open

Scripting > Scripting Reference > Scripting Properties > open
open
Determines when the choice list is presented by interactive applications.
Syntax
Reference_Syntax.open = "userControl | onEntry | always | multiSelect"
Values
Type
Values
String
•
userControl (default)
The list drops down when the user clicks on a button or makes some other appropriate gesture. The list disappears when the cursor moves outside the list or some other appropriate user-interface event occurs.
•
onEntry
The list drops down on entry into the field. It disappears upon exit from the field.
•
always
The list is displayed when the field is visible.
•
multiSelect
The user can select multiple entries from the list by pressing the Shift key while making selections. The list of choices is displayed when the field is visible.
Applies to
Model
Object
Form Model
choiceList
Version
XFA 2.1
Examples
JavaScript
DropDownList1.resolveNode("ui.#choiceList").open = "always";
FormCalc
DropDownList1.ui.#choiceList.open = "always"


operation

Scripting > Scripting Reference > Scripting Properties > operation
operation
Indicates the digital signature operation to perform when used in conjunction with the signData object, or the object to link to when used in conjunction with the traverse object.
Syntax
Reference_Syntax.signData.operation = "sign | verify | clear"
- or -
Reference_Syntax.traverse.operation = "next | up | down | left | right | back | first"
Values
Type
Values
String
For digital signatures (using the signData object):
•
sign
Add an XML signature to the XML data being submitted. This operation does not modify the application’s active document.
•
verify
Verifies an XML signature. If the verification fails, the submission processes are canceled and the application issues a message indicating why the submission failed. This operation is performed before any signature is created or cleared.
•
clear
Removes an XML signature, if it exists, from the XML data being submitted. This operation does not modify the application’s active document and is performed before any signature is created.
For object-linking (using the traverse object):
•
next (default)
Used when the user presses the Tab key or enters the final character in a fixed-width field. However, the same chain of next links is also traversed by the screen reader when reading the form. Defaults to left-to-right top-to-bottom order.
The chain of next links can include boilerplate objects, but these objects cannot accept input focus. Therefore, when advancing focus to the next form object, tabbing continues until an object that accepts input focus is reached. You must ensure that the form design does not present a non-terminating loop.
This property is used only when the container is a subform or subform set. The link points to the object that gains focus when the container is entered. In effect the container delegates focus via this link. Defaults to the first container that is a child of this container, in top-to-bottom left-to-right order.
Applies to
Model
Object
connectionSet Model
wsdlConnection
Form Model
signData
traverse
Version
XFA 2.4


orientation

Scripting > Scripting Reference > Scripting Properties > orientation
orientation
Specifies the orientation of the medium.
Syntax
Reference_Syntax.orientation = "portrait | landscape"
Values
Type
Values
String
•
portrait (default)
The orientation of the medium places the short edge at the top.
•
landscape
The orientation of the medium places the long edge at the top.
Applies to
Model
Object
Form Model
medium
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.medium.orientation = "landscape";
FormCalc
xfa.form.form1.pageSet.Page1.medium.orientation = "landscape"


output

Scripting > Scripting Reference > Scripting Properties > output
output
Specifies the output message associated with a particular WSDL connection operation.
Syntax
Reference_Syntax.output = "string"
Values
Type
Values
String
A valid string representing the output message.
Applies to
Model
Object
connectionSet Model
operation
Version
XFA 2.1
Examples
JavaScript
xfa.connectionSet.DataConnection.operation.output = "Connection successful.";
FormCalc
xfa.connectionSet.DataConnection.operation.output = "Connection successful."


overflowLeader (deprecated)

Scripting > Scripting Reference > Scripting Properties > overflowLeader (deprecated)
overflowLeader (deprecated)
Specifies the subform to place at the top of the content area or page when it is entered as a result of an overflow.
As of XFA version 2.8, this property is now deprecated. See leader.
Syntax
Reference_Syntax.overflowLeader = "string"
Values
Type
Values
String
A valid string representing the name or fully qualified reference syntax expression of a subform.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.overflowLeader = "Subform2";
FormCalc
Subform1.break.overflowLeader = "Subform2"


overflowTarget (deprecated)

Scripting > Scripting Reference > Scripting Properties > overflowTarget (deprecated)
overflowTarget (deprecated)
Specifies the explicit content area that will be the transition target when the current content area or page area overflows.
As of XFA version 2.8, this property is now deprecated. See overflow.target.
Syntax
Reference_Syntax.overflowTarget = "string"
Values
Type
Values
String
The name or fully qualified reference syntax expression of a content area.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.overflowTarget = "xfa.form.form1.pageSet.Page1.Content_Main";
FormCalc
Subform1.break.overflowTarget = "xfa.form.form1.pageSet.Page1.Content_Main"


overflowTrailer (deprecated)

Scripting > Scripting Reference > Scripting Properties > overflowTrailer (deprecated)
overflowTrailer (deprecated)
Specifies the subform to place at the bottom of the content area or page when it overflows.
The vertical space required for the overflow trailer must be reserved.
As of XFA version 2.8, this property is now deprecated. See trailer.
Syntax
Reference_Syntax.overflowTrailer = "string"
Values
Type
Values
String
A valid string representing the name or fully qualified reference syntax expression of a subform.
Applies to
Model
Object
Form Model
break (deprecated)
Version
XFA 2.1
Examples
JavaScript
Subform1.break.overflowTrailer = "Subform2";
FormCalc
Subform1.break.overflowTrailer = "Subform2"


override

Scripting > Scripting Reference > Scripting Properties > override
override
When used with the calculate object, the override property indicates whether the field allows overrides to occur and disables or enables calculations. When used with the value object, the override property indicates whether a calculation override has occurred.
When there is no accompanying calculate object, this property has no effect and the user can enter a value in the field.
Syntax
Reference_Syntax.override = "error | ignore | disabled | warning"
Values
Type
Values
String
•
error
The calculation is enabled and the user cannot override the calculated value. If the user tries to override the calculated value, the processing application displays an error message. To avoid the need for error messages, form designers can define these fields as read-only.
This is the default override value if the calculate object is included in the container object.
•
ignore
The calculated value is supplied as a default. If the user overrides the value, the processing application allows the override to occur without displaying any warning message to the user.
This is the default override value if the calculate object is omitted from the container.
•
disabled
The calculation is disabled. In an interactive context, the user can enter data in the field. The effect of this override value is independent of user action. The disabled value allows an event script to dynamically enable or disable a calculate object.
•
warning
The calculation is enabled and the calculated value is recommended over user-input values. If the user overrides the calculated value, the processing application displays a warning message. The message informs the user that the form object should use a calculated value and provides the user with two choices:
•
Dismiss indicates that the user wants to use the calculated value.
•
Override indicates that the user understands the message, but chooses to override the calculated value.
The application does not issue any warnings or prompts on subsequent focus gains by the same object.
Applies to
Model
Object
Form Model
calculate
value
Version
XFA 2.1
Examples
JavaScript
TextField1.calculate.override = "disabled";
FormCalc
TextField1.calculate.override = "disabled"


pagePosition

Scripting > Scripting Reference > Scripting Properties > pagePosition
pagePosition
Specifies a page’s position within a set of pages.
Syntax
Reference_Syntax.pagePosition = "any | first | last | rest | only"
Values
Type
Values
String
•
any (default)
Matches any pages with a contiguous set of pages.
•
first
Matches the first page within a contiguous sequence of pages.
•
last
Matches the last page within a contiguous sequence of pages.
•
rest
Matches any page that is both not the first or the last in a sequence of pages.
•
only
Matches a single page sequence.
Applies to
Model
Object
Form Model
pageArea
Version
XFA 2.5
Examples
The reference syntax expression will vary, depending on the object from which it is invoked.
JavaScript
xfa.form.form1.pageSet.Page1.pagePosition = "only";
FormCalc
xfa.form.form1.pageSet.Page1.pagePosition = "only"


parent

Scripting > Scripting Reference > Scripting Properties > parent
parent
Returns the parent object of the current object.
Note:
This property is read only.
Syntax
Reference_Syntax.parent
Values
Type
Values
Object
An XML Form Object Model object.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
TextField1.parent;
FormCalc
TextField1.parent


parentSubform

Scripting > Scripting Reference > Scripting Properties > parentSubform
parentSubform
Specifies the parent subform (page) of this field.
Syntax
Reference_Syntax.parentSubform = "string"
Values
Type
Values
String
A valid string representing the name or fully qualified reference syntax expression of the parent subform object.
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
TextField1.parentSubform;
FormCalc
TextField1.parentSubform


passwordChar

Scripting > Scripting Reference > Scripting Properties > passwordChar
passwordChar
Specifies the character the form displays for each password character a user enters.
Syntax
Reference_Syntax.passwordChar = "* | character"
Values
Type
Values
String
•
“*” (asterisk) (default)
•
Any valid single character.
Applies to
Model
Object
Form Model
passwordEdit
Version
XFA 2.1
Examples
JavaScript
PasswordField1.resolveNode("ui.#passwordEdit").passwordChar = "*";
FormCalc
PasswordField1.ui.#passwordEdit.passwordChar = "*"


permissions

Scripting > Scripting Reference > Scripting Properties > permissions
permissions
Specifies the access permissions granted for a form that includes an author signature.
For information about author signatures, see signatureType.
Syntax
Reference_Syntax.permissions = "1 | 2 | 3"
Values
Type
Values
String
•
1
No changes to the document are permitted. Any change to the document invalidates the signature.
•
2 (default)
The permitted changes are filling in forms, instantiating page templates, and signing. Other changes invalidate the signature.
•
3
The permitted changes are those allowed by 2, as well as annotation creation, deletion, and modification. Other changes invalidate the signature.
Applies to
Model
Object
Form Model
mdp
Version
XFA 2.5


placement

Scripting > Scripting Reference > Scripting Properties > placement
placement
Specifies the placement of the caption.
Syntax
Reference_Syntax.placement = "left | right | top | bottom | inline"
Values
Type
Values
String
•
left (default)
Locates the caption to the left of the content.
•
right
Locates the caption to the right of the content.
•
top
Locates the caption above the content.
•
bottom
Locates the caption below of the content.
•
inline
Locates the caption inline immediately before to the content.
Applies to
Model
Object
Form Model
caption
Version
XFA 2.1
Examples
JavaScript
TextField1.caption.placement = "left";
FormCalc
TextField1.caption.placement = "left"


platform

Scripting > Scripting Reference > Scripting Properties > platform
platform
Returns the platform of the machine running the script.
Note:
This property is read only.
Syntax
Reference_Syntax.platform
Values
Type
Values
String
A valid string representing the operating system. For example, in the case of a PDF form in Acrobat, this property returns one of: WIN, MAC, or UNIX.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.platform;
FormCalc
xfa.host.platform


posture

Scripting > Scripting Reference > Scripting Properties > posture
posture
Specifies the posture of the font.
Syntax
Reference_Syntax.posture = "normal | italic"
Values
Type
Values
String
•
normal (default)
The font has a normal posture.
•
italic
The font is italicized.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.posture = "italic";
FormCalc
TextField1.font.posture = "italic"


presence

Scripting > Scripting Reference > Scripting Properties > presence
presence
Specifies an object’s visibility.
Syntax
Reference_Syntax.presence = "visible | invisible | hidden | simplex | duplex"
Values
Type
Values
String
•
visible (default)
The object is visible.
•
invisible
The object is transparent. Although invisible, the object still takes up space.
•
hidden
The object is hidden. The form does not display the object and the object does not take up space on the form’s layout.
•
simplex
The object is printed only when using single-sided printing.
•
duplex
The object is printed when using double-sided printing.
Applies to
Model
Object
Form Model
border
caption
corner
draw
edge
exclGroup
field
fill
items
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.presence = "hidden";
FormCalc
TextField1.presence = "hidden"


preserve

Scripting > Scripting Reference > Scripting Properties > preserve
preserve
Specifies widow/orphan-style constraints on the overflow behavior of the content within the enclosing container.
Syntax
Reference_Syntax.preserve = "0 | integer | all"
Values
Type
Values
String
•
0 (default)
The content is broken across an overflow boundary.
•
integer
An integer value greater than zero specifies the minimum quantity of content that must transition across the overflow boundary. For instance, specifying an integer value of 2 would prevent a single line of content from being widowed across the overflow boundary; it would result in a minimum of two lines of content transitioning across the overflow boundary.
•
all
Each paragraph of content must be kept intact and therefore cannot be broken across an overflow boundary.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.preserve = "all";
FormCalc
TextField1.para.preserve = "all"


prevContentType

Scripting > Scripting Reference > Scripting Properties > prevContentType
prevContentType
Specifies the content type of the value specified for the prevText property.
For example, if prevContentType='text/html', prevText contains an XHTML fragment.
Syntax
Reference_Syntax.prevContentType = "allowRichText | plainTextOnly"
Values
Type
Values
String
•
allowRichText (default)
The field supports rich text.
•
plainTextOnly
The field does not support rich text.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.prevContentType = "plainTextOnly";
FormCalc
xfa.event.prevContentType = "plainTextOnly"


previous

Scripting > Scripting Reference > Scripting Properties > previous
previous
Specifies the constraints on keeping a form object together with the previous container within a content area or page.
Syntax
Reference_Syntax.previous = "none | contentArea | pageArea"
Values
Type
Values
String
•
none (default)
The determination of whether a form object renders in the same content area or page together with the previous object or subform will be delegated to the processing application. No special constraints are forced.
•
contentArea
The form object is requested to be rendered in the same content area with the previous object or subform.
•
pageArea
The form object is requested to be rendered in the same page with the previous object or subform.
Applies to
Model
Object
Form Model
keep
Version
XFA 2.1
Examples
JavaScript
Subform1.keep.previous = "contentArea";
FormCalc
Subform1.keep.previous = "contentArea"


prevText

Scripting > Scripting Reference > Scripting Properties > prevText
prevText
Specifies the content of the field before it changes in response to the actions of a user.
The prevText value can be recalled, similar to an undo feature.
Syntax
Reference_Syntax.prevText
Values
Type
Values
String
A string up to 255 characters.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.prevText;
FormCalc
xfa.event.prevText


printCheckDigit

Scripting > Scripting Reference > Scripting Properties > printCheckDigit
printCheckDigit
Specifies whether to print the check digits in the human-readable text.
The parser ignores this property if the checksum property has a value of 0, or if the checksum property has a value of 1 and the standard behavior for the barcode type is to not include a checksum.
Syntax
Reference_Syntax.printCheckDigit = "0 | 1"
Values
Type
Values
String
•
0 (default)
Do not print the check digit in the human-readable text, only in the barcode itself.
•
1
Append the check digit to the end of the human-readable text.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").printCheckDigit = "1";
FormCalc
Code11BarCode1.ui.#barcode.printCheckDigit = "1"


priority

Scripting > Scripting Reference > Scripting Properties > priority
priority
Alters the search path for text to speak. Whichever object is named in this property moves to the front of the search path. The other objects retain their relative order.
Syntax
Reference_Syntax.priority = "custom | caption | name | tooltip"
Values
Type
Values
String
•
custom (default)
The search order is speak, tooltip, caption, the container’s name.
•
caption
The search order is caption, speak, tooltip, the container’s name.
•
name
The search order is the container’s name, speak, tooltip, caption.
•
tooltip
The search order is tooltip, speak, caption, the container’s name.
Applies to
Model
Object
Form Model
speak
Version
XFA 2.1
Examples
JavaScript
TextField1.assist.speak.priority = "tooltip";
FormCalc
TextField1.assist.speak.priority = "tooltip"


pushCharacterCount

Scripting > Scripting Reference > Scripting Properties > pushCharacterCount
pushCharacterCount
Specifies the minimum number of grapheme clusters, exclusive of any hyphen glyphs added to the start of the next line, allowed in a suffix for the hyphenation point to be considered. If the suffix is too short, the candidate is rejected.
Syntax
Reference_Syntax.pushCharacterCount = "integer"
Values
Type
Values
Integer
A valid integer representing the minimum grapheme clusters. The default value is 3.
Applies to
Model
Object
Form Model
hyphenation
Version
XFA 2.8


radius

Scripting > Scripting Reference > Scripting Properties > radius
radius
Specifies the radius of the corner.
The radius property always influences the appearance of round corners, but will also determine the depth of an inverted square corner. Each edge is trimmed from its end points by the corner radius, regardless of the values of the inverted and join properties. In general, this is of no consequence, because the corner will visibly join with the edges at their trim points. However, if the corner specifies a presence if invisible, the trimming of the edges will become apparent, even when the corner is square and not inverted.
Syntax
Reference_Syntax.radius = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
corner
Version
XFA 2.1
Examples
JavaScript
TextField1.border.corner.radius = "0.5in";
FormCalc
TextField1.border.corner.radius = "0.5in"


radixOffset

Scripting > Scripting Reference > Scripting Properties > radixOffset
radixOffset
Specifies an offset value for the anchor of the paragraph.
Syntax
Reference_Syntax.radixOffset = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
NumericField1.para.radixOffset = "0in";
FormCalc
NumericField1.para.radixOffset = "0in"


rate

Scripting > Scripting Reference > Scripting Properties > rate
rate
Specifies the percentage of stipple color that is stippled over a solid background color.
The background color is not specified by the stipple object.
Syntax
Reference_Syntax.rate = "50 | integer"
Values
Type
Values
String
•
50 (default)
•
Any valid integer value between 0 and 100, where 0 results in no visible stippling drawn over the background color and 100 results in a complete obscuring of the background color by filling the area completely with stipple color.
Any stipple rate between 0 and 100 results in a varying blend of background color and an overlaid stipple color. For example, a stipple rate of 50 results in an equal blend of background color and stipple color.
Applies to
Model
Object
Form Model
stipple
Version
XFA 2.1
Examples
JavaScript
TextField1.border.fill.stipple.rate = "75";
FormCalc
TextField1.border.fill.stipple.rate = "75"


rawValue

Scripting > Scripting Reference > Scripting Properties > rawValue
rawValue
Specifies the unformatted value of the current object.
For example, this property can return or set the value of a field.
Syntax
Reference_Syntax.rawValue = "value"
Values
Type
Values
Varies
Values differ depending on the referencing object. For example, for objects that require a color value, this property specifies a comma-separated list of values for each color component of the color space in the form r,g,b.
Alternatively, the rawValue property of a field object is a string representing the actual value displayed in the field, or the field’s bound value.
Applies to
Model
Object
Form Model
draw
exclGroup
field
Version
XFA 2.1
Examples
JavaScript
TextField1.rawValue = "Hello";
FormCalc
TextField1.rawValue = "Hello"


ready

Scripting > Scripting Reference > Scripting Properties > ready
ready
Specifies whether the form layout process is complete and scripting tasks can begin.
Note:
This property is read only.
JavaScript Syntax
Reference_Syntax.ready;
FormCalc Syntax
Reference_Syntax.ready
Values
Type
Values
Boolean
•
true | 1 (default)
Layout process is complete.
•
false | 0
Layout process is not complete.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.ready;
FormCalc
xfa.layout.ready


recordsAfter

Scripting > Scripting Reference > Scripting Properties > recordsAfter
recordsAfter
Returns the number of records in the data window following the current record.
Note:
This property is read only.
Syntax
Reference_Syntax.recordsAfter
Values
Type
Values
Integer
A valid integer value between 0 and the index value of the last record in the source data.
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.recordsAfter;
FormCalc
xfa.dataWindow.recordsAfter
For an example of using the recordsAfter property to browse data records, see the example Browsing records stored in a data file available at www.adobe.com/go/dev_lc_scripting_samples.


recordsBefore

Scripting > Scripting Reference > Scripting Properties > recordsBefore
recordsBefore
Returns the number of records that are in the data window prior to the current record.
Note:
This property is read only.
Syntax
Reference_Syntax.recordsBefore
Values
Type
Values
Integer
A valid integer value between 0 and the index value of the first record in the source data.
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.recordsBefore;
FormCalc
xfa.dataWindow.recordsBefore
For an example of using the recordsBefore property to browse data records, see the example Browsing records stored in a data file available at www.adobe.com/go/dev_lc_scripting_samples.


reenter

Scripting > Scripting Reference > Scripting Properties > reenter
reenter
Specifies whether the enter event is occurring for the first time. The enter event occurs each time a user clicks in a field.
The first time a user clicks in a field, an enter event is sent with the reenter property set to false. If the user clicks in the field again or presses the Enter key, another enter event is sent with the reenter property set to true.
JavaScript Syntax
Reference_Syntax.reenter = false | true;
- or -
Reference_Syntax.reenter = 0 | 1;
FormCalc Syntax
Reference_Syntax.reenter = 0 | 1
Values
Type
Values
Boolean
•
true | 1
The enter event has already occurred.
•
false | 0
The enter event occurs for the first time.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.reenter = 0;
FormCalc
xfa.event.reenter = 0


ref

Scripting > Scripting Reference > Scripting Properties > ref
ref
Specifies a reference syntax expression defining the node in the data model to which the enclosing container will bind.
Syntax
Reference_Syntax.ref = "string"
Values
Type
Values
String
A valid reference syntax expression.
Applies to
Model
Object
Form Model
bind
bindItems
connect
event
items
signData
traverse
sourceSet Model
bind
connect
Version
XFA 2.1


relation

Scripting > Scripting Reference > Scripting Properties > relation
relation
Specifies the relationship among the members of the set.
Note:
Beginning with Acrobat 8.0, this property is read only.
Syntax
Reference_Syntax.relation (Acrobat 8.x and later)
Reference_Syntax.relation = "ordered | unordered | choice" (Acrobat 7.x and earlier)
Values
Type
Values
String
•
ordered (default)
Instantiates members in the order in which they are declared in the form design. This has the effect of potentially re-ordering the content to satisfy the document order of the form design.
•
unordered
Instantiates the members in data order regardless of the order in which they are declared. This has the effect of potentially re-ordering the set to satisfy the ordering of the content.
•
choice
The members are exclusive of each other, and only one member may be instantiated. The determination of which member to instantiate is based upon the data.
Applies to
Model
Object
Form Model
subformSet
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.resolveNode("#subformSet").relation;
FormCalc
xfa.form.form1.#subformSet.relation


relevant

Scripting > Scripting Reference > Scripting Properties > relevant
relevant
Controls whether a form object is included when the form is printed.
Syntax
Reference_Syntax.relevant = "+print | -print"
Values
Type
Values
String
•
+print | print (default for visible objects)
Forces a particular object to appear when the form is printed, regardless of the object’s presence property setting.
•
-print (default for invisible or hidden objects)
Forces an object not to appear when the form is printed, regardless of the object’s presence property setting.
Applies to
Model
Object
Form Model
area
border
contentArea
draw
exclGroup
field
pageArea
pageSet
subform
subformSet
value
Version
XFA 2.1
Examples
JavaScript
Button1.relevant = "-print";
FormCalc
Button1.relevant = "-print"


remainCharacterCount

Scripting > Scripting Reference > Scripting Properties > remainCharacterCount
remainCharacterCount
Specifies the minimum number of grapheme clusters, exclusive of any hyphen glyphs added to the end of the line, allowed in a prefix for the hyphenation point to be considered. If the prefix is too short, the candidate is rejected.
Syntax
Reference_Syntax.remainCharacterCount = "integer"
Values
Type
Values
Integer
A valid integer representing the number of grapheme clusters. The default value is 3.
Applies to
Model
Object
Form Model
hyphenation
Version
XFA 2.8


reserve

Scripting > Scripting Reference > Scripting Properties > reserve
reserve
A measurement value that specifies the height or width of the caption.
The effect of this property is determined by the placement property. When the caption is placed at the left or right, the reserve property specifies the height of the caption region. When the caption is placed at the top or bottom, the reserve property specifies the width. When the caption is placed inline, the reserve property is ignored.
A reserve of 0 sets the caption area to auto-fit. It adjusts the size of the object to fit the caption.
Syntax
Reference_Syntax.reserve = "measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
caption
Version
XFA 2.1
Examples
JavaScript
TextField1.caption.reserve = "1.5in";
FormCalc
TextField1.caption.reserve = "1.5in"


restoreState

Scripting > Scripting Reference > Scripting Properties > restoreState
restoreState
Restores the form nodes of a form to their original state, including resetting the visual properties of fields such as changes to border colors.
Syntax
Reference_Syntax.restoreState = "none | manual | auto"
Values
Type
Values
String
•
none (default)
The state and restore information are not saved.
•
manual
Specific properties are saved and restored using script objects. The state is restored using the delta script object.
If the root subform uses this value, the following properties are saved and restored:
•
The checksum is verified.
•
All state information is restored using the restore method on the delta script object only if the checksum was valid.
•
Field values and calculation overrides are restored if the checksum was valid.
•
auto (default for new forms)
Automatically saves and restores the form to its original state. When opening a certified form, the state will not be restored. On an uncertified form, certification of the document will not be allowed.
Note:
The auto setting can not be used for certified documents.
If the root subform uses this value, the following properties and saved and restored:
•
The checksum is verified
•
After the merge step is complete but prior to calculations being executed, each form node will have its state restored using the saved form model only if the checksum was valid.
•
The restore method on the delta script object does nothing.
•
Field values and calculation overrides are restored if the checksum was valid.
Applies to
Model
Object
Form Model
subform
Version
XFA 2.5
Examples
JavaScript
Subform1.restoreState = "auto";
FormCalc
Subform1.restoreState = "auto"


rightInset

Scripting > Scripting Reference > Scripting Properties > rightInset
rightInset
Specifies the size of the right inset.
Syntax
Reference_Syntax.rightInset = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
margin
Version
XFA 2.1
Examples
JavaScript
Subform1.margin.rightInset = "0.25in";
FormCalc
Subform1.margin.rightInset = "0.25in"


role

Scripting > Scripting Reference > Scripting Properties > role
role
Specifies the role played by the parent container.
Syntax
Reference_Syntax.role = "string"
Values
Type
Values
String
A valid string specifying the role of the parent container. It may be used by speech-enabled XFA processing applications to provide information. For example, it may be assigned values borrowed from HTML, such as TH (table headings) and TR (table rows).
Applies to
Model
Object
Form Model
assist
Version
XFA 2.2
Examples
JavaScript
TextField1.assist.role = "TH";
FormCalc
TextField1.assist.role = "TH"


rotate

Scripting > Scripting Reference > Scripting Properties > rotate
rotate
Rotates the object around its anchor point by the specified angle.
The angle represents degrees counter-clockwise with respect to the default position. The value must be a non-negative multiple of 90.
Note:
The direction of rotation is the same as for positive angles in PostScript, PDF, and PCL but opposite to that in SVG.
Syntax
Reference_Syntax.rotate = "0 | measurement"
Values
Type
Values
String
•
0 (default)
•
Any valid angle measurement.
Applies to
Model
Object
Form Model
draw
field
Version
XFA 2.1
Examples
JavaScript
TextField1.rotate = "90";
FormCalc
TextField1.rotate = "90"


rowColumnRatio

Scripting > Scripting Reference > Scripting Properties > rowColumnRatio
rowColumnRatio
An optional ratio of rows to columns for supported 2D barcodes.
The parser ignores this property if dataRowCount and dataColumnCount properties are specified.
When rowColumnRatio is supplied, the barcode grows to the number of rows required to hold the supplied data. If the last row is not filled by the supplied data it is padded out with padding symbols.
Syntax
Reference_Syntax.rowColumnRatio = "string"
Values
Type
Values
String
A valid string representing the ratio of rows to columns.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1


runAt

Scripting > Scripting Reference > Scripting Properties > runAt
runAt
Specifies what application can execute the script.
This setting is enforced even if the script is called by another script.
Syntax
Reference_Syntax.runAt = "client | server | both"
Values
Type
Values
String
•
client (default)
The script runs only on the client.
•
server
The script runs only on the server.
•
both
The script runs on both client and server.
Applies to
Model
Object
Form Model
execute
script
Version
XFA 2.1
Examples
JavaScript
NumericField1.calculate.script.runAt = "both";
FormCalc
NumericField1.calculate.script.runAt = "both"


save

Scripting > Scripting Reference > Scripting Properties > save
save
Determines whether the values in a particular column represent both display and bound values, or if the data in the column represents bound values only.
Syntax
Reference_Syntax.save = "0 | 1"
Values
Type
Values
String
•
0 (default)
The values supplied by this object are for display only.
•
1
The values supplied by this object may be entered into the field.
At least one column must have a value of 1. If multiple columns have a value set to 1, then the parser saves the first column first column with a value of 1 that is encountered.
Applies to
Model
Object
Form Model
items
Version
XFA 2.1
Examples
JavaScript
DropDownList1.resolveNode("#items").save = "1";
FormCalc
DropDownList1.#items.save = "1"


savedValue

Scripting > Scripting Reference > Scripting Properties > savedValue
savedValue
Returns a typed object, but you cannot assign this value. If the property is not saved, the value is the same as the currentValue.
Syntax
Reference_Syntax.savedValue = "typed object"
Values
Type
Values
Depends on the type of the property
The typed object for the property.
Applies to
Model
Object
Form Model
delta
Version
XFA 2.5


scope

Scripting > Scripting Reference > Scripting Properties > scope
scope
Controls participation of the subform in data binding and reference syntax expressions. It is valid only on the root subform.
By default, a named subform takes part in data binding and can be referenced using a reference syntax expression. This property allows a subform to be given a name but remain transparent to data binding and reference syntax expressions.
Syntax
Reference_Syntax.scope = "name | none"
Values
Type
Values
String
•
name (default)
If the subform has a name it takes part in data binding and reference syntax expressions. Otherwise it does not.
•
none
The subform does not take part in data binding and reference syntax expressions, even if it has a name.
Applies to
Model
Object
Form Model
subform
Version
XFA 2.1
Examples
JavaScript
Subform1.scope = "none";
FormCalc
Subform1.scope = "none"


scriptTest

Scripting > Scripting Reference > Scripting Properties > scriptTest
scriptTest
Controls validation by the enclosed script.
Scripts specified as part of a validation should make no assumptions as to how the processing application might use the validation results, or when the validate object is invoked. In particular, the script should not attempt to provide feedback to a user or alter the state of the form in any way.
Syntax
Reference_Syntax.scriptTest = "error | disabled | warning"
Values
Type
Values
String
•
disabled
Do not perform this test. The form object is permitted to have a value that does not conform to the script. The field can be left with a non-conforming value, and it will not negatively affect the validity of the form. This value disables the validation test.
•
error (default)
Emit a message and refuse to accept data that the script reports is erroneous. The form object is required to have a value that conforms to the script.
•
warning
Emit a message if the script reports the data is erroneous but allow the user to proceed to the next field. The message must inform the user that the form object is recommended to have a value that conforms to the script’s constraints, and provide two choices:
•
dismiss: The user understands the form’s recommendation and wishes to return to the form and satisfy this constraint.
•
override: The user understands the form’s recommendation, but has chosen to contravene this constraint.
Applies to
Model
Object
Form Model
validate
Version
XFA 2.1
Examples
JavaScript
NumericField1.validate.scriptTest = "disabled";
FormCalc
NumericField1.validate.scriptTest = "disabled"


selectedIndex

Scripting > Scripting Reference > Scripting Properties > selectedIndex
selectedIndex
The index of the first selected item.
Setting this property sets the specified index and deselects any previously selected items. If you want to preserve the multiple selection state, use the getItemState or setItemState methods instead. Specifying an index value of -1 clears the list. Getting this property returns a value of -1 when no items are selected.
Syntax
Reference_Syntax.selectedIndex
Values
Type
Values
Integer
A valid integer representing the index value of the first selected item.
Specifying an index value of -1 clears the list. Specifying any other valid value results in only that item being selected.
Applies to
Model
Object
Form Model
field
Version
XFA 2.5


selEnd

Scripting > Scripting Reference > Scripting Properties > selEnd
selEnd
Specifies the index position of the last character of the text selection stored in the prevText property during a change event.
Syntax
Reference_Syntax.selEnd
Values
Type
Values
Integer
A valid integer representing the 0 based index value of the last character of the text selection.
If no text is selected, this property is set to the position of the text entry cursor at the time the change is made. Changing the value of this property changes which characters will be replaced by the value of change and also repositions the text entry cursor.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.selEnd;
FormCalc
xfa.event.selEnd


selStart

Scripting > Scripting Reference > Scripting Properties > selStart
selStart
Specifies the index position of the first character of the text selection stored in the prevText property during a change event.
Syntax
Reference_Syntax.selStart
Values
Type
Values
Integer
A valid integer representing the 0-based index value of the first character of the text selection.
If no text is selected, this property is set to the position of the text entry cursor at the time the change is made. Changing the value of this property changes which characters will be replaced by the value of change and also repositions the text entry cursor.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.selStart;
FormCalc
xfa.event.selStart


server

Scripting > Scripting Reference > Scripting Properties > server
server
Specifies the URL for a time stamp server.
Syntax
Reference_Syntax.server = "string"
Values
Type
Values
String
A valid string representing the URL for the time stamp server.
Applies to
Model
Object
Form Model
timeStamp
Version
XFA 2.5


shape

Scripting > Scripting Reference > Scripting Properties > shape
shape
Specifies whether the check box or radio button displays with a square or round outline.
Syntax
Reference_Syntax.shape = "square | round"
Values
Type
Values
String
•
square (default)
The button appears with a square outline.
•
round
The button appears with a round outline.
Applies to
Model
Object
Form Model
checkButton
Version
XFA 2.1
Examples
JavaScript
CheckButton1.resolveNode("ui.#checkButton").shape = "square";
FormCalc
CheckButton.ui.#checkButton.shape = "square"


shift

Scripting > Scripting Reference > Scripting Properties > shift
shift
Specifies whether the Shift key is held down during a particular event.
JavaScript Syntax
Reference_Syntax.shift = false | true;
- or -
Reference_Syntax.shift = 0 | 1;
FormCalc Reference
Reference_Syntax.shift = 0 | 1
Values
Type
Values
Boolean
•
true | 1 (default)
The Shift key is pressed during event execution.
•
false | 0
The Shift key is not pressed during event execution.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.shift;
FormCalc
xfa.event.shift


short

Scripting > Scripting Reference > Scripting Properties > short
short
Specifies the length of the short edge of the medium object.
The length specified by the short property must be smaller than the length specified by the long property.
Syntax
Reference_Syntax.short = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
medium
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.medium.short;
FormCalc
xfa.form.form1.pageSet.Page1.medium.short


signatureType

Scripting > Scripting Reference > Scripting Properties > signatureType
signatureType
Specifies how a form with a document signature is saved as certified PDF document.
Syntax
Reference_Syntax.signatureType = "filler | author"
Values
Type
Values
String
•
filler (default)
Saves the form as a certified PDF document.
•
author
Documents with author signatures are referred to as certified. After the form is saved as a PDF document and opened in Acrobat, the user can click the signature field to certify the entire document.
Applies to
Model
Object
Form Model
mdp
Version
XFA 2.5


size

Scripting > Scripting Reference > Scripting Properties > size
size
A measurement specifying the size of the check box or radio button outline representing either the height and width for a check box, or the diameter for a radio button.
Syntax
Reference_Syntax.size = "10pt | measurement"
Values
Type
Values
String
•
10pt (default)
•
Any valid measurement.
The values for this property depend on the referencing object:
•
For the font object, this property specifies the size of the font.
•
For the checkButton object, this property specifies either the height or width of a check box or the diameter of a radio button.
Applies to
Model
Object
Form Model
checkButton
font
Version
XFA 2.1
Examples
JavaScript
CheckBox1.resolveNode("ui.#checkButton").size = "20pt";
FormCalc
CheckBox1.ui.#checkButton.size = "20pt"


slope

Scripting > Scripting Reference > Scripting Properties > slope
slope
Specifies the orientation of the line.
Syntax
Reference_Syntax.slope = "\ | /"
Values
Type
Values
String
•
\ (backslash character) (default)
The line extends from the top-left to the bottom-right.
•
/ (forward slash character)
The line extends from the bottom-left to the top-right.
Applies to
Model
Object
Form Model
line
Version
XFA 2.1
Examples
JavaScript
Line1.resolveNode("value.#line").slope = "/";
FormCalc
Line1.value.#line.slope = "/"


soapFaultCode

Scripting > Scripting Reference > Scripting Properties > soapFaultCode
soapFaultCode
Specifies any fault code that occurs when a user attempts to execute a web service connection.
Syntax
Reference_Syntax.soapFaultCode = "string"
Values
Type
Values
String
A valid string representing the SOAP fault code.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1


soapFaultString

Scripting > Scripting Reference > Scripting Properties > soapFaultString
soapFaultString
Specifies the descriptive message that corresponds to a particular web service connection fault code.
Syntax
Reference_Syntax.size = "10pt | measurement"
Values
Type
Values
String
A valid string representing the SOAP fault code message.
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1


somExpression

Scripting > Scripting Reference > Scripting Properties > somExpression
somExpression
Reads the reference syntax expression for this node.
Syntax
Reference_Syntax.somExpression
Values
Type
Values
String
A valid string representing a fully qualified reference syntax expression.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
TextField1.somExpression;
FormCalc
TextField1.somExpression


spaceAbove

Scripting > Scripting Reference > Scripting Properties > spaceAbove
spaceAbove
Specifies the amount of vertical spacing and the maximum font leading for the first line of the paragraph.
Syntax
Reference_Syntax.spaceAbove = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.spaceAbove = "2pt";
FormCalc
TextField1.para.spaceAbove = "2pt"


spaceBelow

Scripting > Scripting Reference > Scripting Properties > spaceBelow
spaceBelow
Specifies the amount of vertical spacing and the maximum font leading for the first line of the paragraph.
Syntax
Reference_Syntax.spaceAbove = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.spaceBelow = "2pt";
FormCalc
TextField1.para.spaceBelow = "2pt"


startAngle

Scripting > Scripting Reference > Scripting Properties > startAngle
startAngle
Specifies the angle where the beginning of the arc renders.
Syntax
Reference_Syntax.startAngle = "0 | angle"
Values
Type
Values
String
•
0 (default)
•
A value greater than 0 and less than or equal to 360.
Applies to
Model
Object
Form Model
arc
Version
XFA 2.1
Examples
JavaScript
Circle1.resolveNode("value.#arc").startAngle = "12";
FormCalc
Circle1.value.#arc.startAngle = "12"


startChar

Scripting > Scripting Reference > Scripting Properties > startChar
startChar
Specifies an optional starting control character to add to the beginning of the barcode data.
The starChar property is ignored by the parser if the barcode pattern does not support the specified starting control character.
Syntax
Reference_Syntax.startChar = "character"
Values
Type
Values
String
A valid string representing a control character.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").startChar = "*";
FormCalc
Code11BarCode1.ui.#barcode.startChar = "*"


startNew

Scripting > Scripting Reference > Scripting Properties > startNew
startNew
Determines whether it is necessary to start a new content area or page even when the current content area or page has the required name.
This property has no effect unless the before (deprecated) property has the value contentArea or pageArea.
Syntax
Reference_Syntax.startNew = "0 | 1"
Values
Type
Values
String
•
0 (default)
Does not start a new content area or page area if the current one has the specified name.
•
1
Starts a new content area or page.
The name of the content area or page is supplied by the accompanying beforeTarget (deprecated) property.
Applies to
Model
Object
Form Model
break (deprecated)
breakAfter
breakBefore
Version
XFA 2.1
Examples
JavaScript
Subform1.break.startNew = "1";
FormCalc
Subform1.break.startNew = "1"


stateless

Scripting > Scripting Reference > Scripting Properties > stateless
stateless
Determines whether a script’s variables persist from one invocation to the next.
Syntax
Reference_Syntax.stateless = "0 | 1"
Values
Type
Values
String
•
0 (default)
The script’s variables do persist (it is stateful).
•
1
The script’s variables do not persist (it is stateless).
Applies to
Model
Object
Form Model
script
Version
XFA 2.1
Examples
JavaScript
TextField1.resolveNode("#event.#script").stateless = "1";
FormCalc
TextField1.#event.#script.stateless = "1"


stock

Scripting > Scripting Reference > Scripting Properties > stock
stock
Specifies the name of a standard paper size.
Syntax
Reference_Syntax.stock = "letter | paper_size"
Values
Type
Values
String
•
letter (default)
•
Any valid paper size value.
Applies to
Model
Object
Form Model
medium
Version
XFA 2.1
Examples
JavaScript
xfa.form.form1.pageSet.Page1.medium.stock = "A4";
FormCalc
xfa.form.form1.pageSet.Page1.medium.stock = "A4"


stroke

Scripting > Scripting Reference > Scripting Properties > stroke
stroke
Specifies the appearance of a line.
Syntax
Reference_Syntax.stroke = "solid | dashed | dotted | dashDot | dashDotDot | lowered | raised | etched | embossed"
Values
Type
Values
String
•
solid (default)
Solid.
•
dashed
A series of rectangular dashes.
•
dotted
A series of round dots.
•
dashDot
Alternating rectangular dashes and dots.
•
dashDotDot
A series of a single rectangular dash followed by two round dots.
•
lowered
The line appears to enclose a lowered region.
•
raised
The line appears to enclose a raised region.
•
etched
The line appears to be a groove lowered into the drawing surface.
•
embossed
The line appears to be a ridge raised out of the drawing surface.
Applies to
Model
Object
Form Model
corner
edge
Version
XFA 2.1
Examples
JavaScript
Line1.resolveNode("value.#line.edge").stroke = "etched";
FormCalc
Line1.value.#line.edge.stroke = "etched"


sweepAngle

Scripting > Scripting Reference > Scripting Properties > sweepAngle
sweepAngle
Specifies the length of the arc as an angle.
Syntax
Reference_Syntax.sweepAngle = "360 |angle"
Values
Type
Values
String
•
360 (default)
•
A value less than 360 and greater than or equal to 0.
Applies to
Model
Object
Form Model
arc
Version
XFA 2.1
Examples
JavaScript
Circle1.resolveNode("value.#arc").sweepAngle = "45";
FormCalc
Circle1.value.#arc.sweepAngle = "45"


tabDefault

Scripting > Scripting Reference > Scripting Properties > tabDefault
tabDefault
Specifies the distance between default tab stops.
By default, no default tab stops are defined.
Syntax
Reference_Syntax.tabDefault = "string"
Values
Type
Values
String
A valid string representing the distance between the default tab stops.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.tabDefault = "3in";
FormCalc
TextField1.para.tabDefault = "3in"


tabStops

Scripting > Scripting Reference > Scripting Properties > tabStops
tabStops
Specifies a space-separated list of tab stop locations and leader properties.
Within the region from the left margin to the rightmost tab stop in the list, the tab stop locations replace the default tab stops specified by the tabDefault property. The default tab stops resume to the right of this region.
Each entry in the list of tab stops consists of a keyword specifying the alignment at the tab stop, followed by a space, followed by the distance of the tab stop from the left margin.
Tab stop leader properties including pattern and pattern width can also be specified.
Syntax
Reference_Syntax.tabStops = alignment leader (leaderPattern (leaderAlign leaderPatterWidth)) measurement
Values
Type
Values
String
The tab stop alignment is one of the following values:
•
center
Specifies a center-aligned tab stop.
•
left
Specifies a left-aligned tab stop.
•
right
Specifies a right-aligned tab stop.
•
decimal
Specifies a tab stop that aligns content around a radix point.
String
The tab-stop leader properties include the following values:
•
leaderPattern
Specifies the leader pattern to fill the space between a tab and the character following it. The values are space | rule | dots | use-content.
If the value is set to rule, the leader is filled with a line. The ruleThickness is any valid measurement that specifies the thickness of the line. The ruleStyle may be one of solid (default), dotted, dashed, none, double, groove, or ridge.
If the value is set to dots, the leader is filled with a repeating pattern of dots. The leader value can also be set to any quoted string.
•
leaderAlign
Specifies how to align the repeating leader pattern in the inline progression direction. If the value is none, there are no special alignment requirements. If the value is page, the pattern is aligned as if its cycle started at the start edge of the page.
•
leaderPatternWidth
Specifies the period of the pattern cycle for the leader patterns of dots, use-content, and in some cases rule.
The value may be a valid measurement.
If the content width is shorter that the value of this property, each repetition of the pattern content is padded with a blank space to fill out the width. If the content width is longer than the value of this property, the leader pattern width is ignored.
String
The tab-stop measurement is any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.tabStops = "left leader (rule(solid 0.5pt)) 4in”;
FormCalc
TextField1.para.tabStops = "left leader (rule(solid 0.5pt)) 4in”


target

Scripting > Scripting Reference > Scripting Properties > target
target
Specifies the object upon which the action will occur.
Syntax
Reference_Syntax.target = "ObjectName | Reference_Syntax | URL"
Values
Type
Values
String
A valid string representing the name of a form design object, a reference syntax expression, or a URL where data is sent.
Note:
The value of this property is expected to be compatible with the value of the targetType property. For instance, it would be considered an error for the targetType property to reference a page area and the target property to reference a content area, or vice versa.
Applies to
Model
Object
Event Model
eventPseudoModel
Form Model
breakAfter
breakBefore
overflow
setProperty
signData
submit
Version
XFA 2.4
Examples
JavaScript
xfa.event.target = "click";
- or -
Subform1.breakAfter.targetType = "contentArea";
Subform1.breakAfter.target = "#ContentArea2";
FormCalc
xfa.event.target = "click"
- or -
Subform1.breakAfter.targetType = "contentArea"
Subform1.breakAfter.target = "#ContentArea2"


targetType

Scripting > Scripting Reference > Scripting Properties > targetType
targetType
Specifies the constraints on moving to a new page or content area before laying out the parent subform.
The targetType property replaces the deprecated break.before (deprecated) property.
Syntax
Reference_Syntax.targetType = "auto | contentArea | pageArea"
Values
Type
Values
String
The value of this property is expected to be compatible with the value of the target property. For instance, it would be considered an error for the target property to reference a page area and the targetType property set to contentArea, or vice versa.
•
auto (default)
The determination of a transition to a new page or content area is delegated to the processing application. No transition to a new page or content area is forced.
•
contentArea
Rendering transitions to the next available content area.
•
pageArea
Rendering transitions to a new page.
Note:
The startNew property also modifies some of these behaviors.
Applies to
Model
Object
Form Model
breakAfter
breakBefore
Version
XFA 2.4
Examples
JavaScript
Subform1.breakAfter.targetType = "contentArea";
Subform1.breakAfter.target = "#ContentArea2";
FormCalc
Subform1.breakAfter.targetType = "contentArea"
Subform1.breakAfter.target = "#ContentArea2"


textEncoding

Scripting > Scripting Reference > Scripting Properties > textEncoding
textEncoding
Specifies the encoding of text content in the document.
Syntax
Reference_Syntax.textEncoding = "UTF-8 | UTF-16 | Shift-JIS | Big-Five | GB-2312"
Values
Note:
The value of this property is case-insensitive and must match one of the following values.
Type
Values
String
•
none (default)
No special encoding is specified. The characters are encoded using the ambient encoding for the operating system.
•
ISO-8859-1
The characters are encoded using ISO-8859-1, also known as Latin-1.
•
ISO-8859-2
The characters are encoded using ISO-8859-2. I
•
SO-8859-7
The characters are encoded using ISO-8859-7.
•
Shift-JIS
The characters are encoded using JIS X 0208, more commonly known as Shift-JIS.
•
KSC-5601
The characters are encoded using the Code for Information Interchange (Hangul and Hanja).
•
Big-Five
The characters are encoded using Traditional Chinese (Big-Five). There is no official standard for Big-Five and several variants are in use. The Adobe form object model uses the variant implemented by Microsoft as code.
•
GB-2312
The characters are encoded using Simplified Chinese.
•
UTF-8
The characters are encoded using Unicode code points as defined by Unicode, and UTF-8 serialization as defined by ISO/IEC 10646.
•
UTF-16
The characters are encoded using Unicode code points as defined by Unicode, and UTF-16 serialization as defined by ISO/IEC 10646.
•
UCS-2
The characters are encoded using Unicode code points as defined by Unicode, and UCS-2 serialization as defined by ISO/IEC 10646.
•
fontSpecific
The characters are encoded in a font-specific way. Each character is represented by one 8-bit byte.
Applies to
Model
Object
Form Model
submit
Version
XFA 2.1
Examples
JavaScript
Button1.event.submit.textEncoding = "UCS-2";
FormCalc
Button1.event.submit.textEncoding = "UCS-2"


textEntry

Scripting > Scripting Reference > Scripting Properties > textEntry
textEntry
Determines if a user can type a value into a drop-down list.
Syntax
Reference_Syntax.textEntry = "0 | 1"
Values
Type
Values
String
•
0 (default)
Prevents the user from typing in the current field. The value is chosen by selecting a value from the drop-down list.
•
1
Allows a user to type a value into a drop-down list or select from the drop-down list. This opens up the field value to be anything that the user might type. If the open property is set to multiSelect, the user is not allowed to enter values in the field.
Applies to
Model
Object
Form Model
choiceList
Version
XFA 2.1
Examples
JavaScript
DropDownList1.resolveNode("ui.#choiceList").textEntry = "1";
FormCalc
DropDownList1.ui.#choiceList.textEntry = "1"


textIndent

Scripting > Scripting Reference > Scripting Properties > textIndent
textIndent
Specifies the horizontal positioning of the first line relative to the remaining lines in a paragraph.
A negative value indicates a hanging indent whereas a positive value indicates a first-line indent.
Syntax
Reference_Syntax.textIndent = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
para
Version
XFA 2.1
Examples
JavaScript
TextField1.para.textIndent = "3in";
FormCalc
TextField1.para.textIndent = "3in"


textLocation

Scripting > Scripting Reference > Scripting Properties > textLocation
textLocation
Specifies the location of any text associated with the barcode.
The region available for embedded text, if any, is determined by the barcode format. For most barcode formats it is a single, contiguous region. However, for EAN series barcodes, it is divided into four regions that inherit the typeface property and size property from the enclosing field. The form design must specify a typeface property and size property for the field that will fit into the provided space without overlapping any bars. The typeface property should be non-proportional.
Syntax
Reference_Syntax.textLocation = "below | none | above | aboveEmbedded | belowEmbedded"
Values
Type
Values
String
•
below (default)
Places text below the barcode.
•
above
Places text above the barcode.
•
belowEmbedded
Partially embeds text at the bottom of the barcode aligned with the bottom of the bars.
•
aboveEmbedded
Partially embeds text at the top of the barcode aligned with the top of the bars.
•
none
Displays no text.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").textLocation = "aboveEmbedded";
FormCalc
Code11BarCode1.ui.#barcode.textLocation = "aboveEmbedded"


thickness

Scripting > Scripting Reference > Scripting Properties > thickness
thickness
Specifies the thickness or weight of the line.
Syntax
Reference_Syntax.thickness = "0.5pt | measurement"
Values
Type
Values
String
•
0.5pt (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
corner
edge
Version
XFA 2.1
Examples
JavaScript
TextField1.border.edge.thickness = "0.2in";
FormCalc
TextField1.border.edge.thickness = "0.2in"


this

Scripting > Scripting Reference > Scripting Properties > this
this
Retrieves the current node, which is the starting node when using the resolveNode and resolveNodes methods.
Note:
This property is read only.
Syntax
this
Values
Type
Values
Object
The current object.
Applies to
Model
Object
XFA Model
xfa
Version
XFA 2.1
Examples
JavaScript
this
FormCalc
this


timeout

Scripting > Scripting Reference > Scripting Properties > timeout
timeout
Specifies the number of seconds to attempt a query.
Syntax
Reference_Syntax.timeout = "string"
Values
Type
Values
String
A valid string representing the number of seconds before the query times out.
Applies to
Model
Object
sourceSet Model
command
connect
Version
XFA 2.1
Examples
In these examples, Titles represents the data connection name.
JavaScript
xfa.sourceSet.Titles.connect.timeout = "10";
FormCalc
xfa.sourceSet.Titles.connect.timeout = "10"


timeStamp

Scripting > Scripting Reference > Scripting Properties > timeStamp
timeStamp
Specifies the date/time stamp for this node.
Syntax
Reference_Syntax.timeStamp = "string"
Values
Type
Values
String
A valid string representing a date and time.
Applies to
Model
Object
XFA Model
xfa
Version
XFA 2.1


title

Scripting > Scripting Reference > Scripting Properties > title
title
Sets and gets the title of the document. It is available only for client applications.
Syntax
Reference_Syntax.title
Values
Type
Values
String
A valid string representing the title of the current form.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.title;
FormCalc
xfa.host.title


topInset

Scripting > Scripting Reference > Scripting Properties > topInset
topInset
A measurement specifying the size of the top inset.
Syntax
Reference_Syntax.topInset = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
margin
Version
XFA 2.1
Examples
JavaScript
Subform1.margin.topInset "1in";
FormCalc
Subform1.margin.topInset "1in"


trailer

Scripting > Scripting Reference > Scripting Properties > trailer
trailer
Specifies the subform or subformSet object to place at the bottom of a content or page area.
The trailer property replaces the deprecated overflowTrailer (deprecated) and bookendTrailer (deprecated) properties.
Syntax
Reference_Syntax.trailer = "string"
Values
Type
Values
String
A valid string representing the ID or fully qualified reference syntax expression of a subform or subform set. The default is an empty string.
Applies to
Model
Object
Form Model
bookend
breakAfter
breakBefore
overflow
Version
XFA 2.4
Examples
JavaScript
Subform1.breakBefore.trailer = "Subform2";
FormCalc
Subform1.breakBefore.trailer = "Subform2"


transferEncoding

Scripting > Scripting Reference > Scripting Properties > transferEncoding
transferEncoding
Specifies the encoding of binary content in the referenced document.
Syntax
Reference_Syntax.transferEncoding = "none | base64"
Values
Type
Values
String
•
none (default)
The referenced document is not encoded. If the referenced document is specified via a URI then it will be transferred as a byte stream. If the referenced document is inline it must conform to the restrictions on the PCDATA data type.
•
base64
The binary content is encoded in accordance with the base64 transfer encoding standard.
Applies to
Model
Object
Form Model
exData
image
sourceSet Model
bind
Version
XFA 2.1


transient

Scripting > Scripting Reference > Scripting Properties > transient
transient
Specifies whether the processing application must save the value of the exclusion group as part of a form submission or save operation.
Syntax
Reference_Syntax.transient = "0 | 1"
Values
Type
Values
String
•
0 (default)
The exclusion group value must be saved.
•
1
The exclusion group must not be saved.
Applies to
Model
Object
Form Model
exclGroup
Version
XFA 2.1


truncate

Scripting > Scripting Reference > Scripting Properties > truncate
truncate
Truncates the right edge of the barcode for supported formats.
The truncation applies only to barcode type PDF417. The parser ignores this property for barcode formats to which it does not apply.
Syntax
Reference_Syntax.truncate = "0 | 1"
Values
Type
Values
String
•
0 (default)
Include the right-hand synchronization mark.
•
1
Omit the right-hand synchronization mark.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Code11BarCode1.resolveNode("ui.#barcode").truncate = "1";
FormCalc
Code11BarCode1.ui.#barcode.truncate = "1"


type

Scripting > Scripting Reference > Scripting Properties > type
type
Specifies the pattern used by an object.
For the radial object, the type property specifies the direction of flow for a color transition.
For the subjectDNs object, the type property specifies whether the values provided in the element should be treated as a restrictive or a non-restrictive set.
Syntax
Reference_Syntax.type = "toRight | toLeft | toTop | toBottom"
Values
Type
Values
String
The values for this property depend on the referencing object.
For the barcode object:
A string that identifies the barcode pattern. This property must be supplied. The set of supported values for this property is specific to the display device.
The following values have been defined for this property as indicating particular barcode types:
•
codabar
Codabar, as defined in ANSI/AIM BC3-1995, USS Codabar.
•
code2Of5Industrial
Code 2 of 5 Industrial; no official standard.
•
code2Of5Interleaved
Code 2 of 5 Interleaved, as defined in ANSI/AIM BC2-1995, USS Interleaved 2-of-5.
•
code2Of5Matrix
Code 2 of 5 Matrix; no official standard.
•
code2Of5Standard
Code 2 of 5 Standard; no official standard.
•
code3Of9
Code 39 (also known as code 3 of 9), as defined in ANSI/AIM BC1-1995, USS Code 39.
•
code3Of9extended
Code 39 extended; no official standard.
•
code11
Code 11 (USD-8); no official standard.
•
code49
Code 49, as defined in ANSI/AIM BC6-1995, USS Code 49.
•
code93
Code 93, as defined in ANSI/AIM BC5-1995, USS Code 93.
•
code128
Code 128, as defined in ANSI/AIM BC4-1995, Code 128.
•
code128A
Code 128 A, as defined in ANSI/AIM BC4-1995, ISS Code 128.
•
code128B
Code 128 B, as defined in ANSI/AIM BC4-1995, ISS Code 128.
•
code128C
Code 128 C, as defined in ANSI/AIM BC4-1995, ISS Code 128.
•
code128SSCC
Code 128 serial shipping container code, as defined in ANSI/AIM BC4-1995, ISS Code 128.
•
ean8
EAN-8, as defined in ISO/EEC 15420.
•
ean8add2
EAN-8 with 2-digit Addendum, as defined in ISO/EEC 15420.
•
ean8add5
EAN-8 with 5-digit Addendum, as defined in ISO/EEC 15420.
•
ean13
EAN-13, as defined in ISO/EEC 15420.
•
ean13pwcd
EAN-13 with price/weight customer data.
•
ean13add2
EAN-13 with a 2-digit addendum.
•
ean13add5
EAN-13 with a 5-digit addendum.
•
fim
United States Postal Service facing identification mark (FIM), as defined in First-Class Mail (USPS-C100).
•
logmars
Logistics Applications of Automated Marking and Reading Symbols (logmars) as definied by United States Military Standard MIL-STD-1189B .
•
maxicode
UPS Maxicode, as defined in ANSI/AIM BC10-ISS Maxicode.
•
msi
Modified Plessey (MSI). May once have had a formal specification, but no longer does.
•
pdf417
PDF417, as defined in USS PDF417.
•
pdf417macro
PDF417, but allows the data to span multiple PDF417 barcodes. The barcodes are marked so that the bacrode reader knows when it still has additional barcodes to read and can prompt the operator if necessary.
•
plessey
Plessey; no official standard.
•
postAUSCust2
Australian Postal Customer 2, as defined in Customer Barcoding Technical Specifications.
•
postAUSCust3
Australian Postal Customer 3, as defined in Customer Barcoding Technical Specifications.
•
postAUSReplyPaid
Australian Postal Reply Paid, as defined in Customer Barcoding Technical Specifications.
•
postAUSStandard
Australian Postal Standard, as defined in Customer Barcoding Technical Specifications.
•
postUKRM4SCC
United Kingdom RM4SCC (Royal Mail 4-State Customer Code), as defined in the How to Use Mailsort Guide.
•
postUSDPBC
United States Postal Service Delivery Point barcode, as defined in DMM C840 Barcoding Standards for Letters and Flats.
•
postUSStandard
United States Postal Service POSTNET barcode (Zip+4), as defined in DMM C840 Barcoding Standards for Letters and Flats.
•
postUSZip
United States Postal Service POSTNET barcode (5 digit Zip), as defined in DMM C840 Barcoding Standards for Letters and Flats.
•
qr
QR Code, as defined in ISS - QR Code.
•
telepen
Telepen, as defined in USS Telepen.
•
ucc128
UCC/EAN 128, as defined in International Symbology Specification - Code 128 (1999).
•
ucc128random
UCC/EAN 128 Random Weight, as defined in International Symbology Specification - Code 128 (1999).
•
ucc128sscc
UCC/EAN 128 serial shipping container code (SSCC), as defined in International Symbology Specification - Code 128 (1999).
•
upcA
UPC-A, as defined in ISO/EEC 15420.
•
upcAadd2
UPC-A with 2-digit Addendum, as defined in ISO/EEC 15420.
•
upcAadd5
UPC-A with 5-digit Addendum, as defined in ISO/EEC 15420.
•
upcApwcd
UPC-A with Price/Weight customer data, as defined in ISO/EEC 15420.
•
upcE
UPC-E, as defined in ISO/EEC 15420.
•
upcEadd2
UPC-E with 2-digit Addendum, as defined in ISO/EEC 15420.
•
upcEadd5
UPC-E with 5-digit Addendum, as defined in ISO/EEC 15420.
•
upcean2
UPC/EAN with 2-digit Addendum, as defined in ISO/EEC 15420.
•
upcean5
UPC/EAN with 5-digit Addendum, as defined in ISO/EEC 15420.
For the digestMethods, encodings, subjectDNs, and timeStamp objects:
Specifies whether the signing options are restricted to the filter settings.
•
optional (default)
The signing options are not restricted to the filter settings. The values provided in the element are optional seed values that the XFA processing application may choose from. The XFA processing application may also supply its own value.
•
required
The signing options are restricted to the filter settings. The values provided in the element are seed values that the XFA processing application must choose from.
For the linear object:
Specifies the direction of flow for a color transition.
•
toRight (default)
The start color appears at the left side of the object and transitions into the end color at the right side.
•
toLeft
The start color appears at the right side of the object and transitions into the end color at the left side.
•
toTop
The start color appears at the bottom side of the object and transitions into the end color at the top side.
•
toBottom
The start color appears at the top side of the object and transitions into the end color at the bottom side.
For the radial object:
Specifies the direction of the color transition.
•
toEdge (default)
The start color appears at the center of the object and transitions into the end color at the outer edge.
•
toCenter
The start color appears at the outer edge of the object and transitions into the end color at the center.
Applies to
Model
Object
Form Model
barcode
handler
issuers
linear
oids
pattern
radial
reasons
signing
subjectDNs
timeStamp
sourceSet Model
extras
Version
XFA 2.1


typeface

Scripting > Scripting Reference > Scripting Properties > typeface
typeface
Specifies the name of the typeface.
Syntax
Reference_Syntax.typeface = "Courier | typeface"
Values
Type
Values
String
•
Courier (default)
•
Any valid typeface identifier.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.typeface = "Myriad Pro";
FormCalc
TextField1.font.typeface = "Myriad Pro"


underline

Scripting > Scripting Reference > Scripting Properties > underline
underline
Specifies the activation and type of underlining.
Syntax
Reference_Syntax.underline = "0 | 1 | 2"
Values
Type
Values
String
•
0 (default)
The font renders without underlining.
•
1
The font renders with a single underline.
•
2
The font renders with a double underline.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.underline = "2";
FormCalc
TextField1.font.underline = "2"


underlinePeriod

Scripting > Scripting Reference > Scripting Properties > underlinePeriod
underlinePeriod
Controls the appearance of underlining.
Syntax
Reference_Syntax.underlinePeriod = "all | word"
Values
Type
Values
String
•
all (default)
The rendered line shall extend across word breaks.
•
word
The rendered line shall be interrupted at word breaks.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.underlinePeriod = "word";
FormCalc
TextField1.font.underlinePeriod = "word"


upsMode

Scripting > Scripting Reference > Scripting Properties > upsMode
upsMode
Represents the mode in a UPS Maxicode barcode.
Syntax
Reference_Syntax.upsMode = “usCarrier | internationalCarrier | standardSymbol | secureSymbol”
Values
Type
Values
String
•
usCarrier (default)
United States carrier with postal codes that contain up to nine digits.
•
internationalCarrier
International carrier with alphanumeric postal codes that contain up to six digits.
•
standardSymbol
Non-shipping encoded information up to 90 characters in length.
•
secureSymbol
Non-shipping encoded information up to 74 characters in length (it has more error correction than four).
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.5


url

Scripting > Scripting Reference > Scripting Properties > url
url
Specifies the URL for this object.
Syntax
Reference_Syntax.url = "string"
Values
Type
Values
String
A valid string representing a URL for this individual node.
Applies to
Model
Object
Form Model
certificates
Version
XFA 2.5


urlPolicy

Scripting > Scripting Reference > Scripting Properties > urlPolicy
urlPolicy
(urlPolicy)Specifies the type of URL represented by the certificates object.
It is equivalent to the urlType attribute for PDF documents and its values are encoded as Browser, ASSP, or the string the user entered for the urlType key.
Syntax
Reference_Syntax.urlPolicy = "enrollmentServer | roamingCredentialServer | string"
Values
Type
Values
String
•
enrollmentServer
The URL references a web server where a signing party can enroll for a digital certificate.
•
roamingCredentialServer
The URL references web service that holds the digital credentials that a signing party uses to sign a document or data.
•
A valid string that extends the use of this property with unique values.
Applies to
Model
Object
Form Model
certificates
Version
XFA 2.5


usage

Scripting > Scripting Reference > Scripting Properties > usage
usage
Specifies the contexts in which to use the connection.
Syntax
Reference_Syntax.usage = "exportAndImport | exportOnly | importOnly"
Values
Type
Values
String
•
exportAndImport (default)
Used during both import and export.
•
exportOnly
Used during export, ignored during import.
•
importOnly
Used during import, ignored during export.
Applies to
Model
Object
Form Model
connect
Version
XFA 2.1
Examples
JavaScript
TextField1.connect.usage = "importOnly";
FormCalc
TextField1.connect.usage = "importOnly"


use

Scripting > Scripting Reference > Scripting Properties > use
use
Invokes a prototype.
Syntax
Reference_Syntax.use = "string"
Values
Type
Values
String
The value of this property is a ‘#’ character followed by the prototype’s identifier.
Applies to
Model
Object
connectionSet Model
operation
rootElement
soapAction
soapAddress
uri
wsdlAddress
Form Model
arc
area
assist
barcode
bookend
boolean
border
break (deprecated)
breakAfter
breakBefore
button
calculate
caption
certificate
certificates
checkButton
choiceList
color
comb
sourceSet Model
boolean
command
connect
connectString
Version
XFA 2.1


usehref

Scripting > Scripting Reference > Scripting Properties > usehref
usehref
Invokes an external prototype.
Note:
The usehref property cannot target PDF files, even if the PDF files contain XML Form Object Model objects.
If an object contains both a use and a usehref property, the usehref property has precedence over the use property. This precedence allows a different prototype to be used when rendering form designs on legacy systems. Legacy systems will ignore the usehref property.
To mitigate security issues, specify HTTPS for the usehref URI or ensure that all prototype references occur behind a firewall.
Syntax
Reference_Syntax.usehref = "string"
Values
Type
Values
String
A valid string representing an external prototype. The value of this property includes a “#” character and the prototype’s identifier:
usehref="URL#XML_ID"
usehref="URL#ref(reference_syntax)"
Applies to
Model
Object
connectionSet Model
operation
rootElement
soapAction
soapAddress
uri
wsdlAddress
Form Model
arc
area
assist
barcode
bookend
boolean
border
break (deprecated)
breakAfter
breakBefore
button
calculate
caption
certificate
certificates
checkButton
choiceList
color
comb
sourceSet Model
bind
boolean
command
connect
Version
XFA 2.4


uuid

Scripting > Scripting Reference > Scripting Properties > uuid
uuid
Specifies the Universally Unique Identifier (UUID) for this object.
Syntax
Reference_Syntax.uuid = "string"
Values
Type
Values
String
A valid string representing a universally unique identifier for this individual node.
Applies to
Model
Object
XFA Model
xfa
Version
XFA 2.1


validationMessage

Scripting > Scripting Reference > Scripting Properties > validationMessage
validationMessage
Specifies the validate message string for this field.
Syntax
Reference_Syntax.validationMessage = "string"
Values
Type
Values
String
A valid string representing a validation message to display to the user.
Applies to
Model
Object
Form Model
exclGroup
field
Version
XFA 2.1
Examples
JavaScript
NumericField1.validationMessage = "This is the validation message."
FormCalc
NumericField1.validationMessage = "This is the validation message."


validationsEnabled

Scripting > Scripting Reference > Scripting Properties > validationsEnabled
validationsEnabled
Specifies whether the validation scripts will execute.
JavaScript Syntax
Reference_Syntax.validationsEnabled = false | true;
- or -
Reference_Syntax.validationsEnabled = 0 | 1;
FormCalc Syntax
Reference_Syntax.validationsEnabled = 0 | 1
Values
Type
Values
Boolean
•
false | 0 (default)
Validation scripts are disabled.
•
true | 1
Validation scripts are enabled.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.validationsEnabled = 1;
FormCalc
xfa.host.validationsEnabled = 1


vAlign

Scripting > Scripting Reference > Scripting Properties > vAlign
vAlign
Specifies the vertical text alignment.
Syntax
Reference_Syntax.vAlign = "top | middle | bottom"
Values
Type
Values
String
•
top (default)
Align with the top of the available region.
•
middle
Center vertically within the available region.
•
bottom
Align with the bottom of the available region.
Applies to
Model
Object
Form Model
draw
exclGroup
field
para
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.vAlign = "top";
FormCalc
TextField1.vAlign = "top"


value

Scripting > Scripting Reference > Scripting Properties > value
value
Specifies the value of the current object.
Specifies a comma separated list of values for each color component of the color space.
Syntax
Reference_Syntax.value = "various"
Values
Type
Values
Varies
Values differ depending on the referencing object.
For example, the value property of a field object is a string representing the actual value displayed in the field, or the field’s bound value.
Alternatively, for objects that require an color value, this property specifies a comma-separated list of values for each color component of the color space. For the color-space of SRGB, the component values must be r,g,b, where r is the red component value, g is the green component value, and b is the blue component value. Each component value must be in the range 0 through 255, inclusive. 255 represents maximum display intensity. For example, 255,0,0 specifies the color red.
The default is dependent upon the context of where the color is used; the default color is determined by the object enclosing the color object.
Applies to
Model
Object
Data Model
dataValue
Form Model
boolean
color
date
dateTime
decimal
float
image
integer
picture
script
text
time
sourceSet Model
boolean
integer
text
Also applies to objects derived from the textNode class.
Version
XFA 2.1
Examples
JavaScript
// Use the value property to set and get the document variable’s value.
TextField1.rawValue = docVar.value;
FormCalc
// Use the value property to set and get the document variable’s value.
TextField1 = docVar.value


valueRef

Scripting > Scripting Reference > Scripting Properties > valueRef
valueRef
Resolves a data value for each data node in the set identified by the ref object.
The data values are then used to populate the value items, such as <items save='1'>.
The valueRef property is a relative reference syntax expression.
Note:
This property is read only.
Syntax
Reference_Syntax.valueRef = "string"
Values
Type
Values
String
A valid string representing a data value for each data node in the set.
Applies to
Model
Object
Form Model
bindItems
Version
XFA 2.4


variation

Scripting > Scripting Reference > Scripting Properties > variation
variation
Indicates the packaging of the application that is running the script.
It is available only for client applications.
Note:
This property is read only.
Syntax
Reference_Syntax.variation
Values
Type
Values
String
A valid string representing the packaging of the application. For example, in the case of a PDF form in Acrobat, this property returns one of: Reader, Fill-in, Business Tools, or Full.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.variation;
FormCalc
xfa.host.variation


version

Scripting > Scripting Reference > Scripting Properties > version
version
Indicates the version number of the current application.
Note:
This property is read only.
Syntax
Reference_Syntax.version
Values
Type
Values
String
A valid string representing the packaging of the application. For example, in Acrobat 6.0.1 this property returns 6.0.1.
Applies to
Model
Object
Form Model
handler
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.version;
FormCalc
xfa.host.version


vScrollPolicy

Scripting > Scripting Reference > Scripting Properties > vScrollPolicy
vScrollPolicy
Specifies whether a field can scroll vertically.
Note:
This property does not apply to Text Fields that can expand to accommodate data or text.
Syntax
Reference_Syntax.vScrollPolicy = "auto | on | off"
Values
Type
Values
String
•
auto (default)
Single-line fields scroll horizontally and multi-line fields scroll vertically (displaying a vertical scroll bar when necessary).
•
on
Vertical scroll bars appear regardless of whether the text or data overflows the boundaries of the field.
•
off
Restricts the user from entering characters in the field beyond what can physically fit within the field width. Note that this restriction does not apply to data with the field.
Applies to
Model
Object
Form Model
textEdit
Version
XFA 2.5
Examples
JavaScript
TextField1.resolveNode("ui.#textEdit").vScrollPolicy = "off";
FormCalc
TextField1.ui.#textEdit.vScrollPolicy = "off"


w

Scripting > Scripting Reference > Scripting Properties > w
w
A measurement specifying the width for the layout.
When you specify a width, that value overrides any growth range allowed by the minW property and the maxW property. Omitting this property or specifying an empty string indicates that the minW property and the maxW property define the width for the object.
Syntax
Reference_Syntax.w = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement.
Applies to
Model
Object
Form Model
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.w = "3in";
FormCalc
TextField1.w = "3in"


weight

Scripting > Scripting Reference > Scripting Properties > weight
weight
Controls the weight of the font typeface.
Syntax
Reference_Syntax.weight = "bold | normal"
Values
Type
Values
String
•
bold (default)
The typeface is rendered with a bold weight.
•
normal
The typeface is rendered at the default typeface weight.
Applies to
Model
Object
Form Model
font
Version
XFA 2.1
Examples
JavaScript
TextField1.font.weight = "normal";
FormCalc
TextField1.font.weight = "normal"


wideNarrowRatio

Scripting > Scripting Reference > Scripting Properties > wideNarrowRatio
wideNarrowRatio
Specifies a ratio of wide bar to narrow bar in supported barcodes.
The allowable range of ratios varies between barcode formats and also, for hardware barcodes, the output device. The template must not specify a value outside the allowable range. The parser ignores this property for barcode formats which do not allow a variable ratio of wide to narrow bar widths.
Syntax
Reference_Syntax.wideNarrowRatio = "3:1 | wide[:narrow]"
Values
Type
Values
String
•
3:1 (default)
Any valid ratio that uses the syntax:
•
wide[:narrow]
where wide is a positive number representing the numerator of the ratio, and narrow is an optional positive number representing the denominator of the ratio.
If narrow is not supplied it defaults to 1.
Applies to
Model
Object
Form Model
barcode
Version
XFA 2.1
Examples
JavaScript
Barcode1.resolveNode("ui.#barcode").wideNarrowRatio = "5:1";
FormCalc
Barcode1.ui.#barcode.wideNarrowRatio = "5:1"


wordCharacterCount

Scripting > Scripting Reference > Scripting Properties > wordCharacterCount
wordCharacterCount
Specifies the minimum number of grapheme clusters that must be present in a word in order for it to be eligible for hyphenation. Words with fewer clusters will not be hyphenated.
Syntax
Reference_Syntax.wordCharacterCount = "integer"
Values
Type
Values
Integer
A valid integer representing the number of grapheme clusters. The default value is 7.
Applies to
Model
Object
Form Model
hyphenation
Version
XFA 2.8


wordSpacingMaximum

Scripting > Scripting Reference > Scripting Properties > wordSpacingMaximum
wordSpacingMaximum
Specifies the maximum inter-word percentage space when text is justified, hyphenation is enabled, or both.
If the maximum space is specified or defaulted to be less than the optimal word spacing, the specified maximum space is ignored and the optimal space value is used for the maximum.
Syntax
Reference_Syntax.wordSpacingMaximum = "[0..100]%"
Values
Type
Values
String
A percentage value between 0 and 100. The default value is 100%.
Applies to
Model
Object
Form Model
draw
exclGroup
field
para
subform
Version
XFA 2.8
Examples
JavaScript
TextField1.para.wordSpacingMaximum = "40%";
FormCalc
TextField1.para.wordSpacingMaximum = "40%"


wordSpacingMinimum

Scripting > Scripting Reference > Scripting Properties > wordSpacingMinimum
wordSpacingMinimum
Specifies the minimum inter-word percentage space when text is justified, hyphenation is enabled, or both.
If the minimum space is specified or defaulted to be greater than the optimal word spacing, the specified minimum space is ignored and the optimal space value is used for the minimum.
Syntax
Reference_Syntax.wordSpacingMinimum = "[0..100]%"
Values
Type
Values
String
A percentage value between 0 and 100. The default value is 100%.
Applies to
Model
Object
Form Model
draw
exclGroup
field
para
subform
Version
XFA 2.8
Examples
JavaScript
TextField1.para.wordSpacingMinimum = "40%";
FormCalc
TextField1.para.wordSpacingMinimum = "40%"


wordSpacingOptimum

Scripting > Scripting Reference > Scripting Properties > wordSpacingOptimum
wordSpacingOptimum
Specifies the optimal percentage width of an inter-word space when text is justified, hyphenation is enabled, or both.
Syntax
Reference_Syntax.wordSpacingOptimum = "[0..100]%"
Values
Type
Values
String
A percentage value between 0 and 100. The default value is 100%.
Applies to
Model
Object
Form Model
draw
exclGroup
field
para
subform
Version
XFA 2.8
Examples
JavaScript
TextField1.para.wordSpacingOptimum = "80%";
FormCalc
TextField1.para.wordSpacingOptimum = "80%"


x

Scripting > Scripting Reference > Scripting Properties > x
x
Specifies the X coordinate of the container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
Containers with flowed content do not use x coordinates.
Syntax
Reference_Syntax.x = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement value.
Applies to
Model
Object
Form Model
area
contentArea
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.x = "5in";
FormCalc
TextField.x = "5in"


xdpContent

Scripting > Scripting Reference > Scripting Properties > xdpContent
xdpContent
Controls what subset of the data is submitted. This property is used only when the format property is xdp.
Syntax
Reference_Syntax.xdpContent = "string"
Values
Type
Values
String
•
datasets pdf xfdf (default)
Submits objects with the tags datasets, pdf, and xfdf to the host.
•
tag1 tag2 ... tagN
Submits objects with tags matching any of the specified tags.
•
* (asterisk)
Submits all data objects to the host.
Applies to
Model
Object
Form Model
submit
Version
XFA 2.1
Examples
JavaScript
Button1.resolveNode("#event.#submit").xdpContent = "*"
FormCalc
Button1.#event.#submit.xdpContent = "*"


y

Scripting > Scripting Reference > Scripting Properties > y
y
Specifies the Y coordinate of a container’s anchor point relative to the top-left corner of the parent container when placed with positioned layout.
Containers with flowed content do not use y coordinates.
Syntax
Reference_Syntax.y = "0in | measurement"
Values
Type
Values
String
•
0in (default)
•
Any valid measurement value.
Applies to
Model
Object
Form Model
area
contentArea
draw
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.y = "5in";
FormCalc
TextField.y = "5in"


Scripting Methods

Scripting > Scripting Reference > Scripting Methods
Scripting Methods
absPage
absPageCount
absPageCountInBatch
absPageInBatch
absPageSpan
addInstance
addItem
addNew
append
applyXSL
assignNode
beep
boundItem
cancel
cancelBatch
clear
clearErrorList
clearItems
clone
close
createNode
delete (FormCalc Only)
deleteItem
deleteRecord
documentCountInBatch
documentInBatch
emit
enumerate
evaluate
execCalculate
execEvent
execInitialize
execute
execValidate
exportData
first
formNodes
getAttribute
getDelta
getDeltas
getDisplayItem
getElement
getFocus
getItemState
getSaveItem
gotoRecord
gotoURL
h
hasDataChanged
importData
insert
insertInstance
isBOF
isCompatibleNS
isEOF
isPropertySpecified
isRecordGroup
item
last
loadXML
messageBox
metadata
moveCurrentRecord
moveInstance
namedItem
next
open
openList
page
pageContent
pageCount
pageDown
pageSpan
pageUp
previous
print
recalculate
record
relayout
relayoutPageArea
remerge
remove
removeAttribute
removeInstance
requery
reset
resetData
resolveNode
resolveNodes
response
restore
resync
saveFilteredXML
saveXML
selectedMember
setAttribute
setElement
setFocus
setInstances
setItems
setItemState
sheet
sheetCount
sheetCountInBatch
sheetInBatch
sign
update
updateBatch
verify
w
x
y
This section provides an alphabetical list of all methods supported in this scripting environment.
Each host, such as Acrobat and Adobe Reader is responsible for implementing the available methods. Some methods, such as beep, do not make sense on a server. The server does not implement these methods and instead can output an error message if a user tries to call the method.


absPage

Scripting > Scripting Reference > Scripting Methods > absPage
absPage
Determines the page of the form that a given form design object first appears on.
Syntax
Reference_Syntax.absPage( OBJECT param )
Parameters
param
The fully qualified reference syntax expression of one of the following form design objects: field, draw, subform, area, pageArea, contentArea.
Returns
An integer representing the page of the form (0-based).
Note:
If a subform is hidden, the fields residing in it will not be found and the method does not return the page number. However, if the subform is visible but the fields in it are hidden, the method returns the page number on which fields reside.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
TextField2.rawValue = xfa.layout.absPage(this);
FormCalc
TextField2 = xfa.layout.absPage($)


absPageCount

Scripting > Scripting Reference > Scripting Methods > absPageCount
absPageCount
Determines the page count of the current form.
Syntax
Reference_Syntax.absPageCount()
Parameters
None
Returns
An integer representing the number of pages in the current form.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
TextField2.rawValue = xfa.layout.absPageCount();
FormCalc
TextField2 = xfa.layout.absPageCount()


absPageCountInBatch

Scripting > Scripting Reference > Scripting Methods > absPageCountInBatch
absPageCountInBatch
Determines the page count of the current batch.
Syntax
Reference_Syntax.absPageCountInBatch()
Parameters
None
Returns
An integer representing the page count of the current batch.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1


absPageInBatch

Scripting > Scripting Reference > Scripting Methods > absPageInBatch
absPageInBatch
Determines which page within the batch contains the form object.
Syntax
Reference_Syntax.absPageInBatch( OBJECT param )
Parameters
param
The fully qualified reference syntax expression of one of the following form objects: field, draw, subform, area, pageArea, contentArea.
Returns
An integer representing the page number that contains the form object.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.5


absPageSpan

Scripting > Scripting Reference > Scripting Methods > absPageSpan
absPageSpan
Determines the number of pages that a specified form object spans.
Syntax
Reference_Syntax.absPageSpan( OBJECT param )
Parameters
param
The fully qualified reference syntax expression of one of the following form objects: field, draw, subform, area, pageArea, contentArea.
Returns
An integer representing the number of pages the specified form object spans.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.absPageSpan(Subform1);
FormCalc
xfa.layout.absPageSpan(Subform1)


addInstance

Scripting > Scripting Reference > Scripting Methods > addInstance
addInstance
Adds a new instance of a subform or subform set to the form model.
Syntax
Reference_Syntax.addInstance( BOOLEAN param )
Parameters
param (Optional)
Indicates if the new subform or subform set has a corresponding data value in the data model.
•
true | 1 (JavaScript) or 1 (FormCalc)(default)
Merge the new subform or subform set with the data model.
•
false | 0 (JavaScript) or 0 (FormCalc)
Do not perform a merge operation.
Returns
The new form object, or null if no object was added.
Applies to
Model
Object
Form Model
instanceManager
Version
XFA 2.1
Examples
JavaScript
Subform1.instanceManager.addInstance(1);
FormCalc
Subform1.instanceManager.addInstance(1)


addItem

Scripting > Scripting Reference > Scripting Methods > addItem
addItem
Adds new items to the current form field. For example, this method adds new items to a drop-down list.
Syntax
Reference_Syntax.addItem( STRING param1 [, STRING param2 ] )
Parameters
param1
A valid string representing the value to display in the field.
param2 (Optional)
A valid string representing the new item’s bound value. If empty, the default value is an empty string.
Returns
Empty
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
DropDownList1.addItem("Human Resources");
FormCalc
DropDownList1.addItem("Human Resources")


addNew

Scripting > Scripting Reference > Scripting Methods > addNew
addNew
Appends a new record to the record set.
Syntax
Reference_Syntax.addNew()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.addNew();
FormCalc
xfa.sourceSet.dataConnectionName.addNew();


append

Scripting > Scripting Reference > Scripting Methods > append
append
Appends a node to the end of the node list.
Syntax
Reference_Syntax.append( OBJECT param )
Parameters
param
A valid reference syntax expression representing the node to be appended.
Returns
Empty
Applies to
list class
Version
XFA 2.1
Examples
JavaScript
// Append a data group node to another data model node.
xfa.record.nodes.append(oGroupNode);
FormCalc
// Append a data group node to another data model node.
xfa.record.nodes.append(oGroupNode)


applyXSL

Scripting > Scripting Reference > Scripting Methods > applyXSL
applyXSL
Applies an XSL transformation to the XML representation of the current node. It is equivalent to calling saveXML and transforming the result with the specified XSL document.
Syntax
Reference_Syntax.applyXSL( STRING param )
Parameters
param
A valid string representing the XSL transformation input to apply.
Returns
A valid string representing the result of the XSL transformation.
Applies to
node class
Version
XFA 2.1


assignNode

Scripting > Scripting Reference > Scripting Methods > assignNode
assignNode
Evaluates the reference syntax expression using the current context and sets the value of the found node. If the node doesn’t exist, it can be created.
Syntax
Reference_Syntax.assignNode( STRING param1 [, STRING param2 [, INTEGER param3 ] ] )
Parameters
param1
A valid string representing a reference syntax expression that points to a particular node.
param2 (Optional)
A valid string representing the value to assign to the node.
param3 (Optional)
An integer value representing the action to take when creating new nodes. The following are the valid parameter values:
•
0
If the node exists, the value is updated. If the node doesn’t exist, it is created.
•
1
If the node exists, an error will be thrown. If the node doesn’t exist, it is created.
•
2
If the node exists, no action is taken. If the node doesn’t exist, it is created.
•
3
A new node is always created.
Returns
An object corresponding to the specified node.
Applies to
node class
Version
XFA 2.1


beep

Scripting > Scripting Reference > Scripting Methods > beep
beep
Causes the system to play a sound. It is available only for client applications.
Syntax
Reference_Syntax.beep( [ INTEGER param ] )
Parameters
param (Optional)
The system code for the appropriate sound. Each system code corresponds to a specific Windows program event.
•
0 (Error) - Corresponds to the Critical Stop program event.
•
1 (Warning) - Corresponds to the Exclamation program event.
•
2 (Question) - Corresponds to the Question program event.
•
3 (Status) - Corresponds to the Asterisk program event.
•
4 (Default) - Corresponds to the Default Beep program event.
Note:
To view the list of Windows program events, click Start > Settings > Control Panel > Sounds and Audio Devices, and then click the Sounds tab. The Program Events list displays a list of system events. Events marked with a speaker icon have an associated sound.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.beep("3");
FormCalc
xfa.host.beep("3")


boundItem

Scripting > Scripting Reference > Scripting Methods > boundItem
boundItem
Gets the bound value of a specific display item of a drop-down list or list box.
Syntax
Reference_Syntax.boundItem( STRING param )
Parameters
param
A valid string representing the display value that appears in the list box or drop-down list.
Returns
A valid string representing the bound value of a specified display value.
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
DropDownList1.boundItem("Text");
FormCalc
DropDownList1.boundItem("Text")


cancel

Scripting > Scripting Reference > Scripting Methods > cancel
cancel
Cancels any changes made to the current or new row of a record set object, or the field collection of a record object, prior to calling the update method.
Syntax
Reference_Syntax.cancel()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.cancel();
FormCalc
xfa.sourceSet.dataConnectionName.cancel()


cancelBatch

Scripting > Scripting Reference > Scripting Methods > cancelBatch
cancelBatch
Cancels a pending batch update.
Syntax
Reference_Syntax.cancelBatch()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1


clear

Scripting > Scripting Reference > Scripting Methods > clear
clear
Removes a given signature.
Syntax
Reference_Syntax.clear( OBJECT param1 [, BOOLEAN param2 ] )
Parameters
param1
input
A valid XML signature node.
param2 (Optional)
input (Optional)
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Displays a confirmation dialog box indicating that the signature field is cleared.
•
false | 0 (JavaScript) or 0 (FormCalc)
Does not display a confirmation dialog box indicating that the signature field is cleared.
Returns
True if the signature was removed successfully, False if the signature was not removed successfully, or an exception if the node specified in param1 is not a signature node.
Applies to
Model
Object
Signature Model
signaturePseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.signature.clear(SignatureField1, 0);
FormCalc
xfa.signature.clear(SignatureField1, 0)


clearErrorList

Scripting > Scripting Reference > Scripting Methods > clearErrorList
clearErrorList
Removes all items from the current error log.
Syntax
Reference_Syntax.clearErrorList()
Parameters
None
Returns
Empty
Applies to
model class
Version
XFA 2.1


clearItems

Scripting > Scripting Reference > Scripting Methods > clearItems
clearItems
Removes all the items from the field. For example, it removes all the items contained within a drop-down list or a list box.
Syntax
Reference_Syntax.clearItems()
Parameters
None
Returns
Empty
Applies to
Model
Object
Form Model
field
Version
XFA 2.1
Examples
JavaScript
DropDownList1.clearItems();
FormCalc
DropDownList1.clearItems()


clone

Scripting > Scripting Reference > Scripting Methods > clone
clone
Makes a copy of an object.
Syntax
Reference_Syntax.clone( BOOLEAN param )
Parameters
param
A Boolean value indicating if cloning should occur recursively.
•
true | 1 (JavaScript) or 1 (FormCalc) (Default)
Clone the object recursively.
•
false | 0 (JavaScript) or 0 (FormCalc)
Do not clone the object recursively.
Returns
The duplicate copy of the object.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
xfa.record.NewGroupNode.clone(1);
FormCalc
xfa.record.NewGroupNode.clone(1)


close

Scripting > Scripting Reference > Scripting Methods > close
close
Closes a connection to a data source.
Syntax
Reference_Syntax.close()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.nodes.item(nIndex).close();
FormCalc
xfa.sourceSet.nodes.item(nIndex).close()


createNode

Scripting > Scripting Reference > Scripting Methods > createNode
createNode
Creates a new node based on a valid class name.
Note:
You cannot use the createNode method to create any of the following XML Form Object Model objects:
•
area
•
draw
•
exclGroup
•
pageArea
•
pageSet
•
subform
•
subformSet
Syntax
Reference_Syntax.createNode( STRING param1 [, STRING param2 [, STRING param3 ] ] )
Parameters
param1
A valid string representing the class name of the object to create.
param2 (Optional)
A valid string representing the name to assign to the node. If empty, the value of this parameter defaults to an empty string.
param3 (Optional)
A valid string representing the XML namespace that the created node will exist in. If empty, the value of this parameter defaults to an empty string.
Returns
An object representing a valid node.
Applies to
model class.
Version
XFA 2.1
Examples
JavaScript
// Create a node of type dataGroup.
var oGroupNode = xfa.datasets.createNode("dataGroup", "NewGroupNode");
FormCalc
// Create a node of type dataGroup.
var oGroupNode = xfa.datasets.createNode("dataGroup", "NewGroupNode")


delete (FormCalc Only)

Scripting > Scripting Reference > Scripting Methods > delete (FormCalc Only)
delete (FormCalc Only)
Deletes the current record from the record set.
Syntax
Reference_Syntax.delete()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Example
FormCalc
xfa.sourceSet.dataConnectionName.delete()


deleteItem

Scripting > Scripting Reference > Scripting Methods > deleteItem
deleteItem
Deletes the specified item.
Syntax
Reference_Syntax.deleteItem( INTEGER param )
Parameters
param
A valid integer representing the zero-based index into the item.
Returns
True if the item was deleted and false if it was not deleted.
Applies to
Model
Object
Form Model
field
Version
XFA 2.5
JavaScript
ListBox1.deleteItem(ListBox1.selectedIndex);
FormCalc
ListBox1.deleteItem(ListBox1.selectedIndex)


deleteRecord

Scripting > Scripting Reference > Scripting Methods > deleteRecord
deleteRecord
Deletes the current record from the record set.
Syntax
Reference_Syntax.deleteRecord( )
Parameters
None
Returns
Empty.
Applies to
Model
Object
Form Model
field
Version
XFA 2.5
JavaScript
xfa.sourceSet.dataConnectionName.deleteRecord();
FormCalc
xfa.sourceSet.dataConnectionName.deleteRecord()


documentCountInBatch

Scripting > Scripting Reference > Scripting Methods > documentCountInBatch
documentCountInBatch
Determines the number of documents in the current batch.
Syntax
Reference_Syntax.documentCountInBatch()
Parameters
None
Returns
An integer representing the total number of documents in the batch. Hosts that do not support batching return 1.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.5


documentInBatch

Scripting > Scripting Reference > Scripting Methods > documentInBatch
documentInBatch
Determines the ordinal number of the current document within the batch.
Syntax
Reference_Syntax.documentInBatch()
Parameters
None
Returns
An integer representing a physical document number (zero based). Hosts that do not support batching return 0.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.5


emit

Scripting > Scripting Reference > Scripting Methods > emit
emit
Notifies the form event manager that an event has occurred.
Syntax
Reference_Syntax.emit()
Parameters
None
Returns
Empty
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.emit();
FormCalc
xfa.event.emit()


enumerate

Scripting > Scripting Reference > Scripting Methods > enumerate
enumerate
Enumerates all the XML signatures found in the document.
Syntax
Reference_Syntax.enumerate()
Parameters
None
Returns
An object representing an XFA node list of all the XML signature nodes.
Applies to
Model
Object
Signature Model
signaturePseudoModel
Version
XFA 2.1


evaluate

Scripting > Scripting Reference > Scripting Methods > evaluate
evaluate
Gets the list of objects referred to in the manifest.
Syntax
Reference_Syntax.evaluate()
Parameters
None
Returns
An object representing the list of objects.
Applies to
Model
Object
Form Model
manifest
Version
XFA 2.1


execCalculate

Scripting > Scripting Reference > Scripting Methods > execCalculate
execCalculate
Executes the calculate script of the field.
Syntax
Reference_Syntax.execCalculate()
Parameters
None
Returns
Empty
Applies to
Model
Object
Form Model
exclGroup
field
form
manifest
subform
Version
XFA 2.1
Examples
JavaScript
TextField1.execCalculate();
FormCalc
TextField1.execCalculate()


execEvent

Scripting > Scripting Reference > Scripting Methods > execEvent
execEvent
Executes the event script of the object.
Syntax
Reference_Syntax.execEvent( STRING param )
Parameters
param
A valid string representing the name of the event to execute.
Returns
Empty
Applies to
Model
Object
Form Model
exclGroup
field
subform
Version
XFA 2.1
Examples
JavaScript
Button1.execEvent("click");
FormCalc
Button1.execEvent("click")


execInitialize

Scripting > Scripting Reference > Scripting Methods > execInitialize
execInitialize
Executes the initialize script of the field.
Syntax
Reference_Syntax.execInitialize()
Parameters
None
Returns
Empty
Applies to
Model
Object
Form Model
exclGroup
field
form
manifest
subform
Version
XFA 2.1
Examples
JavaScript
Subform1.execInitialize();
FormCalc
Subform1.execInitialize()


execute

Scripting > Scripting Reference > Scripting Methods > execute
execute
Executes a connection.
Syntax
Reference_Syntax.execute( BOOLEAN param )
Parameters
param
•
true | 1 (JavaScript) or 1 (FormCalc) (Default)
Forces the remerging of the form design and the imported WSDL data.
•
false | 0 (JavaScript) or 0 (FormCalc)
Imports the WSDL data into current Form without merging it with the form design.
Returns
True if the connection was executed successfully, and false if it is unsuccessful.
Applies to
Model
Object
connectionSet Model
wsdlConnection
Version
XFA 2.1


execValidate

Scripting > Scripting Reference > Scripting Methods > execValidate
execValidate
Executes the validate script of the field.
Syntax
Reference_Syntax.execValidate()
Parameters
None
Returns
Empty
Applies to
Model
Object
Form Model
field
form
manifest
subform
Version
XFA 2.1
Examples
JavaScript
NumericField1.execValidate();
FormCalc
NumericField1.execValidate()


exportData

Scripting > Scripting Reference > Scripting Methods > exportData
exportData
Exports the data from the current form in either XDP or XML format to a file.
For security reasons, if you provide the first parameter, the exportData method executes only when performed on certified documents. If you do not provide the first parameter, the document does not need to be certified and the user is prompted to provide a location and file name.
Syntax
Reference_Syntax.exportData( [ STRING param1 [, BOOLEAN param2 ] ])
Parameters
param1 (Optional)
Specifies the location and file name of the file where the data will export. If you omit this parameter, a dialog box opens to let the user select the file manually.
Note:
This parameter is only valid on certified documents where the user has sufficient permissions.
param2 (Optional)
Specifies the export format for the data.
•
true | 1 (JavaScript) or 1 (FormCalc) (Default)
Export to XDP format.
•
false | 0 (JavaScript) or 0 (FormCalc)
Export plain XML data.
Note:
To change the export type without specifying a file name, you must provide an empty string as the first parameter. For example:
xfa.host.exportData("",0); //JavaScript
xfa.host.exportData("", 0) //FormCalc
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.exportData("filename.xdp");
FormCalc
xfa.host.exportData("filename.xdp")


first

Scripting > Scripting Reference > Scripting Methods > first
first
Moves to the first record in the record set, and populates the data model with the record data.
Note:
The data connection method xfa.sourceSet.DataConnection.first looks up a table and updates the table if the data has changed. It uses the hasDataChanged method to determine whether the data has changed.
Syntax
Reference_Syntax.first()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.first();
FormCalc
xfa.sourceSet.dataConnectionName.first()


formNodes

Scripting > Scripting Reference > Scripting Methods > formNodes
formNodes
Returns a list of all form model objects that are bound to a specified data object.
Syntax
Reference_Syntax.formNodes( OBJECT param )
Parameters
param
A valid reference syntax expression representing a data model object.
Returns
An object representing the list of all form model objects that have a relationship with the specified data object.
Applies to
Model
Object
Form Model
form
Version
XFA 2.1


getAttribute

Scripting > Scripting Reference > Scripting Methods > getAttribute
getAttribute
Gets a specified property value.
Syntax
Reference_Syntax.getAttribute( STRING param )
Parameters
param
A valid string representing the name of the property to retrieve.
Returns
A valid string representing the value of the property.
Applies to
Model
Object
XFA Model
packet
Also applies to the node class.
Version
XFA 2.1
Examples
JavaScript
var sBOFBackup = oDB.nodes.item(nIndex).query.recordSet.getAttribute("bofAction");
FormCalc
var sBOFBackup = oDB.nodes.item(nIndex).query.recordSet.getAttribute("bofAction")


getDelta

Scripting > Scripting Reference > Scripting Methods > getDelta
getDelta
Gets a delta script object for a specific property.
Syntax
Reference_Syntax.getDelta( STRING param )
Parameters
param
A string representing the reference syntax to a property.
Returns
A valid object representing a delta script object.
Applies to
container class
Version
XFA 2.5


getDeltas

Scripting > Scripting Reference > Scripting Methods > getDeltas
getDeltas
Recursively gets all the deltas script objects for this container object and all its descendants.
Note:
Depending on the number of deltas script objects, this method can negatively affect the run time performance of your form.
Syntax
Reference_Syntax.getDeltas( )
Parameters
None
Returns
A valid object representing a deltas script object.
Applies to
container class
Version
XFA 2.5


getDisplayItem

Scripting > Scripting Reference > Scripting Methods > getDisplayItem
getDisplayItem
Retrieves the item display text for the specified item index.
Syntax
Reference_Syntax.getDisplayItem( INTEGER param )
Parameters
param1
An integer representing the zero-based index into the item.
Returns
A valid string representing the text of the item or null if no display item exists.
Applies to
Model
Object
Form Model
field
Version
XFA 2.5


getElement

Scripting > Scripting Reference > Scripting Methods > getElement
getElement
Returns a specified child object.
Note:
This method returns only child objects that are not container objects, such as field or subform.
Syntax
Reference_Syntax.getElement( STRING param1 [, INTEGER param2 ] )
Parameters
param1
A valid string representing the name of the object to retrieve.
param2 (Optional)
An integer value representing the instance of the object to retrieve.
Returns
The specified object.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
Subform1.getElement("border");
FormCalc
Subform1.getElement("border")


getFocus

Scripting > Scripting Reference > Scripting Methods > getFocus
getFocus
Finds and returns the form object that currently has the input focus.
Syntax
Reference_Syntax.getFocus()
Parameters
None
Returns
The form object that currently has the input focus, or null if no form object has the input focus.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.6


getItemState

Scripting > Scripting Reference > Scripting Methods > getItemState
getItemState
Returns the selection state of the specified item.
Syntax
Reference_Syntax.getItemState( INTEGER param )
Parameters
param
A valid integer representing the zero-based index into the item.
Returns
True if the item was selected and false if it was not selected.
Applies to
Model
Object
Form Model
field
Version
XFA 2.5


getSaveItem

Scripting > Scripting Reference > Scripting Methods > getSaveItem
getSaveItem
Retrieves the data value for the specified item index.
Syntax
Reference_Syntax.getSaveItem( INTEGER param )
Parameters
param
A valid integer representing the zero-based index into the item.
Returns
A valid string representing the text of the data item or null if no data item exists.
Applies to
Model
Object
Form Model
field
Version
XFA 2.5


gotoRecord

Scripting > Scripting Reference > Scripting Methods > gotoRecord
gotoRecord
Moves the current record of the data window to a particular record within the range of records in the data.
Syntax
Reference_Syntax.gotoRecord( INTEGER param )
Parameters
param
A valid integer value representing the specified record in the range of records.
Returns
Empty
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.gotoRecord(2);
FormCalc
xfa.dataWindow.gotoRecord(2)
For an example of using the gotorecord method to browse data records, see the example Browsing records stored in a data file available at www.adobe.com/go/dev_lc_scripting_samples.


gotoURL

Scripting > Scripting Reference > Scripting Methods > gotoURL
gotoURL
Retrieves the specified URL. It is available only for client applications.
Syntax
Reference_Syntax.gotoURL( STRING param1 [, BOOLEAN param2 ] )
Parameters
param1
A valid string representing a fully qualified or a relative URL. It is possible to include a query string at the end of the URL.
If the form is being viewed inside a browser or Acrobat Capture® is not available, the Weblink plug-in retrieves the requested URL. If the form is running inside Acrobat, the URL of the current document is obtained either from the document’s base URL, from the URL of page 0 (if the document was Web Captured), or from the file system.
param2 (Optional)
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Appends the resulting pages to the current document.
•
false | 0 (JavaScript) or 0 (FormCalc)
This flag is false if the document is running inside the web browser, the Acrobat Capture plug-in is not available, or if the URL is of type ‘file:///’.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.gotoURL("http://www.adobe.com");
FormCalc
xfa.host.gotoURL("http://www.adobe.com")


h

Scripting > Scripting Reference > Scripting Methods > h
h
Determines the height of a given form design object.
Syntax
Reference_Syntax.h( OBJECT param1 [, STRING param2 [, INTEGER param3 ] ] )
Parameters
param1
The fully qualified reference syntax expression of one of the following container XML Form Object Model objects: area, contentArea, draw, field, pageArea, subform.
param2 (Optional)
A string representing the unit type of the return value. If left blank, the default unit type is points.
param3 (Optional)
An integer representing the amount to offset the height value of a form design object, beginning with the first page the object occurs on. If left blank, the default value is 0.
Returns
The height of the form design object.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.h(TextField1,"in");
FormCalc
xfa.layout.h(TextField1,"in")


hasDataChanged

Scripting > Scripting Reference > Scripting Methods > hasDataChanged
hasDataChanged
Determines whether the current record data has changed.
This method is a pre-commit test of the active record. It compares the current record data with the record data from the current data source. If the data has changed, then this method returns true.
Note:
The data connection methods xfa.sourceSet.DataConnection.first, xfa.sourceSet.DataConnection.next, xfa.sourceSet.DataConnection.previous, and xfa.sourceSet.DataConnection.last perform an implicit update if the data has changed.
Syntax
Reference_Syntax.hasDataChanged()
Parameters
None
Returns
True if the data has changed, and false if the data has not changed.
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1


importData

Scripting > Scripting Reference > Scripting Methods > importData
importData
Imports data to the current form from a specified file.
For security reasons, if you provide the parameter, the importData method executes only when performed on certified documents. If you do not provide the parameter, the document does not need to be certified and the user is prompted to provide a location and file name.
Syntax
Reference_Syntax.importData( [ STRING param ] )
Parameters
param (Optional)
A valid string representing the location and name of the file from which the data will be imported. If you omit this parameter, a dialog box opens to let the user select the file manually.
Note:
This parameter is valid only on certified documents where the user has sufficient permissions.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.importData("filename.xdp");
FormCalc
xfa.host.importData("filename.xdp")


insert

Scripting > Scripting Reference > Scripting Methods > insert
insert
Inserts a node before a specific node in the node list.
Syntax
Reference_Syntax.insert( OBJECT param1, OBJECT param2 )
Parameters
param1
A valid reference syntax expression representing the node to be inserted.
param2
A valid reference syntax expression representing the node to insert before.
Returns
Empty
Applies to
list class
Version
XFA 2.1
Examples
JavaScript
xfa.datasets.connectionData.DataConnection.nodes.insert(oHeader,oFirst);
FormCalc
xfa.datasets.connectionData.DataConnection.nodes.insert(oHeader,oFirst)


insertInstance

Scripting > Scripting Reference > Scripting Methods > insertInstance
insertInstance
Inserts a new instance of a subform or subform set into a form.
Syntax
Reference_Syntax.insertInstance( INTEGER param1 [, BOOLEAN param2 ] )
Parameters
param1
An integer specifying the zero-indexed position to insert the instance within a set of instances.
param2
(optional)
A Boolean value indicating if data should be merged with the new subform instance.
•
true | 1 (JavaScript) or 1 (FormCalc)
Merges the new subform instance with the available data.
•
false | 0 (JavaScript) or 0 (FormCalc)
The new subform instance is not merged with data.
Returns
An object representing the new instance of the subform or subform set.
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
Subform1.instanceManager.insertInstance(3, 0);
FormCalc
Subform1.instanceManager.insertInstance(3, 0)


isBOF

Scripting > Scripting Reference > Scripting Methods > isBOF
isBOF
Determines if the current location is at the beginning of the record set. The bofAction property must be set to stayBOF.
Syntax
Reference_Syntax.isBOF()
Parameters
None
Returns
True if the current location is at the beginning of the record set, and False if the current location is not at the beginning of the record set.
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.nodes.item(nIndex).isBOF();
FormCalc
xfa.sourceSet.nodes.item(nIndex).isBOF()


isCompatibleNS

Scripting > Scripting Reference > Scripting Methods > isCompatibleNS
isCompatibleNS
Determines if a specified namespace is functionally equivalent, that is compatible, with the namespace of this model. It determines if the two namespaces are equivalent, even though the strings that represent them may not be identical.
Syntax
Reference_Syntax.isCompatibleNS( STRING param )
Parameters
param
A valid string representing the namespace to compare.
Returns
True if the namespaces are equivalent and False if they are not compatible.
Applies to
model class
Version
XFA 2.1


isEOF

Scripting > Scripting Reference > Scripting Methods > isEOF
isEOF
Determines if the current location is at the end of the record set. The eofAction property must be set to stayEOF.
Syntax
Reference_Syntax.isEOF()
Parameters
None
Returns
True if the current location is at the end of the record set, and false if the current location is not at the end of the record set.
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.nodes.item(nIndex).isEOF();
FormCalc
xfa.sourceSet.nodes.item(nIndex).isEOF()


isPropertySpecified

Scripting > Scripting Reference > Scripting Methods > isPropertySpecified
isPropertySpecified
Checks if a specific property has been defined for this node.
Syntax
Reference_Syntax.isPropertySpecified( STRING param1 [, BOOLEAN param2 [, INTEGER param3 ] ] )
Parameters
param1
A valid string representing the name of the object property to search on.
param2 (Optional)
A Boolean value that indicates if inheritance from parent classes should be taken into consideration.
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Determines if this property is inherited from a parent class.
•
false | 0 (JavaScript) or 0 (FormCalc)
Determines if this property is defined for the current object, regardless of inheritance.
param3 (Optional)
An integer value specifying which occurrence of the property to examine. This parameter is only valid for those properties that can have multiple instances.
Returns
True if the property is specified and false if it is not specified.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
TextField1.isPropertySpecified("ui");
FormCalc
TextField1.isPropertySpecified("ui")


isRecordGroup

Scripting > Scripting Reference > Scripting Methods > isRecordGroup
isRecordGroup
Indicates if a particular dataGroup object is also a single record.
Syntax
Reference_Syntax.isRecordGroup( OBJECT param )
Parameters
param
A valid dataGroup object from the current data source.
Returns
True if the specified data group is also a single record, and false if it is not.
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.isRecordGroup(xfa.datasets.data.dataNodeName);
FormCalc
xfa.dataWindow.isRecordGroup(xfa.datasets.data.dataNodeName)


item

Scripting > Scripting Reference > Scripting Methods > item
item
Describes a zero-based index into the collection.
Syntax
Reference_Syntax.item( INTEGER param )
Parameters
param
A zero-based index into the collection.
Returns
An object representing an XFA tree.
Applies to
list class
Version
XFA 2.1


last

Scripting > Scripting Reference > Scripting Methods > last
last
Moves to the last record in the record set, and populates the data model with the record data.
Note:
The data connection method xfa.sourceSet.DataConnection.last looks up a table and updates the table if the data has changed. It uses the hasDataChanged method to determine whether the data has changed.
Syntax
Reference_Syntax.last()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.last();
FormCalc
xfa.sourceSet.dataConnectionName.last()


loadXML

Scripting > Scripting Reference > Scripting Methods > loadXML
loadXML
Loads and appends a specified XML document to the current object.
Syntax
Reference_Syntax.loadXML( STRING param1 [, BOOLEAN param2 [, BOOLEAN param3 ] ] )
Parameters
param1
A valid string representing the name of the XML document.
param2 (Optional)
A Boolean value indicating if the root node within the XML document should be ignored.
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Ignores the root node of the XML document, and appends the remaining XML nodes directly to the current XML Form Object Model object.
•
false | 0 (JavaScript) or 0 (FormCalc)
Appends the root node of the XML document directly to the current XML Form Object Model object.
param3 (Optional)
A Boolean value indicating if the data from the XML document should overwrite the information for the current XML Form Object Model object.
•
true | 1 (JavaScript) or 1 (FormCalc)
Replaces the content of the current XML Form Object Model object with the XML document data.
•
false | 0 (JavaScript) or 0 (FormCalc) (default)
Appends the XML document data to the current XML Form Object Model object.
Returns
Empty
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
xfa.datasets.data.loadXML(xmlData,0,1);
FormCalc
xfa.datasets.data.loadXML(xmlData,0,1)


messageBox

Scripting > Scripting Reference > Scripting Methods > messageBox
messageBox
Displays a dialog box on the screen. It is available only for client applications.
Syntax
Reference_Syntax.messageBox( STRING param1 [, STRING param2 [, INTEGER param3 [, INTEGER param4 ] ] ] )
Parameters
param1
A valid string representing the message to display.
param2 (Optional)
A valid string representing the title to appear in the title bar of the dialog window.
To help protect against internet spoofing, the dialog window title begins with the text “Warning: JavaScript Window -”. The window title that you specify in this parameter displays after the warning text.
param3 (Optional)
An integer representing the icon to display in the dialog box.
•
0 (Error) - This is the default.
•
1 (Warning)
•
2 (Question)
•
3 (Status)
param4 (Optional)
An integer representing the buttons to display.
•
0 (OK) - This is the default.
•
1 (OK, Cancel)
•
2 (Yes, No)
•
3 (Yes, No, Cancel)
While param2, param3, and param4 are optional, if you want to include a particular parameter, you must also include all of the preceding parameters. For example, the following JavaScript is incorrect:
xfa.host.messageBox("Hello World!",3,1);
In this case you must also specify a value for param2 for the JavaScript to execute correctly.
Returns
A valid integer representing the value of the button pressed by the user:
•
1 (OK)
•
2 (Cancel)
•
3 (No)
•
4 (Yes)
Caution:
In a rendered form guide, the return value of the messageBox method is always 0, regardless of what button the user selects.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.messageBox("This is a message", "This is a title", 3, 1);
FormCalc
xfa.host.messageBox("This is a message", "This is a title", 3, 1)


metadata

Scripting > Scripting Reference > Scripting Methods > metadata
metadata
Collects a comprehensive Extensible Metadata Platform (XMP) metadata packet for the document.
Any third-party metadata is collected and converted to XMP as follows:
•
All elements are given the namespace http://ns.adobe.com/xfa/promoted-desc/, with the suggested prefix desc:.
•
The value of the name object becomes the object name.
•
A desc:ref property qualifier is added, whose value is an XPath expression pointing back to the parent of the original desc. The order of desc objects within a single parent is not preserved. Multiple desc objects of the same name are not collected. Only the first desc object appears in the output.
•
Content under the desc object is converted as follows:
Object
XMP type
boolean
Boolean
date
Date
dateTime
Date
decimal
Real
exData
external: URI
embedded: Thumbnail
float
Real
image
external: URI
embedded: Thumbnail
integer
Integer
text
Text
time
Date
When the XDP file is rendered as a PDF file, the collected metadata is written to the PDF file’s XMP packet. Copies of the same metadata continue to exist in the XFA stream inside the PDF file.
Syntax
Reference_Syntax.metadata ( INTEGER param )
Parameters
param
(Optional) An integer representing the serialization format.
•
0 (RDF) (default)
•
1 (PlainXMP)
Returns
A valid string representing the XML serialization of the XMP metadata.
Applies to
Model
Object
Form Model
desc
Version
XFA 2.5


moveCurrentRecord

Scripting > Scripting Reference > Scripting Methods > moveCurrentRecord
moveCurrentRecord
Repositions the current record to another location within the range of records.
Syntax
Reference_Syntax.moveCurrentRecord( INTEGER param )
Parameters
param
A valid integer representing the number of records separating the current record and the desired destination record. A positive integer indicates a record between the current record and the end of the range of records, a negative value indicates a record between the current record and the beginning of the range.
Returns
Empty
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.moveCurrentRecord(1);
FormCalc
xfa.dataWindow.moveCurrentRecord(1)
For an example of using the moveCurrentrecord method to browse data records, see the example Browsing records stored in a data file available at www.adobe.com/go/dev_lc_scripting_samples.


moveInstance

Scripting > Scripting Reference > Scripting Methods > moveInstance
moveInstance
Moves a subform object within a set of subform instances.
The corresponding data model information for the subform is also relocated within the data model.
Syntax
Reference_Syntax.moveInstance( INTEGER param1, INTEGER param2 )
Parameters
param1
A valid integer representing the 0 based index position of the form model object to move.
param2
A valid integer representing the 0 based position of the child object within the set of instances.
Returns
Empty
Applies to
Model
Object
Form Model
instanceManager
Version
XFA 2.1
Examples
JavaScript
Subform1.instanceManager.moveInstance(0,6);
FormCalc
Subform1.instanceManager.moveInstance(0,6)


namedItem

Scripting > Scripting Reference > Scripting Methods > namedItem
namedItem
Gets the first child of this node with the given name.
Syntax
Reference_Syntax.namedItem( STRING param )
Parameters
param
A valid string representing the name of this node.
Returns
An object representing the first child of this node with the given name.
Applies to
treeList class
Version
XFA 2.1


next

Scripting > Scripting Reference > Scripting Methods > next
next
Moves to the next record in the record set, and populates the data model with the record data.
Note:
The data connection method xfa.sourceSet.DataConnection.next looks up a table and updates the table if the data has changed. It uses the hasDataChanged method to determine whether the data has changed.
Syntax
Reference_Syntax.next()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.next();
FormCalc
xfa.sourceSet.dataConnectionName.next()


open

Scripting > Scripting Reference > Scripting Methods > open
open
Connects to the data source and populates the data model with the results of the current record.
Syntax
Reference_Syntax.open()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.nodes.item(nIndex).open();
FormCalc
xfa.sourceSet.nodes.item(nIndex).open()


openList

Scripting > Scripting Reference > Scripting Methods > openList
openList
Opens the drop-down list specified by the reference syntax expression.
It is available only for client applications.
Syntax
Reference_Syntax.openList( OBJECT param )
Reference_Syntax.openList( STRING param ) (deprecated)
Parameters
param
A fully qualified reference syntax expression that specifies a drop-down list.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.6
XFA 2.1 (deprecated)


page

Scripting > Scripting Reference > Scripting Methods > page
page
Determines the page number that contains a given form design object. If the object spans multiple pages, this method returns the first page the object occurs on.
Syntax
Reference_Syntax.page( OBJECT param )
Parameters
param
The fully qualified reference syntax expression of one of the following a container form design objects: field, draw, subform, area, pageArea, contentArea.
Returns
An integer representing the logical page number (based on the initial page number) that contains the specified form object. This method returns 0 if the object specified in param cannot be found on the form.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.page(this);
FormCalc
xfa.layout.page($)


pageContent

Scripting > Scripting Reference > Scripting Methods > pageContent
pageContent
Retrieves types of form design objects from a specified page of a form.
Syntax
Reference_Syntax.pageContent( INTEGER param1 [, STRING param2 [, BOOLEAN param3 ] ] )
Parameters
param1
An integer representing the desired page number. This value is 0-based.
param2 (Optional)
Return the following types of containers:
•
field
Returns all of the following form design objects: Button, Check Box, Date/Time Field, Drop-down List, Signature Field, Image Field, List Box, Numeric Field, Password Field, Radio Button, and Text Field.
•
draw
Returns all of the following form design objects: Circle, Line, Rectangle, Static Image, and Static Text.
•
subform
Returns all subform form design objects.
•
area
Returns all area form design objects.
•
pageArea
Returns all pageArea form design objects.
•
contentArea
Returns all contentArea form design objects.
•
empty (default)
Returns all containers.
param3 (Optional)
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Returns only pageArea content nodes.
•
false | 0 (JavaScript) or 0 (FormCalc)
Returns all non-pageArea content nodes.
Returns
A collection of form design objects from the specified page number.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
// Get the fields in a document
var oFields = xfa.layout.pageContent(i, "field");
FormCalc
// Get the fields in a document
var oFields = xfa.layout.pageContent(i, "field")


pageCount

Scripting > Scripting Reference > Scripting Methods > pageCount
pageCount
Determines the number of pages of the current form.
Syntax
Reference_Syntax.pageCount()
Parameters
None
Returns
An integer representing the total number of pages of the form.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.pageCount();
FormCalc
xfa.layout.pageCount()


pageDown

Scripting > Scripting Reference > Scripting Methods > pageDown
pageDown
Moves to the next page of a form. Use the pageDown method at run time.
Syntax
Reference_Syntax.pageDown()
Parameters
None
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.pageDown();
FormCalc
xfa.host.pageDown()


pageSpan

Scripting > Scripting Reference > Scripting Methods > pageSpan
pageSpan
Determines the number of logical pages a given form design object spans.
Syntax
Reference_Syntax.pageSpan( OBJECT param )
Parameters
param
The fully qualified reference syntax expression of one of the following a container form design objects:
•
area
•
contentArea
•
draw
•
field
•
pageArea
•
subform
Returns
An integer representing the number of logical pages a form object spans. For example, consider an 8-page form with a form object that exists only on pages 2, 4, 5, and 6. In this case, using the pageSpan method on the form object returns a value of 5, which is the number of pages of the form the object spans.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.pageSpan(this);
FormCalc
xfa.layout.pageSpan($)


pageUp

Scripting > Scripting Reference > Scripting Methods > pageUp
pageUp
Moves to the previous page of a form. Use the pageUp method at run time.
Syntax
Reference_Syntax.pageUp()
Parameters
None
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.pageUp();
FormCalc
xfa.host.pageUp()


previous

Scripting > Scripting Reference > Scripting Methods > previous
previous
Moves to the previous record in the record set, and populates the data model with the record data.
Note:
The data connection method xfa.sourceSet.DataConnection.previous looks up a table and updates the table if the data has changed. It uses the hasDataChanged method to determine whether the data has changed.
Syntax
Reference_Syntax.previous()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.previous();
FormCalc
xfa.sourceSet.dataConnectionName.previous()


print

Scripting > Scripting Reference > Scripting Methods > print
print
Prints a specific number of pages from a document. It is available only for client applications.
Syntax
Reference_Syntax.print( BOOLEAN param1, INTEGER param2, INTEGER param3, BOOLEAN param4, BOOLEAN param5, BOOLEAN param6, BOOLEAN param7, BOOLEAN param8 )
Parameters
param1
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Displays a print dialog box and prompts the user for printing setup information and confirmation of the action.
•
false | 0 (JavaScript) or 0 (FormCalc)
Does not display a print dialog box. Printing proceeds without prompting the user for information or confirmation.
param2
A valid string representing the page number of the beginning of the range to print. Page values are 0-based, so you represent page 1 with a value of 0.
The start page is included in the printing.
param3
A valid string representing the page number of the end of the range to print. Page values are 0-based, so you represent page 1 with a value of 0.
The end page is included in the printing.
param4
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Does not display a cancel dialog box during the printing process.
•
false | 0 (JavaScript) or 0 (FormCalc)
Displays a cancel dialog box to stop the printing process.
param5
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Shrinks the page (if necessary) to fit within the imageable area of the printed page.
•
false | 0 (JavaScript) or 0 (FormCalc)
Does not shrink the page to fit within the imageable area of the printed page.
param6
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Prints each page as an image.
•
false | 0 (JavaScript) or 0 (FormCalc)
Prints each page as a page of text.
param7
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Prints the pages in reverse order.
•
false | 0 (JavaScript) or 0 (FormCalc)
Prints the pages in order.
param8
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Prints all annotations.
•
false | 0 (JavaScript) or 0 (FormCalc)
Does not print annotations.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.print(1, "0", "0", 0, 1, 0, 0, 0);
FormCalc
xfa.host.print(1, "0", "0", 0, 1, 0, 0, 0)


recalculate

Scripting > Scripting Reference > Scripting Methods > recalculate
recalculate
Forces a specific set of scripts located on calculate events to execute. The specific events can be either pending calculate events or all calculate events.
Syntax
Reference_Syntax.recalculate( BOOLEAN param )
Parameters
param
A Boolean value indicating which calculation scripts should execute.
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
All calculation scripts are re-executed.
•
false | 0 (JavaScript) or 0 (FormCalc)
Only pending calculation scripts should execute.
Returns
Empty
Applies to
Model
Object
Form Model
form
template
Version
XFA 2.1
Examples
JavaScript
xfa.form.recalculate(1);
FormCalc
xfa.form.recalculate(1)


record

Scripting > Scripting Reference > Scripting Methods > record
record
Returns a record in a position relative to the current record.
Syntax
Reference_Syntax.record( INTEGER param )
Parameters
param
A valid integer representing the number of records separating the current record and the desired destination record. A positive integer indicates a record between the current record and the end of the range of records, a negative value indicates a record between the current record and the beginning of the range.
Returns
Object
Applies to
Model
Object
Data Model
dataWindow
Version
XFA 2.1
Examples
JavaScript
xfa.dataWindow.record(0).dataNodeName.value;
FormCalc
xfa.dataWindow.record(0).dataNodeName.value


relayout

Scripting > Scripting Reference > Scripting Methods > relayout
relayout
Reapplies the layout options to the current form.
Syntax
Reference_Syntax.relayout()
Parameters
None
Returns
Empty
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.relayout();
FormCalc
xfa.layout.relayout()


relayoutPageArea

Scripting > Scripting Reference > Scripting Methods > relayoutPageArea
relayoutPageArea
Replaces the layout of the pageArea object content with a new layout.
Syntax
Reference_Syntax.relayoutPageArea( [ INTEGER param ] )
Parameters
param (Optional)
The page number of the page to substitute. Page number values are 0 based.
Returns
Empty
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.relayoutPageArea(0);
FormCalc
xfa.layout.relayoutPageArea(0)


remerge

Scripting > Scripting Reference > Scripting Methods > remerge
remerge
Forces the remerging of the data model and template model to re-create the form model. After the remerge is complete, any layout model processing must be redone if necessary for the completed form.
Syntax
Reference_Syntax.remerge()
Parameters
None
Returns
Empty
Applies to
Model
Object
Form Model
form
Version
XFA 2.1
Examples
JavaScript
xfa.form.remerge();
FormCalc
xfa.form.remerge()


remove

Scripting > Scripting Reference > Scripting Methods > remove
remove
Removes a node from the node list.
Syntax
Reference_Syntax.remove( OBJECT param )
Parameters
param
A valid reference syntax expression representing the node to be removed.
Returns
Empty
Applies to
list class
Version
XFA 2.1
Examples
JavaScript
xfa.record.nodes.remove(oNode);
FormCalc
xfa.record.nodes.remove(oNode)


removeAttribute

Scripting > Scripting Reference > Scripting Methods > removeAttribute
removeAttribute
Removes an XML attribute from a custom third-party XML packet that is added to the XML source of a form design.
Syntax
Reference_Syntax.removeAttribute( STRING param )
Parameters
param
A valid string representing the name of the property to remove.
Returns
Empty
Applies to
Model
Object
XFA Model
packet
Version
XFA 2.1
Examples
Using a custom XML packet named myCustomPacket with an attribute named id, you could remove the attribute using the following scripts:
JavaScript
xfa.myCustomPacket.removeAttribute("id");
FormCalc
xfa.myCustomPacket.removeAttribute("id")


removeInstance

Scripting > Scripting Reference > Scripting Methods > removeInstance
removeInstance
Removes a specified subform or subform set from the form model.
When removing a subform instance, avoid subform occurrence violations. You cannot remove a subform instance if it has reached the minimum number of instances. When a subform reaches the minimum number of instances, the JavaScript debugger displays an error message:
The element [min] has violated its allowable number of occurrences.
If the end user is allowed to remove every instance of a subform, reset the minimum number of instances to 0 before attempting to remove an instance. Otherwise, the script should prevent any attempt to remove subform instances beyond the minimum number.
Syntax
Reference_Syntax.removeInstance( INTEGER param )
Parameters
param
A valid integer representing the 0 based index position within the form model of the subform or subform set to remove.
Returns
Empty
Applies to
Model
Object
Form Model
instanceManager
Version
XFA 2.1
Examples
JavaScript
Subform2.instanceManager.removeInstance(3);
FormCalc
Subform2.instanceManager.removeInstance(3)


requery

Scripting > Scripting Reference > Scripting Methods > requery
requery
Updates the current data binding by re-executing the query on which the object data is based. Calling this method is equivalent to calling the close and open methods in succession.
Syntax
Reference_Syntax.requery()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1


reset

Scripting > Scripting Reference > Scripting Methods > reset
reset
Resets all of the properties within the XML form event model.
Syntax
Reference_Syntax.reset()
Parameters
None
Returns
Empty
Applies to
Model
Object
Event Model
eventPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.event.reset();
FormCalc
xfa.event.reset()


resetData

Scripting > Scripting Reference > Scripting Methods > resetData
resetData
Resets the fields to their default values within a document.
Syntax
Reference_Syntax.resetData([ STRING param ])
Parameters
param
(Optional)
A valid string listing either the names or the equivalent reference syntax expressions of the fields to reset. The list entries are delimited by the “,” (comma) character. If the string is not present or empty, all the fields in the form are reset to their default value.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.resetData("xfa.form.form1.TextField1,xfa.form.form1.TextField2");
FormCalc
xfa.host.resetData("xfa.form.form1.TextField1,xfa.form.form1.TextField2")


resolveNode

Scripting > Scripting Reference > Scripting Methods > resolveNode
resolveNode
Evaluates the specified reference syntax expression, beginning with the current XML form object model object, and returns the value of the object specified in the reference syntax expression.
The search for an object starts at a different point in the form hierarchy, depending on how the resolveNode property was accessed:
•
this.resolveNode() The search starts from the current object and moves up the form hierarchy.
•
xfa.resolveNode() The search starts at the top of the form hierarchy and moves down.
Note:
The search could return unexpected results if the form contains several objects that use the same name. It returns the value of the first object that it finds.
Syntax
Reference_Syntax.resolveNode( STRING param )
Parameters
param
A valid string representing a reference syntax expression that evaluates to a specific XML form object model object.
Returns
A single object corresponding to the reference syntax expression, if it exists. If no such object exists, this method returns null.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
xfa.resolveNode("#subform").x = "2in";
TextField1.resolveNode("ui.#textEdit").border.edge.stroke = "lowered";


resolveNodes

Scripting > Scripting Reference > Scripting Methods > resolveNodes
resolveNodes
Evaluates the specified reference syntax expression, beginning with the current XML form object model object, and returns the value of the object or objects specified in the reference syntax expression.
The search for an object starts at a different point in the form hierarchy, depending on how the resolveNode property was accessed:
•
this.resolveNodes() The search starts from the current object and moves up the form hierarchy.
•
xfa.resolveNodes() The search starts at the top of the form hierarchy and moves down.
Note:
The search could return unexpected results if the form contains several objects that use the same name. It returns the value of the first object that it finds.
Syntax
Reference_Syntax.resolveNodes( STRING param )
Parameters
param
A valid string representing a reference syntax expression that evaluates to one or many XML form object model objects.
Returns
An object or multiple objects corresponding to the reference syntax expression, if such objects exist. If no such objects exist, this method returns null.
Applies to
tree class
Version
XFA 2.1
Examples
JavaScript
xfa.resolveNodes("Subform1[*]");
FormCalc
xfa.resolveNodes("Subform1[*]")


response

Scripting > Scripting Reference > Scripting Methods > response
response
Displays a dialog box containing a question and an entry field for the user to reply to the question. The return value is a string containing the user's response. If the user presses the cancel button on the dialog box, the response is null.
Syntax
Reference_Syntax.response(STRING param1 [, STRING param2 [, STRING param3 [, BOOLEAN param4 ] ] ])
Parameters
param1
A valid string representing a question for the user.
param2 (Optional)
A valid string representing the title that appears in the title bar of the dialog box.
param3 (Optional)
A valid string representing the default value for the answer to the question.
param4 (Optional)
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Masks the user’s answer with * (asterisks).
•
false | 0 (JavaScript) or 0 (FormCalc)
Does not mask the user’s answer.
Returns
A string representing the user’s answer. If the user presses the cancel button on the dialog box, the answer is the null object.
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.host.response("Question", "Title", "Default Value");
FormCalc
xfa.host.response("Question", "Title", "Default Value")


restore

Scripting > Scripting Reference > Scripting Methods > restore
restore
Updates the property’s current value with the saved value.
The script should perform any required validations prior to calling the restore property.
Syntax
Reference_Syntax.restore()
Parameters
None
Returns
Null
Applies to
Model
Object
Form Model
delta
Version
XFA 2.5


resync

Scripting > Scripting Reference > Scripting Methods > resync
resync
Refreshes the current record set or data connection.
Syntax
Reference_Syntax.resync()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1


saveFilteredXML

Scripting > Scripting Reference > Scripting Methods > saveFilteredXML
saveFilteredXML
Saves the current node to a string, but includes only a subset of the child nodes.
Syntax
Reference_Syntax.saveFilteredXML( OBJECT param1 [, STRING param2 ] )
Parameters
param1
A manifest object that describes the subset of nodes to include in the string.
param2
(Optional)
A valid string representing how to print the resulting XML string. For example, use the string pretty to pretty-print the resulting XML string.
Returns
A valid string representing the XML fragment that includes only the specified subset of the current node.
Applies to
node class
Version
XFA 2.4


saveXML

Scripting > Scripting Reference > Scripting Methods > saveXML
saveXML
Saves the current node to a string.
Syntax
Reference_Syntax.saveXML()
Parameters
None
Returns
A valid string representing the XML fragment of the current object.
Applies to
node class
Version
XFA 2.1
Examples
JavaScript
xfa.data.saveXML();
FormCalc
xfa.data.saveXML()


selectedMember

Scripting > Scripting Reference > Scripting Methods > selectedMember
selectedMember
Returns the selected member of an exclusion group.
Syntax
Reference_Syntax.selectedMember( [ STRING param ] )
Parameters
param (Optional)
A valid string representing the name of the exclusion group member, provided the exclusion group member is within the same scope as the referencing object. Otherwise, a valid string representing the reference syntax expression of the exclusion group member to select.
Returns
The object representing the selected member of the exclusion group. In LiveCycle Designer ES, for example, this method would return the selected radio button.
Applies to
Model
Object
Form Model
exclGroup
Version
XFA 2.1


setAttribute

Scripting > Scripting Reference > Scripting Methods > setAttribute
setAttribute
Sets the value of a specified property.
Syntax
Reference_Syntax.setAttribute( STRING param1, STRING param2 )
Parameters
param1
A valid string representing the new value of the property.
param2
A valid string representing the name of the property.
Returns
Empty
Applies to
Model
Object
XFA Model
packet
Also applies to the node class.
Version
XFA 2.1
Examples
JavaScript
Subform1.border.setAttribute("open", "break");


setElement

Scripting > Scripting Reference > Scripting Methods > setElement
setElement
Sets a specified object to be the current object.
Syntax
Reference_Syntax.setElement( OBJECT param1 [, STRING param2 ] )
Parameters
param1
An object representing the new object.
param2 (Optional)
A valid string representing the name of the object to replace.
Returns
Empty
Applies to
node class
Version
XFA 2.1


setFocus

Scripting > Scripting Reference > Scripting Methods > setFocus
setFocus
Sets the keyboard focus to the form object specified by the reference syntax expression.
It is available only for client applications.
When the param1 argument is omitted or null, setFocus performs a clear focus operation. If any form object has the input focus, the focus is removed from that object and any pending edits in that object are committed, dirtying the document if appropriate. If committing the changes causes a validation error, that error is displayed. If no form object has the input focus, the zero-argument setFocus does nothing.
You cannot use setFocus with the form:ready, layout:ready, or initialize events.
Syntax
Reference_Syntax.setFocus( OBJECT param )
Reference_Syntax.setFocus( STRING param ) (deprecated)
Parameters
param
(Optional) A valid string representing a fully qualified reference syntax expression for the form object.
Returns
Empty
Applies to
Model
Object
Host Model
hostPseudoModel
Version
XFA 2.6
XFA 2. 1 (deprecated)
Examples
JavaScript
xfa.host.setFocus(xfa.form.form1.TextField1);
FormCalc
xfa.host.setFocus(xfa.form.form1.TextField1)


setInstances

Scripting > Scripting Reference > Scripting Methods > setInstances
setInstances
Adds or removes specified subforms or subform sets from the form model.
Syntax
Reference_Syntax.setInstance( INTEGER param )
Parameters
param
A valid integer representing the desired number of instances of a particular subform or subform set in the form model.
Returns
Empty
Applies to
Model
Object
Form Model
instanceManager
Version
XFA 2.1
Examples
JavaScript
Subform1.instanceManager.setInstances(5);
FormCalc
Subform1.instanceManager.setInstances(5)


setItems

Scripting > Scripting Reference > Scripting Methods > setItems
setItems
Adds new items and values to the current form field. For example, this method adds new items and values as arguments to a drop-down list.
Syntax
Reference_Syntax.setItems( STRING param1 [, INTEGER param2] )
Version
2.8
Parameters
param1
A list of items and values separated by a comma. For example, “One,Two,Three” or “One,1,Two,2,Three,3”. For items without values, leave the value blank. For example, “item1,value1,item2,,item3”.
param2
The number of columns per item. For example, the itemValueList string, "One,1,Two,2,Three,3" has numColumns=2. An itemValueList "One,Uno,1,Two,Due,2,Three,Tre,3" has numColumns=3 while an itemValueList "One,Two,Three" has numColumns=1. The value of 1 is the default.
Returns
True if the list was created successfully, False if the number of items do not match number of columns.
Applies to
Model
Object
Form Model
field
Version
XFA 2.8


setItemState

Scripting > Scripting Reference > Scripting Methods > setItemState
setItemState
Sets the selection state of the specified item.
Syntax
Reference_Syntax.setItemState( INTEGER param1, BOOL param2 )
Version
2.8
Parameters
param1
A valid integer representing the zero-based index into the item.
param2
•
true | 1 (JavaScript) or 1 (FormCalc)
Adds this item to the current selection.
•
false | 0 (JavaScript) or 0 (FormCalc)
Removes this item from the current selection.
Returns
None
Applies to
Model
Object
Form Model
field
Version
XFA 2.5


sheet

Scripting > Scripting Reference > Scripting Methods > sheet
sheet
Determines the sheet number that contains the form object.
Some duplex documents use sheet numbers to number only the front surfaces. For example, you can use sheet numbers when the front surfaces contain variable data and the back surfaces contain boilerplate text, such as instructions, disclaimers, or legends.
Syntax
Reference_Syntax.sheet( OBJECT param)
Parameters
param
The fully qualified reference syntax expression of one of the following form objects: field, draw, subform, area, pageArea, contentArea.
Returns
A zero-based integer representing the sheet number.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.5


sheetCount

Scripting > Scripting Reference > Scripting Methods > sheetCount
sheetCount
Determines the number of sheets in the current form.
Syntax
Reference_Syntax.sheetCount( )
Parameters
None
Returns
An integer representing the total number of sheets.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.5


sheetCountInBatch

Scripting > Scripting Reference > Scripting Methods > sheetCountInBatch
sheetCountInBatch
Determines the sheet count of the current batch.
Syntax
Reference_Syntax.sheetCountInBatch( )
Parameters
None
Returns
An integer representing the sheet count of the current batch.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.5


sheetInBatch

Scripting > Scripting Reference > Scripting Methods > sheetInBatch
sheetInBatch
Determines which sheet within the batch contains the form object.
Syntax
Reference_Syntax.sheetInBatch( OBJECT param )
Parameters
param
The fully qualified reference syntax expression of one of the following form objects: field, draw, subform, area, pageArea, contentArea.
Returns
An integer representing the sheet number that contains the form object.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.5


sign

Scripting > Scripting Reference > Scripting Methods > sign
sign
Signs a given node list and places the signature in the target location.
Syntax
Reference_Syntax.sign( OBJECT param1, STRING param2, STRING param3 [, STRING param4 [, BOOLEAN param5 [, OBJECT param6 [, OBJECT param7 ] ] ] ] )
Parameters
param1
input
A valid XFA node list of all the nodes to be signed.
param2
input
A valid string representing a reference syntax expression to the parent of the signature node.
param3
input
A valid string representing an XML identification value for the signature.
param4 (Optional)
input (Optional)
The only valid value is open (default) indicating that data nodes are open for edit and can be manipulated at runtime.
param5 (Optional)
input (Optional)
Represents whether to use a dialog to allow a user to sign the form.
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Indicates that a dialog is used for this operation.
•
false | 0 (JavaScript) or 0 (FormCalc)
Indicates that a dialog is not used for this operation. If you specify this value you must provide an alternative security handler in param6 so that the application hosting the form can retrieve the correct password and credentials to use when signing the form.
param6 (Optional)
input (Optional)
Represents the SecurityHandler object that is used to sign. Security objects normally require initialization before they can be used for signing. You must provide a value for this parameter if you set param5 to False.
param7 (Optional)
output (Optional)
Represents an output SignatureInfo object containing the writable properties of the signature.
Returns
True if the signature was applied successfully and False if the signing option was canceled. An exception is returned if the signing operation fails.
Applies to
Model
Object
Signature Model
signaturePseudoModel
Version
XFA 2.1


update

Scripting > Scripting Reference > Scripting Methods > update
update
Updates the current record in the record set.
Syntax
Reference_Syntax.update()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1
Examples
JavaScript
xfa.sourceSet.dataConnectionName.update();
FormCalc
xfa.sourceSet.dataConnectionName.update()


updateBatch

Scripting > Scripting Reference > Scripting Methods > updateBatch
updateBatch
Writes all pending batch updates to the data source.
Syntax
Reference_Syntax.updateBatch()
Parameters
None
Returns
Empty
Applies to
Model
Object
sourceSet Model
source
Version
XFA 2.1


verify

Scripting > Scripting Reference > Scripting Methods > verify
verify
Checks the validity of a signature.
Syntax
Reference_Syntax.verify( OBJECT param1 [, BOOLEAN param2 [, OBJECT param3 [, OBJECT param4 ] ] ] )
Parameters
param1
input
A valid XML signature node.
param2 (Optional)
input (Optional)
•
true | 1 (JavaScript) or 1 (FormCalc) (default)
Indicates that a dialog box is used for this operation.
•
false | 0 (JavaScript) or 0 (FormCalc)
Indicates that a dialog box is not used for this operation.
param3 (Optional)
input (Optional)
The SecurityHandler object that is used to sign. Security objects normally require initialization before they can be used for signing.
param4 (Optional)
output (Optional)
An output SignatureInfo object containing the writable properties of the signature.
Returns
An integer representing the validity of the signature or an exception if the node is not a signature node. The following table describes the validity values:
Value
Description
0
Signature is blank.
1
Unknown status. In this case, no attempt to validate the signature was made. One possible cause is a software or hardware issue that is preventing the validation from occurring.
2
Signature is invalid.
3
Signature is valid, but the identity of the signer could not be verified.
4
Signature is valid and the identity of the signer is valid.
Applies to
Model
Object
Signature Model
signaturePseudoModel
Version
XFA 2.1


w

Scripting > Scripting Reference > Scripting Methods > w
w
Determines the width of a given form design object.
Syntax
Reference_Syntax.w( OBJECT param1 [, STRING param2 [, INTEGER param3 ] ] )
Parameters
param1
The fully qualified reference syntax expression of one of the following container XML Form Object Model objects: area, contentArea, draw, field, pageArea, subform.
param2 (Optional)
A string representing the unit type of the return value. If left blank, the default unit type is points.
param3 (Optional)
An integer representing the number on which to adjust the width of the object, beginning with the first page the object occurs on. If left blank, the default value is 0.
Returns
The width of the form design object as a double.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.w(TextField1,"in");
FormCalc
xfa.layout.w(TextField1,"in")


x

Scripting > Scripting Reference > Scripting Methods > x
x
Determines the x coordinate of a given form design object.
Syntax
Reference_Syntax.x( OBJECT param1 [, STRING param2 [, INTEGER param3 ] ] )
Parameters
param1
The fully qualified reference syntax expression of one of the following container XML Form Object Model objects: area, contentArea, draw, field, pageArea, subform.
param2 (Optional)
A string representing the unit type of the return value. If left blank, the default unit type is points.
param3 (Optional)
An integer representing the number of pages to offset the x coordinate of the object, beginning with the first page the object occurs on. If left blank, the default value is 0.
Returns
The x coordinate of the form design object as a double.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.x(TextField1,"in");
FormCalc
xfa.layout.x(TextField1,"in")


y

Scripting > Scripting Reference > Scripting Methods > y
y
Determines the y coordinate of a given form design object.
Syntax
Reference_Syntax.y( OBJECT param1 [, STRING param2 [, INTEGER param3 ] ] )
Parameters
param1
The fully qualified reference syntax expression of one of the following container XML Form Object Model objects: area, contentArea, draw, field, pageArea, subform.
param2 (Optional)
A string representing the unit type of the return value. If left blank, the default unit type is points.
param3 (Optional)
An integer representing the number of pages to offset the y coordinate of the object, beginning with the first page the object occurs on. If left blank, the default value is 0.
Returns
The y coordinate of the form design object as a double.
Applies to
Model
Object
Layout Model
layoutPseudoModel
Version
XFA 2.1
Examples
JavaScript
xfa.layout.y(TextField1,"in");
FormCalc
xfa.layout.y(TextField1,"in")


FormCalc User Reference

Scripting > FormCalc User Reference
FormCalc User Reference
Introducing FormCalc
Language Reference
Arithmetic Functions
Date and Time Functions
Financial Functions
Logical Functions
Miscellaneous Functions
String Functions
URL Functions


Introducing FormCalc

Scripting > FormCalc User Reference > Introducing FormCalc
Introducing FormCalc
About FormCalc
About scripting in LiveCycle Designer ES
Alphabetical functions list


About FormCalc

Scripting > FormCalc User Reference > Introducing FormCalc > About FormCalc
About FormCalc
FormCalc is a simple yet powerful calculation language modeled on common spreadsheet software. Its purpose is to facilitate fast and efficient form design without requiring a knowledge of traditional scripting techniques or languages. Users new to FormCalc can expect, with the use of a few built-in functions, to create forms quickly that save end users from performing time-consuming calculations, validations, and other verifications. In this way, a form developer is able to create a basic intelligence around a form at design time that allows the resulting interactive form to react according to the data it encounters.
The built-in functions that make up FormCalc cover a wide range of areas including mathematics, dates and times, strings, finance, logic, and the web. These areas represent the types of data that typically occur in forms, and the functions provide quick and easy manipulation of the data in a useful way.


About scripting in LiveCycle Designer ES

Scripting > FormCalc User Reference > Introducing FormCalc > About scripting in LiveCycle Designer ES
About scripting in LiveCycle Designer ES
Within LiveCycle Designer ES, FormCalc is the default scripting language in all scripting locations, with JavaScript™ as the alternative. Scripting takes place on the various events that accompany each form object, and you can use a mixture of FormCalc and JavaScript on interactive forms. However, if you are using a server-based process, such as LiveCycle Forms ES, to create forms for viewing in an internet browser, FormCalc scripts on certain form object events do not render onto the HTML form. This functionality is to prevent Internet browser errors from occurring when users work with the completed form.


Alphabetical functions list

Scripting > FormCalc User Reference > Introducing FormCalc > Alphabetical functions list
Alphabetical functions list
The following table lists all available FormCalc functions, provides a description of each function, and identifies the category type to which each function belongs.
Function
Description
Type
“Abs”
Returns the absolute value of a numeric value or expression.
Arithmetic
“Apr”
Returns the annual percentage rate for a loan.
Financial
“At”
Locates the starting character position of a string within another string.
String
“Avg”
Evaluates a set of number values and/or expressions and returns the average of the non-null elements contained within that set.
Arithmetic
“Ceil”
Returns the whole number greater than or equal to a given number.
Arithmetic
“Choose”
Selects a value from a given set of parameters.
Logical
“Concat”
Returns the concatenation of two or more strings.
String
“Count”
Evaluates a set of values and/or expressions and returns the number of non-null elements contained within the set.
Arithmetic
“CTerm”
Returns the number of periods needed for an investment earning a fixed, but compounded, interest rate to grow to a future value.
Financial
“Date”
Returns the current system date as the number of days since the epoch.
Date and Time
“Date2Num”
Returns the number of days since the epoch, given a date string.
Date and Time
“DateFmt”
Returns a date format string, given a date format style.
Date and Time
“Decode”
Returns the decoded version of a given string.
String
“Encode”
Returns the encoded version of a given string.
String
“Eval”
Returns the value of a given form calculation.
Miscellaneous
“Exists”
Determines whether the given parameter is an accessor to an existing object.
Logical
“Floor”
Returns the largest whole number that is less than or equal to the given value.
Arithmetic
“Format”
Formats the given data according to the specified picture format string.
String
“FV”
Returns the future value of consistent payment amounts made at regular intervals at a constant interest rate.
Financial
“Get”
Downloads the contents of the given URL.
URL
“HasValue”
Determines whether the given parameter is an accessor with a non-null, non-empty, non-blank value.
Logical
“IPmt”
Returns the amount of interest paid on a loan over a set period of time.
Financial
“IsoDate2Num”
Returns the number of days since the epoch, given an valid date string.
Date and Time
“IsoTime2Num”
Returns the number of milliseconds since the epoch, given a valid time string.
Date and Time
“Left”
Extracts a specified number of characters from a string, starting with the first character on the left.
String
“Len”
Returns the number of characters in a given string.
String
“LocalDateFmt”
Returns a localized date format string, given a date format style.
Date and Time
“LocalTimeFmt”
Returns a localized time format string, given a time format style.
Date and Time
“Lower”
Converts all uppercase characters within a specified string to lowercase characters.
String
“Ltrim”
Returns a string with all leading white space characters removed.
String
“Max”
Returns the maximum value of the non-null elements in the given set of numbers.
Arithmetic
“Min”
Returns the minimum value of the non-null elements of the given set of numbers.
Arithmetic
“Mod”
Returns the modulus of one number divided by another.
Arithmetic
“NPV”
Returns the net present value of an investment based on a discount rate, and a series of periodic future cash flows.
Financial
“Null”
Returns the null value. The null value means no value.
Miscellaneous
“Num2Date”
Returns a date string, given a number of days since the epoch.
Date and Time
“Num2GMTime”
Returns a GMT time string, given a number of milliseconds from the epoch.
Date and Time
“Num2Time”
Returns a time string, given a number of milliseconds from the epoch.
Date and Time
“Oneof”
Returns “true” (1) if a value is in a given set, and “false” (0) if it is not.
Logical
“Parse”
Analyzes the given data according to the given picture format.
String
“Pmt”
Returns the payment for a loan based on constant payments and a constant interest rate.
Financial
“Post”
Posts the given data to the specified URL.
URL
“PPmt”
Returns the amount of principal paid on a loan over a period of time.
Financial
“Put”
Uploads the given data to the specified URL.
URL
“PV”
Returns the present value of an investment of periodic constant payments at a constant interest rate.
Financial
“Rate”
Returns the compound interest rate per period required for an investment to grow from present to future value in a given period.
Financial
“Ref”
Returns a reference to an existing object.
Miscellaneous
“Replace”
Replaces all occurrences of one string with another within a specified string.
String
“Right”
Extracts a number of characters from a given string, beginning with the last character on the right.
String
“Round”
Evaluates a given numeric value or expression and returns a number rounded to the given number of decimal places.
Arithmetic
“Rtrim”
Returns a string with all trailing white space characters removed.
String
“Space”
Returns a string consisting of a given number of blank spaces.
String
“Str”
Converts a number to a character string. FormCalc formats the result to the specified width and rounds to the specified number of decimal places.
String
“Stuff”
Inserts a string into another string.
String
“Substr”
Extracts a portion of a given string.
String
“Sum”
Returns the sum of the non-null elements of a given set of numbers.
Arithmetic
“Term”
Returns the number of periods needed to reach a given future value from periodic constant payments into an interest-bearing account.
Financial
“Time”
Returns the current system time as the number of milliseconds since the epoch.
Date and Time
“Time2Num”
Returns the number of milliseconds since the epoch, given a time string.
Date and Time
“TimeFmt”
Returns a time format, given a time format style.
Date and Time
“UnitType”
Returns the units of a unitspan. A unitspan is a string consisting of a number followed by a unit name.
Miscellaneous
“UnitValue”
Returns the numeric value of a measurement with its associated unitspan, after an optional unit conversion.
Miscellaneous
“Upper”
Converts all lowercase characters within a string to uppercase.
String
“Uuid”
Returns a Universally Unique Identifier (UUID) string to use as an identification method.
String
“Within”
Returns “true” (1) if the test value is within a given range, and “false” (0) if it is not.
Logical
“WordNum”
Returns the English text equivalent of a given number.
String


Language Reference

Scripting > FormCalc User Reference > Language Reference
Language Reference
Building blocks
Expressions


Building blocks

Scripting > FormCalc User Reference > Language Reference > Building blocks
Building blocks
About building blocks
Literals
Operators
Comments
Keywords
Identifiers
Line terminators
White space


About building blocks

Scripting > FormCalc User Reference > Language Reference > Building blocks > About building blocks
About building blocks
The FormCalc language consists of a number of building blocks that make up FormCalc expressions. Each FormCalc expression is a sequence of some combination of these building blocks.
•
“Literals”
•
“Operators”
•
“Comments”
•
“Keywords”
•
“Identifiers”
•
“Line terminators”
•
“White space”


Literals

Scripting > FormCalc User Reference > Language Reference > Building blocks > Literals
Literals
About literals
Literals are constant values that form the basis of all values that pass to FormCalc for processing. The two general types of literals are numbers and strings.
Number literals
A number literal is a sequence of mostly digits consisting of one or more of the following characters: an integer, a decimal point, a fractional segment, an exponent indicator (“e” or “E”), and an optionally signed exponent value. These are all examples of literal numbers:
•
-12
•
1.5362
•
0.875
•
5.56e-2
•
1.234E10
It is possible to omit either the integer or fractional segment of a literal number, but not both. In addition, within the fractional segment, you can omit either the decimal point or the exponent value, but not both.
All number literals are internally converted to Institute of Electrical and Electronics Engineers (IEEE) 64-bit binary values. However, IEEE values can only represent a finite quantity of numbers, so certain values do not have a representation as a binary fraction. This is similar to the fact that certain values, such as 1/3, do not have a precise representation as a decimal fraction (the decimal value would need an infinite number of decimal places to be entirely accurate).
The values that do not have a binary fraction equivalent are generally number literals with more than 16 significant digits prior to their exponent. FormCalc rounds these values to the nearest representable IEEE 64-bit value in accordance with the IEEE standard. For example, the value:
123456789.012345678
rounds to the (nearest) value:
123456789.01234567
However, in a second example, the number literal:
99999999999999999
rounds to the (nearest) value:
100000000000000000
This behavior can sometimes lead to surprising results. FormCalc provides a function, Round, which returns a given number rounded to a given number of decimal places. When the given number is exactly halfway between two representable numbers, it is rounded away from zero. That is, the number is rounded up if positive and down if negative. In the following example:
Round(0.124, 2)
returns 0.12,
and
Round(.125, 2)
returns 0.13.
Given this convention, one might expect that:
Round(0.045, 2)
returns 0.05.
However, the IEEE 754 standard dictates that the number literal 0.045 be approximated to 0.0449999999999999. This approximation is closer to 0.04 than to 0.05. Therefore,
Round(0.045, 2)
returns 0.04.
This also conforms to the IEEE 754 standard.
IEEE 64-bit values support representations like NaN (not a number), +Inf (positive infinity), and -Inf (negative infinity). FormCalc does not support these, and expressions that evaluate to NaN, +Inf, or -Inf result in an error exception, which passes to the remainder of the expression.
String literals
A string literal is a sequence of any Unicode characters within a set of quotation marks. For example:
"The cat jumped over the fence."
"Number 15, Main street, California, U.S.A"
The string literal "" defines an empty sequence of text characters called the empty string.
To embed a quotation mark (") character within a literal string, you must insert two quotation marks. For example:
"The message reads: ""Warning: Insufficient Memory"""
All Unicode characters have an equivalent 6 character escape sequence consisting of \u followed by four hexadecimal digits. Within any literal string, it is possible to express any character, including control characters, using their equivalent Unicode escape sequence. For example:
"\u0047\u006f\u0066\u0069\u0073\u0068\u0021"
"\u000d" (carriage return)
"\u000a" (newline character)


Operators

Scripting > FormCalc User Reference > Language Reference > Building blocks > Operators
Operators
FormCalc includes a number of operators: unary, multiplicative, additive, relational, equality, logical, and the assignment operator.
Several of the FormCalc operators have an equivalent mnemonic operator keyword. These keyword operators are useful whenever FormCalc expressions are embedded in HTML and XML source text, where the symbols less than (<), greater than (>), and ampersand (&) have predefined meanings and must be escaped. The following table lists all FormCalc operators, illustrating both the symbolic and mnemonic forms where appropriate.
Operator type
Representations
Addition
+
Division
/
Equality
== eq
<> ne
Logical AND
& and
Logical OR
| or
Multiplication
*
Relational
< lt (less than)
> gt (greater than)
<= le (less than or equal to)
>= ge (greater than or equal to)
Subtraction
-
Unary
-
+
not


Comments

Scripting > FormCalc User Reference > Language Reference > Building blocks > Comments
Comments
Comments are sections of code that FormCalc does not execute. Typically comments contain information or instructions that explain the use of a particular fragment of code. FormCalc ignores all information stored in comments at run time.
You can specify a comment by using either a semi-colon (;) or a pair of slashes (//). In FormCalc, a comment extends from its beginning to the next line terminator.
Character name
Representations
Comment
;
//
For example:
// This is a type of comment
First_Name="Tony"
Initial="C" ;This is another type of comment
Last_Name="Blue"
Commenting all FormCalc calculations on an event
Commenting all of the FormCalc calculations for a particular event generates an error when you preview your form in the Preview PDF tab or when you view the final PDF. Each FormCalc calculation is required to return a value, and FormCalc does not consider comments to be values.
To prevent the commented FormCalc code from returning an error, you must do one of the following actions:
•
Remove the commented code from the event
•
Add an expression that returns a value to the FormCalc code on the event
To prevent the value of the expression from producing unwanted results on your form, use one of the following types of expressions:
•
A simple expression consisting of a single character, as shown in the following example:
// First_Name="Tony"
// Initial="C"
// Last_Name="Blue"
//
// The simple expression below sets the value of the event to zero.
0
•
An assignment expression that retains the value of the object. Use this type of expression if your commented FormCalc code is located on the calculate event to prevent the actual value of the object from being altered, as shown in the following example:
// First_Name="Tony"
// Initial="C"
// Last_Name="Blue"
//
// The assignment expression below sets the value of the current
// field equal to itself.
$.rawValue = $.rawValue


Keywords

Scripting > FormCalc User Reference > Language Reference > Building blocks > Keywords
Keywords
Keywords in FormCalc are reserved words and are case-insensitive. Keywords are used as parts of expressions, special number literals, and operators.
The following table lists the FormCalc keywords. Do not use any of these words when naming objects on your form design.
and
endif
in
step
break
endwhile
infinity
then
continue
eq
le
this
do
exit
lt
throw
downto
for
nan
upto
else
foreach
ne
var
elseif
func
not
while
end
ge
null
endfor
gt
or
endfunc
if
return


Identifiers

Scripting > FormCalc User Reference > Language Reference > Building blocks > Identifiers
Identifiers
An identifier is a sequence of characters of unlimited length that denotes either a function or a method name. An identifier always begins with one of the following characters:
•
Any alphabetic character (based on the Unicode letter classifications)
•
Underscore (_)
•
Dollar sign ($)
•
Exclamation mark (!)
FormCalc identifiers are case-sensitive. That is, identifiers whose characters only differ in case are considered distinct.
Character name
Representations
Identifier
A..Z,a..z
$
!
_
These are examples of valid identifiers:
GetAddr
$primary
_item
!dbresult


Line terminators

Scripting > FormCalc User Reference > Language Reference > Building blocks > Line terminators
Line terminators
Line terminators are used for separating lines and improving readability.
The following table lists the valid FormCalc line terminators:
Character name
Unicode characters
Carriage Return
#xD
U+000D
Line Feed
#xA
&#x000D;
&#D;


White space

Scripting > FormCalc User Reference > Language Reference > Building blocks > White space
White space
White space characters separate various objects and mathematical operations from each other. These characters are strictly for improving readability and are irrelevant during FormCalc processing.
Character name
Unicode character
Form Feed
#xC
Horizontal Tab
#x9
Space
#x20
Vertical Tab
#xB


Expressions

Scripting > FormCalc User Reference > Language Reference > Expressions
Expressions
About expressions
Simple
Assignment
Logical OR
Logical AND
Unary
Equality and inequality
Relational
If expressions
While expressions
For expressions
Foreach expressions
Break expressions
Continue expressions


About expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > About expressions
About expressions
Literals, operators, comments, keywords, identifiers, line terminators, and white space come together to form a list of expressions, even if the list only contains a single expression. In general, each expression in the list resolves to a value, and the value of the list as a whole is the value of the last expression in the list.
For example, consider the following scenario of two fields on a form design:
Field name
Calculations
Returns
Field1
5 + Abs(Price)
"Hello World"
10 * 3 + 5 * 4
50
Field2
10 * 3 + 5 * 4
50
The value of both Field1 and Field2 after the evaluation of each field’s expression list is 50.
FormCalc divides the various types of expressions that make up an expression list into the following categories:
•
“Simple”
•
“Assignment”
•
“Logical OR”
•
“Logical AND”
•
“Unary”
•
“Equality and inequality”
•
“Relational”
•
“If expressions”
•
“While expressions”
•
“For expressions”
•
“Foreach expressions”
•
“Break expressions”
•
“Continue expressions”


Simple

Scripting > FormCalc User Reference > Language Reference > Expressions > Simple
Simple
About simple expressions
In their most basic form, FormCalc expressions are groups of operators, keywords, and literals strung together in logical ways. For example, these are all simple expressions:
2
"abc"
2 - 3 * 10 / 2 + 7
Each FormCalc expression resolves to a single value by following a traditional order of operations, even if that order is not always obvious from the expression syntax. For example, the following sets of expressions, when applied to objects on a form design, produce equivalent results:
Expression
Equivalent to
Returns
"abc"
"abc"
abc
2 - 3 * 10 / 2 + 7
2 - (3 * (10 / 2)) + 7
-6
10 * 3 + 5 * 4
(10 * 3) + (5 * 4)
50
0 and 1 or 2 > 1
(0 and 1) or (2 >1)
1 (true)
2 < 3 not 1 == 1
(2 < 3) not (1 == 1)
0 (false)
As the previous table suggests, all FormCalc operators carry a certain precedence when they appear within expressions. The following table illustrates this operator hierarchy:
Precedence
Operator
Highest
=
(Unary) - , + , not
* , /
+ , -
< , <= , > , >= , lt , le , gt , ge
== , <> , eq , ne
& , and
Lowest
| , or
Promoting operands
In cases where one or more of the operands within a given operation do not match the expected type for that operation, FormCalc promotes the operands to match the required type. How this promotion occurs depends on the type of operand required by the operation.
Numeric operations
When performing numeric operations involving non-numeric operands, the non-numeric operands are first promoted to their numeric equivalent. If the non-numeric operand does not successfully convert to a numeric value, its value is 0. When promoting null-valued operands to numbers, their value is always zero.
The following table provides some examples of promoting non-numeric operands:
Expression
Equivalent to
Returns
(5 - "abc") * 3
(5 - 0) * 3
15
"100" / 10e1
100 / 10e1
1
5 + null + 3
5 + 0 + 3
8
Boolean operations
When performing Boolean operations on non-Boolean operands, the non-Boolean operands are first promoted to their Boolean equivalent. If the non-Boolean operand does not successfully convert to a nonzero value, its value is true (1); otherwise its value is false (0). When promoting null-valued operands to a Boolean value, that value is always false (0). For example, the expression:
"abc" | 2
evaluates to 1. That is, false | true = true, whereas
if ("abc") then
10
else
20
endif
evaluates to 20.
String operations
When performing string operations on nonstring operands, the nonstring operands are first promoted to strings by using their value as a string. When promoting null-valued operands to strings, their value is always the empty string. For example, the expression:
concat("The total is ", 2, " dollars and ", 57, " cents.")
evaluates to "The total is 2 dollars and 57 cents."
Note:
If during the evaluation of an expression an intermediate step yields NaN, +Inf, or -Inf, FormCalc generates an error exception and propagates that error for the remainder of the expression. As such, the expression's value will always be 0. For example:
3 / 0 + 1
evaluates to 0.


Assignment

Scripting > FormCalc User Reference > Language Reference > Expressions > Assignment
Assignment
An assignment expression sets the property identified by a given reference syntax to be the value of a simple expression. For example:
$template.purchase_order.name.first = "Tony"
This sets the value of the form design object “first” to Tony.
For more information on using reference syntax, see “About referencing objects in calculations and scripts”.


Logical OR

Scripting > FormCalc User Reference > Language Reference > Expressions > Logical OR
Logical OR
A logical OR expression returns either true (1) if at least one of its operands is true (1), or false (0) if both operands are false (0). If both operands are null, the expression returns null.
Expression
Character representation
Logical OR
|
or
These are examples of using the logical OR expression:
Expression
Returns
1 or 0
1 (true)
0 | 0
0 (false)
0 or 1 | 0 or 0
1 (true)


Logical AND

Scripting > FormCalc User Reference > Language Reference > Expressions > Logical AND
Logical AND
A logical AND expression returns either true (1) if both operands are true (1), or false if at least one of its operands is false (0). If both operands are null, the expression returns null.
Expression
Character representation
Logical AND
&
and
These are examples of using the logical AND expression:
Expression
Returns
1 and 0
0 (false)
0 & 0
1 (true)
0 and 1 & 0 and 0
0 (false)


Unary

Scripting > FormCalc User Reference > Language Reference > Expressions > Unary
Unary
A unary expression returns different results depending on which of the unary operators is used.
Expression
Character representation
Returns
Unary
-
The arithmetic negation of the operand, or null if the operand is null.
+
The arithmetic value of the operand (unchanged), or null if its operand is null.
not
The logical negation of the operand.
Note:
The arithmetic negation of a null operand yields the result null, whereas the logical negation of a null operand yields the Boolean result true. This is justified by the common sense statement: If null means nothing, then “not nothing” should be something.
These are examples of using the unary expression:
Expression
Returns
-(17)
-17
-(-17)
17
+(17)
17
+(-17)
-17
not("true")
1 (true)
not(1)
0 (false)


Equality and inequality

Scripting > FormCalc User Reference > Language Reference > Expressions > Equality and inequality
Equality and inequality
Equality and inequality expressions return the result of an equality comparison of its operands.
Expression
Character representation
Returns
Equality
== eq
True (1) when both operands compare identically, and false (0) if they do not compare identically.
Inequality
<> ne
True (1) when both operands do not compare identically, and false (0) if they compare identically.
The following special cases also apply when using equality operators:
•
If either operand is null, a null comparison is performed. Null-valued operands compare identically whenever both operands are null, and compare differently whenever one operand is not null.
•
If both operands are references, both operands compare identically when they both refer to the same object, and compare differently when they do not refer to the same object.
•
If both operands are string valued, a locale-sensitive lexicographic string comparison is performed on the operands. Otherwise, if they are not both null, the operands are promoted to numeric values, and a numeric comparison is performed.
These are examples of using the equality and inequality expressions:
Expression
Returns
3 == 3
1 (true)
3 <> 4
1 (true)
"abc" eq "def"
0 (false)
"def" ne "abc"
1 (true)
5 + 5 == 10
1 (true)
5 + 5 <> "10"
0 (false)


Relational

Scripting > FormCalc User Reference > Language Reference > Expressions > Relational
Relational
A relational expression returns the Boolean result of a relational comparison of its operands.
Expression
Character representation
Returns
Relational
< lt
True (1) when the first operand is less than the second operand, and false (0) when the first operand is larger than the second operand.
> gt
True (1) when the first operand is greater than the second operand, and false (0) when the first operand is less than the second operand.
<= le
True (1) when the first operand is less than or equal to the second operand, and false (0) when the first operand is greater than the second operand.
>= ge
True (1) when the first operand is greater than or equal to the second operand, and false (0) when the first operand is less than the second operand.
The following special cases also apply when using relational operators:
•
If either operand is null valued, a null comparison is performed. Null-valued operands compare identically whenever both operands are null and the relational operator is less-than-or-equal or greater than or equal, and compare differently otherwise.
•
If both operands are string valued, a locale-sensitive lexicographic string comparison is performed on the operands. Otherwise, if they are not both null, the operands are promoted to numeric values, and a numeric comparison is performed.
These are examples of using the relational expression:
Expression
Returns
3 < 3
0 (false)
3 > 4
0 (false)
"abc" <= "def"
1 (true)
"def" > "abc"
1 (true)
12 >= 12
1 (true)
"true" < "false"
0 (false)


If expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > If expressions
If expressions
An if expression is a conditional statement that evaluates a given simple expression for truth, and then returns the result of a list of expressions that correspond to the truth value. If the initial simple expression evaluates to false (0), FormCalc examines any elseif and else conditions for truth and returns the results of their expression lists if appropriate.
Expression
Syntax
Returns
If
if ( simple expression ) then
list of expressions
elseif ( simple expression ) then
list of expressions
else
list of expressions
endif
The result of the list of expressions associated with any valid conditions stated in the if expression.
Note:
You are not required to have any elseif(...) or else statements as part of your if expression, but you must state the end of the expression with endif.
These are examples of using the if expression:
Expression
Returns
if ( 1 < 2 ) then
1
endif
1
if ( "abc" > "def") then
1 and 0
else
0
endif
0
if ( Field1 < Field2 ) then
Field3 = 0
elseif ( Field1 > Field2 ) then
Field3 = 40
elseif ( Field1 = Field2 ) then
Field3 = 10
endif
Varies with the values of Field1 and Field2. For example, if Field1 is 20 and Field2 is 10, then this expression sets Field3 to 40.


While expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > While expressions
While expressions
A while expression is an iterative statement or loop that evaluates a given simple expression. If the result of the evaluation is true (1), FormCalc repeatedly examines the do condition and returns the results of the expression lists. If the result is false (0), then control passes to the next statement.
A while expression is particularly well-suited to situations in which conditional repetition is needed. Conversely, situations in which unconditional repetition is needed are often best dealt with using a for expression.
Expression
Syntax
Returns
While
while ( simple expression ) do
expression list
endwhile
The result of the list of expressions associated with the do condition.
In the following example, the values of the elements are added to a drop-down list from an XML file using the addItem method for all of the XML elements listed under list1 that are not equal to 3:
var List = ref(xfa.record.lists.list1)
var i = 0
while ( List.nodes.item(i+1).value ne "3")do
$.addItem (List.nodes.item(i).value,List.nodes.item(i+1).value)
i = i + 2
endwhile


For expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > For expressions
For expressions
A for expression is a conditionally iterative statement or loop.
A for expression is particularly well-suited to looping situations in which unconditional repetition is needed. Conversely, situations in which conditional repetition is needed are often best dealt with using a while expression.
The value of the for expression is the value of the last evaluation list that was evaluated, or false (0).
The for condition initializes a FormCalc variable, which controls the looping action.
In the upto variant, the value of the loop variable will iterate from the start expression to the end expression in step expression increments. If you omit the step expression, the step increment defaults to 1.
In the downto variant, the value of the loop variable iterates from the start expression to the end expression in step expression decrements. If the step expression is omitted, the step decrements defaults to -1.
Iterations of the loop are controlled by the end expression value. Before each iteration, the end expression is evaluated and compared to the loop variable. If the result is true (1), the expression list is evaluated. After each evaluation, the step expression is evaluated and added to the loop variable.
Before each iteration, the end expression is evaluated and compared to the loop variable. In addition, after each evaluation of the do condition, the step expression is evaluated and added to the loop variable.
A for loop terminates when the start expression has surpassed the end expression. The start expression can surpass the end expression in either an upwards direction, if you use upto, or in a downward direction, if you use downto.
Expression
Syntax
Returns
For
for variable = start expression
(upto | downto ) end expression
(step step expression ) do
expression list
endfor
Note:
The start, end, and step expressions must all be simple expressions.
The result of the list of expressions associated with the do condition.
In the following example, the values of the elements are added to a drop-down list from an XML file using the addItem method for all of the XML elements listed under list1:
var List = ref(xfa.record.lists.list1)
for i=0 upto List.nodes.length - 1 step 2 do
$.addItem (List.nodes.item(i).value,"")
endfor


Foreach expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > Foreach expressions
Foreach expressions
A foreach expression iterates over the expression list for each value in its argument list.
The value of the foreach expression is the value of the last expression list that was evaluated, or zero (0), if the loop was never entered.
The in condition, which is executed only once (after the loop variable has been declared) controls the iteration of the loop. Before each iteration, the loop variable is assigned successive values from the argument list. The argument list cannot be empty.
Expression
Syntax
Returns
Foreach
foreach variable in( argument list )do
expression list
endfor
Note:
Use a comma (,) to separate more than one simple expression in the argument list.
The value of the last expression list that was evaluated, or zero(0), if the loop was never entered.
In the following example, only the values of the “display” XML elements are added to the foreach drop-down list.
foreach Item in (xfa.record.lists.list1.display[*]) do
$.addItem(Item,"")
endfor


Break expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > Break expressions
Break expressions
A break expression causes an immediate exit from the innermost enclosing while, for, or foreach expression loop. Control passes to the expression following the terminated loop.
The value of the break expression is always the value zero (0).
Expression
Syntax
Returns
Break
break
Passes control to the expression following the terminated loop.
In the following example, an if condition is placed in the while loop to check whether the current value is equal to “Display data for 2”. If true, the break executes and stops the loop from continuing.
var List = ref(xfa.record.lists.list1)
var i=0
while (List.nodes.item(i+1).value ne "3") do
$.addItem(List.nodes.item(i).value,List.nodes.item(i+1).value)
i = i + 2
if (List.nodes.item(i) eq "Display data for 2" then
break
endif
endwhile


Continue expressions

Scripting > FormCalc User Reference > Language Reference > Expressions > Continue expressions
Continue expressions
A continue expression causes the next iteration of the innermost enclosing while, for, or foreach loop.
The value of the continue expression is always the value zero (0).
Expression
Syntax
Returns
Continue
continue
When used in a while expression, control is passed to the while condition. When used in a for expression, control is passed to the step expression.
The object of the following example is to populate the drop-down list with values from the XML file. If the value of the current XML element is “Display data for 3,” then the while loop exits via the break expression. If the value of the current XML element is “Display data for 2”, then the script adds 2 to the variable i (which is the counter) and immediately the loop moves on to its next cycle. The last two lines are ignored when the value of the current XML element is “Display data for 2”.
var List = ref(xfa.record.lists.list1)
var i = 0
while (List.nodes.item(i+1).value ne "5") do
if (List.nodes.item(i) eq "Display data for 3") then
break
endif
if (List.nodes.item(i) eq "Display data for 2" then
i=i+2
continue
endif
$.addItem(List.nodes.item(i).value,List.nodes.item(i+1).value)
i=i+2
endwhile
To make accessing object properties and values easier, FormCalc includes shortcuts to reduce the effort required to create references. The following table outlines the reference syntax shortcuts for FormCalc.
Notation
Description
$
Refers to the current field or object, as shown in this example:
$ = "Tony Blue"
The above example sets the value of the current field or object to Tony Blue.
$data
Represents the root of the data model xfa.datasets.data. For example,
$data.purchaseOrder.total
is equivalent to
xfa.datasets.data.purchaseOrder.total
$event
Represents the current form object event. For example,
$event.name
is equivalent to
xfa.event.name
For more information see About the event model.
$form
Represents the root of the form model xfa.form. For example,
$form.purchaseOrder.tax
is equivalent to stating
xfa.form.purchaseOrder.tax
$host
Represents the host object. For example,
$host.messageBox("Hello world")
is equivalent to
xfa.host.messageBox("Hello world")
For more information, see About working with a host application.
$layout
Represents the root of the layout model xfa.layout. For example,
$layout.ready
is equivalent to stating
xfa.layout.ready
$record
Represents the current record of a collection of data, such as from an XML file. For example,
$record.header.txtOrderedByCity
references the txtOrderedByCity node within the header node of the current XML data.
$template
Represents the root of the template model xfa.template. For example,
$template.purchaseOrder.item
is equivalent to
xfa.template.purchaseOrder.item
!
Represents the root of the data model xfa.datasets. For example,
!data
is equivalent to
xfa.datasets.data
*
Selects all form objects within a given container, such as a subform, regardless of name, or selects all objects that have a similar name.
For example, the following expression selects all objects named item on a form:
xfa.form.form1.item[*]
Note:
You can use the ‘*’ (asterisk) syntax with JavaScript if it used with the resolveNode method.
..
You can use two dots at any point in your reference syntax to search for objects that are a part of any subcontainer of the current container object, such as a subform. For example, the expression Subform_Page..Subform2 means locate the node Subform_Page (as usual) and find a descendant of Subform_Page called Subform2.
Using the example tree above,
Subform_Page..TextField2
is equivalent to
Subform_Page.Subform1[0].Subform3.TextField2[0]
because TextField2[0] is in the first Subform1 node that FormCalc encounters on its search. As a second example,
Subform_Page..Subform3[*]
returns all four TextField2 objects.
Note:
You can use the ‘..’ (double period) syntax with JavaScript if it used with the resolveNode method.
#
The number sign (#) notation is used to denote one of the following items in a reference syntax:
•
An unnamed object. For example, the following reference syntax accesses an unnamed subform:
xfa.form.form1.#subform
•
Specify a property in a reference syntax if a property and an object have the same name. For example, the following reference syntax accesses the name property of a subform if the subform also contains a field named name:
xfa.form.form1.#subform.#name
Note:
You can use the ‘#’ (number sign) syntax with JavaScript if it used with the resolveNode method.
[ ]
The square bracket ([ ]) notation denotes the occurrence value of an object. To construct an occurrence value reference, place square brackets ([ ]) after an object name, and enclose within the brackets one of the following values:
•
[ n ], where n is an absolute occurrence index number beginning at 0. An occurrence number that is out of range does not return a value. For example,
xfa.form.form1.#subform.Quantity[3]
refers to the fourth occurrence of the Quantity object.
•
[ +/- n ], where n indicates an occurrence relative to the occurrence of the object making the reference. Positive values yield higher occurrence numbers, and negative values yield lower occurrence numbers. For example,

xfa.form.form1.#subform.Quantity[+2]

This reference yields the occurrence of Quantity whose occurrence number is two more than the occurrence number of the container making the reference. For example, if this reference was attached to the Quantity[2]object , the reference would be the same as

xfa.template.Quantity[4]

If the computed index number is out of range, the reference returns an error.

The most common use of this syntax is for locating the previous or next occurrence of a particular object. For example, every occurrence of the Quantity object (except the first) might use Quantity[-1] to get the value of the previous Quantity object.
•
[*] indicates multiple occurrences of an object. The first named object is found, and objects of the same name that are siblings to the first are returned. Note that using this notation returns a collection of objects. For example,

xfa.form.form1.#subform.Quantity[*]

This expression refers to all objects with a name of Quantity that are siblings to the first occurrence of Quantity found by the reference.
Note:
In language-specific forms for Arabic, Hebrew, Thai, and Vietnamese, the reference syntax is always on the right (even for right-to-left languages).
[ ]
(Continued)
Using the tree for reference, these expressions return the following objects:
•
Subform_Page.Subform1[*] returns both Subform1 objects.
•
Subform_Page.Subform1.Subform3.TextField2[*] returns two TextField2 objects. Subform_Page.Subform1 resolves to the first Subform1 object on the left, and TextField2[*] evaluates relative to the Subform3 object.
•
Subform_Page.Subform1[*].TextField1 returns both of the TextField1 instances. Subform_Page.Subform1[*] resolves to both Subform1 objects, and TextField1 evaluates relative to the Subform1 objects.
•
Subform_Page.Subform1[*].Subform3.TextField2[1] returns the second and fourth TextField2 objects from the left. Subform_Page.Subform1[*] resolves to both Subform1 objects, and TextField2[1] evaluates relative to the Subform3 objects.
•
Subform_Page.Subform1[*].Subform3[*] returns both instances of the Subform3 object.
•
Subform_Page.* returns both Subform1 objects and the Subform2 object.
•
Subform_Page.Subform2.* returns the two instances of the NumericField2 object.
Note:
You can use the ‘[ ]’ (square bracket) syntax with JavaScript if it used with the resolveNode method.


Arithmetic Functions

Scripting > FormCalc User Reference > Arithmetic Functions
Arithmetic Functions
About arithmetic functions
Abs
Avg
Ceil
Count
Floor
Max
Min
Mod
Round
Sum


About arithmetic functions

Scripting > FormCalc User Reference > Arithmetic Functions > About arithmetic functions
About arithmetic functions
These functions perform a range of mathematical operations.
Functions
•
“Abs”
•
“Avg”
•
“Ceil”
•
“Count”
•
“Floor”
•
“Max”
•
“Min”
•
“Mod”
•
“Round”
•
“Sum”


Abs

Scripting > FormCalc User Reference > Arithmetic Functions > Abs
Abs
Returns the absolute value of a numeric value or expression, or returns null if the value or expression is null.
Syntax
Abs(n1)
Parameters
Parameter
Description
n1
A numeric value or expression to evaluate.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Abs function:
Expression
Returns
Abs(1.03)
1.03
Abs(-1.03)
1.03
Abs(0)
0


Avg

Scripting > FormCalc User Reference > Arithmetic Functions > Avg
Avg
Evaluates a set of number values and/or expressions and returns the average of the non-null elements contained within that set.
Syntax
Avg(n1 [, n2 ...])
Parameters
Parameter
Description
n1
The first numeric value or expression of the set.
n2 (optional)
Additional numeric values or expressions.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Avg function:
Expression
Returns
Avg(0, 32, 16)
16
Avg(2.5, 17, null)
9.75
Avg(Price[0], Price[1], Price[2], Price[3])
The average value of the first four non-null occurrences of Price.
Avg(Quantity[*])
The average value of all non-null occurrences of Quantity.


Ceil

Scripting > FormCalc User Reference > Arithmetic Functions > Ceil
Ceil
Returns the whole number greater than or equal to a given number, or returns null if its parameter is null.
Syntax
Ceil(n)
Parameters
Parameter
Description
n
Any numeric value or expression.
The function returns 0 if n is not a numeric value or expression.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Ceil function:
Expression
Returns
Ceil(2.5875)
3
Ceil(-5.9)
-5
Ceil("abc")
0
Ceil(A)
100 if the value of A is 99.999


Count

Scripting > FormCalc User Reference > Arithmetic Functions > Count
Count
Evaluates a set of values and/or expressions and returns the count of non-null elements contained within the given set.
Syntax
Count(n1 [, n2 ...])
Parameters
Parameter
Description
n1
A numeric value or expression.
n2 (optional)
Additional numeric values and/or expressions.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Count function:
Expression
Returns
Count("Tony", "Blue", 41)
3
Count(Customers[*])
The number of non-null occurrences of Customers.
Count(Coverage[2], "Home", "Auto")
3, provided the third occurrence of Coverage is non-null.


Floor

Scripting > FormCalc User Reference > Arithmetic Functions > Floor
Floor
Returns the largest whole number that is less than or equal to the given value.
Syntax
Floor(n)
Parameters
Parameter
Description
n
Any numeric value or expression.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Floor function:
Expression
Returns
Floor(21.3409873)
21
Floor(5.999965342)
5
Floor(3.2 * 15)
48


Max

Scripting > FormCalc User Reference > Arithmetic Functions > Max
Max
Returns the maximum value of the non-null elements in the given set of numbers.
Syntax
Max(n1 [, n2 ...])
Parameters
Parameter
Description
n1
A numeric value or expression.
n2 (optional)
Additional numeric values and/or expressions.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Max function:
Expression
Returns
Max(234, 15, 107)
234
Max("abc", 15, "Tony Blue")
15
Max("abc")
0
Max(Field1[*], Field2[0])
Evaluates the non-null occurrences of Field1 as well as the first occurrence of Field2, and returns the highest value.
Max(Min(Field1[*], Field2[0]), Field3, Field4)
The first expression evaluates the non-null occurrences of Field1 as well as the first occurrence of Field2, and returns the lowest value. The final result is the maximum of the returned value compared against the values of Field3 and Field4.
See also “Min”.


Min

Scripting > FormCalc User Reference > Arithmetic Functions > Min
Min
Returns the minimum value of the non-null elements of the given set of numbers.
Syntax
Min(n1 [, n2 ...])
Parameters
Parameter
Description
n1
A numeric value or expression.
n2 (optional)
Additional numeric values and/or expressions.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Min function:
Expression
Returns
Min(234, 15, 107)
15
Min("abc", 15, "Tony Blue")
15
Min("abc")
0
Min(Field1[*], Field2[0])
Evaluates the non-null occurrences of Sales_July as well as the first occurrence of Sales_August, and returns the lowest value.
Min(Max(Field1[*], Field2[0]), Field3, Field4)
The first expression evaluates the non-null occurrences of Field1 as well as the first occurrence of Field2, and returns the highest value. The final result is the minimum of the returned value compared against the values of Field3 and Field4.
See also “Max”.


Mod

Scripting > FormCalc User Reference > Arithmetic Functions > Mod
Mod
Returns the modulus of one number divided by another. The modulus is the remainder of the division of the dividend by the divisor. The sign of the remainder always equals the sign of the dividend.
Syntax
Mod(n1, n2)
Parameters
Parameter
Description
n1
The dividend, a numeric value or expression.
n2
The divisor, a numeric value or expression.
If n1 and/or n2 are not numeric values or expressions, the function returns 0.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Mod function:
Expression
Returns
Mod(64, -3)
1
Mod(-13,3)
-1
Mod("abc", 2)
0
Mod(X[0], Y[9])
The first occurrence of X is used as the dividend and the tenth occurrence of Y is used as the divisor.
Mod(Round(Value[4], 2), Max(Value[*]))
The first fifth occurrence of Value rounded to two decimal places is used as the dividend and the highest of all non-null occurrences of Value is used as the divisor.
See also “Max” and “Round”.


Round

Scripting > FormCalc User Reference > Arithmetic Functions > Round
Round
Evaluates a given numeric value or expression and returns a number rounded to a given number of decimal places.
Syntax
Round(n1 [, n2])
Parameters
Parameter
Description
n1
A numeric value or expression to be evaluated.
n2 (optional)
The number of decimal places with which to evaluate n1 to a maximum of 12.
If you do not include a value for n2, or if n2 is invalid, the function assumes the number of decimal places is 0.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Round function:
Expression
Returns
Round(12.389764537, 4)
12.3898
Round(20/3, 2)
6.67
Round(8.9897, "abc")
9
Round(FV(400, 0.10/12, 30*12), 2)
904195.17. This takes the value evaluated using the FV function and rounds it to two decimal places.
See also “FV”.
Round(Total_Price, 2)
Rounds off the value of Total_Price to two decimal places.


Sum

Scripting > FormCalc User Reference > Arithmetic Functions > Sum
Sum
Returns the sum of the non-null elements of a given set of numbers.
Syntax
Sum(n1 [, n2 ...])
Parameters
Parameter
Description
n1
A numeric value or expression.
n2 (optional)
Additional numeric values and/or expressions.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Sum function:
Expression
Returns
Sum(2, 4, 6, 8)
20
Sum(-2, 4, -6, 8)
4
Sum(4, 16, "abc", 19)
39
Sum(Amount[2], Amount[5])
Totals the third and sixth occurrences of Amount.
Sum(Round(20/3, 2), Max(Amount[*]), Min(Amount[*]))
Totals the value of 20/3 rounded to two decimal places, as well as the largest and smallest non-null occurrences of Amount.
See also “Max”, “Min”, and “Round”.


Date and Time Functions

Scripting > FormCalc User Reference > Date and Time Functions
Date and Time Functions
About date and time functions
Date
Date2Num
DateFmt
IsoDate2Num
IsoTime2Num
LocalDateFmt
LocalTimeFmt
Num2Date
Num2GMTime
Num2Time
Time
Time2Num
TimeFmt


About date and time functions

Scripting > FormCalc User Reference > Date and Time Functions > About date and time functions
About date and time functions
Functions in this section deal specifically with creating and manipulating date and time values.
Functions
•
“Date”
•
“Date2Num”
•
“DateFmt”
•
“IsoDate2Num”
•
“IsoTime2Num”
•
“LocalDateFmt”
•
“LocalTimeFmt”
•
“Num2Date”
•
“Num2GMTime”
•
“Num2Time”
•
“Time”
•
“Time2Num”
•
“TimeFmt”
A locale is a standard term used when developing international standards to identify a particular nation (language, country or region). For the purposes of FormCalc, a locale defines the format of dates, times, numeric, and currency values relevant to a specific nation or region so that users can use the formats they are accustomed to.
Each locale is comprised of a unique string of characters called a locale identifier. The composition of these strings is controlled by the international standards organization (ISO) Internet Engineering Task Force (IETF), a working group of the Internet Society (www.isoc.org).
Locale identifiers consist of a language part, a country or region part, or both. The following table lists valid locales for this release of LiveCycle Designer ES.
Language
Country or Region
ISO Code
Arabic
United Arabian Emirates
ar_AE
Arabic
Bahrain
ar_BH
Arabic
Algeria
ar_DZ
Arabic
Egypt
ar_EG
Arabic
Iraq
ar_IQ
Arabic
Jordan
ar_JO
Arabic
Kuwait
ar_KW
Arabic
Lebanon
ar_LB
Arabic
Libya
ar_LY
Arabic
Morocco
ar_MA
Arabic
Oman
ar_OM
Arabic
Qatar
ar_QA
Arabic
Saudi Arabia
ar_SA
Arabic
Sudan
ar_SD
Arabic
Syria
ar_SY
Arabic
Tunisia
ar_TN
Arabic
Yemen
ar_YE
Bulgarian
Bulgaria
bg_BG
Chinese
Hong Kong
zh_HK
Chinese
People’s Republic of China (Simplified)
zh_CN
Chinese
Taiwan (Traditional)
zh_TW
Croatian
Croatia
hr_HR
Czech
Czech Republic
cs_CAZ
Danish
Denmark
da_DK
Dutch
Belgium
nl_BE
Dutch
Netherlands
nl_NL
English
Australia
en_AU
English
Canada
en_CA
English
India
en_IN
English
Ireland
en_IE
English
New Zealand
en_NZ
English
South Africa
en_ZA
English
United Kingdom
en_GB
English
United Kingdom Euro
en_GB_EURO
English
United States of America
en_US
Estonian
Estonia
et_EE
Finnish
Finland
fi_FI
French
Belgium
fr_BE
French
Canada
fr_CA
French
France
fr_FR
French
Luxembourg
fr_LU
French
Switzerland
fr_CH
German
Austria
de_AT
German
Germany
de_DE
German
Luxembourg
de_LU
German
Switzerland
de_CH
Greek
Greece
el_GR
Hebrew
Israel
he_IL
Hungarian
Hungary
hu_HU
Indonesian
Indonesia
id_ID
Italian
Italy
it_IT
Italian
Switzerland
it_CH
Japanese
Japan
ja_JP
Korean
Republic of Korea
ko_KR
Korean
Korea Hanja
ko_KR_HANI
Latvian
Latvia
lv_LV
Lithuanian
Lithuania
lt_LT
Malay
Malaysia
ms_MY
Norwegian - Bokmal
Norway
nb_NO
Norwegian - Nynorsk
Norway
nn_NO
Polish
Poland
pl_PL
Portuguese
Brazil
pt_BR
Portuguese
Portugal
pt_PT
Romanian
Romania
ro_RO
Russian
Russia
ru_RU
Serbo-Croatian
Bosnia and Herzegovina
sh_BA
Serbo-Croatian
Croatia
sh_HR
Serbo-Croatian
Serbia and Montenegro
sh_CS
Slovak
Slovakia
sk_SK
Slovenian
Slovenia
sl_SI
Spanish
Ecuador
es_EC
Spanish
El Salvador
es_SV
Spanish
Guatemala
es_GT
Spanish
Honduras
es_HN
Spanish
Nicaragua
es_NI
Spanish
Panama
es_PA
Spanish
Paraguay
es_PY
Spanish
Puerto Rico
es_PR
Spanish
Uruguay
es_UY
Spanish
Argentina
es_AR
Spanish
Bolivia
es_BO
Spanish
Chile
es_CL
Spanish
Columbia
es_CO
Spanish
Costa Rica
es_CR
Spanish
Dominican Republic
es_DO
Spanish
Mexico
es_MX
Spanish
Peru
es_PE
Spanish
Spain
es_ES
Spanish
Venezuela
es_VE
Swedish
Sweden
sv_SE
Thai
Thailand
th_TH
Thai
Thailand Traditional
th_TH_TH
Turkish
Turkey
tr_TR
Ukrainian
Ukraine
uk_UA
Vietnamese
Vietnam
vi_VN
Usually, both elements of a locale are important. For example, the names of weekdays and months, in English, for Canada and Great Britain are formatted identically, but dates are formatted differently. Therefore, specifying an English language locale is insufficient. Also, specifying only a country as the locale is insufficient. For example, Canada has different date formats for English and French.
In general, every application operates in an environment where a locale is present. This locale is known as the ambient locale. In some circumstances, an application might operate on a system, or within an environment, where a locale is not present. In these rare cases, the ambient locale is set to a default of English United States (en_US). This locale is known as a default locale.
Date values and time values have an associated origin or epoch, which is a moment in time from which time begins. Any date value and any time value prior to its epoch is invalid.
The unit of value for all date functions is the number of days since the epoch. The unit of value for all time functions is the number of milliseconds since the epoch.
LiveCycle Designer ES defines day one for the epoch for all date functions as Jan 1, 1900, and millisecond one for the epoch for all time functions is midnight, 00:00:00, Greenwich Mean Time (GMT). This definition means that negative time values can be returned to users in time zones east of GMT.
A date format is a shorthand specification of how a date appears. It consists of various punctuation marks and symbols that represent the formatting that the date must use. The following table lists examples of date formats.
Date format
Example
MM/DD/YY
11/11/78
DD/MM/YY
25/07/85
MMMM DD, YYYY
March 10, 1964
The format of dates is governed by an ISO standard. Each country or region specifies its own date formats. The four general categories of date formats are short, medium, long, and full. The following table contains examples of different date formats from different locales for each of the categories.
Locale identifier and description
Date format (Category)
Example
en_GB
English (United Kingdom)
DD/MM/YY (Short)
08/18/92
08/04/05
fr_CA
French (Canada)
YY-MM-DD (Medium)
92-08-18
de_DE
German (Germany)
D. MMMM YYYY (Long)
17. Juni 1989
fr_FR
French (France)
EEEE, ' le ' D MMMM YYYY (Full)
Lundi, le 29 Octobre, 1990
A time format is a shorthand specification to format a time. It consists of punctuations, literals, and pattern symbols. The following table lists examples of time formats.
Time format
Example
h:MM A
7:15 PM
HH:MM:SS
21:35:26
HH:MM:SS 'o''clock' A Z
14:20:10 o’clock PM EDT
Time formats are governed by an ISO standard. Each nation specifies the form of its default, short, medium, long, and full-time formats. The locale identifies the format of times that conform to the standards of that nation.
The following table contains some examples of different date formats from different locales for each of the categories.
Locale identifier and description
Time format (Category)
Example
en_GB
English (United Kingdom)
HH:MM (Short)
14:13
fr_CA
French (Canada)
HH:MM:SS (Medium)
12:15:50
de_DE
German (Germany)
HH:MM:SS z (Long)
14:13:13 -0400
fr_FR
French (France)
HH ' h ' MM Z (Full)
14 h 13 GMT-04:00
The following symbols must be used to create date and time patterns for date/time fields. Certain date symbols are only used in Chinese, Japanese, and Korean locales. These symbols are also specified below.
Note:
The comma (,), dash (-), colon (:), slash (/), period (.), and space ( ) are treated as literal values and can be included anywhere in a pattern. To include a phrase in a pattern, delimit the text string with single quotation marks ('). For example, 'Your payment is due no later than' MM-DD-YY can be specified as the display pattern.
Date symbol
Description
Formatted value for English (USA) locale where the locale-sensitive input value is 1/1/08 (which is January 1, 2008)
D
1 or 2 digit (1-31) day of the month
1
DD
Zero-padded 2 digit (01-31) day of the month
01
J
1, 2, or 3 digit (1-366) day of the year
1
JJJ
Zero-padded, three-digit (001-366) day of the year
001
M
One- or two-digit (1-12) month of the year
1
MM
Zero-padded, two-digit (01-12) month of the year
01
MMM
Abbreviated month name
Jan
MMMM
Full month name
January
E
One-digit (1-7) day of the week, where (1=Sunday)
3 (because January 1, 2008 is a Tuesday)
EEE
Abbreviated weekday name
Tue (because January 1, 2008 is a Tuesday)
EEEE
Full weekday name
Tuesday (because January 1, 2008 is a Tuesday)
YY
Two-digit year, where numbers less than 30 are considered to fall after the year 2000 and numbers 30 and higher are considered to occur before 2000. For example, 00=2000, 29=2029, 30=1930, and 99=1999
08
YYYY
Four-digit year
2008
G
Era name (BC or AD)
AD
w
One-digit (0-5) week of the month, where week 1 is the earliest set of four contiguous days ending on a Saturday
1
WW
Two-digit (01-53) ISO-8601 week of the year, where week 1 is the week containing January 4
01
Several additional date patterns are available for specifying date patterns in Chinese, Japanese, and Korean locales.
Japanese eras can be represented by several different symbols. The final four era symbols provide alternative symbols to represent Japanese eras.
CJK date symbol
Description
DDD
The locale’s ideographic numeric valued day of the month
DDDD
The locale’s tens rule ideographic numeric valued day of the month
YYY
The locale’s ideographic numeric valued year
YYYYY
The locale’s tens rule ideographic numeric valued year
g
The locale’s alternate era name. For the current Japanese era, Heisei, this pattern displays the ASCII letter H (U+48)
gg
The locale’s alternate era name. For the current Japanese era, this pattern displays the ideograph that is represented by the Unicode symbol (U+5E73)
ggg
The locale’s alternate era name. For the current Japanese era, this pattern displays the ideographs that are represented by the Unicode symbols (U+5E73 U+6210)
g
The locale’s alternate era name. For the current Japanese era, this pattern displays the full width letter H (U+FF28)
g g
The locale’s alternate era name. For the current Japanese era, this pattern displays the ideograph that is represented by the Unicode symbol (U+337B)
Time symbol
Description
Locale-sensitive input value
Formatted value for English (USA) locale
h
One- or two-digit (1-12) hour of the day (AM/PM)
12:08 AM or 2:08 PM
12 or 2
hh
Zero-padded 2 digit (01-12) hour of the day (AM/PM)
12:08 AM or 2:08 PM
12 or 02
k
One- or two-digit (0-11) hour of the day (AM/PM)
12:08 AM or 2:08 PM
0 or 2
kk
Two-digit (00-11) hour of the day (AM/PM)
12:08 AM or 2:08 PM
00 or 02
H
One- or two-digit (0-23) hour of the day
12:08 AM or 2:08 PM
0 or 14
HH
Zero-padded, two-digit (00-23) hour of the day
12:08 AM or 2:08 PM
00 or 14
K
One- or two-digit (1-24) hour of the day
12:08 AM or 2:08 PM
24 or 14
KK
Zero-padded, two-digit (01-24) hour of the day
12:08 AM or 2:08 PM
24 or 14
M
One- or two-digit (0-59) minute of the hour
Note:
You must use this symbol with an hour symbol.
2:08 PM
8
MM
Zero-padded, two-digit (00-59) minute of the hour
Note:
You must use this symbol with an hour symbol.
2:08 PM
08
S
One- or two-digit (0-59) second of the minute
Note:
You must use this symbol with an hour and minute symbol.
2:08:09 PM
9
SS
Zero-padded, two-digit (00-59) second of the minute
Note:
You must use this symbol with an hour and minute symbol.
2:08:09 PM
09
FFF
Three- digit (000-999) thousandth of the second
Note:
You must use this symbol with an hour, minute, and seconds symbol.
2:08:09 PM
09
A
The part of the day that is from midnight to noon (AM) or from noon to midnight (PM)
2:08:09 PM
PM
z
ISO-8601 time-zone format (for example, Z, +0500, -0030, -01, +0100)
Note:
You must use this symbol with an hour symbol.
2:08:09 PM
-0400
zz
Alternative ISO-8601 time-zone format (for example, Z, +05:00, -00:30, -01, +01:00)
Note:
You must use this symbol with an hour symbol.
2:08:09 PM
-04:00
Z
Abbreviated time-zone name (for example, GMT, GMT+05:00, GMT-00:30, EST, PDT)
Note:
You must use this symbol with an hour symbol.
2:08:09 PM
EDT
Reserved symbols
The following symbols have special meanings and cannot be used as literal text.
Symbol
Description
?
When submitted, the symbol matches any one character. When merged for display, it becomes a space.
*
When submitted, the symbol matches 0 or Unicode white space characters. When merged for display, it becomes a space.
+
When submitted, the symbol matches one or more Unicode white space characters. When merged for display, it becomes a space.


Date

Scripting > FormCalc User Reference > Date and Time Functions > Date
Date
Returns the current system date as the number of days since the epoch.
Syntax
Date()
Parameters
None
Examples
The following expression is an example of using the Date function:
Expression
Returns
Date()
37875 (the number of days from the epoch to September 12, 2003)


Date2Num

Scripting > FormCalc User Reference > Date and Time Functions > Date2Num
Date2Num
Returns the number of days since the epoch, given a date string.
Syntax
Date2Num(d [, f [, k ]])
Parameters
Parameter
Description
d
A date string in the format supplied by f that also conforms to the locale given by k.
f (optional)
A date format string. If f is omitted, the default date format MMM D, YYYY is used.
k (optional)
A locale identifier string that conforms to the locale naming standards. If k is omitted (or is invalid), the ambient locale is used.
The function returns a value of 0 if any of the following conditions are true:
•
The format of the given date does not match the format specified in the function.
•
Either the locale or date format supplied in the function is invalid.
Insufficient information is provided to determine a unique day since the epoch (that is, any information regarding the date is missing or incomplete).
Examples
The following expressions are examples of using the Date2Num function:
Expression
Returns
Date2Num("Mar 15, 1996")
35138
Date2Num("1/1/1900", "D/M/YYYY")
1
Date2Num("03/15/96", "MM/DD/YY")
35138
Date2Num("Aug 1,1996", "MMM D, YYYY")
35277
Date2Num("96-08-20", "YY-MM-DD", "fr_FR")
35296
Date2Num("1/3/00", "D/M/YY") - Date2Num("1/2/00", "D/M/YY")
29


DateFmt

Scripting > FormCalc User Reference > Date and Time Functions > DateFmt
DateFmt
Returns a date format string, given a date format style.
Syntax
DateFmt([n [, k ]])
Parameters
Parameter
Description
n (optional)
An integer identifying the locale-specific time format style as follows:
•
1 (Short style)
•
2 (Medium style)
•
3 (Long style)
•
4 (Full style)
If n is omitted (or is invalid), the default style value 0 is used.
k (optional)
A locale identifier string that conforms to the locale naming standards. If k is omitted (or is invalid), the ambient locale is used.
Examples
The following expressions are examples of using the DateFmt function:
Expression
Returns
DateFmt(1)
M/D/YY (if en_US locale is set)
DateFmt(2, "fr_CA")
YY-MM-DD
DateFmt(3, "de_DE")
D. MMMM YYYY
DateFmt(4, "fr_FR")
EEEE D' MMMM YYYY


IsoDate2Num

Scripting > FormCalc User Reference > Date and Time Functions > IsoDate2Num
IsoDate2Num
Returns the number of days since the epoch began, given a valid date string.
Syntax
IsoDate2Num(d)
Parameters
Parameter
Description
d
A valid date string.
Examples
The following expressions are examples of using the IsoDate2Num function:
Expression
Returns
IsoDate2Num("1900")
1
IsoDate2Num("1900-01")
1
IsoDate2Num("1900-01-01")
1
IsoDate2Num("19960315T20:20:20")
35138
IsoDate2Num("2000-03-01") - IsoDate2Num("20000201")
29


IsoTime2Num

Scripting > FormCalc User Reference > Date and Time Functions > IsoTime2Num
IsoTime2Num
Returns the number of milliseconds since the epoch, given a valid time string.
Syntax
IsoTime2Num(d)
Parameters
Parameter
Description
d
A valid time string.
Examples
The following expressions are examples of using the IsoTime2Num function:
Expression
Returns
IsoTime2Num("00:00:00Z")
1, for a user in the Eastern Time (ET) zone.
IsoTime2Num("13")
64800001, for a user located in Boston, U.S.
IsoTime2Num("13:13:13")
76393001, for a user located in California.
IsoTime2Num("19111111T131313+01")
43993001, for a user located in the Eastern Time (ET) zone.


LocalDateFmt

Scripting > FormCalc User Reference > Date and Time Functions > LocalDateFmt
LocalDateFmt
Returns a localized date format string, given a date format style.
Syntax
LocalDateFmt([n [, k ]])
Parameters
Parameter
Description
n (optional)
An integer identifying the locale-specific date format style as follows:
•
1 (Short style)
•
2 (Medium style)
•
3 (Long style)
•
4 (Full style)
If n is omitted (or is invalid), the default style value 0 is used.
k (optional)
A locale identifier string that conforms to the locale naming standards. If k is omitted (or is invalid), the ambient locale is used.
Examples
The following expressions are examples of the LocalDateFmt function:
Expression
Returns
LocalDateFmt(1, "de_DE")
tt.MM.uu
LocalDateFmt(2, "fr_CA")
aa-MM-jj
LocalDateFmt(3, "de_CH")
t. MMMM jjjj
LocalDateFmt(4, "fr_FR")
EEEE j MMMM aaaa


LocalTimeFmt

Scripting > FormCalc User Reference > Date and Time Functions > LocalTimeFmt
LocalTimeFmt
Returns a localized time format string, given a time format style.
Syntax
LocalTimeFmt([n [, k ]])
Parameters
Parameter
Description
n (Optional)
An integer identifying the locale-specific time format style as follows:
•
1 (Short style)
•
2 (Medium style)
•
3 (Long style)
•
4 (Full style)
If n is omitted (or is invalid), the default style value 0 is used.
k (Optional)
A locale identifier string that conforms to the locale naming standards. If k is omitted (or is invalid), the ambient locale is used.
Examples
The following expressions are examples of using the LocalTimeFmt function:
Expression
Returns
LocalTimeFmt(1, "de_DE")
HH:mm
LocalTimeFmt(2, "fr_CA")
HH:mm:ss
LocalTimeFmt(3, "de_CH")
HH:mm:ss z
LocalTimeFmt(4, "fr_FR")
HH' h 'mm z


Num2Date

Scripting > FormCalc User Reference > Date and Time Functions > Num2Date
Num2Date
Returns a date string, given a number of days since the epoch.
Syntax
Num2Date(n [,f [, k ]])
Parameters
Parameter
Description
n
An integer representing the number of days.
If n is invalid, the function returns an error.
f (Optional)
A date format string. If you do not include a value for f, the function uses the default date format MMM D, YYYY.
k (Optional)
A locale identifier string that conforms to the locale naming standards. If you do not include a value for k, or if k is invalid, the function uses the ambient locale.
The function returns a value of 0 if any of the following conditions are true:
•
The format of the given date does not match the format specified in the function.
•
Either the locale or date format supplied in the function is invalid.
Insufficient information is provided to determine a unique day since the epoch (that is, any information regarding the date is missing or incomplete.
Examples
The following expressions are examples of using the Num2Date function:
Expression
Returns
Num2Date(1, "DD/MM/YYYY")
01/01/1900
Num2Date(35139, "DD-MMM-YYYY", "de_DE")
16-Mrz-1996
Num2Date(Date2Num("Mar 15, 2000") - Date2Num("98-03-15", "YY-MM-DD", "fr_CA"))
Jan 1, 1902


Num2GMTime

Scripting > FormCalc User Reference > Date and Time Functions > Num2GMTime
Num2GMTime
Returns a GMT time string, given a number of milliseconds from the epoch.
Syntax
Num2GMTime(n [,f [, k ]])
Parameters
Parameter
Description
n
An integer representing the number of milliseconds.
If n is invalid, the function returns an error.
f (Optional)
A time format string. If you do not include a value for f, the function uses the default time format H:MM:SS A.
k (Optional)
A locale identifier string that conforms to the locale naming standards. If you do not include a value for k, or if k is invalid, the function uses the ambient locale.
The function returns a value of 0 if any of the following conditions are true:
•
The format of the given time does not match the format specified in the function.
•
Either the locale or time format supplied in the function is invalid.
Insufficient information is provided to determine a unique time since the epoch (that is, any information regarding the time is missing or incomplete.
Examples
The following expressions illustrate using the Num2GMTime function:
Expression
Returns
Num2GMTime(1, "HH:MM:SS")
00:00:00
Num2GMTime(65593001, "HH:MM:SS Z")
18:13:13 GMT
Num2GMTime(43993001, TimeFmt(4, "de_DE"), "de_DE")
12.13 Uhr GMT


Num2Time

Scripting > FormCalc User Reference > Date and Time Functions > Num2Time
Num2Time
Returns a time string, given a number of milliseconds from the epoch.
Syntax
Num2Time(n [,f [, k ]])
Parameters
Parameter
Description
n
An integer representing the number of milliseconds.
If n is invalid, the function returns an error.
f (Optional)
A time format string. If you do not include a value for f, the function uses the default time format H:MM:SS A.
k (Optional)
A locale identifier string that conforms to the locale naming standards. If you do not include a value for k, or if k is invalid, the function uses the ambient locale.
The function returns a value of 0 if any of the following conditions are true:
•
The format of the given time does not match the format specified in the function.
•
Either the locale or time format supplied in the function is invalid.
Insufficient information is provided to determine a unique time since the epoch (that is, any information regarding the time is missing or incomplete.
Examples
The following expressions illustrate using the Num2Time function:
Expression
Returns
Num2Time(1, "HH:MM:SS")
00:00:00 in Greenwich, England and 09:00:00 in Tokyo.
Num2Time(65593001, "HH:MM:SS Z")
13:13:13 EST in Boston, U.S.
Num2Time(65593001, "HH:MM:SS Z", "de_DE")
13:13:13 GMT-05:00 to a German-Swiss user in Boston, U.S.
Num2Time(43993001, TimeFmt(4, "de_DE"), "de_DE")
13.13 Uhr GMT+01:00 to a user in Zurich, Austria.
Num2Time(43993001, "HH:MM:SSzz")
13:13+01:00 to a user in Zurich, Austria.


Time

Scripting > FormCalc User Reference > Date and Time Functions > Time
Time
Returns the current system time as the number of milliseconds since the epoch.
Syntax
Time()
Parameters
None
Examples
The following expression is an example of using the Time function:
Expression
Returns
Time()
71533235 at precisely 3:52:15 P.M. on September 15th, 2003 to a user in the Eastern Standard Time (EST) zone.


Time2Num

Scripting > FormCalc User Reference > Date and Time Functions > Time2Num
Time2Num
Returns the number of milliseconds since the epoch, given a time string.
Syntax
Time2Num(d [, f [, k ]])
Parameters
Parameter
Description
d
A time string in the format supplied by f that also conforms to the locale given by k.
f (Optional)
A time format string. If you do not include a value for f, the function uses the default time format H:MM:SS A.
k (Optional)
A locale identifier string that conforms to the locale naming standards. If you do not include a value for k, or if k is invalid, the function uses the ambient locale.
The function returns a value of 0 if any of the following conditions are true:
•
The format of the given time does not match the format specified in the function.
•
Either the locale or time format supplied in the function is invalid.
Insufficient information is provided to determine a unique time since the epoch (that is, any information regarding the time is missing or incomplete.
Examples
The following expressions illustrate using the Time2Num function:
Expression
Returns
Time2Num("00:00:00 GMT", "HH:MM:SS Z")
1
Time2Num("1:13:13 PM")
76393001 to a user in California on Pacific Standard Time, and 76033001 when that same user is on Pacific Daylight Savings Time.
Time2Num("13:13:13", "HH:MM:SS") - Time2Num("13:13:13 GMT", "HH:MM:SS Z")) / (60 * 60 * 1000)
8 to a user in Vancouver and 5 to a user in Ottawa when on Standard Time. On Daylight Savings Time, the returned values are 7 and 4, respectively.
Time2Num("13:13:13 GMT", "HH:MM:SS Z", "fr_FR")
47593001


TimeFmt

Scripting > FormCalc User Reference > Date and Time Functions > TimeFmt
TimeFmt
Returns a time format, given a time format style.
Syntax
TimeFmt([n [, k ]])
Parameters
Parameter
Description
n (Optional)
An integer identifying the locale-specific time format style as follows:
•
1 (Short style)
•
2 (Medium style)
•
3 (Long style)
•
4 (Full style)
If you do not include a value for n, or if n is invalid, the function uses the default style value.
k (Optional)
A locale identifier string that conforms to the locale naming standards. If k is omitted (or is invalid), the ambient locale is used.
Examples
The following expressions are examples of using the TimeFmt function:
Expression
Returns
TimeFmt(1)
h:MM A (if en_US locale is set)
TimeFmt(2, "fr_CA")
HH:MM:SS
TimeFmt(3, "fr_FR")
HH:MM:SS Z
TimeFmt(4, "de_DE")
H.MM' Uhr 'Z


Financial Functions

Scripting > FormCalc User Reference > Financial Functions
Financial Functions
About financial functions
Apr
CTerm
FV
IPmt
NPV
Pmt
PPmt
PV
Rate
Term


About financial functions

Scripting > FormCalc User Reference > Financial Functions > About financial functions
About financial functions
These functions perform a variety of interest, principal, and evaluation calculations related to the financial sector.
Functions
•
“Apr”
•
“CTerm”
•
“FV”
•
“IPmt”
•
“NPV”
•
“Pmt”
•
“PPmt”
•
“PV”
•
“Rate”
•
“Term”


Apr

Scripting > FormCalc User Reference > Financial Functions > Apr
Apr
Returns the annual percentage rate for a loan.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
Apr(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the principal amount of the loan.
n2
A numeric value or expression representing the payment amount on the loan.
n3
A numeric value or expression representing the number of periods in the loan’s duration.
If any parameter is null, the function returns null. If any parameter is negative or 0, the function returns an error.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Apr function:
Expression
Returns
Apr(35000, 269.50, 360)
0.08515404566 for a $35,000 loan repaid at $269.50 a month for 30 years.
Apr(210000 * 0.75, 850 + 110, 25 * 26)
0.07161332404
Apr(-20000, 250, 120)
Error
Apr(P_Value, Payment, Time)
This example uses variables in place of actual numeric values or expressions.


CTerm

Scripting > FormCalc User Reference > Financial Functions > CTerm
CTerm
Returns the number of periods needed for an investment earning a fixed, but compounded, interest rate to grow to a future value.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
CTerm(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the interest rate per period.
n2
A numeric value or expression representing the future value of the investment.
n3
A numeric value or expression representing the amount of the initial investment.
If any parameter is null, the function returns null. If any parameter is negative or 0, the function returns an error.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the CTerm function:
Expression
Returns
CTerm(0.02, 1000, 100)
116.2767474515
CTerm(0.10, 500000, 12000)
39.13224648502
CTerm(0.0275 + 0.0025, 1000000, 55000 * 0.10)
176.02226044975
CTerm(Int_Rate, Target_Amount, P_Value)
This example uses variables in place of actual numeric values or expressions.


FV

Scripting > FormCalc User Reference > Financial Functions > FV
FV
Returns the future value of consistent payment amounts made at regular intervals at a constant interest rate.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
FV(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the payment amount.
n2
A numeric value or expression representing the interest per period of the investment.
n3
A numeric value or expression representing the total number of payment periods.
The function returns an error if either of the following conditions are true:
•
Either of n1 or n3 are negative or 0.
•
n2 is negative.
If any of the parameters are null, the function returns null.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of the FV function:
Expression
Returns
FV(400, 0.10 / 12, 30 * 12)
904195.16991842445. This is the value, after 30 years, of a $400 a month investment growing at 10% annually.
FV(1000, 0.075 / 4, 10 * 4)
58791.96145535981. This is the value, after 10 years, of a $1000 a month investment growing at 7.5% a quarter.
FV(Payment[0], Int_Rate / 4, Time)
This example uses variables in place of actual numeric values or expressions.


IPmt

Scripting > FormCalc User Reference > Financial Functions > IPmt
IPmt
Returns the amount of interest paid on a loan over a set period of time.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
IPmt(n1, n2, n3, n4, n5)
Parameters
Parameter
Description
n1
A numeric value or expression representing the principal amount of the loan.
n2
A numeric value or expression representing the annual interest rate of the investment.
n3
A numeric value or expression representing the monthly payment amount.
n4
A numeric value or expression representing the first month in which a payment will be made.
n5
A numeric value or expression representing the number of months for which to calculate.
The function returns an error if either of the following conditions are true:
•
n1, n2, or n3 are negative or 0.
•
Either n4 or n5 are negative.
If any parameter is null, the function returns null. If the payment amount (n3) is less than the monthly interest load, the function returns 0.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the IPmt function:
Expression
Returns
IPmt(30000, 0.085, 295.50, 7, 3)
624.8839283142. The amount of interest repaid on a $30000 loan at 8.5% for the three months between the seventh month and the tenth month of the loan’s term.
IPmt(160000, 0.0475, 980, 24, 12)
7103.80833569485. The amount of interest repaid during the third year of the loan.
IPmt(15000, 0.065, 65.50, 15, 1)
0, because the monthly payment is less than the interest the loan accrues during the month.


NPV

Scripting > FormCalc User Reference > Financial Functions > NPV
NPV
Returns the net present value of an investment based on a discount rate and a series of periodic future cash flows.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
NPV(n1, n2 [, ...])
Parameters
Parameter
Description
n1
A numeric value or expression representing the discount rate over a single period.
n2
A numeric value or expression representing a cash flow value, which must occur at the end of a period. It is important that the values specified in n2 and beyond are in the correct sequence.
The function returns an error if n1 is negative or 0. If any of the parameters are null, the function returns null.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the NPV function:
Expression
Returns
NPV(0.065, 5000)
4694.83568075117, which is the net present value of an investment earning 6.5% per year that will generate $5000.
NPV(0.10, 500, 1500, 4000, 10000)
11529.60863329007, which is the net present value of an investment earning 10% a year that will generate $500, $1500, $4000, and $10,000 in each of the next four years.
NPV(0.0275 / 12, 50, 60, 40, 100, 25)
273.14193838457, which is the net present value of an investment earning 2.75% year that will generate $50, $60, $40, $100, and $25 in each of the next five months.


Pmt

Scripting > FormCalc User Reference > Financial Functions > Pmt
Pmt
Returns the payment for a loan based on constant payments and a constant interest rate.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
Pmt(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the principal amount of the loan.
n2
A numeric value or expression representing the interest rate per period of the investment.
n3
A numeric value or expression representing the total number of payment periods.
The function returns an error if any parameter is negative or 0. If any parameter is null, the function returns null.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Pmt function:
Expression
Returns
Pmt(150000, 0.0475 / 12, 25 * 12)
855.17604207164, which is the monthly payment on a $150,000 loan at 4.75% annual interest, repayable over 25 years.
Pmt(25000, 0.085, 12)
3403.82145169876, which is the annual payment on a $25,000 loan at 8.5% annual interest, repayable over 12 years.


PPmt

Scripting > FormCalc User Reference > Financial Functions > PPmt
PPmt
Returns the amount of principal paid on a loan over a period of time.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on US interest rate standards.
Syntax
PPmt(n1, n2, n3, n4, n5)
Parameters
Parameter
Description
n1
A numeric value or expression representing the principal amount of the loan.
n2
A numeric value or expression representing the annual interest rate.
n3
A numeric value or expression representing the amount of the monthly payment.
n4
A numeric value or expression representing the first month in which a payment will be made.
n5
A numeric value or expression representing the number of months for which to calculate.
The function returns an error if either of the following conditions are true:
•
n1, n2, or n3 are negative or 0.
•
Either n4 or n5 is negative.
If any parameter is null, the function returns null. If the payment amount (n3) is less than the monthly interest load, the function returns 0.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the PPmt function:
Expression
Returns
PPmt(30000, 0.085, 295.50, 7, 3)
261.6160716858, which is the amount of principal repaid on a $30,000 loan at 8.5% for the three months between the seventh month and the tenth month of the loan’s term.
PPmt(160000, 0.0475, 980, 24, 12)
4656.19166430515, which is the amount of principal repaid during the third year of the loan.
PPmt(15000, 0.065, 65.50, 15, 1)
0, because in this case the monthly payment is less than the interest the loan accrues during the month, therefore, no part of the principal is repaid.


PV

Scripting > FormCalc User Reference > Financial Functions > PV
PV
Returns the present value of an investment of periodic constant payments at a constant interest rate.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
PV(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the payment amount.
n2
A numeric value or expression representing the interest per period of the investment.
n3
A numeric value or expression representing the total number of payment periods.
The function returns an error if either n1 or n3 is negative or 0. If any parameter is null, the function returns null.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the PV function:
Expression
Returns
PV(400, 0.10 / 12, 30 * 12)
45580.32799074439. This is the value after 30 years, of a $400 a month investment growing at 10% annually.
PV(1000, 0.075 / 4, 10 * 4)
58791.96145535981. This is the value after ten years of a $1000 a month investment growing at 7.5% a quarter.
PV(Payment[0], Int_Rate / 4, Time)
This example uses variables in place of actual numeric values or expressions.


Rate

Scripting > FormCalc User Reference > Financial Functions > Rate
Rate
Returns the compound interest rate per period required for an investment to grow from present to future value in a given period.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
Rate(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the future value of the investment.
n2
A numeric value or expression representing the present value of the investment.
n3
A numeric value or expression representing the total number of investment periods.
The function returns an error if any parameter is negative or 0. If any parameter is null, the function returns null.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Rate function:
Expression
Returns
Rate(12000, 8000, 5)
0.0844717712 (or 8.45%), which is the interest rate per period needed for an $8000 present value to grow to $12,000 in five periods.
Rate(10000, 0.25 * 5000, 4 * 12)
0.04427378243 (or 4.43%), which is the interest rate per month needed for the present value to grow to $10,000 in four years.
Rate(Target_Value, Pres_Value[*], Term * 12)
This example uses variables in place of actual numeric values or expressions.


Term

Scripting > FormCalc User Reference > Financial Functions > Term
Term
Returns the number of periods needed to reach a given future value from periodic constant payments into an interest bearing account.
Note:
Interest rate calculation methods differ from country to country. This function calculates an interest rate based on U.S. interest rate standards.
Syntax
Term(n1, n2, n3)
Parameters
Parameter
Description
n1
A numeric value or expression representing the payment amount made at the end of each period.
n2
A numeric value or expression representing the interest rate per period of the investment.
n3
A numeric value or expression representing the future value of the investment.
The function returns an error if any parameter is negative or 0. If any parameter is null, the function returns null.
Note:
FormCalc follows the IEEE-754 international standard when handling floating point numeric values. For more information, see “Number literals”.
Examples
The following expressions are examples of using the Term function:
Expression
Returns
Term(475, .05, 1500)
3.00477517728 (or roughly 3), which is the number of periods needed to grow a payment of $475 into $1500, with an interest rate of 5% per period.
Term(2500, 0.0275 + 0.0025, 5000)
1.97128786369, which is the number of periods needed to grow payments of $2500 into $5000, with an interest rate of 3% per period.
Rate(Inv_Value[0], Int_Rate + 0.0050, Target_Value)
This example uses variables in place of actual numeric values or expressions. In this case, the first occurrence of the variable Inv_Value is used as the payment amount, half a percentage point is added to the variable Int_Rate to use as the interest rate, and the variable Target_Value is used as the future value of the investment.


Logical Functions

Scripting > FormCalc User Reference > Logical Functions
Logical Functions
About logical functions
Choose
Exists
HasValue
Oneof
Within


About logical functions

Scripting > FormCalc User Reference > Logical Functions > About logical functions
About logical functions
These functions are useful for testing and/or analyzing information to obtain a true or false result.
Functions
•
“Choose”
•
“Exists”
•
“HasValue”
•
“Oneof”
•
“Within”


Choose

Scripting > FormCalc User Reference > Logical Functions > Choose
Choose
Selects a value from a given set of parameters.
Syntax
Choose(n, s1 [, s2 ...])
Parameters
Parameter
Description
n
The position of the value you want to select within the set. If this value is not a whole number, the function rounds n down to the nearest whole value.
The function returns an empty string if either of the following conditions is true:
•
n is less than 1.
•
n is greater than the number of items in the set.
If n is null, the function returns null.
s1
The first value in the set of values.
s2 (Optional)
Additional values in the set.
Examples
The following expressions are examples of using the Choose function:
Expression
Returns
Choose(3, "Taxes", "Price", "Person", "Teller")
Person
Choose(2, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1)
9
Choose(Item_Num[0], Items[*])
Returns the value within the set Items that corresponds to the position defined by the first occurrence of Item_Num.
Choose(20/3, "A", "B", "C", "D", "E", "F", "G", "H")
F


Exists

Scripting > FormCalc User Reference > Logical Functions > Exists
Exists
Determines whether the given parameter is a reference syntax to an existing object.
Syntax
Exists(v)
Parameters
Parameter
Description
v
A valid reference syntax expression.
If v is not a reference syntax, the function returns false (0).
Examples
The following expressions are examples of using the Exists function:
Expression
Returns
Exists(Item)
True (1) if the object Item exists and false (0) otherwise.
Exists("hello world")
False (0). The string is not a reference syntax.
Exists(Invoice.Border.Edge[1].Color)
True (1) if the object Invoice exists and has a Border property, which in turn has at least one Edge property, which in turn has a Color property. Otherwise, the function returns false (0).


HasValue

Scripting > FormCalc User Reference > Logical Functions > HasValue
HasValue
Determines whether the given parameter is a reference syntax with a non-null, non-empty, or non-blank value.
Syntax
HasValue(v)
Parameters
Parameter
Description
v
A valid reference syntax expression.
If v is not a reference syntax, the function returns false (0).
Examples
The following expressions are examples of using the HasValue function.
Expression
Returns
HasValue(2)
True (1)
HasValue(" ")
False (0)
HasValue(Amount[*])
Error
HasValue(Amount[0])
Evaluates the first occurrence of Amount and returns true (1) if it is a non-null, non-empty, or non-blank value.


Oneof

Scripting > FormCalc User Reference > Logical Functions > Oneof
Oneof
Determines whether the given value is within a set.
Syntax
Oneof(s1, s2 [, s3 ...])
Parameters
Parameter
Description
s1
The position of the value you want to select within the set. If this value is not a whole number, the function rounds s1 down to the nearest whole value.
s2
The first value in the set of values.
s3 (Optional)
Additional values in the set.
Examples
The following expressions are examples of using the Oneof function:
Expression
Returns
Oneof(3, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1)
True (1)
Oneof("John", "Bill", "Gary", "Joan", "John", "Lisa")
True (1)
Oneof(3, 1, 25)
False(0)
Oneof("loan", Fields[*])
Verifies whether any occurrence of Fields has a value of loan.


Within

Scripting > FormCalc User Reference > Logical Functions > Within
Within
Determines whether the given value is within a given range.
Syntax
Within(s1, s2, s3)
Parameters
Parameter
Description
s1
The value to test for.
If s1 is a number, the ordering comparison is numeric.
If s1 is not a number, the ordering comparison uses the collating sequence for the current locale. For more information, see Locales.
If s1 is null, the function returns null.
s2
The lower bound of the test range.
s3
The upper bound of the test range.
Examples
The following expressions are examples of using the Within function:
Expression
Returns
Within("C", "A", "D")
True (1)
Within(1.5, 0, 2)
True (1)
Within(-1, 0, 2)
False (0)
Within($, 1, 10)
True (1) if the current value is between 1 and 10.


Miscellaneous Functions

Scripting > FormCalc User Reference > Miscellaneous Functions
Miscellaneous Functions
About miscellaneous functions
Eval
Null
Ref
UnitType
UnitValue


About miscellaneous functions

Scripting > FormCalc User Reference > Miscellaneous Functions > About miscellaneous functions
About miscellaneous functions
Functions in this section do not fit within any other particular function category and are useful in a variety of applications.
Functions
•
“Eval”
•
“Null”
•
“Ref”
•
“UnitType”
•
“UnitValue”


Eval

Scripting > FormCalc User Reference > Miscellaneous Functions > Eval
Eval
Returns the value of a given form calculation.
Syntax
Eval(s)
Parameters
Parameter
Description
s
A valid string representing an expression or list of expressions.
Note:
The Eval function cannot refer to user-defined variables and functions. For example:
var s = "var t = concat(s, ""hello"")"
eval(s)
In this case, the Eval function does not recognize s, and so returns an error. Any subsequent functions that make reference to the variable s also fail.
Examples
The following expressions are examples of using the Eval function:
Expression
Returns
eval("10*3+5*4")
50
eval("hello")
error


Null

Scripting > FormCalc User Reference > Miscellaneous Functions > Null
Null
Returns the null value. The null value means no value.
Definition
Null()
Parameters
None
Examples
The following expressions are examples of using the Null function:
Expression
Returns
Null()
null
Null() + 5
5
Quantity = Null()
Assigns null to the object Quantity.
Concat("ABC", Null(), "DEF")
ABCDEF
See also “Concat”.


Ref

Scripting > FormCalc User Reference > Miscellaneous Functions > Ref
Ref
Returns a reference to an existing object.
Definition
Ref(v)
Parameters
Parameters
Description
v
A valid string representing a reference syntax, property, method, or function.
Note:
If the given parameter is null, the function returns the null reference. For all other given parameters, the function generates an error exception.
Examples
The following expressions are examples of using the Ref function:
Expressions
Returns
Ref("10*3+5*4")
10*3+5*4
Ref("hello")
hello


UnitType

Scripting > FormCalc User Reference > Miscellaneous Functions > UnitType
UnitType
Returns the units of a unitspan. A unitspan is a string consisting of a number followed by a unit name.
Syntax
UnitType(s)
Parameters
Parameter
Description
s
A valid string containing a numeric value and a valid unit of measurement (unitspan). Recognized units of measurement are:
•
in, inches
•
mm, millimeters
•
cm, centimeters
•
pt, picas, points
•
mp, millipoints
If s is invalid, the function returns in.
Examples
The following expressions are examples of using the UnitType function:
Expression
Results
UnitType("36 in")
in
UnitType("2.54centimeters")
cm
UnitType("picas")
pt
UnitType("2.cm")
cm
UnitType("2.zero cm")
in
UnitType("kilometers")
in
UnitType(Size[0])
Returns the measurement value of the first occurrence of Size.


UnitValue

Scripting > FormCalc User Reference > Miscellaneous Functions > UnitValue
UnitValue
Returns the numerical value of a measurement with its associated unitspan, after an optional unit conversion. A unitspan is a string consisting of a number followed by a valid unit of measurement.
Syntax
UnitValue(s1 [, s2 ])
Parameters
Parameters
Description
s1
A valid string containing a numeric value and a valid unit of measurement (unitspan). Recognized units of measurement are:
•
in, inches
•
mm, millimeters
•
cm, centimeters
•
pt, picas, points
•
mp, millipoints
s2 (optional)
A string containing a valid unit of measurement. The function converts the unitspan specified in s1 to this new unit of measurement.
If you do not include a value for s2, the function uses the unit of measurement specified in s1. If s2 is invalid, the function converts s1 into inches.
Examples
The following expressions are examples of using the UnitValue function:
Expression
Returns
UnitValue("2in")
2
UnitValue("2in", "cm")
5.08
UnitValue("6", "pt")
432
UnitValue("A", "cm")
0
UnitValue(Size[2], "mp")
Returns the measurement value of the third occurrence of Size converted into millipoints.
UnitValue("5.08cm", "kilograms")
2


String Functions

Scripting > FormCalc User Reference > String Functions
String Functions
About string functions
At
Concat
Decode
Encode
Format
Left
Len
Lower
Ltrim
Parse
Replace
Right
Rtrim
Space
Str
Stuff
Substr
Uuid
Upper
WordNum


About string functions

Scripting > FormCalc User Reference > String Functions > About string functions
About string functions
Functions in this section deal with the manipulation, evaluation, and creation of string values.
Functions
•
“At”
•
“Concat”
•
“Decode”
•
“Encode”
•
“Format”
•
“Left”
•
“Len”
•
“Lower”
•
“Ltrim”
•
“Parse”
•
“Replace”
•
“Right”
•
“Rtrim”
•
“Space”
•
“Str”
•
“Stuff”
•
“Substr”
•
“Uuid”
•
“Upper”
•
“WordNum”


At

Scripting > FormCalc User Reference > String Functions > At
At
Locates the starting character position of a string within another string.
Syntax
At(s1, s2)
Parameters
Parameter
Description
s1
The source string.
s2
The search string.
If s2 is not a part of s1, the function returns 0.
If s2 is empty, the function returns 1.
Examples
The following expressions are examples of using the At function:
Expression
Returns
At("ABCDEFGH", "AB")
1
At("ABCDEFGH", "F")
6
At(23412931298471, 29)
5, the first occurrence of 29 within the source string.
At(Ltrim(Cust_Info[0]), "555")
The location of the string 555 within the first occurrence of Cust_Info.
See also “Ltrim”.


Concat

Scripting > FormCalc User Reference > String Functions > Concat
Concat
Returns the concatenation of two or more strings.
Syntax
Concat(s1 [, s2 ...])
Parameters
Parameter
Description
s1
The first string in the set.
s2 (Optional)
Additional strings to append to the set.
Examples
The following expressions are examples of using the Concat function:
Expression
Returns
Concat("ABC", "DEF")
ABCDEF
Concat("Tony", Space(1), "Blue")
Tony Blue
See also “Space”.
Concat("You owe ", WordNum(1154.67, 2), ".")
You owe One Thousand One Hundred Fifty-four Dollars And Sixty-seven Cents.
See also “WordNum”.


Decode

Scripting > FormCalc User Reference > String Functions > Decode
Decode
Returns the decoded version of a given string.
Syntax
Decode(s1 [, s2 ])
Parameters
Parameter
Description
s1
The string to decode.
s2 (Optional)
A string identifying the type of decoding to perform. The following strings are valid decoding strings:
•
url (URL decoding)
•
html (HTML decoding)
•
xml (XML decoding)
If you do not include a value for s2, the function uses URL decoding.
Examples
The following expressions are examples of using the Decode function:
Expression
Returns
Decode("&AElig;&Aacute;&Acirc;&Aacute;
&Acirc;", "html")
ÆÁÂÁÂ
Decode("~!@#$%^&amp;*()_+|`{&quot;}[]
&lt;&gt;?,./;&apos;:", "xml")
~!@#$%^&*()_+|`{""}[]<>?,./;':


Encode

Scripting > FormCalc User Reference > String Functions > Encode
Encode
Returns the encoded version of a given string.
Syntax
Encode(s1 [, s2 ])
Parameters
Parameter
Description
s1
The string to encode.
s2 (Optional)
A string identifying the type of encoding to perform. The following strings are valid encoding strings:
•
url (URL encoding)
•
html (HTML encoding)
•
xml (XML encoding)
If you do not include a value for s2, the function uses URL encoding.
Examples
The following expressions are examples of using the Encode function:
Expression
Returns
Encode("""hello, world!""", "url")
%22hello,%20world!%22
Encode("ÁÂÃÄÅÆ", "html")
&#xc1;&#Xc2;&#Xc3;&#xc4;&#xc5;&#xc6;


Format

Scripting > FormCalc User Reference > String Functions > Format
Format
Formats the given data according to the specified picture format string.
Syntax
Format(s1, s2 [, s3 ...])
Parameters
Parameter
Description
s1
The picture format string, which may be a locale-sensitive date or time format. See Locales.
s2
The source data to format.
For date picture formats, the source data must be either an ISO date-time string or an ISO date string in one of two formats:
•
YYYY[MM[DD]]
•
YYYY[-MM[-DD]]
For time picture formats, the source data must be either an ISO date-time string or an ISO time string in one of the following formats:
•
HH[MM[SS[.FFF][z]]]
•
HH[MM[SS[.FFF][+HH[MM]]]]
•
HH[MM[SS[.FFF][-HH[MM]]]]
•
HH[:MM[:SS[.FFF][z]
•
HH[:MM[:SS[.FFF][-HH[:MM]]]]
•
HH[:MM[:SS[.FFF][+HH[:MM]]]]
For date-time picture formats, the source data must be an ISO date-time string.
For numeric picture formats, the source data must be numeric.
For text picture formats, the source data must be textual.
For compound picture formats, the number of source data arguments must match the number of subelements in the picture.
s3 (Optional)
Additional source data to format.
Examples
The following expressions are examples of using the Format function:
Expression
Returns
Format("MMM D, YYYY", "20020901")
Sep 1, 2002
Format("$9,999,999.99", 1234567.89)
$1,234,567.89 in the U.S. and 1 234 567,89 Euros in France.


Left

Scripting > FormCalc User Reference > String Functions > Left
Left
Extracts a specified number of characters from a string, starting with the first character on the left.
Syntax
Left(s, n)
Parameters
Parameter
Description
s
The string to extract from.
n
The number of characters to extract.
If the number of characters to extract is greater than the length of the string, the function returns the whole string.
If the number of characters to extract is 0 or less, the function returns the empty string.
Examples
The following expressions are examples of using the Left function:
Expression
Returns
Left("ABCDEFGH", 3)
ABC
Left("Tony Blue", 5)
"Tony "
Left(Telephone[0], 3)
The first three characters of the first occurrence of Telephone.
Left(Rtrim(Last_Name), 3)
The first three characters of Last_Name.
See also “Rtrim”.


Len

Scripting > FormCalc User Reference > String Functions > Len
Len
Returns the number of characters in a given string.
Syntax
Len(s)
Parameters
Parameter
Description
s
The string to examine.
Examples
The following expressions are examples of using the Len function:
Expression
Returns
Len("ABDCEFGH")
8
Len(4)
1
Len(Str(4.532, 6, 4))
6
See also “Str”.
Len(Amount[*])
The number of characters in the first occurrence of Amount.


Lower

Scripting > FormCalc User Reference > String Functions > Lower
Lower
Converts all uppercase characters within a specified string to lowercase characters.
Syntax
Lower(s, [, k ])
Parameters
Parameter
Description
s
The string to convert.
k (Optional)
A string representing a valid locale. If you do not include a value for k, the function uses the ambient locale.
See also Locales.
Note:
This function only converts the Unicode characters U+41 through U+5A (of the ASCII character set) as well as the characters U+FF21 through U+FF3A (of the fullwidth character set)
Examples
The following expressions are examples of using the Lower function:
Expression
Returns
Lower("ABC")
abc
Lower("21 Main St.")
21 main st.
Lower(15)
15
Lower(Address[0])
This example converts the first occurrence of Address to all lowercase letters.


Ltrim

Scripting > FormCalc User Reference > String Functions > Ltrim
Ltrim
Returns a string with all leading white space characters removed.
White space characters include the ASCII space, horizontal tab, line feed, vertical tab, form feed, carriage return, and the Unicode space characters (Unicode category Zs).
Syntax
Ltrim(s)
Parameters
Parameter
Description
s
The string to trim.
Examples
The following expressions are examples of using the Ltrim function:
Expression
Returns
Ltrim(" ABCD")
"ABCD"
Ltrim(Rtrim(" Tony Blue "))
"Tony Blue"
See also “Rtrim”.
Ltrim(Address[0])
Removes any leading white space from the first occurrence of Address.


Parse

Scripting > FormCalc User Reference > String Functions > Parse
Parse
Analyzes the given data according to the given picture format.
Parsing data successfully results in one of the following values:
•
Date picture format: An ISO date string of the form YYYY-MM-DD.
•
Time picture format: An ISO time string of the form HH:MM:SS.
•
Date-time picture format: An ISO date-time string of the form YYYY-MM-DDTHH:MM:SS.
•
Numeric picture format: A number.
•
Text pictures: Text.
Syntax
Parse(s1, s2 )
Parameters
Parameter
Description
s1
A valid date or time picture format string.
For more information on date and time formats, see About date and time functions.
s2
The string data to parse.
Examples
The following expressions are examples of using the Parse function:
Expression
Returns
Parse("MMM D, YYYY", "Sep 1, 2002")
2002-09-01
Parse("$9,999,999.99", "$1,234,567.89")
1234567.89 in the U.S.


Replace

Scripting > FormCalc User Reference > String Functions > Replace
Replace
Replaces all occurrences of one string with another within a specified string.
Syntax
Replace(s1, s2 [, s3 ])
Parameters
Parameter
Description
s1
A source string.
s2
The string to replace.
s3 (Optional)
The replacement string.
If you do not include a value for s3, or if s3 is null, the function uses an empty string.
Examples
The following expressions are examples of using the Replace function:
Expression
Returns
Replace("Tony Blue", "Tony", "Chris")
Chris Blue
Replace("ABCDEFGH", "D")
ABCEFGH
Replace("ABCDEFGH", "d")
ABCDEFGH
Replace(Comments[0], "recieve", "receive")
Correctly updates the spelling of the word receive in the first occurrence of Comments.


Right

Scripting > FormCalc User Reference > String Functions > Right
Right
Extracts a number of characters from a given string, beginning with the last character on the right.
Syntax
Right(s, n )
Parameters
Parameter
Description
s
The string to extract.
n
The number of characters to extract.
If n is greater than the length of the string, the function returns the whole string.
If n is 0 or less, the function returns an empty string.
Examples
The following expressions are examples of using the Right function:
Expression
Returns
Right("ABCDEFGH", 3)
FGH
Right("Tony Blue", 5)
" Blue"
Right(Telephone[0], 7)
The last seven characters of the first occurrence of Telephone.
Right(Rtrim(CreditCard_Num), 4)
The last four characters of CreditCard_Num.
See also “Rtrim”.


Rtrim

Scripting > FormCalc User Reference > String Functions > Rtrim
Rtrim
Returns a string with all trailing white space characters removed.
White space characters include the ASCII space, horizontal tab, line feed, vertical tab, form feed, carriage return, and the Unicode space characters (Unicode category Zs).
Syntax
Rtrim(s )
Parameters
Parameter
Description
s
The string to trim.
Examples
The following expressions are examples of using the Rtrim function:
Expression
Returns
Rtrim("ABCD ")
"ABCD"
Rtrim("Tony Blue ")
"Tony Blue"
Rtrim(Address[0])
Removes any trailing white space from the first occurrence of Address.


Space

Scripting > FormCalc User Reference > String Functions > Space
Space
Returns a string consisting of a given number of blank spaces.
Syntax
Space(n )
Parameters
Parameter
Description
n
The number of blank spaces.
Examples
The following expressions are examples of using the Space function:
Expression
Returns
Space(5)
" "
Space(Max(Amount[*]))
A blank string with as many characters as the value of the largest occurrence of Amount.
See also “Max”.
Concat("Tony", Space(1), "Blue")
Tony Blue


Str

Scripting > FormCalc User Reference > String Functions > Str
Str
Converts a number to a character string. FormCalc formats the result to the specified width and rounds to the specified number of decimal places.
Syntax
Str(n1 [, n2 [, n3 ]])
Parameters
Parameter
Description
n1
The number to convert.
n2 (Optional)
The maximum width of the string. If you do not include a value for n2, the function uses a value of 10 as the default width.
If the resulting string is longer than n2, the function returns a string of * (asterisk) characters of the width specified by n2.
n3 (Optional)
The number of digits to appear after the decimal point. If you do not include a value for n3, the function uses 0 as the default precision.
Examples
The following expressions are examples of using the Str function:
Expression
Returns
Str(2.456)
" 2"
Str(4.532, 6, 4)
4.5320
Str(234.458, 4)
" 234"
Str(31.2345, 4, 2)
****
Str(Max(Amount[*]), 6, 2)
Converts the largest occurrence of Amount to a six-character string with two decimal places.
See also “Max”.


Stuff

Scripting > FormCalc User Reference > String Functions > Stuff
Stuff
Inserts a string into another string.
Syntax
Stuff(s1, n1, n2 [, s2 ])
Parameters
Parameter
Description
s1
The source string.
n1
The position in s1 to insert the new string s2.
If n1 is less than one, the function assumes the first character position. If n1 is greater than length of s1, the function assumes the last character position.
n2
The number of characters to delete from string s1, starting at character position n1.
If n2 is less than or equal to 0, the function assumes 0 characters.
s2 (Optional)
The string to insert into s1.
If you do not include a value for s2, the function uses the empty string.
Examples
The following expressions are examples of using the Stuff function:
Expression
Returns
Stuff("TonyBlue", 5, 0, " ")
Tony Blue
Stuff("ABCDEFGH", 4, 2)
ABCFGH
Stuff(Address[0], Len(Address[0]), 0, "Street")
This adds the word Street onto the end of the first occurrence of Address.
See also “Len”.
Stuff("members-list@myweb.com", 0, 0, "cc:"
cc:members-list@myweb.com


Substr

Scripting > FormCalc User Reference > String Functions > Substr
Substr
Extracts a portion of a given string.
Syntax
Substr(s1, n1, n2 )
Parameters
Parameter
Description
s1
The source string.
n1
The position in string s1 to start extracting.
If n1 is less than one, the function assumes the first character position. If n1 is greater than length of s1, the function assumes the last character position.
n2
The number of characters to extract.
If n2 is less than or equal to 0, FormCalc returns an empty string. If n1 + n2 is greater than the length of s1, the function returns the substring starting at position n1 to the end of s1.
Examples
The following expressions are examples of using the Substr function:
Expression
Returns
Substr("ABCDEFG", 3, 4)
CDEF
Substr(3214, 2, 1)
2
Substr(Last_Name[0], 1, 3)
Returns the first three characters from the first occurrence of Last_Name.
Substr("ABCDEFG", 5, 0)
""
Substr("21 Waterloo St.", 4, 5)
Water


Uuid

Scripting > FormCalc User Reference > String Functions > Uuid
Uuid
Returns a Universally Unique Identifier (UUID) string to use as an identification method.
Syntax
Uuid([n ])
Parameters
Parameter
Description
n
A number identifying the format of the UUID string. Valid numbers are:
•
0 (default value): UUID string only contains hex octets.
•
1: UUID string contains dash characters separating the sequences of hex octets at fixed positions.
If you do not include a value for n, the function uses the default value.
Examples
The following expressions are examples of the Uuid function:
Expression
Returns
Uuid()
A value such as 3c3400001037be8996c400a0c9c86dd5
Uuid(0)
A value such as 3c3400001037be8996c400a0c9c86dd5
Uuid(1)
A value such as 1a3ac000-3dde-f352-96c4-00a0c9c86dd5
Uuid(7)
A value such as 1a3ac000-3dde-f352-96c4-00a0c9c86dd5


Upper

Scripting > FormCalc User Reference > String Functions > Upper
Upper
Converts all lowercase characters within a string to uppercase.
Syntax
Upper(s [, k ])
Parameters
Parameter
Description
s
The string to convert.
k (Optional)
A string representing a valid locale. If you do not include a value for k, the ambient locale is used.
See also Locales.
Note:
This function only converts the Unicode characters U+61 through U+7A (of the ASCII character set) as well as the characters U+FF41 through U+FF5A (of the fullwidth character set).
Examples
The following expressions are examples of using the Upper function:
Expression
Returns
Upper("abc")
ABC
Upper("21 Main St.")
21 MAIN ST.
Upper(15)
15
Upper(Address[0])
This example converts the first occurrence of Address to all uppercase letters.


WordNum

Scripting > FormCalc User Reference > String Functions > WordNum
WordNum
Returns the English text equivalent of a given number.
Syntax
WordNum(n1 [, n2 [, k ]])
Parameters
Parameter
Description
n1
The number to convert.
If any of the following statements is true, the function returns * (asterisk) characters to indicate an error:
•
n1 is not a number.
•
The integral value of n1 is negative.
•
The integral value of n1 is greater than 922,337,203,685,477,550.
n2 (Optional)
A number identifying the formatting option. Valid numbers are:
•
0 (default value): The number is converted into text representing the simple number.
•
1: The number is converted into text representing the monetary value with no fractional digits.
•
2: The number is converted into text representing the monetary value with fractional digits.
If you do not include a value for n2, the function uses the default value (0).
k (Optional)
A string representing a valid locale. If you do not include a value for k, the function uses the ambient locale.
See also Locales.
Note:
As of this release, it is not possible to specify a locale identifier other than English for this function.
Examples
The following expressions are examples of using the WordNum function.
Expression
Returns
WordNum(123.45)
One Hundred and Twenty-three Dollars
WordNum(123.45, 1)
One Hundred and Twenty-three Dollars
WordNum(1154.67, 2)
One Thousand One Hundred Fifty-four Dollars And Sixty-seven Cents
WordNum(43, 2)
Forty-three Dollars And Zero Cents
WordNum(Amount[0], 2)
This example uses the first occurrence of Amount as the conversion number.


URL Functions

Scripting > FormCalc User Reference > URL Functions
URL Functions
About URL functions
Get
Post
Put


About URL functions

Scripting > FormCalc User Reference > URL Functions > About URL functions
About URL functions
These functions deal with the sending and receiving of information, including content types and encoding data, to any accessible URL locations.
Functions
•
“Get”
•
“Post”
•
“Put”


Get

Scripting > FormCalc User Reference > URL Functions > Get
Get
Downloads the contents of the given URL.
Note:
The Get function only runs if a form is certified. Adobe Acrobat® and Adobe Reader® cannot verify that the form is certified until after the initialize event initiates. To use the Get function on certified forms prior to the form rendering, use the docReady event.
Syntax
Get(s)
Parameters
Parameter
Description
s
The URL to download.
If the function is unable to download the URL, it returns an error.
Examples
The following expressions are examples of using the Get function.
Expression
Returns
Get("http://www.myweb.com/data/mydata.xml")
XML data taken from the specified file.
Get("ftp://ftp.gnu.org/gnu/GPL")
The contents of the GNU Public License.
Get("http://intranet?sql=SELECT+*+FROM+
projects+FOR+XML+AUTO,+ELEMENTS")
The results of an SQL query to the specified website.


Post

Scripting > FormCalc User Reference > URL Functions > Post
Post
Posts the given data to the specified URL.
Note:
The Post function only runs if a form is certified. Acrobat and Adobe Reader cannot verify that the form is certified until after the initialize event initiates. To use the Post function on certified forms prior to the form rendering, use the docReady event.
Syntax
Post(s1, s2 [, s3 [, s4 [, s5 ]]])
Parameters
Parameter
Description
s1
The URL to post to.
s2
The data to post.
If the function cannot post the data, it returns an error.
s3 (Optional)
A string containing the content type of the data to post. Here are valid content types:
•
application/octet-stream (default value)
•
text/html
•
text/xml
•
text/plain
•
multipart/form-data
•
application/x-www-form-urlencoded
•
Any other valid MIME type
If you do not include a value for s3, the function sets the content type to the default value. The application ensures that the data to post uses the correct format according to the specified content type.
s4 (Optional)
A string containing the name of the code page used to encode the data. Here are valid code page names:
•
UTF-8 (default value)
•
UTF-16
•
ISO-8859-1
•
Any character encoding listed by the Internet Assigned Numbers Authority (IANA)
If you do not include a value for s4, the function sets the code page to the default value. The application ensures that encoding of the data to post matches the specified code page.
s5 (Optional)
A string containing any additional HTTP headers to be included with the posting of the data.
If you do not include a value for s5, the function does not include an additional HTTP header in the post.
SOAP servers usually require a SOAPAction header when posting to them.
Examples
The following expressions are examples of using the Post function:
Expression
Returns
Post("http://tools_build/scripts/jfecho.cgi",
"user=joe&passwd=xxxxx&date=27/08/2002",
"application/x-www-form-urlencoded")
Posts some URL encoded login data to a server and returns that server's acknowledgement page.
Post("http://www.nanonull.com/TimeService/
TimeService.asmx/getLocalTime", "<?xml version='1.0'
encoding='UTF-8'?><soap:Envelope><soap:Body>
<getLocalTime/></soap:Body>
</soap:Envelope>", "text/xml", "utf-8",
"http://www.Nanonull.com/TimeService/getLocalTime")
Posts a SOAP request for the local time to some server, expecting an XML response back.


Put

Scripting > FormCalc User Reference > URL Functions > Put
Put
Uploads the given data to the specified URL.
Note:
The Put function only runs if a form is certified. Acrobat and Adobe Reader cannot verify that the form is certified until after the initialize event initiates. To use the Put function on certified forms prior to the form rendering, use the docReady event.
Syntax
Put(s1, s2 [, s3 ])
Parameters
Parameter
Description
s1
The URL to upload.
s2
The data to upload.
If the function is unable to upload the data, it returns an error.
s3 (Optional)
A string containing the name of the code page used to encode the data. Here are valid code page names:
•
UTF-8 (default value)
•
UTF-16
•
ISO8859-1
•
Any character encoding listed by the Internet Assigned Numbers Authority (IANA)
If you do not include a value for s3, the function sets the code page to the default value. The application ensures that encoding of the data to upload matches the specified code page.
Examples
The following expressions is an example of using the Put function:
Expression
Returns
Put("ftp://www.example.com/pub/fubu.xml",
"<?xml version='1.0'
encoding='UTF-8'?><msg>hello world!</msg>")
Nothing if the FTP server has permitted the user to upload some XML data to the pub/fubu.xml file. Otherwise, this function returns an error.


Menu, Command, Toolbar, and Dialog Box Reference

Menu, Command, Toolbar, and Dialog Box Reference
Menu, Command, Toolbar, and Dialog Box Reference
Menus and commands
Toolbars
Dialog Box Reference


Menus and commands

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands
Menus and commands
About menus and commands
Menu bar commands
Palette menus
Object Library palette menus
Template Manager menu


About menus and commands

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > About menus and commands
About menus and commands
A menu displays a list of commands. Some of these commands have icons next to them so that you can easily associate the command with the corresponding button in the toolbar. Others have assigned accelerator keys, which are identified by an underline, and keyboard shortcuts that you can use to quickly perform common tasks.
In addition to the menus at the top of the LiveCycle Designer ES window and many of the palettes, context menus display commands relevant to the active palette or page.
To open a menu using the keyboard
*
To open a menu using the keyboard, press Alt + [accelerator key], and then select a menu command by pressing the accelerator key for that command. For example, to open the Edit menu and select the Cut command, press Alt+E T. You can also use the shortcut key Ctrl+X to select the Cut command.
To display a context menu
1.
Position the pointer over the palette or page.
2.
Click the right mouse button. The context menu appears where you clicked.


Menu bar commands

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands
Menu bar commands
Edit menu
View menu
Insert menu
Table menu
Layout menu
Tools menu
Palettes menu
Help menu


Edit menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Edit menu
Edit menu
The Edit menu provides commands for editing a form design.
Undo
Reverses up to 10 previous actions.
Redo
Reapplies up to 10 undone actions one at a time.
Cut
Deletes the current selection and moves a copy of it to the clipboard.
Copy
Adds a copy of the current selection to the clipboard.
Paste
Copies the contents of the clipboard onto the page.
Delete
Deletes the current selection without placing a copy on the clipboard.
Delete Page
Deletes the current page. This command only appears when the Design View tab is active.
Delete Master Page
Deletes the current master page. This command only appears when the Master Pages tab is active.
Duplicate
Duplicates the current selection without placing a copy on the clipboard.
Copy Multiple
Creates a specified number of copies of the selected objects.
Select All
Selects all top-level objects, groups, and subforms in the active Layout Editor tab. It also selects the contents of the Script Editor.
Select All Static Objects
Selects all static objects, including text, circles, lines, and rectangles.
Select All Fields
Selects all fields, including buttons, check boxes, date/time fields, decimal fields, signature fields, drop-down lists, image fields, list boxes, numeric fields, paper forms barcodes, password fields, radio buttons, and text fields
Find
Searches for every occurrence of a specific word or phrase in the XML Source tab or the Script Editor.
Find Next
Searches for the next occurrence of the specified word or phrase in the XML Source tab or the Script Editor.
Find Previous
Searches for the previous occurrence of the specified word or phrase in the XML Source tab or the Script Editor.
Replace
Finds and replaces text in the XML Source tab or the Script Editor.
Go To Line
Goes to the line number that you specify when you are in the XML Source tab or the Script Editor.
Lock Text
When enabled, you use a single-click to select an object and a double-click to edit captions. When disabled, you can single-click to select an object and select the caption directly.
Lock Static Objects
When enabled, static objects such as text, lines, images, and shapes cannot be selected or edited.
Lock Fields
When enabled, field objects cannot be selected or edited.
Replace Artwork
Replaces the background artwork in a PDF document with another PDF document, which you select. This command is unavailable when a PDF document does not contain background artwork.
Fragments > Create Fragment
Creates a new fragment from the selected objects.
Fragments > Edit Fragment
Opens the source file for the selected fragment reference for editing.
Fragments > Fragment Info
Displays information about the selected fragment or fragment reference. You can edit the information for a fragment, but you can only view the information for a fragment reference.
Fragments > Convert to Embedded Object
Converts the selected fragment reference to an embedded copy of the fragment. The embedded objects are no longer connected to the fragment source file and can be edited in the current form design.
Patterns > Display
Opens the Patterns dialog box on the Diplay tab.
Patterns > Edit
Opens the Patterns dialog box on the Edit tab.
Patterns > Validation
Opens the Patterns dialog box on the Validation tab.
Patterns > Data
Opens the Patterns dialog box on the Data tab.
Delete Leader
Removes the selected leader.
Delete Tab Stops
Opens the Delete Tab Stops dialog box.
New Data Connection
Establishes a data connection, which provides a description of the connection between the data source and the form design.
Form Object Collections
Creates, deletes, duplicates, renames, and modifies collections for signature fields and paper forms barcodes.
Form Properties
Displays the properties for the active form design.


View menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > View menu
View menu
The View menu provides commands that change your workspace.
Rulers
Shows or hides the rulers.
Guidelines
Shows or hides the guidelines.
Grid
Shows or hides the grid.
Snap to Grid
Snaps the object to the nearest grid point.
Keep Drawing Tool
When selected, you can draw as many copies of an object as you require without having to select it from the Object Library palette each time. To disable this feature, click the Keep Drawing Tool button again.
Object Boundaries
Shows or hides the boundary that appears around objects on the page.
Object Editor
Shows or hides the Object Editor that appears around the selected object on the page. The Object Editor provides an easy way to access common properties.
Design View
Displays the Design View tab.
Master Pages
Displays the Master Pages tab.
XML Source
Displays the XML Source tab.
Preview PDF
Displays the Preview PDF tab.
Zoom
Zooms in to view details; zooms out to see more.
Actual Size
Sizes the page to 100%.
Fit Page
Sizes the page to fit in the Layout Editor.
Fit Width
Sizes the page to fit the width of the Layout Editor.
Zoom Area
Zooms in to the selected area on the page.
Show/Hide Tab Order
Shows or hides tabbing order numbers on the form.


Insert menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Insert menu
Insert menu
The Insert menu provides commands for adding objects to a form design.
Floating Field
Inserts a floating field in the form design.
Current Page Number
Inserts the current page number of the finished form.
Number of Pages
Inserts the total number of pages making up the finished form.
Current Date/Time
Inserts the current date and time.
Viewer Locale
Inserts the value of the locale setting for the application that is processing the form.
Viewer Name
Inserts the name of the application that is processing the form.
Viewer Version
Inserts the version number of the application that is processing the form.
Current Sheet Number
Inserts the current sheet number in the selected text object.
Number of Sheets
Inserts a placeholder for the current number of sheets in the selected text object.
Leader
Opens the leader dialog box (just above the cursor position) where you can define and edit leader properties such as the end position (width), pattern, character spacing, and alignment.
My Favorites > [object]
Lists the drawing objects that you can add to the form. The objects in this command match objects in the My Favorites category of the Object Library palette.
Standard > [object]
Lists the drawing objects that you can add to the form. The objects in this command match the objects in the Standard category of the Object Library palette.
Barcodes > [object]
Lists the barcode objects that you can add to the form. The objects in this command match the objects in the Barcodes category of the Object Library palette.
Custom > [object]
Lists the custom drawing objects that you can add to the form. The objects in this command match the objects in the Custom category of the Object Library palette.
Wrap in Subform
Creates a new subform that includes the selected objects.
Unwrap Subform
Removes the subform, leaving its objects in the form design.
Wrap in Subform Set
Creates a new subform that groups two or more subforms so that they stay together.
Wrap in Choice Subform Set
Creates a new subform that groups two or more subforms so that they stay together, but only one will appear on the final form based on user-defined conditions.
Unwrap Subform Set
Removes the grouping of two or more subforms that were wrapped so that they would stay together.
Hyperlink
Opens the Insert Hyperlink dialog box, which you use to create hyperlinks that connect to external websites, email addresses, as well as PDF and HTML files.
Fragment
Inserts a reference to the selected fragment in the form design.
New Page
Adds a new page after the last page in the form design. This command only appears when the Design View tab is active.
New Master Page
Adds a new master page after the last master page in the form design. This command only appears when the Master Pages tab is active.


Table menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Table menu
Table menu
The Table menu provides commands for working with tables.
Insert Table
Opens the Insert Table dialog box.
Insert > Column to the Left
Inserts one or more columns to the left of the leftmost selected columns. The number of columns inserted matches the number of columns selected.
Insert > Column to the Right
Inserts one or more columns to the right of the rightmost selected columns. The number of columns inserted matches the number of columns selected.
Insert > Row Above
Inserts one or more rows above the selected row cells or rows. The number of rows inserted matches the number of rows selected.
Insert > Row Below
Inserts one or more rows below the selected row cells or rows. The number of rows inserted matches the number of rows selected.
Insert > Section Above
Inserts one section above the selected row cells, rows, or sections.
Insert > Section Below
Inserts one section below the selected row cells, rows, or sections.
Delete > Row
Deletes any row containing one or more selected cells.
Delete > Column
Deletes any column containing one or more selected cells.
Delete > Section
Deletes any section containing one or more selected cells.
Delete > Table
Deletes any table containing one or more selected cells.
Select > Cell
Selects the cell the cursor is in when in text edit mode.
Select > Row Cells
Selects all the cells in any row containing one or more selected cells. Selects only the row cells (Text objects). Does not select the row itself.
Select > Column Cells
Selects all the cells in any column containing one or more selected cells.
Select > Row
Selects any row containing one or more selected cells.
Select > Section
Selects any section containing one or more selected cells or rows.
Select > Table
Selects any table containing one or more selected cells, rows, or sections.
Merge Cells
Combines two or more adjoining cells in the same row into a single cell.
Split Cells Horizontally
Divides two or more combined cells in a row into separate cells.
Distribute Rows Evenly
Distributes selected rows evenly in one or more sections or one or more tables. All rows adjust to the height of the tallest selected row.
Distribute Columns Evenly
Distributes selected columns evenly in one or more sections or one or more tables. The total width of all the selected columns is divided evenly between the number of columns selected so that all columns are the same width. The table width does not change.
Group as Section
Groups one or more selected rows or sections into one section.
Group as Choice Section
Helps create a data choice table row section. LiveCycle Designer ES wraps the row in a section, sets the condition of the row set to Select One Subform From Alternatives, promotes the row’s occurrence constraints to the table section, and changes the row’s minimum count and maximum count settings to 1. This command is available when a single table row is selected.
Ungroup Section
Ungroups one or more selected rows or sections into separate rows or sections.
Convert To Table
Converts one or more selected objects into a table.
Go to Row
Opens the Go To Row dialog box.


Layout menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Layout menu
Layout menu
The Layout menu provides commands for arranging objects in a form design.
Align > Left
Aligns the left edges of the selected objects to match the position of the object in the selection that was selected last.
Align > Right
Aligns the right edges of the selected objects to match the position of the object in the selection that was selected last.
Align > Top
Aligns the top edges of the selected objects to match the position of the object in the selection that was selected last.
Align > Bottom
Aligns the bottom edges of the selected objects to match the position of the object in the selection that was selected last.
Align > Vertical Center
Aligns the vertical midpoint of the selected objects.
Align > Horizontal Center
Aligns the horizontal midpoint of the selected objects.
Align > To Grid
Aligns the selected objects to the closest grid point.
Distribute > Across
Evenly distributes the selected objects horizontally.
Distribute > Down
Evenly distributes the selected objects vertically.
Distribute > In Rows & Columns
Aligns and evenly distributes the selected objects in rows and columns.
Center in Page > Horizontally
Centers the selected objects horizontally on the form design.
Center in Page > Vertically
Centers the selected objects vertically on the form design.
Make Same Size > Width
Changes the size of the selected objects to match the width of the object in the selection that was selected last.
Make Same Size > Height
Changes the size of the selected objects to match the height of the object in the selection that was selected last.
Make Same Size > Both
Changes the size of the selected objects to match the height and width of the object in the selection that was selected last.
Group
Combines the selected objects so that they function as a single unit. A group of objects can contain any number of objects and can be nested to any depth.
Ungroup
Breaks a group object into separate units.
Merge Selected Text Objects
Merges the contents of multiple text objects into a single object. The new object's size and position matches the total boundaries of the merged objects.
Merge as Caption
Merges the contents of a text object and a field object that has its caption set to none into a single object. The new object’s caption becomes the text from the text object. The new object's size and position matches the total boundaries of the merged objects.
Wrap in New Radio Button Group
Wraps the selected radio button objects into a single object.
Merge Radio Button Groups
Merges selected radio button groups (or at least one selected radio button group and one or more selected radio buttons) into a single radio button group.
Bring to Front
Moves selected objects to the foreground.
Bring Forward
Moves selected objects forward relative to other objects that are in front of the selected objects.
Send Backward
Moves selected objects backward relative to other objects that are behind the selected objects.
Send to Back
Moves selected objects to the background.


Tools menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Tools menu
Tools menu
The Tools menu provides commands for specifying options.
Check Spelling
Opens the Check Spelling dialog box from which you can correct individual occurrences or all occurrences of misspelled words in selected objects or in the entire form, add words to My Custom Dictionary, create a list of words to ignore, and display the Spelling panel in the Options dialog box.
Edit Dictionary
Opens the Edit Dictionary dialog box from which you can view the list of words available in My Custom Dictionary under individual or all languages, change the spelling of any of the listed words, as well as add words to and delete words from individual or all languages.
Check Script Syntax
Checks all of the scripts in a form for correct syntax and reports any errors on the Warning tab in the Report palette.
Create Or Edit Form Guide
Opens Guide Builder from which you can create or edit a form guide for the current form design.
Keyboard Shortcuts
Opens the Keyboard Shortcuts dialog box enabling you to customize keyboard shortcuts.
Customize
Customizes the appearance of the toolbars.
Options
Opens the Options dialog box from which you can define options for document handling, workspace, spelling, wizards and tips, bidirectional text, data binding, and international languages and measurements.
Import
Enables users to import documents from a variety of formats. After they are imported into LiveCycle Designer ES, the documents are converted to the XDP file format.
Users can also import a PDF document that was created in Adobe Acrobat or other applications as the background artwork for a new PDF form.
Missing Fonts
Opens the Missing Fonts dialog box where you can specify the appropriate font to use in the form design. This option is only available if the document you have opened uses one or more fonts that are not available on your system.


Palettes menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Palettes menu
Palettes menu
The Palettes menu provides commands for showing or hiding form designs and palettes in LiveCycle Designer ES.
Workspace > Top Palettes
Shows or hides palettes docked at the top of the LiveCycle Designer ES window.
Workspace > Bottom Palettes
Shows or hides palettes docked at the bottom of the LiveCycle Designer ES window.
Workspace > Left Palettes
Shows or hides palettes docked at the left of the LiveCycle Designer ES window.
Workspace > Right Palettes
Shows or hides palettes docked at the right of the LiveCycle Designer ES window.
Workspace > Floating Palettes
Shows or hides floating palettes.
Workspace > Reset Palette Locations
Resets the palettes to their default locations.
Toolbars
Shows or hides the toolbar.
Script Editor
Shows or hides the Script Editor.
Hierarchy
Shows or hides the Hierarchy palette.
PDF Structure
Shows or hides the PDF Structure palette.
Data View
Shows or hides the Data View palette.
Tab Order
Shows or hides the Tab Order palette.
Object Library
Shows or hides the Object Library palette.
Layout
Shows or hides the Layout palette.
Border
Shows or hides the Border palette.
Object
Shows or hides the Object palette.
Accessibility
Shows or hides the Accessibility palette.
Font
Shows or hides the Font palette.
Paragraph
Shows or hides the Paragraph palette.
Drawing Aids
Shows or hides the Drawing Aids palette.
Info
Shows or hides the Info palette.
Report
Shows or hides the Report palette.
How To
Shows or hides the How To palette.


Help menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Menu bar commands > Help menu
Help menu
The Help menu provides commands for getting help and provides LiveCycle Designer ES version information.
Adobe LiveCycle Designer ES Help
Displays LiveCycle Designer ES Help topics.
How To
Shows or hides the How To palette.
Getting Started
Opens the Help topic About the Quick Start Tutorials, which describes the tutorials that are designed to guide you through creating basic forms with LiveCycle Designer ES.
Samples
Opens the Help topic About the Sample Forms, which describes the selection of complete sample forms included with LiveCycle Designer ES.
Scripting Reference
Shows the Scripting Reference. The Scripting Reference describes the objects, properties, and methods that you can use in the LiveCycle Designer ES scripting environment.
Adobe LiveCycle Designer ES Online
Displays the Adobe LiveCycle Designer ES product website.
Adobe LiveCycle Designer ES Developer Center
Displays the Adobe LiveCycle Developer Center website.
About Adobe LiveCycle Designer ES
Displays the version of LiveCycle Designer ES and copyright information.


Palette menus

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus
Palette menus
Hierarchy palette menu
Data View palette menu
Tab Order palette menu
PDF Structure palette menu
Layout palette menu
Border palette menu
Object palette menu
Accessibility palette menu
Font palette menu
Paragraph palette menu
Drawing Aids palette menu
Info palette menu
Report palette menu
How To palette menu


Hierarchy palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Hierarchy palette menu
Hierarchy palette menu
The Hierarchy palette menu displays commands for working with the Hierarchy palette. You access this menu by clicking the palette menu button. You can also access the context menu for the Hierarchy palette when you click the right mouse button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Hierarchy palette.
Hide Palette
Hides the palette.
Rename Object
Renames the selected object in the Hierarchy palette.
Delete
Deletes the current selection without placing a copy on the clipboard.
Wrap in Subform
Creates a new subform that includes the selected objects.
Unwrap Subform
Removes the subform, leaving its objects in the form design.
Insert Subform
Adds a subform in the form design.
Wrap in Subform Set
Creates a new subform that groups two or more subforms so that they stay together.
Wrap in Choice Subform Set
Creates a new subform that groups two or more subforms so that they stay together, but only one will appear on the final form based on user-defined conditions.
Unwrap Subform Set
Removes the grouping of two or more subforms that were wrapped so that they would stay together.
Insert Subform Set
Adds a subform set in the form design.
Merge Selected Text Objects
Merges the contents of multiple text objects into a single object. The new object's size and position matches the total boundaries of the merged objects.
Merge as Caption
Merges the contents of a text object and a field object that has its caption set to none into a single object. The new object’s caption becomes the text from the text object. The new object's size and position matches the total boundaries of the merged objects.
Wrap in New Radio Button Group
Wraps the selected radio button objects into a single object.
Merge Radio Button Groups
Merges the selected radio button groups (or at least one selected radio button group and one or more selected radio buttons) into a single radio button group.
Insert Script Object
Adds a script as a child of the selected object. The script object is an object that you can use to store script code and values separately from any particular form object. Typically, you would use the script object to create custom functions and methods that you want to use as part of scripts in many locations on your form.
Fragments > Create Fragment
Creates a new fragment from the selected objects.
Fragments > Edit Fragment
Opens the source file for the selected fragment reference for editing.
Fragments > Fragment Info
Displays information about the selected fragment or fragment reference. You can edit the information for a fragment, but you can only view the information for a fragment reference.
Fragments > Convert to Embedded Object
Converts the selected fragment reference to an embedded copy of the fragment. The embedded objects are no longer connected to the fragment source file and can be edited in the current form design.
New Page
Adds a new page after the last page in the form design. This command appears only when you have selected a page in the Hierarchy palette.
New Master Page
Adds a new master page after the last master page in the form design. This command appears only when you have selected a master page in the Hierarchy palette.
Insert Page Set
Adds a page set to control the order and occurrences of pages in the form design.
Show Names
Displays the name of the object. This is the default.
Show Captions
Displays the caption of the object, up to a maximum of 25 characters. If there is no caption for the object, (no caption) is displayed.
Show Both
Displays both the name and caption of the object.


Data View palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Data View palette menu
Data View palette menu
The Data View palette menu displays commands for working with the Data View palette. You access this menu by clicking the palette menu button. You can also access the context menu for the Data View palette when you click the right mouse button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Data View palette.
Hide Palette
Hides the palette.
New Data Connection
Establishes a data connection, which provides a description of the connection between the data source and the form design.
Delete Data Connection
Removes the selected data connection from the form design.
Connection Properties
Displays properties of the current data connection, some of which can be modified.
Generate Fields
Creates new fields, subforms, and subform sets in the form design corresponding to the data hierarchy represented by the data connection.
Options
Displays the options that are applied when you generate a field or group of fields using the Generate Fields command.
Show Data Names
Displays the data name of the object. This is the default.
Show Data Descriptions
Displays the data description of the object, up to a maximum of 25 characters. If there is no description for the object, the data name is displayed.
Show Both
Displays both the data name and description of the object.
Show Info
Shows or hides the properties of the node selected in the Data View.
Refresh Data View
Refreshes all data connections in the current template.


Tab Order palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Tab Order palette menu
Tab Order palette menu
The Tab Order palette menu displays commands for working with the Tab Order palette. You access this menu by clicking the palette menu button. You can also access the context menu for the Tab Order palette when you click the right mouse button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Tab Order palette.
Hide Palette
Hides the palette.
Copy
Adds a copy of the current selection to the clipboard.
Paste
Copies the contents of the clipboard above the current selection in the list.
Edit Tab Order
Makes the tab order number beside the selected object editable. You can then type a new tab order number for the object.
Move Up
Moves the selected item or multiple adjacent items one line up in the tabbing order.
Move Down
Moves the selected item or multiple adjacent items one line down in the tabbing order.
Make Sequential
Creates sequential tabbing order for multiple nonadjacent items selected in the list.
Show Fields Only
Displays tabbing order only for the input or display fields.
Show Visual Aids
When a mouse cursor hovers over a field, displays blue arrows indicating tabbing order for the two preceding and the two following fields.


PDF Structure palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > PDF Structure palette menu
PDF Structure palette menu
The PDF Structure palette menu displays commands for working with the PDF Structure palette. You access this menu by clicking the palette menu button. You can also access the context menu for the PDF Structure palette when you click the right mouse button.
Help
Opens LiveCycle Designer ES Help and displays a description of the PDF Structure palette.
Hide Palette
Hides the palette, which you can display again from the Window menu.
Add Field to Structure
Creates a new field structure element from the selected field object in the Design View tab. Each field can only have one structure element in the structure view.
Remove Field from Structure
Removes the selected field structure element.
Previous Tag
Moves from the selected structure tag to the previous structure tag.
Next Tag
Moves from the selected structure tag to the next structure tag.
Move Field Up
Moves the selected field up one position under the current structure tag. If the selected field is the first field under the tag, moves it to the previous structure tag.
Move Field Down
Moves the selected field down one position under the current structure tag. If the selected field is the last field under the tag, moves it to the next structure tag.
Find Untagged Fields
Locates and identifies fields that do not have structure.
Show Context Tags
Toggles the display of context tags.


Layout palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Layout palette menu
Layout palette menu
The Layout palette menu displays commands for working with the Layout palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Layout palette.
Hide Palette
Hides the palette.
Absolute Coordinates
Displays the X and Y coordinates relative to the upper- left corner of the subform. Absolute coordinates are most useful on forms that have a fixed layout.
Relative Coordinates
Displays the X and Y coordinates relative to the parent objects. Relative coordinates are most useful on forms whose layout adjusts to accommodate data.
Clear Fragment Property Overrides
Removes any overrides from the properties of the fragment reference.


Border palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Border palette menu
Border palette menu
The Border palette menu displays commands for working with the Border palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Border palette.
Hide Palette
Hides the palette.
Clear Fragment Property Overrides
Removes any overrides from the properties of the fragment reference.


Object palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Object palette menu
Object palette menu
The Object palette menu displays commands for working with the Object palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Object palette.
Hide Palette
Hides the palette.
Show Dynamic Properties
Turns the active labels for dynamic properties on or off. Active labels indicate which properties can be dynamic. They are identified by a green underline that you can click and dynamically bind the property to a data source.
Clear Fragment Property Overrides
Removes any overrides from the properties of the fragment reference.


Accessibility palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Accessibility palette menu
Accessibility palette menu
The Accessibility palette menu displays commands for working with the Accessibility palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Accessibility palette.
Hide Palette
Hides the palette.
Show Dynamic Properties
Turns the active labels for dynamic properties on or off. Active labels indicate which properties can be dynamic. They are identified by a green underline that you can click and dynamically bind the property to a data source.
Clear Fragment Property Overrides
Removes any overrides from the properties of the fragment reference.


Font palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Font palette menu
Font palette menu
The Font palette menu displays commands for working with the Font palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Font palette.
Hide Palette
Hides the palette.
List Font Names in Their Font
Shows the font names using the font to display the name.
Currently Editing palette menu
The Currently Editing palette menu displays commands for working with the Font palette. You access this menu by clicking the palette menu button.
Note:
The Currently Editing palette menu is available only when the entire object is selected and the Edit > Lock Text option is not selected.
Edit Caption and Value
Applies changes that you make in the Font palette to both the caption and the value.
Edit Caption
Applies changes that you make in the Font palette to the caption.
Edit Value
Applies changes that you make in the Font palette to the value.


Paragraph palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Paragraph palette menu
Paragraph palette menu
The Paragraph palette menu displays commands for working with the Paragraph palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Paragraph palette.
Hide Palette
Hides the palette.
Currently Editing palette menu
[The Currently Editing palette menu displays commands for working with the Paragraph palette. You access this menu by clicking the palette menu button.
Note:
The Currently Editing palette menu is available only when the entire object is selected and the Edit > Lock Text option is not selected.
Edit Caption and Value
Applies changes that you make in the Font palette to both the caption and the value.
Edit Caption
Applies changes that you make in the Font palette to the caption.
Edit Value
Applies changes that you make in the Font palette to the value.


Drawing Aids palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Drawing Aids palette menu
Drawing Aids palette menu
The Drawing Aids palette menu displays commands for working with the Drawing Aids palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Drawing Aids palette.
Hide Palette
Hides the palette.
Decimal Inches/Centimeters/Millimeters/Points
Displays a value as n in. or n cm.
Lines per Inch/Centimeters/Millimeters/Points
Displays a value as n/in. or n/cm.
Guideline Sets > [guideline]
Adds horizontal and vertical guidelines.


Info palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Info palette menu
Info palette menu
The Info palette menu displays commands for working with the Info palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Info palette.
Hide Palette
Hides the palette.


Report palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > Report palette menu
Report palette menu
You access this menu by clicking the palette menu button.
Warnings tab (Report palette)
Use this tab to view messages that are reported as you work in the form design. There are two types of messages:
•
Target
Appears when LiveCycle Designer ES detects a feature that is not supported in the Acrobat and Adobe Reader target version for the form.
•
Marker
Associated with warning markers, such as the yellow triangle or white “X” in the red circle, that appear when a problem occurs with an object.
Syntax checking warnings are also displayed in the Warnings tab.
You access this menu by clicking the palette menu button.
Options
Opens the Options dialog box where you select the types of warnings to show in the Warnings tab.
Form Properties
Opens the Form Properties dialog box where you specify a number of standard settings that LiveCycle Designer ES will use for each form design, including the Acrobat and Adobe Reader target version.
Help
Opens LiveCycle Designer ES Help and displays a description of the Info palette.
Binding tab (Report palette)
Use this tab to view lists of fields based on how you defined their binding data. For example, you can list only fields with Global Data Binding or only those with no data binding defined. This feature is especially useful on forms that have a large number of data bound fields.
You access this menu by clicking the palette menu button. Here are the lists of fields included:
•
Fields with Normal Data Binding
•
Fields with Data Binding by Reference
•
Fields with Global Data Binding
•
Fields with No Data Binding
•
Fields with Import Data Binding
•
Fields with Export Data Binding
•
Unbound Data Connection Nodes
•
Objects with Dynamic Property Binding
Help
Opens LiveCycle Designer ES Help and displays a description of the Info palette.
Log tab (Report palette)
Use this tab to view a log of actions reported by LiveCycle Designer ES and to view updates when you preview a form design by using the Preview PDF tab. You access this menu by clicking the palette menu button.
Clear Warning
Clears the Log tab.
Help
Opens LiveCycle Designer ES Help and displays a description of the Info palette.
See also
About warning messages


How To palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Palette menus > How To palette menu
How To palette menu
The How To palette menu displays commands for working with the How To palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the How To palette.
Hide Palette
Hides the palette.


Object Library palette menus

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Object Library palette menus
Object Library palette menus
Object Library palette menu
My Favorites menu
Standard menu
Custom menu
Barcode menu


Object Library palette menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Object Library palette menus > Object Library palette menu
Object Library palette menu
The Object Library palette menu displays commands for working with the Object Library palette. You access this menu by clicking the palette menu button.
Help
Opens LiveCycle Designer ES Help and displays a description of the Object Library palette.
Hide Palette
Hides the palette.
Collapse All
Hides the objects in the Object Library palette lists.
Expand All
Shows the objects in the Object Library palette lists.
Show Object Preview
Shows or hides a preview pane of the selected object.
Preview Zoom > [%]
Displays the zoom level of the preview pane.
Add Group
Adds a new category to the Object Library palette where you can create and store objects.
Shared Library Location
Displays the shared library location.
Restore Default Objects for All Groups
When permitted, restores all objects that were located in the Object Library palette at install time.


My Favorites menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Object Library palette menus > My Favorites menu
My Favorites menu
The My Favorites menu displays commands for working with the My Favorites objects in the Object Library palette. You access this menu by clicking the menu button.
View > Large Icons
Displays the objects as large icons.
View > Small Icons
Displays the objects as small icons.
View > Sorted List
Displays the objects by name, in alphabetical order.
Move Object To > [tab]
Moves the selected object to the Object Library palette list that you select.
Remove Object from Library
Removes the selected object from the Object Library palette.
Object Info
Displays object information. If modifying the object is permitted, you can edit object information using this command.
Remove Group
Removes the selected category and its objects from the Object Library palette.
Group Properties
Displays the properties of the selected category in the Object Library palette. You cannot edit the properties of a shared library.
Restore Default Objects
When permitted, restores the objects that were located in the My Favorites category at install time and adds them to the current list.


Standard menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Object Library palette menus > Standard menu
Standard menu
The Standard menu displays commands for working with the Standard objects in the Object Library palette. You access this menu by clicking the menu button.
View > Large Icons
Displays the objects as large icons.
View > Small Icons
Displays the objects as small icons.
View > Sorted List
Displays the objects by name, in alphabetical order.
Move Object To > [tab]
Moves the selected object to the Object Library palette list that you select.
Remove Object from Library
Removes the selected object from the Object Library palette.
Object Info
Displays object information. If modifying the object is permitted, you can edit object information using this command.
Remove Group
Removes the selected category and its objects from the Object Library palette.
Group Properties
Displays the properties of the selected category in the Object Library palette. You cannot edit the properties of a shared library.
Restore Default Objects
When permitted, restores the objects that were located in the Standard category at install time and adds them to the current list.


Custom menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Object Library palette menus > Custom menu
Custom menu
The Standard menu displays commands for working with the Custom objects in the Object Library palette. You access this menu by clicking the menu button.
View > Large Icons
Displays the objects as large icons.
View > Small Icons
Displays the objects as small icons.
View > Sorted List
Displays the objects by name, in alphabetical order.
Move Object To > [tab]
Moves the selected object to the Object Library palette list that you select.
Remove Object from Library
Removes the selected object from the Object Library palette.
Object Info
Displays object information. If modifying the object is permitted, you can edit object information using this command.
Remove Group
Removes the selected category and its objects from the Object Library palette.
Group Properties
Displays the properties of the selected category in the Object Library palette. You cannot edit the properties of a shared library.
Restore Default Objects
When permitted, restores the objects that were located in the Custom category at install time and adds them to the current list.


Barcode menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Object Library palette menus > Barcode menu
Barcode menu
The Barcode menu displays commands for working with the Barcode objects in the Object Library palette. You access this menu by clicking the menu button.
View > Large Icons
Displays the objects as large icons.
View > Small Icons
Displays the objects as small icons.
View > Sorted List
Displays the objects by name, in alphabetical order.
Move Object To > [tab]
Moves the selected object to the Object Library palette list that you select.
Remove Object from Library
Removes the selected object from the Object Library palette.
Object Info
Displays object information. If modifying the object is permitted, you can edit object information using this command.
Remove Group
Removes the selected category and its objects from the Object Library palette.
Group Properties
Displays the properties of the selected category in the Object Library palette. You cannot edit the properties of a shared library.
Restore Default Objects
When permitted, restores the objects that were located in the Barcode category at install time and adds them to the current category.


Template Manager menu

Menu, Command, Toolbar, and Dialog Box Reference > Menus and commands > Template Manager menu
Template Manager menu
The menu that appears in the New and Template Manager dialog boxes provides commands for managing form templates.
Help
Opens LiveCycle Designer ES Help and displays a description of the dialog box.
View > Large Icons
Displays the objects as large icons.
View > List
Displays the objects by name, in alphabetical order.
Add Template
Opens the Add Template File dialog box where can locate a template to add to the dialog box.
Delete Template
Removes the selected template from the dialog box.
Rename Template
Renames the template in the dialog box.
Move Template To > [tab]
Moves the template to another tab in the dialog box.
Add Category
Adds a tab to the dialog box.
Remove Category
Removes the current tab from the dialog box. Not all tabs can be removed.
Category Properties
Displays tab properties, which can be edited.
Restore Default Templates
Restores the default templates to their original settings.


Toolbars

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars
Toolbars
About toolbars
Standard toolbar
Text Formatting toolbar
Layout toolbar
Table toolbar
Tools toolbar


About toolbars

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars > About toolbars
About toolbars
Toolbars contain buttons for commonly used commands. The following toolbars are installed with LiveCycle Designer ES:
•
Standard
•
Text Formatting
•
Layout
•
Table
•
Tools
You can modify the toolbars or create new ones to suit your requirements.
See also
To customize the toolbars
Standard toolbar
Text Formatting toolbar
Layout toolbar
Table toolbar
Tools toolbar


Standard toolbar

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars > Standard toolbar
Standard toolbar
The Standard toolbar provides quick access to common commands in LiveCycle Designer ES.
Undo
Reverses up to 10 previous actions.
Redo
Reapplies up to 10 undone actions one at a time.
Show Grid
Shows or hides the grid.
Snap to Grid
Turns Snap to Grid on or off. If it is on, snaps the object being drawn or dragged to the nearest grid point.
Keep Drawing Tool
When selected, you can draw as many copies of an object as you require without having to select it from the Object Library palette each time. To disable this feature, click the Keep Drawing Tool button again.
Actual Size
Sizes the page to 100%.
Fit Page
Sizes the page to fit in the Layout Editor.
Fit Width
Sizes the page to fit the width of the Layout Editor.
Zoom Out
Zooms out to see more.
Zoom
Zooms in to view details; zooms out to see more.
Zoom In
Zooms in to view details.
How To Palette
Shows or hides the How To palette.
Check Spelling
Performs spell checking of all or part of the current document.


Text Formatting toolbar

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars > Text Formatting toolbar
Text Formatting toolbar
The Text Formatting toolbar provides quick access to common text and paragraph formatting commands.
Font (typeface)
Displays the font name for the selected text.
Font Size
Displays the font size for the selected text.
Bold
Applies or removes bold formatting to selected text.
Italic
Applies or removes italic formatting to selected text.
Underline
Applies or removes underline formatting to selected text.
Align Left
Aligns text to the left.
Align Center
Aligns text to the center.
Align Right
Aligns text to the right.
Justify
Justifies the text.


Layout toolbar

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars > Layout toolbar
Layout toolbar
The Layout toolbar provides quick access to common layout commands.
Align Left
Aligns the left edges of the selected objects.
Align Right
Aligns the right edges of the selected objects.
Align Top
Aligns the top edges of the selected objects.
Align Bottom
Aligns the bottom edges of the selected objects.
Align Vertical Center
Aligns the vertical midpoint of the selected objects.
Align Horizontal Center
Aligns the horizontal midpoint of the selected objects.
Distribute Evenly Across
Evenly distributes the selected objects horizontally.
Distribute Evenly Down
Evenly distributes the selected objects vertically.
Distribute Evenly in Rows and Columns
Aligns and evenly distributes the selected objects in rows and columns.
Bring to Front
Moves selected objects to the foreground.
Send to Back
Moves selected objects to the background.
Bring Forward
Moves selected objects forward relative to other objects that are in front of the selected objects.
Send Backward
Moves selected objects backward relative to other objects that are behind the selected objects.
Group
Combines selected objects so that they function as a single unit. A group of objects can contain any number of objects and can be nested to any depth.
Ungroup
Breaks a group object into separate units.
Merge
When two or more text objects are selected, merges the objects into a single object. When one or more radio buttons is selected, creates a new exclusion group containing the selected radio buttons.


Table toolbar

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars > Table toolbar
Table toolbar
The Table toolbar provides quick access to common table commands.
Insert Table
Opens the Insert Table dialog box.
Insert Row Below
Inserts one or more rows below the selected row cells or rows. The number of rows inserted matches the number of rows selected.
Insert Column to the Right
Inserts one or more columns to the right of the rightmost selected columns. The number of columns inserted matches the number of columns selected.
Merge Cells
Combines two or more adjoining cells in the same row into a single cell.
Split Cells Horizontally
Divides two or more combined cells in a row into separate cells.
Delete Row
Deletes any row containing one or more selected cells.
Delete Column
Deletes any column containing one or more selected cells.
Convert To Table
Converts one or more selected objects into a table.


Tools toolbar

Menu, Command, Toolbar, and Dialog Box Reference > Toolbars > Tools toolbar
Tools toolbar
The Tools toolbar provides quick access to common tools.
Select Tool
Selects the object.
Hand Tool
Moves the page so that you can view all areas of it. Moving a LiveCycle Designer ES page with the Hand Tool is like moving a piece of paper on a desk with your hand.
Field Edit Tool
Changes the object type.
Check Script Syntax
Checks all of the scripts in a form for correct syntax and reports any errors on the Warning tab in the Report palette.
Zoom Tool
Zooms in to view details.
Tab Order
Shows the current tabbing order.


Dialog Box Reference

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference
Dialog Box Reference
Binding Properties dialog box
Check Spelling dialog box
Collection Editor dialog box
Collection List dialog box
Connection Properties dialog box
Create Fragment dialog box
Customize dialog box
Data View Options dialog box
Delete Tab Stops dialog box
Digital IDs dialog box
Dynamic Properties dialog box
Edit Conditional Breaks dialog box
Edit Data Nominated Subforms dialog box
Edit Dictionary dialog box
Edit Fragment Identifier dialog box
Edit Hyperlink dialog box
File Import Options dialog box (Adobe Output Designer form)
File Import Options dialog box (Microsoft InfoPath)
File Import Options dialog box (Microsoft Word)
File Import Options dialog box (XForms Model)
Form Properties dialog box
Fragment Information dialog box
Import Options dialog box
Insert Fragment dialog box
Insert Hyperlink dialog box
Insert Table dialog box
Keyboard Shortcuts dialog box
Missing Fonts dialog box
Change Font Substitutions dialog box
New Data Connection dialog box
Options dialog box
Patterns dialog box
Print dialog box
Report Warnings Options dialog box
Select Digital IDs dialog box
Signature Settings dialog box
Sign Data and Submit Settings dialog box
Specify Substitute Font dialog box
Spreadsheet Paste Options dialog box
Syntax Formatting dialog box
Table Assistant dialog box


Binding Properties dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Binding Properties dialog box
Binding Properties dialog box
Use this dialog box to change a form object’s properties when you associate a data binding with an existing field on the form design. You can associate a data binding with a form object by dragging a node from the Data View palette onto the object or by using the Binding tab in the Object palette. See To create a bound field or subform.
This dialog box is only displayed for form objects that support data binding. Notice that this dialog box is not displayed when setting the binding of radio button objects.
To display this dialog box, drag a node from the Data View palette onto an existing field on the form design or when you specify the binding node using the Binding tab in the Object palette.
Update All Related Properties
Updates all the possible properties of the form object to match the properties of the binding object.
If the form object type is different from the binding type, and you select Update All Related Properties, the form object type will change to match the binding type. For example, if the form object is a text field, and the binding object is a numeric field, selecting Update All Related Properties changes the form object to a numeric field. To control whether the object type is changed, use the option Update The Following Properties Only.
Update The Following Properties Only
Displays a list of all the possible properties of the form object that can be updated by the properties of the binding object. You can select the specific properties that you want to update. Accepting all the options produces the same result as selecting Update All Related Properties.
The list of properties displayed varies according to the combination of form object type and binding. If the form object and binding object are the same, the following list of possible options may appear as updateable properties:
•
Name
•
Caption
•
Descriptive Information
•
Occurrence
•
Validation Scripts
The Name and Caption properties are always displayed. The other properties vary according to what is appropriate for the form object and binding. For example, if the binding has validation script information, the Validation Scripts option is displayed.
Depending on the form object and binding combination, LiveCycle Designer ES also displays options related to the object’s type. The following list of type-dependent options may appear as updateable properties:
•
Data Pattern (Text Field and Date/Time Field only)
•
Default Value (all fields except Image Field)
•
Image URL (Image Field only)
•
List Items (Drop-down List only)
•
Max Chars (Text Field only)
If the form object type is the same as the binding object type, LiveCycle Designer ES displays the type-dependent properties along with the other properties mentioned above. However, if the form object type is different from the binding object type, LiveCycle Designer ES displays the Type option, followed by all the type-dependent properties. In this situation, the Type option must be selected to update any of the type-dependent properties. If you do not select the Type option, none of the type-dependent properties will be updated.
If you do not want the form object type to change, deselect the Type option.
Don’t Update Any Related Properties
Specifies that no additional properties of the object, other than the binding itself, will be changed.
Don’t Show This Again
Stops the Binding Properties dialog box from displaying when you drag a node from the Data View palette onto the Layout Editor.
None of the object’s properties will be updated to match the properties of the data item in the data source.
To start the Binding Properties dialog box displaying again, right-click the Data View palette, select Options, and select the Show Binding Properties Dialog option.
See also
About binding fields to a data source


Check Spelling dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Check Spelling dialog box
Check Spelling dialog box
Use this dialog box to correct individual occurrences or all occurrences of misspelled words in selected objects or in the entire form, add words to your custom dictionary, create a list of words to ignore, and open the Spelling panel in the Options dialog box.
Note:
By default, LiveCycle Designer ES checks the spelling in all of the text associated with the various objects in a form, such as text objects, captions, tool tips, custom screen reader text, list box entries. To control the type of text that LiveCycle Designer ES checks, you can select options in the Spell Check list in the Spelling panel in the Options dialog box. For more information, see Spelling (Options dialog box).
To display this dialog box, select Tools > Check Spelling.
Not in Dictionary
Displays misspelled words in context. For example, if the text for a tool tip contains a misspelled word, all of the text for the tool tip is displayed with the misspelled word highlighted (bold red). You can type directly in this box to make corrections. When you correct any of the text in this box, the bold red highlighting is removed from the misspelled word, and the Ignore Once, Ignore All, Add to Dictionary, Change All, and Undo buttons are unavailable.
Found In
Displays the reference syntax describing the object that you are spell checking.
Suggestions
Lists alternate spelling suggestions for the highlighted word.
Ignore Once
Ignores this occurrence of the misspelled word. LiveCycle Designer ES highlights any subsequent misspellings of the word.
Ignore All
Ignores all occurrences of the misspelled word. Adds the word to the list of ignored words so that LiveCycle Designer ES temporarily does not identify the word as being misspelled. All spell checks will disregard the word until you restart LiveCycle Designer ES. The list of ignored words is cleared each time LiveCycle Designer ES is started.
Add to Dictionary
Adds the highlighted word to all languages in My Custom Dictionary. LiveCycle Designer ES no longer identifies the word as being misspelled.
Change
Replaces the misspelled (highlighted) word with the word that is selected in the Suggestions list or typed in the Not in Dictionary box.
Change All
Replaces all occurrences of the misspelled (highlighted) word with the word that is selected in the Suggestions list.
Undo
Reverses the previous change(s).
Options
Opens the Spelling panel in the Options dialog box. Any changes that you make in the Spelling panel take affect immediately and apply to the current spell check. For example, if you clear the Tool Tip check box in the Spell Check list, LiveCycle Designer ES will not check any Tool Tip text.
Close
Closes the Check Spelling dialog box.


Collection Editor dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Collection Editor dialog box
Collection Editor dialog box
Use this dialog box to select the objects to include in the collection for signature fields or paper forms barcodes.
To display this dialog box, click Modify in the Value tab in the Object palette (when the Paper Forms Barcode object is selected).
Name
Displays the name of the selected collection.
Collection Type
Specifies the type of collection that you are modifying. The two types of collection are Signature and Paper Forms Barcode.
The list shows the objects in a hierarchy where you can select and deselect the objects to include in the collection.
Hide Unsupported Nodes
Hides the objects that are not supported for the selected collection. Hiding the unsupported nodes makes it easier to locate the objects that you want to include in the collection.
See also
To add a signature field
Signature field properties in the Signature tab
To control how a barcode obtains data
About form object collections


Collection List dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Collection List dialog box
Collection List dialog box
Use this dialog box to create, duplicate, delete, organize, and modify collections of objects for signature fields and paper forms barcodes.
To display this dialog box, click Edit > Form Object Collections.
Collections
Lists the collections for signature fields and paper forms barcodes. A collection applies to either signature fields or to paper forms barcodes, but not to both because they use different kinds of objects. The collections that are available for signature fields appear in the Signature tab in the Object palette. The collections that are available for paper forms barcodes appear in the Value tab in the Object palette.
New
Creates a new collection at the end of the Collections list.
Duplicate
Creates a copy of the selected collection in the Collections list.
Move Up
Moves the selected collection up in the Collections list.
Move Down
Moves the selected collection down in the Collections list.
Modify
Opens the Collection Editor dialog box so that you can modify the list of objects that are included in the collection.
See also
To add a signature field
Signature field properties in the Signature tab
To control how a barcode obtains data
About form object collections


Connection Properties dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Connection Properties dialog box
Connection Properties dialog box
Use this dialog box to change the name of the selected data connection.
To display this dialog box, select a data connection and then select Connection Properties in the Data View palette menu.
Connection Name
Displays the data source connection name. You change the data source connection name in this box.
See also
About data sources
To create a data connection to an XML schema and XML data file
To create a data connection to an OLE database
To create a data connection using a WSDL file


Create Fragment dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Create Fragment dialog box
Create Fragment dialog box
Use this dialog box to create a fragment from the selected objects.
To display this dialog box, select the object or objects that you want to include in a fragment and select Edit > Fragments > Create Fragment.
Name
Enter a name for the fragment. If the selection was a named subform or script object, the name of the object is the default value. If the selection was an unnamed object or if multiple objects were selected, the default value is Fragment <n> where <n> is a number.
Description
Optional. Type a description for the fragment.
Create New Fragment in Repository
Creates a new fragment file within the specified repository.
Location
The repository where the new fragment will be saved. Select Browse For Location if the repository where you want to save the fragment is not in the list.
File name
The file name for the XDP file that will contain the fragment. The default is the fragment name.
Replace the selection with reference to new fragment
Replaces the selection with a reference to the new fragment file. If the fragment file is later updated, the fragment reference will also be updated.
Create New Fragment in Current Document
Defines the selection as a fragment within the current file. No new fragment file is created. For example, select this option to create several fragments in the same XDP file and repository.


Customize dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Customize dialog box
Customize dialog box
Command tab (Customize dialog box)
Toolbars tab (Customize dialog box)


Command tab (Customize dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Customize dialog box > Command tab (Customize dialog box)
Command tab (Customize dialog box)
Use this dialog box to add a menu or button to a toolbar.
To display this dialog box, select Tools > Customize Toolbars and click Command.
Categories
Displays a list of categories from which you select buttons for a toolbar.
Buttons
Displays the buttons that you can select for a toolbar. You can drag these buttons onto existing toolbars.
See also
To customize the toolbars


Toolbars tab (Customize dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Customize dialog box > Toolbars tab (Customize dialog box)
Toolbars tab (Customize dialog box)
Use this dialog box to customize the toolbars that appear in LiveCycle Designer ES.
To display this dialog box, select Tools > Customize Toolbars and click Toolbars.
Toolbars
Lists the toolbars that are available in LiveCycle Designer ES.
Show Tool Tips
Displays the tool tips when the pointer hovers over a toolbar icon.
Cool Look
Changes the look of the toolbars.
Large Buttons
Displays large toolbar buttons.
New
Creates a new custom toolbar.
Reset
Resets the toolbars to the default state.
See also
To customize the toolbars


Data View Options dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Data View Options dialog box
Data View Options dialog box
Use this dialog box to set the options that are applied when you generate a field or group of fields using the Generate Fields command.
To display this dialog box, select Options from the Data View palette menu.
Generate Validation Scripts
Generates validation scripts for new fields. The validation scripts generated are JavaScript scripts on the field. For example, a validation script can check that a field value is one from the allowed list.
Generate Descriptive Information
Generates descriptive information.
Allow Tables To Be Generated
Creates a table when you drag a table node from the Data View palette onto the Layout Editor. If you deselect this option, LiveCycle Designer ES creates nested flowed or positioned subforms.
Create A Header Row For Any Table
Creates a header row for each table that is created.
Show Binding Properties Dialog
Shows the Binding Properties dialog box when you drag a node from the Data View palette onto the Layout Editor.
If you deselect this option, none of the object’s properties will be updated to match the properties of the data item in the data source when you drag a node from the Data View palette onto the Layout Editor.
See also
To set field generation options


Delete Tab Stops dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Delete Tab Stops dialog box
Delete Tab Stops dialog box
Use this dialog box to remove unused tab stops.
To display this dialog box, select Edit > Delete Tab Stops.
Clear
Removes the tab stops that you select from the list.
Clear All
Removes all of the listed tab stops.


Digital IDs dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Digital IDs dialog box
Digital IDs dialog box
Use this dialog box to select the digital ID used to access the Web Service Description Language (WSDL) document that you are using to create a data connection, or to add or remove digital IDs to and from the Windows Certificate Store and the LiveCycle Designer ES Digital IDs File store.
To display this dialog box, select Edit > New Data Connection, and create a WSDL data connection.
Digital IDs
Lists the digital IDs that are available in the Windows Certificate Store and the LiveCycle Designer ES Digital ID Files store.
Add Digital ID
Opens the Add Digital ID dialog box, where you specify the location of the digital file (*.p12 or *.pfx) you want to add to the list, and enter the password required to access the file. To remove a digital file from the list, use the Digital IDs dialog box (Tools > Options > Security > Digital IDs). See Digital IDs dialog box.
Refresh
Updates the Digital IDs list to display the IDs that are currently available.
View
Opens the Certificate Viewer dialog box, which displays general and detailed information about the selected certificate (digital ID).
See also
Security (Options dialog box)
About importing digital IDs
To import a digital ID into the Windows Certificate Store
To import a digital ID into the Digital ID Files store
To create a data connection using a WSDL file


Dynamic Properties dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Dynamic Properties dialog box
Dynamic Properties dialog box
Use this dialog box to dynamically bind form object properties to values from a data source. This enables you to dynamically populate form object properties, such as the list items for a drop-down list or list box, with values from a data source.
To display this dialog box, ensure active labels are on, select the form object property that has dynamic data binding attached to it, and click one of the following active labels:
•
List Items and Specify Item Values for a drop-down list or list box
•
Caption
•
Validation Pattern Message
•
Validation Script Message
•
Tool Tip
•
Custom Screen Reader Text
Data Connection
Specifies the data connection you want to use for the dynamic data binding. If you are not already connected to a data source, Default Data Binding is the only selection in the Data Connection list.
As with normal binding, you can specify one or more WSDL connection bindings.
Items
Specifies the set of nodes that will be used to populate the items of the list for drop-down lists or list boxes.
You can select <None> to clear the binding for the selected property. You can also type a string into the box instead of selecting it.
This option is available when you click the active label for List Items and Specify Item Values for Drop-down Lists and List Boxes. In addition, for OLEDB data connections, the Items box is not available. Use the Item Text and Item Value boxes to select the data base columns to use to populate the list.
Item Text
Specifies the user-friendly label that is displayed at run time. The bindings that you can pick are descendants of the set of nodes selected in the Items box.
You can select <None> to clear the binding for the selected property. You can also type a string into the box instead of selecting it.
This option is available when you click the active label for List Items and Specify Item Values for Drop-down Lists and List Boxes.
Item Value
Specifies the data value that is submitted to the data source. The bindings that you can pick are descendants of the set of nodes selected in the Items box. This box is optional. If you leave this blank, the Item Text is submitted to the data source.
You can select <None> to clear the binding for the selected property. You can also type a string into the box instead of selecting it.
This option is available when you click the active label for List Items and Specify Item Values for Drop-down Lists and List Boxes.
Binding
Sets the binding for the selected property. The bindings that you can pick are the ones available for the data connection you selected.
You can select <None> to clear the binding for the selected property. You can also type a string into the box instead of selecting it.
This option is available when you click the active label for Caption, Validation Pattern Message, Validation Script Message, Tool Tip, and Custom Screen Reader Text.
See also
About dynamic properties


Edit Conditional Breaks dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Edit Conditional Breaks dialog box
Edit Conditional Breaks dialog box
Use this dialog box to create conditional break statements for subforms, subform sets, tables, header rows, body rows, and sections. Conditional breaks are more flexible than traditional breaks and allow for multiple breaks of a single object.
To display this dialog box, perform one of the following actions:
•
Select a subform object and click Edit on the Pagination tab of the Object palette. Note that the subform object you select must exist on the form design within a flowed subform object.
•
Select a subform set object and click Edit on the Pagination tab of the Object palette.
•
Select a table object and click Edit on the Pagination tab of the Object palette. Note that the table object you select must exist on the form design within a flowed subform object.
•
Select a table header row and click Edit on the Pagination tab of the Object palette. Note that the table associated with the header row must exist on the form design within a flowed subform object.
•
Select a table body row and click Edit on the Pagination tab of the Object palette. Note that the table associated with the body row must exist on the form design within a flowed subform object.
•
Select a table footer row and click Edit on the Pagination tab of the Object palette. Note that the table associated with the footer row must exist on the form design within a flowed subform object.
•
Select a table section and click Edit on the Pagination tab of the Object palette. Note that the table section you select must exist on the form design within a flowed subform object.
Add
Adds a new breaking condition for the current object. If a conditional break is currently selected, a new entry is created prior to the selected entry.
Delete
Removes the currently selected breaking condition for the object.
Move Up
Moves the currently selected conditional break up in the list.
Move Down
Moves the currently selected conditional break down in the list.
When
Specifies an expression indicating when a conditional break should occur.
Use the Insert Sample Expression button [image] to select a valid object to use as the breaking condition. LiveCycle Designer ES inserts a sample statement which forces a conditional break if it evaluates to true.
The Insert Sample Expression button is disabled unless there are valid objects on the form design.
Language
Specifies which scripting language you want to use for the current calculation or script. There are two options:
•
FormCalc
A native Adobe calculation language ideal for shorter scripts.
•
JavaScript
A powerful and flexible scripting language for more complex scripts.
Run At
Specifies where the calculation or script will execute. There are three options:
•
Client
Calculations and scripts execute while the client application (for example, Acrobat or web browser) processes the form.
•
Server
Calculations and scripts execute while the server application (for example LiveCycle Forms ES processes the form.
•
Client and Server
Calculations and scripts execute while being processed by either the client or server application, depending on which application processes the form.
Break
Specifies where the conditional break should occur:
•
Before
Immediately before the current subform, subform set, table, header row, body row, footer row, or section.
•
After
Immediately after the current subform, subform set, table, header row, body row, footer row, or section.
To
Determines where to place the remaining fields and data from the broken subform after the conditional break:
•
Content Area > [name_of _content_area]
Resume in the specified content area.
•
Top of Next Content Area
Resume at the top of the next content area.
•
Top of Content Area > [name_of _content_area]
Resume at the top of the specified content area.
•
Page > [name_of _page]
Resume on the specified page (introduces a page break if the page specified is not the current page).
•
Top of Next Page
Resume at the top of the next page (introduces a page break).
•
Top of Page > [name_of _page]
Resume at the top of the page, whenever the specified page is rendered (introduces a page break if one does not occur naturally).
•
Odd Page
Resume on the next odd page.
•
Top of Next Odd Page
Resume at the top of the next odd page (introduces a page break if one does not occur naturally).
•
Even Page
Resume on the next even page.
•
Top of Next Even Page
Resume at the top of the next even page (introduces a page break if one does not occur naturally).
•
No Break, Just Leader and Trailer
Place the object after the previous subform, subform set, table, header row, body row, or footer row. Only switch to a new content area if the subform, subform set, table, header row, body row, footer row, or section does not fit in the current content area.
Trailer
Specifies a trailer subform to use for the conditional break.
•
[name_of_subform/table]
Use this existing subform, subform set, table, header row, or body row as the overflow trailer.
•
None
Do not use an overflow trailer.
Leader
Specifies a leader subform to use for the conditional break.
•
[name_of_subform/table]
Use this existing subform, subform set, table, header row, or body row as the overflow leader.
•
None
Do not use an overflow leader.
See also
Overview of subforms
Overview of subform sets
About tables
To create a repeating subform
To control subform and subform set breaks by using conditional statements
To control table, header row, body row, footer row, and section breaks using conditional statements


Edit Data Nominated Subforms dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Edit Data Nominated Subforms dialog box
Edit Data Nominated Subforms dialog box
Use this dialog box to control the display of subforms from a choice subform set or rows from a choice section.
To display this dialog box, perform one of the following actions:
•
Select a choice subform set and click Edit Alternatives on the Subform Set tab of the Object palette.
•
Select a choice section and click Edit Alternatives on the Section tab of the Object palette.
Choose Subform Whose Name Matches Data Element or Attribute
Matches a single subform from the choice subform set, or a row from the choice section, with a like-named data node from the data connection. Only the subform or row with a name matching one of the data nodes will appear in the form layout.
Choose Subform Using Expression
Associates a single subform from the choice subform set, or a single row form the choice section, with a user-defined data node from within the data connection. You can then use relational scripting expressions, such as equality and inequality expressions, in the Expression field to indicate the conditions that must occur for the named subform or row to appear in the form layout. The first entry in the Alternative Subforms list with an expression that evaluates to true displays on the form.
Data Connection
Specifies the name of the current data connection:
•
Default Data Binding
No data connection is currently specified for the form design.
•
[name_of_data_connection]
The name of the data connection currently defined for the form design.
Add
Adds a new subform object to the choice subform set or row to the choice section. Adding a new subform or row adds a duplicate of the subform object currently selected in the Alternative Subforms list. If no subform or row is selected, then a new unnamed subform is added to the choice subform set or choice section.
Remove
Removes the currently selected subform or row object from the current choice subform set or choice section.
Move Up
Moves the currently selected Alternative Subforms entry up in the list.
Move Down
Moves the currently selected Alternative Subforms entry down in the list.
Name
Specifies the name of a subform object within the choice subform set or the name of a row within the choice section.
Binding
Specifies all available data binding options for the current data connection:
•
[name_of_data_node]
Binds the subform or row to this data node entry from within the data connection.
•
<None>
Disables data binding using a user-defined data node from the data connection. The subform or row is still bound to a like-named data node from the data connection, if any exists.
Note:
You can also type a user-defined binding directly into the Binding field.
Expression
Specifies a relational scripting expression, such as equality and inequality expressions, to indicate the conditions that must occur for the named subform or row to appear in the form layout.
If no expression is specified, the conditional break is considered to have a value of true.
Language
Specifies which scripting language you want to use for the current calculation or script. There are two options:
•
FormCalc
A native Adobe calculation language ideal for shorter scripts.
•
JavaScript
A powerful and flexible scripting language for more complex scripts.
See also
Overview of subforms
Overview of subform sets
About tables
Section properties in the Section tab


Edit Dictionary dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Edit Dictionary dialog box
Edit Dictionary dialog box
Use this dialog box to view the list of words available in your custom dictionary (My Custom Dictionary) under individual or all languages, change the spelling of any of the listed words, as well as add and delete words to and from individual or all languages.
To display this dialog box, select Tools > Edit Dictionary.
Language
Lists the available languages that you can select. The list of words associated with each language appears when the language is selected.
Word
Selected word from the list of words is displayed in this box, where you can correct or change the spelling. You can also type new words to add to My Custom Dictionary.
Add
Adds to My Custom Dictionary the new word that is typed in the Word box.
Delete
Deletes the selected word from the list of words associated with the selected language.
Done
Closes the Edit Dictionary dialog box.


Edit Fragment Identifier dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Edit Fragment Identifier dialog box
Edit Fragment Identifier dialog box
Use this dialog box when you want to use a custom identifier instead of the default fragment name. In this dialog box, you can view or edit the fragment identifier.
To display this dialog box, select Custom from the Fragment Name list in the Object palette.
Identify fragment by
Select the method you want to use to identify the fragment.
SOM expression
Type the SOM expression that identifies the fragment. It should uniquely identify the root node of the fragment content in the fragment file. For example, $template.form.#subform.MyFragment.
ID
Specifies the ID value that identifies the fragment. Most IDs are generated in LiveCycle Designer ES. The ID can be any valid XML ID string that is unique in the document that contains it.


Edit Hyperlink dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Edit Hyperlink dialog box
Edit Hyperlink dialog box
Use this dialog box to edit URL and email hyperlinks.
To display this dialog box, select Insert > Hyperlink.
URL
Select to create a URL hyperlink.
Email
Select to create an email hyperlink.
•
Email
Enter one or more email addresses.
•
Subject
Enter an applicable subject line (optional).


File Import Options dialog box (Adobe Output Designer form)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > File Import Options dialog box (Adobe Output Designer form)
File Import Options dialog box (Adobe Output Designer form)
Use this dialog box to set options for importing Adobe Output Designer form files.
To display this dialog box, select Tools > Import and then select an Output Designer form file to open.
Generate a trace log of the conversion process
Digital Signatures ES creates a temporary log file (convertifd.log) that records information about the conversion process and can be read using any ASCII text editor.
Use Output Designer PDF configuration
Digital Signatures ES uses an Output Designer configuration file (pdf.ics) and a compiled version of the configuration file (pdf.icf) to generate PDF a form file.
Map Fonts using the Supplied Conversion
Digital Signatures ES uses an Output Designer font conversion file (fontmap.ini) to map font substitutions that occur during the conversion process.


File Import Options dialog box (Microsoft InfoPath)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > File Import Options dialog box (Microsoft InfoPath)
File Import Options dialog box (Microsoft InfoPath)
Use this dialog box to set options for importing Microsoft® InfoPath files.
To display this dialog box, select Tools > Import and then select an InfoPath file to open.
Prompt To Select View During Conversion
Prompts you for a view. If the InfoPath file has only one view, a prompt will not display even if you select this option.
View
Specifies the name of the view to convert. To convert the default view, leave the box blank. If the Prompt To Select View During Conversion option is selected, this option is ignored.
Import Print Settings
Imports headers and footers, page orientation, and page margins of the InfoPath form. If you select the Import Print Settings option, the page size and orientation are taken from the InfoPath form and you do not have to select the page size and orientation.
Page Size
Specifies the page size for the converted form. To convert the default page size, select Default.
Orientation
Specifies the page orientation for the converted form.
Generate A Log File
When any option other than Do Not Log is selected, Digital Signatures ES creates a log file (*.log) using the name and location that you select. The log file records information about the conversion process and can be read using any ASCII text editor.
Embed Images In XDP
When selected, converts images in the InfoPath file and embeds them in the converted form. If you leave the option deselected, Digital Signatures ES does not convert the images but inserts placeholders for them.
See also
To import a Microsoft InfoPath file
How LiveCycle Designer ES converts Microsoft InfoPath objects


File Import Options dialog box (Microsoft Word)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > File Import Options dialog box (Microsoft Word)
File Import Options dialog box (Microsoft Word)
Use this dialog box to set options for importing Microsoft® Word Document files.
To display this dialog box, select Tools > Import and then select a Word file to open.
Password To Open File
If the Word file requires that you enter a password to open the document, type the password into this box.
Password To Unprotect File
If the Word file is protected (users can enter data only into designated areas) and requires that you enter a password to remove the protection, type the password into this box.
Ignore Missing Fonts
Digital Signatures ES detects whether the Word file contains fonts that are not available on your computer. To deal with this issue, you can either install the missing fonts or set up appropriate font-substitution rules in Word. When this option is selected, Digital Signatures ES substitutes the missing fonts with an available font and all font-substitution error messages are suppressed.
Convert Images
When selected, converts images and embeds them in the converted form. If you leave the option deselected, Digital Signatures ES does not convert the images but inserts placeholders for them.
Maintain Flow Layout (Objects And Text Will Be Flowed Instead Of Being Positioned)
When selected, Digital Signatures ES ensures the layout is flowed.
Generate Log File
When any option other than Do Not Log is selected, Digital Signatures ES creates a log file (*.log) in the location that you select. The log file records information about the conversion process and can be read using any ASCII text editor. The log file name includes the name of the form file.
See also
To import a Microsoft Word file
How LiveCycle Designer ES converts Word objects and settings
About reducing Word conversion problems


File Import Options dialog box (XForms Model)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > File Import Options dialog box (XForms Model)
File Import Options dialog box (XForms Model)
Use this dialog box to set options for importing XForms Model files.
To display this dialog box, select Tools > Import and then select an XForms Model file to open.
Embed Schemas Inline
Embeds schema within the output XDP file if a schema is set for the XForms document.
Set Working Directory
Indicates where LiveCycle Designer ES checks for relative file path locations that may be included in the XForms document, such as data XML files or XML schema files. If you do not specify this folder, the default working directory will be the same location as the XForm that is being imported. This is not the location where log files or temporary instance data files are created.
Generate log file
Specifies where to locate a generated log file that contains conversion output messages. You can select one of these options:
•
Do Not Log: no log file is generated.
•
\TEMP\ConvertXForms.log: Generates a log file named ConvertXForms.log in the Temp folder in Documents and Settings\[username]\Local Settings\Temp (Windows XP) or Users\[username]\AppData\Local\Temp (Windows Vista). Each file is appended with a unique number, such as ConvertXF38512.log.


Form Properties dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box
Form Properties dialog box
Compatibility tab (Form Properties dialog box)
Defaults tab (Form Properties dialog box)
Formatting tab (Form Properties dialog box)
Info tab (Form Properties dialog box)
PDF Security tab (Form Properties dialog box)
PDF Print Options tab (Form Properties dialog box)
Performance tab (Form Properties dialog box)
Preview tab (Form Properties dialog box)
Variables tab (Form Properties dialog box)
Save Options tab (Form Properties dialog box)


Compatibility tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Compatibility tab (Form Properties dialog box)
Compatibility tab (Form Properties dialog box)
Use this dialog box to update forms that were created in LiveCycle Designer ES version 6 to version 7. Updating older forms will result in the shifting of some text, which may require manual adjustment. In addition, script handling of enter and exit events on drop-down list boxes is affected. If the older form will be viewed primarily with Acrobat 7.0.5 or Adobe Reader 7.0.5 or later, use this Compatibility tab to update the form to version 7.
To display this dialog box, select Edit > Form Properties and click Compatibility.
If your form was created in version 6, you will see buttons you can use to update to version 7.
Revert Text Formatting or Update Text Formatting
If you open a form from an earlier version of LiveCycle Designer ES, the text formatting rules are different.
To use the current text formatting rules, click Update Text Formatting. Updating older forms will result in the shifting of some text, which may require manual adjustment.
To use the version 6 text formatting rules, click Revert Text Formatting.
Revert Event Model or Update Event Model
If you open a form from an earlier version of LiveCycle Designer ES, the behavior of the enter events on the form is different. In version 7, the first time a user clicks in a drop-down list, an enter event is sent with the reenter property set to false. If the user clicks in the field again or presses the Enter key, another enter event is sent with the reenter property set to true.
To use the current event handling rules, click Update Event Model. If you want the enter event to occur each time a user clicks a drop-down list, update the event model.
To use the version 6 event handling rules, click Revert Event Model. For example, if you have a form that was created in LiveCycle Designer ES version 6, and you want to download data from the server only once on the first enter, you may want to keep the old event model or revert to the old event model.


Defaults tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Defaults tab (Form Properties dialog box)
Defaults tab (Form Properties dialog box)
Use this dialog box to specify a number of standard settings that LiveCycle Designer ES will use for each form design. If necessary, you can override these settings for an individual form design.
To display this dialog box, select Edit > Form Properties and click Defaults.
Choose version to run form in
Specifies the default Acrobat and Adobe Reader target version in which the form will be run. LiveCycle Designer ES validates the form design as you work and displays a warning message on the Warnings tab in the Report palette if a feature that you add fails the validation for the selected Acrobat and Adobe Reader target version. You must also ensure that you have the version of Acrobat installed that matches the target version that you select; otherwise, you may get an error or a warning message when you click the Preview PDF tab. For example, if you select Acrobat and Adobe Reader 6.0.2 or later as the target version for the form, ensure that you have Acrobat 6.0.2 installed. The target version you select is also displayed at the bottom of the Save As dialog box when you save a form.
Form Locale
Specifies the default language and country, or region for the form design, which defines the format and punctuation of date, time, date/time, numeric, and currency values displayed in the form. Locale options are organized first by language and then by country or region. The form locale also defines the language used by the spell-check feature. For forms that have print output for multiple locales, select the Viewer's system locale option.
Default Language
Specifies the default scripting language to use when authoring a form design. You can choose JavaScript or FormCalc.
Default Run At
Specifies the default location for running scripts on the template. These options are available:
•
Client
Indicates that scripts should be run on the client. This option is the default.
•
Server
Indicates that scripts should be run on the server. The results are then returned to the browser.
•
Client And Server
Indicates that scripts can run on both the client and the server.
Preserve Scripting Changes To Form When Saved
Specifies how scripting changes will be preserved in a form when it is saved.
•
Automatically
Specifies that scripting changes in a form will be preserved automatically when the form is saved. If the form is certified, scripting changes will not be saved. If the form is uncertified, certification of the form will not be possible.
•
Manually
Specifies that scripting changes in a form will be preserved through scripting when the form is saved. You must use the delta script object to do this. The Manual option is useful for certified forms.
Enforce Strict Scoping Rules in JavaScript
Applies strict scoping rules to JavaScript. Applying strict scoping rules enhances the performance of forms and makes the script more portable. Performance enhancements apply to forms targeted for Acrobat 8.1 and later.
You should not apply strict scoping rules in forms that are targeted for versions of Acrobat earlier than 8.1. When you select strict scoping and then choose a target version earlier than Acrobat 8.1, the scripts may behave differently or not work.
PDF Render Format
Specifies the type of PDF in which to render an XDP form when LiveCycle Forms ES is set to the default behavior. See ‘Developing Custom Applications’. http://livedocs.adobe.com/livecycle/es/sdkHelp/programmer/sdkHelp/wwhelp/wwhimpl/js/html/wwhelp.htm
See also
Report palette


Formatting tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Formatting tab (Form Properties dialog box)
Formatting tab (Form Properties dialog box)
Use this dialog box to set hyphenation, and widow and orphan control options for the current form only.
To display this dialog box, select Edit > Form Properties > Formatting.
Words With At Least <x> Letters
Specifies the minimum number of letters that a word must contain to be hyphenated. For example, if you enter a value of 7, only words that have seven or more letters are hyphenated. The minimum value is 2. The maximum value is 99.
After First <x> Letters
Specifies the minimum number of letters in a word that must appear on a line before the hyphen. For example, if you enter a value of 2, at least the first two letters of a word appear on a line before the word is hyphenated. The minimum value is 1. The maximum value is 99. The value should be less than the value in the Words With At Least <x> Letters box.
Before Last <x> Letters
Specifies the minimum number of letters in a word that must appear on the next line after the hyphen. For example, if you enter the value of 4, at least the last four letters of a word appear on the next line. The minimum value is 1. The maximum value is 99. The value should be less than the value in the Words With At Least <x> Letters box.
Hyphenate Capitalized Words
Hyphenates words that begin with a capital (uppercase) letter, such as the first word of a sentence.
Hyphenate Words In ALL CAPS
Hyphenates words that have all capital letters, such as acronyms.
Allow Hyphenation in Text and Field Captions
Allows hyphenation in text objects and in the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields.
Allow Hyphenation in Text Field Values
Allows hyphenation in the value area of text field objects (default text and text the form filler enters).
Hyphenate All Text
Hyphenates the text in text objects, the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, and the value area of text field objects (default text and text the form filler enters). This option is available when you select Allow Hyphenation in Text and Field Captions, or Allow Hyphenation in Text Field Values, or both.
Remove All Hyphenation
Removes all hyphenation from the text in text objects, the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields, and the value area of text field objects (default text and text the form filler enters).
Widow and Orphan Control
Controls widow and orphan lines in text and text field objects. A widow is the last line of a paragraph that appears by itself at the top of the next page. An orphan is the first line of a paragraph that appears by itself at the bottom of a page. The widow and orphan control ensures that a minimum of two lines from the paragraph are kept together.
See also
About hyphenating text
Considerations for setting hyphenation
To set hyphenation for a new form
To set hyphenation for an individual form
About hyphenation in selected paragraphs
To control widow and orphan lines for a form
To remove widow and orphan control from a form


Info tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Info tab (Form Properties dialog box)
Info tab (Form Properties dialog box)
Use this dialog box to capture and view general information about the form design. For example, the File option displays the file name and path to the location of the form design.
If you are working with a PDF document that contains PDF artwork, the information in the Info tab is displayed as read-only and can only be edited in Adobe Acrobat.
To display this dialog box, select Edit > Form Properties and click Info.
File
Displays the file name and path to its location. The name is created when you save the form design.
Title
Specifies the name of the form design.
Description
Specifies a description of the form design.
Author
Specifies the creator of the form design.
Contact
Specifies additional contact information.
Department
Specifies the department in your organization that owns the form design.
Creation Date
Specifies the date the form design was created.
Version
Specifies the current version of the form design.
Version Date
Specifies the date of the current version of the form design.
See also
To add details about the form


PDF Security tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > PDF Security tab (Form Properties dialog box)
PDF Security tab (Form Properties dialog box)
Use this dialog box to limit access to the PDF form. You do this by specifying passwords and by restricting certain features such as printing and modifying the PDF form.
To display this dialog box, select Edit > Form Properties and click PDF Security.
Require A Password To Open The Document
Indicates that the PDF form prompts the user for a password to open the form. You are prompted to set the password when you save the form design in PDF.
Clear Password
Removes the passwords required to open the PDF form and print and edit the document. You are prompted to set the password when you save the form design in PDF.
Use A Password To Restrict Printing And Editing Of The Document And Its Security Settings
Indicates that the end user must provide the correct password in order to print and edit the PDF form. The end user is prompted to set the password when saving the form design in PDF format.
Printing Allowed
Indicates whether the user can print the form. If you want to allow printing, select the printing resolution from the list. Options include:
•
Low Resolution (150 dpi)
•
High Resolution
Changes Allowed
Indicates whether the user can make changes to the PDF form. If you want to allow changes, select the type of change that the user is allowed to make. Options include:
•
Inserting, deleting, and rotating pages
•
Filling in form fields and signing
•
Commenting, filling in form fields, and signing
•
Any except extracting pages
Enable Copying Of Text, Images, And Other Content
Indicates that the user can copy text, images, and other contents.
Enable Text Access For Screen Reader Devices For The Visually Impaired
Indicates that the user can access the document using a screen reader device.
Enable Plaintext Metadata
Indicates that the information entered in the Info tab will be saved with the PDF form.
See also
About secure forms


PDF Print Options tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > PDF Print Options tab (Form Properties dialog box)
PDF Print Options tab (Form Properties dialog box)
Use this dialog box to specify settings for printing a PDF form in the form design instead of placing the effort on users to properly configure the print job. You can also specify that the Print dialog box appears when the PDF form opens, allowing users to print the form immediately.
To display this dialog box, select Edit > Form Properties and click PDF Print Options.
Use These Print Settings For Printing This PDF Form
Includes options for printing the PDF form:
Note:
Setting the following options is recommended only for form designs saved as Acrobat 8 (Static) PDF forms or Acrobat 8 (Dynamic) XML forms.
•
Number of Copies
Specifies the number of copies that will be printed.
•
Duplex Mode
Specifies the setting for duplex printing. The selected printer must support duplex printing if you select a duplex option.
Automatically Print The Form When It Is Opened
Includes options for printing the PDF form when it opens:
•
Print To The User’s Default Printer
Prints the PDF form using the user’s default printer, which can be a local or network printer.
•
Print To
Specifies the printer on which the PDF form prints.


Performance tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Performance tab (Form Properties dialog box)
Performance tab (Form Properties dialog box)
Use this dialog box to specify server and print caching properties for a form design. The print caching options improve the server-side processing and performance of the specified print output. However, selecting these options may increase the file size of form designs and degrade the client-side performance. Selecting multiple Print options will significantly increase the file size of a form design.
To display this dialog box, select Edit > Form Properties and click Performance.
Allow Form Rendering To Be Cached on Server
Caches an entire PDF form on the server and reuses it for subsequent form rendering.
Some restrictions apply for PDF forms that have a fixed layout For more information about the restrictions, see Form caching.
Note:
Do not select this option for static PDF forms that contain sections that dynamically appear and disappear.
Form Requires Server-side Data Binding and/or Scripting
Instructs the server to merge the form design with data. Select this option only when the form design includes a database binding, a web service binding, or server-side scripting.
Do not select this option when a form does not have server-side data binding or scripting, because it will slow down performance.
Cache PostScript Output in Form
Embeds a copy of the form design in PostScript® format within the form design. The copy is embedded when the form design is saved.
Cache Black & White PCL Output in Form
Embeds a copy of the form design in black and white PCL format within the form design. The copy is embedded when the form design is saved.
Cache Color PCL Output in Form
Embeds a copy of the form design in color PCL format within the form design. The copy is embedded when the form design is saved.
Cache 200 dpi Zebra Label Printer Output in Form
Embeds a copy of the form design in 200 dpi Zebra format within the form design. The copy is embedded when the form design is saved.
Cache 300 dpi Zebra Label Printer Output in Form
Embeds a copy of the form design in 300 dpi Zebra format within the form design. The copy is embedded when the form design is saved.


Preview tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Preview tab (Form Properties dialog box)
Preview tab (Form Properties dialog box)
Use this dialog box to specify different options for previewing the form design.
To display this dialog box, select Edit > Form Properties and click Preview.
Preview Type
Specifies the type of form that you want to preview when using the Preview PDF tab:
•
Interactive Form
Select this option to view a form that contains fields for interactive data capture. When you preview the form design, the resulting form opens as an interactive PDF.
•
Print Form (One-sided)
Select this option to preview forms that will be printed on one side of the paper. When you preview the form design, all objects are non-interactive.
•
Print Form (Two-sided)
Select this option to preview forms that will be printed on both sides of the paper. When you preview the form design, all objects are non-interactive.
Generate Preview Data
Select this option to generate sample form data. When you preview the form design, it will be merged with the sample data. You can also indicate how many times to repeat a repeating subform in the previewed form design.
Data File
Specifies the data file to use when previewing how a form design will be merged with data. The data file must be in standard XML format. You can type the path to the data file in the Data File box or browse to the file.
Preview Adobe XML Form As
Specifies the preview format for forms saved as Adobe XML Form File (XDP). You can select one of the following options:
•
Static PDF Form
Sets the default preview format to Static PDF. The form design can contain only static elements. If your form design contains dynamic elements, they will be unavailable in the form. For example, if you have a form that contains a table in which the number of columns are fixed but the number of rows in the table will change depending on how much information is in the data source, only one row of data is shown in the Preview PDF tab if the minimum number of occurrences is set to 1.
•
Dynamic XML Form
Sets the default preview format to Dynamic PDF. The form design can contain dynamic elements. For example, if you have a form that contains a table in which the number of columns are fixed but the number of rows in the table will change depending on how much information is in the data source, all the rows of data are shown in the Preview PDF tab. You can also test adding a row to the table, which you could not do in a static PDF form.
See also
To preview and test forms in the Preview PDF tab
To set preview options for an interactive form
To set preview options for a non-interactive form


Variables tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Variables tab (Form Properties dialog box)
Variables tab (Form Properties dialog box)
Use this dialog box to specify variables based on the form design. The variables are saved with the current form design.
To display this dialog box, select Edit > Form Properties and click Variables.
Variables
Displays all the variables in the current form design.
Add
Click this button to define a new variable. You must specify a name in the Variables list and the variable’s value in the large edit box to the right.
Each variable in a form design must have a unique name. Variable names are not case-sensitive.
The variable name should not contain any spaces. As soon as you press the space bar, LiveCycle Designer ES automatically positions the cursor in the large edit box to the right.
If a variable does not have a value, LiveCycle Designer ES does not save it with the form design beyond the current session.
Delete
Click this button to delete the variable currently selected in the Variables list.
See also
Variables


Save Options tab (Form Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Form Properties dialog box > Save Options tab (Form Properties dialog box)
Save Options tab (Form Properties dialog box)
Use this dialog box to specify different options to apply when saving a form design as a PDF.
You can also specify the type of PDF to save the form design as.
Note:
The options in this dialog box only apply when saving a form design as a PDF file. They do not apply to PDF and XDP form designs being rendered through LiveCycle Forms ES.
To display this dialog box, select Edit > Form Properties and click Save Options.
Generate Accessibility Information (Tags) For Acrobat
Embeds accessibility information within the saved PDF file. This option is only available when publishing in PDF.
Generate Log File When Saving
Creates a log file of the saved file. The log file is placed in the same directory as the saved form. This option is only available when publishing in PDF.
Embed Fonts
Embeds the form fonts in the saved form design. This option is only available when publishing in PDF.
Save PDF As
Lists the available PDF file types that you can save. This option is not available for non-PDF forms.
•
Static PDF Form (*.pdf)
Saves forms as static PDF, based on the Acrobat and Adobe Reader target version specified. Static PDF forms render once and are displayed on the client in the Acrobat or Adobe Reader target version. They are not rerendered in response to user interaction. The PDF form may have been designed with a flowable layout, but when the static PDF form is created, its layout is fixed and the resulting PDF form will not rerender on the client. Static PDF forms can be interactive or non-interactive.
•
Dynamic XML Form (*.pdf)
Saves forms as dynamic PDF, based on the Acrobat and Adobe Reader target version. The form design can contain dynamic elements. Dynamic PDF forms render on the client in Adobe Reader and, depending on the end-user interactions, can rerender on the client several times. Changes to the appearance of an object are possible in Adobe Reader because Adobe Reader has enough information to rerender the final output. For example, objects can change color, pagination can change, and objects can appear or disappear. If an end user clicks a button that adds a new row to a table, the form is rerendered in Adobe Reader.
Note:
The option to save a PDF as a Dynamic XML Form is not available if your form design contains PDF artwork.
See also
About file types
To save forms for Acrobat and Adobe Reader
About previewing and testing forms


Fragment Information dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Fragment Information dialog box
Fragment Information dialog box
Use this dialog box to view or edit information about a fragment. When you use this dialog box with a fragment source file, you can view and edit the information. When you use this dialog box with a fragment reference, you can only view the information.
To display this dialog box, perform one of the following actions:
•
Select the fragment on the form and then select Edit > Fragments > Fragment Info.
•
Select the fragment on the form and, in the Object palette, click Fragment Info [image].
•
Right-click the fragment and select Fragments > Fragment Info.
Name
The name of the fragment. The fragment must have a name.
Description
The description for the fragment.
Location
The file name and location of the fragment.


Import Options dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Import Options dialog box
Import Options dialog box
Use this dialog box to set options for importing PDF files that were not created with LiveCycle Designer ES.
To display this dialog box, select Tools > Import, select a PDF file, and then click Open.
Create an Interactive Form with Fixed Pages
Preserves the appearance of PDF documents created in Acrobat and other applications available in the Open dialog box. Converts Acrobat form fields to the corresponding LiveCycle Designer ES library objects. After you import the content of a PDF document as artwork, you can place additional library objects on top of the artwork as needed. Use this option if you have a PDF document that was created in Acrobat or some other application that you want to use as the basis (background) for creating an interactive form with fixed pages in LiveCycle Designer ES
Create an Interactive Form with a Flowable Layout
Imports PDF documents so that the contents can be edited in LiveCycle Designer ES. Any file attachments and annotations are removed. Keeps text together in fewer objects. Use this option if you want to create an interactive form with a flowable layout, make substantial text changes to the imported PDF form, or use LiveCycle Designer ES to make ongoing updates to form. This option also supports word-wrapping, but line breaks may not be preserved. Some touchup may be required to restore the appearance of the original document.
Custom Options for Importing PDF
Includes options for importing text:
•
Place Content In
Specifies where the content will be placed in the form design, either in a page or a master page.
•
Join Text As
Specifies how the text will be converted into objects.
•
Tolerance For Joining Text
A high tolerance setting provides a higher degree of possible variations and will join more pieces of text together into an object. A high setting may combine pieces of text that were meant to be separate objects. A low setting will keep more text as separate objects.
•
Tolerance For Joining Text Lines
A high tolerance setting provides a higher degree of possible variations and will join more lines of text together into an object. A high setting may combine lines of text that were meant to be separate objects. A low setting will keep more text as separate lines of text.
•
Tolerance For Joining Paragraphs
A high tolerance setting provides a higher degree of possible variations and will join more paragraphs together. A high setting may combine paragraphs that were meant to be separate. A low setting will keep more paragraphs as separate objects. A low setting may miss combining text that should be together in a paragraph.
Embed Images
Converts images in the PDF file and embeds them in the converted form. You can select one of the supported formats. If you leave the option deselected, LiveCycle Designer ES does not convert the images but inserts placeholders for them.
Format
Lists the image file formats you can select.
Generate A Log File In The Temporary Folder
Creates a log file (*.log) using the name of the PDF file with the .log file name extension. The log file is stored in your temporary directory that is configured by Windows (which is typically \Documents and Settings\[username]\Local Settings\Temp). If a file with that name already exists in the Temporary Folder, it is overwritten. The log file records information about the conversion process and can be read by using any ASCII text editor.
Display A Summary Report When Conversion Issues Are Found
If conversion issues are found, related information is displayed in a dialog box before the conversion operation is completed. You can cancel the operation if required.
Page Range Options
Includes options for indicating the number of pages to import.
All
Imports all the pages in the PDF.
Pages
Imports an individual page or a range of pages. For example, type 2,3,6 for individual pages or 2-5 for a range of pages. Individual pages and page ranges can be combined: 1,3,6-9.
See also
To import PDF files
How LiveCycle Designer ES converts PDF objects
About reducing PDF conversion problems


Insert Fragment dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Insert Fragment dialog box
Insert Fragment dialog box
Use this dialog box to select the fragment you want to insert into a form design.
Script fragments are inserted in the variables child under the root subform to ensure that they are the most visible among the existing scripts in a form design.
To display this dialog box, select Insert > Fragment.
Select a Resource
Select the fragment you want to insert from the list.
New Folder
Create a new folder for fragment files. When you create fragments, you can save them in this folder.
Import
Import an existing fragment from another location.


Insert Hyperlink dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Insert Hyperlink dialog box
Insert Hyperlink dialog box
Use this dialog box to create URL and email hyperlinks.
To display this dialog box, select Insert > Hyperlink
URL
Select to create a URL hyperlink.
Email
Select to create an email hyperlink.
•
Email
Enter one or more email addresses.
•
Subject
Enter an applicable subject line (optional).
See also
About hyperlinks
To insert a hyperlink


Insert Table dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Insert Table dialog box
Insert Table dialog box
Use this dialog box to create a simple table or to create a table using the Table Assistant.
To display this dialog box, select Insert > Standard > Table, or drag the standard Table object from the Standard category in the Object Library palette into the Layout Editor. You can also open the Insert Table dialog box by selecting Table > Insert Table.
Create Simple Table
Creates a simple table using the selected options.
Columns
Adds the specified number of columns to a simple table.
Body Rows
Adds the specified number of body rows to a simple table.
Include Header Row in Table
Adds a header row to a simple table.
Include Footer Row in Table
Adds a footer row to a simple table.
Create Table Using Assistant
Opens the Table Assistant, which you can use to create a simple table or a table that adjusts, depending on the number of rows of data.
Don’t Show This Again
Stops the Insert Table dialog box from displaying when you select Insert > Standard > Table or when you drag a Table object onto the Layout Editor. To start the Insert Table displaying again, select Tools > Options > Wizards and Tips > Show When Creating Tables.
See also
Body Layout (Table Assistant dialog box)
To create a table using the Table Assistant
To create a simple table


Keyboard Shortcuts dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Keyboard Shortcuts dialog box
Keyboard Shortcuts dialog box
Use this dialog box to create and manage keyboard shortcuts for the commands in LiveCycle Designer ES.
To display this dialog box, select Tools > Keyboard Shortcuts.
Set
Lists the (Default) and user-defined sets of keyboard shortcuts that you can use, modify and save, or delete. After any changes are made to a selected set, the word (Modified) is appended to the set name.
Save As
Opens the Save As dialog box, letting you name and save the selected keyboard shortcut set. You can rename any modified set to suit you needs. You cannot replace the (Default) keyboard shortcut set.
Delete
Deletes the selected set of keyboard shortcuts. You cannot delete the (Default) keyboard shortcut set.
Product Area
Lists the product areas (including menus and palettes) for which you can create one or more customized keyboard shortcuts.
Commands
Displays all available commands when All Commands is selected in the Product Area list but displays only the relevant commands when a specific menu or palette is selected. Commands are organized into product areas such as File, Edit, View, and Palettes.
Current Shortcuts
Lists the shortcut keys that are assigned to the command that is selected in the Commands list.
Remove
Removes the selected shortcut from the Current Shortcuts list. This option is unavailable when the command selected in the Commands list does not have any shortcut keys assigned to it.
New Shortcut
Box in which you type the new shortcut keys you want to assign to the selected command.
Assign
Assigns the new shortcut keys to the selected command.
Description
Provides a short description of the selected command.
See also
Customizing keyboard shortcuts


Missing Fonts dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Missing Fonts dialog box
Missing Fonts dialog box
Use this dialog box to select a substitute font for the fonts that are not available on your computer. After you select the substitute fonts or accept the default, the document will display using those fonts.
This dialog box displays when you open a form containing fonts that are not on your computer.
Font Substitution
Each missing font is displayed.
Change Substitute Font
If you do not want to use a default font, click this button to select a different one.
Permanently Replace Unavailable Fonts
By selecting this option, the available substitute fonts that you specify will permanently replace missing fonts.
Show Missing Fonts Dialog Only If Fonts Do Not Have A Substitution Defined
Shows the Missing Fonts dialog box if one or more fonts do not have a substitution defined.
See also
About fonts and importing PDFs


Change Font Substitutions dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Change Font Substitutions dialog box
Change Font Substitutions dialog box
Use this dialog box to accept the proposed font substitution or change it. It displays the missing font and the proposed substitute font.
To display this dialog box, select Tools > Options. Select Document Handling from the list on the left, and then click Modify Font Substitutions.
Font Substitution
Each missing font is displayed and the proposed substitute font displays beside it.
Change Substitute Font
If you do not like the proposed substitute font, click this button to select a different one.


New Data Connection dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box
New Data Connection dialog box
Authentication (New Data Connection dialog box)
ADO Properties (New Data Connection dialog box)
OLEDB Connection (New Data Connection/Connection Properties dialog box)
New Connection (New Data Connection dialog box)
Sample XML Data (New Data Connection/Connection Properties dialog box)
Operation (New Data Connection dialog box)
WSDL File (New Data Connection dialog box)
XML Schema (New Data Connection/Connection Properties dialog box)


Authentication (New Data Connection dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > Authentication (New Data Connection dialog box)
Authentication (New Data Connection dialog box)
Use this dialog box to apply HTTP/HTTPS or message-level (SOAP) or both types of authentication to the WSDL data connection you are creating, as well as to select the types of credentials to accept for verification.
To display this dialog box, select Edit > New Data Connection, and then create a WSDL data connection.
Requires HTTP/HTTPS Authentication
Indicates that an HTTP/HTTPS (transport layer) message requires client authentication to access the WSDL document and to connect to a secure web service. The authentication credentials for the transport layer are sent as part of the HTTP/HTTPS protocol header.
Accepts User Name and Password
Provides basic client authentication, where the user is prompted with a login dialog box. Passwords are not hashed (clear text) before they are sent to the server.
Accepts User Name and Password Digest
Provides an enhanced form of basic client authentication, where the user is prompted with a login dialog box. However, passwords are hashed before they are sent to the server.
Accepts Client Certificate
Provides digital ID client verification, where you are prompted with the Select Digital dialog box listing the available digital IDs, and select the correct digital ID to send to the server for authentication.
Requires Message-Level Authentication
Indicates that the message level (SOAP) requires client authentication that uses a security token (embedded in the SOAP message header) to connect to a secure web service. The credentials for the message layer (SOAP) are used to create a security UserToken.
Accepts User Name and Password
Provides basic client authentication, where the user is prompted with a login dialog box, and the user name and password combination are not encrypted before they are sent to the server.
See also
About data sources
About importing digital IDs
To create a data connection using a WSDL file


ADO Properties (New Data Connection dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > ADO Properties (New Data Connection dialog box)
ADO Properties (New Data Connection dialog box)
Use this dialog box to specify the properties for determining characteristics of the database connection.
User
Specifies the user for authentication when connecting to the database.
Password
Specifies the password for authentication when connecting to the database.
Connect Timeout
Indicates how long to wait while establishing a connection before terminating the attempt and generating an error.
Query Timeout
Indicates how long to wait for the database to return the results of an SQL query before terminating the attempt and generating an error.
Delayed Open
When selected, LiveCycle Designer ES will not automatically connect the data source when loading the form. Select this option when the form requires input from the user before it tries to connect, for example, when it requires a user ID and password.
Cursor Type
Indicates the type of cursor used when opening a Recordset object.
Cursor Location
Indicates the cursor location. You can select a client or server-side location.
Lock Type
Indicates the type of locking to use when the form is opened.
BOF Action
Indicates what action will be taken when moving to a record that moves beyond the first beginning of file (BOF) record of the data source. For example, stay on the invalid record, move back to the last good record, or wrap around.
EOF Action
Indicates what action will be taken when moving to a record that moves beyond the last end of file (EOF) record of the data source. For example, stay on the invalid record, move back to the last good record, or wrap around.
See also
About data sources
To create a data connection to an OLE database


OLEDB Connection (New Data Connection/Connection Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > OLEDB Connection (New Data Connection/Connection Properties dialog box)
OLEDB Connection (New Data Connection/Connection Properties dialog box)
Use this dialog box to provide a description of the data connection between OLEDB and a form design.
To display this dialog box, select Edit > New Data Connection. Select OLEDB and click Next.
Connection String
Specifies the name of the connection string.
Table
Specifies the table.
Stored Procedure
Specifies the stored procedure.
SQL Query
Specifies the SQL query.
See also
About data sources
To create a data connection to an OLE database


New Connection (New Data Connection dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > New Connection (New Data Connection dialog box)
New Connection (New Data Connection dialog box)
Use this dialog box to define a connection between a data source and a form design.
To display this dialog box, select Edit > New Data Connection.
Name New Connection
Specifies the name that you assign to the data connection.
Get Data Description From
Shows the list of available data sources to choose from.
See also
About data sources
To create a data connection to an XML schema and XML data file
To create a data connection to an OLE database
To create a data connection using a WSDL file


Sample XML Data (New Data Connection/Connection Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > Sample XML Data (New Data Connection/Connection Properties dialog box)
Sample XML Data (New Data Connection/Connection Properties dialog box)
Use this dialog box to provide a description of the data connection between the sample XML data and a form design.
To display this dialog box, select Edit > New Data Connection. Select Sample XML Data and click Next.
Select Sample XML Data File
Specifies the location and name of the XML file.
Transform Incoming Data
Transforms incoming data using the XLST file that you specify.
XLST File
Specifies the XLST file that is used to transform incoming data.
Transform Outgoing Data
Transforms outgoing data using the XLST file that you specify.
XSLT File
Specifies the XLST file that is used to transform outgoing data.
See also
About data sources
To create a data connection to an XML schema and XML data file


Operation (New Data Connection dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > Operation (New Data Connection dialog box)
Operation (New Data Connection dialog box)
Use this dialog box to select a WSDL operation.
To display this dialog box, select Edit > New Data Connection, and then create a WSDL data connection
Select An Operation
Lists the operations that you can select to create a WSDL data connection.
See also
About data sources
To create a data connection using a WSDL file


WSDL File (New Data Connection dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > WSDL File (New Data Connection dialog box)
WSDL File (New Data Connection dialog box)
Use this dialog box to specify the location and name of the Web Service Description Language (WSDL) file to use to create a data connection.
To display this dialog box, select Edit > New Data Connection. Select WSDL File and click Next.
WSDL File
Specifies the location and name of the WSDL file.
See also
About data sources
To create a data connection using a WSDL file


XML Schema (New Data Connection/Connection Properties dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > New Data Connection dialog box > XML Schema (New Data Connection/Connection Properties dialog box)
XML Schema (New Data Connection/Connection Properties dialog box)
Use this dialog box to provide a description of the data connection between an XML schema and a form design.
To display this dialog box, select Edit > New Data Connection. Select XML Schema and click Next.
Select XML Schema File
Specifies the location and name of the XML schema file.
Use XML Data Root Element Name
Specifies the data root element that you want displayed in the Data View palette.
Embed XML Schema
Embeds the XML schema in the form design.
Transform Incoming Data
Transforms incoming data using the XLST file that you specify.
XLST File
Specifies the XLST file that is used to transform incoming data.
Transform Outgoing Data
Transforms outgoing data using the XLST file that you specify.
XSLT File
Specifies the XLST file that is used to transform outgoing data.
See also
About data sources
To create a data connection to an XML schema and XML data file


Options dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box
Options dialog box
Bidirectional Text (Options dialog box)
Data Binding (Options dialog box)
Document Handling (Options dialog box)
Wizards and Tips (Options dialog box)
Workspace (Options dialog box)
Spelling (Options dialog box)
Formatting (Options dialog box)
International (Options dialog box)
Tab Order (Options dialog box)
Security (Options dialog box)


Bidirectional Text (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Bidirectional Text (Options dialog box)
Bidirectional Text (Options dialog box)
Use this dialog box to specify logical or visual cursor movement during design time. The default setting is Logical.
To display this dialog box, select Tools > Options and select Bidirectional Text from the list on the left.
Logical
Moves the insertion point in bidirectional text according to the direction of the text encountered. For example, when using the arrow keys to move through Arabic text and then English numbers in the same caption, the right arrow key moves from right-to-left through the Arabic text and then starts at the left-most character in the English number and progresses from left-to-right. The Logical option applies to dialogs boxes, palettes, Script Editor, and XML Source.
Visual
Moves the insertion point in bidirectional text by moving to the next visually adjacent character. For example, when using the arrow keys to move from right-to-left through Arabic text and then English numbers in the same caption, the left arrow key moves from right-to-left, regardless of the direction of the text. The Visual option only changes the cursor movement in the Design View and Master Pages. It does not apply it to dialogs boxes, palettes, Script Editor, and XML Source.
See also
To set up an object for Arabic and Hebrew
To set up an object for Thai and Vietnamese


Data Binding (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Data Binding (Options dialog box)
Data Binding (Options dialog box)
Use this dialog box to turn active labels on and off, set the default color for active labels, and set the default binding for new subforms.
To display this dialog box, select Tools > Options and select Data Binding from the list on the left.
Show Dynamic Properties
Turns the active labels for dynamic properties on or off. Active labels indicate which properties can be dynamic. They are identified by a green underline that you can click and dynamically bind the property to a data source.
Use Custom Label Color
Sets the default color for active labels.
Custom Label Color
Opens the color palette in which you select the color for active labels.
Default Binding for New Subforms
Sets the default binding for new subforms.
•
Normal
Sets data merging and saving options. Data values are merged and stored implicitly according to Adobe data-merging rules.
•
None
Clears data merging and saving options for new subforms. A new subform will not be involved in any data-merging operations by default.
See also
To set up dynamic properties


Document Handling (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Document Handling (Options dialog box)
Document Handling (Options dialog box)
Use this dialog box to modify the default file type for new forms, the recently used file list, compression and backup options, image file browser options, and font substitution options.
To display this dialog box, select Tools > Options and select Document Handling from the list on the left.
Default File Type For New Forms
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Recently Used File List
Controls the number of files shown in the recently used file list. Type the number of file names to display. The maximum is 10.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Save PDF Files Compressed
Compresses PDF files when saved.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Create Backup Copy On Save
Creates a backup file when you save a form design. The backup copy is saved in the same location as the form design. “_BAK” is appended to the file name before the extension. The backup copy preserves the previous version of a file when you save, in case you need to restore the previous version.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Show Default File Browser
Specifies the file browser that you want to use as a default. You can load an external COM component (such as a file browser component) that looks in a specialized repository. If you have any such components registered on your computer, LiveCycle Designer ES detects them and displays them in this list.
Modify Font Substitutions
Defines font substitutions for documents that are missing fonts.
Show Missing Fonts Dialog Only If Fonts Do Not Have A Substitution Defined
Displays the Missing Fonts dialog box if one or more fonts do not have a substitution defined.
Show Target Version Warning Dialog Box When the Report palette is Hidden
Displays the Target Version Warning dialog box when the Report palette is hidden.
See also
Previewing and testing forms
To select the Acrobat and Adobe Reader target version


Wizards and Tips (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Wizards and Tips (Options dialog box)
Wizards and Tips (Options dialog box)
Use this dialog box to modify options for showing and hiding tips in dialog boxes and warnings.
To display this dialog box, select Tools > Options and select Wizards and Tips from the list on the left.
Reset All Tip Dialogs
Displays tip dialog boxes. These dialog boxes provide hints based on your actions in LiveCycle Designer ES. If you have selected Don’t Show This Tip Again, but you want to display the tip dialog boxes again, click Reset All Tip Dialogs.
Reset All Warning Dialogs
Displays warning dialog boxes when an error occurs.
Show Welcome Dialog
Displays the Welcome dialog box when LiveCycle Designer ES starts.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Show In-Place Warning Markers
Displays warning markers, such as the yellow triangle or white “X” in the red circle, that appear when there is a problem with an object.
When Value Area Is Too Small
Displays a warning marker [image] when the value area is too small to display the longest value allowed by the field. For example, if you size the field to 3 inches wide by 0.5 inches high and you limit the length of the field to a maximum of 50 characters, then at run time, the value area may be too small to display all the characters in the field. You must adjust the width of the value area to accommodate the field value.
LiveCycle Designer ES checks the field to evaluate whether, at run time, the value area will be large enough to display the value. LiveCycle Designer ES shows the warning marker when these conditions are met:
•
The field uses a fixed-width or monospace font (such as Courier or LetterGothic). If you use a proportional font (such as Times New Roman), LiveCycle Designer ES cannot evaluate the field because many i characters, for example, can fit in the space of one W character. Using a fixed-width font makes the size of the value area more predictable for LiveCycle Designer ES.
Note:
Ensure that LiveCycle Designer ES recognizes the font as fixed-width or monospace by testing the font with a field that you set to be too small in order to see whether the warning marker appears.
•
The field has a fixed dimension set in the Width and Height boxes of the Layout palette.
•
The field has a length limit set to a number of characters or digits. The character limit may be set in the Field tab of the Object palette.
•
The field does not have a data pattern or display pattern set for it.
Note:
If the field is a cell within a table, the warning marker will not display.
Show Text Overflow Indicators
Displays a red text overflow indicator button [image] on an object when the value or caption area is too small to display the contents. When you hover the pointer over the text overflow indicator button, the area that is too small is highlighted in red. You can click the button to automatically expand the affected area. Value areas expand toward the right, up to the edge of a container (subform or page), and then expand downward. Caption areas expand downward. Select this option when importing a form into LiveCycle Designer ES from another application to make the process of correctly sizing objects containing text a little easier. Notice that when the Expand to Fit options in the Layout palette are selected, text overflow indicators are not displayed.
Show in Tables
Displays a gray marker [image] in a table when a text object cannot be expanded.
Show When an Object Cannot be Expanded
Displays a gray marker [image] when an object cannot be expanded.
Show When Creating New Documents
Shows the New Form Assistant when creating a new form design.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Show When Importing Documents
Shows the New Form Assistant when importing a file.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Show When Importing PDF Documents From Adobe
Shows the New Form Assistant when opening a PDF file from Acrobat. This option does not apply when you open a PDF file directly in LiveCycle Designer ES.
Note:
This option is not available to form authors using LiveCycle Designer ES in LiveCycle Workbench ES.
Show When Creating Tables
Shows the Insert Table dialog box when creating a table using the Table object from the Object Library palette. From this dialog box you can use the Table Assistant.


Workspace (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Workspace (Options dialog box)
Workspace (Options dialog box)
Use this dialog to show or hide tool tips about objects, set Script Editor options, and set source view options.
To display this dialog box, select Tools > Options and select Workspace from the list on the left.
Display Position And Size Tool Tips While Editing
Displays the position and size tool tips.
Display Object Name Tool Tips While Pointing
Displays the tool tip for the object when your pointer is over it.
Make Fixed-Size Text Objects Auto-Fit While Editing
Expands fixed-size objects to fit the amount of text. The object will grow horizontally until it reaches the right edge of the parent or the user types a carriage return, at which point the object will grow vertically.
FormCalc Syntax Formatting
Displays the font and color settings of FormCalc syntax in the Script Editor.
JavaScript Syntax Formatting
Displays the font and color settings of JavaScript syntax in the Script Editor.
Show Statement Completion Options
Displays the statement completion options in the Script Editor.
Show Line Numbers
Displays the line number in the Script Editor.
XML Source Syntax Formatting
Displays the font and color settings of the XML syntax on the XML Source page.
Show Line Numbers
Displays the line number on the XML Source page.
Set LiveCycle Designer 8.2 As Default
Sets LiveCycle Designer ES 8.2 as the default version. The default version is the registered version of LiveCycle Designer ES. If you have an earlier version on your system and you start it, the previous version will self-register and becomes the default version.
LiveCycle Designer should check whether it is the default Designer on startup
Checks whether LiveCycle Designer ES 8.2 is the default version when you start it. If it is not the default version, you can set it as the default.
See also
About the Script Editor
To customize the tool tips
Syntax Formatting dialog box


Spelling (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Spelling (Options dialog box)
Spelling (Options dialog box)
Use this dialog box to select options to check spelling while you type, control the type of text LiveCycle Designer ES checks for spelling errors, add and remove custom dictionaries, and open the Edit Dictionary dialog box to edit your Custom Dictionary.
To display this dialog box, select Tools > Options and select Spelling from the list on the left.
Check Spelling While Typing
Enables spell checking while you type. When this option is selected, a wavy colored line appears under misspelled words anywhere in LiveCycle Designer ES.
Wavy Underline Color
Opens a color palette where users can select an alternate color for the wavy line that appears under misspelled words. The default color is red.
Spell Check
Lists the types of text in a form that LiveCycle Designer ES can check the spelling of when you use the Check Spelling dialog box. All options are selected by default.
Installed Dictionaries
Lists the dictionaries that are available for spell checking. LiveCycle Designer ES uses the selected dictionaries when spell checking a form. The first dictionary listed is always your (current user) custom dictionary (My Custom Dictionary). This dictionary is always selected for use and cannot be removed from the list.
Add a Dictionary
Opens the Custom Dictionary File dialog box from which you can locate and open the custom dictionary files (*.clam) that you want to add to the Dictionaries list.
Remove a Dictionary
Removes the selected dictionary from the list of installed dictionaries. Does not delete the actual dictionary file (*.clam) from your computer’s file system.
Edit the Custom Dictionary
Opens the Edit Dictionary dialog box from which you can view the list of words available in My Custom Dictionary under individual or all languages, change the spelling of any of the listed words, as well as add words to and delete words from individual or all languages. You cannot edit the contents of the other installed dictionaries.


Formatting (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Formatting (Options dialog box)
Formatting (Options dialog box)
Use this dialog box to set hyphenation, and widow and orphan control options for all new forms.
To display this dialog box, select Tools > Options > Formatting.
Widow and Orphan Control
Controls widow and orphan lines. A widow is the last line of a paragraph that appears by itself at the top of the next page. An orphan is the first line of a paragraph that appears by itself at the bottom of a page.
Words With At Least <x> Letters
Specifies the minimum number of letters that a word must contain to be hyphenated. For example, if you enter a value of 7, only words that have seven or more letters are hyphenated. The minimum value is 2. The maximum value is 99.
After First <x> Letters
Specifies the minimum number of letters in a word that must appear on a line before the hyphen. For example, if you enter a value of 2, at least the first two letters of a word appear on a line before the word is hyphenated. The minimum value is 1. The maximum value is 99. The value should be less than the value in the Words With At Least <x> Letters box.
Before Last <x> Letters
Specifies the minimum number of letters in a word that must appear on the next line after the hyphen. For example, if you enter the value of 4, at least the last four letters of a word appear on the next line. The minimum value is 1. The maximum value is 99. The value should be less than the value in the Words With At Least <x> Letters box.
Hyphenate Capitalized Words
Hyphenates words that begin with a capital (uppercase) letter, such as the first word of a sentence.
Hyphenate Words In ALL CAPS
Hyphenates words that have all capital letters, such as acronyms.
Allow Hyphenation in Text and Field Captions
Allows hyphenation in text objects, and in the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields.
Allow Hyphenation in Text Field Values
Allows hyphenation in the value area of text field objects (default text and text entered by the form filler).
Hyphenate New Items
Hyphenates the text in new objects that are added to the form. Hyphenates the text in text objects and in the caption area of objects such as text fields, decimal fields, numeric fields, and signature fields.
See also
About hyphenating text
Considerations for setting hyphenation
Paragraph properties in the Paragraph palette
Formatting tab (Form Properties dialog box)


International (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > International (Options dialog box)
International (Options dialog box)
Use this dialog box to select the application language for the application. You must restart LiveCycle Designer ES to apply the language change.
To display this dialog box, select Tools > Options and select International from the list on the left.
Application Language
Lists the available applications languages.
Display units of measurement in default application locale
Displays the units of measurement according to the application locale.


Tab Order (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Tab Order (Options dialog box)
Tab Order (Options dialog box)
Use this dialog box to exclude the text and image objects from the tabbing order and to view tabbing order using visual aids.
To display this dialog box, select Tools > Options and select Tab Order from the list on the left.
Only Show Tab Order for Fields
Displays tabbing order only for the input or display fields. Text fields and images are excluded from the tabbing order.
Display Additional Visual Aids for Tab Order
When the pointer hovers over a field, displays blue arrows indicating the tabbing order for the two preceding and the two following fields.
See also
Excluding text and image objects from the tabbing order
To view the tabbing order using visual aids


Security (Options dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Options dialog box > Security (Options dialog box)
Security (Options dialog box)
Use this dialog box to specify whether the login dialog box is always displayed when users log in and to access the Digital IDs dialog box. See Digital IDs dialog box.
To display this dialog box, select Tools > Options and select Security from the list on the left.
Always Display Login Dialog Box When Accessing Secure Servers
Specifies whether the login dialog box is always displayed, even if the user previously logged in and the credential was cached. Allows users to switch credentials and to log in as a different user if necessary.
Digital IDs
Opens the Digital IDs dialog box. See Digital IDs dialog box.
See also
Select Digital IDs dialog box
About importing digital IDs


Patterns dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Patterns dialog box
Patterns dialog box
Display (Patterns dialog box)
Edit (Patterns dialog box)
Validation (Patterns dialog box)
Data (Patterns dialog box)


Display (Patterns dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Patterns dialog box > Display (Patterns dialog box)
Display (Patterns dialog box)
Use this tab to define the pattern for displaying formatted values (date, time, numerical, and textual data) in a form. The display pattern must be compatible with the option selected in the Data Format list on the Data tab. For example, if the data format is set to Date, the displayed pattern must represent a date value.
Note:
At design and run time, formatted values in the object display in the locale-sensitive format.
To display this dialog box, select the object you want to create a pattern for and, in the Object palette, click the Field tab, click Patterns, and click the Display tab.
Select Type
Specifies the pattern used to display data. Options for dates, times, dates/times, and numeric data vary, depending on the option selected in the Locale list. To select multiple display patterns, hold down the CTRL or SHIFT key while selecting options.
Note:
To display all date, time, and date/time formats in the Select Type list, you must first select Date and Time in the Data Format list of the Binding tab in the Object palette.
Locale
Specifies the language and country, or region used to define the format and punctuation of date, time, date/time, numeric, and currency values displayed in the selected object. Locale options are organized first by language and then by country or region. The locale option that is selected by default, matches the option that is selected in the Form Locale list on the Defaults tab of the Form Properties dialog box. You can select a specific language, country, or region from the list, or you can select one of these options:
•
Default Locale
Uses the Default Locale specified in the Defaults tab of the Form Properties dialog box.
•
Viewer’s System Locale
Uses the system locale of the user’s computer.
Notice that the options available in the Select Type list can differ depending on the locale selected.
Sample
Specifies the value of the formatted object against the selected pattern. If no value is specified, the Sample box remains blank or displays the value produced by the Allow Empty option if a value is included in the pattern.
Pattern
Displays the pattern associated with the option selected in the Select Type list, as well as the Allow Empty box and Allow Zero box. You can also type custom patterns in this box. You cannot mix patterns from the Select Type list with custom patterns.
Allow Empty
Inserts a null value symbol into the pattern. Lets you define how the object processes an empty value whether it is a pattern clause or text.
Allow Zero
Inserts a zero symbol into the pattern and defines how an object processes a zero value.
See also
Edit (Patterns dialog box)
Validation (Patterns dialog box)
Data (Patterns dialog box)


Edit (Patterns dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Patterns dialog box > Edit (Patterns dialog box)
Edit (Patterns dialog box)
Use this tab to define the pattern for the syntax of user input (date, time, numerical, and textual data). The edit pattern must be compatible with the option selected in the Data Format list on the Data tab. For example, if the data format is set to Date, the pattern must represent a date value. If the user’s input does not conform to the Edit Pattern, the data is rejected and the field value is not formatted.
Note:
At design and run time, formatted values in the object appear in the locale-sensitive format.
To display this dialog box, select the object you want to create a pattern for and, in the Object palette, click the Field tab, click Patterns, and click the Edit tab. The options on this tab are the same as the options on the Display tab. For information about the options available, see Display (Patterns dialog box).
Note:
This option is not available when the Type option in the Value tab of the Object palette is set to Protected, Calculated - Read Only or Read Only.
See also
Validation (Patterns dialog box)
Data (Patterns dialog box)


Validation (Patterns dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Patterns dialog box > Validation (Patterns dialog box)
Validation (Patterns dialog box)
Use this tab to define a validation pattern for validating user input (date, time, numerical, and textual data). The pattern must match the syntax of the user input. See To validate user input. Only this tab is available with barcodes, drop-down list, and list box; the Display, Edit, and Data tabs are not available.
To display this dialog box, select the object you want to create a pattern for and, in the Object palette, click the Value tab, click Validation Patterns, and click the Validation tab. The options on this tab are the same as the options on the Display tab. For information about the options available, see Display (Patterns dialog box).
Note:
This option is not available when the Type option is set to Protected, Calculated - Read Only or Read Only.
See also
Edit (Patterns dialog box)
Data (Patterns dialog box)


Data (Patterns dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Patterns dialog box > Data (Patterns dialog box)
Data (Patterns dialog box)
Use this tab to define a pattern for storing and retrieving bound data or for saving data when the form is not bound to a data source. See To specify a data pattern.
To display this dialog box, select the object you want to create a pattern for and, in the Object palette, click the Field tab, click Patterns, and click the Data tab. The options on this tab are the same as the options on the Display tab. For information about the options available, see Display (Patterns dialog box).
See also
Edit (Patterns dialog box)
Data (Patterns dialog box)


Print dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Print dialog box
Print dialog box
Prints the selected form design on the specified printer. If the option Print Form with Data is not selected, LiveCycle Designer ES prints the Design View or the Master Pages view, which ever is currently open.
The options that display in the Printer and Print range sections of the dialog box depend on the printer that your computer is connected to. For more information about your printer’s options, see the printer documentation.
Note:
If you are working in LiveCycle Workbench ES, you can use the Print button on the LiveCycle Designer ES toolbar to access the complete set of print options that are available in the standalone version of LiveCycle Designer ES. If the Print toolbar button is not visible, you can add it to your toolbar by selecting Tools > Customize > Commands and then dragging the Print icon from the File category to one of the LiveCycle Designer ES toolbars.
Print Form with Data
Selecting this option allows you to print a final version of the current form design to the selected printer. You can optionally choose to print the form design with a specified data file. LiveCycle Designer ES merges the form design with the data file to produce a complete document on the selected printer.
Data File
Allows you to specify the data file to use when printing a form design with data. The data file must be in standard XML format. You can type the path to the data file in the Data File box or browse to the file.
Generate Data File
Select this option to generate the sample form data to use when printing a form design. When you print the form design, it will be merged with the sample data. You can also indicate how many times to repeat a repeating subform in the printed form design.
Two-Sided Print
Select this option to print forms that will be printed on both sides of the paper. If the printer does not support two-sided printing, the Single-Sided Print options appear instead.
Configuration File
Allows you to specify the device configuration file that will define the format of the output. The drop-down list displays several configuration files installed with LiveCycle Designer ES, as well as any that you add to the LiveCycle Designer ES installed folder. The list shows the name of the XDC file in square brackets, preceded by a more descriptive name (for example, PCL - Black & White [hppcl5e].


Report Warnings Options dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Report Warnings Options dialog box
Report Warnings Options dialog box
Use this dialog box to specify the warnings to display on the Warnings tab in the Report palette.
To display this dialog box, click the Report palette Warnings tab menu button > Warning Options.
Target Version
Shows target version warnings in the Warnings tab.
Format Pattern
Shows picture clause warnings in the Warnings tab.
Data Binding
Shows data binding warnings in the Warnings tab.
Locale Setting
Shows locale setting warnings in the Warnings tab.
Script Syntax Checking
Shows script syntax checking warnings in the Warnings tab.
Miscellaneous
Shows miscellaneous warnings in the Warnings tab.
See also
About warning messages
Report palette


Select Digital IDs dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Select Digital IDs dialog box
Select Digital IDs dialog box
Use this dialog box to select the digital ID used to access the Web Service Description Language (WSDL) document that you are using to create a data connection, or to add digital IDs to the LiveCycle Designer ES Digital IDs File store.
To display this dialog box, select Tools > Options > Security > Digital IDs.
Windows Digital IDs
Lists the digital IDs that are available in the Windows Certificate Store.
Digital ID Files
Lists the digital IDs that are available in the LiveCycle Designer ES Digital ID Files store.
Import Digital ID
Opens the Windows Import Certificate Wizard, where you specify the location of the digital file (*.p12 or *.pfx) to import into the Windows Certificate Store and enter the password required to access the file. See To import a digital ID into the Windows Certificate Store.
Add Digital ID
Opens the Add Digital ID dialog box, where you specify the location of the digital file (*.p12 or *.pfx) to add to the LiveCycle Designer ES Digital IDs File store and enter the password required to access the file. See To import a digital ID into the Digital ID Files store.
Remove Digital ID
Deletes the selected digital ID file from the list that is currently displayed (Windows Certificate Store or LiveCycle Designer ES Digital IDs File store).
View Digital ID
Opens the Certificate Viewer dialog box, which displays general and detailed information about the selected certificate (digital ID).
See also
Security (Options dialog box)
About importing digital IDs


Signature Settings dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box
Signature Settings dialog box
Signature Handler tab (Signature Settings/Sign Data and Submit Settings dialog box)
Roaming ID tab (Signature Settings/Sign Data and Submit Settings dialog box)
Signing Certificates tab (Signature Settings/Sign Data and Submit Settings dialog box)
Issuers and Policies tab (Signature Settings/Sign Data and Submit Settings dialog box)
Signing Reasons tab (Signature Settings dialog box)
Signature Info tab (Signature Settings/Sign Data and Submit Settings dialog box)


Signature Handler tab (Signature Settings/Sign Data and Submit Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box > Signature Handler tab (Signature Settings/Sign Data and Submit Settings dialog box)
Signature Handler tab (Signature Settings/Sign Data and Submit Settings dialog box)
Use this tab to define an optional signature handler for a document signature or a data signature. A signature handler is a software module that implements the public-key cryptography process and controls access to the encrypted document or data. Examples of signature handlers that support public-key encryption include Adobe.PPKLite, VeriSign.PPKVS, and Entrust.PPKEF.
Note:
Adobe.PPKLite (Adobe Default Security) is the only signature handler that is designed to analyze and process the information that you enter in the Signature Settings and Sign Data and Submit Settings dialog boxes. Third-party signature handlers may not process this information.
To display this tab, perform one of the following actions:
•
Select a signature field, click the Signature tab in the Object palette, click Settings, and then click the Signature Handler tab.
•
Select a submit button, click the Submit tab in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Signature Handler tab.
•
Select an email or HTTP submit button and, in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Signature Handler tab.
Name
Lists Adobe.PPKLite as the default security handler. You can enter the name of another third-party signature handler if needed.
Require The Signing Party To Use The Specified Signature Handler
Forces Acrobat to use the signature handler (also known as a filter) that is specified in the Name list box to create the digital signature. If the signing party does not have the specified signature handler available on their computer, Acrobat will cancel the signing operation.
When deciding whether to require the signing party to use the specified signature handler (which they may or may not have available), it is helpful to understand what the signing party can and cannot do in Acrobat and Adobe Reader, depending on the cirsumstances.
The following table describes the various situations that can arise when you specify a signature handler in the Name list.
Required
Available to signing party
Behavior in Acrobat or Adobe Reader
No
No
Acrobat orAdobe Reader attempts to use the default installed signing method, but allows the signing party to select any other installed signature handler.
No
Yes
Acrobat or Adobe Reader lets the signing party use only the signature handler specified in the Name list. The signing party cannot use any other signature handler.
Yes
No
Acrobat or Adobe Reader requires the signing party to use the signature handler specified in the Name list. The signing party cannot sign until they install the specified signature handler.
Yes
Yes
Acrobat or Adobe Reader requires the signing party to use the signature handler specified in the Name list.
Specify The subFilter
Specifies the syntax of the contents of the encryption dictionary and allows inter operability between handlers. The valid subFilters for digital signatures that Acrobat recognize are adbe.x509.rsa_sha1, adbe.pkcs7.detached, and adbe.pkcs7.sha1.
Require The Signing Party To Use the Specified subFilter
Forces Acrobat or Adobe Reader to use one of the specified subFilters. The first name in the subFilter list that matches an encoding method supported by the signature handler is used as the encoding method for signing. If you specify a subFilter, and the flags property indicates that this entry is a required constraint, the first matching encoding is used when signing; otherwise, signing will not take place. If the flags property indicates that this is an optional constraint, the first matching encoding is used if it is available. If it is not available, the system default encoding is used.
When deciding whether to require the signing party to use the specified subFilter (which they may or may not have available), it is helpful to understand what the signing party can and cannot do in Acrobat and Adobe Reader, depending on the circumstances.
The following table describes the various situations that can arise with subFilters.
Note:
The Adobe.PPKLite signature handler analyzes and processes the subFilter information that you enter in the Signature Settings and the Sign Data and Submit Settings dialog boxes, not Adobe Acrobat. As a result, these four situations arise only if you select the Adobe.PPKLite signature handler. Third-party signature handlers may not process this information.
Required
Available to signing party
Behavior in Acrobat or Adobe Reader
No
No
The Adobe default security handler requires the signing party to use one of the subFilters specified in the subFilter list. If you do not specify a subFilter, the signing party can use another subFilter.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
No
Yes
The Adobe default security handler lets the signing party use only one of the subFilters specified in the subFilter list. The signing party cannot use any other subFilter.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Yes
No
The Adobe default security handler requires the signing party to use one of the subFilters specified in the subFilter list. The signing party cannot sign until they install one of the specified subFilters.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Yes
Yes
The Adobe default security handler requires the signing party to use one of the subFilters specified in the subFilter list.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Specify The Digest Method
Specify the acceptable digest method element values. The valid string values are MD5, SHA1, SHA256, SHA384, SHA512, and RIPEMD160.
Require The Signing Party To Use The Specified Digest Method
Forces Acrobat or Adobe Reader to use the specified digest method.
When deciding whether to require the signing party to use the digest method (which they may or may not have available), it is helpful to understand what the signing party can and cannot do in Acrobat and Adobe Reader, depending on the circumstances.
The following table describes the various situations that can arise with digest methods.
Note:
The Adobe.PPKLite signature handler analyzes and processes the digest method information that you enter in the Signature Settings and the Sign Data and Submit Settings dialog boxes, not Adobe Acrobat. As a result, these four situations arise only if you select the Adobe.PPKLite signature handler. Third-party signature handlers may not process this information.
Required
Available to signing party
Behavior in Acrobat or Adobe Reader
No
No
The Adobe default security handler uses the system default digest method.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
No
Yes
The Adobe default security handler requires the signing party to use one of the digest methods specified in the Digest Method list. The signing party cannot use another digest method.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Yes
No
The Adobe default security handler requires the signing party to use one of the digest methods specified in the Digest Method list.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Yes
Yes
The Adobe default security handler requires the signing party to use one of the digest methods specified in the Digest Method list.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
See also
Using signature fields
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button
To add a signature field


Roaming ID tab (Signature Settings/Sign Data and Submit Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box > Roaming ID tab (Signature Settings/Sign Data and Submit Settings dialog box)
Roaming ID tab (Signature Settings/Sign Data and Submit Settings dialog box)
Use this tab to specify a web server that holds the digital credentials that are used to sign the document or data.
To display this tab perform one of the following actions:
•
Select a signature field, click the Signature tab in the Object palette, click Settings, and then click the Roaming ID tab.
•
Select a submit button, click the Submit tab in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Roaming ID tab.
•
Select an email or HTTP submit button and, in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Roaming ID tab.
Signing Server URL
Points to a web service that holds the digital credentials that a signing party uses to sign a document or data.
Restrict Signing To Specified URL Server
Forces Acrobat to search for the credentials on the specified server. If this option is not selected, the server is only suggested; Acrobat can use other available credentials if that the server is not available. If the server is available, it must use credentials even if they are not required. If you do not require a specific roaming credential server, Acrobat uses any digital ID regardless of its location.
See also
Using signature fields
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button
To add a signature field
To add a data signature to a submit button


Signing Certificates tab (Signature Settings/Sign Data and Submit Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box > Signing Certificates tab (Signature Settings/Sign Data and Submit Settings dialog box)
Signing Certificates tab (Signature Settings/Sign Data and Submit Settings dialog box)
Use this tab to specify certificates that identify signing parties who can sign the document or data.
To display this tab, perform one of the following actions:
•
Select a signature field, click the Signature tab in the Object palette, click Settings, and then click the Signing Certificates tab.
•
Select a submit button, click the Submit tab in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Signing Certificates tab.
•
Select an email or HTTP submit button and, in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Signing Certificates tab.
Add
Opens the Select User Certificate dialog box, where you can browse for and add signing certificates. A certificate file has a file name extension such as .p7C, .p7b, or .cer.
Remove
Removes the selected certificates from the list.
Detail
Opens the Certificate Viewer, where you can view the details about the selected certificate. The details that are listed vary according to the installed Certificate Authority (CA) certificates.
Restrict Signing To Parties Associated With The Specified Certificates
Allows only the signing parties that are identified by the listed certificates to sign the document or data. However, if the selected certificate is available, the signer must use it even you do not select this option
Specify the Subject Distinguished Name
Specify a subject Distinguished Name (DN) for the signing certificate. A subject distinguished name in a signing certificate has several attributes. An example of a distinguished name is O = My Company; OU = My Department; CN = My Name; and C = My Country. The attributes in the distinguished name example are O for Organization; OU for Organizational Unit; CN for Common Name; C for Country.
Require the Signing Certificate to Meet the Specified Subject Distinguished Name
Forces the signing certificate to meet the specified subject distinguished name.
When deciding whether to require the signing certificate to meet the specified subject distinguished name, it is helpful to understand what the signing party can and cannot do in Acrobat and Adobe Reader, depending on the circumstances.
The following table describes the various situations that can arise with signing certificates that may or not meet the specified subject distinguished name.
Note:
The Adobe.PPKLite signature handler analyzes and processes the signing certificate information that you enter in the Signature Settings and the Sign Data and Submit Settings dialog boxes, not Adobe Acrobat. As a result, these four situations arise only if you select the Adobe.PPKLite signature handler. Third-party signature handlers may not process this information.
Required
Available to signing party
Behavior in Acrobat or Adobe Reader
No
No
The Adobe default security handler requires the signing party to use a digital ID with a subject distinguished name that matches one of the subject distinguished names in the Subject Distinguished Name list. If you do not specify a subject distinguished name, the signing party can use another digital ID.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
No
Yes
The Adobe default security handler requires the signing party to use only a digital ID with a subject distinguished name that matches one of the subject distinguished names in the Subject Distinguished Name list. The signing party cannot use another digital ID.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Yes
No
The Adobe default security handler requires the signing party to use a digital ID with a subject distinguished name that matches one of the subject distinguished names in the Subject Distinguished Name list. The signing party must obtain the required digital ID before they sign.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
Yes
Yes
The Adobe default security handler requires the signing party to use a digital ID with a subject distinguished name that matches one of the subject distinguished names in the Subject Distinguished Name list.
If you specify a signature handler other than the Adobe default security handler it may or may not respect this setting.
See also
Using signature fields
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button
To add a signature field
To add a data signature to a submit button


Issuers and Policies tab (Signature Settings/Sign Data and Submit Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box > Issuers and Policies tab (Signature Settings/Sign Data and Submit Settings dialog box)
Issuers and Policies tab (Signature Settings/Sign Data and Submit Settings dialog box)
Use this tab to specify certificate issuers, a certificate enrollment server, and certificate policies.
To display this tab, perform one of the following actions:
•
Select a signature field, click the Signature tab in the Object palette, click Settings, and then click the Issuers and Policies tab.
•
Select a submit button, click the Submit tab in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Issuers and Policies tab.
•
Select an email or HTTP submit button and, in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Issuers and Policies tab.
Certificate Issuers
Lists the certificates that identify the issuers who can provide signing parties with signing certificates:
•
Add
Opens the Select Issuer Certificate dialog box, where you can browse for and add issuer certificates. A certificate file has a file name extension such as .p7c, .p7b, or .cer.
•
Remove
Removes the selected certificates from the list.
•
Details
Opens the Certificate Viewer, where you can view the details about the selected certificate. The details that are listed vary according to the installed Certificate Authority (CA) certificates.
•
Restrict Signing To Certificates From The Specified Issuers
Acrobat rejects the signature if the signing party does not have a certificate from a specified issuer.
Certificate Enrollment Server URL
Specifies the URL for a web page where people can enroll for a certificate. This web page appears when a signing party does not have an available signing certificate, or when the URL is required and the certificate set using the Restrict Signing To Certificates From The Specified Issuers option is not available.
Object Identifiers
Lists the object identifiers (OIDs) that are associated with the certificate policies that restrict the certificates that can be used to sign the document or data. When you set an OID, you must also set the certificate issuer so that Acrobat recognizes the entry.
Add
Adds an object identifier.
Delete
Deletes the selected object identifier.
Restrict Signing To Certificates That Conform To The Specified Policies
Acrobat rejects the signature if the signing certificate does not conform to the specified policies.
When deciding whether to restrict signing to certificates that conform to the specified policies, it is helpful to understand what the signing party can and cannot do in Acrobat and Adobe Reader, depending on the circumstances.
The following table describes the various situations that can arise with signing certificates that may or may not conform to the specified policies.
Note:
The Adobe.PPKLite signature handler analyzes and processes the object identifier information that you enter in the Signature Settings and the Sign Data and Submit Settings dialog boxes, not Adobe Acrobat. As a result, these four situations arise only if you select the Adobe.PPKLite signature handler. Third-party signature handlers may not process this information.
Required
Available to signing party
Behavior in Acrobat or Adobe Reader
No
No
The Adobe default security handler lets the signing party use any digital ID for signing regardless of it’s certificate policy.
No
Yes
The Adobe default security handler only lets the signing party use a digital ID with the specified certificate policy. The signing party cannot select (for signing) a digital ID that does not contain the matching certificate policy.
Yes
No
The Adobe default security handler requires the signing party to use a digital ID with the specified certificate policy. The signing party must obtain a digital ID with the specified certificate policy before they can proceed with the signing.
Yes
Yes
The Adobe default security handler requires the signing party to use a digital ID with the specified certificate policy.
See also
Using signature fields
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button
To add a signature field
To add a data signature to a submit button


Signing Reasons tab (Signature Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box > Signing Reasons tab (Signature Settings dialog box)
Signing Reasons tab (Signature Settings dialog box)
Use this tab to specify reasons for the document signature.
To display this tab, select a signature field, click the Signature tab in the Object palette, click Settings, and then click the Signing Reasons tab.
Specify The Signing Reasons
The specified reasons replace the default reasons in Acrobat. The signing party can select one of the reasons when signing a form.
•
Add
Adds a signing reason to the list.
•
Delete
Removes the selected signing reasons from the list.
•
Move Up
Moves the selected reason up in the list.
•
Move Down
Moves the selected reason down in the list.
•
Sort Ascending
Sorts the list in alphabetical order, from top to bottom.
•
Sort Descending
Sorts the list in alphabetical order, from bottom to top.
Require The Signing Party To Select A Reason From This List
Forces the signing party to select a reason from the list when signing the form. If the Signing Reason list is not required, the signing party can use any other signing reasons that may be displayed in the Certify Document or Sign Document dialog, or they can enter another reason. If the Signing Reason list is required, the signing party must select one of these signing reasons; they cannot add their own reason. If the Signing Reason list is required but no signing reasons are added to the list, Acrobat 8.0 and later disables the Reasons list.
See also
Using signature fields
To add a signature field


Signature Info tab (Signature Settings/Sign Data and Submit Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Signature Settings dialog box > Signature Info tab (Signature Settings/Sign Data and Submit Settings dialog box)
Signature Info tab (Signature Settings/Sign Data and Submit Settings dialog box)
Use this tab to specify a certificate revocation list (CRL) or an Online Certificate Status Protocol (OCSP) response and to specify a time-stamp server.
To display this tab, perform one of the following actions:
•
Select a signature field, click the Signature tab in the Object palette, click Settings, and then click the Signature Info tab.
•
Select a submit button, click the Submit tab in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Signature Info tab.
•
Select an email or HTTP submit button and, in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Signature Info tab.
Include The CRL Or OCSP Response When Signing
Includes the CRL or OCSP response in the signature when the document or data is signed. The signing party must have access to the Internet to retrieve the CRL or OCSP response from the appropriate server.
Require in order for signing to succeed
including the CRL or OCSP response is required for signing to succeed.
Time Stamp Server URL
This option appears only for signature fields. Specifies the URL for the time-stamp server. Timestamps specify the date and time when a document or data was signed. Using an external server to append a timestamp to a digital signature removes any doubt about when the document was signed. Acrobat or Adobe Reader selects a time-stamp server in the following order of priority:
1.
Uses the time-stamp server that is set in the Security Settings console
2.
Uses the time-stamp server that is listed as an extension in the digital ID
3.
Uses the specified time-stamp server first
Require The Signing Party To Use The Specified Time Stamp Server
This option appears only for signature fields. Forces Acrobat to append a timestamp to a digital signature when the document is signed. If you select this option, Acrobat or Adobe Reader selects a time-stamp server; however, if a valid timestamp is not returned, the signing will fail and the signature will not be created. If you do not select this option, Acrobat or Adobe Reader selects a time-stamp server; however, if a valid time-stamp server is not returned, the signing will still continue.
Key Usage Settings
Specifies the key usage settings in the signing certificate. For example, if you set the digitalSignature option but do not make it required, the signing party may use a digital ID without the specified key usage value provided that is all they have access to. If they have a access to a digital ID that contains the select key usage option then they must select use that digital ID for signing. If you do make the digitalSignature option required, the signing party must select a certificate that has a digitalSignature set as the key usage or the signing will fail.
See also
Using signature fields
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button
To add a signature field
To add a data signature to a submit button


Sign Data and Submit Settings dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Sign Data and Submit Settings dialog box
Sign Data and Submit Settings dialog box
About the Sign Data and Submit Settings dialog box
Sign Data tab (Sign Data and Submit Settings dialog box)


About the Sign Data and Submit Settings dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Sign Data and Submit Settings dialog box > About the Sign Data and Submit Settings dialog box
About the Sign Data and Submit Settings dialog box
This dialog box contains the same tabs as the Signature Settings dialog box, with the exception that it contains the Sign Data tab instead of the Signing Reasons tab.
For information about the tabs in this dialog box, see Signature Settings dialog box.


Sign Data tab (Sign Data and Submit Settings dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Sign Data and Submit Settings dialog box > Sign Data tab (Sign Data and Submit Settings dialog box)
Sign Data tab (Sign Data and Submit Settings dialog box)
Use this tab to select the data that is included in a data signature associated with a submit button. The signature can include either the default data set or all the data.
To display this tab, perform one of the following actions:
•
Select a submit button, click the Submit tab in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Sign Data tab.
•
Select an email or HTTP submit button and, in the Object palette, ensure that Sign Submission is selected, click Settings, and then click the Sign Data tab.
Sign Data Only
Creates a signature that covers only the form data in the submission. This option is the default setting.
Sign Entire Submission
Creates a signature that covers the form data and the included attachments, such as the form design, document signature, or annotations.
See also
Overview of email submit buttons
Overview of HTTP submit buttons
About submitting data using a button
To add a data signature to a submit button


Specify Substitute Font dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Specify Substitute Font dialog box
Specify Substitute Font dialog box
Use this dialog box to select a substitute font for the missing font.
To display this dialog box, select Tools > Options. Select Document Handling from the list on the left, and then click Modify Font Substitutions. Click Change Substitute Font.
Missing Font
Specifies the name of the font that is missing from your computer.
Available Fonts
Lists the fonts that you can choose as the substitute for the missing font.
Font Style
Lists the font styles for the selected available font.


Spreadsheet Paste Options dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Spreadsheet Paste Options dialog box
Spreadsheet Paste Options dialog box
Use this dialog box to paste cells from a Microsoft Excel spreadsheet into a form, or use the spreadsheet as the basis to create a new PDF form.
To display this dialog box, select Edit > Paste. The Spreadsheet Paste Options dialog box is displayed only when you paste the content from an Excel spreadsheet into a form.
Paste cells as a table
Creates a table object in the form with the same dimensions, number of cells, and data content as the selection in the spreadsheet. LiveCycle Designer ES also preserves some of the original formatting of the spreadsheet cells, including the text, fonts, colors, background colors, alignment, and borders. If the selected cells in the spreadsheet contain column headers, LiveCycle Designer ES maintains the column header formatting in a header row at the top of the table.
Paste cells as input fields
Creates one text field object for each column in the spreadsheet. Text field objects are positioned in the form from left to right and wrapped onto additional lines if needed. The caption and binding name of each text field object corresponds to the column header text in the spreadsheet.
See also
To copy cells from a Microsoft Excel spreadsheet


Syntax Formatting dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Syntax Formatting dialog box
Syntax Formatting dialog box
Use the FormCalc, JavaScript, and XML Source Syntax Formatting dialog boxes to define the font and color settings for the FormCalc syntax, JavaScript syntax, and the XML source syntax.
To display Arabic, Hebrew, Thai, and Vietnamese characters in the Script Editor or XML Source Tab, you must change the font settings that LiveCycle Designer ES uses in the Script Editor and XML Source tab. Otherwise, LiveCycle Designer ES displays rectangles where the language-specific characters should be. For example, set the font for Arabic to Adobe Arabic, for Hebrew to Adobe Hebrew, for Thai to Adobe Thai, and for Vietnamese to Myriad Pro or Minion Pro.
To display this dialog box, select Tools > Options. Select Workspace from the list on the left and then click one of the Syntax Formatting buttons.
Font
Sets the font.
Size
Sets the font size.
Color Settings
Sets the category that you want to modify.
Use Custom Text Color
Sets the color of the characters.
Use Custom Background Color
Sets the color of the background.
Sample
Displays an example of what you set.
Restore Defaults
Resets the font and color settings to their defaults.
See also
About the Script Editor
To display Arabic, Hebrew, Thai, and Vietnamese characters


Table Assistant dialog box

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Table Assistant dialog box
Table Assistant dialog box
Body Layout (Table Assistant dialog box)
Footer Row (Table Assistant dialog box)
Header Row (Table Assistant dialog box)
Row Shading (Table Assistant dialog box)
Sections (Table Assistant dialog box)


Body Layout (Table Assistant dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Table Assistant dialog box > Body Layout (Table Assistant dialog box)
Body Layout (Table Assistant dialog box)
Use this dialog box to create a table that has a fixed number of body rows and columns or to create a table that has a varying number of body rows and a fixed number of columns.
To display this dialog box, select Insert > Standard > Table > Create Table Using Assistant > OK.
Body Has Fixed Dimensions
Creates a table that has the selected (fixed) number of columns and body rows.
Number of Columns
Adds the specified number of columns (20 maximum).
Number of Body Rows
Adds the specified number of body rows (50 maximum).
Body Rows Vary Depending On Data
Creates a table in which the number of rows varies depending on the number of rows in the data.
See also
To create a table using the Table Assistant


Footer Row (Table Assistant dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Table Assistant dialog box > Footer Row (Table Assistant dialog box)
Footer Row (Table Assistant dialog box)
Use this dialog box to exclude a footer row from the table, to include a footer row in the table, and to make the footer row repeat on every page.
To display this dialog box, select Insert > Standard > Table > Create Table Using Assistant > OK > Footer Row.
No Footer Row
Excludes a footer row from the table.
Has Footer Row
Includes a footer row in the table.
Repeat Footer Row On Each Page
Repeats a footer row on each page. This option is available only when the parent subform is set to Flowed in the Subform tab in the Object Palette.
See also
To create a table using the Table Assistant


Header Row (Table Assistant dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Table Assistant dialog box > Header Row (Table Assistant dialog box)
Header Row (Table Assistant dialog box)
Use this dialog box to exclude a header row from the table, to include a header row in the table, and to make the header row repeat on every page.
To display this dialog box, select Insert > Standard > Table > Create Table Using Assistant > OK > Header Row.
No Header Row
Excludes a header row from the table.
Has Header Row
Includes a header row in the table.
Repeat Header Row On Each Page
Repeats a header row on each page. This option is available only when the parent subform is set to Flowed in the Subform tab in the Object Palette.
See also
To create a table using the Table Assistant


Row Shading (Table Assistant dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Table Assistant dialog box > Row Shading (Table Assistant dialog box)
Row Shading (Table Assistant dialog box)
Use this dialog box to add alternating colored rows.
To display this dialog box, select Insert > Standard > Table > Create Table Using Assistant > OK > Row Shading.
Alternating Row Colors
Adds color to alternate body rows using the specified number of rows and selected colors.
First
Specifies the number of rows to which the first color is applied.
Color Picker
Opens the color palette in which you select the color for the first row or set of rows.
Next
Specifies the number of rows to which the second color is added.
Color Picker
Opens the color palette in which you select the color for the second row or set of rows.
See also
To create a table using the Table Assistant


Sections (Table Assistant dialog box)

Menu, Command, Toolbar, and Dialog Box Reference > Dialog Box Reference > Table Assistant dialog box > Sections (Table Assistant dialog box)
Sections (Table Assistant dialog box)
Use this dialog box to add, remove, name, and order sections (grouping of rows that remain a unit) in the table.
To display this dialog box, select Insert > Standard > Table > Create Table Using Assistant > OK > Sections.
Has Body Rows And No Sections
Creates a table that contains the number of body rows indicated in the Body Layout dialog box; excludes sections.
Has Sections of Body Rows
Creates a table that contains the number of body rows indicated in the Body Layout dialog box and the sections indicated in the Sections list.
Sections
Lists the sections added to the table layout. Section1 is a placeholder section name, which you can rename by double-clicking the name.
Add
Adds a section and opens the Table Section dialog box, which you use to name the section.
Delete
Deletes the selected section.
Up Arrow
Moves the selected section up.
Down Arrow
Move the selected section down.
Section Has Header Row
Adds a header row to the selected section.
Section Has Footer Row
Adds a footer row to the selected section.
Section is Optional
Prevents the selected section from displaying if no data is available for that section.
See also
To create a table using the Table Assistant


Sample Form Snippets and Forms

Sample Form Snippets and Forms
Sample Form Snippets and Forms
Sample Form Snippets
Sample Forms
Dunning Notice Sample
E-Ticket Sample
Grant Application Sample
Purchase Order Samples
Scripting Sample
Subform Set Sample
Tax Receipt Sample
FormGuide Samples


Sample Form Snippets

Sample Form Snippets and Forms > Sample Form Snippets
Sample Form Snippets
About the Sample Form Snippets
Calculating sums of fields
Changing the fill color of a field
Using conditional breaks in repeating subforms
Controlling the display of subforms based on a conditional statement
Allowing multiple lines of text in text fields
Prompting for a file name for exported and imported data
Opening an application from a form
Viewing the data of a paper forms barcode
Validating a date by using a script


About the Sample Form Snippets

Sample Form Snippets and Forms > Sample Form Snippets > About the Sample Form Snippets
About the Sample Form Snippets
LiveCycle Designer ES includes a selection of complete sample form snippets for you to use or refer to when creating your own forms. They are installed in the EN\Samples\Form Snippets folder under the LiveCycle Designer ES installation folder.
The sample form snippets are listed in this table.
Snippet sample
Files
Calculate the Field Sum
Demonstrates how to calculate sums of fields that are at different levels in the form hierarchy.
CalculateSum.xdp
Change the Fill Color of a Field
Demonstrates how to change the fill color of a field at run time.
ChangeFillColor.xdp
Using Conditional Breaks Based on Data
Demonstrates the application of conditional breaks to repeating subforms.
ConditionalPageBreak.xdp
ConditionalPageBreak.xml
Using Data Nominated Subforms
Demonstrates controlling the display of subforms from a choice subform set.
DataNominatedSubform.xdp
DataNominatedSubform.xml
Using Expandable Fields
Demonstrates how a field expands and flows to accommodate data.
ExpandableFields.xdp
Import and Export Data
Demonstrates importing and exporting data in the form.
ImportExportData.xdp
ImportExportData.xml
Opening an Application
Demonstrates opening an application using scripting.
LaunchApp.xdp
Using a Paper Forms Barcode
Demonstrates the data capacity of a paper forms barcode. It also shows how data capacity changes when mixed case and special characters are included in the data.
PaperFormBarcode.xdp
Validate a Date
Demonstrates how to validate a date value using scripts.
RangeValidation.xdp


Calculating sums of fields

Sample Form Snippets and Forms > Sample Form Snippets > Calculating sums of fields
Calculating sums of fields
The Calculate the Field Sum snippet demonstrates how to calculate sums of fields that are at different levels in the form hierarchy when the form is opened.
To see the following example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
In this example, the sum of the repeating fields is calculated.
To calculate the sum of repeating fields in a form
Add a calculate event to the Sum field:
var fields = xfa.resolveNodes("NumericField1[*]");
var total = 0;
for (var i=0; i <= fields.length-1; i++) {
total = total + fields.item(i).rawValue;
}
this.rawValue = total;
In this example, the sum of the fields nested within a repeating field is calculated.
To calculate the sum of fields nested within a repeating subform
Add a calculate event to the Sum field:
var fields = xfa.resolveNodes("detail[*].NumericField1");
var total = 0;
for (var i=0; i <= fields.length-1; i++) {
total = total + fields.item(i).rawValue;
}
this.rawValue = total;
In this example, the sum of the fields on the first page is calculated.
To calculate the sum of the fields on the first page
Add a calculate event to the Sum field:
var fields = xfa.layout.pageContent(0 , "field", 0);
var total = 0;
for (var i=0; i <= fields.length-1; i++) {
if (fields.item(i).name == "NumericField1") {
total = total + fields.item(i).rawValue;
}
}
this.rawValue = total;
See also
Calculating the field sums


Changing the fill color of a field

Sample Form Snippets and Forms > Sample Form Snippets > Changing the fill color of a field
Changing the fill color of a field
The Fill Color of a Field snippet demonstrates how to change the fill color of a field at run time.
In this snippet, when the Apply Fill Color button is clicked, the text field color changes to gray.
To change the fill color of a field
Add the following script to the Apply Fill Color button.
TextField1.fillColor = “200,200,200”;
To see the following example and others, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
See also
Changing the background colors of fields, fillable areas, and subforms
Highlighting fields in response to form filler interaction
Changing the visual properties of an object on the client


Using conditional breaks in repeating subforms

Sample Form Snippets and Forms > Sample Form Snippets > Using conditional breaks in repeating subforms
Using conditional breaks in repeating subforms
The Using Conditional Breaks Based on Data snippet demonstrates the application of conditional breaks to repeating subforms. As opposed to paginating in response to data overflow, conditional breaks allow you to manually control how a subform breaks in a form based on a series of checks called conditional statements. In this example, three content areas are used to organize the data into three columns when the form is rendered. When the category changes, a break is inserted and the new category starts at the top of the next column.
The conditional breaks are specified in the Edit Conditional Breaks dialog box. To display this dialog box, select the Movies subform object and click Edit on the Pagination tab of the Object palette.
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
See also
To control subform and subform set breaks by using conditional statements
Edit Conditional Breaks dialog box


Controlling the display of subforms based on a conditional statement

Sample Form Snippets and Forms > Sample Form Snippets > Controlling the display of subforms based on a conditional statement
Controlling the display of subforms based on a conditional statement
This Data Nominated Subforms snippet demonstrates how one of several alternative subforms can be displayed on the form based on a conditional statement. You use data binding to set the condition that determines which of the subforms appears on the form.
The subforms are wrapped in a subform set. In LiveCycle Designer ES, a subform set can control the display of subforms based on the flow of data. In this example, the Comedy subform is displayed each time the category in the data equals comedy, the Action subform is displayed each time the category equals action, and the Drama subform is displayed each time the category in the data equals drama.
.
The alternative subforms are specified in the Edit Data Nominated Subforms dialog box. To display this dialog box, select the Movie subform set object and click Edit Alternatives on the Subform Set tab of the Object palette.
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
You must merge the form with data when generating the PDF file. If not, the data will be unavailable for the script that decides which subform to instantiate. Users who open the PDF file in Acrobat will get a warning message. To avoid the warning, you can add script to verify the existence of a data value before executing the script.
To create choice subform sets
To add and remove subforms in choice subform sets
Edit Data Nominated Subforms dialog box


Allowing multiple lines of text in text fields

Sample Form Snippets and Forms > Sample Form Snippets > Allowing multiple lines of text in text fields
Allowing multiple lines of text in text fields
The Expandable Fields Snippet demonstrates how a text field expands to accommodate multiple lines of data. In this example, five question fields must adjust to accommodate more than one line of text.
For each Text Field object, you specify that the text fields can accept one or more lines of wrapping text by selecting the Allow Multiple Lines option in the Field tab of the Object palette.
Also, to properly display text that doesn’t fit on the same page, select the Allow Page Breaks within Content option for the Questions subform.
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
See also
To allow multiple lines of text in text fields


Prompting for a file name for exported and imported data

Sample Form Snippets and Forms > Sample Form Snippets > Prompting for a file name for exported and imported data
Prompting for a file name for exported and imported data
The Import and Export Data snippet demonstrates how to prompt the user to provide a file name for exported or imported XML data.
In this example, the script for the Export Data button does not supply a file name; therefore, the form prompts the user to specify a name for the exported data file.
To add script to the Export Data button
xfa.host.exportData(““,0);
Similarly, the script for the Import Data button does not supply a file name; therefore, the form prompts the user to specify a name for the imported data file.
To add script to the Import Data button
xfa.host.importData(““,0);
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.


Opening an application from a form

Sample Form Snippets and Forms > Sample Form Snippets > Opening an application from a form
Opening an application from a form
The Opening an Application snippet demonstrates opening a browser to a user-specified URL and a file in Acrobat or Adobe Reader from a form.
In this example, when the Open button is clicked, the user-specified URL opens in a separate browser container.
To add script to open a browser to a user-specified URL
Add the following script to the Open button:
app.launchURL(TextField1.rawValue, true);
In this example, when the Open button is clicked, the user-specified URL opens in the current container.
To add script to open a browser to a user-specified URL
Add the following script to the Open button:
xfa.host.gotoURL(TextField2.rawValue, 0);
In this example, when the Open button is clicked, the user-specified PDF file opens in Acrobat or Adobe Reader.
To add script to open a user-specified PDF file
Add the following script to the Open button:
app.openDoc(FilePath.rawValue);
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.


Viewing the data of a paper forms barcode

Sample Form Snippets and Forms > Sample Form Snippets > Viewing the data of a paper forms barcode
Viewing the data of a paper forms barcode
The Using a Paper Forms Barcode snippet demonstrates the capacity of a paper forms barcode. It also shows how data capacity changes when mixed case and special characters are included in the data.
In this example, entering a number of characters less than 255 and then clicking the Generate Data button changes the barcode data capacity. Also, deselecting the Use UpperCase Characters Only check box demonstrates how the data capacity of the barcode is reduced when mixed case is used.
To add script for the Number of Characters to Generate text box
form1.#subform[0].CharstoGen::validate - (JavaScript, client)
// The maximum number of characters to generate is 255.
if (this.rawValue > 255)
{
this.rawValue = 255;
false;
}
To add script for the Use Uppercase Characters Only check box
form1.#subform[0].UpperCaseOnly::change - (JavaScript, client)
if (this.rawValue == 1)
{
CharacterBase.value = " ABC DEF GHI JKL MNO PQR STU VWX YZ,";
}
else
{
CharacterBase.value = " ABC DEF GHI JKL MNO PQR STU VWX YZa bcd efg hij klm nop qrs tuv wxy z01 234 567 890 <xml>,";
xfa.host.messageBox("When data is encoded into a PDF417 barcode, all UPPER CASE data requires less space in a barcode. When switching back and forth from upper case to lower case, special characters must be embedded into the barcode to let the decoder or scanner know that a case change has taken place. As you will be able to see from the example, the data capacity of the barcode is reduced when mixed cases are used.", "Upper Case" ,3, 1);
}
if (CharstoGen.rawValue >= 255)
CharstoGen.rawValue = 255;
To add script to the Generate Data button
form1.#subform[0].Button1::click - (JavaScript, client)
// Display random data in Paper Form barcode.
var RandomLetters = "";
var sequence = "";
var FieldFillSize = 0;
var nIndex = 0;
RandomLetters = CharacterBase.value;
FieldFillSize = CharstoGen.rawValue;
for (var i = 1; i <= FieldFillSize; i++)
{
nIndex = Math.floor(Math.random() * RandomLetters.length);
sequence = sequence + RandomLetters.charAt(nIndex);
}
BarcodeData.rawValue = sequence;
To add script to the barcode
BarcodeData.rawValue = sequence;
form1.#subform[0].Barcode::calculate - (JavaScript, client)
//{{Start Generated Content//
var is705ViewerRequired = false;
//End Generated Content}}//
function createBarcodeContent()
{
// TODO: Encode your barcode content here
var barcodeContent = " ";
barcodeContent = BarcodeData.rawValue;
return barcodeContent;
}
// Assign content to the barcode.
// Note: Do not assign a null value to
// the barcode. Otherwise, the barcode is
// displayed as blank.
if(createBarcodeContent() != null)
{
this.rawValue = createBarcodeContent();
}
else
{
this.rawValue = " ";
}
// Final sanity check, located here not for
// efficiency but for consistency and correctness
if (is705ViewerRequired && xfa.host.version < 7.05)
{
this.rawValue = " ";
}
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.
See also
Overview of paper forms barcodes


Validating a date by using a script

Sample Form Snippets and Forms > Sample Form Snippets > Validating a date by using a script
Validating a date by using a script
The Validate a Date snippet demonstrates validating a date based on a date range that the user enters.
In this example, the user selects a date from a calendar and then specifies the start and end dates to validate the specified date against. The form compares the specified date against the date range and reports whether the specified year, month, and day are valid.
To add script to the Validate button
form1.#subform[0].Button1::click - (JavaScript, client)
Status.clearItems(); //Clear the status listbox.
// Create a date() for parsing information.
var sDate = Date.rawValue;
var oDate = util.scand("yyyy-mm-dd", sDate);
if(oDate == null)
{
xfa.host.messageBox("Pleae enter a valid date.");
exit;
}
// Store date values.
var nYear = oDate.getFullYear();
var nMonth = oDate.getMonth() + 1; // 0 based
var nDay = oDate.getDate();
// Validation flags.
var bStartYear = false;
var bEndYear = false;
var bStartMonth = false;
var bEndMonth = false;
var bStartDay = false;
var bEndDay = false;
// Validate the year range.
if((StartYear.rawValue == null) || (StartYear.rawValue <= nYear))
bStartYear = true;
if((EndYear.rawValue == null) || (EndYear.rawValue >= nYear))
bEndYear = true;
if(bStartYear && bEndYear)
Status.addItem("valid year");
else
Status.addItem("invalid year");
// Validate the month range.
if((StartMonth.rawValue == null) || (StartMonth.rawValue <= nMonth))
bStartMonth = true;
if((EndMonth.rawValue == null) || (EndMonth.rawValue >= nMonth))
bEndMonth = true;
if(bStartMonth && bEndMonth)
Status.addItem("valid month");
else
Status.addItem("invalid month");
// Validate the day range.
if((StartDay.rawValue == null) || (StartDay.rawValue <= nDay))
bStartDay = true;
if((EndDay.rawValue == null) || (EndDay.rawValue >= nDay))
bEndDay = true;
if(bStartDay && bEndDay)
Status.addItem("valid day");
else
Status.addItem("invalid day");
To see similar examples, visit the LiveCycle ES Developer Center at www.adobe.com/devnet/livecycle.


Sample Forms

Sample Form Snippets and Forms > Sample Forms
Sample Forms
About the Sample Forms


About the Sample Forms

Sample Form Snippets and Forms > Sample Forms > About the Sample Forms
About the Sample Forms
LiveCycle Designer ES includes a selection of complete sample forms. Each one includes a form design and the final version of the form. Some also include sample data and/or a schema. The samples illustrate both simple and complex form design techniques. The sample forms are installed in the EN\Samples\Forms folder under the LiveCycle Designer ES installation folder.
Note:
Some sample form designs, such as Purchase Order Dynamic.xdp, are meant to be merged with data. Saving these forms in PDF format may generate warnings when you open them in Acrobat or Adobe Reader.
The following table lists all the samples and their location in the LiveCycle Designer ES installation folder.
Form Sample
Location
Dunning Notice
Demonstrates the behavior of a dynamic PDF form.
\EN\Samples\Forms\Dunning Notice
E-Ticket
Demonstrates the behavior of a dynamic PDF form. LiveCycle Designer ES Help explains the numbered notes that appear in the E-Ticket.pdf sample file.
\EN\Samples\Forms\E-Ticket
FormGuide
Demonstrates the behavior of form guides using Guide Builder.
\EN\Samples\Forms\FormGuide
Grant Application
Demonstrates the behavior of an interactive PDF form.
\EN\Samples\Forms\Grant Application
Purchase Order
Demonstrates the behavior of dynamic, interactive, and dynamic interactive PDF forms.
\EN\Samples\Forms\Purchase Order
Scripting
Helps you to experience scripting with the FormCalc and JavaScript languages. You can enter a script into a box and run it by clicking a button.
\EN\Samples\Forms\Scripting
Subform Set
Demonstrates the behavior of a dynamic PDF form. The sample consists of four sub-samples that demonstrate the instantiation behavior of the Subform Set object according to the varying relationships of the subform type and occurrence values.
\EN\Samples\Forms\SubformSet
Tax Receipt
Demonstrates the behavior of a dynamic PDF form.
\EN\Samples\Forms\Tax Receipt


Dunning Notice Sample

Sample Form Snippets and Forms > Dunning Notice Sample
Dunning Notice Sample
About the Dunning Notice sample
To run the Dunning Notice sample
About the Dunning Notice form


About the Dunning Notice sample

Sample Form Snippets and Forms > Dunning Notice Sample > About the Dunning Notice sample
About the Dunning Notice sample
The Dunning Notice sample demonstrates the behavior of a dynamic PDF form.
The sample has three available Dunning levels. The information appropriate for each level should be printed along with a list of the unpaid documents.
The sample includes these files:
File
Description
Dunning Notice.xdp
LiveCycle Designer ES form file located in the Forms folder.
Dunning Notice Level1.xml
Dunning Notice Level2.xml
Dunning Notice Level3.xml
XML data files located in the Data folder. The data file for the Level 3 Dunning notice contains enough invoices to overflow onto a second page.
Dunning Notice.tif
Image file located in the Images folder.
Dunning Notice Level1.pdf
Dunning Notice Level2.pdf
Dunning Notice Level3.pdf
Rendered forms with merged data located in the Outputs folder.


To run the Dunning Notice sample

Sample Form Snippets and Forms > Dunning Notice Sample > To run the Dunning Notice sample
To run the Dunning Notice sample
1.
Open the Dunning Notice.xdp file, located in \EN\Samples\Forms\Dunning Notice\Forms, in LiveCycle Designer ES.
2.
To specify the preview options, select Edit > Form Properties.
3.
Click the Preview tab and do the following tasks:
•
In the Preview Type list, select Print Form.
•
In the Data File box, browse to the Data folder and select one of the sample data files (for example, Dunning Notice Level1.xml).
•
Click OK.
4.
To preview the form, click the Preview PDF tab.
The output sample PDF files in the Outputs folder show the rendered form merged with each of the three sets of data. Use these files to compare to the results of the previewed form.


About the Dunning Notice form

Sample Form Snippets and Forms > Dunning Notice Sample > About the Dunning Notice form
About the Dunning Notice form
The form demonstrates several features.
Form hierarchy structure
The Dunning Notice form is based on the data structure in order to take advantage of the implicit data binding process.
Master page
Two master pages are required. The first one displays the company logo, form title, and static text. This page is the first page to print and appears on an odd-numbered printed page. The second master page is used for every subsequent page. The same static text is displayed as well as the page numbering.
Page numbering
The page numbers are calculated values obtained by inserting run-time properties into a Text object.
Flowed content
When data is merged with the form, the subforms are placed one below the other by setting the subforms’ parent (dunningNotice) Content option to Flowed. The Content option is on the Subform tab of the Object palette. The Flow Direction list, also on the Subform tab of the Object palette, is set to Top to Bottom. The subform margins, specified in the Layout palette, add the extra spacing required between two subforms.
The header, level1, level2, level3, and closing subforms also have flowed content. The field margins add the extra spacing required between two objects.
Subform occurrence
The form includes a number of subforms that work together to properly accommodate the data. The subforms themselves are a mixture of repeating and non-repeating subforms. The minimum count values of all subforms, except the detail header and closing subforms, are set to 0 to specify that only the required subform will print. The maximum value of each non-repeating subform is set to 1. The repeating subforms do not have a maximum occurrence value because the number varies for each set of data. The minimum count value of the closing subform is set to 1 because no data is available to instantiate the subform.
Detail header
The detail header displays the column headings and should print before the first detail line. This detail header information should repeat at the top of the page when the detail lines can no longer fit on the current page and flow on to a new page. Setting the minimum count value of the detailHeader subform to 1 ensures that the header is always printed at least once.
Overflow leader
The detailHeader subform is associated with the document subform as its overflow leader. This feature forces the overflow leader subform of the document subform to print every time the document subform flows onto a new page. Because there are no fields in the detailHeader subform, the Default Binding option, on the Binding tab of the Object palette, is set to None.
Global fields
The currency value is provided once in the data file. By setting the default binding of the currency field to Global and by using this field in multiple locations, the value is replicated in each occurrence of the field.
Image field
Because the company logo may vary, the logo file is embedded in the data file. An Image Field object is used to display the image.
Maximum number of characters for each field
The maximum characters value for each field is specified as per data specifications. The Max Chars option is on the Field tab of the Object palette.
Expandable fields and anchor position
To accommodate data values of varying length, the Expand to Fit option in the Layout palette is selected for the billToAddress, Salutation, and Closing fields. The anchor position of these fields is set to allow the field to expand in the proper direction.
Variables
The closing of every paragraph is the same. For easier maintenance, its value is defined as a variable, and a script is used to reference this value and display it. Because the field’s value is calculated, the Default Binding option is set to None.
Scripting
The address values should be displayed as a block. A JavaScript script is used to concatenate the data values. Because the billToAddress field’s value is calculated, the Default Binding option is set to None.
Multiple line field
The billToAddress field’s Allow Multiple Lines property, on the Field tab of the Object palette, is selected so that the calculated value can print on several lines.
Floating fields
The level3 subform contains both text and fields. Using floating fields results in a natural flow of the information. A display pattern can be specified directly on the field and displayed in the paragraph. Use the Patterns option on the Field tab of the Object palette to specify a display pattern. The floating field is a hidden field inserted into the Text object. The reference to the floating field is represented by the field name between curly braces; for example, {fieldName}.
Picture patterns
Some values are easier to read by applying a display pattern. For example, the level3 subform’s deadline value is formatted with a medium-length date for data pattern value on the Binding tab of the Object palette.


E-Ticket Sample

Sample Form Snippets and Forms > E-Ticket Sample
E-Ticket Sample
About the E-Ticket sample
To run the E-Ticket sample
About the E-Ticket output


About the E-Ticket sample

Sample Form Snippets and Forms > E-Ticket Sample > About the E-Ticket sample
About the E-Ticket sample
The E-Ticket sample demonstrates and explains the behavior of a dynamic PDF form. The sample form contains numbered notes represented as black circles with white numbers. The notes are explained in About the E-Ticket output.
This form prints a customized Travel Package that contains an airline itinerary, Customs form, medical declaration, flight transfer slips, accommodation information, and boarding passes. The sections of the package are expected to print using different paper orientations.
This sample includes these files:
File
Description
E-Ticket.xdp
LiveCycle Designer ES form file located in the Forms folder.
E-Ticket.xml
XML data files located in the Data folder.
E-Ticket.tif
Image file located in the Images folder.
E-Ticket.pdf
Rendered forms with merged data located in the Outputs folder.


To run the E-Ticket sample

Sample Form Snippets and Forms > E-Ticket Sample > To run the E-Ticket sample
To run the E-Ticket sample
1.
Open the E-Ticket.xdp file, located in \EN\Samples\Forms\E-Ticket\Forms, in LiveCycle Designer ES.
2.
To specify the preview options, select Edit > Form Properties.
3.
Click the Preview tab and do the following tasks:
•
In the Preview Type list, select Print Form (Two-Sided).
•
In the Data File box, browse to the Data folder and select the E-Ticket.xml sample data file.
•
Click OK.
4.
To preview the form, click the Preview PDF tab.
The output sample PDF file in the Outputs folder shows the rendered form merged with data. Use this file to compare to the results of the previewed form.


About the E-Ticket output

Sample Form Snippets and Forms > E-Ticket Sample > About the E-Ticket output
About the E-Ticket output
These numbered notes correspond to the numbered circle icons in the sample form file.
1.
The Package cover page should print once, and it should use a portrait orientation.
•
The coverPage subform is invoked by the presence of the data group cover page.
•
The coverPage subform is placed on the portrait-oriented master page because it is the first page area defined in the Page Set.
•
The coverPage subform has a minimum count value of 0 and a maximum count value of 1. The Min Count and Max Count options are on the Binding tab of the Object palette.
•
The image file is linked to the form. The link is provided as the URL of an Image object.
•
In the “Items in this travel package” section, a JavaScript script sets the field caption text to plural when appropriate.
Note:
The data values that must print in several locations in the Travel Package are created as global fields; for example, the lastName, firstName, and initial fields.
2.
The Airline Itinerary header information should print before the listing of the flight itineraries, and it should use a landscape orientation.
•
The subform and subformSet occurrence and subformSet relationship type is the required combination to invoke the flightHeader subform.
•
The itinerary subformSet is instantiated only if a flight subform is instantiated. This is possible by setting the subformSet Min Count value to 0. After the subformSet is instantiated, the flightHeader subform is invoked because it has a Min Count value of 1. This is as a result of setting the subform set Type value, on the Subform Set tab of the Object palette, to Use All Subforms in Order.
•
The flightHeader subform is associated with the landscape master page. The flightHeader subform will be placed On Page “landscape”.
•
The flightHeader subform is associated with the flight subform as its overflow leader. The flightHeader subform should print at the top of every page in the Airline itinerary section. The Default Binding field on the Binding tab of the Object palette is set to Global because the information must repeat.
3.
The flights are specific to the Travel Package and may vary between itineraries.
•
The flight subform is invoked by the presence of the data group flight. The flight subform has a Min Count value of 0 and an unlimited maximum occurrence value. This means that it will be instantiated only if data is available for it and will repeat as many times as necessary to print the available data. The maximum value is unlimited when the Repeat Subform for Each Data Item option is selected and the Max option is deselected. The Repeat Subform for Each Data Item option is on the Binding tab of the Object palette.
•
The flight subform will be placed following the previous subform.
4.
A single Customs declaration is required for each family. The declaration should print using a portrait orientation.
•
The customs subform is invoked by the presence of the data group customs.
•
The customs subform has a Min Count value of 0 and Max value of 1.
•
The customs subform is associated with the portrait-oriented master page. The customs subform will be placed at the top of the portrait-oriented page, thereby forcing a new page.
5.
A single Medical Declaration should print per page, and it should use a portrait orientation.
•
The medical subform is invoked by the presence of the data group medical.
•
The medical subform has a Min Count value of 0 and an unlimited maximum occurrence value.
•
The medical subform is associated to the portrait-oriented master page, and it will be placed at the top of the portrait-oriented page, thereby forcing a new page.
•
A JavaScript script will concatenate the passenger’s home address information. The homeAddress field’s Allow Multiple Lines option is enabled to properly display the block of information. The Allow Multiple Lines option is on the Field tab of the Object palette.
6.
The Accommodation header information should print before the listing of the hotels, and it should use a landscape orientation.
•
The subform and subformSet occurrence and subformSet relationship type is the required combination to invoke the hotelHeader subform.
•
The accommodation subformSet is instantiated only if a hotel subform is instantiated. This is possible by setting the subformSet Min Count value to 0. After the subformSet is instantiated, the hotelHeader subform is invoked because it has a Min Count value of 1. This is the result of setting the subform set Type to Use All Subforms in Order.
•
The hotelHeader subform is associated with the landscape master page. The hotelHeader subform will be placed on the landscape oriented page
•
The hotelHeader subform is associated with the hotel subform as its overflow leader. The hotelHeader subform should print at the top of every page in the Hotel accommodation section. The fields are set to global because the information is required to repeat.
•
A JavaScript script is used to concatenate the lastName and firstName data values.
•
The guest address values should be displayed as a block. A JavaScript script is used to concatenate the data values.
7.
The hotel listing is specific to the Travel Package and may vary between itineraries.
•
The hotel subform is invoked by the presence of the data group hotel. The hotel subform has a Min Count value of 0 and an unlimited maximum occurrence value. It will be instantiated only if data is available for it, and it will repeat as many times as necessary to print the available data.
•
The hotel subform will be placed after the previous subform.
•
The room type values should be displayed as a block. A JavaScript script is used to concatenate the data values. Because the roomName fields value is calculated, the Default Binding option is set to None.
8.
A single boarding pass should print per page, and it should use a landscape orientation.
•
The boarding subform is invoked by the presence of the data group boarding.
•
The boarding subform has a Min Count value of 0 and an unlimited maximum occurrence value. This means that it will be instantiated only if data is available for it, and it will repeat as many times as necessary to print the available data.
•
The boarding subform is associated with the landscape master page. The boarding subform will be placed on top of the landscape-oriented page, thereby forcing a new page.


Grant Application Sample

Sample Form Snippets and Forms > Grant Application Sample
Grant Application Sample
About the Grant Application sample
To run the Grant Application sample
About the Grant Application form


About the Grant Application sample

Sample Form Snippets and Forms > Grant Application Sample > About the Grant Application sample
About the Grant Application sample
The Grant Application sample demonstrates the behavior of an interactive PDF form. For information about creating and using interactive forms, see LiveCycle Designer ES Help.
The sample includes a grant application to be filled for the institution or foundation that issued the form.
The sample includes the file named Grant Application.pdf. Both the form design and the form that the user will interact with are in the Forms folder.


To run the Grant Application sample

Sample Form Snippets and Forms > Grant Application Sample > To run the Grant Application sample
To run the Grant Application sample
1.
Open the Grant Application.pdf form, located in \EN\Samples\Forms\Grant Application\Forms, in either Acrobat or Adobe Reader.
2.
Click in the Title of Project field and start filling the form.


About the Grant Application form

Sample Form Snippets and Forms > Grant Application Sample > About the Grant Application form
About the Grant Application form
The form demonstrates several features.
Page numbering
The page numbers are calculated values obtained by inserting run-time properties into a Text object.
Maximum number of characters for each field
The Max Chars option, on the Field tab of the Object palette, for each field is specified as per data specifications.
Multiple line field
The Description field Allow Multiple Lines option, on the Field tab of the Object palette, is selected so that users can enter several description lines.
Picture patterns
The user is expected to enter some values in a specific format. A validation message, defined on the Value tab of the Object palette, will prompt the user to enter values in the proper format if the user has not done so. For example, a script will validate the BudgetDirectCosts field's user-entered value.
Custom library objects
The U.S. States Custom Library Object was used to create the State and OrgState drop-down lists.
Tabbing order
The default tabbing order has been modified to allow a column flow. Display the tabbing order by selecting the Tab Order command from the View menu.


Purchase Order Samples

Sample Form Snippets and Forms > Purchase Order Samples
Purchase Order Samples
About the Purchase Order samples
To run the Purchase Order samples


About the Purchase Order samples

Sample Form Snippets and Forms > Purchase Order Samples > About the Purchase Order samples
About the Purchase Order samples
The four Purchase Order samples demonstrate the behavior of dynamic, interactive, and dynamic interactive PDF forms.
The Dynamic Purchase Order sample includes these files:
File
Description
PurchaseOrder.xdp
LiveCycle Designer ES form file located in the Forms folder.
Purchase Order.xml
XML data files located in the Data folder.
Purchase Order.tif
Image file located in the Images folder.
Purchase Order.pdf
Rendered form with merged data located in the Outputs folder.
The Dynamic Interactive Purchase Order sample includes these files:
File
Description
Purchase Order.pdf
LiveCycle Designer ES form file located in the Forms folder.
Purchase Order.tif
Image file located in the Images folder.
The Form Fragments Purchase Order sample includes these files:
File
Description
Purchase Order Dynamic Interactive.pdf
Purchase Order Dynamic.xdp
Purchase Order Interactive.pdf
LiveCycle Designer ES form file located in the Forms folder.
Purchase Order Canada.xml
Purchase Order US.xml
XML data files located in the Data folder.
Purchase Order.tif
Image file located in the Images folder.
CountryScript.xdp
DeliverToAddress.xdp
Footer.xdp
FooterCanada.xdp
FooterUS.xdp
Header.xdp
OrderedByAddress.xdp
PartNoScript.xdp
Fragments located in Fragments folder.
Purchase Order Canada.pdf
Purchase Order US.pdf
Rendered form with merged data located in the Outputs folder.
The Interactive Purchase Order sample includes these files:
File
Description
Purchase Order.pdf
Both the form design and the form that the user will interact with, located in the Forms folder.
Purchase Order.tif
Image file located in the Images folder.
The Schema Purchase Order sample includes these files:
File
Description
Purchase Order.xdp
LiveCycle Designer ES form file located in the Forms folder.
Purchase Order.xml
XML data file located in the Data folder.
Purchase Order.xsd
Schema file located in the Schema folder.
Purchase Order.tif
Image file located in the Images folder.
Purchase Order.pdf
Rendered form with merged data located in the Outputs folder.


To run the Purchase Order samples

Sample Form Snippets and Forms > Purchase Order Samples > To run the Purchase Order samples
To run the Purchase Order samples
Dynamic and Schema Purchase Order
1.
In LiveCycle Designer ES, open the appropriate form:
•
Purchase Order.xdp file located in \EN\Samples\Forms\Purchase Order\Dynamic\Forms
•
Purchase Order.xdp file located in \EN\Samples\Forms\Purchase Order\Schema\Forms
2.
To specify the preview options, select Edit > Form Properties.
3.
Click the Preview tab and do the following tasks:
•
In the Preview Type list, select Print Form (Two-sided).
•
In the Data File box, browse to the Data folder and select the Purchase Order.xml sample data file.
•
Click OK.
4.
To preview the form, click the Preview PDF tab.
The output sample PDF file in the Outputs folder shows the rendered form merged with data. Use this file to compare to the results of the previewed form.
Interactive and Dynamic Interactive Purchase Order
1.
In Acrobat or Adobe Reader, open the appropriate form:
•
Purchase Order.xdp file located in \EN\Samples\Forms\Purchase Order\Interactive\Forms
•
Purchase Order.xdp file located in \EN\Samples\Forms\Purchase Order\Dynamic Interactive\Forms
2.
Click in the P.O. Number field and start filling the form.
The output sample PDF file in the Outputs folder shows the rendered form merged with data. Use this file to compare to the results of the previewed form.


Scripting Sample

Sample Form Snippets and Forms > Scripting Sample
Scripting Sample
About the Scripting sample
To run the Scripting sample


About the Scripting sample

Sample Form Snippets and Forms > Scripting Sample > About the Scripting sample
About the Scripting sample
The Scripting sample helps you to experience scripting with the FormCalc and JavaScript languages. You can enter a script into a box and run it by clicking a button. The sample includes a variety of field types that the script can use.
The sample includes the file named Scripting.pdf. Both the form design and the form that the user will interact with are located in the Forms folder.


To run the Scripting sample

Sample Form Snippets and Forms > Scripting Sample > To run the Scripting sample
To run the Scripting sample
1.
Open the Scripting.pdf form, located in \EN\Samples\Forms\Scripting\Forms, in either Acrobat or Adobe Reader.
2.
Enter a script in the Enter Your Script Here field.
3.
Enter any input that is expected by the script.
4.
Click the appropriate button to run the script. Any output appears in the Result field. If you prefer, you can assign the results to another field.
5.
After the script runs, click Clear Fields in order to clear the fields to rerun or alter the script.
To try a simple script, use one of these samples.
JavaScript
if (NF1.rawValue < NF2.rawValue)
NF3.rawValue = 0
else
NF3.rawValue = NF1.rawValue - NF2.rawValue
FormCalc
if (NF1 < NF2) then
NF3 = 0
else
NF3 = NF1 - NF2
endif
Both scripts use the numerical fields NF1, NF2, and NF3. The user can type numbers into the NF1 and NF2 fields, and the script subtracts the numbers (NF1-NF2) and displays the difference in the NF3 field. If the result is negative, the NF3 value is set to 0.


Subform Set Sample

Sample Form Snippets and Forms > Subform Set Sample
Subform Set Sample
About the Subform Set sample
To run the Subform Set sample
About the Subform Set output


About the Subform Set sample

Sample Form Snippets and Forms > Subform Set Sample > About the Subform Set sample
About the Subform Set sample
The Subform Set sample demonstrates the behavior of a dynamic PDF form. Four samples demonstrate the instantiation behavior of the Subform Set object according to the varying relationships of the subform type and occurrence values. The sample form contains numbered notes represented as black circles with white numbers. The notes are explained in About the Subform Set output.
The sample includes these files:
File
Description
SubformSet1.xdp
SubformSet2.xdp
SubformSet3.xdp
SubformSet4.xdp
LiveCycle Designer ES form file located in the Forms folder
DataA.xml
DataB.xml
XML data files located in the Data folder
SubformSet1 DataA.pdf
SubformSet1 DataB.pdf
SubformSet2 DataA.pdf
SubformSet2 DataB.pdf
SubformSet3 DataA.pdf
SubformSet3 DataB.pdf
SubformSet4 DataA.pdf
SubformSet4 DataB.pdf
Rendered forms with merged data located in the Outputs folder


To run the Subform Set sample

Sample Form Snippets and Forms > Subform Set Sample > To run the Subform Set sample
To run the Subform Set sample
1.
Open one of the forms in the Forms folder, located in \EN\Samples\Forms\SubformSet, in LiveCycle Designer ES.
2.
To specify the preview options, select Edit > Form Properties.
3.
Click the Preview tab and do the following tasks:
•
In the Preview Type list, select Print Form (Two-sided).
•
In the Data File box, browse to the Data folder and select one of the sample data files (for example DataA.xml).
•
Click OK.
4.
To preview the form, click the Preview PDF tab.
The output sample PDF files in the Outputs folder show the rendered forms merged with each of the two sets of data. Use these files to compare to the results of the previewed form.


About the Subform Set output

Sample Form Snippets and Forms > Subform Set Sample > About the Subform Set output
About the Subform Set output
These numbered comments correspond to the numbered black-circle icons on the Subform Set sample form.
1. Data
Two sample data files are available for this sample. This section provides the name of the data file merged with the form along with the content of the data file. This information is useful for comparing the data displayed in section 3, “Subform Relationship”.
2. Subform Occurrence
Each form contains three subforms. This section provides the minimum count and maximum occurrence values of the subforms. The occurrence values are specified in the Binding tab of the Object palette.
Subform specifications per form
Form
subformA
subformB
subformC
SubformSet1.xdp
Min Count = 0 Max =−1*
Min Count = 0 Max = −1*
Min Count = 0 Max = −1*
SubformSet2.xdp
Min Count = 0 Max = 1
Min Count = 0 Max = 1
Min Count = 0 Max = 1
SubformSet3.xdp
Min Count = 1 Max = 1
Min Count = 1 Max = 1
Min Count = 1 Max = 1
SubformSet4.xdp
Min Count = 2 Max = 2
Min Count = 1 Max = 1
Min Count = 3 Max = 3
* The Max value is unlimited when the Repeat Subform for Each Data Item option in the Binding tab of the Object palette is selected.
3. Subform Relationship
The third section contains three columns used to compare the layout of the subforms inside different relationship types:
Column
Type
Comments
1
Use All Subforms in Order
The subforms are instantiated in the order in which they are declared in the form. This has the effect of potentially reordering the content to satisfy the form order.
2
Select One Subform from Alternatives
The subforms are exclusive of each other, and only one subform may be instantiated. The determination of which subform to instantiate is based on the data.


Tax Receipt Sample

Sample Form Snippets and Forms > Tax Receipt Sample
Tax Receipt Sample
About the Tax Receipt sample
To run the Tax Receipt sample
About the Tax Receipt form


About the Tax Receipt sample

Sample Form Snippets and Forms > Tax Receipt Sample > About the Tax Receipt sample
About the Tax Receipt sample
The Tax Receipt sample demonstrates the behavior of a dynamic PDF form.
This form prints three copies of a tax receipt on a single page: the foundation’s copy, the chapter’s copy, and the income tax copy.
The sample includes these files:
File
Description
Tax Receipt.xdp
LiveCycle Designer ES form file located in the Forms folder
Tax Receipt.xml
XML data files located in the Data folder
Signature.tif
Tax Receipt.tif
Image files located in the Images folder
Tax Receipt.pdf
Rendered forms with merged data located in the Outputs folder


To run the Tax Receipt sample

Sample Form Snippets and Forms > Tax Receipt Sample > To run the Tax Receipt sample
To run the Tax Receipt sample
1.
Open the Tax Receipt.xdp form in LiveCycle Designer ES.
2.
To specify the preview options, select select Edit > Form Properties.
3.
Click the Preview tab and do the following tasks:
4.
In the Preview Type list, select Print Form (Two-sided).
•
In the Data File box, browse to the Data folder and select the Tax Receipt.xml sample data file.
•
Click OK.
5.
To preview the form, click the Preview PDF tab.
The output sample PDF file in the Outputs folder shows the rendered form merged with data. Use this file to compare to the results of the previewed form.


About the Tax Receipt form

Sample Form Snippets and Forms > Tax Receipt Sample > About the Tax Receipt form
About the Tax Receipt form
The form demonstrates several features.
Form hierarchy structure
The Tax Receipt form is based on the data structure in order to take advantage of the implicit data binding process.
Master page
Because the footer text needs to be displayed at the bottom of each page, it is defined on the Master Page.
Flowed content
The instances of the receipt subform are placed one below the other, which is made possible by setting the taxReceipt subform Content option to Flowed. The Content option is in the Subform tab of the Object palette. The Flow Direction, also in the Subform tab, is set to Top to Bottom. The subform margin settings are defined in the Layout palette and add the extra spacing required between two subforms.
Subform occurrence
The receipt subform contains the tax receipt information, including fields and static elements. Because the receipt is expected to print three times on a single page, the maximum value of the receipt subform is set to 3. The maximum value is defined in the Binding tab of the Object palette.
Global fields
The donor information is provided once in the data file. Making the donor fields global enables these values to print for every tax receipt copy.
Image field
Because the treasurer’s signature may vary, the signature image link is provided in the data file. An image field is used to display the signature image.
Maximum number of characters for each field
The maximum characters value for each field is defined in the Field tab of the Object palette and is specified as per data specifications.
Expandable fields and anchor position
To accommodate data values that vary in length, the Expand to Fit option in the Layout palette is selected for the receiptSerial and copyLabel fields. The anchor position of these fields is set to allow the field to expand in the proper direction.
Scripting
The address values should be displayed as a block. A JavaScript script is used to concatenate the data values. Because the donorAddress field value is calculated, the Default Binding option is set to None. The default binding is defined in the Binding tab of the Object palette.
Multiple line field
The donorAddress field Allow Multiple Lines option in the Field tab of the Object palette is selected so that it can print on several lines.
Picture patterns
Some values are easier to read by using the Patterns option in the Field tab of the Object palette to apply a display pattern. For example, the date value is formatted with a long style date format.


FormGuide Samples

Sample Form Snippets and Forms > FormGuide Samples
FormGuide Samples
About the FormGuide samples
To run the FormGuide sample


About the FormGuide samples

Sample Form Snippets and Forms > FormGuide Samples > About the FormGuide samples
About the FormGuide samples
The FormGuide samples demonstrate several useful form guide features:
Purchase Order
The Purchase Order sample form guide is a simplified, alternative view of the Purchase Order form design. The information in the form guide is chunked and presented in panels designed to guide a form filler through the form step-by-step. The form filler uses navigation buttons to move between the panels and to submit the form. The form guide also features a pop-up calendar for selecting the date as well as a Help icon on some fields that the form filler can click to get help.
This sample includes these files:
File
Description
PurchaseOrder.xdp
LiveCycle Designer ES form file located in the Forms folder. The form includes the guide definition.
PurchaseOrder_data.xml
XML data files located in the Data folder.
PurchaseOrderStyle.swc
The style library used by this sample for the color scheme and font information.
Immunization
You will notice how the information in the Immunization form design is arranged so that it can be printed and folded like a brochure to fit inside a passport. A form filler cannot complete this form online. The Immunization sample form guide demonstrates how the information in a form design that is intended to be printed and then filled can be organized and presented in an alternative view that the form filler can fill online. This sample includes a placeholder PDF to assist with the form guide layout. You require LiveCycle Forms ES to see how form guide communicates the form data to the PDF in the browser.
This sample includes these files:
File
Description
Immunization.xdp
PHRImmun_Sample.xml
LiveCycle Designer ES form file located in the Forms folder. The form includes the guide definition.
GlobalImmunizationBG.jpg
The background image file located in the Images folder.
Immunization.swc
The style library that this sample uses for color scheme, background image, and font information.
TLALife
The TLA Life sample form guide demonstrates some of the advanced features in form guides. In addition to a corporate image appearing as the background on each panel, the form filler can easily identify the vehicle damage by clicking the section of the vehicle in the form guide. In addition, the Submit button only appears after the form filler correctly completes all the required fields.
This sample includes these files:
File
Description
TLSLifeClaim.xdp
LiveCycle Designer ES form file located in the Forms folder. The form includes the guide definition.
TLALifePanelBG.png
TLALogo.png
Image files located in the Images folder.
AutoComplete.swc
A custom component that shows an alternate data entry model to the standard combo box selection. Used for selecting the state in the form.
TLALifeCustomLib.swc
A custom library, which is a Flex Builder SWC file, that provides a custom panel layout for the Car Damage Picker panel.
TLALifeHelpVideo.flv
A sample video that may be linked into the guide through the Guide Help or Panel Help properties.
TLALifeStyle.swc
The style library that this sample uses for color scheme, background image, logo, and font information.


To run the FormGuide sample

Sample Form Snippets and Forms > FormGuide Samples > To run the FormGuide sample
To run the FormGuide sample
1.
In LiveCycle Designer ES, open the appropriate form:
•
Purchase Order.xdp file located in \EN\Samples\Forms\FormGuide\Purchase Order\Forms
•
Immunization.xdp file, located in \EN\Samples\Forms\FormGuide\Immunization\Forms
•
TLALifeClaim.xdp file located in \EN\Samples\Forms\FormGuide\TLSLife\Forms
2.
To open the form design in Guide Builder, select Tools > Create Or Edit Form Guide.
3.
Click Preview. The form guide opens in your browser.


Glossary

Glossary
Glossary
This glossary contains terminology definitions that are specific to Adobe document services documentation. These terms may have different meanings in other contexts, but they have restricted meanings in this documentation.
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
A
accessible forms
Forms that users with disabilities or vision impairments can fill using screen readers and other assistive technologies.
Acrobat form
A PDF document created in Acrobat that contains one or more form fields. Acrobat forms may also contain non-form content.
Adobe certified document
A document that is signed with a specific Adobe root certificate. The Adobe root certificate is distributed on a hardware security module. An Adobe certified document provides a strong guarantee as to the authenticity and immutability of the document. See also certificate.
Adobe document services
Adobe document services extend core enterprise systems to ensure that business-critical information is captured and presented across the extended enterprise. The Adobe document services solution includes LiveCycle Designer ES, LiveCycle Forms ES, LiveCycle Reader Extensions ES, LiveCycle Form Manager, and Document Security Server.
application
A set of related and generally interdependent files that make up a self-contained application that LiveCycle Forms ES can run. Applications may include files such as form designs, JavaServer Pages, HTML pages, servlets, and images.
Top
B
binding data
The action of linking an object to the appropriate field within a data file or database.
boilerplate
Static or fixed objects, including text or graphics, that provide the visual components of a form design. Unlike data fields, the information in the boilerplate never changes.
boilerplate object
A static object on a form, such as text, a line, a circle, or a rectangle.
Top
C
canonical format
A standard way of writing a formula. For example, two formulas, such as 9 + x and x + 9, are said to be equivalent because they mean the same thing; however, the second one is in "canonical form" because it is written in the usual way, with the highest power of x first. Usually, there are fixed rules you can use to decide whether something is in canonical form. Things in canonical form are easier to compare.
This table describes the different field types and their canonical formats. Note that values surrounded by square brackets are optional. Currency and grouping symbols are not valid in canonical format.
Field type
Description
Canonical format
Example
Date fields
An ISO-8601/XFA date string
YYYY[-MM[-DD]]
YYYY[MM[DD]]
2005-07-04
20050704
Date/time fields
An ISO-8601/XFA date time, which is the concatenation of a valid ISO-8601/XFA date string and a valid ISO-8601/XFA time string with the letter 'T' as a separator between the date and time string
2004-07-04T10:11:12+05:00
20040704T101112
Numeric fields
A sequence of ASCII digits consisting of an integral part, a decimal point, a fractional part, and optionally, an e (or E) and a signed exponent part
12
1.234
.12
1e-2
1.2E3
Text fields
Any sequence of Unicode characters without using spaces
A1B2C3
Display Pattern: A9A 9A9
Formatted Value: A1B 2C3
Time fields
An ISO-8601/XFA time string
HH[:MM[:SS[.FFF][Z]]]
HH[:MM[:SS[.FFF][+HH[:MM]]]]
HH[:MM[:SS[.FFF][-HH[:MM]]]]
HH[MM[SS[.FFF][Z]]]
HH[MM[SS[.FFF][+HH[MM]]]]
HH[MM[SS[.FFF][-HH[MM]]]]
10:11:12.123+05:00
101112+0500
10:11:12Z
10:11
10
certificate
A public key that corresponds to a credential (private key) used in encryption and signing operations. See also Adobe certified document.
client
The requesting program or person in a client/server relationship. A web browser is an example of a client application.
credential
A private key used to establish identity in decryption and signing operations.
Top
F
fixed layout
A form whose layout remains exactly as it was designed when being filled with data. The layout does not change to accommodate the amount of incoming data.
form
An electronic document that captures and delivers data. A person may add data to an interactive form, or a server process may merge a form design with data to produce a form.
form authors
LiveCycle Designer ES users who are capable of creating fillable forms to be used in Acrobat or Adobe Reader, and simple non-interactive forms for deployment to LiveCycle ES. See also form developers.
FormCalc
A calculation language similar to that used in common spreadsheet software that facilitates form design without requiring a knowledge of traditional scripting techniques or languages.
form design
The design-time version of a form that an author or developer creates in LiveCycle Designer ES.
form developers
LiveCycle Designer ES users who are capable of creating complex form-based applications for use in different environments. See also form authors.
form object
A form element, such as a button or text field, that you can place on a form. An object has its own set of properties and events.
Top
I
interactive form
A form that an end user can interact with and complete electronically.
Top
P
PDF form
A form that users can access in Acrobat and Adobe Reader. PDF forms are either interactive or non-interactive.
permissions
Security settings that restrict users from opening, editing, or printing a PDF document. Permissions cannot be changed unless the user has the permissions password. You can set permissions in LiveCycle Designer ES, Acrobat, or LiveCycle Forms ES.
prepopulated form
A form that appears to the end user with some or all fields automatically populated with data.
Top
R
render
An action whereby LiveCycle Forms ES or LiveCycle Output ES retrieves a form design, possibly merges it with data, and displays it in PDF or HTML format in a browser.
restricted document
A PDF document with password security restrictions that prevent the document from being opened, printed, saved, or edited.
rights-enabled document
A PDF document that includes security extensions that enable Adobe Reader users to save the form with data, add comments, and sign documents.
run time
The time when an application or server process retrieves a form design, possibly merges it with data, and presents it to a user for viewing or filling.
Top
S
security handler
A software module that implements various aspects of the encryption process and controls access to the contents of the encrypted document. It contains all security logic, such as how to sign and verify signatures.
static form
See fixed layout.
subform
An object that can act as a container for form objects and other subforms. A subform helps to position form objects relative to each other and provide structure in form designs that have a flowable layout. A subform can also provide a reference point, when binding data to a form, by restricting the scope for a field so that it matches that of the corresponding data node.
Top
T
tagged PDF form
A form that includes a logical structure and a set of defined relationships and dependencies among the various elements, as well as additional information that permits reflow.
trusted identity
Recognized by the associated certificate. Only the specified trusted identities can sign a form.
Top
U
usage rights
Rights that extend the functionality of Adobe Reader and enable users to save forms with data, add comments, and sign documents.
W
workflow
A process that involves the automatic routing of form data, in a predefined sequence, among departments, individuals, and systems.
Top
X
XML Forms Architecture
Represents the underlying technology beneath the Adobe XML forms solution. It enables the construction of robust and flexible form-based applications for use on either the client or the server.
XML form
A form based on the XML Forms Architecture. XML forms are created in LiveCycle Designer ES and can have the file name extension .xdp or .pdf.
Top


Copyright and trademark notices

Copyright and trademark notices
Copyright and trademark notices
© 2008 Adobe Systems Incorporated. All rights reserved.
Adobe® LiveCycle® Designer ES 8.2 Help for LiveCycle Workbench ES for Microsoft® Windows®
July 2008
If this guide is distributed with software that includes an end user agreement, this guide, as well as the software described in it, is furnished under license and may be used or copied only in accordance with the terms of such license. Except as permitted by any such license, no part of this guide may be reproduced, stored in a retrieval system, or transmitted, in any form or by any means, electronic, mechanical, recording, or otherwise, without the prior written permission of Adobe Systems Incorporated. Please note that the content in this guide is protected under copyright law even if it is not distributed with software that includes an end user license agreement.
The content of this guide is furnished for informational use only, is subject to change without notice, and should not be construed as a commitment by Adobe Systems Incorporated. Adobe Systems Incorporated assumes no responsibility or liability for any errors or inaccuracies that may appear in the informational content contained in this guide.
Please remember that existing artwork or images that you may want to include in your project may be protected under copyright law. The unauthorized incorporation of such material into your new work could be a violation of the rights of the copyright owner. Please be sure to obtain any permission required from the copyright owner.
Any references to company names, company logos and user names in sample material or sample forms included in this documentation and/or software are for demonstration purposes only and are not intended to refer to any actual organization or persons.
Adobe, the Adobe logo, Acrobat, Distiller, Flash, Flex Builder, LiveCycle, Minion, Myriad, PostScript, and Reader are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States and/or other countries.
Microsoft, Windows, and ActiveX are either trademarks or registered trademarks of Microsoft Corporation in the United States and/or other countries.
SVG is a trademark of the World Wide Web Consortium; marks of the W3C are registered and held by its host institutions MIT, INRIA, and Keio.
All other trademarks are the property of their respective owners.
This product contains either BSAFE and/or TIPEM software by RSA Security Inc.
This product includes software developed by the Apache Software Foundation (http://www.apache.org/).
This product includes code licensed from RSA Security.
This product includes software developed by the JDOM Project (http://www.jdom.org/).
Macromedia Flash 8 video is powered by On2 TrueMotion video technology. © 1992-2005 On2 Technologies, Inc. All Rights Reserved. http://www.on2.com.
This product includes software developed by the OpenSymphony Group (http://www.opensymphony.com/).
Portions of this code are licensed from Nellymoser(www.nellymoser.com).
MPEG Layer-3 audio compression technology licensed by Fraunhofer IIS and THOMSON Multimedia (http://www.iis.fhg.de/amm/).
This product includes software developed by L2FProd.com (http://www.L2FProd.com/).
The JBoss library is licensed under the GNU Library General Public LIcense, a copy of which is included with this software.
The BeanShell library is licensed under the GNU Library General Public License, a copy of which is included with this software.
This product includes software developed by The Werken Company.
This product includes software developed by the IronSmith Project (http://www.ironsmith.org/).
The OpenOffice.org library is licensed under the GNU Library General Public License, a copy of which is included with this software.
FreeType Project Copyright Portions based in part on the work of the FreeType team.
This software is based in part on the work of the Independent JPEG Group.
Adobe Systems Incorporated, 345 Park Avenue, San Jose, California 95110, USA.
Notice to U.S. Government End Users. The Software and Documentation are "Commercial Items," as that term is defined at 48 C.F.R. ß2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," as such terms are used in 48 C.F.R. ß12.212 or 48 C.F.R. ß227.7202, as applicable. Consistent with 48 C.F.R. ß12.212 or 48 C.F.R. ßß227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States. Adobe Systems Incorporated, 345 Park Avenue, San Jose, CA 95110-2704, USA. For U.S. Government End Users, Adobe agrees to comply with all applicable equal opportunity laws including, if appropriate, the provisions of Executive Order 11246, as amended, Section 402 of the Vietnam Era Veterans Readjustment Assistance Act of 1974 (38 USC 4212), and Section 503 of the Rehabilitation Act of 1973, as amended, and the regulations at 41 CFR Parts 60-1 through 60-60, 60-250, and 60-741. The affirmative action clause and regulations contained in the preceding sentence shall be incorporated by reference.